import pyangbind.lib.pybindJSON as pybindJSON
from collections import OrderedDict
from dicttoxml import dicttoxml
import json
import re

class PySwitchLib(object):
    """
    This is an auto-generated class for the PySwitchLib.
    Providing python bindings to configure a switch through the REST interface.
    """

    def __init__(self, module_name='', module_obj=None, rest_operation=None):
        """
        This is an auto-generated method for the PySwitchLib.
        """

        self._module_name = module_name
        self._module_obj = module_obj
        self._rest_operation = rest_operation

    def _get_pybind_object(self, compositions_list=None, bindings_list=None, composed_child_list=None, compositions_keyval_list=None, bindings_keyval=None, composed_child_leafval_list=None, **kwargs):
        """
        This is an auto-generated method for the PySwitchLib.
        """

        pybind_obj = None

        for index, value in enumerate(bindings_list):
            if self._module_name in value[2]:
                class_name = value[1].replace(value[2] + '.', '', 1)  
                pybind_module_path = value[0].replace(value[2] + '.', '', 1)  
                pybind_paths = pybind_module_path.split('.')

                module_name = value[2]
                module_obj = None

                if self._module_obj is not None:
                    module_obj = self._module_obj
                else:
                    module_obj =  __import__(module_name, fromlist=[class_name])

                pybind_base_class = getattr(module_obj, class_name)
                pybind_obj = pybind_base_class()
                pybind_module = pybind_obj
                pybind_class_module_name = value[2]
                kwargs_exclusion_list = []
                
                for module in pybind_paths:
                    pybind_class_module_name = pybind_class_module_name + '.' + module
                    pybind_module = getattr(pybind_module, module)

                    for composition_index, composition_tuple in enumerate(compositions_list):
                        if pybind_class_module_name == composition_tuple[0]:
                            kwargs_exclusion_list.append(composition_tuple[1])

                            pybind_module = getattr(pybind_module, 'add')

                            if compositions_keyval_list[composition_index]['extra_keyval']:
                                parent_kwargs_map = {}
                                parent_key_instance = []

                                for parent_key_index, parent_key in enumerate(compositions_keyval_list[composition_index]['extra_keyval'].split(', ')):
                                    if parent_key_index < len(kwargs[composition_tuple[1]]):
                                        parent_kwargs_map[parent_key] = kwargs[composition_tuple[1]][parent_key_index]

                                for key in compositions_keyval_list[composition_index]['keyval'].split(', '):
                                    if key in parent_kwargs_map:
                                        parent_key_instance.append(parent_kwargs_map[key])
                                        parent_kwargs_map.pop(key)

                                pybind_module = pybind_module(' '.join(map(str, parent_key_instance)))

                                for key in parent_kwargs_map:
                                    if parent_kwargs_map[key] is not None:
                                        pybind_parent_extra_key_assignment = getattr(pybind_parent_obj, '_set_' + key)
                                        pybind_parent_extra_key_assignment(parent_kwargs_map[key])
                            else:
                                if type(kwargs[composition_tuple[1]]) == 'tuple':
                                    pybind_module = pybind_module(' '.join(kwargs[composition_tuple[1]]))
                                else:
                                    pybind_module = pybind_module(kwargs[composition_tuple[1]])
                                
                if bindings_keyval['kwargs_key_name']:
                    pybind_obj = getattr(pybind_module, 'add')
                else:
                    pybind_obj = pybind_module

                for kwarg in kwargs:
                    if kwarg in bindings_keyval['kwargs_key_name']:
                        if bindings_keyval['extra_keyval']:
                            kwargs_map = {}
                            key_instance = []

                            for key_index, key in enumerate(bindings_keyval['extra_keyval'].split(', ')):
                                if key_index < len(kwargs[kwarg]):
                                    kwargs_map[key] = kwargs[kwarg][key_index]

                            for key in bindings_keyval['keyval'].split(', '):
                                if key in kwargs_map:
                                    key_instance.append(kwargs_map[key])
                                    kwargs_map.pop(key)

                            pybind_obj = pybind_obj(' '.join(map(str, key_instance)))

                            for key in kwargs_map:
                                if kwargs_map[key] is not None:
                                    pybind_extra_key_assignment = getattr(pybind_obj, '_set_' + key)
                                    pybind_extra_key_assignment(kwargs_map[key])
                        else:
                            if type(kwargs[kwarg]) == 'tuple':
                                pybind_obj = pybind_obj(' '.join(kwargs[kwarg]))
                            elif kwargs[kwarg] is not None:
                                pybind_obj = pybind_obj(kwargs[kwarg])
                            else:
                                pybind_obj = pybind_module

                for child_index, child_tuple in enumerate(composed_child_list):
                    if pybind_class_module_name in child_tuple[0]:
                        if child_tuple[1] in kwargs and kwargs[child_tuple[1]] != None:
                            kwargs_exclusion_list.append(child_tuple[1])
                            pybind_update_child_obj = pybind_obj

                            if pybind_class_module_name != child_tuple[0]:
                                pybind_update_child_path = child_tuple[0].replace(pybind_class_module_name + '.', '', 1)
                                pybind_update_child_paths = pybind_update_child_path.split('.')

                                for module in pybind_update_child_paths:
                                    pybind_update_child_obj = getattr(pybind_update_child_obj, module)

                            pybind_update_child_obj = getattr(pybind_update_child_obj, child_tuple[1])

                            for leaf_index, leaf_name in enumerate(composed_child_leafval_list[child_index]['leafval'].split(', ')):
                                if kwargs[child_tuple[1]][leaf_index] is not None:
                                    pybind_update_child_assignment = getattr(pybind_update_child_obj, '_set_' + leaf_name) 
                                    pybind_update_child_assignment(kwargs[child_tuple[1]][leaf_index])

                for kwarg in kwargs:
                    if kwarg not in kwargs_exclusion_list and kwargs[kwarg] != None:
                        if kwarg not in bindings_keyval['kwargs_key_name']:
                            if kwargs[kwarg] is not None:
                                pybind_update_key_assignment = getattr(pybind_obj, '_set_' + kwarg)
                                pybind_update_key_assignment(kwargs[kwarg])

                break

        return pybind_obj

    def _config_worker(self, operation_type=None, pybind_object=None, resource_depth=None, timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.
        """

        rest_operation = ''
        rest_uri = ''
        rest_data = ''
        rest_commands = []

        if operation_type == 'create' or operation_type == 'rpc':
            rest_operation = 'POST'
            rest_uri = pybind_object._rest_uri_for_post()

            if operation_type == 'rpc':
                if rest_uri == '/':
                    rest_uri = pybind_object._rest_uri()
        elif operation_type == 'update_patch':
            rest_operation = 'PATCH'
            rest_uri = pybind_object._rest_uri()
        elif operation_type == 'update_put':
            rest_operation = 'PUT'
            rest_uri = pybind_object._rest_uri()
        elif operation_type == 'delete':
            rest_operation = 'DELETE'
            rest_uri = pybind_object._rest_uri()
        elif operation_type == 'get':
            rest_operation = 'GET'
            rest_uri = pybind_object._rest_uri()

        label_list_items = lambda x: x

        if 'update' in operation_type:
            rest_data =  dicttoxml(json.loads(pybindJSON.dumps(pybind_object, mode='rest'), object_pairs_hook=OrderedDict), root=False, attr_type=False, item_func=label_list_items)

            for key in pybind_object.elements():
                update_object_name = getattr(pybind_object, '_get_' + key)
                update_object = update_object_name()
                rest_uri = update_object._rest_uri()
                rest_uri_end_element = rest_uri.split('/')[-1]

                if update_object._is_keyval == False and update_object._changed() == True:
                    rest_name = update_object.rest_name()
                    yang_leaf_name = update_object.yang_name()
                    temp_pybind_obj = update_object

                    while(temp_pybind_obj._parent and (rest_name == '' or rest_name != rest_uri_end_element)):
                        rest_name = temp_pybind_obj.rest_name()
                        yang_leaf_name = temp_pybind_obj.yang_name()
                        temp_pybind_obj = temp_pybind_obj._parent

                    if hasattr(temp_pybind_obj, '_pyangbind_elements'):
                        rest_data = dicttoxml(json.loads(pybindJSON.dumps(temp_pybind_obj, mode='rest'), object_pairs_hook=OrderedDict), root=False, attr_type=False, item_func=label_list_items)

                    update_object_rest_data = rest_data

                    match = re.match(r'.*(<{0}.*{0}>).*'.format(yang_leaf_name), update_object_rest_data)

                    if match:
                        update_object_rest_data = match.group(1)
                    
                    rest_commands.append([rest_operation, rest_uri, update_object_rest_data, 'config', resource_depth])
        else:
            pybind_object = pybind_object._parent
            
            rest_data = dicttoxml(json.loads(pybindJSON.dumps(pybind_object, mode='rest'), object_pairs_hook=OrderedDict), root=False, attr_type=False, item_func=label_list_items)

            if operation_type == 'rpc':
                rest_commands.append([rest_operation, rest_uri, rest_data, 'rpc', resource_depth])
            else:
                if rest_data:
                    end_marker = rest_data.rsplit('<', 1)[1].strip('/')

                    rest_data = rest_data.rsplit('<', 1)[0]
                    rest_data = rest_data.split(end_marker, 1)[-1]
            
                rest_commands.append([rest_operation, rest_uri, rest_data, 'config', resource_depth])

        return self._rest_operation(rest_commands=rest_commands, timeout=timeout)

    def aaa_accounting_commands_default_start_stop_update(self, server_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- server_type (unicode):
				enum - [u'tacacs+', u'none']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_type=server_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def aaa_accounting_exec_default_start_stop_update(self, server_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- server_type (unicode):
				enum - [u'tacacs+', u'none']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_type=server_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def aaa_authentication_login_update(self, first=None, second=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- first (unicode):
				yang info - Primary source of authentication
				enum - [u'default', u'tacacs+', u'radius', u'local', u'ldap']

			- second (unicode):
				yang info - Secondary source of authentication
				enum - [u'local', u'local-auth-fallback']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.aaa_config.aaa.authentication.login', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.aaa_config.aaa.authentication.login', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.aaa_config.aaa.authentication.login', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.authentication.login', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, first=first, second=second)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def acl_mirror_source_create(self, source=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- source (src_interface_type, src_interface_name, destination, dst_interface_type, dst_interface_name):
				src_interface_type (unicode):
					enum - [u'ethernet']

				src_interface_name (unicode):
					pattern - ((([0-9]|1[0-6])/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

				destination (unicode):
					enum - [u'destination']

				dst_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				dst_interface_name (unicode):
					pattern - ((([0-9]|1[0-6])/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_mirror.source', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'source', 'keyval': 'src_interface_type, src_interface_name, destination, dst_interface_type, dst_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, source=source)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def acl_mirror_source_delete(self, source=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- source (src_interface_type, src_interface_name, destination, dst_interface_type, dst_interface_name):
				src_interface_type (unicode):
					enum - [u'ethernet']

				src_interface_name (unicode):
					pattern - ((([0-9]|1[0-6])/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

				destination (unicode):
					enum - [u'destination']

				dst_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				dst_interface_name (unicode):
					pattern - ((([0-9]|1[0-6])/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_mirror.source', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'source', 'keyval': 'src_interface_type, src_interface_name, destination, dst_interface_type, dst_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, source=source)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def acl_mirror_source_get(self, source=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- source (src_interface_type, src_interface_name, destination, dst_interface_type, dst_interface_name):
				src_interface_type (unicode):
					enum - [u'ethernet']

				src_interface_name (unicode):
					pattern - ((([0-9]|1[0-6])/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

				destination (unicode):
					enum - [u'destination']

				dst_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				dst_interface_name (unicode):
					pattern - ((([0-9]|1[0-6])/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_mirror.source', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'source', 'keyval': 'src_interface_type, src_interface_name, destination, dst_interface_type, dst_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, source=source)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def acl_policy_update(self, allow_conflicting_rules=None, allow_duplicate_rules=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- allow_conflicting_rules (YANGBool):
				yang info - Allow conflicting rules in a ACL table 

			- allow_duplicate_rules (YANGBool):
				yang info - Allow duplicate rules in a ACL table

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_policy.global_acl_policy_conf_cmds', 'pybind.slxos.v16r_1_00b.brocade_acl_policy', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, allow_conflicting_rules=allow_conflicting_rules, allow_duplicate_rules=allow_duplicate_rules)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def acl_policy_allow_conflicting_rules_update(self, allow_conflicting_rules=None, allow_duplicate_rules=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- allow_conflicting_rules (YANGBool):
				yang info - Allow conflicting rules in a ACL table 

			- allow_duplicate_rules (YANGBool):
				yang info - Allow duplicate rules in a ACL table

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_policy.global_acl_policy_conf_cmds', 'pybind.slxos.v16r_1_00b.brocade_acl_policy', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, allow_conflicting_rules=allow_conflicting_rules, allow_duplicate_rules=allow_duplicate_rules)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def acl_state_vxlan_acl_create(self, vxlan_acl=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vxlan_acl (overlay_acl_tr_name):
				overlay_acl_tr_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vxlan_acl', 'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vxlan_acl=vxlan_acl)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def acl_state_vxlan_acl_delete(self, vxlan_acl=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vxlan_acl (overlay_acl_tr_name):
				overlay_acl_tr_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vxlan_acl', 'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vxlan_acl=vxlan_acl)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def acl_state_vxlan_acl_get(self, vxlan_acl=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vxlan_acl (overlay_acl_tr_name):
				overlay_acl_tr_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vxlan_acl', 'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vxlan_acl=vxlan_acl)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def acl_state_vxlan_acl_extended_data_create(self, vxlan_acl=None, extended_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vxlan_acl (overlay_acl_tr_name):
				overlay_acl_tr_name (unicode):

		This Instance Keyword Arg Tuple:
			- extended_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vxlan_acl=vxlan_acl, extended_data=extended_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def acl_state_vxlan_acl_extended_data_delete(self, vxlan_acl=None, extended_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vxlan_acl (overlay_acl_tr_name):
				overlay_acl_tr_name (unicode):

		This Instance Keyword Arg Tuple:
			- extended_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vxlan_acl=vxlan_acl, extended_data=extended_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def acl_state_vxlan_acl_extended_data_update(self, vxlan_acl=None, extended_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, transit_name=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vxlan_acl (overlay_acl_tr_name):
				overlay_acl_tr_name (unicode):

		This Instance Keyword Arg Tuple:
			- extended_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- permit_deny (unicode):

			- dst_vtep_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- src_vtep_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- vni (unicode):

			- vni_mask (unicode):

			- native_tag (unicode):

			- dst_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- dst_ip_mask (int):
				range - ['0..65535']

			- src_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- src_ip_mask (int):
				range - ['0..65535']

			- dst_port (int):
				range - ['0..65535']

			- src_port (int):
				range - ['0..65535']

			- count (long):
				range - ['0..18446744073709551615']

			- byte_count (long):
				range - ['0..18446744073709551615']

			- transit_name (unicode):

			- sflow (YANGBool):

			- redir_interface (unicode):

			- mirror_interface (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vxlan_acl=vxlan_acl, extended_data=extended_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def acl_state_vxlan_acl_extended_data_get(self, vxlan_acl=None, extended_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vxlan_acl (overlay_acl_tr_name):
				overlay_acl_tr_name (unicode):

		This Instance Keyword Arg Tuple:
			- extended_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
        bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vxlan_acl=vxlan_acl, extended_data=extended_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def activate_status_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (unicode):
				yang info - Please enter 'all' for activating all nodes in the logical-chassis or individual rbridge-ids of the form 1,2,3-6
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_firmware_rpc.activate_status.input', 'pybind.nos.v6_0_2b.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v6_0_2b.brocade_firmware_rpc'), ('pybind.nos.v7_0_1a.brocade_firmware_rpc.activate_status.input', 'pybind.nos.v7_0_1a.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_0_1a.brocade_firmware_rpc'), ('pybind.nos.v7_1_0.brocade_firmware_rpc.activate_status.input', 'pybind.nos.v7_1_0.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_1_0.brocade_firmware_rpc'), ('pybind.slxos.v16r_1_00b.brocade_firmware_rpc.activate_status', 'pybind.slxos.v16r_1_00b.brocade_firmware_rpc.brocade_firmware', 'pybind.slxos.v16r_1_00b.brocade_firmware_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def adj_neighbor_entries_state_adj_neighbor_create(self, adj_neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- adj_neighbor (neighbor_id):
				neighbor_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adj_neighbor=adj_neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def adj_neighbor_entries_state_adj_neighbor_delete(self, adj_neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- adj_neighbor (neighbor_id):
				neighbor_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adj_neighbor=adj_neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def adj_neighbor_entries_state_adj_neighbor_update(self, adj_neighbor=None, adj_state_change_time=None, adj_type=None, adj_state=None, circuit_intf_name=None, snpa=None, adj_holding_time=None, adj_priority=None, adj_mtprot=None, adj_prot=None, remaining_time=None, adj_3way_state=None, host_name=None, adj_lan_name=None, adj_lan_id=None, adj_p2p_circ_id=None, adj_num_adds=None, adj_use=None, ip_circuit_id=None, adj_address=None, ip6_circuit_id=None, adj_ip6_address=None, bfd_holdover_interval=None, adj_bfd_holdover_time=None, bfd_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- adj_neighbor (neighbor_id):
				neighbor_id (unicode):

		This Instance Arg(s):
			- adj_state_change_time (long):
				range - ['0..4294967295']

			- adj_type (unicode):
				enum - [u'is-adj-ptpt', u'is-adj-l1', u'is-adj-l2', u'is-adj-es', u'is-adj-unknown', u'is-adj-stct']

			- adj_state (unicode):

			- circuit_intf_name (unicode):

			- snpa (unicode):

			- adj_holding_time (int):
				range - ['0..255']

			- adj_priority (int):
				range - ['0..255']

			- adj_mtprot (unicode):
				enum - [u'adj-mtprot-unknow', u'adj-prot-ip', u'adj-prot-ip6', u'adj-prot-ipx', u'adj-prot-osi']

			- adj_prot (unicode):
				enum - [u'adj-mtprot-unknow', u'adj-prot-ip', u'adj-prot-ip6', u'adj-prot-ipx', u'adj-prot-osi']

			- remaining_time (long):
				range - ['0..4294967295']

			- adj_3way_state (unicode):
				enum - [u'adj-3way-state-init', u'adj-3way-state-accept', u'adj-3way-state-down', u'adj-3way-state-invalid', u'adj-3way-state-up']

			- host_name (unicode):

			- adj_lan_name (unicode):

			- adj_lan_id (int):
				range - ['0..255']

			- adj_p2p_circ_id (long):
				range - ['0..4294967295']

			- adj_num_adds (int):
				range - ['0..255']

			- adj_use (unicode):
				enum - [u'level-2', u'level-1-2', u'level-1']

			- ip_circuit_id (long):
				range - ['0..4294967295']

			- adj_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- ip6_circuit_id (long):
				range - ['0..4294967295']

			- adj_ip6_address (unicode):

			- bfd_holdover_interval (int):
				range - ['0..255']

			- adj_bfd_holdover_time (int):
				range - ['0..255']

			- bfd_state (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adj_neighbor=adj_neighbor, adj_state_change_time=adj_state_change_time, adj_type=adj_type, adj_state=adj_state, circuit_intf_name=circuit_intf_name, snpa=snpa, adj_holding_time=adj_holding_time, adj_priority=adj_priority, adj_mtprot=adj_mtprot, adj_prot=adj_prot, remaining_time=remaining_time, adj_3way_state=adj_3way_state, host_name=host_name, adj_lan_name=adj_lan_name, adj_lan_id=adj_lan_id, adj_p2p_circ_id=adj_p2p_circ_id, adj_num_adds=adj_num_adds, adj_use=adj_use, ip_circuit_id=ip_circuit_id, adj_address=adj_address, ip6_circuit_id=ip6_circuit_id, adj_ip6_address=adj_ip6_address, bfd_holdover_interval=bfd_holdover_interval, adj_bfd_holdover_time=adj_bfd_holdover_time, bfd_state=bfd_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def adj_neighbor_entries_state_adj_neighbor_get(self, adj_neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- adj_neighbor (neighbor_id):
				neighbor_id (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adj_neighbor=adj_neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def adj_neighbor_entries_state_adj_neighbor_adj_area_create(self, adj_neighbor=None, adj_area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- adj_neighbor (neighbor_id):
				neighbor_id (unicode):

		This Instance Keyword Arg Tuple:
			- adj_area (adj_asi_area_name):
				adj_asi_area_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', u'adj_neighbor')]
        bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor.adj_area', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'neighbor_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'adj_area', 'keyval': 'adj_asi_area_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adj_neighbor=adj_neighbor, adj_area=adj_area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def adj_neighbor_entries_state_adj_neighbor_adj_area_delete(self, adj_neighbor=None, adj_area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- adj_neighbor (neighbor_id):
				neighbor_id (unicode):

		This Instance Keyword Arg Tuple:
			- adj_area (adj_asi_area_name):
				adj_asi_area_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', u'adj_neighbor')]
        bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor.adj_area', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'neighbor_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'adj_area', 'keyval': 'adj_asi_area_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adj_neighbor=adj_neighbor, adj_area=adj_area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def adj_neighbor_entries_state_adj_neighbor_adj_area_get(self, adj_neighbor=None, adj_area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- adj_neighbor (neighbor_id):
				neighbor_id (unicode):

		This Instance Keyword Arg Tuple:
			- adj_area (adj_asi_area_name):
				adj_asi_area_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', u'adj_neighbor')]
        bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor.adj_area', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'neighbor_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'adj_area', 'keyval': 'adj_asi_area_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adj_neighbor=adj_neighbor, adj_area=adj_area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def alias_config_alias_create(self, alias=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alias (name):
				name (unicode):
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.alias', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.alias', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def alias_config_alias_delete(self, alias=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alias (name):
				name (unicode):
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.alias', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.alias', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def alias_config_alias_update(self, alias=None, expansion=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alias (name):
				name (unicode):
					length - [u'1..255']

		This Instance Arg(s):
			- expansion (unicode):
				length - [u'1..1023']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.alias', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.alias', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias, expansion=expansion)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def alias_config_alias_get(self, alias=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alias (name):
				name (unicode):
					length - [u'1..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.alias', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.alias', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def alias_config_user_create(self, user=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- user (name):
				name (unicode):
					length - [u'1..40']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.user', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.user', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.user', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def alias_config_user_delete(self, user=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- user (name):
				name (unicode):
					length - [u'1..40']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.user', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.user', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.user', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def alias_config_user_get(self, user=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- user (name):
				name (unicode):
					length - [u'1..40']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.user', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.user', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.user', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def alias_config_user_alias_create(self, user=None, alias=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- user (name):
				name (unicode):
					length - [u'1..40']

		This Instance Keyword Arg Tuple:
			- alias (name):
				name (unicode):
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.alias_config.user', u'user'), ('pybind.nos.v7_1_0.alias_config.user', u'user'), ('pybind.nos.v6_0_2b.alias_config.user', u'user'), ('pybind.nos.v7_0_1a.alias_config.user', u'user')]
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.user.alias', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.user.alias', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.user.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user, alias=alias)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def alias_config_user_alias_delete(self, user=None, alias=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- user (name):
				name (unicode):
					length - [u'1..40']

		This Instance Keyword Arg Tuple:
			- alias (name):
				name (unicode):
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.alias_config.user', u'user'), ('pybind.nos.v7_1_0.alias_config.user', u'user'), ('pybind.nos.v6_0_2b.alias_config.user', u'user'), ('pybind.nos.v7_0_1a.alias_config.user', u'user')]
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.user.alias', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.user.alias', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.user.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user, alias=alias)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def alias_config_user_alias_update(self, user=None, alias=None, expansion=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- user (name):
				name (unicode):
					length - [u'1..40']

		This Instance Keyword Arg Tuple:
			- alias (name):
				name (unicode):
					length - [u'1..255']

		This Instance Arg(s):
			- expansion (unicode):
				length - [u'1..1023']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.alias_config.user', u'user'), ('pybind.nos.v7_1_0.alias_config.user', u'user'), ('pybind.nos.v6_0_2b.alias_config.user', u'user'), ('pybind.nos.v7_0_1a.alias_config.user', u'user')]
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.user.alias', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.user.alias', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.user.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user, alias=alias, expansion=expansion)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def alias_config_user_alias_get(self, user=None, alias=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- user (name):
				name (unicode):
					length - [u'1..40']

		This Instance Keyword Arg Tuple:
			- alias (name):
				name (unicode):
					length - [u'1..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.alias_config.user', u'user'), ('pybind.nos.v7_1_0.alias_config.user', u'user'), ('pybind.nos.v6_0_2b.alias_config.user', u'user'), ('pybind.nos.v7_0_1a.alias_config.user', u'user')]
        bindings_list = [('pybind.nos.v6_0_2b.alias_config.user.alias', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.user.alias', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.user.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user, alias=alias)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def arp_create(self, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2b.brocade_arp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1a.brocade_arp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def arp_delete(self, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2b.brocade_arp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1a.brocade_arp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def arp_update(self, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2b.brocade_arp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1a.brocade_arp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def arp_get(self, arp_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2b.brocade_arp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1a.brocade_arp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def arp_access_list_create(self, access_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_list (acl_name):
				acl_name (unicode):
					yang info - <WORD:1-62>;;Name of ARP access-list
					length - [u'1..62']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.arp.access_list', 'pybind.nos.v6_0_2b.brocade_dai', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.arp.access_list', 'pybind.nos.v7_0_1a.brocade_dai', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.arp.access_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def arp_access_list_delete(self, access_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_list (acl_name):
				acl_name (unicode):
					yang info - <WORD:1-62>;;Name of ARP access-list
					length - [u'1..62']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.arp.access_list', 'pybind.nos.v6_0_2b.brocade_dai', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.arp.access_list', 'pybind.nos.v7_0_1a.brocade_dai', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.arp.access_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def arp_access_list_get(self, access_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_list (acl_name):
				acl_name (unicode):
					yang info - <WORD:1-62>;;Name of ARP access-list
					length - [u'1..62']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.arp.access_list', 'pybind.nos.v6_0_2b.brocade_dai', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.arp.access_list', 'pybind.nos.v7_0_1a.brocade_dai', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.arp.access_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def arp_access_list_permit_ip_create(self, access_list=None, permit_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- access_list (acl_name):
				acl_name (unicode):
					yang info - <WORD:1-62>;;Name of ARP access-list
					length - [u'1..62']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

		This Instance Keyword Arg Tuple:
			- permit_list (ip_type, host_ip, mac_type, host_mac, log):
				ip_type (unicode):
					enum - [u'host']

				host_ip (unicode):
					yang info - IPv4Address;;Source IPv4 Address A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_type (unicode):
					yang info - MAC address
					enum - [u'host']

				host_mac (unicode):
					yang info - MACADDRESS;;Mac address in HHHH.HHHH.HHHH format.

				log (YANGBool):
					yang info - Log packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.arp.access_list', u'access_list'), ('pybind.nos.v6_0_2b.arp.access_list', u'access_list'), ('pybind.nos.v7_0_1a.arp.access_list', u'access_list'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', u'access_list')]
        bindings_list = [('pybind.nos.v6_0_2b.arp.access_list.permit.permit_list', 'pybind.nos.v6_0_2b.brocade_dai', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.arp.access_list.permit.permit_list', 'pybind.nos.v7_0_1a.brocade_dai', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.arp.access_list.permit.permit_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list.permit.permit_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'permit_list', 'keyval': 'ip_type, host_ip, mac_type, host_mac', 'extra_keyval': 'ip_type, host_ip, mac_type, host_mac, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list, permit_list=permit_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def arp_access_list_permit_ip_delete(self, access_list=None, permit_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- access_list (acl_name):
				acl_name (unicode):
					yang info - <WORD:1-62>;;Name of ARP access-list
					length - [u'1..62']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

		This Instance Keyword Arg Tuple:
			- permit_list (ip_type, host_ip, mac_type, host_mac, log):
				ip_type (unicode):
					enum - [u'host']

				host_ip (unicode):
					yang info - IPv4Address;;Source IPv4 Address A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_type (unicode):
					yang info - MAC address
					enum - [u'host']

				host_mac (unicode):
					yang info - MACADDRESS;;Mac address in HHHH.HHHH.HHHH format.

				log (YANGBool):
					yang info - Log packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.arp.access_list', u'access_list'), ('pybind.nos.v6_0_2b.arp.access_list', u'access_list'), ('pybind.nos.v7_0_1a.arp.access_list', u'access_list'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', u'access_list')]
        bindings_list = [('pybind.nos.v6_0_2b.arp.access_list.permit.permit_list', 'pybind.nos.v6_0_2b.brocade_dai', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.arp.access_list.permit.permit_list', 'pybind.nos.v7_0_1a.brocade_dai', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.arp.access_list.permit.permit_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list.permit.permit_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'permit_list', 'keyval': 'ip_type, host_ip, mac_type, host_mac', 'extra_keyval': 'ip_type, host_ip, mac_type, host_mac, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list, permit_list=permit_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def arp_access_list_permit_ip_update(self, access_list=None, permit_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- access_list (acl_name):
				acl_name (unicode):
					yang info - <WORD:1-62>;;Name of ARP access-list
					length - [u'1..62']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

		This Instance Keyword Arg Tuple:
			- permit_list (ip_type, host_ip, mac_type, host_mac, log):
				ip_type (unicode):
					enum - [u'host']

				host_ip (unicode):
					yang info - IPv4Address;;Source IPv4 Address A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_type (unicode):
					yang info - MAC address
					enum - [u'host']

				host_mac (unicode):
					yang info - MACADDRESS;;Mac address in HHHH.HHHH.HHHH format.

				log (YANGBool):
					yang info - Log packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.arp.access_list', u'access_list'), ('pybind.nos.v6_0_2b.arp.access_list', u'access_list'), ('pybind.nos.v7_0_1a.arp.access_list', u'access_list'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', u'access_list')]
        bindings_list = [('pybind.nos.v6_0_2b.arp.access_list.permit.permit_list', 'pybind.nos.v6_0_2b.brocade_dai', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.arp.access_list.permit.permit_list', 'pybind.nos.v7_0_1a.brocade_dai', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.arp.access_list.permit.permit_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list.permit.permit_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'permit_list', 'keyval': 'ip_type, host_ip, mac_type, host_mac', 'extra_keyval': 'ip_type, host_ip, mac_type, host_mac, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list, permit_list=permit_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def arp_access_list_permit_ip_get(self, access_list=None, permit_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- access_list (acl_name):
				acl_name (unicode):
					yang info - <WORD:1-62>;;Name of ARP access-list
					length - [u'1..62']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

		This Instance Keyword Arg Tuple:
			- permit_list (ip_type, host_ip, mac_type, host_mac, log):
				ip_type (unicode):
					enum - [u'host']

				host_ip (unicode):
					yang info - IPv4Address;;Source IPv4 Address A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_type (unicode):
					yang info - MAC address
					enum - [u'host']

				host_mac (unicode):
					yang info - MACADDRESS;;Mac address in HHHH.HHHH.HHHH format.

				log (YANGBool):
					yang info - Log packet

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.arp.access_list', u'access_list'), ('pybind.nos.v6_0_2b.arp.access_list', u'access_list'), ('pybind.nos.v7_0_1a.arp.access_list', u'access_list'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', u'access_list')]
        bindings_list = [('pybind.nos.v6_0_2b.arp.access_list.permit.permit_list', 'pybind.nos.v6_0_2b.brocade_dai', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.arp.access_list.permit.permit_list', 'pybind.nos.v7_0_1a.brocade_dai', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.arp.access_list.permit.permit_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list.permit.permit_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'permit_list', 'keyval': 'ip_type, host_ip, mac_type, host_mac', 'extra_keyval': 'ip_type, host_ip, mac_type, host_mac, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list, permit_list=permit_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def banner_update(self, login=None, motd=None, incoming=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- login (unicode):
				yang info - Banner text displayed after user logs into the switch
				length - [u'0..2048']

			- motd (unicode):
				yang info - Banner text displayed before user logs into
 the switch
				length - [u'0..2048']

			- incoming (unicode):
				yang info - Set incoming terminal line banner
				length - [u'0..2048']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.banner', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.banner', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.banner', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.banner', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, login=login, motd=motd, incoming=incoming)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def banner_incoming_update(self, login=None, motd=None, incoming=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- login (unicode):
				yang info - Banner text displayed after user logs into the switch
				length - [u'0..2048']

			- motd (unicode):
				yang info - Banner text displayed before user logs into
 the switch
				length - [u'0..2048']

			- incoming (unicode):
				yang info - Set incoming terminal line banner
				length - [u'0..2048']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.banner', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.banner', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.banner', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.banner', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, login=login, motd=motd, incoming=incoming)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_mac_br_state_update(self, total_mac_count=None, static_mac_count=None, dyn_mac_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- total_mac_count (long):
				range - ['0..4294967295']

			- static_mac_count (long):
				range - ['0..4294967295']

			- dyn_mac_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_mac_br_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_mac_count=total_mac_count, static_mac_count=static_mac_count, dyn_mac_count=dyn_mac_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_mac_br_state_dyn_mac_count_update(self, total_mac_count=None, static_mac_count=None, dyn_mac_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- total_mac_count (long):
				range - ['0..4294967295']

			- static_mac_count (long):
				range - ['0..4294967295']

			- dyn_mac_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_mac_br_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_mac_count=total_mac_count, static_mac_count=static_mac_count, dyn_mac_count=dyn_mac_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_create(self, bd_vc_peer_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bd_vc_peer_state', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_delete(self, bd_vc_peer_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bd_vc_peer_state', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_get(self, bd_vc_peer_state=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bd_vc_peer_state', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_counter_update(self, bd_vc_peer_state=None, no_of_peer_configured=None, no_of_peer_operational=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- no_of_peer_configured (long):
				range - ['0..4294967295']

			- no_of_peer_operational (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_counter', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, no_of_peer_configured=no_of_peer_configured, no_of_peer_operational=no_of_peer_operational)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_counter_no_of_peer_configured_update(self, bd_vc_peer_state=None, no_of_peer_configured=None, no_of_peer_operational=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- no_of_peer_configured (long):
				range - ['0..4294967295']

			- no_of_peer_operational (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_counter', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, no_of_peer_configured=no_of_peer_configured, no_of_peer_operational=no_of_peer_operational)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_create(self, bd_vc_peer_state=None, bd_vc_peer_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_delete(self, bd_vc_peer_state=None, bd_vc_peer_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_peer_state=None, vc_peer_uptime=None, vc_peer_load_balance=None, vc_peer_cos_enabled=None, vc_peer_cos_value=None, vc_ldp_tnnl_in_use=None, vc_local_label=None, vc_remote_label=None, vc_local_mtu=None, vc_remote_mtu=None, vc_local_type=None, vc_remote_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- vc_peer_state (unicode):

			- vc_peer_uptime (unicode):

			- vc_peer_load_balance (YANGBool):

			- vc_peer_cos_enabled (YANGBool):

			- vc_peer_cos_value (int):
				range - ['0..255']

			- vc_ldp_tnnl_in_use (unicode):

			- vc_local_label (long):
				range - ['0..4294967295']

			- vc_remote_label (long):
				range - ['0..4294967295']

			- vc_local_mtu (long):
				range - ['0..4294967295']

			- vc_remote_mtu (long):
				range - ['0..4294967295']

			- vc_local_type (long):
				range - ['0..4294967295']

			- vc_remote_type (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_state=vc_peer_state, vc_peer_uptime=vc_peer_uptime, vc_peer_load_balance=vc_peer_load_balance, vc_peer_cos_enabled=vc_peer_cos_enabled, vc_peer_cos_value=vc_peer_cos_value, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use, vc_local_label=vc_local_label, vc_remote_label=vc_remote_label, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_local_type=vc_local_type, vc_remote_type=vc_remote_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_get(self, bd_vc_peer_state=None, bd_vc_peer_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_vc_assigned_lsp_create(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_assigned_lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- vc_assigned_lsp (vc_lsp_name):
				vc_lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_assigned_lsp', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_assigned_lsp', 'keyval': 'vc_lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_assigned_lsp=vc_assigned_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_vc_assigned_lsp_delete(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_assigned_lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- vc_assigned_lsp (vc_lsp_name):
				vc_lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_assigned_lsp', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_assigned_lsp', 'keyval': 'vc_lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_assigned_lsp=vc_assigned_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_vc_assigned_lsp_get(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_assigned_lsp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- vc_assigned_lsp (vc_lsp_name):
				vc_lsp_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_assigned_lsp', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_assigned_lsp', 'keyval': 'vc_lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_assigned_lsp=vc_assigned_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_create(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- vc_proto_tnnl (vc_proto_name):
				vc_proto_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_delete(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- vc_proto_tnnl (vc_proto_name):
				vc_proto_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_tunnel_id=None, vc_ldp_name=None, vc_lsp_name=None, vc_peer_lsp_cos_enabled=None, vc_peer_lsp_cos_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- vc_proto_tnnl (vc_proto_name):
				vc_proto_name (unicode):

		This Instance Arg(s):
			- vc_ldp_tunnel_id (long):
				range - ['0..4294967295']

			- vc_ldp_name (unicode):

			- vc_lsp_name (unicode):

			- vc_peer_lsp_cos_enabled (YANGBool):

			- vc_peer_lsp_cos_value (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id, vc_ldp_name=vc_ldp_name, vc_lsp_name=vc_lsp_name, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_get(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bd_vc_peer_state (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- bd_vc_peer_data (vc_peer_address):
				vc_peer_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- vc_proto_tnnl (vc_proto_name):
				vc_proto_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bna_config_cmd_rpc(self, src=None, dest=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- src (unicode):

			- dest (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_ras_rpc.bna_config_cmd.input', 'pybind.nos.v6_0_2b.brocade_ras_rpc.brocade_ras', 'pybind.nos.v6_0_2b.brocade_ras_rpc'), ('pybind.nos.v7_0_1a.brocade_ras_rpc.bna_config_cmd.input', 'pybind.nos.v7_0_1a.brocade_ras_rpc.brocade_ras', 'pybind.nos.v7_0_1a.brocade_ras_rpc'), ('pybind.nos.v7_1_0.brocade_ras_rpc.bna_config_cmd.input', 'pybind.nos.v7_1_0.brocade_ras_rpc.brocade_ras', 'pybind.nos.v7_1_0.brocade_ras_rpc'), ('pybind.slxos.v16r_1_00b.brocade_ras_rpc.bna_config_cmd.input', 'pybind.slxos.v16r_1_00b.brocade_ras_rpc.brocade_ras', 'pybind.slxos.v16r_1_00b.brocade_ras_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, src=src, dest=dest)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bna_config_cmd_status_rpc(self, session_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- session_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_ras_rpc.bna_config_cmd_status.input', 'pybind.nos.v6_0_2b.brocade_ras_rpc.brocade_ras', 'pybind.nos.v6_0_2b.brocade_ras_rpc'), ('pybind.nos.v7_0_1a.brocade_ras_rpc.bna_config_cmd_status.input', 'pybind.nos.v7_0_1a.brocade_ras_rpc.brocade_ras', 'pybind.nos.v7_0_1a.brocade_ras_rpc'), ('pybind.nos.v7_1_0.brocade_ras_rpc.bna_config_cmd_status.input', 'pybind.nos.v7_1_0.brocade_ras_rpc.brocade_ras', 'pybind.nos.v7_1_0.brocade_ras_rpc'), ('pybind.slxos.v16r_1_00b.brocade_ras_rpc.bna_config_cmd_status.input', 'pybind.slxos.v16r_1_00b.brocade_ras_rpc.brocade_ras', 'pybind.slxos.v16r_1_00b.brocade_ras_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, session_id=session_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bp_rate_limit_heavy_module_update(self, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- add_ (unicode):
				yang info - slot/module range
				pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- remove_ (unicode):
				yang info - slot/module range
				pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bp_rate_limit.heavy.module', 'pybind.slxos.v16r_1_00b.brocade_bprate_limit', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bp_rate_limit_heavy_module_add_update(self, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- add_ (unicode):
				yang info - slot/module range
				pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- remove_ (unicode):
				yang info - slot/module range
				pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bp_rate_limit.heavy.module', 'pybind.slxos.v16r_1_00b.brocade_bprate_limit', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_create(self, bridge_domain=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_delete(self, bridge_domain=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_update(self, bridge_domain=None, vc_id_num=None, statistics=None, pw_profile_name=None, bpdu_drop_enable=None, local_switching=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Arg(s):
			- vc_id_num (long):
				yang info - VC Id under the VPLS Instance
				range - ['0..4294967295']

			- statistics (YANGBool):
				yang info - Configure Statistics

			- pw_profile_name (unicode):
				yang info - Pw-profile name (Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- bpdu_drop_enable (YANGBool):
				yang info - Drop BPDU packets

			- local_switching (YANGBool):
				yang info - Configure local switching

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, vc_id_num=vc_id_num, statistics=statistics, pw_profile_name=pw_profile_name, bpdu_drop_enable=bpdu_drop_enable, local_switching=local_switching)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_get(self, bridge_domain=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bridge_domain_logical_interface_ethernet_create(self, bridge_domain=None, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Keyword Arg Tuple:
			- ethernet (lif_bind_id):
				lif_bind_id (unicode):
					yang info - Instance ID of the LIF to bind
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.logical_interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'lif_bind_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_logical_interface_ethernet_delete(self, bridge_domain=None, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Keyword Arg Tuple:
			- ethernet (lif_bind_id):
				lif_bind_id (unicode):
					yang info - Instance ID of the LIF to bind
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.logical_interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'lif_bind_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_logical_interface_ethernet_get(self, bridge_domain=None, ethernet=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Keyword Arg Tuple:
			- ethernet (lif_bind_id):
				lif_bind_id (unicode):
					yang info - Instance ID of the LIF to bind
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.logical_interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'lif_bind_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bridge_domain_logical_interface_port_channel_create(self, bridge_domain=None, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Keyword Arg Tuple:
			- port_channel (pc_lif_bind_id):
				pc_lif_bind_id (unicode):
					yang info - Instance ID of the port-channel LIF to bind
					pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.logical_interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'pc_lif_bind_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_logical_interface_port_channel_delete(self, bridge_domain=None, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Keyword Arg Tuple:
			- port_channel (pc_lif_bind_id):
				pc_lif_bind_id (unicode):
					yang info - Instance ID of the port-channel LIF to bind
					pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.logical_interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'pc_lif_bind_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_logical_interface_port_channel_get(self, bridge_domain=None, port_channel=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Keyword Arg Tuple:
			- port_channel (pc_lif_bind_id):
				pc_lif_bind_id (unicode):
					yang info - Instance ID of the port-channel LIF to bind
					pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.logical_interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'pc_lif_bind_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bridge_domain_mac_state_create(self, bridge_domain_mac_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_mac_state (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_mac_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bridge_domain_mac_state', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_mac_state=bridge_domain_mac_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_mac_state_delete(self, bridge_domain_mac_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_mac_state (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_mac_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bridge_domain_mac_state', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_mac_state=bridge_domain_mac_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_mac_state_update(self, bridge_domain_mac_state=None, no_of_mac=None, no_of_static_mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_mac_state (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- no_of_mac (long):
				range - ['0..4294967295']

			- no_of_static_mac (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_mac_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bridge_domain_mac_state', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_mac_state=bridge_domain_mac_state, no_of_mac=no_of_mac, no_of_static_mac=no_of_static_mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_mac_state_get(self, bridge_domain_mac_state=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_mac_state (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_mac_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'bridge_domain_mac_state', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_mac_state=bridge_domain_mac_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bridge_domain_peer_create(self, bridge_domain=None, peer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Keyword Arg Tuple:
			- peer (peer_ip, load_balance, cos):
				peer_ip (unicode):
					yang info - PW Peer Ip for remote peer
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				load_balance (YANGBool):
					yang info - load balance

				cos (long):
					yang info - cos value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.peer', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': 'peer_ip, load_balance, cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, peer=peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_peer_delete(self, bridge_domain=None, peer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Keyword Arg Tuple:
			- peer (peer_ip, load_balance, cos):
				peer_ip (unicode):
					yang info - PW Peer Ip for remote peer
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				load_balance (YANGBool):
					yang info - load balance

				cos (long):
					yang info - cos value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.peer', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': 'peer_ip, load_balance, cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, peer=peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_peer_update(self, bridge_domain=None, peer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Keyword Arg Tuple:
			- peer (peer_ip, load_balance, cos):
				peer_ip (unicode):
					yang info - PW Peer Ip for remote peer
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				load_balance (YANGBool):
					yang info - load balance

				cos (long):
					yang info - cos value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.peer', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': 'peer_ip, load_balance, cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, peer=peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_peer_get(self, bridge_domain=None, peer=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain (bridge_domain_id, bridge_domain_type):
				bridge_domain_id (long):
					yang info - Bridge-domain ID.
					range - ['0..4294967295']

				bridge_domain_type (unicode):
					yang info - Set the Bridge Domain Type
					enum - [u'p2mp', u'p2p']

		This Instance Keyword Arg Tuple:
			- peer (peer_ip, load_balance, cos):
				peer_ip (unicode):
					yang info - PW Peer Ip for remote peer
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				load_balance (YANGBool):
					yang info - load balance

				cos (long):
					yang info - cos value
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.peer', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': 'peer_ip, load_balance, cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, peer=peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_counter_update(self, no_of_bd=None, no_of_vpls_bd=None, no_of_dynamic_mac=None, no_of_static_mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- no_of_bd (long):
				range - ['0..4294967295']

			- no_of_vpls_bd (long):
				range - ['0..4294967295']

			- no_of_dynamic_mac (long):
				range - ['0..4294967295']

			- no_of_static_mac (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, no_of_bd=no_of_bd, no_of_vpls_bd=no_of_vpls_bd, no_of_dynamic_mac=no_of_dynamic_mac, no_of_static_mac=no_of_static_mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_counter_no_of_bd_update(self, no_of_bd=None, no_of_vpls_bd=None, no_of_dynamic_mac=None, no_of_static_mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- no_of_bd (long):
				range - ['0..4294967295']

			- no_of_vpls_bd (long):
				range - ['0..4294967295']

			- no_of_dynamic_mac (long):
				range - ['0..4294967295']

			- no_of_static_mac (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, no_of_bd=no_of_bd, no_of_vpls_bd=no_of_vpls_bd, no_of_dynamic_mac=no_of_dynamic_mac, no_of_static_mac=no_of_static_mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_create(self, bridge_domain_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_delete(self, bridge_domain_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_update(self, bridge_domain_list=None, vc_id=None, active_ac_lif_count=None, config_ac_lif_count=None, active_vfi_lif_count=None, config_vfi_lif_count=None, local_switching=None, block_bpdu=None, bd_type=None, ve_ifindex=None, pw_profile=None, mac_limit=None, statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vc_id (long):
				range - ['0..4294967295']

			- active_ac_lif_count (int):
				range - ['0..65535']

			- config_ac_lif_count (int):
				range - ['0..65535']

			- active_vfi_lif_count (int):
				range - ['0..65535']

			- config_vfi_lif_count (int):
				range - ['0..65535']

			- local_switching (YANGBool):

			- block_bpdu (YANGBool):

			- bd_type (int):
				range - ['0..65535']

			- ve_ifindex (long):
				range - ['0..4294967295']

			- pw_profile (unicode):

			- mac_limit (int):
				range - ['0..65535']

			- statistics (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, vc_id=vc_id, active_ac_lif_count=active_ac_lif_count, config_ac_lif_count=config_ac_lif_count, active_vfi_lif_count=active_vfi_lif_count, config_vfi_lif_count=config_vfi_lif_count, local_switching=local_switching, block_bpdu=block_bpdu, bd_type=bd_type, ve_ifindex=ve_ifindex, pw_profile=pw_profile, mac_limit=mac_limit, statistics=statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_get(self, bridge_domain_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_create(self, bridge_domain_list=None, outer_vlan_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'outer_vlan_list', 'keyval': 'outer_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_delete(self, bridge_domain_list=None, outer_vlan_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'outer_vlan_list', 'keyval': 'outer_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_update(self, bridge_domain_list=None, outer_vlan_list=None, no_of_up_tagged_ports=None, no_of_up_untagged_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- no_of_up_tagged_ports (long):
				range - ['0..4294967295']

			- no_of_up_untagged_ports (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'outer_vlan_list', 'keyval': 'outer_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, no_of_up_tagged_ports=no_of_up_tagged_ports, no_of_up_untagged_ports=no_of_up_untagged_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_get(self, bridge_domain_list=None, outer_vlan_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'outer_vlan_list', 'keyval': 'outer_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_create(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- tagged_ports_list (lif_name):
				lif_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_delete(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- tagged_ports_list (lif_name):
				lif_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, lif_ifindex=None, outer_vlan=None, inner_vlan=None, flags=None, ivid=None, encap_id=None, ingress_stats_id=None, egress_stats_id=None, op_state=None, service_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- tagged_ports_list (lif_name):
				lif_name (unicode):

		This Instance Arg(s):
			- lif_ifindex (long):
				range - ['0..4294967295']

			- outer_vlan (long):
				range - ['0..4294967295']

			- inner_vlan (long):
				range - ['0..4294967295']

			- flags (long):
				range - ['0..4294967295']

			- ivid (long):
				range - ['0..4294967295']

			- encap_id (long):
				range - ['0..4294967295']

			- ingress_stats_id (long):
				range - ['0..4294967295']

			- egress_stats_id (long):
				range - ['0..4294967295']

			- op_state (YANGBool):

			- service_instance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, lif_ifindex=lif_ifindex, outer_vlan=outer_vlan, inner_vlan=inner_vlan, flags=flags, ivid=ivid, encap_id=encap_id, ingress_stats_id=ingress_stats_id, egress_stats_id=egress_stats_id, op_state=op_state, service_instance=service_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_get(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- tagged_ports_list (lif_name):
				lif_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_create(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- untagged_ports_list (lif_name):
				lif_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_delete(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- untagged_ports_list (lif_name):
				lif_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, lif_ifindex=None, outer_vlan=None, flags=None, ivid=None, encap_id=None, ingress_stats_id=None, egress_stats_id=None, op_state=None, service_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- untagged_ports_list (lif_name):
				lif_name (unicode):

		This Instance Arg(s):
			- lif_ifindex (long):
				range - ['0..4294967295']

			- outer_vlan (long):
				range - ['0..4294967295']

			- flags (long):
				range - ['0..4294967295']

			- ivid (long):
				range - ['0..4294967295']

			- encap_id (long):
				range - ['0..4294967295']

			- ingress_stats_id (long):
				range - ['0..4294967295']

			- egress_stats_id (long):
				range - ['0..4294967295']

			- op_state (YANGBool):

			- service_instance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, lif_ifindex=lif_ifindex, outer_vlan=outer_vlan, flags=flags, ivid=ivid, encap_id=encap_id, ingress_stats_id=ingress_stats_id, egress_stats_id=egress_stats_id, op_state=op_state, service_instance=service_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_get(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_list (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- outer_vlan_list (outer_vlan):
				outer_vlan (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- untagged_ports_list (lif_name):
				lif_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def capabilities_ipv6_update(self, ipv6Raguard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ipv6Raguard (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ipv6', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6Raguard=ipv6Raguard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def capabilities_ipv6_ipv6raguard_update(self, ipv6Raguard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ipv6Raguard (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ipv6', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6Raguard=ipv6Raguard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def capabilities_l2_update(self, port_profile=None, overlap_vlan=None, rspan=None, mac_move=None, consistency_check=None, learning_mode=None, priority_tag=None, internal_nsm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- port_profile (YANGBool):

			- overlap_vlan (YANGBool):

			- rspan (YANGBool):

			- mac_move (YANGBool):

			- consistency_check (YANGBool):

			- learning_mode (YANGBool):

			- priority_tag (YANGBool):

			- internal_nsm (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, overlap_vlan=overlap_vlan, rspan=rspan, mac_move=mac_move, consistency_check=consistency_check, learning_mode=learning_mode, priority_tag=priority_tag, internal_nsm=internal_nsm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def capabilities_l2_consistency_check_update(self, port_profile=None, overlap_vlan=None, rspan=None, mac_move=None, consistency_check=None, learning_mode=None, priority_tag=None, internal_nsm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- port_profile (YANGBool):

			- overlap_vlan (YANGBool):

			- rspan (YANGBool):

			- mac_move (YANGBool):

			- consistency_check (YANGBool):

			- learning_mode (YANGBool):

			- priority_tag (YANGBool):

			- internal_nsm (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, overlap_vlan=overlap_vlan, rspan=rspan, mac_move=mac_move, consistency_check=consistency_check, learning_mode=learning_mode, priority_tag=priority_tag, internal_nsm=internal_nsm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def capabilities_lag_update(self, PortchannelRedundancy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- PortchannelRedundancy (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.lag', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, PortchannelRedundancy=PortchannelRedundancy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def capabilities_lag_portchannelredundancy_update(self, PortchannelRedundancy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- PortchannelRedundancy (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.lag', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, PortchannelRedundancy=PortchannelRedundancy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def capabilities_mqc_update(self, span=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- span (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.mqc', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, span=span)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def capabilities_mqc_span_update(self, span=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- span (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.mqc', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, span=span)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def capabilities_ssm_update(self, aclTrafficType=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- aclTrafficType (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ssm', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aclTrafficType=aclTrafficType)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def capabilities_ssm_acltraffictype_update(self, aclTrafficType=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- aclTrafficType (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ssm', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aclTrafficType=aclTrafficType)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_create(self, cee_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.cee_map', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cee_map', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_delete(self, cee_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.cee_map', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cee_map', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_update(self, cee_map=None, precedence=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- precedence (long):
				yang info -  Precedence value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.cee_map', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cee_map', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, precedence=precedence)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_get(self, cee_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.cee_map', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cee_map', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cee_map_priority_group_table_create(self, cee_map=None, priority_group_table=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Keyword Arg Tuple:
			- priority_group_table (PGID, weight, pfc):
				PGID (unicode):
					yang info - ;; Configure Priority Group (PGID 0-7,15.0-15.7)
					pattern - [0-7]|15.[0-7]

				weight (long):
					yang info - Configure DWRR Priority Group (PGID 0-7) weight
					range - ['-2147483648..2147483647']

				pfc (unicode):
					yang info -  Per-priority Flow Control
					enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map')]
        bindings_list = [('pybind.nos.v6_0_2b.cee_map.priority_group_table', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.priority_group_table', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.priority_group_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_group_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'priority_group_table', 'keyval': 'PGID', 'extra_keyval': 'PGID, weight, pfc'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, priority_group_table=priority_group_table)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_priority_group_table_delete(self, cee_map=None, priority_group_table=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Keyword Arg Tuple:
			- priority_group_table (PGID, weight, pfc):
				PGID (unicode):
					yang info - ;; Configure Priority Group (PGID 0-7,15.0-15.7)
					pattern - [0-7]|15.[0-7]

				weight (long):
					yang info - Configure DWRR Priority Group (PGID 0-7) weight
					range - ['-2147483648..2147483647']

				pfc (unicode):
					yang info -  Per-priority Flow Control
					enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map')]
        bindings_list = [('pybind.nos.v6_0_2b.cee_map.priority_group_table', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.priority_group_table', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.priority_group_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_group_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'priority_group_table', 'keyval': 'PGID', 'extra_keyval': 'PGID, weight, pfc'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, priority_group_table=priority_group_table)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_priority_group_table_update(self, cee_map=None, priority_group_table=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Keyword Arg Tuple:
			- priority_group_table (PGID, weight, pfc):
				PGID (unicode):
					yang info - ;; Configure Priority Group (PGID 0-7,15.0-15.7)
					pattern - [0-7]|15.[0-7]

				weight (long):
					yang info - Configure DWRR Priority Group (PGID 0-7) weight
					range - ['-2147483648..2147483647']

				pfc (unicode):
					yang info -  Per-priority Flow Control
					enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map')]
        bindings_list = [('pybind.nos.v6_0_2b.cee_map.priority_group_table', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.priority_group_table', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.priority_group_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_group_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'priority_group_table', 'keyval': 'PGID', 'extra_keyval': 'PGID, weight, pfc'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, priority_group_table=priority_group_table)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_priority_group_table_get(self, cee_map=None, priority_group_table=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Keyword Arg Tuple:
			- priority_group_table (PGID, weight, pfc):
				PGID (unicode):
					yang info - ;; Configure Priority Group (PGID 0-7,15.0-15.7)
					pattern - [0-7]|15.[0-7]

				weight (long):
					yang info - Configure DWRR Priority Group (PGID 0-7) weight
					range - ['-2147483648..2147483647']

				pfc (unicode):
					yang info -  Per-priority Flow Control
					enum - [u'on', u'off']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map')]
        bindings_list = [('pybind.nos.v6_0_2b.cee_map.priority_group_table', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.priority_group_table', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.priority_group_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_group_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'priority_group_table', 'keyval': 'PGID', 'extra_keyval': 'PGID, weight, pfc'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, priority_group_table=priority_group_table)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cee_map_priority_table_update(self, cee_map=None, map_cos0_pgid=None, map_cos1_pgid=None, map_cos2_pgid=None, map_cos3_pgid=None, map_cos4_pgid=None, map_cos5_pgid=None, map_cos6_pgid=None, map_cos7_pgid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- map_cos0_pgid (unicode):
				length - [u'1..32']
				pattern - [0-7]|15.[0-7]

			- map_cos1_pgid (unicode):
				length - [u'1..32']
				pattern - [0-7]|15.[0-7]

			- map_cos2_pgid (unicode):
				length - [u'1..32']
				pattern - [0-7]|15.[0-7]

			- map_cos3_pgid (unicode):
				length - [u'1..32']
				pattern - [0-7]|15.[0-7]

			- map_cos4_pgid (unicode):
				length - [u'1..32']
				pattern - [0-7]|15.[0-7]

			- map_cos5_pgid (unicode):
				length - [u'1..32']
				pattern - [0-7]|15.[0-7]

			- map_cos6_pgid (unicode):
				length - [u'1..32']
				pattern - [0-7]|15.[0-7]

			- map_cos7_pgid (unicode):
				length - [u'1..32']
				pattern - [0-7]|15.[0-7]

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map')]
        bindings_list = [('pybind.nos.v6_0_2b.cee_map.priority_table', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.priority_table', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, map_cos0_pgid=map_cos0_pgid, map_cos1_pgid=map_cos1_pgid, map_cos2_pgid=map_cos2_pgid, map_cos3_pgid=map_cos3_pgid, map_cos4_pgid=map_cos4_pgid, map_cos5_pgid=map_cos5_pgid, map_cos6_pgid=map_cos6_pgid, map_cos7_pgid=map_cos7_pgid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_remap_fabric_priority_update(self, cee_map=None, fabric_remapped_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- fabric_remapped_priority (long):
				yang info -  fabric-priority remapped CoS value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map')]
        bindings_list = [('pybind.nos.v6_0_2b.cee_map.remap.fabric_priority', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.remap.fabric_priority', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.remap.fabric_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.fabric_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, fabric_remapped_priority=fabric_remapped_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_remap_fabric_priority_priority_update(self, cee_map=None, fabric_remapped_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- fabric_remapped_priority (long):
				yang info -  fabric-priority remapped CoS value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map')]
        bindings_list = [('pybind.nos.v6_0_2b.cee_map.remap.fabric_priority', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.remap.fabric_priority', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.remap.fabric_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.fabric_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, fabric_remapped_priority=fabric_remapped_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_remap_lossless_priority_update(self, cee_map=None, lossless_remapped_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- lossless_remapped_priority (long):
				yang info -  lossless-priority remapped CoS value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map')]
        bindings_list = [('pybind.nos.v6_0_2b.cee_map.remap.lossless_priority', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.remap.lossless_priority', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.remap.lossless_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.lossless_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, lossless_remapped_priority=lossless_remapped_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cee_map_remap_lossless_priority_priority_update(self, cee_map=None, lossless_remapped_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cee_map (name):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- lossless_remapped_priority (long):
				yang info -  lossless-priority remapped CoS value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map')]
        bindings_list = [('pybind.nos.v6_0_2b.cee_map.remap.lossless_priority', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.remap.lossless_priority', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.remap.lossless_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.lossless_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, lossless_remapped_priority=lossless_remapped_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_create(self, domain=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain (md_name):
				md_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_delete(self, domain=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain (md_name):
				md_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_update(self, domain=None, md_level=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain (md_name):
				md_name (unicode):

		This Instance Arg(s):
			- md_level (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, md_level=md_level)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_get(self, domain=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain (md_name):
				md_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_create(self, domain=None, ma=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

		This Instance Keyword Arg Tuple:
			- ma (ma_name):
				ma_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_delete(self, domain=None, ma=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

		This Instance Keyword Arg Tuple:
			- ma (ma_name):
				ma_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_update(self, domain=None, ma=None, ma_idx=None, ma_type=None, ccm_interval=None, vlan_id=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

		This Instance Keyword Arg Tuple:
			- ma (ma_name):
				ma_name (unicode):

		This Instance Arg(s):
			- ma_idx (int):
				range - ['0..65535']

			- ma_type (int):
				range - ['0..255']

			- ccm_interval (long):
				range - ['0..4294967295']

			- vlan_id (long):
				range - ['0..4294967295']

			- priority (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, ma_idx=ma_idx, ma_type=ma_type, ccm_interval=ccm_interval, vlan_id=vlan_id, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_get(self, domain=None, ma=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

		This Instance Keyword Arg Tuple:
			- ma (ma_name):
				ma_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mep_create(self, domain=None, ma=None, mep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mep_delete(self, domain=None, ma=None, mep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mep_update(self, domain=None, ma=None, mep=None, mep_direction=None, mep_mac=None, mep_port=None, port_state=None, rmep_fail=None, rmep_ok=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- mep_direction (unicode):
				enum - [u'mep-status-up', u'mep-status-down']

			- mep_mac (unicode):

			- mep_port (unicode):

			- port_state (int):
				range - ['0..255']

			- rmep_fail (int):
				range - ['0..65535']

			- rmep_ok (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction, mep_mac=mep_mac, mep_port=mep_port, port_state=port_state, rmep_fail=rmep_fail, rmep_ok=rmep_ok)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mep_get(self, domain=None, ma=None, mep=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mep_rmep_create(self, domain=None, ma=None, mep=None, rmep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- rmep (rmep_id):
				rmep_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, rmep=rmep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mep_rmep_delete(self, domain=None, ma=None, mep=None, rmep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- rmep (rmep_id):
				rmep_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, rmep=rmep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mep_rmep_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_mac=None, vlan_id=None, rmep_port=None, rmep_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- rmep (rmep_id):
				rmep_id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- rmep_mac (unicode):

			- vlan_id (long):
				range - ['0..4294967295']

			- rmep_port (unicode):

			- rmep_state (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac, vlan_id=vlan_id, rmep_port=rmep_port, rmep_state=rmep_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mep_rmep_get(self, domain=None, ma=None, mep=None, rmep=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- rmep (rmep_id):
				rmep_id (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, rmep=rmep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mip_create(self, domain=None, ma=None, mip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mip (vlan_id, port):
				vlan_id (long):
					range - ['0..4294967295']

				port (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mip=mip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mip_delete(self, domain=None, ma=None, mip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mip (vlan_id, port):
				vlan_id (long):
					range - ['0..4294967295']

				port (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mip=mip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mip_update(self, domain=None, ma=None, mip=None, level=None, mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mip (vlan_id, port):
				vlan_id (long):
					range - ['0..4294967295']

				port (unicode):

		This Instance Arg(s):
			- level (int):
				range - ['0..255']

			- mac (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mip=mip, level=level, mac=mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_connectivity_domain_ma_mip_get(self, domain=None, ma=None, mip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mip (vlan_id, port):
				vlan_id (long):
					range - ['0..4294967295']

				port (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mip=mip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_create(self, domain=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain (md_name):
				md_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_delete(self, domain=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain (md_name):
				md_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_update(self, domain=None, md_level=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain (md_name):
				md_name (unicode):

		This Instance Arg(s):
			- md_level (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, md_level=md_level)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_get(self, domain=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain (md_name):
				md_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_create(self, domain=None, ma=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

		This Instance Keyword Arg Tuple:
			- ma (ma_name):
				ma_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_delete(self, domain=None, ma=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

		This Instance Keyword Arg Tuple:
			- ma (ma_name):
				ma_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_update(self, domain=None, ma=None, ma_idx=None, ma_type=None, ccm_interval=None, vlan_id=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

		This Instance Keyword Arg Tuple:
			- ma (ma_name):
				ma_name (unicode):

		This Instance Arg(s):
			- ma_idx (int):
				range - ['0..65535']

			- ma_type (int):
				range - ['0..255']

			- ccm_interval (long):
				range - ['0..4294967295']

			- vlan_id (long):
				range - ['0..4294967295']

			- priority (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, ma_idx=ma_idx, ma_type=ma_type, ccm_interval=ccm_interval, vlan_id=vlan_id, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_get(self, domain=None, ma=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

		This Instance Keyword Arg Tuple:
			- ma (ma_name):
				ma_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mep_create(self, domain=None, ma=None, mep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mep_delete(self, domain=None, ma=None, mep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mep_update(self, domain=None, ma=None, mep=None, mep_direction=None, mep_mac=None, mep_port=None, port_state=None, rmep_fail=None, rmep_ok=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- mep_direction (unicode):
				enum - [u'mep-status-up', u'mep-status-down']

			- mep_mac (unicode):

			- mep_port (unicode):

			- port_state (int):
				range - ['0..255']

			- rmep_fail (int):
				range - ['0..65535']

			- rmep_ok (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction, mep_mac=mep_mac, mep_port=mep_port, port_state=port_state, rmep_fail=rmep_fail, rmep_ok=rmep_ok)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mep_get(self, domain=None, ma=None, mep=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mep_rmep_create(self, domain=None, ma=None, mep=None, rmep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- rmep (rmep_id):
				rmep_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, rmep=rmep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mep_rmep_delete(self, domain=None, ma=None, mep=None, rmep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- rmep (rmep_id):
				rmep_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, rmep=rmep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mep_rmep_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_mac=None, vlan_id=None, rmep_port=None, rmep_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- rmep (rmep_id):
				rmep_id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- rmep_mac (unicode):

			- vlan_id (long):
				range - ['0..4294967295']

			- rmep_port (unicode):

			- rmep_state (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac, vlan_id=vlan_id, rmep_port=rmep_port, rmep_state=rmep_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mep_rmep_get(self, domain=None, ma=None, mep=None, rmep=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

			- mep (mep_id):
				mep_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- rmep (rmep_id):
				rmep_id (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, rmep=rmep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mip_create(self, domain=None, ma=None, mip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mip (vlan_id, port):
				vlan_id (long):
					range - ['0..4294967295']

				port (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mip=mip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mip_delete(self, domain=None, ma=None, mip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mip (vlan_id, port):
				vlan_id (long):
					range - ['0..4294967295']

				port (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mip=mip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mip_update(self, domain=None, ma=None, mip=None, level=None, mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mip (vlan_id, port):
				vlan_id (long):
					range - ['0..4294967295']

				port (unicode):

		This Instance Arg(s):
			- level (int):
				range - ['0..255']

			- mac (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mip=mip, level=level, mac=mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cfm_state_cfm_detail_domain_ma_mip_get(self, domain=None, ma=None, mip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain (md_name):
				md_name (unicode):

			- ma (ma_name):
				ma_name (unicode):

		This Instance Keyword Arg Tuple:
			- mip (vlan_id, port):
				vlan_id (long):
					range - ['0..4294967295']

				port (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mip=mip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def chassis_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.chassis', 'pybind.nos.v6_0_2b.brocade_chassis', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v6_0_2b.brocade_chassis', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.chassis', 'pybind.nos.v7_0_1a.brocade_chassis', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_0_1a.brocade_chassis', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.chassis', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.chassis', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.hide_virtual_ip_holder.chassis', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def chassis_virtual_ip_update(self, virtual_oper_Vip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- virtual_oper_Vip_address (unicode):
				yang info - Show virtual-ip address
				pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v6_0_2b.brocade_chassis', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_0_1a.brocade_chassis', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hide_virtual_ip_holder.chassis', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, virtual_oper_Vip_address=virtual_oper_Vip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def chassis_virtual_ip_v4_update(self, virtual_oper_Vip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- virtual_oper_Vip_address (unicode):
				pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.hide_virtual_ip_holder.chassis.oper_address', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, virtual_oper_Vip_address=virtual_oper_Vip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def class_map_create(self, class_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- class_map (name):
				name (unicode):
					yang info - Class Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.class_map', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.class_map', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.class_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.class_map', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'class_map', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, class_map=class_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def class_map_delete(self, class_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- class_map (name):
				name (unicode):
					yang info - Class Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.class_map', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.class_map', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.class_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.class_map', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'class_map', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, class_map=class_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def class_map_get(self, class_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- class_map (name):
				name (unicode):
					yang info - Class Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.class_map', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.class_map', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.class_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.class_map', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'class_map', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, class_map=class_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def class_map_match_access_group_update(self, class_map=None, access_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- class_map (name):
				name (unicode):
					yang info - Class Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- access_group_name (unicode):
				yang info - Access list name (Max 64)
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.class_map', 'class_map'), ('pybind.nos.v7_0_1a.class_map', 'class_map'), ('pybind.nos.v6_0_2b.class_map', 'class_map'), ('pybind.slxos.v16r_1_00b.class_map', 'class_map')]
        bindings_list = [('pybind.nos.v6_0_2b.class_map.match.access_group', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.class_map.match.access_group', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.class_map.match.access_group', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.class_map.match.access_group', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, class_map=class_map, access_group_name=access_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_auto_bandwidth_sample_history_all_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_auto_bandwidth_sample_history_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_auto_bandwidth_sample_history_lsp_rpc(self, lsp_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- lsp_name (unicode):
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_auto_bandwidth_sample_history_lsp.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp_name=lsp_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_auto_bandwidth_statistics_all_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_auto_bandwidth_statistics_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_auto_bandwidth_statistics_lsp_rpc(self, lsp_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- lsp_name (unicode):
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_auto_bandwidth_statistics_lsp.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp_name=lsp_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_bypass_lsp_rpc(self, mpls_clear_bypass_lsp_name_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mpls_clear_bypass_lsp_name_in (unicode):
				yang info - Bypass-lsp Name
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_bypass_lsp.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_clear_bypass_lsp_name_in=mpls_clear_bypass_lsp_name_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_ldp_neighbor_rpc(self, mpls_clear_all_ldp_sessions=None, mpls_clear_one_ldp_sessions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mpls_clear_all_ldp_sessions (YANGBool):

			- mpls_clear_one_ldp_sessions (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_ldp_neighbor.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_clear_all_ldp_sessions=mpls_clear_all_ldp_sessions, mpls_clear_one_ldp_sessions=mpls_clear_one_ldp_sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_ldp_statistics_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_ldp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_rsvp_statistics_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_rsvp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_rsvp_statistics_neighbor_rpc(self, clear_mpls_rsvp_statistics_neighbor_address=None, clear_mpls_rsvp_statistics_neighbor_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- clear_mpls_rsvp_statistics_neighbor_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- clear_mpls_rsvp_statistics_neighbor_all (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_rsvp_statistics_neighbor.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, clear_mpls_rsvp_statistics_neighbor_address=clear_mpls_rsvp_statistics_neighbor_address, clear_mpls_rsvp_statistics_neighbor_all=clear_mpls_rsvp_statistics_neighbor_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_statistics_rpc(self, mpls_clear_statistics_type=None, mpls_clear_statistics_transit_ldp_fec_prefix=None, mpls_clear_statistics_transit_ldp_prefix_address=None, mpls_clear_statistics_transit_ldp_prefix_mask=None, mpls_clear_statistics_transit_label_id=None, mpls_clear_statistics_tunnel_ldp_id=None, mpls_clear_statistics_tunnel_rsvp_bypass=None, mpls_clear_statistics_tunnel_name=None, mpls_clear_statistics_tunnel_dest=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mpls_clear_statistics_type (long):
				range - ['0..4294967295']

			- mpls_clear_statistics_transit_ldp_fec_prefix (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- mpls_clear_statistics_transit_ldp_prefix_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- mpls_clear_statistics_transit_ldp_prefix_mask (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- mpls_clear_statistics_transit_label_id (long):
				range - ['0..4294967295']

			- mpls_clear_statistics_tunnel_ldp_id (long):
				range - ['0..4294967295']

			- mpls_clear_statistics_tunnel_rsvp_bypass (int):
				range - ['0..255']

			- mpls_clear_statistics_tunnel_name (unicode):

			- mpls_clear_statistics_tunnel_dest (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_statistics.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_clear_statistics_type=mpls_clear_statistics_type, mpls_clear_statistics_transit_ldp_fec_prefix=mpls_clear_statistics_transit_ldp_fec_prefix, mpls_clear_statistics_transit_ldp_prefix_address=mpls_clear_statistics_transit_ldp_prefix_address, mpls_clear_statistics_transit_ldp_prefix_mask=mpls_clear_statistics_transit_ldp_prefix_mask, mpls_clear_statistics_transit_label_id=mpls_clear_statistics_transit_label_id, mpls_clear_statistics_tunnel_ldp_id=mpls_clear_statistics_tunnel_ldp_id, mpls_clear_statistics_tunnel_rsvp_bypass=mpls_clear_statistics_tunnel_rsvp_bypass, mpls_clear_statistics_tunnel_name=mpls_clear_statistics_tunnel_name, mpls_clear_statistics_tunnel_dest=mpls_clear_statistics_tunnel_dest)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_statistics_ldp_transit_rpc(self, clear_statistics_ldp_transit_fec_prefix=None, clear_statistics_ldp_transit_fec_prefix_address=None, clear_statistics_ldp_transit_fec_prefix_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- clear_statistics_ldp_transit_fec_prefix (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- clear_statistics_ldp_transit_fec_prefix_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- clear_statistics_ldp_transit_fec_prefix_mask (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_statistics_ldp_transit.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, clear_statistics_ldp_transit_fec_prefix=clear_statistics_ldp_transit_fec_prefix, clear_statistics_ldp_transit_fec_prefix_address=clear_statistics_ldp_transit_fec_prefix_address, clear_statistics_ldp_transit_fec_prefix_mask=clear_statistics_ldp_transit_fec_prefix_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clear_mpls_statistics_ldp_tunnel_rpc(self, clear_statistics_ldp_tunnel_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- clear_statistics_ldp_tunnel_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.clear_mpls_statistics_ldp_tunnel.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, clear_statistics_ldp_tunnel_id=clear_statistics_ldp_tunnel_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clock_update(self, timezone=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- timezone (unicode):
				yang info - timezone region/city (regions are Africa,
America, Antarctica, Arctic, Asia, Atlantic,
Australia, Europe, Indian, Pacific)
				enum - [u'Atlantic/Canary', u'Australia/Melbourne', u'Antarctica/Mawson', u'America/Nipigon', u'America/Miquelon', u'Indian/Reunion', u'Antarctica/Davis', u'Asia/Dhaka', u'America/St_Lucia', u'Asia/Kashgar', u'America/Phoenix', u'Asia/Kuwait', u'Asia/Hong_Kong', u'Arctic/Longyearbyen', u'Europe/Guernsey', u'Antarctica/Rothera', u'Europe/Stockholm', u'Pacific/Fiji', u'Pacific/Apia', u'Pacific/Pago_Pago', u'Asia/Rangoon', u'America/Mexico_City', u'America/Puerto_Rico', u'Indian/Mauritius', u'Europe/Berlin', u'Europe/Zurich', u'America/Belem', u'Europe/Skopje', u'Asia/Krasnoyarsk', u'Atlantic/Bermuda', u'Australia/Currie', u'Asia/Tehran', u'Asia/Baku', u'America/St_Barthelemy', u'America/Santarem', u'America/Danmarkshavn', u'America/Scoresbysund', u'America/Eirunepe', u'America/Caracas', u'Asia/Baghdad', u'Africa/Monrovia', u'America/St_Vincent', u'America/Vancouver', u'Asia/Ho_Chi_Minh', u'Asia/Thimphu', u'Africa/Accra', u'America/Belize', u'America/Port_of_Spain', u'Asia/Tashkent', u'Asia/Tokyo', u'Pacific/Kiritimati', u'Australia/Sydney', u'Europe/Riga', u'Asia/Dili', u'Africa/Mbabane', u'Asia/Oral', u'Asia/Aden', u'Europe/Isle_of_Man', u'Europe/Istanbul', u'Africa/Abidjan', u'Australia/Lindeman', u'Pacific/Galapagos', u'America/Bogota', u'Africa/Asmara', u'America/Chicago', u'Pacific/Kwajalein', u'America/Cuiaba', u'Indian/Christmas', u'Asia/Jayapura', u'Europe/Brussels', u'Europe/Lisbon', u'Asia/Chongqing', u'America/Argentina/Cordoba', u'America/Noronha', u'Europe/Madrid', u'Africa/Algiers', u'Africa/Harare', u'Africa/Ndjamena', u'America/Costa_Rica', u'Europe/Ljubljana', u'Indian/Mayotte', u'Asia/Phnom_Penh', u'America/Managua', u'Asia/Brunei', u'America/Tijuana', u'Pacific/Fakaofo', u'America/Adak', u'America/Antigua', u'America/Indiana/Indianapolis', u'America/Argentina/La_Rioja', u'Pacific/Tahiti', u'America/Pangnirtung', u'Europe/Zagreb', u'America/Asuncion', u'Europe/Vienna', u'Australia/Hobart', u'America/Juneau', u'America/Inuvik', u'America/Montreal', u'Asia/Seoul', u'Indian/Comoro', u'Europe/Paris', u'Europe/Tallinn', u'Indian/Mahe', u'America/Argentina/Jujuy', u'America/Martinique', u'Asia/Singapore', u'Africa/Nairobi', u'America/Maceio', u'Africa/Cairo', u'Europe/Moscow', u'Asia/Ulaanbaatar', u'America/Rainy_River', u'Indian/Maldives', u'Asia/Colombo', u'Australia/Adelaide', u'America/Cambridge_Bay', u'Africa/Luanda', u'Pacific/Chatham', u'America/Indiana/Winamac', u'Asia/Tbilisi', u'Europe/Gibraltar', u'Asia/Karachi', u'Asia/Harbin', u'Australia/Lord_Howe', u'America/Boa_Vista', u'Africa/Tripoli', u'Pacific/Wallis', u'Atlantic/Stanley', u'Asia/Srednekolymsk', u'America/Blanc-Sablon', u'America/Santo_Domingo', u'Antarctica/Syowa', u'America/Jamaica', u'Europe/Kiev', u'Europe/Budapest', u'Pacific/Midway', u'America/Goose_Bay', u'Asia/Amman', u'Asia/Sakhalin', u'Africa/Windhoek', u'Asia/Katmandu', u'America/Guyana', u'America/Sao_Paulo', u'Australia/Perth', u'Africa/Djibouti', u'Asia/Jakarta', u'Asia/Pyongyang', u'Africa/Johannesburg', u'Asia/Irkutsk', u'Africa/Niamey', u'Africa/Casablanca', u'Asia/Bishkek', u'Africa/Nouakchott', u'Europe/Vilnius', u'America/Cayenne', u'Europe/Greenwich', u'Africa/Mogadishu', u'America/Kentucky/Monticello', u'America/Rio_Branco', u'America/Cancun', u'America/Havana', u'Pacific/Guam', u'Asia/Makassar', u'Atlantic/Azores', u'Australia/Eucla', u'Asia/Shanghai', u'America/Rankin_Inlet', u'America/Iqaluit', u'Africa/Maputo', u'Asia/Bahrain', u'Asia/Ashgabat', u'Asia/Riyadh', u'Europe/London', u'Europe/Warsaw', u'America/Anguilla', u'Asia/Damascus', u'America/North_Dakota/Center', u'America/Indiana/Vevay', u'Atlantic/St_Helena', u'America/Barbados', u'Europe/Vatican', u'America/Indiana/Vincennes', u'Asia/Almaty', u'Africa/Lome', u'Africa/Brazzaville', u'America/Nome', u'Europe/Dublin', u'America/Yakutat', u'America/Argentina/Mendoza', u'America/Araguaina', u'Europe/Vaduz', u'Europe/Minsk', u'Asia/Kolkata', u'Africa/Maseru', u'Asia/Kuching', u'Africa/Libreville', u'Africa/Freetown', u'Africa/Bissau', u'Europe/Samara', u'Europe/Amsterdam', u'Europe/Tirane', u'Pacific/Saipan', u'Asia/Magadan', u'Europe/Zaporozhye', u'America/El_Salvador', u'Europe/Podgorica', u'America/Santiago', u'America/Argentina/Buenos_Aires', u'America/Argentina/San_Luis', u'America/Aruba', u'America/Regina', u'Pacific/Truk', u'Pacific/Funafuti', u'America/Merida', u'America/Guatemala', u'Africa/Sao_Tome', u'Pacific/Kosrae', u'Africa/Bujumbura', u'Europe/Chisinau', u'America/Monterrey', u'Asia/Yekaterinburg', u'Antarctica/Casey', u'Pacific/Enderbury', u'America/Thule', u'America/St_Johns', u'America/Moncton', u'Europe/Helsinki', u'Atlantic/Cape_Verde', u'America/Tegucigalpa', u'Indian/Cocos', u'America/Boise', u'America/Guadeloupe', u'America/Nassau', u'Europe/Prague', u'America/Halifax', u'Asia/Hovd', u'America/Manaus', u'America/Godthab', u'America/Chihuahua', u'Asia/Beirut', u'America/Argentina/Rio_Gallegos', u'Pacific/Gambier', u'Europe/Volgograd', u'Africa/Bamako', u'Europe/Uzhgorod', u'Africa/Banjul', u'Asia/Aqtau', u'Africa/Malabo', u'Atlantic/Madeira', u'Pacific/Noumea', u'Africa/Kinshasa', u'Europe/Malta', u'America/Argentina/Ushuaia', u'Asia/Bangkok', u'Pacific/Niue', u'Australia/Brisbane', u'America/Recife', u'Asia/Yerevan', u'America/La_Paz', u'Asia/Urumqi', u'Africa/Lusaka', u'Pacific/Guadalcanal', u'America/Yellowknife', u'Asia/Vientiane', u'Europe/Kaliningrad', u'Africa/Conakry', u'America/Argentina/Tucuman', u'Europe/Oslo', u'America/St_Kitts', u'America/Panama', u'America/Hermosillo', u'Pacific/Palau', u'America/Guayaquil', u'Asia/Kuala_Lumpur', u'America/Menominee', u'Asia/Kamchatka', u'Asia/Vladivostok', u'Asia/Qatar', u'Asia/Dubai', u'Asia/Yakutsk', u'Asia/Omsk', u'Africa/Bangui', u'America/Paramaribo', u'Africa/Lubumbashi', u'Pacific/Marquesas', u'Europe/Bratislava', u'Asia/Anadyr', u'America/New_York', u'Pacific/Norfolk', u'Pacific/Rarotonga', u'America/Dominica', u'Africa/Porto-Novo', u'Asia/Samarkand', u'Asia/Dushanbe', u'America/Toronto', u'America/Bahia', u'Africa/Kampala', u'Africa/Ouagadougou', u'Antarctica/South_Pole', u'Asia/Muscat', u'America/Edmonton', u'Pacific/Wake', u'America/Indiana/Tell_City', u'Australia/Darwin', u'America/Whitehorse', u'America/Swift_Current', u'Europe/Copenhagen', u'America/Montserrat', u'Europe/Simferopol', u'Africa/Blantyre', u'America/Detroit', u'America/Shiprock', u'America/Grenada', u'Atlantic/Faroe', u'America/Indiana/Petersburg', u'Asia/Pontianak', u'Europe/Athens', u'America/Port-au-Prince', u'America/Cayman', u'Africa/Dar_es_Salaam', u'America/Curacao', u'Indian/Kerguelen', u'Africa/Khartoum', u'Asia/Manila', u'Europe/Sarajevo', u'Africa/Douala', u'Europe/Rome', u'America/Argentina/San_Juan', u'America/North_Dakota/New_Salem', u'Pacific/Port_Moresby', u'Europe/Jersey', u'Europe/Andorra', u'Europe/Luxembourg', u'Pacific/Honolulu', u'America/St_Thomas', u'Pacific/Majuro', u'America/Mazatlan', u'Asia/Macau', u'Europe/Belgrade', u'Asia/Choibalsan', u'Europe/Mariehamn', u'Antarctica/McMurdo', u'America/Thunder_Bay', u'America/Los_Angeles', u'Asia/Kabul', u'Indian/Antananarivo', u'Atlantic/Reykjavik', u'Asia/Nicosia', u'Pacific/Ponape', u'Pacific/Tongatapu', u'America/Marigot', u'Pacific/Pitcairn', u'Pacific/Easter', u'Atlantic/South_Georgia', u'Africa/El_Aaiun', u'America/Campo_Grande', u'America/Dawson_Creek', u'Antarctica/Vostok', u'Europe/Bucharest', u'America/Porto_Velho', u'Europe/Monaco', u'America/Indiana/Marengo', u'Africa/Ceuta', u'America/Winnipeg', u'Asia/Aqtobe', u'Africa/Dakar', u'America/Fortaleza', u'Pacific/Tarawa', u'America/Dawson', u'Africa/Addis_Ababa', u'Pacific/Efate', u'Pacific/Johnston', u'Asia/Qyzylorda', u'Europe/San_Marino', u'Asia/Jerusalem', u'Pacific/Auckland', u'America/Tortola', u'America/Denver', u'Indian/Chagos', u'America/Glace_Bay', u'Africa/Gaborone', u'Africa/Tunis', u'America/Montevideo', u'America/Resolute', u'Etc/GMT', u'Asia/Gaza', u'Asia/Taipei', u'Antarctica/DumontDUrville', u'America/Argentina/Catamarca', u'America/Indiana/Knox', u'Asia/Novosibirsk', u'Africa/Kigali', u'America/Grand_Turk', u'Africa/Lagos', u'Europe/Sofia', u'America/Lima', u'America/Anchorage', u'Pacific/Nauru']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.clock_sa.clock', 'pybind.nos.v6_0_2b.brocade_clock', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.clock_sa.clock', 'pybind.nos.v7_0_1a.brocade_clock', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.clock_sa.clock', 'pybind.nos.v7_1_0.brocade_clock', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.clock_sa.clock', 'pybind.slxos.v16r_1_00b.brocade_clock', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timezone=timezone)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def clock_timezone_update(self, timezone=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- timezone (unicode):
				yang info - timezone region/city (regions are Africa,
America, Antarctica, Arctic, Asia, Atlantic,
Australia, Europe, Indian, Pacific)
				enum - [u'Atlantic/Canary', u'Australia/Melbourne', u'Antarctica/Mawson', u'America/Nipigon', u'America/Miquelon', u'Indian/Reunion', u'Antarctica/Davis', u'Asia/Dhaka', u'America/St_Lucia', u'Asia/Kashgar', u'America/Phoenix', u'Asia/Kuwait', u'Asia/Hong_Kong', u'Arctic/Longyearbyen', u'Europe/Guernsey', u'Antarctica/Rothera', u'Europe/Stockholm', u'Pacific/Fiji', u'Pacific/Apia', u'Pacific/Pago_Pago', u'Asia/Rangoon', u'America/Mexico_City', u'America/Puerto_Rico', u'Indian/Mauritius', u'Europe/Berlin', u'Europe/Zurich', u'America/Belem', u'Europe/Skopje', u'Asia/Krasnoyarsk', u'Atlantic/Bermuda', u'Australia/Currie', u'Asia/Tehran', u'Asia/Baku', u'America/St_Barthelemy', u'America/Santarem', u'America/Danmarkshavn', u'America/Scoresbysund', u'America/Eirunepe', u'America/Caracas', u'Asia/Baghdad', u'Africa/Monrovia', u'America/St_Vincent', u'America/Vancouver', u'Asia/Ho_Chi_Minh', u'Asia/Thimphu', u'Africa/Accra', u'America/Belize', u'America/Port_of_Spain', u'Asia/Tashkent', u'Asia/Tokyo', u'Pacific/Kiritimati', u'Australia/Sydney', u'Europe/Riga', u'Asia/Dili', u'Africa/Mbabane', u'Asia/Oral', u'Asia/Aden', u'Europe/Isle_of_Man', u'Europe/Istanbul', u'Africa/Abidjan', u'Australia/Lindeman', u'Pacific/Galapagos', u'America/Bogota', u'Africa/Asmara', u'America/Chicago', u'Pacific/Kwajalein', u'America/Cuiaba', u'Indian/Christmas', u'Asia/Jayapura', u'Europe/Brussels', u'Europe/Lisbon', u'Asia/Chongqing', u'America/Argentina/Cordoba', u'America/Noronha', u'Europe/Madrid', u'Africa/Algiers', u'Africa/Harare', u'Africa/Ndjamena', u'America/Costa_Rica', u'Europe/Ljubljana', u'Indian/Mayotte', u'Asia/Phnom_Penh', u'America/Managua', u'Asia/Brunei', u'America/Tijuana', u'Pacific/Fakaofo', u'America/Adak', u'America/Antigua', u'America/Indiana/Indianapolis', u'America/Argentina/La_Rioja', u'Pacific/Tahiti', u'America/Pangnirtung', u'Europe/Zagreb', u'America/Asuncion', u'Europe/Vienna', u'Australia/Hobart', u'America/Juneau', u'America/Inuvik', u'America/Montreal', u'Asia/Seoul', u'Indian/Comoro', u'Europe/Paris', u'Europe/Tallinn', u'Indian/Mahe', u'America/Argentina/Jujuy', u'America/Martinique', u'Asia/Singapore', u'Africa/Nairobi', u'America/Maceio', u'Africa/Cairo', u'Europe/Moscow', u'Asia/Ulaanbaatar', u'America/Rainy_River', u'Indian/Maldives', u'Asia/Colombo', u'Australia/Adelaide', u'America/Cambridge_Bay', u'Africa/Luanda', u'Pacific/Chatham', u'America/Indiana/Winamac', u'Asia/Tbilisi', u'Europe/Gibraltar', u'Asia/Karachi', u'Asia/Harbin', u'Australia/Lord_Howe', u'America/Boa_Vista', u'Africa/Tripoli', u'Pacific/Wallis', u'Atlantic/Stanley', u'Asia/Srednekolymsk', u'America/Blanc-Sablon', u'America/Santo_Domingo', u'Antarctica/Syowa', u'America/Jamaica', u'Europe/Kiev', u'Europe/Budapest', u'Pacific/Midway', u'America/Goose_Bay', u'Asia/Amman', u'Asia/Sakhalin', u'Africa/Windhoek', u'Asia/Katmandu', u'America/Guyana', u'America/Sao_Paulo', u'Australia/Perth', u'Africa/Djibouti', u'Asia/Jakarta', u'Asia/Pyongyang', u'Africa/Johannesburg', u'Asia/Irkutsk', u'Africa/Niamey', u'Africa/Casablanca', u'Asia/Bishkek', u'Africa/Nouakchott', u'Europe/Vilnius', u'America/Cayenne', u'Europe/Greenwich', u'Africa/Mogadishu', u'America/Kentucky/Monticello', u'America/Rio_Branco', u'America/Cancun', u'America/Havana', u'Pacific/Guam', u'Asia/Makassar', u'Atlantic/Azores', u'Australia/Eucla', u'Asia/Shanghai', u'America/Rankin_Inlet', u'America/Iqaluit', u'Africa/Maputo', u'Asia/Bahrain', u'Asia/Ashgabat', u'Asia/Riyadh', u'Europe/London', u'Europe/Warsaw', u'America/Anguilla', u'Asia/Damascus', u'America/North_Dakota/Center', u'America/Indiana/Vevay', u'Atlantic/St_Helena', u'America/Barbados', u'Europe/Vatican', u'America/Indiana/Vincennes', u'Asia/Almaty', u'Africa/Lome', u'Africa/Brazzaville', u'America/Nome', u'Europe/Dublin', u'America/Yakutat', u'America/Argentina/Mendoza', u'America/Araguaina', u'Europe/Vaduz', u'Europe/Minsk', u'Asia/Kolkata', u'Africa/Maseru', u'Asia/Kuching', u'Africa/Libreville', u'Africa/Freetown', u'Africa/Bissau', u'Europe/Samara', u'Europe/Amsterdam', u'Europe/Tirane', u'Pacific/Saipan', u'Asia/Magadan', u'Europe/Zaporozhye', u'America/El_Salvador', u'Europe/Podgorica', u'America/Santiago', u'America/Argentina/Buenos_Aires', u'America/Argentina/San_Luis', u'America/Aruba', u'America/Regina', u'Pacific/Truk', u'Pacific/Funafuti', u'America/Merida', u'America/Guatemala', u'Africa/Sao_Tome', u'Pacific/Kosrae', u'Africa/Bujumbura', u'Europe/Chisinau', u'America/Monterrey', u'Asia/Yekaterinburg', u'Antarctica/Casey', u'Pacific/Enderbury', u'America/Thule', u'America/St_Johns', u'America/Moncton', u'Europe/Helsinki', u'Atlantic/Cape_Verde', u'America/Tegucigalpa', u'Indian/Cocos', u'America/Boise', u'America/Guadeloupe', u'America/Nassau', u'Europe/Prague', u'America/Halifax', u'Asia/Hovd', u'America/Manaus', u'America/Godthab', u'America/Chihuahua', u'Asia/Beirut', u'America/Argentina/Rio_Gallegos', u'Pacific/Gambier', u'Europe/Volgograd', u'Africa/Bamako', u'Europe/Uzhgorod', u'Africa/Banjul', u'Asia/Aqtau', u'Africa/Malabo', u'Atlantic/Madeira', u'Pacific/Noumea', u'Africa/Kinshasa', u'Europe/Malta', u'America/Argentina/Ushuaia', u'Asia/Bangkok', u'Pacific/Niue', u'Australia/Brisbane', u'America/Recife', u'Asia/Yerevan', u'America/La_Paz', u'Asia/Urumqi', u'Africa/Lusaka', u'Pacific/Guadalcanal', u'America/Yellowknife', u'Asia/Vientiane', u'Europe/Kaliningrad', u'Africa/Conakry', u'America/Argentina/Tucuman', u'Europe/Oslo', u'America/St_Kitts', u'America/Panama', u'America/Hermosillo', u'Pacific/Palau', u'America/Guayaquil', u'Asia/Kuala_Lumpur', u'America/Menominee', u'Asia/Kamchatka', u'Asia/Vladivostok', u'Asia/Qatar', u'Asia/Dubai', u'Asia/Yakutsk', u'Asia/Omsk', u'Africa/Bangui', u'America/Paramaribo', u'Africa/Lubumbashi', u'Pacific/Marquesas', u'Europe/Bratislava', u'Asia/Anadyr', u'America/New_York', u'Pacific/Norfolk', u'Pacific/Rarotonga', u'America/Dominica', u'Africa/Porto-Novo', u'Asia/Samarkand', u'Asia/Dushanbe', u'America/Toronto', u'America/Bahia', u'Africa/Kampala', u'Africa/Ouagadougou', u'Antarctica/South_Pole', u'Asia/Muscat', u'America/Edmonton', u'Pacific/Wake', u'America/Indiana/Tell_City', u'Australia/Darwin', u'America/Whitehorse', u'America/Swift_Current', u'Europe/Copenhagen', u'America/Montserrat', u'Europe/Simferopol', u'Africa/Blantyre', u'America/Detroit', u'America/Shiprock', u'America/Grenada', u'Atlantic/Faroe', u'America/Indiana/Petersburg', u'Asia/Pontianak', u'Europe/Athens', u'America/Port-au-Prince', u'America/Cayman', u'Africa/Dar_es_Salaam', u'America/Curacao', u'Indian/Kerguelen', u'Africa/Khartoum', u'Asia/Manila', u'Europe/Sarajevo', u'Africa/Douala', u'Europe/Rome', u'America/Argentina/San_Juan', u'America/North_Dakota/New_Salem', u'Pacific/Port_Moresby', u'Europe/Jersey', u'Europe/Andorra', u'Europe/Luxembourg', u'Pacific/Honolulu', u'America/St_Thomas', u'Pacific/Majuro', u'America/Mazatlan', u'Asia/Macau', u'Europe/Belgrade', u'Asia/Choibalsan', u'Europe/Mariehamn', u'Antarctica/McMurdo', u'America/Thunder_Bay', u'America/Los_Angeles', u'Asia/Kabul', u'Indian/Antananarivo', u'Atlantic/Reykjavik', u'Asia/Nicosia', u'Pacific/Ponape', u'Pacific/Tongatapu', u'America/Marigot', u'Pacific/Pitcairn', u'Pacific/Easter', u'Atlantic/South_Georgia', u'Africa/El_Aaiun', u'America/Campo_Grande', u'America/Dawson_Creek', u'Antarctica/Vostok', u'Europe/Bucharest', u'America/Porto_Velho', u'Europe/Monaco', u'America/Indiana/Marengo', u'Africa/Ceuta', u'America/Winnipeg', u'Asia/Aqtobe', u'Africa/Dakar', u'America/Fortaleza', u'Pacific/Tarawa', u'America/Dawson', u'Africa/Addis_Ababa', u'Pacific/Efate', u'Pacific/Johnston', u'Asia/Qyzylorda', u'Europe/San_Marino', u'Asia/Jerusalem', u'Pacific/Auckland', u'America/Tortola', u'America/Denver', u'Indian/Chagos', u'America/Glace_Bay', u'Africa/Gaborone', u'Africa/Tunis', u'America/Montevideo', u'America/Resolute', u'Etc/GMT', u'Asia/Gaza', u'Asia/Taipei', u'Antarctica/DumontDUrville', u'America/Argentina/Catamarca', u'America/Indiana/Knox', u'Asia/Novosibirsk', u'Africa/Kigali', u'America/Grand_Turk', u'Africa/Lagos', u'Europe/Sofia', u'America/Lima', u'America/Anchorage', u'Pacific/Nauru']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.clock_sa.clock', 'pybind.nos.v6_0_2b.brocade_clock', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.clock_sa.clock', 'pybind.nos.v7_0_1a.brocade_clock', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.clock_sa.clock', 'pybind.nos.v7_1_0.brocade_clock', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.clock_sa.clock', 'pybind.slxos.v16r_1_00b.brocade_clock', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timezone=timezone)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_create(self, cluster=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_delete(self, cluster=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_update(self, cluster=None, client_interfaces_shutdown=None, client_isolation_strict=None, designated_forwarder_hold_time=None, deploy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

		This Instance Arg(s):
			- client_interfaces_shutdown (YANGBool):
				yang info - Disable the cluster client interfaces

			- client_isolation_strict (YANGBool):
				yang info - Configure cluster client isolation mode strict

			- designated_forwarder_hold_time (int):
				yang info - Time in seconds to wait before electing a designated forwarder (Range:<1-60>, default:3)
				range - ['0..65535']

			- deploy (YANGBool):
				yang info - Deploy the Cluster

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, client_interfaces_shutdown=client_interfaces_shutdown, client_isolation_strict=client_isolation_strict, designated_forwarder_hold_time=designated_forwarder_hold_time, deploy=deploy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_get(self, cluster=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cluster_client_create(self, cluster=None, client=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- client (client_name, client_id):
				client_name (unicode):
					yang info - Name for the Cluster Client (MAX: 64 Characters)
					length - [u'1..64']

				client_id (long):
					yang info - Id for the Cluster Client (Range: 1 - 512)
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'client', 'keyval': 'client_name, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, client=client)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_client_delete(self, cluster=None, client=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- client (client_name, client_id):
				client_name (unicode):
					yang info - Name for the Cluster Client (MAX: 64 Characters)
					length - [u'1..64']

				client_id (long):
					yang info - Id for the Cluster Client (Range: 1 - 512)
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'client', 'keyval': 'client_name, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, client=client)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_client_update(self, cluster=None, client=None, esi=None, client_deploy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- client (client_name, client_id):
				client_name (unicode):
					yang info - Name for the Cluster Client (MAX: 64 Characters)
					length - [u'1..64']

				client_id (long):
					yang info - Id for the Cluster Client (Range: 1 - 512)
					range - ['0..4294967295']

		This Instance Arg(s):
			- esi (unicode):
				yang info - Configure cluster client ESI HH:HH:HH:HH:HH:HH:HH:HH:HH , HH - in Hexadecimal Format
				pattern - ([0-9a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})(;[0-9a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})*

			- client_deploy (YANGBool):
				yang info -  Cluster Client Deploy

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'client', 'keyval': 'client_name, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, client=client, esi=esi, client_deploy=client_deploy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_client_get(self, cluster=None, client=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- client (client_name, client_id):
				client_name (unicode):
					yang info - Name for the Cluster Client (MAX: 64 Characters)
					length - [u'1..64']

				client_id (long):
					yang info - Id for the Cluster Client (Range: 1 - 512)
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'client', 'keyval': 'client_name, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, client=client)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cluster_client_client_interface_update(self, cluster=None, client=None, if_type=None, if_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

			- client (client_name, client_id):
				client_name (unicode):
					yang info - Name for the Cluster Client (MAX: 64 Characters)
					length - [u'1..64']

				client_id (long):
					yang info - Id for the Cluster Client (Range: 1 - 512)
					range - ['0..4294967295']

		This Instance Arg(s):
			- if_type (unicode):
				yang info - Interface Type
				enum - [u'Ethernet', u'Port-channel']

			- if_value (unicode):
				yang info - Client Interface Name
				length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster'), ('pybind.slxos.v16r_1_00b.cluster.client', u'client')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client.client_interface', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'client_name, client_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, client=client, if_type=if_type, if_value=if_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_member_vlan_update(self, cluster=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

		This Instance Arg(s):
			- add_ (unicode):
				yang info - Allow these VLANs under MCT 
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				yang info - Remove a VLAN range that Xmit/Rx
through the Layer2 interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_member_vlan_add_update(self, cluster=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

		This Instance Arg(s):
			- add_ (unicode):
				yang info - Allow these VLANs under MCT 
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				yang info - Remove a VLAN range that Xmit/Rx
through the Layer2 interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_peer_create(self, cluster=None, peer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- peer (peer_ip):
				peer_ip (unicode):
					yang info - MCT Peer node IP Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster.peer', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, peer=peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_peer_delete(self, cluster=None, peer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- peer (peer_ip):
				peer_ip (unicode):
					yang info - MCT Peer node IP Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster.peer', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, peer=peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cluster_peer_get(self, cluster=None, peer=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cluster (cluster_name, cluster_id):
				cluster_name (unicode):
					yang info - Name for the Cluster (MAX: 64 Characters)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				cluster_id (long):
					yang info - Id for the Cluster (Range: 1 - 65535
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- peer (peer_ip):
				peer_ip (unicode):
					yang info - MCT Peer node IP Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cluster.peer', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, peer=peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def control_plane_ipv6_subnet_rate_limit_update(self, cir=None, cbr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cir (long):
				yang info - Rate Value
				range - ['0..4294967295']

			- cbr (long):
				yang info - Burst Value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.control_plane.ipv6.subnet_rate_limit', 'pybind.slxos.v16r_1_00b.brocade_control_plane', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cir=cir, cbr=cbr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def control_plane_ipv6_subnet_rate_limit_cbr_update(self, cir=None, cbr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cir (long):
				yang info - Rate Value
				range - ['0..4294967295']

			- cbr (long):
				yang info - Burst Value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.control_plane.ipv6.subnet_rate_limit', 'pybind.slxos.v16r_1_00b.brocade_control_plane', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cir=cir, cbr=cbr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def counts_state_update(self, areamis=None, maxareamis=None, badidlen=None, seqskip=None, seqerr=None, l1dbol=None, l2dbol=None, ownpurge=None, csnp_l1authfail=None, csnp_l2authfail=None, psnp_l1authfail=None, psnp_l2authfail=None, circ_l1authfail=None, circ_l2authfail=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- areamis (long):
				range - ['0..4294967295']

			- maxareamis (long):
				range - ['0..4294967295']

			- badidlen (long):
				range - ['0..4294967295']

			- seqskip (long):
				range - ['0..4294967295']

			- seqerr (long):
				range - ['0..4294967295']

			- l1dbol (long):
				range - ['0..4294967295']

			- l2dbol (long):
				range - ['0..4294967295']

			- ownpurge (long):
				range - ['0..4294967295']

			- csnp_l1authfail (long):
				range - ['0..4294967295']

			- csnp_l2authfail (long):
				range - ['0..4294967295']

			- psnp_l1authfail (long):
				range - ['0..4294967295']

			- psnp_l2authfail (long):
				range - ['0..4294967295']

			- circ_l1authfail (long):
				range - ['0..4294967295']

			- circ_l2authfail (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, areamis=areamis, maxareamis=maxareamis, badidlen=badidlen, seqskip=seqskip, seqerr=seqerr, l1dbol=l1dbol, l2dbol=l2dbol, ownpurge=ownpurge, csnp_l1authfail=csnp_l1authfail, csnp_l2authfail=csnp_l2authfail, psnp_l1authfail=psnp_l1authfail, psnp_l2authfail=psnp_l2authfail, circ_l1authfail=circ_l1authfail, circ_l2authfail=circ_l2authfail)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def counts_state_areamis_update(self, areamis=None, maxareamis=None, badidlen=None, seqskip=None, seqerr=None, l1dbol=None, l2dbol=None, ownpurge=None, csnp_l1authfail=None, csnp_l2authfail=None, psnp_l1authfail=None, psnp_l2authfail=None, circ_l1authfail=None, circ_l2authfail=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- areamis (long):
				range - ['0..4294967295']

			- maxareamis (long):
				range - ['0..4294967295']

			- badidlen (long):
				range - ['0..4294967295']

			- seqskip (long):
				range - ['0..4294967295']

			- seqerr (long):
				range - ['0..4294967295']

			- l1dbol (long):
				range - ['0..4294967295']

			- l2dbol (long):
				range - ['0..4294967295']

			- ownpurge (long):
				range - ['0..4294967295']

			- csnp_l1authfail (long):
				range - ['0..4294967295']

			- csnp_l2authfail (long):
				range - ['0..4294967295']

			- psnp_l1authfail (long):
				range - ['0..4294967295']

			- psnp_l2authfail (long):
				range - ['0..4294967295']

			- circ_l1authfail (long):
				range - ['0..4294967295']

			- circ_l2authfail (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, areamis=areamis, maxareamis=maxareamis, badidlen=badidlen, seqskip=seqskip, seqerr=seqerr, l1dbol=l1dbol, l2dbol=l2dbol, ownpurge=ownpurge, csnp_l1authfail=csnp_l1authfail, csnp_l2authfail=csnp_l2authfail, psnp_l1authfail=psnp_l1authfail, psnp_l2authfail=psnp_l2authfail, circ_l1authfail=circ_l1authfail, circ_l2authfail=circ_l2authfail)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def counts_state_bad_lsp_log_create(self, bad_lsp_log=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bad_lsp_log (type_index):
				type_index (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.counts_state.bad_lsp_log', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bad_lsp_log', 'keyval': 'type_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bad_lsp_log=bad_lsp_log)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def counts_state_bad_lsp_log_delete(self, bad_lsp_log=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bad_lsp_log (type_index):
				type_index (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.counts_state.bad_lsp_log', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bad_lsp_log', 'keyval': 'type_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bad_lsp_log=bad_lsp_log)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def counts_state_bad_lsp_log_update(self, bad_lsp_log=None, time_stamp=None, l1_count=None, l2_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bad_lsp_log (type_index):
				type_index (int):
					range - ['0..255']

		This Instance Arg(s):
			- time_stamp (long):
				range - ['0..4294967295']

			- l1_count (long):
				range - ['0..4294967295']

			- l2_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.counts_state.bad_lsp_log', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bad_lsp_log', 'keyval': 'type_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bad_lsp_log=bad_lsp_log, time_stamp=time_stamp, l1_count=l1_count, l2_count=l2_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def counts_state_bad_lsp_log_get(self, bad_lsp_log=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bad_lsp_log (type_index):
				type_index (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.counts_state.bad_lsp_log', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bad_lsp_log', 'keyval': 'type_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bad_lsp_log=bad_lsp_log)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_create(self, cpu_cfg_slot=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_slot', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_delete(self, cpu_cfg_slot=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_slot', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_get(self, cpu_cfg_slot=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_slot', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_data_create(self, cpu_cfg_slot=None, cpu_cfg_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_data_delete(self, cpu_cfg_slot=None, cpu_cfg_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_data_update(self, cpu_cfg_slot=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- burst_size (long):
				range - ['0..4294967295']

			- wfq_value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_data_get(self, cpu_cfg_slot=None, cpu_cfg_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_create(self, cpu_cfg_slot=None, cpu_cfg_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_group', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_delete(self, cpu_cfg_slot=None, cpu_cfg_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_group', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_get(self, cpu_cfg_slot=None, cpu_cfg_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_group', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_data_create(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_data_delete(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_data_update(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- burst_size (long):
				range - ['0..4294967295']

			- wfq_value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_data_get(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_create(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_prio (prio_id):
				prio_id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_prio', 'keyval': 'prio_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_delete(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_prio (prio_id):
				prio_id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_prio', 'keyval': 'prio_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_get(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_prio (prio_id):
				prio_id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_prio', 'keyval': 'prio_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_cpu_cfg_data_create(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, cpu_cfg_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

			- cpu_cfg_prio (prio_id):
				prio_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', u'cpu_cfg_prio')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'prio_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_cpu_cfg_data_delete(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, cpu_cfg_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

			- cpu_cfg_prio (prio_id):
				prio_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', u'cpu_cfg_prio')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'prio_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_cpu_cfg_data_update(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

			- cpu_cfg_prio (prio_id):
				prio_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- burst_size (long):
				range - ['0..4294967295']

			- wfq_value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', u'cpu_cfg_prio')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'prio_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_cpu_cfg_data_get(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, cpu_cfg_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_cfg_slot (slot_id):
				slot_id (int):
					range - ['0..255']

			- cpu_cfg_group (group_id):
				group_id (int):
					range - ['0..255']

			- cpu_cfg_prio (prio_id):
				prio_id (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- cpu_cfg_data (shaper_rate):
				shaper_rate (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', u'cpu_cfg_prio')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'prio_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cpu_info_state_cpu_info_egid_create(self, cpu_info_egid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cpu_info_egid (group_id):
				group_id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_info_state.cpu_info_egid', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cpu_info_egid', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_info_egid=cpu_info_egid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_info_state_cpu_info_egid_delete(self, cpu_info_egid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cpu_info_egid (group_id):
				group_id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_info_state.cpu_info_egid', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cpu_info_egid', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_info_egid=cpu_info_egid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_info_state_cpu_info_egid_update(self, cpu_info_egid=None, name=None, egid=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cpu_info_egid (group_id):
				group_id (int):
					range - ['0..255']

		This Instance Arg(s):
			- name (unicode):

			- egid (long):
				range - ['0..4294967295']

			- description (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_info_state.cpu_info_egid', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cpu_info_egid', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_info_egid=cpu_info_egid, name=name, egid=egid, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_info_state_cpu_info_egid_get(self, cpu_info_egid=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cpu_info_egid (group_id):
				group_id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_info_state.cpu_info_egid', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cpu_info_egid', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_info_egid=cpu_info_egid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cpu_interface_state_create(self, cpu_interface_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cpu_interface_state (ifname):
				ifname (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cpu_interface_state', 'keyval': 'ifname', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_interface_state_delete(self, cpu_interface_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cpu_interface_state (ifname):
				ifname (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cpu_interface_state', 'keyval': 'ifname', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_interface_state_get(self, cpu_interface_state=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cpu_interface_state (ifname):
				ifname (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'cpu_interface_state', 'keyval': 'ifname', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def cpu_interface_state_gos_stats_update(self, cpu_interface_state=None, link_status=None, tx_pkts_cnt=None, tx_bytes_cnt=None, tx_errors_cnt=None, tx_drop_cnt=None, tx_overrun_error_cnt=None, tx_carrier_error_cnt=None, rx_pkts_cnt=None, rx_bytes_cnt=None, rx_errors_cnt=None, rx_drop_cnt=None, rx_overrun_error_cnt=None, rx_frame_error_cnt=None, tx_aborted_error_cnt=None, tx_fifo_error_cnt=None, tx_timeout_cnt=None, tx_flow_control_xon_cnt=None, tx_flow_control_xoff_cnt=None, tx_pkts_64bytes_cnt=None, tx_pkts_64_127bytes_cnt=None, tx_pkts_128_255bytes_cnt=None, tx_pkts_256_511bytes_cnt=None, tx_pkts_512_1023bytes_cnt=None, tx_pkts_1024bytes_max_cnt=None, tx_bcast_pkts_cnt=None, tx_mcast_pkts_cnt=None, rx_crc_error_cnt=None, rx_fifo_error_cnt=None, rx_missed_errors_cnt=None, rx_no_dma_resource_cnt=None, rx_flow_control_xon_cnt=None, rx_flow_control_xoff_cnt=None, rx_pkts_64bytes_cnt=None, rx_pkts_64_127bytes_cnt=None, rx_pkts_128_255bytes_cnt=None, rx_pkts_256_511bytes_cnt=None, rx_pkts_512_1023bytes_cnt=None, rx_pkts_1024bytes_max_cnt=None, rx_good_pkts_cnt=None, rx_bcast_pkts_cnt=None, rx_mcast_pkts_cnt=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_interface_state (ifname):
				ifname (unicode):

		This Instance Arg(s):
			- link_status (unicode):

			- tx_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- tx_bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_errors_cnt (long):
				range - ['0..18446744073709551615']

			- tx_drop_cnt (long):
				range - ['0..18446744073709551615']

			- tx_overrun_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_carrier_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_errors_cnt (long):
				range - ['0..18446744073709551615']

			- rx_drop_cnt (long):
				range - ['0..18446744073709551615']

			- rx_overrun_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_frame_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_aborted_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_fifo_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_timeout_cnt (long):
				range - ['0..18446744073709551615']

			- tx_flow_control_xon_cnt (long):
				range - ['0..18446744073709551615']

			- tx_flow_control_xoff_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_64bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_64_127bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_128_255bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_256_511bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_512_1023bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_1024bytes_max_cnt (long):
				range - ['0..18446744073709551615']

			- tx_bcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- tx_mcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_crc_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_fifo_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_missed_errors_cnt (long):
				range - ['0..18446744073709551615']

			- rx_no_dma_resource_cnt (long):
				range - ['0..18446744073709551615']

			- rx_flow_control_xon_cnt (long):
				range - ['0..18446744073709551615']

			- rx_flow_control_xoff_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_64bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_64_127bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_128_255bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_256_511bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_512_1023bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_1024bytes_max_cnt (long):
				range - ['0..18446744073709551615']

			- rx_good_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_bcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_mcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_interface_state_gos_stats_link_status_update(self, cpu_interface_state=None, link_status=None, tx_pkts_cnt=None, tx_bytes_cnt=None, tx_errors_cnt=None, tx_drop_cnt=None, tx_overrun_error_cnt=None, tx_carrier_error_cnt=None, rx_pkts_cnt=None, rx_bytes_cnt=None, rx_errors_cnt=None, rx_drop_cnt=None, rx_overrun_error_cnt=None, rx_frame_error_cnt=None, tx_aborted_error_cnt=None, tx_fifo_error_cnt=None, tx_timeout_cnt=None, tx_flow_control_xon_cnt=None, tx_flow_control_xoff_cnt=None, tx_pkts_64bytes_cnt=None, tx_pkts_64_127bytes_cnt=None, tx_pkts_128_255bytes_cnt=None, tx_pkts_256_511bytes_cnt=None, tx_pkts_512_1023bytes_cnt=None, tx_pkts_1024bytes_max_cnt=None, tx_bcast_pkts_cnt=None, tx_mcast_pkts_cnt=None, rx_crc_error_cnt=None, rx_fifo_error_cnt=None, rx_missed_errors_cnt=None, rx_no_dma_resource_cnt=None, rx_flow_control_xon_cnt=None, rx_flow_control_xoff_cnt=None, rx_pkts_64bytes_cnt=None, rx_pkts_64_127bytes_cnt=None, rx_pkts_128_255bytes_cnt=None, rx_pkts_256_511bytes_cnt=None, rx_pkts_512_1023bytes_cnt=None, rx_pkts_1024bytes_max_cnt=None, rx_good_pkts_cnt=None, rx_bcast_pkts_cnt=None, rx_mcast_pkts_cnt=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_interface_state (ifname):
				ifname (unicode):

		This Instance Arg(s):
			- link_status (unicode):

			- tx_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- tx_bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_errors_cnt (long):
				range - ['0..18446744073709551615']

			- tx_drop_cnt (long):
				range - ['0..18446744073709551615']

			- tx_overrun_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_carrier_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_errors_cnt (long):
				range - ['0..18446744073709551615']

			- rx_drop_cnt (long):
				range - ['0..18446744073709551615']

			- rx_overrun_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_frame_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_aborted_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_fifo_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_timeout_cnt (long):
				range - ['0..18446744073709551615']

			- tx_flow_control_xon_cnt (long):
				range - ['0..18446744073709551615']

			- tx_flow_control_xoff_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_64bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_64_127bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_128_255bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_256_511bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_512_1023bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_1024bytes_max_cnt (long):
				range - ['0..18446744073709551615']

			- tx_bcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- tx_mcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_crc_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_fifo_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_missed_errors_cnt (long):
				range - ['0..18446744073709551615']

			- rx_no_dma_resource_cnt (long):
				range - ['0..18446744073709551615']

			- rx_flow_control_xon_cnt (long):
				range - ['0..18446744073709551615']

			- rx_flow_control_xoff_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_64bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_64_127bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_128_255bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_256_511bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_512_1023bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_1024bytes_max_cnt (long):
				range - ['0..18446744073709551615']

			- rx_good_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_bcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_mcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_interface_state_host_stats_update(self, cpu_interface_state=None, link_status=None, tx_pkts_cnt=None, tx_bytes_cnt=None, tx_errors_cnt=None, tx_drop_cnt=None, tx_overrun_error_cnt=None, tx_carrier_error_cnt=None, rx_pkts_cnt=None, rx_bytes_cnt=None, rx_errors_cnt=None, rx_drop_cnt=None, rx_overrun_error_cnt=None, rx_frame_error_cnt=None, tx_aborted_error_cnt=None, tx_fifo_error_cnt=None, tx_timeout_cnt=None, tx_flow_control_xon_cnt=None, tx_flow_control_xoff_cnt=None, tx_pkts_64bytes_cnt=None, tx_pkts_64_127bytes_cnt=None, tx_pkts_128_255bytes_cnt=None, tx_pkts_256_511bytes_cnt=None, tx_pkts_512_1023bytes_cnt=None, tx_pkts_1024bytes_max_cnt=None, tx_bcast_pkts_cnt=None, tx_mcast_pkts_cnt=None, rx_crc_error_cnt=None, rx_fifo_error_cnt=None, rx_missed_errors_cnt=None, rx_no_dma_resource_cnt=None, rx_flow_control_xon_cnt=None, rx_flow_control_xoff_cnt=None, rx_pkts_64bytes_cnt=None, rx_pkts_64_127bytes_cnt=None, rx_pkts_128_255bytes_cnt=None, rx_pkts_256_511bytes_cnt=None, rx_pkts_512_1023bytes_cnt=None, rx_pkts_1024bytes_max_cnt=None, rx_good_pkts_cnt=None, rx_bcast_pkts_cnt=None, rx_mcast_pkts_cnt=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_interface_state (ifname):
				ifname (unicode):

		This Instance Arg(s):
			- link_status (unicode):

			- tx_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- tx_bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_errors_cnt (long):
				range - ['0..18446744073709551615']

			- tx_drop_cnt (long):
				range - ['0..18446744073709551615']

			- tx_overrun_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_carrier_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_errors_cnt (long):
				range - ['0..18446744073709551615']

			- rx_drop_cnt (long):
				range - ['0..18446744073709551615']

			- rx_overrun_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_frame_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_aborted_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_fifo_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_timeout_cnt (long):
				range - ['0..18446744073709551615']

			- tx_flow_control_xon_cnt (long):
				range - ['0..18446744073709551615']

			- tx_flow_control_xoff_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_64bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_64_127bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_128_255bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_256_511bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_512_1023bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_1024bytes_max_cnt (long):
				range - ['0..18446744073709551615']

			- tx_bcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- tx_mcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_crc_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_fifo_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_missed_errors_cnt (long):
				range - ['0..18446744073709551615']

			- rx_no_dma_resource_cnt (long):
				range - ['0..18446744073709551615']

			- rx_flow_control_xon_cnt (long):
				range - ['0..18446744073709551615']

			- rx_flow_control_xoff_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_64bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_64_127bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_128_255bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_256_511bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_512_1023bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_1024bytes_max_cnt (long):
				range - ['0..18446744073709551615']

			- rx_good_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_bcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_mcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def cpu_interface_state_host_stats_link_status_update(self, cpu_interface_state=None, link_status=None, tx_pkts_cnt=None, tx_bytes_cnt=None, tx_errors_cnt=None, tx_drop_cnt=None, tx_overrun_error_cnt=None, tx_carrier_error_cnt=None, rx_pkts_cnt=None, rx_bytes_cnt=None, rx_errors_cnt=None, rx_drop_cnt=None, rx_overrun_error_cnt=None, rx_frame_error_cnt=None, tx_aborted_error_cnt=None, tx_fifo_error_cnt=None, tx_timeout_cnt=None, tx_flow_control_xon_cnt=None, tx_flow_control_xoff_cnt=None, tx_pkts_64bytes_cnt=None, tx_pkts_64_127bytes_cnt=None, tx_pkts_128_255bytes_cnt=None, tx_pkts_256_511bytes_cnt=None, tx_pkts_512_1023bytes_cnt=None, tx_pkts_1024bytes_max_cnt=None, tx_bcast_pkts_cnt=None, tx_mcast_pkts_cnt=None, rx_crc_error_cnt=None, rx_fifo_error_cnt=None, rx_missed_errors_cnt=None, rx_no_dma_resource_cnt=None, rx_flow_control_xon_cnt=None, rx_flow_control_xoff_cnt=None, rx_pkts_64bytes_cnt=None, rx_pkts_64_127bytes_cnt=None, rx_pkts_128_255bytes_cnt=None, rx_pkts_256_511bytes_cnt=None, rx_pkts_512_1023bytes_cnt=None, rx_pkts_1024bytes_max_cnt=None, rx_good_pkts_cnt=None, rx_bcast_pkts_cnt=None, rx_mcast_pkts_cnt=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cpu_interface_state (ifname):
				ifname (unicode):

		This Instance Arg(s):
			- link_status (unicode):

			- tx_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- tx_bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_errors_cnt (long):
				range - ['0..18446744073709551615']

			- tx_drop_cnt (long):
				range - ['0..18446744073709551615']

			- tx_overrun_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_carrier_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_errors_cnt (long):
				range - ['0..18446744073709551615']

			- rx_drop_cnt (long):
				range - ['0..18446744073709551615']

			- rx_overrun_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_frame_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_aborted_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_fifo_error_cnt (long):
				range - ['0..18446744073709551615']

			- tx_timeout_cnt (long):
				range - ['0..18446744073709551615']

			- tx_flow_control_xon_cnt (long):
				range - ['0..18446744073709551615']

			- tx_flow_control_xoff_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_64bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_64_127bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_128_255bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_256_511bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_512_1023bytes_cnt (long):
				range - ['0..18446744073709551615']

			- tx_pkts_1024bytes_max_cnt (long):
				range - ['0..18446744073709551615']

			- tx_bcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- tx_mcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_crc_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_fifo_error_cnt (long):
				range - ['0..18446744073709551615']

			- rx_missed_errors_cnt (long):
				range - ['0..18446744073709551615']

			- rx_no_dma_resource_cnt (long):
				range - ['0..18446744073709551615']

			- rx_flow_control_xon_cnt (long):
				range - ['0..18446744073709551615']

			- rx_flow_control_xoff_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_64bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_64_127bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_128_255bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_256_511bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_512_1023bytes_cnt (long):
				range - ['0..18446744073709551615']

			- rx_pkts_1024bytes_max_cnt (long):
				range - ['0..18446744073709551615']

			- rx_good_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_bcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- rx_mcast_pkts_cnt (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def crypto_ca_create(self, ca=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ca (trustpoint):
				trustpoint (unicode):
					yang info - Trustpoint name
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.ca', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ca=ca)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def crypto_ca_delete(self, ca=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ca (trustpoint):
				trustpoint (unicode):
					yang info - Trustpoint name
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.ca', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ca=ca)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def crypto_ca_update(self, ca=None, keypair=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ca (trustpoint):
				trustpoint (unicode):
					yang info - Trustpoint name
					length - [u'1..64']

		This Instance Arg(s):
			- keypair (unicode):
				yang info - Key pair association
				length - [u'0..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.ca', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ca=ca, keypair=keypair)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def crypto_ca_get(self, ca=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ca (trustpoint):
				trustpoint (unicode):
					yang info - Trustpoint name
					length - [u'1..64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.ca', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ca=ca)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def crypto_key_create(self, key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- key (label, type, modulus):
				label (unicode):
					yang info - Key Label
					length - [u'1..64']

				type (unicode):
					yang info - Key Type
					enum - [u'dsa', u'rsa', u'ecdsa']

				modulus (long):
					yang info - Key Size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.key', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, key=key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def crypto_key_delete(self, key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- key (label, type, modulus):
				label (unicode):
					yang info - Key Label
					length - [u'1..64']

				type (unicode):
					yang info - Key Type
					enum - [u'dsa', u'rsa', u'ecdsa']

				modulus (long):
					yang info - Key Size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.key', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, key=key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def crypto_key_update(self, key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- key (label, type, modulus):
				label (unicode):
					yang info - Key Label
					length - [u'1..64']

				type (unicode):
					yang info - Key Type
					enum - [u'dsa', u'rsa', u'ecdsa']

				modulus (long):
					yang info - Key Size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.key', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, key=key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def crypto_key_get(self, key=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- key (label, type, modulus):
				label (unicode):
					yang info - Key Label
					length - [u'1..64']

				type (unicode):
					yang info - Key Type
					enum - [u'dsa', u'rsa', u'ecdsa']

				modulus (long):
					yang info - Key Size
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.key', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, key=key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def dad_status_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_firmware_rpc.dad_status', 'pybind.nos.v6_0_2b.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v6_0_2b.brocade_firmware_rpc'), ('pybind.nos.v7_0_1a.brocade_firmware_rpc.dad_status', 'pybind.nos.v7_0_1a.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_0_1a.brocade_firmware_rpc'), ('pybind.nos.v7_1_0.brocade_firmware_rpc.dad_status', 'pybind.nos.v7_1_0.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_1_0.brocade_firmware_rpc'), ('pybind.slxos.v16r_1_00b.brocade_firmware_rpc.dad_status', 'pybind.slxos.v16r_1_00b.brocade_firmware_rpc.brocade_firmware', 'pybind.slxos.v16r_1_00b.brocade_firmware_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def diag_post_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - enable - enables POST / no enable - disables POST

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.diag.post', 'pybind.nos.v6_0_2b.brocade_diagnostics', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.diag.post', 'pybind.nos.v7_0_1a.brocade_diagnostics', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.diag.post', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def diag_post_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - enable - enables POST / no enable - disables POST

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.diag.post', 'pybind.nos.v6_0_2b.brocade_diagnostics', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.diag.post', 'pybind.nos.v7_0_1a.brocade_diagnostics', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.diag.post', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def diag_post_rbridge_id_create(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					yang info - Syntax: rbridgeId [rbridgeId]
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.diag.post.rbridge_id', 'pybind.nos.v6_0_2b.brocade_diagnostics', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.diag.post.rbridge_id', 'pybind.nos.v7_0_1a.brocade_diagnostics', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.diag.post.rbridge_id', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def diag_post_rbridge_id_delete(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					yang info - Syntax: rbridgeId [rbridgeId]
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.diag.post.rbridge_id', 'pybind.nos.v6_0_2b.brocade_diagnostics', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.diag.post.rbridge_id', 'pybind.nos.v7_0_1a.brocade_diagnostics', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.diag.post.rbridge_id', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def diag_post_rbridge_id_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					yang info - Syntax: rbridgeId [rbridgeId]
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - enable - enables POST / no enable - disables POST

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.diag.post.rbridge_id', 'pybind.nos.v6_0_2b.brocade_diagnostics', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.diag.post.rbridge_id', 'pybind.nos.v7_0_1a.brocade_diagnostics', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.diag.post.rbridge_id', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def diag_post_rbridge_id_get(self, rbridge_id=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					yang info - Syntax: rbridgeId [rbridgeId]
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.diag.post.rbridge_id', 'pybind.nos.v6_0_2b.brocade_diagnostics', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.diag.post.rbridge_id', 'pybind.nos.v7_0_1a.brocade_diagnostics', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.diag.post.rbridge_id', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def dot1x_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable global port authentication

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.dot1x', 'pybind.nos.v6_0_2b.brocade_dot1x', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dot1x', 'pybind.nos.v7_0_1a.brocade_dot1x', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dot1x', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def dot1x_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable global port authentication

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.dot1x', 'pybind.nos.v6_0_2b.brocade_dot1x', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dot1x', 'pybind.nos.v7_0_1a.brocade_dot1x', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dot1x', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def dot1x_test_update(self, timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- timeout (long):
				yang info - Configures timeout for dot1x readiness check
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.dot1x.test', 'pybind.nos.v6_0_2b.brocade_dot1x', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dot1x.test', 'pybind.nos.v7_0_1a.brocade_dot1x', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dot1x.test', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x.test', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timeout=timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def dot1x_test_timeout_update(self, timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- timeout (long):
				yang info - Configures timeout for dot1x readiness check
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.dot1x.test', 'pybind.nos.v6_0_2b.brocade_dot1x', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dot1x.test', 'pybind.nos.v7_0_1a.brocade_dot1x', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dot1x.test', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x.test', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timeout=timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def dpod_create(self, port_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_id (port_id):
				port_id (unicode):
					yang info - Syntax: [rbridge-id/slot/port]
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.dpod.port_id', 'pybind.nos.v6_0_2b.brocade_license', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dpod.port_id', 'pybind.nos.v7_0_1a.brocade_license', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dpod.port_id', 'pybind.nos.v7_1_0.brocade_license', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dpod.port_id', 'pybind.slxos.v16r_1_00b.brocade_license', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_id', 'keyval': 'port_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_id=port_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def dpod_delete(self, port_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_id (port_id):
				port_id (unicode):
					yang info - Syntax: [rbridge-id/slot/port]
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.dpod.port_id', 'pybind.nos.v6_0_2b.brocade_license', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dpod.port_id', 'pybind.nos.v7_0_1a.brocade_license', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dpod.port_id', 'pybind.nos.v7_1_0.brocade_license', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dpod.port_id', 'pybind.slxos.v16r_1_00b.brocade_license', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_id', 'keyval': 'port_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_id=port_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def dpod_update(self, port_id=None, operation=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_id (port_id):
				port_id (unicode):
					yang info - Syntax: [rbridge-id/slot/port]
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- operation (unicode):
				yang info - release/reserve a DPOD license
				enum - [u'release', u'reserve']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.dpod.port_id', 'pybind.nos.v6_0_2b.brocade_license', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dpod.port_id', 'pybind.nos.v7_0_1a.brocade_license', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dpod.port_id', 'pybind.nos.v7_1_0.brocade_license', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dpod.port_id', 'pybind.slxos.v16r_1_00b.brocade_license', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_id', 'keyval': 'port_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_id=port_id, operation=operation)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def dpod_get(self, port_id=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_id (port_id):
				port_id (unicode):
					yang info - Syntax: [rbridge-id/slot/port]
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.dpod.port_id', 'pybind.nos.v6_0_2b.brocade_license', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dpod.port_id', 'pybind.nos.v7_0_1a.brocade_license', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dpod.port_id', 'pybind.nos.v7_1_0.brocade_license', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dpod.port_id', 'pybind.slxos.v16r_1_00b.brocade_license', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_id', 'keyval': 'port_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_id=port_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def dscp_exp_state_qos_mpls_create(self, qos_mpls=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.dscp_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def dscp_exp_state_qos_mpls_delete(self, qos_mpls=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.dscp_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def dscp_exp_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

		This Instance Arg(s):
			- map_type (unicode):

			- enabled_slots (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.dscp_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def dscp_exp_state_qos_mpls_get(self, qos_mpls=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.dscp_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def event_handler_create(self, event_handler_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'event_handler_list', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_delete(self, event_handler_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'event_handler_list', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_get(self, event_handler_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'event_handler_list', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def event_handler_action_update(self, event_handler_list=None, python_script=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- python_script (unicode):
				yang info - Name of a script located under the flash:// directory (Max Size - 32).
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list')]
        bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list.action', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list.action', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.action', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.action', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, python_script=python_script)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_action_python_script_update(self, event_handler_list=None, python_script=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- python_script (unicode):
				yang info - Name of a script located under the flash:// directory (Max Size - 32).
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list')]
        bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list.action', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list.action', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.action', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.action', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, python_script=python_script)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_activate_create(self, name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_activate_delete(self, name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_activate_update(self, name=None, delay=None, iterations=None, interval=None, run_mode=None, trigger_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- delay (long):
				yang info - Delay (in seconds) that the event-handler will wait, for the initial launch of the action after the trigger has been received (default = 0).
				range - ['0..4294967295']

			- iterations (long):
				yang info - Number of times to launch the action after the initial trigger has been received (default = 1).
				range - ['0..4294967295']

			- interval (long):
				yang info - Time (in seconds) that the event-handler will wait between iterations of completing the previous action (default = 0).
				range - ['0..4294967295']

			- run_mode (unicode):
				yang info - Run-mode controls how the action is launched with cluster formation (default = non-exclusive).
				enum - [u'exclusive', u'non-exclusive']

			- trigger_mode (unicode):
				yang info - Trigger-mode controls how the action is launched with the configured event trigger (default = each-instance).
				enum - [u'each-instance', u'only-once', u'on-first-instance']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name, delay=delay, iterations=iterations, interval=interval, run_mode=run_mode, trigger_mode=trigger_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_activate_get(self, name=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def event_handler_activate_time_window_update(self, name=None, trigger_function=None, time_window=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- trigger_function (unicode):
				yang info - Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).
				enum - [u'AND', u'OR']

			- time_window (long):
				yang info - Number of seconds that is valid for all triggers to be received in order to launch the action.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', u'name')]
        bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name.trigger_function_container', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name, trigger_function=trigger_function, time_window=time_window)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_trigger_create(self, event_handler_list=None, trigger=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Keyword Arg Tuple:
			- trigger (trigger_id, vcs, raslog):
				trigger_id (long):
					range - ['0..4294967295']

				vcs (unicode):
					yang info - VCS event type.
					enum - [u'switch-bootup', u'switch-ready-for-configuration']

				raslog (unicode):
					yang info - RASlog Id.
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v6_0_2b.event_handler.event_handler_list', u'event_handler_list')]
        bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list.trigger', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list.trigger', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trigger', 'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs, raslog'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, trigger=trigger)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_trigger_delete(self, event_handler_list=None, trigger=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Keyword Arg Tuple:
			- trigger (trigger_id, vcs, raslog):
				trigger_id (long):
					range - ['0..4294967295']

				vcs (unicode):
					yang info - VCS event type.
					enum - [u'switch-bootup', u'switch-ready-for-configuration']

				raslog (unicode):
					yang info - RASlog Id.
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v6_0_2b.event_handler.event_handler_list', u'event_handler_list')]
        bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list.trigger', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list.trigger', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trigger', 'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs, raslog'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, trigger=trigger)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_trigger_update(self, event_handler_list=None, trigger=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Keyword Arg Tuple:
			- trigger (trigger_id, vcs, raslog):
				trigger_id (long):
					range - ['0..4294967295']

				vcs (unicode):
					yang info - VCS event type.
					enum - [u'switch-bootup', u'switch-ready-for-configuration']

				raslog (unicode):
					yang info - RASlog Id.
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v6_0_2b.event_handler.event_handler_list', u'event_handler_list')]
        bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list.trigger', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list.trigger', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trigger', 'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs, raslog'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, trigger=trigger)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_trigger_get(self, event_handler_list=None, trigger=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Keyword Arg Tuple:
			- trigger (trigger_id, vcs, raslog):
				trigger_id (long):
					range - ['0..4294967295']

				vcs (unicode):
					yang info - VCS event type.
					enum - [u'switch-bootup', u'switch-ready-for-configuration']

				raslog (unicode):
					yang info - RASlog Id.
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v6_0_2b.event_handler.event_handler_list', u'event_handler_list')]
        bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list.trigger', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list.trigger', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trigger', 'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs, raslog'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, trigger=trigger)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def event_handler_trigger_raslog_update(self, event_handler_list=None, trigger=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- trigger (trigger_id, vcs):
				trigger_id (long):
					range - ['0..4294967295']

				vcs (unicode):
					yang info - VCS event type.
					enum - [u'switch-bootup', u'switch-ready-for-configuration']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', u'trigger')]
        bindings_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger.raslog', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'raslog, pattern'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, trigger=trigger)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def event_handler_trigger_raslog_pattern_update(self, event_handler_list=None, trigger=None, raslog=None, pattern=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- event_handler_list (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- trigger (trigger_id, vcs):
				trigger_id (long):
					range - ['0..4294967295']

				vcs (unicode):
					yang info - VCS event type.
					enum - [u'switch-bootup', u'switch-ready-for-configuration']

		This Instance Arg(s):
			- raslog (unicode):
				yang info - RASlog Id.
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- pattern (unicode):
				yang info - Regular expression trigger filter.
				length - [u'1 .. 128']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', u'trigger')]
        bindings_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger.raslog', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, trigger=trigger, raslog=raslog, pattern=pattern)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def exp_dscp_state_qos_mpls_create(self, qos_mpls=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.exp_dscp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def exp_dscp_state_qos_mpls_delete(self, qos_mpls=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.exp_dscp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def exp_dscp_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

		This Instance Arg(s):
			- map_type (unicode):

			- enabled_slots (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.exp_dscp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def exp_dscp_state_qos_mpls_get(self, qos_mpls=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.exp_dscp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def exp_traffic_class_state_qos_mpls_create(self, qos_mpls=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.exp_traffic_class_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def exp_traffic_class_state_qos_mpls_delete(self, qos_mpls=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.exp_traffic_class_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def exp_traffic_class_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

		This Instance Arg(s):
			- map_type (unicode):

			- enabled_slots (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.exp_traffic_class_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def exp_traffic_class_state_qos_mpls_get(self, qos_mpls=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.exp_traffic_class_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def fabric_route_mcast_rbridge_id_create(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					yang info - Syntax: rbridgeId [rbridgeId]
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fabric.route.mcast.rbridge_id', 'pybind.nos.v6_0_2b.brocade_fabric_service', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_0_1a.brocade_fabric_service', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_1_0.brocade_fabric_service', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fabric.route.mcast.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_fabric_service', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fabric_route_mcast_rbridge_id_delete(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					yang info - Syntax: rbridgeId [rbridgeId]
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fabric.route.mcast.rbridge_id', 'pybind.nos.v6_0_2b.brocade_fabric_service', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_0_1a.brocade_fabric_service', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_1_0.brocade_fabric_service', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fabric.route.mcast.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_fabric_service', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fabric_route_mcast_rbridge_id_update(self, rbridge_id=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					yang info - Syntax: rbridgeId [rbridgeId]
					range - ['0..4294967295']

		This Instance Arg(s):
			- priority (long):
				yang info - Syntax: priority [priority] (default 1)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fabric.route.mcast.rbridge_id', 'pybind.nos.v6_0_2b.brocade_fabric_service', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_0_1a.brocade_fabric_service', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_1_0.brocade_fabric_service', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fabric.route.mcast.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_fabric_service', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fabric_route_mcast_rbridge_id_get(self, rbridge_id=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					yang info - Syntax: rbridgeId [rbridgeId]
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fabric.route.mcast.rbridge_id', 'pybind.nos.v6_0_2b.brocade_fabric_service', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_0_1a.brocade_fabric_service', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_1_0.brocade_fabric_service', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fabric.route.mcast.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_fabric_service', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def fcoe_fabric_map_create(self, fcoe_fabric_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_delete(self, fcoe_fabric_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_update(self, fcoe_fabric_map=None, fcoe_fabric_map_vlan=None, fcoe_fabric_mode=None, fcoe_fabric_map_priority=None, fcoe_fabric_map_virtual_fabric=None, fcoe_fabric_map_fcmap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Arg(s):
			- fcoe_fabric_map_vlan (long):
				yang info - Configure the VLAN for the FCoE Fabric-map
				range - ['-2147483648..2147483647']

			- fcoe_fabric_mode (unicode):
				yang info - Configure the san mode
				length - [u'1..32']
				pattern - local|remote

			- fcoe_fabric_map_priority (long):
				yang info - Configure the priority for the FCoE Fabric-map
				range - ['-2147483648..2147483647']

			- fcoe_fabric_map_virtual_fabric (long):
				yang info - Configure the Virtual-Fabric ID for the FCoE 
Fabric-map
				range - ['-2147483648..2147483647']

			- fcoe_fabric_map_fcmap (unicode):
				yang info - Configure the FCMAP value for a FCoE Fabric-map
				length - [u'1..9']
				pattern - [0][Ee]:[Ff][Cc]:[0-9a-fA-F]{2}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_vlan=fcoe_fabric_map_vlan, fcoe_fabric_mode=fcoe_fabric_mode, fcoe_fabric_map_priority=fcoe_fabric_map_priority, fcoe_fabric_map_virtual_fabric=fcoe_fabric_map_virtual_fabric, fcoe_fabric_map_fcmap=fcoe_fabric_map_fcmap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_get(self, fcoe_fabric_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def fcoe_fabric_map_advertisement_update(self, fcoe_fabric_map=None, fcoe_fip_advertisement_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Arg(s):
			- fcoe_fip_advertisement_interval (long):
				yang info - Configure the FIP Advertisement interval
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_advertisement_interval=fcoe_fip_advertisement_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_advertisement_interval_update(self, fcoe_fabric_map=None, fcoe_fip_advertisement_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Arg(s):
			- fcoe_fip_advertisement_interval (long):
				yang info - Configure the FIP Advertisement interval
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_advertisement_interval=fcoe_fip_advertisement_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_fcf_group_create(self, fcoe_fabric_map=None, fcoe_fcf_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Keyword Arg Tuple:
			- fcoe_fcf_map (fcf_map_name):
				fcf_map_name (unicode):
					length - [u'1..31']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fcoe_fcf_map', 'keyval': 'fcf_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_fcf_group_delete(self, fcoe_fabric_map=None, fcoe_fcf_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Keyword Arg Tuple:
			- fcoe_fcf_map (fcf_map_name):
				fcf_map_name (unicode):
					length - [u'1..31']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fcoe_fcf_map', 'keyval': 'fcf_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_fcf_group_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fcf_rbid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Keyword Arg Tuple:
			- fcoe_fcf_map (fcf_map_name):
				fcf_map_name (unicode):
					length - [u'1..31']

		This Instance Arg(s):
			- fcf_map_fcf_rbid (long):
				yang info - Configure FCF Box's rbridge-id in the FCF Group
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fcoe_fcf_map', 'keyval': 'fcf_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fcf_rbid=fcf_map_fcf_rbid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_fcf_group_get(self, fcoe_fabric_map=None, fcoe_fcf_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Keyword Arg Tuple:
			- fcoe_fcf_map (fcf_map_name):
				fcf_map_name (unicode):
					length - [u'1..31']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fcoe_fcf_map', 'keyval': 'fcf_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def fcoe_fabric_map_fcf_group_fif_rbid_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fif_rbid_add=None, fcf_map_fif_rbid_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

			- fcoe_fcf_map (fcf_map_name):
				fcf_map_name (unicode):
					length - [u'1..31']

		This Instance Arg(s):
			- fcf_map_fif_rbid_add (unicode):
				yang info - Add FIF rbridge-id/s in the FCF Group
				length - [u'1..567']
				pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- fcf_map_fif_rbid_remove (unicode):
				yang info - Remove FIF rbridge-id/s in the FCF Group
				length - [u'1..567']
				pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fif_rbid_add=fcf_map_fif_rbid_add, fcf_map_fif_rbid_remove=fcf_map_fif_rbid_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_fcf_group_fif_rbid_add_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fif_rbid_add=None, fcf_map_fif_rbid_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

			- fcoe_fcf_map (fcf_map_name):
				fcf_map_name (unicode):
					length - [u'1..31']

		This Instance Arg(s):
			- fcf_map_fif_rbid_add (unicode):
				yang info - Add FIF rbridge-id/s in the FCF Group
				length - [u'1..567']
				pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- fcf_map_fif_rbid_remove (unicode):
				yang info - Remove FIF rbridge-id/s in the FCF Group
				length - [u'1..567']
				pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fif_rbid_add=fcf_map_fif_rbid_add, fcf_map_fif_rbid_remove=fcf_map_fif_rbid_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_fcport_group_fcport_group_rbid_update(self, fcoe_fabric_map=None, fcport_group_rbid_add=None, fcport_group_rbid_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Arg(s):
			- fcport_group_rbid_add (unicode):
				yang info - Add  rbridge-id/s to the fcport-group
				length - [u'1..567']
				pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- fcport_group_rbid_remove (unicode):
				yang info - Remove fcport-group rbridge-id/s from the fcport-group
				length - [u'1..567']
				pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcport_group_rbid_add=fcport_group_rbid_add, fcport_group_rbid_remove=fcport_group_rbid_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_fcport_group_fcport_group_rbid_add_update(self, fcoe_fabric_map=None, fcport_group_rbid_add=None, fcport_group_rbid_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Arg(s):
			- fcport_group_rbid_add (unicode):
				yang info - Add  rbridge-id/s to the fcport-group
				length - [u'1..567']
				pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- fcport_group_rbid_remove (unicode):
				yang info - Remove fcport-group rbridge-id/s from the fcport-group
				length - [u'1..567']
				pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcport_group_rbid_add=fcport_group_rbid_add, fcport_group_rbid_remove=fcport_group_rbid_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_keep_alive_update(self, fcoe_fabric_map=None, fcoe_fip_keep_alive_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Arg(s):
			- fcoe_fip_keep_alive_timeout (YANGBool):
				yang info - Enable/Disable the keep-alive timeout

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_keep_alive_timeout=fcoe_fip_keep_alive_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fabric_map_keep_alive_timeout_update(self, fcoe_fabric_map=None, fcoe_fip_keep_alive_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_fabric_map (fcoe_fabric_map_name):
				fcoe_fabric_map_name (unicode):
					yang info - FCoE Fabric-map name (Max Size - 31)
					length - [u'1..31']

		This Instance Arg(s):
			- fcoe_fip_keep_alive_timeout (YANGBool):
				yang info - Enable/Disable the keep-alive timeout

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_keep_alive_timeout=fcoe_fip_keep_alive_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fcoe_map_create(self, fcoe_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- fcoe_map (fcoe_map_name):
				fcoe_map_name (unicode):
					yang info - FCoE Map name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe_map', 'keyval': 'fcoe_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_map=fcoe_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fcoe_map_delete(self, fcoe_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- fcoe_map (fcoe_map_name):
				fcoe_map_name (unicode):
					yang info - FCoE Map name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe_map', 'keyval': 'fcoe_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_map=fcoe_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_fcoe_map_get(self, fcoe_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- fcoe_map (fcoe_map_name):
				fcoe_map_name (unicode):
					yang info - FCoE Map name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe_map', 'keyval': 'fcoe_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_map=fcoe_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def fcoe_fcoe_map_cee_map_update(self, fcoe_map=None, fcoe_map_cee_map_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe_map (fcoe_map_name):
				fcoe_map_name (unicode):
					yang info - FCoE Map name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- fcoe_map_cee_map_leaf (unicode):
				yang info - Configure the CEE Map in the FCoE Map
				length - [u'1..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_map', u'fcoe_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map', u'fcoe_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_map', u'fcoe_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_map', u'fcoe_map')]
        bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_map=fcoe_map, fcoe_map_cee_map_leaf=fcoe_map_cee_map_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_get_interface_rpc(self, fcoe_intf_name=None, fcoe_intf_rbridge_id=None, fcoe_intf_include_stats=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- fcoe_intf_name (unicode):
				length - [u'3..32']

			- fcoe_intf_rbridge_id (long):
				range - ['0..4294967295']

			- fcoe_intf_include_stats (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_fcoe_ext_rpc.fcoe_get_interface.input', 'pybind.nos.v6_0_2b.brocade_fcoe_ext_rpc.brocade_fcoe_ext', 'pybind.nos.v6_0_2b.brocade_fcoe_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_fcoe_ext_rpc.fcoe_get_interface.input', 'pybind.nos.v7_0_1a.brocade_fcoe_ext_rpc.brocade_fcoe_ext', 'pybind.nos.v7_0_1a.brocade_fcoe_ext_rpc'), ('pybind.nos.v7_1_0.brocade_fcoe_ext_rpc.fcoe_get_interface.input', 'pybind.nos.v7_1_0.brocade_fcoe_ext_rpc.brocade_fcoe_ext', 'pybind.nos.v7_1_0.brocade_fcoe_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_fcoe_ext_rpc.fcoe_get_interface.input', 'pybind.slxos.v16r_1_00b.brocade_fcoe_ext_rpc.brocade_fcoe_ext', 'pybind.slxos.v16r_1_00b.brocade_fcoe_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_intf_name=fcoe_intf_name, fcoe_intf_rbridge_id=fcoe_intf_rbridge_id, fcoe_intf_include_stats=fcoe_intf_include_stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcoe_get_login_rpc(self, fcoe_login_interface=None, fcoe_login_vfid=None, fcoe_login_vlan=None, fcoe_login_rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- fcoe_login_interface (unicode):
				length - [u'3..32']

			- fcoe_login_vfid (long):
				range - ['-2147483648..2147483647']

			- fcoe_login_vlan (long):
				range - ['-2147483648..2147483647']

			- fcoe_login_rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_fcoe_ext_rpc.fcoe_get_login.input', 'pybind.nos.v6_0_2b.brocade_fcoe_ext_rpc.brocade_fcoe_ext', 'pybind.nos.v6_0_2b.brocade_fcoe_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_fcoe_ext_rpc.fcoe_get_login.input', 'pybind.nos.v7_0_1a.brocade_fcoe_ext_rpc.brocade_fcoe_ext', 'pybind.nos.v7_0_1a.brocade_fcoe_ext_rpc'), ('pybind.nos.v7_1_0.brocade_fcoe_ext_rpc.fcoe_get_login.input', 'pybind.nos.v7_1_0.brocade_fcoe_ext_rpc.brocade_fcoe_ext', 'pybind.nos.v7_1_0.brocade_fcoe_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_fcoe_ext_rpc.fcoe_get_login.input', 'pybind.slxos.v16r_1_00b.brocade_fcoe_ext_rpc.brocade_fcoe_ext', 'pybind.slxos.v16r_1_00b.brocade_fcoe_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_login_interface=fcoe_login_interface, fcoe_login_vfid=fcoe_login_vfid, fcoe_login_vlan=fcoe_login_vlan, fcoe_login_rbridge_id=fcoe_login_rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcsp_auth_update(self, auth_type=None, group=None, hash=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_type (unicode):
				yang info - The authentication type
				enum - [u'dh-chap']

			- group (unicode):
				yang info - The group value
				pattern - [0-4\*]

			- hash (unicode):
				yang info - The hash type
				enum - [u'all', u'sha1', u'md5']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_type=auth_type, group=group, hash=hash)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcsp_auth_auth_type_update(self, auth_type=None, group=None, hash=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_type (unicode):
				yang info - The authentication type
				enum - [u'dh-chap']

			- group (unicode):
				yang info - The group value
				pattern - [0-4\*]

			- hash (unicode):
				yang info - The hash type
				enum - [u'all', u'sha1', u'md5']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_type=auth_type, group=group, hash=hash)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcsp_auth_policy_update(self, switch=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- switch (unicode):
				yang info - Enable switch policy
				enum - [u'active', u'on', u'off', u'passive']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.policy', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, switch=switch)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fcsp_auth_policy_switch_update(self, switch=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- switch (unicode):
				yang info - Enable switch policy
				enum - [u'active', u'on', u'off', u'passive']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.policy', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, switch=switch)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def filter_change_update_delay_create(self, filter_change_update_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- filter_change_update_delay (filter_delay_value):
				filter_delay_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.slxos.v16r_1_00b.brocade_ip_policy', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'filter_change_update_delay', 'keyval': 'filter_delay_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, filter_change_update_delay=filter_change_update_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def filter_change_update_delay_delete(self, filter_change_update_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- filter_change_update_delay (filter_delay_value):
				filter_delay_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.slxos.v16r_1_00b.brocade_ip_policy', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'filter_change_update_delay', 'keyval': 'filter_delay_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, filter_change_update_delay=filter_change_update_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def filter_change_update_delay_get(self, filter_change_update_delay=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- filter_change_update_delay (filter_delay_value):
				filter_delay_value (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.slxos.v16r_1_00b.brocade_ip_policy', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'filter_change_update_delay', 'keyval': 'filter_delay_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, filter_change_update_delay=filter_change_update_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def firmware_auto_upgrade_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a
        
		This Instance Arg(s):
			- enable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.firmware.autoupgrade', 'pybind.nos.v6_0_2b.brocade_firmware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.firmware.autoupgrade', 'pybind.nos.v7_0_1a.brocade_firmware', 'pybind.nos.v7_0_1a')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def firmware_auto_upgrade_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a
        
		This Instance Arg(s):
			- enable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.firmware.autoupgrade', 'pybind.nos.v6_0_2b.brocade_firmware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.firmware.autoupgrade', 'pybind.nos.v7_0_1a.brocade_firmware', 'pybind.nos.v7_0_1a')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def firmware_auto_upgrade_params_update(self, path=None, protocol=None, ipaddress=None, username=None, pass_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a
        
		This Instance Arg(s):
			- path (unicode):
				yang info - Auto-upgrade firmware path

			- protocol (unicode):
				yang info - Protocol type : ftp, scp, sftp, usb
				enum - [u'ftp', u'scp', u'sftp']

			- ipaddress (unicode):
				yang info - Ipaddress or hostname

			- username (unicode):
				yang info - Username

			- pass_ (unicode):
				yang info - Password

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.firmware.autoupgrade_params', 'pybind.nos.v6_0_2b.brocade_firmware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.firmware.autoupgrade_params', 'pybind.nos.v7_0_1a.brocade_firmware', 'pybind.nos.v7_0_1a')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, protocol=protocol, ipaddress=ipaddress, username=username, pass_=pass_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def firmware_auto_upgrade_params_host_update(self, path=None, protocol=None, ipaddress=None, username=None, pass_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a
        
		This Instance Arg(s):
			- path (unicode):
				yang info - Auto-upgrade firmware path

			- protocol (unicode):
				yang info - Protocol type : ftp, scp, sftp, usb
				enum - [u'ftp', u'scp', u'sftp']

			- ipaddress (unicode):
				yang info - Ipaddress or hostname

			- username (unicode):
				yang info - Username

			- pass_ (unicode):
				yang info - Password

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.firmware.autoupgrade_params', 'pybind.nos.v6_0_2b.brocade_firmware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.firmware.autoupgrade_params', 'pybind.nos.v7_0_1a.brocade_firmware', 'pybind.nos.v7_0_1a')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, protocol=protocol, ipaddress=ipaddress, username=username, pass_=pass_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def firmware_download_rpc(self, rbridge_id=None, auto_activate=None, coldboot=None, scp=None, usb=None, ftp=None, sftp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (unicode):
				yang info - Please enter 'all' for activating all nodes in the logical-chassis or individual rbridge-ids of the form 1,2,3-6
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- auto_activate (YANGBool):
				yang info - To activate new firmware on all nodes

			- coldboot (YANGBool):
				yang info - Perform non ISSU firmware download.

		Child Instance Keyword Arg Tuple(s):
			- scp (user, password, host, directory, file):
				user (unicode):
					yang info - Username

				password (unicode):
					yang info - Password

				host (unicode):
					yang info - Host ipv4/ipv6 address

				directory (unicode):
					yang info - Directory

				file (unicode):
					yang info - Package release file, example - release.plist

			- usb (directory):
				directory (unicode):
					yang info - Directory

			- ftp (user, password, host, directory, file):
				user (unicode):
					yang info - Username

				password (unicode):
					yang info - Password

				host (unicode):
					yang info - Host ipv4/ipv6 address

				directory (unicode):
					yang info - Directory

				file (unicode):
					yang info - Package release file, example - release.plist

			- sftp (user, password, host, directory, file, port, host_key_check):
				user (unicode):
					yang info - Username

				password (unicode):
					yang info - Password

				host (unicode):
					yang info - Host ipv4/ipv6 address

				directory (unicode):
					yang info - Directory

				file (unicode):
					yang info - Package release file, example - release.plist

				port (long):
					yang info - Server port number (default 22)
					range - ['-2147483648..2147483647']

				host_key_check (YANGBool):
					yang info - Enable strict host key check

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_firmware_rpc.firmware_download.input', 'pybind.nos.v6_0_2b.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v6_0_2b.brocade_firmware_rpc'), ('pybind.nos.v7_0_1a.brocade_firmware_rpc.firmware_download.input', 'pybind.nos.v7_0_1a.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_0_1a.brocade_firmware_rpc'), ('pybind.nos.v7_1_0.brocade_firmware_rpc.firmware_download.input', 'pybind.nos.v7_1_0.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_1_0.brocade_firmware_rpc'), ('pybind.slxos.v16r_1_00b.brocade_firmware_rpc.firmware_download.input', 'pybind.slxos.v16r_1_00b.brocade_firmware_rpc.brocade_firmware', 'pybind.slxos.v16r_1_00b.brocade_firmware_rpc')]
        composed_child_list = [('pybind.nos.v6_0_2b.brocade_firmware_rpc.firmware_download.input', u'scp'), ('pybind.nos.v6_0_2b.brocade_firmware_rpc.firmware_download.input', u'usb'), ('pybind.nos.v6_0_2b.brocade_firmware_rpc.firmware_download.input', u'ftp'), ('pybind.nos.v6_0_2b.brocade_firmware_rpc.firmware_download.input', u'sftp'), ('pybind.nos.v7_1_0.brocade_firmware_rpc.firmware_download.input', u'sftp'), ('pybind.nos.v7_1_0.brocade_firmware_rpc.firmware_download.input', u'scp'), ('pybind.nos.v7_1_0.brocade_firmware_rpc.firmware_download.input', u'ftp'), ('pybind.nos.v7_1_0.brocade_firmware_rpc.firmware_download.input', u'usb'), ('pybind.nos.v7_0_1a.brocade_firmware_rpc.firmware_download.input', u'scp'), ('pybind.nos.v7_0_1a.brocade_firmware_rpc.firmware_download.input', u'sftp'), ('pybind.nos.v7_0_1a.brocade_firmware_rpc.firmware_download.input', u'ftp'), ('pybind.nos.v7_0_1a.brocade_firmware_rpc.firmware_download.input', u'usb'), ('pybind.slxos.v16r_1_00b.brocade_firmware_rpc.firmware_download.input', u'ftp'), ('pybind.slxos.v16r_1_00b.brocade_firmware_rpc.firmware_download.input', u'sftp'), ('pybind.slxos.v16r_1_00b.brocade_firmware_rpc.firmware_download.input', u'usb'), ('pybind.slxos.v16r_1_00b.brocade_firmware_rpc.firmware_download.input', u'scp')]
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = [{'leafval': 'user, password, host, directory, file'}, {'leafval': 'directory'}, {'leafval': 'user, password, host, directory, file'}, {'leafval': 'user, password, host, directory, file, port, host_key_check'}, {'leafval': 'user, password, host, directory, file, port, host_key_check'}, {'leafval': 'user, password, host, directory, file'}, {'leafval': 'user, password, host, directory, file'}, {'leafval': 'directory'}, {'leafval': 'user, password, host, directory, file'}, {'leafval': 'user, password, host, directory, file, port, host_key_check'}, {'leafval': 'user, password, host, directory, file'}, {'leafval': 'directory'}, {'leafval': 'user, password, host, directory, file'}, {'leafval': 'user, password, host, directory, file, port, host_key_check'}, {'leafval': 'directory'}, {'leafval': 'user, password, host, directory, file'}]
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, auto_activate=auto_activate, coldboot=coldboot, scp=scp, usb=usb, ftp=ftp, sftp=sftp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fsb_update(self, fcoe_fsb_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- fcoe_fsb_enable (YANGBool):
				yang info - Enable/Disable the fsb mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcoe_fsb', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe_fsb', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe_fsb', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe_fsb', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fsb_enable=fcoe_fsb_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fsb_enable_update(self, fcoe_fsb_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- fcoe_fsb_enable (YANGBool):
				yang info - Enable/Disable the fsb mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.fcoe_fsb', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe_fsb', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe_fsb', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe_fsb', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fsb_enable=fcoe_fsb_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def fwdl_status_rpc(self, fwdl_tid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- fwdl_tid (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_firmware_rpc.fwdl_status.input', 'pybind.nos.v6_0_2b.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v6_0_2b.brocade_firmware_rpc'), ('pybind.nos.v7_0_1a.brocade_firmware_rpc.fwdl_status.input', 'pybind.nos.v7_0_1a.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_0_1a.brocade_firmware_rpc'), ('pybind.nos.v7_1_0.brocade_firmware_rpc.fwdl_status.input', 'pybind.nos.v7_1_0.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_1_0.brocade_firmware_rpc'), ('pybind.slxos.v16r_1_00b.brocade_firmware_rpc.fwdl_status.input', 'pybind.slxos.v16r_1_00b.brocade_firmware_rpc.brocade_firmware', 'pybind.slxos.v16r_1_00b.brocade_firmware_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fwdl_tid=fwdl_tid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_arp_rpc(self, interface_type=None, interface_name=None, dynamic=None, static=None, ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				yang info - The type of the interface. An 'unknown' type 
represents error scenario and should not be used.
				enum - [u'l2vlan', u'gigabitethernet', u'hundredgigabitethernet', u'loopback', u'fortygigabitethernet', u'unknown', u'fibrechannel', u'port-channel', u'tengigabitethernet']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- dynamic (YANGBool):

			- static (YANGBool):

			- ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_arp_rpc.get_arp.input', 'pybind.nos.v6_0_2b.brocade_arp_rpc.brocade_arp', 'pybind.nos.v6_0_2b.brocade_arp_rpc'), ('pybind.nos.v7_0_1a.brocade_arp_rpc.get_arp.input', 'pybind.nos.v7_0_1a.brocade_arp_rpc.brocade_arp', 'pybind.nos.v7_0_1a.brocade_arp_rpc'), ('pybind.nos.v7_1_0.brocade_arp_rpc.get_arp.input', 'pybind.nos.v7_1_0.brocade_arp_rpc.brocade_arp', 'pybind.nos.v7_1_0.brocade_arp_rpc'), ('pybind.slxos.v16r_1_00b.brocade_arp_rpc.get_arp.input', 'pybind.slxos.v16r_1_00b.brocade_arp_rpc.brocade_arp', 'pybind.slxos.v16r_1_00b.brocade_arp_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name, dynamic=dynamic, static=static, ip_address=ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_contained_in_id_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_entity_rpc.get_contained_in_ID', 'pybind.nos.v6_0_2b.brocade_entity_rpc.brocade_entity', 'pybind.nos.v6_0_2b.brocade_entity_rpc'), ('pybind.nos.v7_0_1a.brocade_entity_rpc.get_contained_in_ID', 'pybind.nos.v7_0_1a.brocade_entity_rpc.brocade_entity', 'pybind.nos.v7_0_1a.brocade_entity_rpc'), ('pybind.nos.v7_1_0.brocade_entity_rpc.get_contained_in_ID', 'pybind.nos.v7_1_0.brocade_entity_rpc.brocade_entity', 'pybind.nos.v7_1_0.brocade_entity_rpc'), ('pybind.slxos.v16r_1_00b.brocade_entity_rpc.get_contained_in_ID', 'pybind.slxos.v16r_1_00b.brocade_entity_rpc.brocade_entity', 'pybind.slxos.v16r_1_00b.brocade_entity_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_flexports_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_hardware_rpc.get_flexports', 'pybind.nos.v6_0_2b.brocade_hardware_rpc.brocade_hardware', 'pybind.nos.v6_0_2b.brocade_hardware_rpc'), ('pybind.nos.v7_0_1a.brocade_hardware_rpc.get_flexports', 'pybind.nos.v7_0_1a.brocade_hardware_rpc.brocade_hardware', 'pybind.nos.v7_0_1a.brocade_hardware_rpc'), ('pybind.nos.v7_1_0.brocade_hardware_rpc.get_flexports', 'pybind.nos.v7_1_0.brocade_hardware_rpc.brocade_hardware', 'pybind.nos.v7_1_0.brocade_hardware_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_interface_detail_rpc(self, interface_type=None, interface_name=None, last_rcvd_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				yang info - The type of the interface. An 'unknown' type 
represents error scenario and should not be used.
				enum - [u'l2vlan', u'gigabitethernet', u'hundredgigabitethernet', u'loopback', u'fortygigabitethernet', u'unknown', u'fibrechannel', u'port-channel', u'tengigabitethernet']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		Child Instance Keyword Arg Tuple(s):
			- last_rcvd_interface (interface_type, interface_name):
				interface_type (unicode):
					yang info - The type of the interface. An 'unknown' type 
represents error scenario and should not be used.
					enum - [u'l2vlan', u'gigabitethernet', u'hundredgigabitethernet', u'loopback', u'fortygigabitethernet', u'unknown', u'fibrechannel', u'port-channel', u'tengigabitethernet']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_interface_ext_rpc.get_interface_detail.input', 'pybind.nos.v6_0_2b.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v6_0_2b.brocade_interface_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_interface_ext_rpc.get_interface_detail.input', 'pybind.nos.v7_0_1a.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v7_0_1a.brocade_interface_ext_rpc'), ('pybind.nos.v7_1_0.brocade_interface_ext_rpc.get_interface_detail.input', 'pybind.nos.v7_1_0.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v7_1_0.brocade_interface_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.get_interface_detail.input', 'pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc')]
        composed_child_list = [('pybind.nos.v7_0_1a.brocade_interface_ext_rpc.get_interface_detail.input', u'last_rcvd_interface'), ('pybind.nos.v6_0_2b.brocade_interface_ext_rpc.get_interface_detail.input', u'last_rcvd_interface'), ('pybind.nos.v7_1_0.brocade_interface_ext_rpc.get_interface_detail.input', u'last_rcvd_interface'), ('pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.get_interface_detail.input', u'last_rcvd_interface')]
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = [{'leafval': 'interface_type, interface_name'}, {'leafval': 'interface_type, interface_name'}, {'leafval': 'interface_type, interface_name'}, {'leafval': 'interface_type, interface_name'}]
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name, last_rcvd_interface=last_rcvd_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_interface_switchport_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_interface_ext_rpc.get_interface_switchport', 'pybind.nos.v6_0_2b.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v6_0_2b.brocade_interface_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_interface_ext_rpc.get_interface_switchport', 'pybind.nos.v7_0_1a.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v7_0_1a.brocade_interface_ext_rpc'), ('pybind.nos.v7_1_0.brocade_interface_ext_rpc.get_interface_switchport', 'pybind.nos.v7_1_0.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v7_1_0.brocade_interface_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.get_interface_switchport', 'pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_ip_interface_rpc(self, interface_type=None, interface_name=None, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				yang info - The type of the interface. An 'unknown' type 
represents error scenario and should not be used.
				enum - [u'l2vlan', u'gigabitethernet', u'hundredgigabitethernet', u'loopback', u'fortygigabitethernet', u'unknown', u'fibrechannel', u'port-channel', u'tengigabitethernet']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_interface_ext_rpc.get_ip_interface.input', 'pybind.nos.v6_0_2b.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v6_0_2b.brocade_interface_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_interface_ext_rpc.get_ip_interface.input', 'pybind.nos.v7_0_1a.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v7_0_1a.brocade_interface_ext_rpc'), ('pybind.nos.v7_1_0.brocade_interface_ext_rpc.get_ip_interface.input', 'pybind.nos.v7_1_0.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v7_1_0.brocade_interface_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.get_ip_interface.input', 'pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_last_config_update_time_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vcs_rpc.get_last_config_update_time', 'pybind.nos.v6_0_2b.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v6_0_2b.brocade_vcs_rpc'), ('pybind.nos.v7_0_1a.brocade_vcs_rpc.get_last_config_update_time', 'pybind.nos.v7_0_1a.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v7_0_1a.brocade_vcs_rpc'), ('pybind.nos.v7_1_0.brocade_vcs_rpc.get_last_config_update_time', 'pybind.nos.v7_1_0.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v7_1_0.brocade_vcs_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vcs_rpc.get_last_config_update_time', 'pybind.slxos.v16r_1_00b.brocade_vcs_rpc.brocade_vcs', 'pybind.slxos.v16r_1_00b.brocade_vcs_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_lldp_neighbor_detail_rpc(self, interface_type=None, interface_name=None, last_rcvd_ifindex=None, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				yang info - The type of the interface. An 'unknown' type 
represents error scenario and should not be used.
				enum - [u'l2vlan', u'gigabitethernet', u'hundredgigabitethernet', u'loopback', u'fortygigabitethernet', u'unknown', u'fibrechannel', u'port-channel', u'tengigabitethernet']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- last_rcvd_ifindex (long):
				range - ['0..4294967295']

			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_lldp_ext_rpc.get_lldp_neighbor_detail.input', 'pybind.nos.v6_0_2b.brocade_lldp_ext_rpc.brocade_lldp_ext', 'pybind.nos.v6_0_2b.brocade_lldp_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_lldp_ext_rpc.get_lldp_neighbor_detail.input', 'pybind.nos.v7_0_1a.brocade_lldp_ext_rpc.brocade_lldp_ext', 'pybind.nos.v7_0_1a.brocade_lldp_ext_rpc'), ('pybind.nos.v7_1_0.brocade_lldp_ext_rpc.get_lldp_neighbor_detail.input', 'pybind.nos.v7_1_0.brocade_lldp_ext_rpc.brocade_lldp_ext', 'pybind.nos.v7_1_0.brocade_lldp_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_lldp_ext_rpc.get_lldp_neighbor_detail.input', 'pybind.slxos.v16r_1_00b.brocade_lldp_ext_rpc.brocade_lldp_ext', 'pybind.slxos.v16r_1_00b.brocade_lldp_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name, last_rcvd_ifindex=last_rcvd_ifindex, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_mac_acl_for_intf_rpc(self, interface_type=None, interface_name=None, direction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				yang info - The type of the interface. An 'unknown' type 
represents error scenario and should not be used.
				enum - [u'l2vlan', u'gigabitethernet', u'hundredgigabitethernet', u'loopback', u'fortygigabitethernet', u'unknown', u'fibrechannel', u'port-channel', u'tengigabitethernet']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- direction (unicode):
				enum - [u'all', u'in', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_mac_access_list_rpc.get_mac_acl_for_intf.input', 'pybind.nos.v6_0_2b.brocade_mac_access_list_rpc.brocade_mac_access_list', 'pybind.nos.v6_0_2b.brocade_mac_access_list_rpc'), ('pybind.nos.v7_0_1a.brocade_mac_access_list_rpc.get_mac_acl_for_intf.input', 'pybind.nos.v7_0_1a.brocade_mac_access_list_rpc.brocade_mac_access_list', 'pybind.nos.v7_0_1a.brocade_mac_access_list_rpc'), ('pybind.nos.v7_1_0.brocade_mac_access_list_rpc.get_mac_acl_for_intf.input', 'pybind.nos.v7_1_0.brocade_mac_access_list_rpc.brocade_mac_access_list', 'pybind.nos.v7_1_0.brocade_mac_access_list_rpc'), ('pybind.slxos.v16r_1_00b.brocade_mac_access_list_rpc.get_mac_acl_for_intf.input', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list_rpc.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name, direction=direction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_mac_address_table_rpc(self, mac_address=None, last_mac_address_details=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mac_address (unicode):
				pattern - [0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}

		Child Instance Keyword Arg Tuple(s):
			- last_mac_address_details (last_mac_address, last_vlan_id, last_mac_type):
				last_mac_address (unicode):
					pattern - [0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}

				last_vlan_id (long):
					range - ['0..4294967295']

				last_mac_type (unicode):
					enum - [u'fpma', u'static', u'dynamic', u'system']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_mac_address_table_rpc.get_mac_address_table.input', 'pybind.nos.v6_0_2b.brocade_mac_address_table_rpc.brocade_mac_address_table', 'pybind.nos.v6_0_2b.brocade_mac_address_table_rpc'), ('pybind.nos.v7_0_1a.brocade_mac_address_table_rpc.get_mac_address_table.input', 'pybind.nos.v7_0_1a.brocade_mac_address_table_rpc.brocade_mac_address_table', 'pybind.nos.v7_0_1a.brocade_mac_address_table_rpc'), ('pybind.nos.v7_1_0.brocade_mac_address_table_rpc.get_mac_address_table.input', 'pybind.nos.v7_1_0.brocade_mac_address_table_rpc.brocade_mac_address_table', 'pybind.nos.v7_1_0.brocade_mac_address_table_rpc'), ('pybind.slxos.v16r_1_00b.brocade_mac_address_table_rpc.get_mac_address_table.input', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table_rpc.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table_rpc')]
        composed_child_list = [('pybind.nos.v7_0_1a.brocade_mac_address_table_rpc.get_mac_address_table.input', u'last_mac_address_details'), ('pybind.nos.v6_0_2b.brocade_mac_address_table_rpc.get_mac_address_table.input', u'last_mac_address_details'), ('pybind.slxos.v16r_1_00b.brocade_mac_address_table_rpc.get_mac_address_table.input', u'last_mac_address_details'), ('pybind.nos.v7_1_0.brocade_mac_address_table_rpc.get_mac_address_table.input', u'last_mac_address_details'), ('pybind.nos.v7_1_0.brocade_mac_address_table_rpc.get_mac_address_table.input', u'forwarding_interface')]
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = [{'leafval': 'last_mac_address, last_vlan_id, last_mac_type'}, {'leafval': 'last_mac_address, last_vlan_id, last_mac_type'}, {'leafval': 'last_mac_address, last_vlan_id, last_mac_type'}, {'leafval': 'last_mac_address, last_vlan_id, last_mac_type'}, {'leafval': 'interface_type, interface_name'}]
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_address=mac_address, last_mac_address_details=last_mac_address_details)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_media_detail_rpc(self, interface_type=None, interface_name=None, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				yang info - The type of the interface. An 'unknown' type 
represents error scenario and should not be used.
				enum - [u'l2vlan', u'gigabitethernet', u'hundredgigabitethernet', u'loopback', u'fortygigabitethernet', u'unknown', u'fibrechannel', u'port-channel', u'tengigabitethernet']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_interface_ext_rpc.get_media_detail.input', 'pybind.nos.v6_0_2b.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v6_0_2b.brocade_interface_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_interface_ext_rpc.get_media_detail.input', 'pybind.nos.v7_0_1a.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v7_0_1a.brocade_interface_ext_rpc'), ('pybind.nos.v7_1_0.brocade_interface_ext_rpc.get_media_detail.input', 'pybind.nos.v7_1_0.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v7_1_0.brocade_interface_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.get_media_detail.input', 'pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_mpls_autobw_template_brief_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.get_mpls_autobw_template_brief', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_mpls_autobw_template_detail_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.get_mpls_autobw_template_detail', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_mpls_ldp_neighbor_brief_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.get_mpls_ldp_neighbor_brief', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_mpls_ldp_neighbor_detail_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.get_mpls_ldp_neighbor_detail', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_mpls_ldp_session_brief_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.get_mpls_ldp_session_brief', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_mpls_ldp_session_detail_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.get_mpls_ldp_session_detail', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_nameserver_detail_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (long):
				yang info - <NUMBER:1-239>;;rbridge-id of switch to
retrieve info from
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_nameserver_rpc.get_nameserver_detail.input', 'pybind.nos.v6_0_2b.brocade_nameserver_rpc.brocade_nameserver', 'pybind.nos.v6_0_2b.brocade_nameserver_rpc'), ('pybind.nos.v7_0_1a.brocade_nameserver_rpc.get_nameserver_detail.input', 'pybind.nos.v7_0_1a.brocade_nameserver_rpc.brocade_nameserver', 'pybind.nos.v7_0_1a.brocade_nameserver_rpc'), ('pybind.nos.v7_1_0.brocade_nameserver_rpc.get_nameserver_detail.input', 'pybind.nos.v7_1_0.brocade_nameserver_rpc.brocade_nameserver', 'pybind.nos.v7_1_0.brocade_nameserver_rpc'), ('pybind.slxos.v16r_1_00b.brocade_nameserver_rpc.get_nameserver_detail.input', 'pybind.slxos.v16r_1_00b.brocade_nameserver_rpc.brocade_nameserver', 'pybind.slxos.v16r_1_00b.brocade_nameserver_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_netconf_client_capabilities_rpc(self, session_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- session_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_netconf_ext_rpc.get_netconf_client_capabilities.input', 'pybind.nos.v6_0_2b.brocade_netconf_ext_rpc.brocade_netconf_ext', 'pybind.nos.v6_0_2b.brocade_netconf_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_netconf_ext_rpc.get_netconf_client_capabilities.input', 'pybind.nos.v7_0_1a.brocade_netconf_ext_rpc.brocade_netconf_ext', 'pybind.nos.v7_0_1a.brocade_netconf_ext_rpc'), ('pybind.nos.v7_1_0.brocade_netconf_ext_rpc.get_netconf_client_capabilities.input', 'pybind.nos.v7_1_0.brocade_netconf_ext_rpc.brocade_netconf_ext', 'pybind.nos.v7_1_0.brocade_netconf_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_netconf_ext_rpc.get_netconf_client_capabilities.input', 'pybind.slxos.v16r_1_00b.brocade_netconf_ext_rpc.brocade_netconf_ext', 'pybind.slxos.v16r_1_00b.brocade_netconf_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, session_id=session_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_port_channel_detail_rpc(self, aggregator_id=None, last_aggregator_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- aggregator_id (long):
				range - ['0..4294967295']

			- last_aggregator_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_lag_rpc.get_port_channel_detail.input', 'pybind.nos.v6_0_2b.brocade_lag_rpc.brocade_lag', 'pybind.nos.v6_0_2b.brocade_lag_rpc'), ('pybind.nos.v7_0_1a.brocade_lag_rpc.get_port_channel_detail.input', 'pybind.nos.v7_0_1a.brocade_lag_rpc.brocade_lag', 'pybind.nos.v7_0_1a.brocade_lag_rpc'), ('pybind.nos.v7_1_0.brocade_lag_rpc.get_port_channel_detail.input', 'pybind.nos.v7_1_0.brocade_lag_rpc.brocade_lag', 'pybind.nos.v7_1_0.brocade_lag_rpc'), ('pybind.slxos.v16r_1_00b.brocade_lag_rpc.get_port_channel_detail.input', 'pybind.slxos.v16r_1_00b.brocade_lag_rpc.brocade_lag', 'pybind.slxos.v16r_1_00b.brocade_lag_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregator_id=aggregator_id, last_aggregator_id=last_aggregator_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_port_profile_for_intf_rpc(self, rbridge_id=None, interface_type=None, interface_name=None, last_received_interface_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (long):
				range - ['0..4294967295']

			- interface_type (unicode):
				yang info - The type of the interface. An 'unknown' type 
represents error scenario and should not be used.
				enum - [u'l2vlan', u'gigabitethernet', u'hundredgigabitethernet', u'loopback', u'fortygigabitethernet', u'unknown', u'fibrechannel', u'port-channel', u'tengigabitethernet']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		Child Instance Keyword Arg Tuple(s):
			- last_received_interface_info (interface_type, interface_name):
				interface_type (unicode):
					yang info - The type of the interface. An 'unknown' type 
represents error scenario and should not be used.
					enum - [u'l2vlan', u'gigabitethernet', u'hundredgigabitethernet', u'loopback', u'fortygigabitethernet', u'unknown', u'fibrechannel', u'port-channel', u'tengigabitethernet']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_port_profile_ext_rpc.get_port_profile_for_intf.input', 'pybind.nos.v6_0_2b.brocade_port_profile_ext_rpc.brocade_port_profile_ext', 'pybind.nos.v6_0_2b.brocade_port_profile_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_port_profile_ext_rpc.get_port_profile_for_intf.input', 'pybind.nos.v7_0_1a.brocade_port_profile_ext_rpc.brocade_port_profile_ext', 'pybind.nos.v7_0_1a.brocade_port_profile_ext_rpc'), ('pybind.nos.v7_1_0.brocade_port_profile_ext_rpc.get_port_profile_for_intf.input', 'pybind.nos.v7_1_0.brocade_port_profile_ext_rpc.brocade_port_profile_ext', 'pybind.nos.v7_1_0.brocade_port_profile_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_port_profile_ext_rpc.get_port_profile_for_intf.input', 'pybind.slxos.v16r_1_00b.brocade_port_profile_ext_rpc.brocade_port_profile_ext', 'pybind.slxos.v16r_1_00b.brocade_port_profile_ext_rpc')]
        composed_child_list = [('pybind.nos.v7_1_0.brocade_port_profile_ext_rpc.get_port_profile_for_intf.input', u'last_received_interface_info'), ('pybind.nos.v6_0_2b.brocade_port_profile_ext_rpc.get_port_profile_for_intf.input', u'last_received_interface_info'), ('pybind.nos.v7_0_1a.brocade_port_profile_ext_rpc.get_port_profile_for_intf.input', u'last_received_interface_info'), ('pybind.slxos.v16r_1_00b.brocade_port_profile_ext_rpc.get_port_profile_for_intf.input', u'last_received_interface_info')]
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = [{'leafval': 'interface_type, interface_name'}, {'leafval': 'interface_type, interface_name'}, {'leafval': 'interface_type, interface_name'}, {'leafval': 'interface_type, interface_name'}]
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, interface_type=interface_type, interface_name=interface_name, last_received_interface_info=last_received_interface_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_port_profile_status_rpc(self, rbridge_id=None, port_profile_name=None, port_profile_status=None, last_received_port_profile_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (long):
				range - ['0..4294967295']

			- port_profile_name (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- port_profile_status (unicode):
				enum - [u'applied', u'activated', u'associated']

		Child Instance Keyword Arg Tuple(s):
			- last_received_port_profile_info (profile_name, profile_mac):
				profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

				profile_mac (unicode):
					pattern - [0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_port_profile_ext_rpc.get_port_profile_status.input', 'pybind.nos.v6_0_2b.brocade_port_profile_ext_rpc.brocade_port_profile_ext', 'pybind.nos.v6_0_2b.brocade_port_profile_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_port_profile_ext_rpc.get_port_profile_status.input', 'pybind.nos.v7_0_1a.brocade_port_profile_ext_rpc.brocade_port_profile_ext', 'pybind.nos.v7_0_1a.brocade_port_profile_ext_rpc'), ('pybind.nos.v7_1_0.brocade_port_profile_ext_rpc.get_port_profile_status.input', 'pybind.nos.v7_1_0.brocade_port_profile_ext_rpc.brocade_port_profile_ext', 'pybind.nos.v7_1_0.brocade_port_profile_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_port_profile_ext_rpc.get_port_profile_status.input', 'pybind.slxos.v16r_1_00b.brocade_port_profile_ext_rpc.brocade_port_profile_ext', 'pybind.slxos.v16r_1_00b.brocade_port_profile_ext_rpc')]
        composed_child_list = [('pybind.nos.v6_0_2b.brocade_port_profile_ext_rpc.get_port_profile_status.input', u'last_received_port_profile_info'), ('pybind.slxos.v16r_1_00b.brocade_port_profile_ext_rpc.get_port_profile_status.input', u'last_received_port_profile_info'), ('pybind.nos.v7_0_1a.brocade_port_profile_ext_rpc.get_port_profile_status.input', u'last_received_port_profile_info'), ('pybind.nos.v7_1_0.brocade_port_profile_ext_rpc.get_port_profile_status.input', u'last_received_port_profile_info')]
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = [{'leafval': 'profile_name, profile_mac'}, {'leafval': 'profile_name, profile_mac'}, {'leafval': 'profile_name, profile_mac'}, {'leafval': 'profile_name, profile_mac'}]
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, port_profile_name=port_profile_name, port_profile_status=port_profile_status, last_received_port_profile_info=last_received_port_profile_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_portchannel_info_by_intf_rpc(self, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				yang info - The type of the interface. An 'unknown' type 
represents error scenario and should not be used.
				enum - [u'l2vlan', u'gigabitethernet', u'hundredgigabitethernet', u'loopback', u'fortygigabitethernet', u'unknown', u'fibrechannel', u'port-channel', u'tengigabitethernet']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_lag_rpc.get_portchannel_info_by_intf.input', 'pybind.nos.v6_0_2b.brocade_lag_rpc.brocade_lag', 'pybind.nos.v6_0_2b.brocade_lag_rpc'), ('pybind.nos.v7_0_1a.brocade_lag_rpc.get_portchannel_info_by_intf.input', 'pybind.nos.v7_0_1a.brocade_lag_rpc.brocade_lag', 'pybind.nos.v7_0_1a.brocade_lag_rpc'), ('pybind.nos.v7_1_0.brocade_lag_rpc.get_portchannel_info_by_intf.input', 'pybind.nos.v7_1_0.brocade_lag_rpc.brocade_lag', 'pybind.nos.v7_1_0.brocade_lag_rpc'), ('pybind.slxos.v16r_1_00b.brocade_lag_rpc.get_portchannel_info_by_intf.input', 'pybind.slxos.v16r_1_00b.brocade_lag_rpc.brocade_lag', 'pybind.slxos.v16r_1_00b.brocade_lag_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_show_cfm_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_dot1ag_rpc.get_show_cfm', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_rpc.brocade_dot1ag', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_system_uptime_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_system_rpc.get_system_uptime.input', 'pybind.nos.v6_0_2b.brocade_system_rpc.brocade_system', 'pybind.nos.v6_0_2b.brocade_system_rpc'), ('pybind.nos.v7_0_1a.brocade_system_rpc.get_system_uptime.input', 'pybind.nos.v7_0_1a.brocade_system_rpc.brocade_system', 'pybind.nos.v7_0_1a.brocade_system_rpc'), ('pybind.nos.v7_1_0.brocade_system_rpc.get_system_uptime.input', 'pybind.nos.v7_1_0.brocade_system_rpc.brocade_system', 'pybind.nos.v7_1_0.brocade_system_rpc'), ('pybind.slxos.v16r_1_00b.brocade_system_rpc.get_system_uptime.input', 'pybind.slxos.v16r_1_00b.brocade_system_rpc.brocade_system', 'pybind.slxos.v16r_1_00b.brocade_system_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_tunnel_info_rpc(self, page_cursor=None, id=None, mode=None, gw_name=None, src_ip=None, dest_ip=None, config_src=None, site_name=None, admin_state=None, oper_state=None, bfd_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- page_cursor (unicode):

			- id (long):
				range - ['0..4294967295']

			- mode (unicode):
				enum - [u'vxlan']

			- gw_name (unicode):
				pattern - [-_a-zA-Z0-9]{1,32}

			- src_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- dest_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- config_src (unicode):
				enum - [u'bgp-evpn', u'vtep-controller', u'site-config']

			- site_name (unicode):
				pattern - [-_a-zA-Z0-9]{1,63}

			- admin_state (unicode):
				enum - [u'down', u'up']

			- oper_state (unicode):
				enum - [u'down', u'up']

			- bfd_state (unicode):
				enum - [u'down', u'up']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.brocade_tunnels_ext_rpc.get_tunnel_info.input', 'pybind.nos.v7_0_1a.brocade_tunnels_ext_rpc.brocade_tunnels_ext', 'pybind.nos.v7_0_1a.brocade_tunnels_ext_rpc'), ('pybind.nos.v7_1_0.brocade_tunnels_ext_rpc.get_tunnel_info.input', 'pybind.nos.v7_1_0.brocade_tunnels_ext_rpc.brocade_tunnels_ext', 'pybind.nos.v7_1_0.brocade_tunnels_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, page_cursor=page_cursor, id=id, mode=mode, gw_name=gw_name, src_ip=src_ip, dest_ip=dest_ip, config_src=config_src, site_name=site_name, admin_state=admin_state, oper_state=oper_state, bfd_state=bfd_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_tunnel_statistics_rpc(self, page_cursor=None, id=None, mode=None, gw_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- page_cursor (unicode):

			- id (long):
				range - ['0..4294967295']

			- mode (unicode):
				enum - [u'vxlan']

			- gw_name (unicode):
				pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.brocade_tunnels_ext_rpc.get_tunnel_statistics.input', 'pybind.nos.v7_0_1a.brocade_tunnels_ext_rpc.brocade_tunnels_ext', 'pybind.nos.v7_0_1a.brocade_tunnels_ext_rpc'), ('pybind.nos.v7_1_0.brocade_tunnels_ext_rpc.get_tunnel_statistics.input', 'pybind.nos.v7_1_0.brocade_tunnels_ext_rpc.brocade_tunnels_ext', 'pybind.nos.v7_1_0.brocade_tunnels_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, page_cursor=page_cursor, id=id, mode=mode, gw_name=gw_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_vcs_details_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vcs_rpc.get_vcs_details', 'pybind.nos.v6_0_2b.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v6_0_2b.brocade_vcs_rpc'), ('pybind.nos.v7_0_1a.brocade_vcs_rpc.get_vcs_details', 'pybind.nos.v7_0_1a.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v7_0_1a.brocade_vcs_rpc'), ('pybind.nos.v7_1_0.brocade_vcs_rpc.get_vcs_details', 'pybind.nos.v7_1_0.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v7_1_0.brocade_vcs_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vcs_rpc.get_vcs_details', 'pybind.slxos.v16r_1_00b.brocade_vcs_rpc.brocade_vcs', 'pybind.slxos.v16r_1_00b.brocade_vcs_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_vlan_brief_rpc(self, vlan_id=None, last_rcvd_vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- last_rcvd_vlan_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_interface_ext_rpc.get_vlan_brief.input', 'pybind.nos.v6_0_2b.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v6_0_2b.brocade_interface_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_interface_ext_rpc.get_vlan_brief.input', 'pybind.nos.v7_0_1a.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v7_0_1a.brocade_interface_ext_rpc'), ('pybind.nos.v7_1_0.brocade_interface_ext_rpc.get_vlan_brief.input', 'pybind.nos.v7_1_0.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.nos.v7_1_0.brocade_interface_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.get_vlan_brief.input', 'pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc.brocade_interface_ext', 'pybind.slxos.v16r_1_00b.brocade_interface_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_id=vlan_id, last_rcvd_vlan_id=last_rcvd_vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_vmpolicy_macaddr_rpc(self, mac=None, vcenter=None, datacenter=None, last_rcvd_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mac (unicode):
				pattern - [0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}

			- vcenter (unicode):
				length - [u'1..80']

			- datacenter (unicode):
				length - [u'1..80']

			- last_rcvd_instance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vswitch_rpc.get_vmpolicy_macaddr.input', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc'), ('pybind.nos.v7_0_1a.brocade_vswitch_rpc.get_vmpolicy_macaddr.input', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc'), ('pybind.nos.v7_1_0.brocade_vswitch_rpc.get_vmpolicy_macaddr.input', 'pybind.nos.v7_1_0.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_1_0.brocade_vswitch_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.get_vmpolicy_macaddr.input', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac=mac, vcenter=vcenter, datacenter=datacenter, last_rcvd_instance=last_rcvd_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_vnetwork_dvpgs_rpc(self, name=None, vcenter=None, datacenter=None, last_rcvd_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- name (unicode):
				length - [u'1..80']

			- vcenter (unicode):
				length - [u'1..80']

			- datacenter (unicode):
				length - [u'1..80']

			- last_rcvd_instance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vswitch_rpc.get_vnetwork_dvpgs.input', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc'), ('pybind.nos.v7_0_1a.brocade_vswitch_rpc.get_vnetwork_dvpgs.input', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc'), ('pybind.nos.v7_1_0.brocade_vswitch_rpc.get_vnetwork_dvpgs.input', 'pybind.nos.v7_1_0.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_1_0.brocade_vswitch_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.get_vnetwork_dvpgs.input', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name, vcenter=vcenter, datacenter=datacenter, last_rcvd_instance=last_rcvd_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_vnetwork_dvs_rpc(self, name=None, vcenter=None, datacenter=None, last_rcvd_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- name (unicode):
				length - [u'1..80']

			- vcenter (unicode):
				length - [u'1..80']

			- datacenter (unicode):
				length - [u'1..80']

			- last_rcvd_instance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vswitch_rpc.get_vnetwork_dvs.input', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc'), ('pybind.nos.v7_0_1a.brocade_vswitch_rpc.get_vnetwork_dvs.input', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc'), ('pybind.nos.v7_1_0.brocade_vswitch_rpc.get_vnetwork_dvs.input', 'pybind.nos.v7_1_0.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_1_0.brocade_vswitch_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.get_vnetwork_dvs.input', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name, vcenter=vcenter, datacenter=datacenter, last_rcvd_instance=last_rcvd_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_vnetwork_hosts_rpc(self, vcenter=None, datacenter=None, name=None, last_rcvd_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vcenter (unicode):
				length - [u'1..80']

			- datacenter (unicode):
				length - [u'1..80']

			- name (unicode):
				length - [u'1..80']

			- last_rcvd_instance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vswitch_rpc.get_vnetwork_hosts.input', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc'), ('pybind.nos.v7_0_1a.brocade_vswitch_rpc.get_vnetwork_hosts.input', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc'), ('pybind.nos.v7_1_0.brocade_vswitch_rpc.get_vnetwork_hosts.input', 'pybind.nos.v7_1_0.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_1_0.brocade_vswitch_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.get_vnetwork_hosts.input', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter, datacenter=datacenter, name=name, last_rcvd_instance=last_rcvd_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_vnetwork_portgroups_rpc(self, name=None, vcenter=None, datacenter=None, last_rcvd_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- name (unicode):
				length - [u'1..80']

			- vcenter (unicode):
				length - [u'1..80']

			- datacenter (unicode):
				length - [u'1..80']

			- last_rcvd_instance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vswitch_rpc.get_vnetwork_portgroups.input', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc'), ('pybind.nos.v7_0_1a.brocade_vswitch_rpc.get_vnetwork_portgroups.input', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc'), ('pybind.nos.v7_1_0.brocade_vswitch_rpc.get_vnetwork_portgroups.input', 'pybind.nos.v7_1_0.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_1_0.brocade_vswitch_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.get_vnetwork_portgroups.input', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name, vcenter=vcenter, datacenter=datacenter, last_rcvd_instance=last_rcvd_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_vnetwork_vms_rpc(self, name=None, vcenter=None, datacenter=None, last_rcvd_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- name (unicode):
				length - [u'1..80']

			- vcenter (unicode):
				length - [u'1..80']

			- datacenter (unicode):
				length - [u'1..80']

			- last_rcvd_instance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vswitch_rpc.get_vnetwork_vms.input', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc'), ('pybind.nos.v7_0_1a.brocade_vswitch_rpc.get_vnetwork_vms.input', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc'), ('pybind.nos.v7_1_0.brocade_vswitch_rpc.get_vnetwork_vms.input', 'pybind.nos.v7_1_0.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_1_0.brocade_vswitch_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.get_vnetwork_vms.input', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name, vcenter=vcenter, datacenter=datacenter, last_rcvd_instance=last_rcvd_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def get_vnetwork_vswitches_rpc(self, name=None, vcenter=None, datacenter=None, last_rcvd_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- name (unicode):
				length - [u'1..80']

			- vcenter (unicode):
				length - [u'1..80']

			- datacenter (unicode):
				length - [u'1..80']

			- last_rcvd_instance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vswitch_rpc.get_vnetwork_vswitches.input', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v6_0_2b.brocade_vswitch_rpc'), ('pybind.nos.v7_0_1a.brocade_vswitch_rpc.get_vnetwork_vswitches.input', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_0_1a.brocade_vswitch_rpc'), ('pybind.nos.v7_1_0.brocade_vswitch_rpc.get_vnetwork_vswitches.input', 'pybind.nos.v7_1_0.brocade_vswitch_rpc.brocade_vswitch', 'pybind.nos.v7_1_0.brocade_vswitch_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.get_vnetwork_vswitches.input', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc.brocade_vswitch', 'pybind.slxos.v16r_1_00b.brocade_vswitch_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name, vcenter=vcenter, datacenter=datacenter, last_rcvd_instance=last_rcvd_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ha_process_restart_disable_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ha.process_restart.disable_res', 'pybind.slxos.v16r_1_00b.brocade_ha', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'mpls'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ha_process_restart_disable_mpls_update(self, mpls=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mpls (YANGBool):
				yang info - MPLS protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ha.process_restart.disable_res', 'pybind.slxos.v16r_1_00b.brocade_ha', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls=mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_connector_create(self, connector=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- connector (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.connector', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.connector', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connector', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_connector_delete(self, connector=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- connector (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.connector', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.connector', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connector', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_connector_get(self, connector=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- connector (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.connector', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.connector', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connector', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def hardware_connector_breakout_update(self, connector=None, cage_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- connector (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))

		This Instance Arg(s):
			- cage_mode (unicode):
				yang info - Configure breakout mode
				enum - [u'disabled', u'4x10g', u'2x40g', u'2x50g', u'4x25g']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.hardware.connector', u'connector')]
        bindings_list = [('pybind.slxos.v16r_1_00b.hardware.connector.breakout', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector, cage_mode=cage_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_connector_breakout_mode_update(self, connector=None, cage_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- connector (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))

		This Instance Arg(s):
			- cage_mode (unicode):
				yang info - Configure breakout mode
				enum - [u'disabled', u'4x10g', u'2x40g', u'2x50g', u'4x25g']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.hardware.connector', u'connector')]
        bindings_list = [('pybind.slxos.v16r_1_00b.hardware.connector.breakout', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector, cage_mode=cage_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_connector_group_create(self, connector_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- connector_group (id):
				id (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.connector_group', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector_group', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connector_group', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector_group=connector_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_connector_group_delete(self, connector_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- connector_group (id):
				id (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.connector_group', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector_group', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connector_group', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector_group=connector_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_connector_group_update(self, connector_group=None, speed=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- connector_group (id):
				id (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- speed (unicode):
				yang info - Configure the speed of the connector group
				enum - [u'HighMixed', u'FibreChannel', u'LowMixed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.connector_group', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector_group', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connector_group', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector_group=connector_group, speed=speed)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_connector_group_get(self, connector_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- connector_group (id):
				id (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.connector_group', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector_group', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connector_group', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector_group=connector_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def hardware_connector_sfp_update(self, connector=None, breakout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- connector (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])?)

		This Instance Arg(s):
			- breakout (YANGBool):
				yang info - Breakout port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hardware.connector', u'connector'), ('pybind.nos.v7_0_1a.hardware.connector', u'connector'), ('pybind.nos.v7_1_0.hardware.connector', u'connector')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.connector.sfp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector.sfp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector.sfp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector, breakout=breakout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_connector_sfp_breakout_update(self, connector=None, breakout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- connector (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])?)

		This Instance Arg(s):
			- breakout (YANGBool):
				yang info - Breakout port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hardware.connector', u'connector'), ('pybind.nos.v7_0_1a.hardware.connector', u'connector'), ('pybind.nos.v7_1_0.hardware.connector', u'connector')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.connector.sfp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector.sfp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector.sfp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector, breakout=breakout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_create(self, kap_custom_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'kap_custom_profile', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_delete(self, kap_custom_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'kap_custom_profile', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_get(self, kap_custom_profile=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'kap_custom_profile', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def hardware_custom_profile_kap_bfd_l3_update(self, kap_custom_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'bfd_l3_hello_interval, bfd_l3_num_entry'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_bfd_l3_hello_interval_update(self, kap_custom_profile=None, bfd_l3_hello_interval=None, bfd_l3_num_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

		This Instance Arg(s):
			- bfd_l3_hello_interval (long):
				yang info - Configure BFD-L3 hello interval.
				range - ['0..4294967295']

			- bfd_l3_num_entry (long):
				yang info - Configure number of BFD-L3 keep-alive entries/per slot.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, bfd_l3_hello_interval=bfd_l3_hello_interval, bfd_l3_num_entry=bfd_l3_num_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_bfd_vxlan_update(self, kap_custom_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'bfd_vxlan_hello_interval, bfd_vxlan_num_entry'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_bfd_vxlan_hello_interval_update(self, kap_custom_profile=None, bfd_vxlan_hello_interval=None, bfd_vxlan_num_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

		This Instance Arg(s):
			- bfd_vxlan_hello_interval (long):
				yang info - Configure BFD-VXLAN hello interval.
				range - ['0..4294967295']

			- bfd_vxlan_num_entry (long):
				yang info - Configure number of BFD-VXLAN keep-alive entries.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, bfd_vxlan_hello_interval=bfd_vxlan_hello_interval, bfd_vxlan_num_entry=bfd_vxlan_num_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_fcoe_update(self, kap_custom_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoe_hello_interval, fcoe_num_entry'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_fcoe_hello_interval_update(self, kap_custom_profile=None, fcoe_hello_interval=None, fcoe_num_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

		This Instance Arg(s):
			- fcoe_hello_interval (long):
				yang info - Configure FCOE hello interval.
				range - ['0..4294967295']

			- fcoe_num_entry (long):
				yang info - Configure number of FCOE keep-alive entries/per slot.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, fcoe_hello_interval=fcoe_hello_interval, fcoe_num_entry=fcoe_num_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_lacp_update(self, kap_custom_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lacp_hello_interval, lacp_num_entry'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_lacp_hello_interval_update(self, kap_custom_profile=None, lacp_hello_interval=None, lacp_num_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

		This Instance Arg(s):
			- lacp_hello_interval (unicode):
				yang info - Configure LACP hello interval.
				enum - [u'30000', u'1000']

			- lacp_num_entry (long):
				yang info - Configure number of LACP keep-alive entries/per slot
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, lacp_hello_interval=lacp_hello_interval, lacp_num_entry=lacp_num_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_rpvst_update(self, kap_custom_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rpvst_hello_interval, rpvst_num_entry'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_rpvst_hello_interval_update(self, kap_custom_profile=None, rpvst_hello_interval=None, rpvst_num_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

		This Instance Arg(s):
			- rpvst_hello_interval (long):
				yang info - Configure RPVST hello interval.
				range - ['0..4294967295']

			- rpvst_num_entry (long):
				yang info - Configure number of RPVST keep-alive entries/per slot.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, rpvst_hello_interval=rpvst_hello_interval, rpvst_num_entry=rpvst_num_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_udld_update(self, kap_custom_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'udld_hello_interval, udld_num_entry'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_udld_hello_interval_update(self, kap_custom_profile=None, udld_hello_interval=None, udld_num_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

		This Instance Arg(s):
			- udld_hello_interval (long):
				yang info - Configure UDLD hello interval.
				range - ['0..4294967295']

			- udld_num_entry (long):
				yang info - Configure number of UDLD keep-alive entries/per slot.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, udld_hello_interval=udld_hello_interval, udld_num_entry=udld_num_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_xstp_update(self, kap_custom_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'xstp_hello_interval, xstp_num_entry'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_custom_profile_kap_xstp_hello_interval_update(self, kap_custom_profile=None, xstp_hello_interval=None, xstp_num_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- kap_custom_profile (name):
				name (unicode):
					length - [u'1..64']

		This Instance Arg(s):
			- xstp_hello_interval (long):
				yang info - Configure xSTP hello interval.
				range - ['0..4294967295']

			- xstp_num_entry (long):
				yang info - Configure number of XSTP keep-alive entries/per slot.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, xstp_hello_interval=xstp_hello_interval, xstp_num_entry=xstp_num_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_flexport_create(self, flexport=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- flexport (id):
				id (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.flexport', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.flexport', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.flexport', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flexport', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flexport=flexport)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_flexport_delete(self, flexport=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- flexport (id):
				id (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.flexport', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.flexport', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.flexport', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flexport', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flexport=flexport)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_flexport_get(self, flexport=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- flexport (id):
				id (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.flexport', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.flexport', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.flexport', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flexport', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flexport=flexport)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def hardware_flexport_instance_update(self, flexport=None, type=None, instance=None, skip_deconfig=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- flexport (id):
				id (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- type (unicode):
				yang info - The type to be configured.
				length - [u'1..16']

			- instance (long):
				yang info - The instance to which the port should be configured.
				range - ['-2147483648..2147483647']

			- skip_deconfig (YANGBool):
				yang info - Skip Plugin deconfig errors.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hardware.flexport', u'flexport'), ('pybind.nos.v6_0_2b.hardware.flexport', u'flexport'), ('pybind.nos.v7_0_1a.hardware.flexport', u'flexport')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.flexport.flexport_type', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.flexport.flexport_type', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.flexport.flexport_type', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flexport=flexport, type=type, instance=instance, skip_deconfig=skip_deconfig)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_port_group_create(self, port_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_group (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.port_group', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.port_group', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.port_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.port_group', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_group', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_group=port_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_port_group_delete(self, port_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_group (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.port_group', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.port_group', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.port_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.port_group', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_group', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_group=port_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_port_group_get(self, port_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_group (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hardware.port_group', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.port_group', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.port_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.port_group', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_group', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_group=port_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def hardware_port_group_mode_update(self, port_group=None, performance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_group (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- performance (YANGBool):
				yang info - port-group in performance mode, this command will shut
the density port in port-group making the density port
un-usable. The command is disruptive and irreversible.
Require power-cycle to restore the configuration.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hardware.port_group', u'port_group'), ('pybind.nos.v7_0_1a.hardware.port_group', u'port_group'), ('pybind.nos.v7_1_0.hardware.port_group', u'port_group')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.port_group.mode', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.port_group.mode', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.port_group.mode', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_group=port_group, performance=performance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_port_group_mode_performance_update(self, port_group=None, performance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_group (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- performance (YANGBool):
				yang info - port-group in performance mode, this command will shut
the density port in port-group making the density port
un-usable. The command is disruptive and irreversible.
Require power-cycle to restore the configuration.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hardware.port_group', u'port_group'), ('pybind.nos.v7_0_1a.hardware.port_group', u'port_group'), ('pybind.nos.v7_1_0.hardware.port_group', u'port_group')]
        bindings_list = [('pybind.nos.v6_0_2b.hardware.port_group.mode', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.port_group.mode', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.port_group.mode', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_group=port_group, performance=performance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_profile_counters_update(self, counters_profiletype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- counters_profiletype (unicode):
				enum - [u'default', u'counter-profile-2', u'counter-profile-1', u'counter-profile-3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.counters.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, counters_profiletype=counters_profiletype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_profile_kap_update(self, kap_profiletype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- kap_profiletype (unicode):
				enum - [u'default']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.kap.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_profiletype=kap_profiletype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_profile_kap_custom_profile_update(self, kap_profilename=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- kap_profilename (unicode):
				yang info - Profile name [length 1-64]
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.kap.customized', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_profilename=kap_profilename)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_profile_lag_update(self, lag_profiletype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- lag_profiletype (unicode):
				enum - [u'default', u'lag-profile-1']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.lag.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lag_profiletype=lag_profiletype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_profile_route_table_update(self, routing_profiletype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- routing_profiletype (unicode):
				enum - [u'ipv4-max-arp', u'ipv6-max-route', u'default', u'ipv4-min-v6', u'ipv6-max-nd', u'ipv4-max-route']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.route_table.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, routing_profiletype=routing_profiletype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_profile_route_table_maximum_paths_update(self, maximum_paths=None, openflow_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- maximum_paths (unicode):
				yang info - Maximum number of load-sharing paths
				enum - [u'8', u'16', u'32']

			- openflow_enable (unicode):
				yang info - Enable/disable openflow support in profile
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.route_table.predefined.routing_parameter', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, maximum_paths=maximum_paths, openflow_enable=openflow_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_profile_tcam_update(self, tcam_profiletype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tcam_profiletype (unicode):
				enum - [u'default', u'vxlan-ext', u'openflow-optimised-2', u'openflow-optimised-1']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.tcam.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tcam_profiletype=tcam_profiletype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def hardware_profile_vlan_classification_update(self, vlan_profiletype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vlan_profiletype (unicode):
				enum - [u'tor-vxlan-gw', u'default', u'aggregator-basic', u'aggregator-vxlan-gw', u'aggregator-virtualfabric', u'tor-virtualfabric']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.vlan_classification.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_profiletype=vlan_profiletype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def http_server_update(self, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shutdown HTTP Server

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.http_sa.http.server', 'pybind.nos.v6_0_2b.brocade_http_config', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.http_sa.http.server.http_vrf_cont', 'pybind.nos.v7_0_1a.brocade_http_config', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def http_server_shutdown_update(self, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shutdown HTTP Server

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.http_sa.http.server', 'pybind.nos.v6_0_2b.brocade_http_config', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.http_sa.http.server', 'pybind.nos.v7_0_1a.brocade_http_config', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.http_sa.http.server', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def http_server_use_vrf_create(self, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, http_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0..max']

				http_vrf_shutdown (YANGBool):
					yang info - Shutdown HTTP/HTTPS server on the given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_http_config', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def http_server_use_vrf_delete(self, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, http_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0..max']

				http_vrf_shutdown (YANGBool):
					yang info - Shutdown HTTP/HTTPS server on the given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_http_config', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def http_server_use_vrf_update(self, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, http_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0..max']

				http_vrf_shutdown (YANGBool):
					yang info - Shutdown HTTP/HTTPS server on the given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_http_config', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def http_server_use_vrf_get(self, use_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, http_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0..max']

				http_vrf_shutdown (YANGBool):
					yang info - Shutdown HTTP/HTTPS server on the given vrf

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_http_config', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_debug_igmp_update(self, enable_any=None, error=None, events=None, group=None, packets=None, grp_addr=None, protocol=None, query=None, v1_report=None, direction=None, phy_port_name=None, io_port_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable_any (int):
				range - ['0..255']

			- error (int):
				range - ['0..255']

			- events (int):
				range - ['0..255']

			- group (int):
				range - ['0..255']

			- packets (int):
				range - ['0..255']

			- grp_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- protocol (int):
				range - ['0..255']

			- query (int):
				range - ['0..255']

			- v1_report (int):
				range - ['0..255']

			- direction (unicode):

			- phy_port_name (unicode):

			- io_port_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_any=enable_any, error=error, events=events, group=group, packets=packets, grp_addr=grp_addr, protocol=protocol, query=query, v1_report=v1_report, direction=direction, phy_port_name=phy_port_name, io_port_name=io_port_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_debug_igmp_direction_update(self, enable_any=None, error=None, events=None, group=None, packets=None, grp_addr=None, protocol=None, query=None, v1_report=None, direction=None, phy_port_name=None, io_port_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable_any (int):
				range - ['0..255']

			- error (int):
				range - ['0..255']

			- events (int):
				range - ['0..255']

			- group (int):
				range - ['0..255']

			- packets (int):
				range - ['0..255']

			- grp_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- protocol (int):
				range - ['0..255']

			- query (int):
				range - ['0..255']

			- v1_report (int):
				range - ['0..255']

			- direction (unicode):

			- phy_port_name (unicode):

			- io_port_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_any=enable_any, error=error, events=events, group=group, packets=packets, grp_addr=grp_addr, protocol=protocol, query=query, v1_report=v1_report, direction=direction, phy_port_name=phy_port_name, io_port_name=io_port_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_create(self, igmp_groups=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_groups', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_delete(self, igmp_groups=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_groups', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_get(self, igmp_groups=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_groups', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_create(self, igmp_groups=None, igmp_groups_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_groups_ (group_addr, interface_name):
				group_addr (long):
					range - ['0..4294967295']

				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_groups_', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmp_groups_=igmp_groups_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_delete(self, igmp_groups=None, igmp_groups_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_groups_ (group_addr, interface_name):
				group_addr (long):
					range - ['0..4294967295']

				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_groups_', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmp_groups_=igmp_groups_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_update(self, igmp_groups=None, igmp_groups_=None, uptime=None, expiry_time=None, last_reporter=None, filter_mode=None, member_ship=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_groups_ (group_addr, interface_name):
				group_addr (long):
					range - ['0..4294967295']

				interface_name (unicode):

		This Instance Arg(s):
			- uptime (unicode):

			- expiry_time (unicode):

			- last_reporter (long):
				range - ['0..4294967295']

			- filter_mode (int):
				range - ['0..255']

			- member_ship (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_groups_', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmp_groups_=igmp_groups_, uptime=uptime, expiry_time=expiry_time, last_reporter=last_reporter, filter_mode=filter_mode, member_ship=member_ship)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_get(self, igmp_groups=None, igmp_groups_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_groups_ (group_addr, interface_name):
				group_addr (long):
					range - ['0..4294967295']

				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_groups_', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmp_groups_=igmp_groups_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_expiry_time_create(self, igmp_groups=None, expiry_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- expiry_time (group_addr, interface_name):
				group_addr (long):
					range - ['0..4294967295']

				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, expiry_time=expiry_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_expiry_time_delete(self, igmp_groups=None, expiry_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- expiry_time (group_addr, interface_name):
				group_addr (long):
					range - ['0..4294967295']

				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, expiry_time=expiry_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_expiry_time_update(self, igmp_groups=None, expiry_time=None, uptime=None, expiry_time_=None, last_reporter=None, filter_mode=None, member_ship=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- expiry_time (group_addr, interface_name):
				group_addr (long):
					range - ['0..4294967295']

				interface_name (unicode):

		This Instance Arg(s):
			- uptime (unicode):

			- expiry_time_ (unicode):

			- last_reporter (long):
				range - ['0..4294967295']

			- filter_mode (int):
				range - ['0..255']

			- member_ship (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, expiry_time=expiry_time, uptime=uptime, expiry_time_=expiry_time_, last_reporter=last_reporter, filter_mode=filter_mode, member_ship=member_ship)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_expiry_time_get(self, igmp_groups=None, expiry_time=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- expiry_time (group_addr, interface_name):
				group_addr (long):
					range - ['0..4294967295']

				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, expiry_time=expiry_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_create(self, igmp_groups=None, igmpv3_sources=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmpv3_sources (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmpv3_sources', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_delete(self, igmp_groups=None, igmpv3_sources=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmpv3_sources (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmpv3_sources', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_get(self, igmp_groups=None, igmpv3_sources=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmpv3_sources (interface_name):
				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmpv3_sources', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_excl_src_ip_create(self, igmp_groups=None, igmpv3_sources=None, excl_src_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

			- igmpv3_sources (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- excl_src_ip (ipv4_addr):
				ipv4_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', u'igmpv3_sources')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources.excl_src_ip', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'excl_src_ip', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources, excl_src_ip=excl_src_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_excl_src_ip_delete(self, igmp_groups=None, igmpv3_sources=None, excl_src_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

			- igmpv3_sources (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- excl_src_ip (ipv4_addr):
				ipv4_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', u'igmpv3_sources')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources.excl_src_ip', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'excl_src_ip', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources, excl_src_ip=excl_src_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_excl_src_ip_get(self, igmp_groups=None, igmpv3_sources=None, excl_src_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

			- igmpv3_sources (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- excl_src_ip (ipv4_addr):
				ipv4_addr (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', u'igmpv3_sources')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources.excl_src_ip', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'excl_src_ip', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources, excl_src_ip=excl_src_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_incl_src_ip_create(self, igmp_groups=None, igmpv3_sources=None, incl_src_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

			- igmpv3_sources (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- incl_src_ip (ipv4_addr):
				ipv4_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', u'igmpv3_sources')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources.incl_src_ip', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'incl_src_ip', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources, incl_src_ip=incl_src_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_incl_src_ip_delete(self, igmp_groups=None, igmpv3_sources=None, incl_src_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

			- igmpv3_sources (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- incl_src_ip (ipv4_addr):
				ipv4_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', u'igmpv3_sources')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources.incl_src_ip', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'incl_src_ip', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources, incl_src_ip=incl_src_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_incl_src_ip_get(self, igmp_groups=None, igmpv3_sources=None, incl_src_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_groups (group_addr, interface_name):
				group_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface_name (unicode):

			- igmpv3_sources (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- incl_src_ip (ipv4_addr):
				ipv4_addr (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', u'igmpv3_sources')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources.incl_src_ip', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'incl_src_ip', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources, incl_src_ip=incl_src_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_interface_statistics_update(self, interface_name=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_name (unicode):

			- query_edge_recvd (long):
				range - ['0..4294967295']

			- query_edge_sent (long):
				range - ['0..4294967295']

			- query_edge_rx_errors (long):
				range - ['0..4294967295']

			- v1_report_edge_recvd (long):
				range - ['0..4294967295']

			- v1_report_edge_sent (long):
				range - ['0..4294967295']

			- v1_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- v2_report_edge_recvd (long):
				range - ['0..4294967295']

			- v2_report_edge_sent (long):
				range - ['0..4294967295']

			- v2_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- v3_report_edge_recvd (long):
				range - ['0..4294967295']

			- v3_report_edge_sent (long):
				range - ['0..4294967295']

			- v3_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- grp_leave_edge_recvd (long):
				range - ['0..4294967295']

			- grp_leave_edge_sent (long):
				range - ['0..4294967295']

			- grp_leave_edge_rx_errors (long):
				range - ['0..4294967295']

			- pim_hello_edge_recvd (long):
				range - ['0..4294967295']

			- pim_hello_edge_sent (long):
				range - ['0..4294967295']

			- pim_hello_edge_rx_errors (long):
				range - ['0..4294967295']

			- error_unknown_types (long):
				range - ['0..4294967295']

			- error_bad_length (long):
				range - ['0..4294967295']

			- error_bad_checksum (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_name=interface_name, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_interface_statistics_error_bad_checksum_update(self, interface_name=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_name (unicode):

			- query_edge_recvd (long):
				range - ['0..4294967295']

			- query_edge_sent (long):
				range - ['0..4294967295']

			- query_edge_rx_errors (long):
				range - ['0..4294967295']

			- v1_report_edge_recvd (long):
				range - ['0..4294967295']

			- v1_report_edge_sent (long):
				range - ['0..4294967295']

			- v1_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- v2_report_edge_recvd (long):
				range - ['0..4294967295']

			- v2_report_edge_sent (long):
				range - ['0..4294967295']

			- v2_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- v3_report_edge_recvd (long):
				range - ['0..4294967295']

			- v3_report_edge_sent (long):
				range - ['0..4294967295']

			- v3_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- grp_leave_edge_recvd (long):
				range - ['0..4294967295']

			- grp_leave_edge_sent (long):
				range - ['0..4294967295']

			- grp_leave_edge_rx_errors (long):
				range - ['0..4294967295']

			- pim_hello_edge_recvd (long):
				range - ['0..4294967295']

			- pim_hello_edge_sent (long):
				range - ['0..4294967295']

			- pim_hello_edge_rx_errors (long):
				range - ['0..4294967295']

			- error_unknown_types (long):
				range - ['0..4294967295']

			- error_bad_length (long):
				range - ['0..4294967295']

			- error_bad_checksum (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_name=interface_name, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_create(self, igmp_l3_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_delete(self, igmp_l3_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_get(self, igmp_l3_interfaces=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_create(self, igmp_l3_interfaces=None, igmp_l3_interfaces_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_l3_interfaces_ (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces_', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces, igmp_l3_interfaces_=igmp_l3_interfaces_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_delete(self, igmp_l3_interfaces=None, igmp_l3_interfaces_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_l3_interfaces_ (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces_', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces, igmp_l3_interfaces_=igmp_l3_interfaces_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_update(self, igmp_l3_interfaces=None, igmp_l3_interfaces_=None, is_igmp_enabled=None, query_interval=None, other_querier_interval=None, query_reponse_time=None, last_member_query_interval=None, immediate_leave=None, igmp_querier=None, is_igmp_querier_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_l3_interfaces_ (interface_name):
				interface_name (unicode):

		This Instance Arg(s):
			- is_igmp_enabled (int):
				range - ['0..255']

			- query_interval (long):
				range - ['0..4294967295']

			- other_querier_interval (long):
				range - ['0..4294967295']

			- query_reponse_time (long):
				range - ['0..4294967295']

			- last_member_query_interval (long):
				range - ['0..4294967295']

			- immediate_leave (int):
				range - ['0..255']

			- igmp_querier (long):
				range - ['0..4294967295']

			- is_igmp_querier_local (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces_', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces, igmp_l3_interfaces_=igmp_l3_interfaces_, is_igmp_enabled=is_igmp_enabled, query_interval=query_interval, other_querier_interval=other_querier_interval, query_reponse_time=query_reponse_time, last_member_query_interval=last_member_query_interval, immediate_leave=immediate_leave, igmp_querier=igmp_querier, is_igmp_querier_local=is_igmp_querier_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_get(self, igmp_l3_interfaces=None, igmp_l3_interfaces_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_l3_interfaces_ (interface_name):
				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces_', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces, igmp_l3_interfaces_=igmp_l3_interfaces_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_igmp_querier_create(self, igmp_l3_interfaces=None, igmp_querier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_querier (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces, igmp_querier=igmp_querier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_igmp_querier_delete(self, igmp_l3_interfaces=None, igmp_querier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_querier (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces, igmp_querier=igmp_querier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_igmp_querier_update(self, igmp_l3_interfaces=None, igmp_querier=None, is_igmp_enabled=None, query_interval=None, other_querier_interval=None, query_reponse_time=None, last_member_query_interval=None, immediate_leave=None, igmp_querier_=None, is_igmp_querier_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_querier (interface_name):
				interface_name (unicode):

		This Instance Arg(s):
			- is_igmp_enabled (int):
				range - ['0..255']

			- query_interval (long):
				range - ['0..4294967295']

			- other_querier_interval (long):
				range - ['0..4294967295']

			- query_reponse_time (long):
				range - ['0..4294967295']

			- last_member_query_interval (long):
				range - ['0..4294967295']

			- immediate_leave (int):
				range - ['0..255']

			- igmp_querier_ (long):
				range - ['0..4294967295']

			- is_igmp_querier_local (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces, igmp_querier=igmp_querier, is_igmp_enabled=is_igmp_enabled, query_interval=query_interval, other_querier_interval=other_querier_interval, query_reponse_time=query_reponse_time, last_member_query_interval=last_member_query_interval, immediate_leave=immediate_leave, igmp_querier_=igmp_querier_, is_igmp_querier_local=is_igmp_querier_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_igmp_querier_get(self, igmp_l3_interfaces=None, igmp_querier=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_l3_interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- igmp_querier (interface_name):
				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces, igmp_querier=igmp_querier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_create(self, igmp_multicast_snooping_vlans=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_delete(self, igmp_multicast_snooping_vlans=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_get(self, igmp_multicast_snooping_vlans=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_create(self, igmp_multicast_snooping_vlans=None, igmp_multicast_snooping_vlans_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_multicast_snooping_vlans_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_multicast_snooping_vlans_=igmp_multicast_snooping_vlans_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_delete(self, igmp_multicast_snooping_vlans=None, igmp_multicast_snooping_vlans_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_multicast_snooping_vlans_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_multicast_snooping_vlans_=igmp_multicast_snooping_vlans_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_update(self, igmp_multicast_snooping_vlans=None, igmp_multicast_snooping_vlans_=None, pim_sn_status=None, igmp_sn_status=None, igmp_version=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_multicast_snooping_vlans_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pim_sn_status (int):
				range - ['0..255']

			- igmp_sn_status (int):
				range - ['0..255']

			- igmp_version (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_multicast_snooping_vlans_=igmp_multicast_snooping_vlans_, pim_sn_status=pim_sn_status, igmp_sn_status=igmp_sn_status, igmp_version=igmp_version)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_get(self, igmp_multicast_snooping_vlans=None, igmp_multicast_snooping_vlans_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_multicast_snooping_vlans_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_multicast_snooping_vlans_=igmp_multicast_snooping_vlans_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_igmp_sn_status_create(self, igmp_multicast_snooping_vlans=None, igmp_sn_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_sn_status (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_sn_status', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_sn_status=igmp_sn_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_igmp_sn_status_delete(self, igmp_multicast_snooping_vlans=None, igmp_sn_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_sn_status (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_sn_status', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_sn_status=igmp_sn_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_igmp_sn_status_update(self, igmp_multicast_snooping_vlans=None, igmp_sn_status=None, pim_sn_status=None, igmp_sn_status_=None, igmp_version=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_sn_status (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pim_sn_status (int):
				range - ['0..255']

			- igmp_sn_status_ (int):
				range - ['0..255']

			- igmp_version (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_sn_status', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_sn_status=igmp_sn_status, pim_sn_status=pim_sn_status, igmp_sn_status_=igmp_sn_status_, igmp_version=igmp_version)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_igmp_sn_status_get(self, igmp_multicast_snooping_vlans=None, igmp_sn_status=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_multicast_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_sn_status (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_sn_status', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_sn_status=igmp_sn_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_create(self, igmp_snooping_mrouters=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_delete(self, igmp_snooping_mrouters=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_get(self, igmp_snooping_mrouters=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_create(self, igmp_snooping_mrouters=None, igmp_snooping_mrouters_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_snooping_mrouters_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters, igmp_snooping_mrouters_=igmp_snooping_mrouters_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_delete(self, igmp_snooping_mrouters=None, igmp_snooping_mrouters_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_snooping_mrouters_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters, igmp_snooping_mrouters_=igmp_snooping_mrouters_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_update(self, igmp_snooping_mrouters=None, igmp_snooping_mrouters_=None, interface_name=None, expiry_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_snooping_mrouters_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_name (unicode):

			- expiry_time (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters, igmp_snooping_mrouters_=igmp_snooping_mrouters_, interface_name=interface_name, expiry_time=expiry_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_get(self, igmp_snooping_mrouters=None, igmp_snooping_mrouters_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_snooping_mrouters_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters, igmp_snooping_mrouters_=igmp_snooping_mrouters_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_expiry_time_create(self, igmp_snooping_mrouters=None, expiry_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- expiry_time (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters, expiry_time=expiry_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_expiry_time_delete(self, igmp_snooping_mrouters=None, expiry_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- expiry_time (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters, expiry_time=expiry_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_expiry_time_update(self, igmp_snooping_mrouters=None, expiry_time=None, interface_name=None, expiry_time_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- expiry_time (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_name (unicode):

			- expiry_time_ (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters, expiry_time=expiry_time, interface_name=interface_name, expiry_time_=expiry_time_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_expiry_time_get(self, igmp_snooping_mrouters=None, expiry_time=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_mrouters (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- expiry_time (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters, expiry_time=expiry_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_create(self, igmp_snooping_vlans=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_delete(self, igmp_snooping_vlans=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_get(self, igmp_snooping_vlans=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_create(self, igmp_snooping_vlans=None, igmp_snooping_vlans_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_snooping_vlans_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, igmp_snooping_vlans_=igmp_snooping_vlans_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_delete(self, igmp_snooping_vlans=None, igmp_snooping_vlans_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_snooping_vlans_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, igmp_snooping_vlans_=igmp_snooping_vlans_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_update(self, igmp_snooping_vlans=None, igmp_snooping_vlans_=None, multicast_router_ports=None, is_querier=None, igmp_operation_mode=None, fast_leave=None, qmrt=None, lmqi=None, qi=None, version=None, num_of_mcast_grps=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_snooping_vlans_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multicast_router_ports (unicode):

			- is_querier (int):
				range - ['0..255']

			- igmp_operation_mode (long):
				range - ['0..4294967295']

			- fast_leave (int):
				range - ['0..255']

			- qmrt (long):
				range - ['0..4294967295']

			- lmqi (long):
				range - ['0..4294967295']

			- qi (long):
				range - ['0..4294967295']

			- version (int):
				range - ['0..255']

			- num_of_mcast_grps (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, igmp_snooping_vlans_=igmp_snooping_vlans_, multicast_router_ports=multicast_router_ports, is_querier=is_querier, igmp_operation_mode=igmp_operation_mode, fast_leave=fast_leave, qmrt=qmrt, lmqi=lmqi, qi=qi, version=version, num_of_mcast_grps=num_of_mcast_grps)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_get(self, igmp_snooping_vlans=None, igmp_snooping_vlans_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmp_snooping_vlans_ (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, igmp_snooping_vlans_=igmp_snooping_vlans_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_fast_leave_create(self, igmp_snooping_vlans=None, fast_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- fast_leave (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, fast_leave=fast_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_fast_leave_delete(self, igmp_snooping_vlans=None, fast_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- fast_leave (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, fast_leave=fast_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_fast_leave_update(self, igmp_snooping_vlans=None, fast_leave=None, multicast_router_ports=None, is_querier=None, igmp_operation_mode=None, fast_leave_=None, qmrt=None, lmqi=None, qi=None, version=None, num_of_mcast_grps=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- fast_leave (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multicast_router_ports (unicode):

			- is_querier (int):
				range - ['0..255']

			- igmp_operation_mode (long):
				range - ['0..4294967295']

			- fast_leave_ (int):
				range - ['0..255']

			- qmrt (long):
				range - ['0..4294967295']

			- lmqi (long):
				range - ['0..4294967295']

			- qi (long):
				range - ['0..4294967295']

			- version (int):
				range - ['0..255']

			- num_of_mcast_grps (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, fast_leave=fast_leave, multicast_router_ports=multicast_router_ports, is_querier=is_querier, igmp_operation_mode=igmp_operation_mode, fast_leave_=fast_leave_, qmrt=qmrt, lmqi=lmqi, qi=qi, version=version, num_of_mcast_grps=num_of_mcast_grps)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_fast_leave_get(self, igmp_snooping_vlans=None, fast_leave=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- fast_leave (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, fast_leave=fast_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_vlan_groups_create(self, igmp_snooping_vlans=None, vlan_groups=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan_groups (grp_ip_addr):
				grp_ip_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_.vlan_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan_groups', 'keyval': 'grp_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, vlan_groups=vlan_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_vlan_groups_delete(self, igmp_snooping_vlans=None, vlan_groups=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan_groups (grp_ip_addr):
				grp_ip_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_.vlan_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan_groups', 'keyval': 'grp_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, vlan_groups=vlan_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_vlan_groups_update(self, igmp_snooping_vlans=None, vlan_groups=None, member_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan_groups (grp_ip_addr):
				grp_ip_addr (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- member_ports (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_.vlan_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan_groups', 'keyval': 'grp_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, vlan_groups=vlan_groups, member_ports=member_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_vlan_groups_get(self, igmp_snooping_vlans=None, vlan_groups=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- igmp_snooping_vlans (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan_groups (grp_ip_addr):
				grp_ip_addr (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_.vlan_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan_groups', 'keyval': 'grp_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, vlan_groups=vlan_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_statistics_igmp_statistics_create(self, igmp_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_statistics (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_statistics', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_statistics=igmp_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_statistics_igmp_statistics_delete(self, igmp_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_statistics (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_statistics', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_statistics=igmp_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_statistics_igmp_statistics_update(self, igmp_statistics=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_statistics (interface_name):
				interface_name (unicode):

		This Instance Arg(s):
			- query_edge_recvd (long):
				range - ['0..4294967295']

			- query_edge_sent (long):
				range - ['0..4294967295']

			- query_edge_rx_errors (long):
				range - ['0..4294967295']

			- v1_report_edge_recvd (long):
				range - ['0..4294967295']

			- v1_report_edge_sent (long):
				range - ['0..4294967295']

			- v1_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- v2_report_edge_recvd (long):
				range - ['0..4294967295']

			- v2_report_edge_sent (long):
				range - ['0..4294967295']

			- v2_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- v3_report_edge_recvd (long):
				range - ['0..4294967295']

			- v3_report_edge_sent (long):
				range - ['0..4294967295']

			- v3_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- grp_leave_edge_recvd (long):
				range - ['0..4294967295']

			- grp_leave_edge_sent (long):
				range - ['0..4294967295']

			- grp_leave_edge_rx_errors (long):
				range - ['0..4294967295']

			- pim_hello_edge_recvd (long):
				range - ['0..4294967295']

			- pim_hello_edge_sent (long):
				range - ['0..4294967295']

			- pim_hello_edge_rx_errors (long):
				range - ['0..4294967295']

			- error_unknown_types (long):
				range - ['0..4294967295']

			- error_bad_length (long):
				range - ['0..4294967295']

			- error_bad_checksum (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_statistics', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_statistics=igmp_statistics, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_statistics_igmp_statistics_get(self, igmp_statistics=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmp_statistics (interface_name):
				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmp_statistics', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_statistics=igmp_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_igmp_statistics_igmp_statistics_error_bad_checksum_create(self, error_bad_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- error_bad_checksum (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, error_bad_checksum=error_bad_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_statistics_igmp_statistics_error_bad_checksum_delete(self, error_bad_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- error_bad_checksum (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, error_bad_checksum=error_bad_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_statistics_igmp_statistics_error_bad_checksum_update(self, error_bad_checksum=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- error_bad_checksum (interface_name):
				interface_name (unicode):

		This Instance Arg(s):
			- query_edge_recvd (long):
				range - ['0..4294967295']

			- query_edge_sent (long):
				range - ['0..4294967295']

			- query_edge_rx_errors (long):
				range - ['0..4294967295']

			- v1_report_edge_recvd (long):
				range - ['0..4294967295']

			- v1_report_edge_sent (long):
				range - ['0..4294967295']

			- v1_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- v2_report_edge_recvd (long):
				range - ['0..4294967295']

			- v2_report_edge_sent (long):
				range - ['0..4294967295']

			- v2_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- v3_report_edge_recvd (long):
				range - ['0..4294967295']

			- v3_report_edge_sent (long):
				range - ['0..4294967295']

			- v3_report_edge_rx_errors (long):
				range - ['0..4294967295']

			- grp_leave_edge_recvd (long):
				range - ['0..4294967295']

			- grp_leave_edge_sent (long):
				range - ['0..4294967295']

			- grp_leave_edge_rx_errors (long):
				range - ['0..4294967295']

			- pim_hello_edge_recvd (long):
				range - ['0..4294967295']

			- pim_hello_edge_sent (long):
				range - ['0..4294967295']

			- pim_hello_edge_rx_errors (long):
				range - ['0..4294967295']

			- error_unknown_types (long):
				range - ['0..4294967295']

			- error_bad_length (long):
				range - ['0..4294967295']

			- error_bad_checksum_ (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, error_bad_checksum=error_bad_checksum, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum_=error_bad_checksum_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_igmp_statistics_igmp_statistics_error_bad_checksum_get(self, error_bad_checksum=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- error_bad_checksum (interface_name):
				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, error_bad_checksum=error_bad_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_multicast_ssm_mapping_ssm_maps_create(self, ssm_maps=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ssm_maps (prefix_list_name):
				prefix_list_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.multicast_ssm_mapping.ssm_maps', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ssm_maps', 'keyval': 'prefix_list_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ssm_maps=ssm_maps)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_multicast_ssm_mapping_ssm_maps_delete(self, ssm_maps=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ssm_maps (prefix_list_name):
				prefix_list_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.multicast_ssm_mapping.ssm_maps', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ssm_maps', 'keyval': 'prefix_list_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ssm_maps=ssm_maps)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_multicast_ssm_mapping_ssm_maps_update(self, ssm_maps=None, src_ip_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ssm_maps (prefix_list_name):
				prefix_list_name (unicode):

		This Instance Arg(s):
			- src_ip_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.multicast_ssm_mapping.ssm_maps', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ssm_maps', 'keyval': 'prefix_list_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ssm_maps=ssm_maps, src_ip_addr=src_ip_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_multicast_ssm_mapping_ssm_maps_get(self, ssm_maps=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ssm_maps (prefix_list_name):
				prefix_list_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.multicast_ssm_mapping.ssm_maps', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ssm_maps', 'keyval': 'prefix_list_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ssm_maps=ssm_maps)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_create(self, pim_snp_groups=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'pim_snp_groups', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_delete(self, pim_snp_groups=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'pim_snp_groups', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_get(self, pim_snp_groups=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'pim_snp_groups', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_create(self, pim_snp_groups=None, pim_snp_groups_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_groups_ (group_addr, vlan_id):
				group_addr (long):
					range - ['0..4294967295']

				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_groups_', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_groups_=pim_snp_groups_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_delete(self, pim_snp_groups=None, pim_snp_groups_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_groups_ (group_addr, vlan_id):
				group_addr (long):
					range - ['0..4294967295']

				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_groups_', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_groups_=pim_snp_groups_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_update(self, pim_snp_groups=None, pim_snp_groups_=None, uptime=None, expiry_time=None, last_reporter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_groups_ (group_addr, vlan_id):
				group_addr (long):
					range - ['0..4294967295']

				vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- uptime (unicode):

			- expiry_time (unicode):

			- last_reporter (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_groups_', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_groups_=pim_snp_groups_, uptime=uptime, expiry_time=expiry_time, last_reporter=last_reporter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_get(self, pim_snp_groups=None, pim_snp_groups_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_groups_ (group_addr, vlan_id):
				group_addr (long):
					range - ['0..4294967295']

				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_groups_', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_groups_=pim_snp_groups_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_expiry_time_create(self, pim_snp_groups=None, expiry_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- expiry_time (group_addr, vlan_id):
				group_addr (long):
					range - ['0..4294967295']

				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, expiry_time=expiry_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_expiry_time_delete(self, pim_snp_groups=None, expiry_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- expiry_time (group_addr, vlan_id):
				group_addr (long):
					range - ['0..4294967295']

				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, expiry_time=expiry_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_expiry_time_update(self, pim_snp_groups=None, expiry_time=None, uptime=None, expiry_time_=None, last_reporter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- expiry_time (group_addr, vlan_id):
				group_addr (long):
					range - ['0..4294967295']

				vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- uptime (unicode):

			- expiry_time_ (unicode):

			- last_reporter (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, expiry_time=expiry_time, uptime=uptime, expiry_time_=expiry_time_, last_reporter=last_reporter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_expiry_time_get(self, pim_snp_groups=None, expiry_time=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- expiry_time (group_addr, vlan_id):
				group_addr (long):
					range - ['0..4294967295']

				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, expiry_time=expiry_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_create(self, pim_snp_groups=None, pim_snp_sources=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_sources (src_addr):
				src_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_sources', 'keyval': 'src_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_delete(self, pim_snp_groups=None, pim_snp_sources=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_sources (src_addr):
				src_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_sources', 'keyval': 'src_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_update(self, pim_snp_groups=None, pim_snp_sources=None, src_flags=None, src_uptime=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_sources (src_addr):
				src_addr (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- src_flags (int):
				range - ['0..255']

			- src_uptime (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_sources', 'keyval': 'src_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, src_flags=src_flags, src_uptime=src_uptime)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_get(self, pim_snp_groups=None, pim_snp_sources=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_sources (src_addr):
				src_addr (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_sources', 'keyval': 'src_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_pim_snp_sg_member_ports_create(self, pim_snp_groups=None, pim_snp_sources=None, pim_snp_sg_member_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- pim_snp_sources (src_addr):
				src_addr (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_sg_member_ports (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_sg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_pim_snp_sg_member_ports_delete(self, pim_snp_groups=None, pim_snp_sources=None, pim_snp_sg_member_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- pim_snp_sources (src_addr):
				src_addr (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_sg_member_ports (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_sg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_pim_snp_sg_member_ports_update(self, pim_snp_groups=None, pim_snp_sources=None, pim_snp_sg_member_ports=None, mbr_flags=None, flag_string=None, mbr_uptime=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- pim_snp_sources (src_addr):
				src_addr (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_sg_member_ports (interface_name):
				interface_name (unicode):

		This Instance Arg(s):
			- mbr_flags (int):
				range - ['0..255']

			- flag_string (unicode):

			- mbr_uptime (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_sg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, mbr_flags=mbr_flags, flag_string=flag_string, mbr_uptime=mbr_uptime)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_pim_snp_sg_member_ports_get(self, pim_snp_groups=None, pim_snp_sources=None, pim_snp_sg_member_ports=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- pim_snp_sources (src_addr):
				src_addr (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_sg_member_ports (interface_name):
				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_sg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_wg_member_ports_create(self, pim_snp_groups=None, pim_snp_wg_member_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_wg_member_ports (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_wg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_wg_member_ports_delete(self, pim_snp_groups=None, pim_snp_wg_member_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_wg_member_ports (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_wg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_wg_member_ports_update(self, pim_snp_groups=None, pim_snp_wg_member_ports=None, mbr_flags=None, flag_string=None, mbr_uptime=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_wg_member_ports (interface_name):
				interface_name (unicode):

		This Instance Arg(s):
			- mbr_flags (int):
				range - ['0..255']

			- flag_string (unicode):

			- mbr_uptime (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_wg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, mbr_flags=mbr_flags, flag_string=flag_string, mbr_uptime=mbr_uptime)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_wg_member_ports_get(self, pim_snp_groups=None, pim_snp_wg_member_ports=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_snp_groups (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pim_snp_wg_member_ports (interface_name):
				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_snp_wg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_get(self, ethernet=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_bfd_update(self, ethernet=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_bfd_interval_update(self, ethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_bfd_interval_min_rx_update(self, ethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_bfd_shutdown_update(self, ethernet=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_channel_group_update(self, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.channel_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_channel_group_mode_update(self, ethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- port_int (long):
				yang info - Channel group number
				range - ['0..4294967295']

			- mode (unicode):
				yang info - The mode of the port channel.
				enum - [u'active', u'passive', u'on']

			- type (unicode):
				yang info - The type of the port-channel.
				enum - [u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.channel_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_int=port_int, mode=mode, type=type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_delay_link_event_update(self, ethernet=None, delay_link_event_entry=None, delay_link_event_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- delay_link_event_entry (long):
				yang info - NUMBER:1-200;;time
				range - ['0..4294967295']

			- delay_link_event_type (unicode):
				enum - [u'down', u'both', u'up']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.delay_link_event.delay_link', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, delay_link_event_entry=delay_link_event_entry, delay_link_event_type=delay_link_event_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_deviceconnectivity_update(self, ethernet=None, deviceconnectivity=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- deviceconnectivity (unicode):
				yang info - Device connectivity to IP storage device
				enum - [u'NAS', u'None', u'iSCSI', u'DAS']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.connectivity', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, deviceconnectivity=deviceconnectivity)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_dot1x_update(self, ethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, max_req=None, reauthentication=None, filter_strict_security=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- authentication (YANGBool):
				yang info - Enable dot1x on a port

			- port_control (unicode):
				yang info - Port control commands
				enum - [u'auto', u'force-unauthorized', u'force-authorized']

			- protocol_version (long):
				yang info - Set the protocol version
				range - ['0..4294967295']

			- quiet_period (long):
				yang info - Quiet period in the HELD state
				range - ['0..4294967295']

			- reauthMax (long):
				yang info - Number of reauthentication attempts before becoming
unauthorized
				range - ['0..4294967295']

			- max_req (long):
				yang info - Number of times EAP ID Request needs to be resent when
response is not received.
				range - ['0..4294967295']

			- reauthentication (YANGBool):
				yang info - Enable reauthentication on a port

			- filter_strict_security (YANGBool):
				yang info - Enable strict mode on a port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, max_req=max_req, reauthentication=reauthentication, filter_strict_security=filter_strict_security)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_dot1x_authentication_update(self, ethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, max_req=None, reauthentication=None, filter_strict_security=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- authentication (YANGBool):
				yang info - Enable dot1x on a port

			- port_control (unicode):
				yang info - Port control commands
				enum - [u'auto', u'force-unauthorized', u'force-authorized']

			- protocol_version (long):
				yang info - Set the protocol version
				range - ['0..4294967295']

			- quiet_period (long):
				yang info - Quiet period in the HELD state
				range - ['0..4294967295']

			- reauthMax (long):
				yang info - Number of reauthentication attempts before becoming
unauthorized
				range - ['0..4294967295']

			- max_req (long):
				yang info - Number of times EAP ID Request needs to be resent when
response is not received.
				range - ['0..4294967295']

			- reauthentication (YANGBool):
				yang info - Enable reauthentication on a port

			- filter_strict_security (YANGBool):
				yang info - Enable strict mode on a port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, max_req=max_req, reauthentication=reauthentication, filter_strict_security=filter_strict_security)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_dot1x_timeout_update(self, ethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- re_authperiod (long):
				yang info - Reauthentication interval in seconds 
(default = 3600)
				range - ['0..4294967295']

			- server_timeout (long):
				yang info - Server timeout in seconds (default = 30)
				range - ['0..4294967295']

			- supp_timeout (long):
				yang info - Supplicant response timeout (default = 30)
				range - ['0..4294967295']

			- tx_period (long):
				yang info - Transmission period in seconds (default = 30)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x.timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_dot1x_timeout_re_authperiod_update(self, ethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- re_authperiod (long):
				yang info - Reauthentication interval in seconds 
(default = 3600)
				range - ['0..4294967295']

			- server_timeout (long):
				yang info - Server timeout in seconds (default = 30)
				range - ['0..4294967295']

			- supp_timeout (long):
				yang info - Supplicant response timeout (default = 30)
				range - ['0..4294967295']

			- tx_period (long):
				yang info - Transmission period in seconds (default = 30)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x.timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_edge_loop_detection_update(self, ethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- eldprio (long):
				yang info - Set ELD-priority value to interface
				range - ['0..4294967295']

			- eldvlan (unicode):
				yang info - Enable for specific VLAN on selected interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_edge_loop_detection_port_priority_update(self, ethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- eldprio (long):
				yang info - Set ELD-priority value to interface
				range - ['0..4294967295']

			- eldvlan (unicode):
				yang info - Enable for specific VLAN on selected interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_fabric_dport_update(self, ethernet=None, fabric_dport_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_enable (YANGBool):
				yang info - Configure fabric D-port status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_dport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_dport_enable=fabric_dport_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_fabric_dport_enable_update(self, ethernet=None, fabric_dport_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_enable (YANGBool):
				yang info - Configure fabric D-port status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_dport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_dport_enable=fabric_dport_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_fabric_isl_update(self, ethernet=None, fabric_isl_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_isl_enable (YANGBool):
				yang info - Configure fabric isl status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_isl', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_isl_enable=fabric_isl_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_fabric_isl_enable_update(self, ethernet=None, fabric_isl_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_isl_enable (YANGBool):
				yang info - Configure fabric isl status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_isl', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_isl_enable=fabric_isl_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_fabric_neighbor_discovery_update(self, ethernet=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- disable (YANGBool):
				yang info - Disable neighbor discovery at this port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.neighbor_discovery', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_fabric_neighbor_discovery_disable_update(self, ethernet=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- disable (YANGBool):
				yang info - Disable neighbor discovery at this port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.neighbor_discovery', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_fabric_trunk_update(self, ethernet=None, fabric_trunk_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_trunk_enable (YANGBool):
				yang info - Configure fabric trunk status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_trunk', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_trunk_enable=fabric_trunk_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_fabric_trunk_enable_update(self, ethernet=None, fabric_trunk_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_trunk_enable (YANGBool):
				yang info - Configure fabric trunk status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_trunk', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_trunk_enable=fabric_trunk_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_fcoeport_update(self, ethernet=None, fcoeport_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fcoeport_map (unicode):
				length - [u'1..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fcoeport_map=fcoeport_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_fcoeport_map_update(self, ethernet=None, fcoeport_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fcoeport_map (unicode):
				length - [u'1..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fcoeport_map=fcoeport_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_update(self, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.arp_node_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_dhcp_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.intf_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip_acl_interface.ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip_pbr_interface.ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_access_group_create(self, ethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_access_group_delete(self, ethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_access_group_update(self, ethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_access_group_get(self, ethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ip_address_create(self, ethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_address_delete(self, ethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_address_update(self, ethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_address_get(self, ethernet=None, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ip_arp_aging_timeout_update(self, ethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ip mtu value to interface
				range - ['0..4294967295']

			- directed_broadcast (YANGBool):
				yang info - Enable directed IP broadcasts forwarding

			- proxy_arp (YANGBool):
				yang info - Proxy-Arp on the interface

			- arp_aging_timeout (long):
				yang info - Set arp age timeout value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_arp_inspection_update(self, ethernet=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.arp_node_config.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_arp_inspection_trust_update(self, ethernet=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.arp_node_config.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_dhcp_relay_create(self, ethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_dhcp_relay_delete(self, ethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_dhcp_relay_get(self, ethernet=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ip_dhcp_relay_gateway_update(self, ethernet=None, gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- gateway (unicode):
				yang info - Gateway address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_dhcp_conf.dhcp.relay', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, gateway=gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_icmp_update(self, ethernet=None, rate_limiting=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_icmp_rate_limiting_update(self, ethernet=None, rate_limiting=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_igmp_update(self, ethernet=None, igmpl3_last_member_query_interval=None, igmpl3_query_interval=None, igmpl3_query_max_response_time=None, igmpl3_immediate_leave=None, igmpl3_version=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- igmpl3_last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- igmpl3_query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- igmpl3_query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- igmpl3_immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- igmpl3_version (long):
				yang info - Version for this interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_igmp_immediate_leave_update(self, ethernet=None, igmpl3_last_member_query_interval=None, igmpl3_query_interval=None, igmpl3_query_max_response_time=None, igmpl3_immediate_leave=None, igmpl3_version=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- igmpl3_last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- igmpl3_query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- igmpl3_query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- igmpl3_immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- igmpl3_version (long):
				yang info - Version for this interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_igmp_static_group_create(self, ethernet=None, igmpl3_static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- igmpl3_static_group (igmpl3_sg_addr):
				igmpl3_sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp.igmpl3_static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmpl3_static_group', 'keyval': 'igmpl3_sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, igmpl3_static_group=igmpl3_static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_igmp_static_group_delete(self, ethernet=None, igmpl3_static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- igmpl3_static_group (igmpl3_sg_addr):
				igmpl3_sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp.igmpl3_static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmpl3_static_group', 'keyval': 'igmpl3_sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, igmpl3_static_group=igmpl3_static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_igmp_static_group_get(self, ethernet=None, igmpl3_static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- igmpl3_static_group (igmpl3_sg_addr):
				igmpl3_sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp.igmpl3_static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmpl3_static_group', 'keyval': 'igmpl3_sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, igmpl3_static_group=igmpl3_static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ip_multicast_boundary_update(self, ethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pim_sparse (YANGBool):
				yang info - Sparse Mode (PIM-SM)

			- mcast_bdry_prefix_list (unicode):
				yang info - Prefix list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_ospf_update(self, ethernet=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- intf_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_ospf_active_update(self, ethernet=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- intf_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_ospf_authentication_key_update(self, ethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_ospf_bfd_update(self, ethernet=None, intf_bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- intf_bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, intf_bfd_enable=intf_bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_ospf_database_filter_update(self, ethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_ospf_database_filter_all_external_update(self, ethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_ospf_md5_authentication_update(self, ethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, ethernet=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_ospf_md5_authentication_key_id_update(self, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_ospf_md5_authentication_key_id_key_update(self, ethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_pim_update(self, ethernet=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- ttl_threshold (long):
				yang info - Set TTL threshold
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_pim_dr_priority_update(self, ethernet=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- ttl_threshold (long):
				yang info - Set TTL threshold
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_policy_route_map_update(self, ethernet=None, route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, route_map_name=route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_router_update(self, ethernet=None, interface_ip_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_ip_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ip_router_isis=interface_ip_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ip_router_isis_update(self, ethernet=None, interface_ip_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_ip_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ip_router_isis=interface_ip_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_update(self, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.intf_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_access_group_create(self, ethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_access_group_delete(self, ethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_access_group_update(self, ethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_access_group_get(self, ethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_address_create(self, ethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_address_delete(self, ethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_address_update(self, ethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_address_get(self, ethernet=None, ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_address_eui_64_update(self, ethernet=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

		This Instance Arg(s):
			- eui64 (YANGBool):
				yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

			- eui_secondary (YANGBool):
				yang info - Configure Secondary eui-64 ipv6 address on an interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_address_link_local_update(self, ethernet=None, link_local_address=None, link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_local_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- link_local (YANGBool):
				yang info - Configure ipv6 address to override automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, link_local_address=link_local_address, link_local=link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_address_use_link_local_only_update(self, ethernet=None, use_link_local_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- use_link_local_only (YANGBool):
				yang info - Configure automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, use_link_local_only=use_link_local_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_dhcp_relay_create(self, ethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_dhcp_relay_delete(self, ethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_dhcp_relay_update(self, ethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_dhcp_relay_get(self, ethernet=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_dhcp_relay_interface_update(self, ethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- interface_type (unicode):
				yang info - Interface type
				enum - [u'ethernet', u'Ve']

			- interface_name (unicode):
				yang info - Interface name
				pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_hop_by_hop_trap_update(self, ethernet=None, hop_by_hop_trap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hop_by_hop_trap (YANGBool):
				yang info - Enable hop-by-hop trap on an Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, hop_by_hop_trap=hop_by_hop_trap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_icmpv6_update(self, ethernet=None, rate_limiting=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_icmpv6_rate_limiting_update(self, ethernet=None, rate_limiting=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_mtu_update(self, ethernet=None, mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ipv6 mtu value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, mtu=mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_update(self, ethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, send_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- send_ra (YANGBool):
				yang info - Set send-ra

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_address_create(self, ethernet=None, suppressing_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- suppressing_address (suppress_ipv6_address, suppress_per_address):
				suppress_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				suppress_per_address (YANGBool):
					yang info - Suppress all IPv6 addresses in router advertisement

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, suppressing_address=suppressing_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_address_delete(self, ethernet=None, suppressing_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- suppressing_address (suppress_ipv6_address, suppress_per_address):
				suppress_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				suppress_per_address (YANGBool):
					yang info - Suppress all IPv6 addresses in router advertisement

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, suppressing_address=suppressing_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_address_update(self, ethernet=None, suppressing_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- suppressing_address (suppress_ipv6_address, suppress_per_address):
				suppress_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				suppress_per_address (YANGBool):
					yang info - Suppress all IPv6 addresses in router advertisement

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, suppressing_address=suppressing_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_address_get(self, ethernet=None, suppressing_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- suppressing_address (suppress_ipv6_address, suppress_per_address):
				suppress_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				suppress_per_address (YANGBool):
					yang info - Suppress all IPv6 addresses in router advertisement

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, suppressing_address=suppressing_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_address_suppress_update(self, ethernet=None, address_suppress_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- address_suppress_all (YANGBool):
				yang info - Suppress all IPv6 addresses in router advertisement

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, address_suppress_all=address_suppress_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_broadcast_mac_trap_update(self, ethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, send_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- send_ra (YANGBool):
				yang info - Set send-ra

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_cache_update(self, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_cache_expire_update(self, ethernet=None, expire=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- expire (long):
				yang info - Configures the time-interval after which the cache is deleted or refreshed.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, expire=expire)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_dad_update(self, ethernet=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_dad_attempts_update(self, ethernet=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_nud_retry_update(self, ethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- base (long):
				yang info - base value
				range - ['-2147483648..2147483647']

			- interval (long):
				yang info - Time interval between neighbor solicitations in milliseconds
				range - ['0..4294967295']

			- max_attempts (long):
				yang info - Max number of retry attempts.
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, base=base, interval=interval, max_attempts=max_attempts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_prefix_create(self, ethernet=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_prefix_delete(self, ethernet=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_prefix_get(self, ethernet=None, prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_prefix_infinite_update(self, ethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- preferred_lifetime (long):
				yang info - Configures preferred lifetime
				range - ['0..4294967295']

			- preferred_infinite (YANGBool):
				yang info - Infinite preferred lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_prefix_no_advertise_update(self, ethernet=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_advertise (YANGBool):
				yang info - Do not advertise prefix

			- valid_lifetime (long):
				yang info - Configures valid lifetime
				range - ['0..4294967295']

			- valid_infinite (YANGBool):
				yang info - Infinite valid lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_prefix_no_autoconfig_update(self, ethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_autoconfig (YANGBool):
				yang info - Do not use prefix for autoconfiguration

			- no_onlink (YANGBool):
				yang info - Do not use prefix for onlink determination

			- off_link (YANGBool):
				yang info - Prefix is offlink

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_ra_dns_server_create(self, ethernet=None, ra_dns_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ra_dns_server (dns_server_prefix):
				dns_server_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ra_dns_server=ra_dns_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_ra_dns_server_delete(self, ethernet=None, ra_dns_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ra_dns_server (dns_server_prefix):
				dns_server_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ra_dns_server=ra_dns_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_ra_dns_server_update(self, ethernet=None, ra_dns_server=None, dns_server_lifetime_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ra_dns_server (dns_server_prefix):
				dns_server_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- dns_server_lifetime_multiplier (long):
				yang info - Lifetime multiplier for the Recursive DNS Server option
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_ra_dns_server_get(self, ethernet=None, ra_dns_server=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ra_dns_server (dns_server_prefix):
				dns_server_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ra_dns_server=ra_dns_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_ra_domain_name_create(self, ethernet=None, ra_domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ra_domain_name (domain_name_string):
				domain_name_string (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ra_domain_name=ra_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_ra_domain_name_delete(self, ethernet=None, ra_domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ra_domain_name (domain_name_string):
				domain_name_string (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ra_domain_name=ra_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_ra_domain_name_update(self, ethernet=None, ra_domain_name=None, domain_name_lifetime_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ra_domain_name (domain_name_string):
				domain_name_string (unicode):

		This Instance Arg(s):
			- domain_name_lifetime_multiplier (long):
				yang info - Lifetime multiplier for DNS Search List option
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_ra_domain_name_get(self, ethernet=None, ra_domain_name=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ra_domain_name (domain_name_string):
				domain_name_string (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ra_domain_name=ra_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_ra_interval_update(self, ethernet=None, max_interval=None, min_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- max_interval (long):
				yang info - Maximum interval in seconds
				range - ['0..4294967295']

			- min_ (long):
				yang info - Minimum interval between sending RA messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, max_interval=max_interval, min_=min_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_router_preference_update(self, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'router_pref_high, router_pref_low, router_pref_medium'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_router_preference_high_update(self, ethernet=None, router_pref_high=None, router_pref_low=None, router_pref_medium=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- router_pref_high (YANGBool):
				yang info - Set router-preference to high

			- router_pref_low (YANGBool):
				yang info -  Set router-preference to low

			- router_pref_medium (YANGBool):
				yang info - Set router-preference to medium

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, router_pref_high=router_pref_high, router_pref_low=router_pref_low, router_pref_medium=router_pref_medium)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_suppress_ra_update(self, ethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_nd_suppress_ra_all_update(self, ethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_neighbor_create(self, ethernet=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_neighbor_delete(self, ethernet=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_neighbor_update(self, ethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hardware_address (unicode):
				pattern - [0-9a-fA-F]{4}(.[0-9a-fA-F]{4}){2}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, neighbor=neighbor, hardware_address=hardware_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_neighbor_get(self, ethernet=None, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_ospf_update(self, ethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_ospf_active_update(self, ethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_area (unicode):
				yang info - OSPF area
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- instance (long):
				yang info - Instance of OSPFv3 protocol on this interface
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPFv3 MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'point-to-point']

			- priority (long):
				yang info - Interface priority
				range - ['0..4294967295']

			- suppress_linklsa (YANGBool):
				yang info - Suppress link LSA advertisements

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_ospf_authentication_update(self, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_ospf_authentication_ah_update(self, ethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_ospf_authentication_ipsec_update(self, ethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, ethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_ospf_bfd_update(self, ethernet=None, bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, bfd_enable=bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_ospf_dead_interval_update(self, ethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_policy_route_map_update(self, ethernet=None, ipv6_route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipv6_route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipv6_route_map_name=ipv6_route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_raguard_update(self, ethernet=None, raguard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- raguard (YANGBool):
				yang info - IPv6 Router advertisement guard configuration

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, raguard=raguard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_router_update(self, ethernet=None, interface_ipv6_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_ipv6_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ipv6_router_isis=interface_ipv6_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_router_isis_update(self, ethernet=None, interface_ipv6_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_ipv6_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ipv6_router_isis=interface_ipv6_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_create(self, ethernet=None, vrrpv3e_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_delete(self, ethernet=None, vrrpv3e_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_update(self, ethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- advertise_backup (YANGBool):
				yang info - Enable periodic backup advertisement messages

			- nd_advertisement_timer (long):
				yang info - Neighbor Discovery Advertisment Interval
				range - ['0..4294967295']

			- advertisement_interval_scale (long):
				yang info - Ipv6 session advertisement interval scale factor <1|2|5|10>
				range - ['0..4294967295']

			- backup_advertisement_interval (long):
				yang info - Set Backup advertisement interval
				range - ['0..4294967295']

			- vrrpe_advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_get(self, ethernet=None, vrrpv3e_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, ethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- basic (YANGBool):

			- revert_priority (int):
				yang info - Set revert priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_track_create(self, ethernet=None, vrrpv3e_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_track_delete(self, ethernet=None, vrrpv3e_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_track_update(self, ethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_track_get(self, ethernet=None, vrrpv3e_group=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_virtual_ip_create(self, ethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_virtual_ip_delete(self, ethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_extended_group_virtual_ip_get(self, ethernet=None, vrrpv3e_group=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_create(self, ethernet=None, vrrpv3_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_delete(self, ethernet=None, vrrpv3_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_update(self, ethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Use v2 checksum

			- advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_get(self, ethernet=None, vrrpv3_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_track_create(self, ethernet=None, vrrpv3_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_track_delete(self, ethernet=None, vrrpv3_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_track_update(self, ethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_track_get(self, ethernet=None, vrrpv3_group=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_virtual_ip_create(self, ethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_virtual_ip_delete(self, ethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_group_virtual_ip_get(self, ethernet=None, vrrpv3_group=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_ipv6_vrrp_suppress_interface_ra_update(self, ethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vrrp_suppress_interface_ra (YANGBool):
				yang info - Suppress interface RA for vrrpv3

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_update(self, ethernet=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- circuit_type (unicode):
				yang info - Define inter-area/intra area operation mode
				enum - [u'level-2', u'level-1-2', u'level-1']

			- interface_point_to_point (YANGBool):
				yang info - Point-to-point interface for ISIS operation

			- interface_passive (YANGBool):
				yang info - Passive interface for ISIS operation

			- interface_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_auth_check_level_1_update(self, ethernet=None, interface_auth_check_level1_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_auth_check_level1_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_auth_check_level_1_disable_update(self, ethernet=None, interface_auth_check_level1_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_auth_check_level1_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_auth_check_level_2_update(self, ethernet=None, interface_auth_check_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_auth_check_level2_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_auth_check_level_2_disable_update(self, ethernet=None, interface_auth_check_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_auth_check_level2_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_auth_key_create(self, ethernet=None, interface_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_auth_key_delete(self, ethernet=None, interface_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_auth_key_update(self, ethernet=None, interface_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_auth_key_get(self, ethernet=None, interface_auth_key=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_isis_auth_mode_md5_update(self, ethernet=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_auth_mode_md5_level1 (YANGBool):
				yang info - Authentication mode for Level-1 LSPs, CSNP, PSNP

			- interface_auth_mode_md5_level2 (YANGBool):
				yang info - Authentication mode for Level-2 LSPs, CSNP, PSNP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_auth_mode_md5_level_1_update(self, ethernet=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_auth_mode_md5_level1 (YANGBool):
				yang info - Authentication mode for Level-1 LSPs, CSNP, PSNP

			- interface_auth_mode_md5_level2 (YANGBool):
				yang info - Authentication mode for Level-2 LSPs, CSNP, PSNP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_bfd_update(self, ethernet=None, interface_bfd_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_bfd_disable (YANGBool):
				yang info - Disable BFD operation mode on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_bfd_disable=interface_bfd_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_bfd_disable_update(self, ethernet=None, interface_bfd_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_bfd_disable (YANGBool):
				yang info - Disable BFD operation mode on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_bfd_disable=interface_bfd_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_circuit_type_update(self, ethernet=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- circuit_type (unicode):
				yang info - Define inter-area/intra area operation mode
				enum - [u'level-2', u'level-1-2', u'level-1']

			- interface_point_to_point (YANGBool):
				yang info - Point-to-point interface for ISIS operation

			- interface_passive (YANGBool):
				yang info - Passive interface for ISIS operation

			- interface_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_hello_interval_create(self, ethernet=None, interface_hello_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_hello_interval_delete(self, ethernet=None, interface_hello_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_hello_interval_update(self, ethernet=None, interface_hello_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_hello_interval_get(self, ethernet=None, interface_hello_interval=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_isis_hello_multiplier_create(self, ethernet=None, interface_hello_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_hello_multiplier_delete(self, ethernet=None, interface_hello_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_hello_multiplier_update(self, ethernet=None, interface_hello_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_hello_multiplier_get(self, ethernet=None, interface_hello_multiplier=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_isis_hello_padding_update(self, ethernet=None, interface_hello_padding_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_hello_padding_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_padding_disable=interface_hello_padding_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_hello_padding_disable_update(self, ethernet=None, interface_hello_padding_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_hello_padding_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_padding_disable=interface_hello_padding_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_ipv6_metric_create(self, ethernet=None, interface_ipv6_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_ipv6_metric_delete(self, ethernet=None, interface_ipv6_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_ipv6_metric_update(self, ethernet=None, interface_ipv6_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_ipv6_metric_get(self, ethernet=None, interface_ipv6_metric=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_isis_metric_create(self, ethernet=None, interface_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_metric_delete(self, ethernet=None, interface_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_metric_update(self, ethernet=None, interface_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_metric_get(self, ethernet=None, interface_metric=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_isis_priority_update(self, ethernet=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_priority_level1 (long):
				yang info - Priority for Level-1 ISIS Router
				range - ['0..4294967295']

			- interface_priority_level2 (long):
				yang info - Priority for Level-2 ISIS Router
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_priority_level_1_update(self, ethernet=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_priority_level1 (long):
				yang info - Priority for Level-1 ISIS Router
				range - ['0..4294967295']

			- interface_priority_level2 (long):
				yang info - Priority for Level-2 ISIS Router
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_reverse_metric_update(self, ethernet=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rev_metric_val (long):
				yang info - Configure IS-IS reverse metric value
				range - ['0..4294967295']

			- rev_metric_whole_lan (YANGBool):
				yang info - Change metric for whole LAN

			- rev_metric_te_def_metric (YANGBool):
				yang info - Update TE default metric sub-tlv

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_isis_reverse_metric_te_def_metric_update(self, ethernet=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rev_metric_val (long):
				yang info - Configure IS-IS reverse metric value
				range - ['0..4294967295']

			- rev_metric_whole_lan (YANGBool):
				yang info - Change metric for whole LAN

			- rev_metric_te_def_metric (YANGBool):
				yang info - Update TE default metric sub-tlv

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_lacp_update(self, ethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- timeout (unicode):
				yang info - Timeout commands
				enum - [u'short', u'long']

			- std_port_priority (long):
				yang info - Port priority commands
				range - ['0..4294967295']

			- default_up (YANGBool):
				yang info - To bring up the interface in LACP default state 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lacp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_lacp_default_up_update(self, ethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- timeout (unicode):
				yang info - Timeout commands
				enum - [u'short', u'long']

			- std_port_priority (long):
				yang info - Port priority commands
				range - ['0..4294967295']

			- default_up (YANGBool):
				yang info - To bring up the interface in LACP default state 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lacp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_link_error_disable_update(self, ethernet=None, link_error_disable_entry=None, sampling_time_in_sec=None, wait_time_in_sec=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_error_disable_entry (long):
				yang info - NUMBER:1-50;;toggle-threshold
				range - ['0..4294967295']

			- sampling_time_in_sec (long):
				yang info - NUMBER:1-65565;;sampling-time-in-sec
				range - ['0..4294967295']

			- wait_time_in_sec (long):
				yang info - NUMBER:0-65565;;wait-time-in-sec
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_error_disable', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, link_error_disable_entry=link_error_disable_entry, sampling_time_in_sec=sampling_time_in_sec, wait_time_in_sec=wait_time_in_sec)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_link_fault_signaling_update(self, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rx, tx'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_link_fault_signaling_rx_update(self, ethernet=None, rx=None, tx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rx (unicode):
				yang info - rx link fault signaling
				enum - [u'on', u'off']

			- tx (unicode):
				yang info - tx link fault signaling
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rx=rx, tx=tx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_lldp_update(self, ethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- dcbx_version (unicode):
				yang info - Set up DCBX Version
				enum - [u'auto', u'cee']

			- disable (YANGBool):
				yang info - Disable LLDP on the Interface.

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI on this interface
				range - ['0..4294967295']

			- profile (unicode):
				yang info - The LLDP profile on the interface.
				length - [u'1..32']
				pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_lldp_cee_update(self, ethernet=None, lldp_cee_on_off=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- lldp_cee_on_off (unicode):
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp.cee', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, lldp_cee_on_off=lldp_cee_on_off)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_lldp_dcbx_version_update(self, ethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- dcbx_version (unicode):
				yang info - Set up DCBX Version
				enum - [u'auto', u'cee']

			- disable (YANGBool):
				yang info - Disable LLDP on the Interface.

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI on this interface
				range - ['0..4294967295']

			- profile (unicode):
				yang info - The LLDP profile on the interface.
				length - [u'1..32']
				pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_logical_interface_ethernet_create(self, ethernet=None, ethernet_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ethernet_ (instance_id):
				instance_id (unicode):
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ethernet_', 'keyval': 'instance_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_logical_interface_ethernet_delete(self, ethernet=None, ethernet_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ethernet_ (instance_id):
				instance_id (unicode):
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ethernet_', 'keyval': 'instance_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_logical_interface_ethernet_get(self, ethernet=None, ethernet_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ethernet_ (instance_id):
				instance_id (unicode):
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ethernet_', 'keyval': 'instance_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_logical_interface_ethernet_name_update(self, ethernet=None, ethernet_=None, logical_interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- ethernet_ (instance_id):
				instance_id (unicode):
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

		This Instance Arg(s):
			- logical_interface_name (unicode):
				yang info - 64 Chars;;Name of the logical interface.
				length - [u'1 .. 64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_, logical_interface_name=logical_interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_logical_interface_ethernet_shutdown_update(self, ethernet=None, ethernet_=None, shutdown_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- ethernet_ (instance_id):
				instance_id (unicode):
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

		This Instance Arg(s):
			- shutdown_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_, shutdown_status=shutdown_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_logical_interface_ethernet_untagged_vlan_update(self, ethernet=None, ethernet_=None, untagged_vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- ethernet_ (instance_id):
				instance_id (unicode):
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

		This Instance Arg(s):
			- untagged_vlan_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_, untagged_vlan_id=untagged_vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_logical_interface_ethernet_vlan_update(self, ethernet=None, ethernet_=None, outer_tagged_vlan_id=None, inner_vlan=None, inner_tagged_vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- ethernet_ (instance_id):
				instance_id (unicode):
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

		This Instance Arg(s):
			- outer_tagged_vlan_id (long):
				yang info - VLAN ID between 1 and 4090
				range - ['0..4294967295']

			- inner_vlan (YANGBool):
				yang info - Configure Inner VLAN for this logical interface

			- inner_tagged_vlan_id (long):
				yang info - VLAN ID between 1 and 4090
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_, outer_tagged_vlan_id=outer_tagged_vlan_id, inner_vlan=inner_vlan, inner_tagged_vlan_id=inner_tagged_vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_mac_access_group_create(self, ethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_mac_access_group_delete(self, ethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_mac_access_group_update(self, ethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_mac_access_group_get(self, ethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_openflow_enable_update(self, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.enableInterfaceLevel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'modeType, hybrid_mode'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_openflow_enable_hybrid_mode_update(self, ethernet=None, modeType=None, hybrid_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- modeType (unicode):
				yang info - Enable OF Version
				enum - [u'layer3', u'layer2', u'layer23']

			- hybrid_mode (YANGBool):
				yang info - Hybrid-mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.enableInterfaceLevel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, modeType=modeType, hybrid_mode=hybrid_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_openflow_protected_vlans_update(self, ethernet=None, protected_vlan_add=None, protected_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- protected_vlan_add (unicode):
				yang info - Allow these VLANs under openflow 
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- protected_vlan_remove (unicode):
				yang info - Remove a VLAN range that Xmit/Rx
through the Layer2 interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.protected_vlans', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, protected_vlan_add=protected_vlan_add, protected_vlan_remove=protected_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_openflow_protected_vlans_add_update(self, ethernet=None, protected_vlan_add=None, protected_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- protected_vlan_add (unicode):
				yang info - Allow these VLANs under openflow 
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- protected_vlan_remove (unicode):
				yang info - Remove a VLAN range that Xmit/Rx
through the Layer2 interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.protected_vlans', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, protected_vlan_add=protected_vlan_add, protected_vlan_remove=protected_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_port_profile_port_domain_update(self, ethernet=None, profile_domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- profile_domain_name (unicode):
				yang info - Port-profile-domain name (Max Size - 128)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, profile_domain_name=profile_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_port_profile_port_profile_create(self, ethernet=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_port_profile_port_profile_delete(self, ethernet=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_port_profile_port_profile_get(self, ethernet=None, port_to_port_profile_associations=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_qos_update(self, ethernet=None, default_cos=None, default_tc=None, cos_mutation=None, traffic_class_cos=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_cos (int):
				yang info - Configure Default CoS
				range - ['0..255']

			- default_tc (int):
				yang info - Configure Default Traffic Class (TC)
				range - ['0..255']

			- cos_mutation (unicode):
				yang info - Apply CoS-Mutation map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- traffic_class_cos (unicode):
				yang info - Apply Traffic-Class-to-CoS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Apply CoS-to-Traffic-Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Apply DSCP-Mutation map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Apply DSCP-to-Traffic-Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Apply DSCP-to-CoS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, default_cos=default_cos, default_tc=default_tc, cos_mutation=cos_mutation, traffic_class_cos=traffic_class_cos, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_cos_mutation_update(self, ethernet=None, default_cos=None, default_tc=None, cos_mutation=None, traffic_class_cos=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_cos (int):
				yang info - Configure Default CoS
				range - ['0..255']

			- default_tc (int):
				yang info - Configure Default Traffic Class (TC)
				range - ['0..255']

			- cos_mutation (unicode):
				yang info - Apply CoS-Mutation map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- traffic_class_cos (unicode):
				yang info - Apply Traffic-Class-to-CoS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Apply CoS-to-Traffic-Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Apply DSCP-Mutation map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Apply DSCP-to-Traffic-Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Apply DSCP-to-CoS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, default_cos=default_cos, default_tc=default_tc, cos_mutation=cos_mutation, traffic_class_cos=traffic_class_cos, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_drop_monitor_update(self, ethernet=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_drop_monitor_enable_update(self, ethernet=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_flowcontrol_update(self, ethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_flowcontrol_pfc_create(self, ethernet=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (int):
					yang info - 0-7;;CoS value
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_flowcontrol_pfc_delete(self, ethernet=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (int):
					yang info - 0-7;;CoS value
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_flowcontrol_pfc_update(self, ethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (int):
					yang info - 0-7;;CoS value
					range - ['0..255']

		This Instance Arg(s):
			- pfc_flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- pfc_flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_flowcontrol_pfc_get(self, ethernet=None, pfc=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (int):
					yang info - 0-7;;CoS value
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_qos_flowcontrol_rx_update(self, ethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_random_detect_traffic_class_create(self, ethernet=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_random_detect_traffic_class_delete(self, ethernet=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_random_detect_traffic_class_update(self, ethernet=None, traffic_class=None, red_profile_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (int):
					range - ['0..255']

		This Instance Arg(s):
			- red_profile_id (long):
				yang info - Keyword for all other VDX platforms
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_random_detect_traffic_class_get(self, ethernet=None, traffic_class=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_qos_rx_queue_cos_threshold_update(self, ethernet=None, cos0_threshold=None, cos1_threshold=None, cos2_threshold=None, cos3_threshold=None, cos4_threshold=None, cos5_threshold=None, cos6_threshold=None, cos7_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- cos0_threshold (long):
				range - ['0..4294967295']

			- cos1_threshold (long):
				range - ['0..4294967295']

			- cos2_threshold (long):
				range - ['0..4294967295']

			- cos3_threshold (long):
				range - ['0..4294967295']

			- cos4_threshold (long):
				range - ['0..4294967295']

			- cos5_threshold (long):
				range - ['0..4294967295']

			- cos6_threshold (long):
				range - ['0..4294967295']

			- cos7_threshold (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_rx_queue_multicast_create(self, ethernet=None, queue_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- queue_size (traffic_class, min_queue_size, max_queue_size):
				traffic_class (int):
					yang info - Traffic class to configure multicast queue size
					range - ['0..255']

				min_queue_size (long):
					yang info - Configure minimum queue size
					range - ['0..4294967295']

				max_queue_size (long):
					yang info - Configure maximum queue size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, queue_size=queue_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_rx_queue_multicast_delete(self, ethernet=None, queue_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- queue_size (traffic_class, min_queue_size, max_queue_size):
				traffic_class (int):
					yang info - Traffic class to configure multicast queue size
					range - ['0..255']

				min_queue_size (long):
					yang info - Configure minimum queue size
					range - ['0..4294967295']

				max_queue_size (long):
					yang info - Configure maximum queue size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, queue_size=queue_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_rx_queue_multicast_update(self, ethernet=None, queue_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- queue_size (traffic_class, min_queue_size, max_queue_size):
				traffic_class (int):
					yang info - Traffic class to configure multicast queue size
					range - ['0..255']

				min_queue_size (long):
					yang info - Configure minimum queue size
					range - ['0..4294967295']

				max_queue_size (long):
					yang info - Configure maximum queue size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, queue_size=queue_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_rx_queue_multicast_get(self, ethernet=None, queue_size=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- queue_size (traffic_class, min_queue_size, max_queue_size):
				traffic_class (int):
					yang info - Traffic class to configure multicast queue size
					range - ['0..255']

				min_queue_size (long):
					yang info - Configure minimum queue size
					range - ['0..4294967295']

				max_queue_size (long):
					yang info - Configure maximum queue size
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, queue_size=queue_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_qos_rx_queue_multicast_best_effort_rate_update(self, ethernet=None, guarantee_rate=None, best_effort_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- guarantee_rate (long):
				yang info - Configure multicast data guarantee rate
				range - ['0..4294967295']

			- best_effort_rate (long):
				yang info - Configure multicast data best effort rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, guarantee_rate=guarantee_rate, best_effort_rate=best_effort_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_rx_queue_unicast_create(self, ethernet=None, queue_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- queue_size (traffic_class, min_queue_size, max_queue_size):
				traffic_class (int):
					yang info - Traffic class to configure unicast queue size
					range - ['0..255']

				min_queue_size (long):
					yang info - Configure minimum queue size
					range - ['0..4294967295']

				max_queue_size (long):
					yang info - Configure maximum queue size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, queue_size=queue_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_rx_queue_unicast_delete(self, ethernet=None, queue_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- queue_size (traffic_class, min_queue_size, max_queue_size):
				traffic_class (int):
					yang info - Traffic class to configure unicast queue size
					range - ['0..255']

				min_queue_size (long):
					yang info - Configure minimum queue size
					range - ['0..4294967295']

				max_queue_size (long):
					yang info - Configure maximum queue size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, queue_size=queue_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_rx_queue_unicast_update(self, ethernet=None, queue_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- queue_size (traffic_class, min_queue_size, max_queue_size):
				traffic_class (int):
					yang info - Traffic class to configure unicast queue size
					range - ['0..255']

				min_queue_size (long):
					yang info - Configure minimum queue size
					range - ['0..4294967295']

				max_queue_size (long):
					yang info - Configure maximum queue size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, queue_size=queue_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_rx_queue_unicast_get(self, ethernet=None, queue_size=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- queue_size (traffic_class, min_queue_size, max_queue_size):
				traffic_class (int):
					yang info - Traffic class to configure unicast queue size
					range - ['0..255']

				min_queue_size (long):
					yang info - Configure minimum queue size
					range - ['0..4294967295']

				max_queue_size (long):
					yang info - Configure maximum queue size
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, queue_size=queue_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_qos_trust_update(self, ethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_qos_trust_cos_update(self, ethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_rmon_collection_history_create(self, ethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_rmon_collection_history_delete(self, ethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_rmon_collection_history_update(self, ethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_rmon_collection_history_get(self, ethernet=None, history_control_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_rmon_collection_stats_create(self, ethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.ether_stats_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_rmon_collection_stats_delete(self, ethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.ether_stats_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_rmon_collection_stats_update(self, ethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.ether_stats_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_rmon_collection_stats_get(self, ethernet=None, ether_stats_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.ether_stats_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_rpf_update(self, ethernet=None, log=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- log (YANGBool):
				yang info - Log packets that fail RPF check and are to be dropped

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rpf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, log=log)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_rpf_log_update(self, ethernet=None, log=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- log (YANGBool):
				yang info - Log packets that fail RPF check and are to be dropped

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rpf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, log=log)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_rpf_mode_update(self, ethernet=None, mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mode (unicode):
				enum - [u'strict', u'loose']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rpf_mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, mode=mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_service_policy_update(self, ethernet=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_service_policy_in_update(self, ethernet=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_sflow_update(self, ethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable port sflow

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.sflow', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_sflow_enable_update(self, ethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable port sflow

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.sflow', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_update(self, ethernet=None, autoedge=None, cost=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, autoedge=autoedge, cost=cost, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_autoedge_update(self, ethernet=None, autoedge=None, cost=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, autoedge=autoedge, cost=cost, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_edgeport_update(self, ethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_edgeport_bpdu_filter_update(self, ethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_guard_update(self, ethernet=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_guard_root_update(self, ethernet=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_instance_create(self, ethernet=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_instance_delete(self, ethernet=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_instance_update(self, ethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change
notifications from port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_instance_get(self, ethernet=None, instance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_spanning_tree_portfast_update(self, ethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_portfast_bpdu_filter_update(self, ethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_vlan_create(self, ethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_vlan_delete(self, ethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_vlan_update(self, ethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan, cost=cost, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_vlan_get(self, ethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_spanning_tree_vlan_guard_update(self, ethernet=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_spanning_tree_vlan_guard_root_update(self, ethernet=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_storm_control_ingress_create(self, ethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_storm_control_ingress_delete(self, ethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_storm_control_ingress_update(self, ethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_storm_control_ingress_get(self, ethernet=None, ingress=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_switchport_update(self, ethernet=None, basic=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- basic (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, basic=basic)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_update(self, ethernet=None, rspan_access_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rspan_access_vlan (long):
				yang info - Specify rspan-vlan id to set as access vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access.rspan_access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rspan_access_vlan=rspan_access_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_group_rspan_vlan_classification_access_rspan_vlan_create(self, ethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_group_rspan_vlan_classification_access_rspan_vlan_delete(self, ethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_group_rspan_vlan_classification_access_rspan_vlan_get(self, ethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_group_vlan_classification_access_vlan_create(self, ethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_group_vlan_classification_access_vlan_delete(self, ethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_group_vlan_classification_access_vlan_get(self, ethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_rspan_vlan_classification_access_rspan_vlan_create(self, ethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_address):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_address (unicode):
					yang info - Associate the Mac address with a vlan
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_rspan_vlan_classification_access_rspan_vlan_delete(self, ethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_address):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_address (unicode):
					yang info - Associate the Mac address with a vlan
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_rspan_vlan_classification_access_rspan_vlan_get(self, ethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_address):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_address (unicode):
					yang info - Associate the Mac address with a vlan
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_vlan_classification_access_vlan_create(self, ethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_address):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_address (unicode):
					yang info - Associate the Mac address with a vlan
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_vlan_classification_access_vlan_delete(self, ethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_address):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_address (unicode):
					yang info - Associate the Mac address with a vlan
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_mac_vlan_classification_access_vlan_get(self, ethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_address):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_address (unicode):
					yang info - Associate the Mac address with a vlan
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_switchport_access_rspan_vlan_update(self, ethernet=None, rspan_access_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rspan_access_vlan (long):
				yang info - Specify rspan-vlan id to set as access vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access.rspan_access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rspan_access_vlan=rspan_access_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_access_vlan_update(self, ethernet=None, accessvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- accessvlan (long):
				yang info - Set the default VLAN for the interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, accessvlan=accessvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_mode_update(self, ethernet=None, vlan_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vlan_mode (unicode):
				enum - [u'access', u'trunk-no-default-native', u'trunk']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan_mode=vlan_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_port_security_create(self, ethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_port_security_delete(self, ethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_port_security_get(self, ethernet=None, port_secutiry_mac_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_switchport_port_security_max_update(self, ethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- port_sec_max (long):
				yang info - Maximum number of allowed MACs
				range - ['0..4294967295']

			- port_sec_violation (unicode):
				yang info - Set the action on violation
				enum - [u'shutdown']

			- shutdown_time (long):
				yang info - Shutdown time for port
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_port_security_sticky_create(self, ethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_port_security_sticky_delete(self, ethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_port_security_sticky_get(self, ethernet=None, port_secutiry_mac_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_update(self, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_rspan_vlan_update(self, ethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_rspan_trunk_vlan (unicode):
				yang info - Specify rspan-vlan id
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_rspan_trunk_vlan (unicode):
				yang info - Specify the rspan vlans to be removed
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_rspan_vlan_add_update(self, ethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_rspan_trunk_vlan (unicode):
				yang info - Specify rspan-vlan id
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_rspan_trunk_vlan (unicode):
				yang info - Specify the rspan vlans to be removed
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_trunk_rspan_vlan_classification_rspan_vlan_add_create(self, ethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_trunk_rspan_vlan_classification_rspan_vlan_add_delete(self, ethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_trunk_rspan_vlan_classification_rspan_vlan_add_get(self, ethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_trunk_rspan_vlan_classification_rspan_vlan_remove_create(self, ethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_trunk_rspan_vlan_classification_rspan_vlan_remove_delete(self, ethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_trunk_rspan_vlan_classification_rspan_vlan_remove_get(self, ethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_vlan_update(self, ethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- none (YANGBool):
				yang info - Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- add_ (unicode):
				yang info - Allow these VLANs to Xmit/Rx 
through the Layer2 interface
				length - [u'1..20000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- except_ (unicode):
				yang info - Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				yang info - Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_vlan_add_update(self, ethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- none (YANGBool):
				yang info - Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- add_ (unicode):
				yang info - Allow these VLANs to Xmit/Rx 
through the Layer2 interface
				length - [u'1..20000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- except_ (unicode):
				yang info - Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				yang info - Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, ethernet=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, ethernet=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_ctag_update(self, ethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan_id (long):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
				range - ['0..4294967295']

			- native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_default_vlan_update(self, ethernet=None, default_transparent_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_transparent_vlan (long):
				yang info - default transparent vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, default_transparent_vlan=default_transparent_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_native_vlan_untagged_update(self, ethernet=None, native_vlan_id_untagged=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan_id_untagged (long):
				yang info - Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, native_vlan_id_untagged=native_vlan_id_untagged)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_tag_update(self, ethernet=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_tag_native_vlan_update(self, ethernet=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_create(self, ethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_delete(self, ethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_update(self, ethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add=add, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_get(self, ethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_create(self, ethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_delete(self, ethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_update(self, ethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_get(self, ethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_track_update(self, ethernet=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_track_interface_create(self, ethernet=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_track_interface_delete(self, ethernet=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_track_interface_get(self, ethernet=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_track_min_link_update(self, ethernet=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_track_remove_update(self, ethernet=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_track_remove_all_update(self, ethernet=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_udld_update(self, ethernet=None, udld_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- udld_enable (YANGBool):
				yang info - Enable UDLD protocol on the Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, udld_enable=udld_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_udld_enable_update(self, ethernet=None, udld_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- udld_enable (YANGBool):
				yang info - Enable UDLD protocol on the Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, udld_enable=udld_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vepa_update(self, ethernet=None, vepa_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vepa_enable (YANGBool):
				yang info - Set enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vepa', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vepa_enable=vepa_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vepa_enable_update(self, ethernet=None, vepa_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vepa_enable (YANGBool):
				yang info - Set enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vepa', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vepa_enable=vepa_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrf_update(self, ethernet=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrf_forwarding_update(self, ethernet=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_create(self, ethernet=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_delete(self, ethernet=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_update(self, ethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Enables v2 checksum computation method for VRRPv3 session

			- advertisement_interval (long):
				yang info - Ipv4 session advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_get(self, ethernet=None, vrrp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_vrrp_group_arp_unicast_request_update(self, ethernet=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_arp_unicast_request_receive_update(self, ethernet=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_track_create(self, ethernet=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_track_delete(self, ethernet=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_track_update(self, ethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_track_get(self, ethernet=None, vrrp=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ethernet_vrrp_group_virtual_ip_create(self, ethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_virtual_ip_delete(self, ethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ethernet_vrrp_group_virtual_ip_get(self, ethernet=None, vrrp=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fcoe_create(self, fcoe=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- fcoe (fcoe_interface_name):
				fcoe_interface_name (unicode):
					length - [u'3..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.fcoe', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fcoe', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fcoe', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe', 'keyval': 'fcoe_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe=fcoe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fcoe_delete(self, fcoe=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- fcoe (fcoe_interface_name):
				fcoe_interface_name (unicode):
					length - [u'3..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.fcoe', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fcoe', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fcoe', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe', 'keyval': 'fcoe_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe=fcoe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fcoe_update(self, fcoe=None, fcoe_interface_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- fcoe (fcoe_interface_name):
				fcoe_interface_name (unicode):
					length - [u'3..32']

		This Instance Arg(s):
			- fcoe_interface_shutdown (YANGBool):
				yang info - Enable/Disable the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.fcoe', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fcoe', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fcoe', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe', 'keyval': 'fcoe_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe=fcoe, fcoe_interface_shutdown=fcoe_interface_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fcoe_get(self, fcoe=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- fcoe (fcoe_interface_name):
				fcoe_interface_name (unicode):
					length - [u'3..32']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.fcoe', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fcoe', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fcoe', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fcoe', 'keyval': 'fcoe_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe=fcoe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fcoe_bind_update(self, fcoe=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe (fcoe_interface_name):
				fcoe_interface_name (unicode):
					length - [u'3..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2b.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1a.interface.fcoe', u'fcoe')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoe_interface_bind_te, fcoe_interface_bind_fo, fcoe_interface_bind_po, fcoe_interface_bind_mac, fcoe_interface_bind_hu, fcoe_interface_bind_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe=fcoe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fcoe_bind_fortygigabitethernet_update(self, fcoe=None, fcoe_interface_bind_te=None, fcoe_interface_bind_fo=None, fcoe_interface_bind_po=None, fcoe_interface_bind_mac=None, fcoe_interface_bind_hu=None, fcoe_interface_bind_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fcoe (fcoe_interface_name):
				fcoe_interface_name (unicode):
					length - [u'3..32']

		This Instance Arg(s):
			- fcoe_interface_bind_te (YANGBool):
				yang info - Bind to TenGigabitEthernet port

			- fcoe_interface_bind_fo (YANGBool):
				yang info - Bind to FortyGigabitEthernet port

			- fcoe_interface_bind_po (YANGBool):
				yang info - Bind to Port-channel

			- fcoe_interface_bind_mac (YANGBool):
				yang info - Bind to an Enode Mac-address

			- fcoe_interface_bind_hu (YANGBool):
				yang info - Bind to HundredGigabitEthernet port

			- fcoe_interface_bind_name (unicode):
				length - [u'0..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2b.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1a.interface.fcoe', u'fcoe')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe=fcoe, fcoe_interface_bind_te=fcoe_interface_bind_te, fcoe_interface_bind_fo=fcoe_interface_bind_fo, fcoe_interface_bind_po=fcoe_interface_bind_po, fcoe_interface_bind_mac=fcoe_interface_bind_mac, fcoe_interface_bind_hu=fcoe_interface_bind_hu, fcoe_interface_bind_name=fcoe_interface_bind_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fibrechannel_get(self, fc_port=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- fc_port (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.fc_port', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fc_port', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fc_port', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fc_port', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fc_port=fc_port)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_get(self, fortygigabitethernet=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'fortygigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_bfd_update(self, fortygigabitethernet=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_bfd_interval_update(self, fortygigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_bfd_interval_min_rx_update(self, fortygigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_bfd_shutdown_update(self, fortygigabitethernet=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_bpdu_drop_update(self, fortygigabitethernet=None, enable=None, direction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

			- direction (unicode):
				enum - [u'all', u'rx', u'tx']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, enable=enable, direction=direction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_channel_group_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_channel_group_mode_update(self, fortygigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- port_int (long):
				yang info - Channel group number
				range - ['0..4294967295']

			- mode (unicode):
				yang info - The mode of the port channel.
				enum - [u'active', u'passive', u'on']

			- type (unicode):
				yang info - The type of the port-channel.
				enum - [u'brocade', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_int=port_int, mode=mode, type=type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_deviceconnectivity_update(self, fortygigabitethernet=None, deviceconnectivity=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- deviceconnectivity (unicode):
				yang info - Device connectivity to IP storage device
				enum - [u'NAS', u'None', u'iSCSI', u'DAS']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.connectivity', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.connectivity', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, deviceconnectivity=deviceconnectivity)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_dot1x_update(self, fortygigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- authentication (YANGBool):
				yang info - Enable dot1x on a port

			- port_control (unicode):
				yang info - Port control commands
				enum - [u'auto', u'force-unauthorized', u'force-authorized']

			- protocol_version (long):
				yang info - Set the protocol version
				range - ['0..4294967295']

			- quiet_period (long):
				yang info - Quiet period in the HELD state
				range - ['0..4294967295']

			- reauthMax (long):
				yang info - Number of reauthentication attempts before becoming
unauthorized
				range - ['0..4294967295']

			- reauthentication (YANGBool):
				yang info - Enable reauthentication on a port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_dot1x_authentication_update(self, fortygigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- authentication (YANGBool):
				yang info - Enable dot1x on a port

			- port_control (unicode):
				yang info - Port control commands
				enum - [u'auto', u'force-unauthorized', u'force-authorized']

			- protocol_version (long):
				yang info - Set the protocol version
				range - ['0..4294967295']

			- quiet_period (long):
				yang info - Quiet period in the HELD state
				range - ['0..4294967295']

			- reauthMax (long):
				yang info - Number of reauthentication attempts before becoming
unauthorized
				range - ['0..4294967295']

			- reauthentication (YANGBool):
				yang info - Enable reauthentication on a port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_dot1x_timeout_update(self, fortygigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- re_authperiod (long):
				yang info - Reauthentication interval in seconds 
(default = 3600)
				range - ['0..4294967295']

			- server_timeout (long):
				yang info - Server timeout in seconds (default = 30)
				range - ['0..4294967295']

			- supp_timeout (long):
				yang info - Supplicant response timeout (default = 30)
				range - ['0..4294967295']

			- tx_period (long):
				yang info - Transmission period in seconds (default = 30)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_dot1x_timeout_re_authperiod_update(self, fortygigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- re_authperiod (long):
				yang info - Reauthentication interval in seconds 
(default = 3600)
				range - ['0..4294967295']

			- server_timeout (long):
				yang info - Server timeout in seconds (default = 30)
				range - ['0..4294967295']

			- supp_timeout (long):
				yang info - Supplicant response timeout (default = 30)
				range - ['0..4294967295']

			- tx_period (long):
				yang info - Transmission period in seconds (default = 30)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_edge_loop_detection_update(self, fortygigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- eldprio (long):
				yang info - Set ELD-priority value to interface
				range - ['0..4294967295']

			- eldvlan (unicode):
				yang info - Enable for specific VLAN on selected interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_edge_loop_detection_port_priority_update(self, fortygigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- eldprio (long):
				yang info - Set ELD-priority value to interface
				range - ['0..4294967295']

			- eldvlan (unicode):
				yang info - Enable for specific VLAN on selected interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fabric_dport_update(self, fortygigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_enable (YANGBool):
				yang info - Configure fabric D-port status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_dport_enable=fabric_dport_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fabric_dport_enable_update(self, fortygigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_enable (YANGBool):
				yang info - Configure fabric D-port status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_dport_enable=fabric_dport_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fabric_dport_mode_update(self, fortygigabitethernet=None, fabric_dport_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_mode (unicode):
				yang info - Configure D-Port Mode
				enum - [u'static', u'none', u'dynamic']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_dport_mode=fabric_dport_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fabric_isl_update(self, fortygigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_isl_enable (YANGBool):
				yang info - Configure fabric isl status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_isl_enable=fabric_isl_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fabric_isl_enable_update(self, fortygigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_isl_enable (YANGBool):
				yang info - Configure fabric isl status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_isl_enable=fabric_isl_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fabric_neighbor_discovery_update(self, fortygigabitethernet=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- disable (YANGBool):
				yang info - Disable neighbor discovery at this port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fabric_neighbor_discovery_disable_update(self, fortygigabitethernet=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- disable (YANGBool):
				yang info - Disable neighbor discovery at this port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fabric_trunk_update(self, fortygigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_trunk_enable (YANGBool):
				yang info - Configure fabric trunk status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fabric_trunk_enable_update(self, fortygigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_trunk_enable (YANGBool):
				yang info - Configure fabric trunk status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fcoeport_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoeport_map, ns_ip_registration'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_fcoeport_map_update(self, fortygigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fcoeport_map (unicode):
				length - [u'1..32']

			- ns_ip_registration (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.arp_node_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.arp_node_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.arp_node_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_access_group_create(self, fortygigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_access_group_delete(self, fortygigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_access_group_update(self, fortygigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_access_group_get(self, fortygigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_address_create(self, fortygigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_address_delete(self, fortygigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_address_update(self, fortygigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_address_get(self, fortygigabitethernet=None, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_arp_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_arp_aging_timeout_update(self, fortygigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ip mtu value to interface
				range - ['0..4294967295']

			- directed_broadcast (YANGBool):
				yang info - Enable directed IP broadcasts forwarding

			- proxy_arp (YANGBool):
				yang info - Proxy-Arp on the interface

			- arp_aging_timeout (long):
				yang info - Set arp age timeout value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_arp_inspection_update(self, fortygigabitethernet=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_arp_inspection_trust_update(self, fortygigabitethernet=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_arp_learn_any_update(self, fortygigabitethernet=None, learn_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- learn_any (YANGBool):
				yang info - Learn ARP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, learn_any=learn_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_dhcp_relay_create(self, fortygigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_dhcp_relay_delete(self, fortygigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_dhcp_relay_get(self, fortygigabitethernet=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_dhcp_relay_gateway_update(self, fortygigabitethernet=None, gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- gateway (unicode):
				yang info - Gateway address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, gateway=gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_icmp_update(self, fortygigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_icmp_address_mask_update(self, fortygigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_igmp_update(self, fortygigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_igmp_immediate_leave_update(self, fortygigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_igmp_static_group_create(self, fortygigabitethernet=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_igmp_static_group_delete(self, fortygigabitethernet=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_igmp_static_group_get(self, fortygigabitethernet=None, static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_multicast_boundary_update(self, fortygigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pim_sparse (YANGBool):
				yang info - Sparse Mode (PIM-SM)

			- mcast_bdry_prefix_list (unicode):
				yang info - Prefix list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_update(self, fortygigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_active_update(self, fortygigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_authentication_key_update(self, fortygigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_bfd_update(self, fortygigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- intf_bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, intf_bfd_enable=intf_bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_database_filter_update(self, fortygigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_database_filter_all_external_update(self, fortygigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_md5_authentication_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_update(self, fortygigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, fortygigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_id_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, fortygigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_pim_update(self, fortygigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_pim_dr_priority_update(self, fortygigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_pim_multinet_update(self, fortygigabitethernet=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_pim_multinet_enable_update(self, fortygigabitethernet=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_policy_route_map_update(self, fortygigabitethernet=None, route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, route_map_name=route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ip_unnumbered_update(self, fortygigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ip_donor_interface_type (unicode):
				yang info - The type of donor interface.
				enum - [u've', u'loopback', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

			- ip_donor_interface_name (unicode):
				yang info - The name of donor interface.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_access_group_create(self, fortygigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_access_group_delete(self, fortygigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_access_group_update(self, fortygigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_access_group_get(self, fortygigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_address_create(self, fortygigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_address_delete(self, fortygigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_address_update(self, fortygigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_address_get(self, fortygigabitethernet=None, ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_address_eui_64_update(self, fortygigabitethernet=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

		This Instance Arg(s):
			- eui64 (YANGBool):
				yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

			- eui_secondary (YANGBool):
				yang info - Configure Secondary eui-64 ipv6 address on an interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_address_link_local_update(self, fortygigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_local_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- link_local (YANGBool):
				yang info - Configure ipv6 address to override automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, link_local_address=link_local_address, link_local=link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_address_use_link_local_only_update(self, fortygigabitethernet=None, use_link_local_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- use_link_local_only (YANGBool):
				yang info - Configure automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, use_link_local_only=use_link_local_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_dhcp_relay_create(self, fortygigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_dhcp_relay_delete(self, fortygigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_dhcp_relay_update(self, fortygigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_dhcp_relay_get(self, fortygigabitethernet=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_dhcp_relay_interface_update(self, fortygigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- interface_type (unicode):
				yang info - Interface type
				enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'Ve']

			- interface_name (unicode):
				yang info - Interface name
				pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_hop_by_hop_trap_update(self, fortygigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hop_by_hop_trap (YANGBool):
				yang info - Enable hop-by-hop trap on an Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_icmpv6_update(self, fortygigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_icmpv6_echo_reply_update(self, fortygigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_mtu_update(self, fortygigabitethernet=None, mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ipv6 mtu value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mtu=mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_update(self, fortygigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, fortygigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_cache_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_cache_expire_update(self, fortygigabitethernet=None, expire=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- expire (long):
				yang info - Configures the time-interval after which the cache is deleted or refreshed.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, expire=expire)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_dad_update(self, fortygigabitethernet=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_dad_attempts_update(self, fortygigabitethernet=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_nud_retry_update(self, fortygigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- base (long):
				yang info - base value
				range - ['-2147483648..2147483647']

			- interval (long):
				yang info - Time interval between neighbor solicitations in milliseconds
				range - ['0..4294967295']

			- max_attempts (long):
				yang info - Max number of retry attempts.
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_prefix_create(self, fortygigabitethernet=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_prefix_delete(self, fortygigabitethernet=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_prefix_get(self, fortygigabitethernet=None, prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_prefix_infinite_update(self, fortygigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- preferred_lifetime (long):
				yang info - Configures preferred lifetime
				range - ['0..4294967295']

			- preferred_infinite (YANGBool):
				yang info - Infinite preferred lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_prefix_no_advertise_update(self, fortygigabitethernet=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_advertise (YANGBool):
				yang info - Do not advertise prefix

			- valid_lifetime (long):
				yang info - Configures valid lifetime
				range - ['0..4294967295']

			- valid_infinite (YANGBool):
				yang info - Infinite valid lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, fortygigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_autoconfig (YANGBool):
				yang info - Do not use prefix for autoconfiguration

			- no_onlink (YANGBool):
				yang info - Do not use prefix for onlink determination

			- off_link (YANGBool):
				yang info - Prefix is offlink

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_ra_interval_update(self, fortygigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- max_interval (long):
				yang info - Maximum interval in seconds
				range - ['0..4294967295']

			- min_ (long):
				yang info - Minimum interval between sending RA messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, max_interval=max_interval, min_=min_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_suppress_ra_update(self, fortygigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_nd_suppress_ra_all_update(self, fortygigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_neighbor_create(self, fortygigabitethernet=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_neighbor_delete(self, fortygigabitethernet=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_neighbor_update(self, fortygigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hardware_address (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_neighbor_get(self, fortygigabitethernet=None, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_ospf_update(self, fortygigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_ospf_active_update(self, fortygigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_area (unicode):
				yang info - OSPF area
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- instance (long):
				yang info - Instance of OSPFv3 protocol on this interface
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPFv3 MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'point-to-point']

			- priority (long):
				yang info - Interface priority
				range - ['0..4294967295']

			- suppress_linklsa (YANGBool):
				yang info - Suppress link LSA advertisements

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_ospf_authentication_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_ospf_authentication_ah_update(self, fortygigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_ospf_authentication_ipsec_update(self, fortygigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, fortygigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_ospf_bfd_update(self, fortygigabitethernet=None, bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, bfd_enable=bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_ospf_dead_interval_update(self, fortygigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_policy_route_map_update(self, fortygigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipv6_route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_raguard_update(self, fortygigabitethernet=None, raguard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- raguard (YANGBool):
				yang info - IPv6 Router advertisement guard configuration

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, raguard=raguard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_create(self, fortygigabitethernet=None, vrrpv3e_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_delete(self, fortygigabitethernet=None, vrrpv3e_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_update(self, fortygigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- advertise_backup (YANGBool):
				yang info - Enable periodic backup advertisement messages

			- nd_advertisement_timer (long):
				range - ['0..4294967295']

			- advertisement_interval_scale (long):
				yang info - Ipv6 session advertisement interval scale factor <1|2|5|10>
				range - ['0..4294967295']

			- backup_advertisement_interval (long):
				yang info - Set Backup advertisement interval
				range - ['0..4294967295']

			- vrrpe_advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_get(self, fortygigabitethernet=None, vrrpv3e_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, fortygigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- basic (YANGBool):

			- revert_priority (int):
				yang info - Set revert priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_track_create(self, fortygigabitethernet=None, vrrpv3e_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_track_delete(self, fortygigabitethernet=None, vrrpv3e_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_track_update(self, fortygigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_track_get(self, fortygigabitethernet=None, vrrpv3e_group=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_virtual_ip_create(self, fortygigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_virtual_ip_delete(self, fortygigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_extended_group_virtual_ip_get(self, fortygigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_create(self, fortygigabitethernet=None, vrrpv3_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_delete(self, fortygigabitethernet=None, vrrpv3_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_update(self, fortygigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Use v2 checksum

			- advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_get(self, fortygigabitethernet=None, vrrpv3_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_track_create(self, fortygigabitethernet=None, vrrpv3_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_track_delete(self, fortygigabitethernet=None, vrrpv3_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_track_update(self, fortygigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_track_get(self, fortygigabitethernet=None, vrrpv3_group=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_virtual_ip_create(self, fortygigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_virtual_ip_delete(self, fortygigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_group_virtual_ip_get(self, fortygigabitethernet=None, vrrpv3_group=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, fortygigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vrrp_suppress_interface_ra (YANGBool):
				yang info - Suppress interface RA for vrrpv3

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_lacp_update(self, fortygigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- timeout (unicode):
				yang info - Timeout commands
				enum - [u'short', u'long']

			- std_port_priority (long):
				yang info - Port priority commands
				range - ['0..4294967295']

			- default_up (YANGBool):
				yang info - To bring up the interface in LACP default state 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_lacp_default_up_update(self, fortygigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- timeout (unicode):
				yang info - Timeout commands
				enum - [u'short', u'long']

			- std_port_priority (long):
				yang info - Port priority commands
				range - ['0..4294967295']

			- default_up (YANGBool):
				yang info - To bring up the interface in LACP default state 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_lldp_update(self, fortygigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- dcbx_version (unicode):
				yang info - Set up DCBX Version
				enum - [u'auto', u'cee']

			- disable (YANGBool):
				yang info - Disable LLDP on the Interface.

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI on this interface
				range - ['0..4294967295']

			- profile (unicode):
				yang info - The LLDP profile on the interface.
				length - [u'1..32']
				pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_lldp_cee_update(self, fortygigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- lldp_cee_on_off (unicode):
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_lldp_dcbx_version_update(self, fortygigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- dcbx_version (unicode):
				yang info - Set up DCBX Version
				enum - [u'auto', u'cee']

			- disable (YANGBool):
				yang info - Disable LLDP on the Interface.

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI on this interface
				range - ['0..4294967295']

			- profile (unicode):
				yang info - The LLDP profile on the interface.
				length - [u'1..32']
				pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_mac_access_group_create(self, fortygigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_mac_access_group_delete(self, fortygigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_mac_access_group_update(self, fortygigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_mac_access_group_get(self, fortygigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_mac_learning_disable_vlan_update(self, fortygigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mac_learning_vlan_add (unicode):
				yang info - RANGE;;Range of vlans to add
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- mac_learning_vlan_remove (unicode):
				yang info - RANGE;;Range of vlans to remove
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_mac_learning_disable_vlan_add_update(self, fortygigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mac_learning_vlan_add (unicode):
				yang info - RANGE;;Range of vlans to add
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- mac_learning_vlan_remove (unicode):
				yang info - RANGE;;Range of vlans to remove
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_openflow_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_openflow_enable_update(self, fortygigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - OpenFlow enable

			- match_profile (unicode):
				yang info - OpenFlow match profile
				enum - [u'Layer3', u'Layer2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, enable=enable, match_profile=match_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_openflow_logical_instance_update(self, fortygigabitethernet=None, logical_instance_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- logical_instance_id (long):
				yang info - OpenFlow logical instance configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, logical_instance_id=logical_instance_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_port_profile_port_domain_update(self, fortygigabitethernet=None, profile_domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- profile_domain_name (unicode):
				yang info - Port-profile-domain name (Max Size - 128)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, profile_domain_name=profile_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_port_profile_port_profile_create(self, fortygigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_port_profile_port_profile_delete(self, fortygigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_port_profile_port_profile_get(self, fortygigabitethernet=None, port_to_port_profile_associations=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_update(self, fortygigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure DSCP-to-DSCP mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure DSCP-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure DSCP-to-COS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_cos_mutation_update(self, fortygigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure DSCP-to-DSCP mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure DSCP-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure DSCP-to-COS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_drop_monitor_update(self, fortygigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_drop_monitor_enable_update(self, fortygigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_flowcontrol_update(self, fortygigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_flowcontrol_pfc_create(self, fortygigabitethernet=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_flowcontrol_pfc_delete(self, fortygigabitethernet=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_flowcontrol_pfc_update(self, fortygigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

		This Instance Arg(s):
			- pfc_flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- pfc_flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_flowcontrol_pfc_get(self, fortygigabitethernet=None, pfc=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_flowcontrol_rx_update(self, fortygigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_random_detect_traffic_class_create(self, fortygigabitethernet=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_random_detect_traffic_class_delete(self, fortygigabitethernet=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_random_detect_traffic_class_update(self, fortygigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- red_enable (YANGBool):
				yang info - Keyword for VDX 6710,6720,6730,6746,2730

			- red_profile_id (long):
				yang info - Keyword for all other VDX platforms
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_random_detect_traffic_class_get(self, fortygigabitethernet=None, traffic_class=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_trust_update(self, fortygigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_qos_trust_cos_update(self, fortygigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_rmon_collection_history_create(self, fortygigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_rmon_collection_history_delete(self, fortygigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_rmon_collection_history_update(self, fortygigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_rmon_collection_history_get(self, fortygigabitethernet=None, history_control_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_rmon_collection_stats_create(self, fortygigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_rmon_collection_stats_delete(self, fortygigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_rmon_collection_stats_update(self, fortygigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_rmon_collection_stats_get(self, fortygigabitethernet=None, ether_stats_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_service_policy_update(self, fortygigabitethernet=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_service_policy_in_update(self, fortygigabitethernet=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_sflow_update(self, fortygigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable port sflow

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_sflow_enable_update(self, fortygigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable port sflow

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_snmp_trap_update(self, fortygigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_snmp_trap_link_status_update(self, fortygigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_update(self, fortygigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_autoedge_update(self, fortygigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_edgeport_update(self, fortygigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, fortygigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_guard_update(self, fortygigabitethernet=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_guard_root_update(self, fortygigabitethernet=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_instance_create(self, fortygigabitethernet=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_instance_delete(self, fortygigabitethernet=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_instance_update(self, fortygigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change
notifications from port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_instance_get(self, fortygigabitethernet=None, instance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_portfast_update(self, fortygigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, fortygigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_vlan_create(self, fortygigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_vlan_delete(self, fortygigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_vlan_update(self, fortygigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan, cost=cost, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_vlan_get(self, fortygigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_vlan_guard_update(self, fortygigabitethernet=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_spanning_tree_vlan_guard_root_update(self, fortygigabitethernet=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_storm_control_ingress_create(self, fortygigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_storm_control_ingress_delete(self, fortygigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_storm_control_ingress_update(self, fortygigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_storm_control_ingress_get(self, fortygigabitethernet=None, ingress=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_update(self, fortygigabitethernet=None, basic=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- basic (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, basic=basic)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_access_update(self, fortygigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rspan_access_vlan (long):
				yang info - Specify rspan-vlan id to set as access vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, rspan_access_vlan=rspan_access_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_access_rspan_vlan_create(self, fortygigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_access_rspan_vlan_delete(self, fortygigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_access_rspan_vlan_get(self, fortygigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_access_vlan_create(self, fortygigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_access_vlan_delete(self, fortygigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_access_vlan_get(self, fortygigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_mode_update(self, fortygigabitethernet=None, vlan_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vlan_mode (unicode):
				enum - [u'access', u'trunk-no-default-native', u'trunk']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan_mode=vlan_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_mode_private_vlan_update(self, fortygigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan promiscuous

			- host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, promiscuous=promiscuous, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_mode_private_vlan_host_update(self, fortygigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan promiscuous

			- host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, promiscuous=promiscuous, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_mode_private_vlan_trunk_update(self, fortygigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trunk_basic (YANGBool):

			- trunk_promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan trunk promiscuous

			- trunk_host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan trunk host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_port_security_create(self, fortygigabitethernet=None, allowed_ouis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_port_security_delete(self, fortygigabitethernet=None, allowed_ouis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_port_security_get(self, fortygigabitethernet=None, allowed_ouis=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_port_security_max_update(self, fortygigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- port_sec_max (long):
				yang info - Maximum number of allowed MACs
				range - ['0..4294967295']

			- port_sec_violation (unicode):
				yang info - Set the action on violation
				enum - [u'restrict', u'shutdown']

			- shutdown_time (long):
				yang info - Shutdown time for port
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_port_security_sticky_create(self, fortygigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_port_security_sticky_delete(self, fortygigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_port_security_sticky_get(self, fortygigabitethernet=None, port_secutiry_mac_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_association_trunk_create(self, fortygigabitethernet=None, trunk=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_association_trunk_delete(self, fortygigabitethernet=None, trunk=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_association_trunk_get(self, fortygigabitethernet=None, trunk=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_host_association_update(self, fortygigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- host_pri_pvlan (long):
				yang info - Primary vlan id
				range - ['0..4294967295']

			- host_sec_pvlan (long):
				yang info - Secondary vlan id
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_mapping_create(self, fortygigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_mapping_delete(self, fortygigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_mapping_update(self, fortygigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_mapping_get(self, fortygigabitethernet=None, mapping=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, fortygigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_all (YANGBool):
				yang info - Allow all VLANs to Xmit/Rx through the Layer2 interface

			- pvlan_none (YANGBool):
				yang info - Allow no VLANs to Xmit/Rx through the Layer2 interface

			- pvlan_add (unicode):
				yang info - Add a VLAN to Xmit/Rx through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- pvlan_except (unicode):
				yang info - Allow all VLANs except VID to Xmit/Rx through Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- pvlan_remove (unicode):
				yang info - Remove a VLAN that Xmit/Rx through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_create(self, fortygigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_delete(self, fortygigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_get(self, fortygigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_create(self, fortygigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_delete(self, fortygigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_get(self, fortygigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_native_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, fortygigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlanNativevlan (long):
				range - ['0..4294967295']

			- pvlan_native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_tag_update(self, fortygigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_tag_native_vlan (YANGBool):
				yang info - Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, fortygigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_tag_native_vlan (YANGBool):
				yang info - Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_update(self, fortygigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, fortygigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_rspan_trunk_vlan (unicode):
				yang info - Specify rspan-vlan id
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_rspan_trunk_vlan (unicode):
				yang info - Specify the rspan vlans to be removed
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_add_create(self, fortygigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_add_delete(self, fortygigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_add_get(self, fortygigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_create(self, fortygigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_delete(self, fortygigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_get(self, fortygigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_update(self, fortygigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- none (YANGBool):
				yang info - Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- add_ (unicode):
				yang info - Allow these VLANs to Xmit/Rx 
through the Layer2 interface
				length - [u'1..20000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- except_ (unicode):
				yang info - Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				yang info - Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_add_create(self, fortygigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_add_delete(self, fortygigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_add_update(self, fortygigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_add_get(self, fortygigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_remove_create(self, fortygigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_remove_delete(self, fortygigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, fortygigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_remove_get(self, fortygigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, fortygigabitethernet=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, fortygigabitethernet=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_ctag_update(self, fortygigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan_id (long):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
				range - ['0..4294967295']

			- native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_default_vlan_update(self, fortygigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_transparent_vlan (long):
				yang info - default transparent vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, default_transparent_vlan=default_transparent_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_native_vlan_untagged_update(self, fortygigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan_id_untagged (long):
				yang info - Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_tag_update(self, fortygigabitethernet=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_switchport_trunk_tag_native_vlan_update(self, fortygigabitethernet=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_track_update(self, fortygigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_track_interface_create(self, fortygigabitethernet=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_track_interface_delete(self, fortygigabitethernet=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_track_interface_get(self, fortygigabitethernet=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_track_min_link_update(self, fortygigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_track_remove_update(self, fortygigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_track_remove_all_update(self, fortygigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_tunable_optics_sfpp_update(self, fortygigabitethernet=None, channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- channel (long):
				yang info - Channel configuration.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, channel=channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_tunable_optics_sfpp_channel_update(self, fortygigabitethernet=None, channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- channel (long):
				yang info - Channel configuration.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, channel=channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_tunnel_update(self, fortygigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- tagged_ieee_bpdu (YANGBool):
				yang info - Enable tunneling of tagged IEEE BPDUs though VCS
fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_tunnel_tagged_ieee_bpdu_update(self, fortygigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- tagged_ieee_bpdu (YANGBool):
				yang info - Enable tunneling of tagged IEEE BPDUs though VCS
fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_udld_update(self, fortygigabitethernet=None, udld_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- udld_enable (YANGBool):
				yang info - Enable UDLD protocol on the Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, udld_enable=udld_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_udld_enable_update(self, fortygigabitethernet=None, udld_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- udld_enable (YANGBool):
				yang info - Enable UDLD protocol on the Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, udld_enable=udld_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vlan_classifier_activate_group_create(self, fortygigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vlan_classifier_activate_group_delete(self, fortygigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vlan_classifier_activate_group_update(self, fortygigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vlan_classifier_activate_group_get(self, fortygigabitethernet=None, group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_vrf_update(self, fortygigabitethernet=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrf_forwarding_update(self, fortygigabitethernet=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_create(self, fortygigabitethernet=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_delete(self, fortygigabitethernet=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_update(self, fortygigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Enables v2 checksum computation method for VRRPv3 session

			- advertisement_interval (long):
				yang info - 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_get(self, fortygigabitethernet=None, vrrp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_arp_unicast_request_update(self, fortygigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, fortygigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_track_create(self, fortygigabitethernet=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_track_delete(self, fortygigabitethernet=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_track_update(self, fortygigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_track_get(self, fortygigabitethernet=None, vrrp=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_virtual_ip_create(self, fortygigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_virtual_ip_delete(self, fortygigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_fortygigabitethernet_vrrp_group_virtual_ip_get(self, fortygigabitethernet=None, vrrp=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- fortygigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_get(self, gigabitethernet=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'gigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_bfd_update(self, gigabitethernet=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_bfd_interval_update(self, gigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_bfd_interval_min_rx_update(self, gigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_bfd_shutdown_update(self, gigabitethernet=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_bpdu_drop_update(self, gigabitethernet=None, enable=None, direction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

			- direction (unicode):
				enum - [u'all', u'rx', u'tx']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, enable=enable, direction=direction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_channel_group_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_channel_group_mode_update(self, gigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- port_int (long):
				yang info - Channel group number
				range - ['0..4294967295']

			- mode (unicode):
				yang info - The mode of the port channel.
				enum - [u'active', u'passive', u'on']

			- type (unicode):
				yang info - The type of the port-channel.
				enum - [u'brocade', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_int=port_int, mode=mode, type=type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_deviceconnectivity_update(self, gigabitethernet=None, deviceconnectivity=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- deviceconnectivity (unicode):
				yang info - Device connectivity to IP storage device
				enum - [u'NAS', u'None', u'iSCSI', u'DAS']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.connectivity', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.connectivity', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, deviceconnectivity=deviceconnectivity)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_dot1x_update(self, gigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- authentication (YANGBool):
				yang info - Enable dot1x on a port

			- port_control (unicode):
				yang info - Port control commands
				enum - [u'auto', u'force-unauthorized', u'force-authorized']

			- protocol_version (long):
				yang info - Set the protocol version
				range - ['0..4294967295']

			- quiet_period (long):
				yang info - Quiet period in the HELD state
				range - ['0..4294967295']

			- reauthMax (long):
				yang info - Number of reauthentication attempts before becoming
unauthorized
				range - ['0..4294967295']

			- reauthentication (YANGBool):
				yang info - Enable reauthentication on a port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_dot1x_authentication_update(self, gigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- authentication (YANGBool):
				yang info - Enable dot1x on a port

			- port_control (unicode):
				yang info - Port control commands
				enum - [u'auto', u'force-unauthorized', u'force-authorized']

			- protocol_version (long):
				yang info - Set the protocol version
				range - ['0..4294967295']

			- quiet_period (long):
				yang info - Quiet period in the HELD state
				range - ['0..4294967295']

			- reauthMax (long):
				yang info - Number of reauthentication attempts before becoming
unauthorized
				range - ['0..4294967295']

			- reauthentication (YANGBool):
				yang info - Enable reauthentication on a port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_dot1x_timeout_update(self, gigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- re_authperiod (long):
				yang info - Reauthentication interval in seconds 
(default = 3600)
				range - ['0..4294967295']

			- server_timeout (long):
				yang info - Server timeout in seconds (default = 30)
				range - ['0..4294967295']

			- supp_timeout (long):
				yang info - Supplicant response timeout (default = 30)
				range - ['0..4294967295']

			- tx_period (long):
				yang info - Transmission period in seconds (default = 30)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_dot1x_timeout_re_authperiod_update(self, gigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- re_authperiod (long):
				yang info - Reauthentication interval in seconds 
(default = 3600)
				range - ['0..4294967295']

			- server_timeout (long):
				yang info - Server timeout in seconds (default = 30)
				range - ['0..4294967295']

			- supp_timeout (long):
				yang info - Supplicant response timeout (default = 30)
				range - ['0..4294967295']

			- tx_period (long):
				yang info - Transmission period in seconds (default = 30)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_edge_loop_detection_update(self, gigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- eldprio (long):
				yang info - Set ELD-priority value to interface
				range - ['0..4294967295']

			- eldvlan (unicode):
				yang info - Enable ELD for specific VLAN on selected interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_edge_loop_detection_port_priority_update(self, gigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- eldprio (long):
				yang info - Set ELD-priority value to interface
				range - ['0..4294967295']

			- eldvlan (unicode):
				yang info - Enable ELD for specific VLAN on selected interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_fabric_neighbor_discovery_update(self, gigabitethernet=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- disable (YANGBool):
				yang info - Disable neighbor discovery at this port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_fabric_neighbor_discovery_disable_update(self, gigabitethernet=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- disable (YANGBool):
				yang info - Disable neighbor discovery at this port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.arp_node_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.arp_node_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.arp_node_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_access_group_create(self, gigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_access_group_delete(self, gigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_access_group_update(self, gigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_access_group_get(self, gigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ip_address_create(self, gigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_address_delete(self, gigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_address_update(self, gigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_address_get(self, gigabitethernet=None, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ip_arp_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_arp_aging_timeout_update(self, gigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ip mtu value to interface
				range - ['0..4294967295']

			- directed_broadcast (YANGBool):
				yang info - Enable directed IP broadcasts forwarding

			- proxy_arp (YANGBool):
				yang info - Proxy-Arp on the interface

			- arp_aging_timeout (long):
				yang info - Set arp age timeout value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_arp_inspection_update(self, gigabitethernet=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_arp_inspection_trust_update(self, gigabitethernet=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_arp_learn_any_update(self, gigabitethernet=None, learn_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- learn_any (YANGBool):
				yang info - Learn ARP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, learn_any=learn_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_dhcp_relay_create(self, gigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_dhcp_relay_delete(self, gigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_dhcp_relay_get(self, gigabitethernet=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ip_dhcp_relay_gateway_update(self, gigabitethernet=None, gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- gateway (unicode):
				yang info - Gateway address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, gateway=gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_icmp_update(self, gigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_icmp_address_mask_update(self, gigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_igmp_update(self, gigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_igmp_immediate_leave_update(self, gigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_igmp_static_group_create(self, gigabitethernet=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_igmp_static_group_delete(self, gigabitethernet=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_igmp_static_group_get(self, gigabitethernet=None, static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ip_multicast_boundary_update(self, gigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pim_sparse (YANGBool):
				yang info - Sparse Mode (PIM-SM)

			- mcast_bdry_prefix_list (unicode):
				yang info - Prefix list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_update(self, gigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_active_update(self, gigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_authentication_key_update(self, gigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_bfd_update(self, gigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- intf_bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, intf_bfd_enable=intf_bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_database_filter_update(self, gigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_database_filter_all_external_update(self, gigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_md5_authentication_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_md5_authentication_key_update(self, gigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, gigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_md5_authentication_key_id_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, gigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_pim_update(self, gigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_pim_dr_priority_update(self, gigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_pim_multinet_update(self, gigabitethernet=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_pim_multinet_enable_update(self, gigabitethernet=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_policy_route_map_update(self, gigabitethernet=None, route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, route_map_name=route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ip_unnumbered_update(self, gigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ip_donor_interface_type (unicode):
				yang info - The type of donor interface.
				enum - [u've', u'loopback', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

			- ip_donor_interface_name (unicode):
				yang info - The name of donor interface.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_access_group_create(self, gigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_access_group_delete(self, gigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_access_group_update(self, gigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_access_group_get(self, gigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_address_create(self, gigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_address_delete(self, gigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_address_update(self, gigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_address_get(self, gigabitethernet=None, ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_address_eui_64_update(self, gigabitethernet=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

		This Instance Arg(s):
			- eui64 (YANGBool):
				yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

			- eui_secondary (YANGBool):
				yang info - Configure Secondary eui-64 ipv6 address on an interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_address_link_local_update(self, gigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_local_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- link_local (YANGBool):
				yang info - Configure ipv6 address to override automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, link_local_address=link_local_address, link_local=link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_address_use_link_local_only_update(self, gigabitethernet=None, use_link_local_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- use_link_local_only (YANGBool):
				yang info - Configure automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, use_link_local_only=use_link_local_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_dhcp_relay_create(self, gigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_dhcp_relay_delete(self, gigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_dhcp_relay_update(self, gigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_dhcp_relay_get(self, gigabitethernet=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_dhcp_relay_interface_update(self, gigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- interface_type (unicode):
				yang info - Interface type
				enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'Ve']

			- interface_name (unicode):
				yang info - Interface name
				pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_hop_by_hop_trap_update(self, gigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hop_by_hop_trap (YANGBool):
				yang info - Enable hop-by-hop trap on an Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_icmpv6_update(self, gigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_icmpv6_echo_reply_update(self, gigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_mtu_update(self, gigabitethernet=None, mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ipv6 mtu value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mtu=mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_update(self, gigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, gigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_cache_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_cache_expire_update(self, gigabitethernet=None, expire=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- expire (long):
				yang info - Configures the time-interval after which the cache is deleted or refreshed.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, expire=expire)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_dad_update(self, gigabitethernet=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_dad_attempts_update(self, gigabitethernet=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_nud_retry_update(self, gigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- base (long):
				yang info - base value
				range - ['-2147483648..2147483647']

			- interval (long):
				yang info - Time interval between neighbor solicitations in milliseconds
				range - ['0..4294967295']

			- max_attempts (long):
				yang info - Max number of retry attempts.
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_prefix_create(self, gigabitethernet=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_prefix_delete(self, gigabitethernet=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_prefix_get(self, gigabitethernet=None, prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_prefix_infinite_update(self, gigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- preferred_lifetime (long):
				yang info - Configures preferred lifetime
				range - ['0..4294967295']

			- preferred_infinite (YANGBool):
				yang info - Infinite preferred lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_prefix_no_advertise_update(self, gigabitethernet=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_advertise (YANGBool):
				yang info - Do not advertise prefix

			- valid_lifetime (long):
				yang info - Configures valid lifetime
				range - ['0..4294967295']

			- valid_infinite (YANGBool):
				yang info - Infinite valid lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, gigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_autoconfig (YANGBool):
				yang info - Do not use prefix for autoconfiguration

			- no_onlink (YANGBool):
				yang info - Do not use prefix for onlink determination

			- off_link (YANGBool):
				yang info - Prefix is offlink

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_ra_interval_update(self, gigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- max_interval (long):
				yang info - Maximum interval in seconds
				range - ['0..4294967295']

			- min_ (long):
				yang info - Minimum interval between sending RA messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, max_interval=max_interval, min_=min_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_suppress_ra_update(self, gigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_nd_suppress_ra_all_update(self, gigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_neighbor_create(self, gigabitethernet=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_neighbor_delete(self, gigabitethernet=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_neighbor_update(self, gigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hardware_address (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_neighbor_get(self, gigabitethernet=None, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_ospf_update(self, gigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_ospf_active_update(self, gigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_area (unicode):
				yang info - OSPF area
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- instance (long):
				yang info - Instance of OSPFv3 protocol on this interface
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPFv3 MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'point-to-point']

			- priority (long):
				yang info - Interface priority
				range - ['0..4294967295']

			- suppress_linklsa (YANGBool):
				yang info - Suppress link LSA advertisements

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_ospf_authentication_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_ospf_authentication_ah_update(self, gigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_ospf_authentication_ipsec_update(self, gigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, gigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_ospf_bfd_update(self, gigabitethernet=None, bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, bfd_enable=bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_ospf_dead_interval_update(self, gigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_policy_route_map_update(self, gigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipv6_route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_raguard_update(self, gigabitethernet=None, raguard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- raguard (YANGBool):
				yang info - IPv6 Router advertisement guard configuration

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, raguard=raguard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_create(self, gigabitethernet=None, vrrpv3e_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_delete(self, gigabitethernet=None, vrrpv3e_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_update(self, gigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- advertise_backup (YANGBool):
				yang info - Enable periodic backup advertisement messages

			- nd_advertisement_timer (long):
				range - ['0..4294967295']

			- advertisement_interval_scale (long):
				yang info - Ipv6 session advertisement interval scale factor <1|2|5|10>
				range - ['0..4294967295']

			- backup_advertisement_interval (long):
				yang info - Set Backup advertisement interval
				range - ['0..4294967295']

			- vrrpe_advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_get(self, gigabitethernet=None, vrrpv3e_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, gigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- basic (YANGBool):

			- revert_priority (int):
				yang info - Set revert priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_track_create(self, gigabitethernet=None, vrrpv3e_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_track_delete(self, gigabitethernet=None, vrrpv3e_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_track_update(self, gigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_track_get(self, gigabitethernet=None, vrrpv3e_group=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_virtual_ip_create(self, gigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_virtual_ip_delete(self, gigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_extended_group_virtual_ip_get(self, gigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_create(self, gigabitethernet=None, vrrpv3_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_delete(self, gigabitethernet=None, vrrpv3_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_update(self, gigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Use v2 checksum

			- advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_get(self, gigabitethernet=None, vrrpv3_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_track_create(self, gigabitethernet=None, vrrpv3_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_track_delete(self, gigabitethernet=None, vrrpv3_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_track_update(self, gigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_track_get(self, gigabitethernet=None, vrrpv3_group=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_virtual_ip_create(self, gigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_virtual_ip_delete(self, gigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_group_virtual_ip_get(self, gigabitethernet=None, vrrpv3_group=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, gigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vrrp_suppress_interface_ra (YANGBool):
				yang info - Suppress interface RA for vrrpv3

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_lacp_update(self, gigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- timeout (unicode):
				yang info - Timeout commands
				enum - [u'short', u'long']

			- std_port_priority (long):
				yang info - Port priority commands
				range - ['0..4294967295']

			- default_up (YANGBool):
				yang info - To bring up the interface in LACP default state 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_lacp_default_up_update(self, gigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- timeout (unicode):
				yang info - Timeout commands
				enum - [u'short', u'long']

			- std_port_priority (long):
				yang info - Port priority commands
				range - ['0..4294967295']

			- default_up (YANGBool):
				yang info - To bring up the interface in LACP default state 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_lldp_update(self, gigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- dcbx_version (unicode):
				yang info - Set up DCBX Version
				enum - [u'auto', u'cee']

			- disable (YANGBool):
				yang info - Disable LLDP on the Interface.

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI on this interface
				range - ['0..4294967295']

			- profile (unicode):
				yang info - The LLDP profile on the interface.
				length - [u'1..32']
				pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_lldp_cee_update(self, gigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- lldp_cee_on_off (unicode):
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.lldp.cee', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.lldp.cee', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_lldp_dcbx_version_update(self, gigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- dcbx_version (unicode):
				yang info - Set up DCBX Version
				enum - [u'auto', u'cee']

			- disable (YANGBool):
				yang info - Disable LLDP on the Interface.

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI on this interface
				range - ['0..4294967295']

			- profile (unicode):
				yang info - The LLDP profile on the interface.
				length - [u'1..32']
				pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_mac_access_group_create(self, gigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_mac_access_group_delete(self, gigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_mac_access_group_update(self, gigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_mac_access_group_get(self, gigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_mac_learning_disable_vlan_update(self, gigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mac_learning_vlan_add (unicode):
				yang info - RANGE;;Range of vlans to add
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- mac_learning_vlan_remove (unicode):
				yang info - RANGE;;Range of vlans to remove
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_mac_learning_disable_vlan_add_update(self, gigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mac_learning_vlan_add (unicode):
				yang info - RANGE;;Range of vlans to add
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- mac_learning_vlan_remove (unicode):
				yang info - RANGE;;Range of vlans to remove
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_openflow_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_openflow_enable_update(self, gigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - OpenFlow enable

			- match_profile (unicode):
				yang info - OpenFlow match profile
				enum - [u'Layer3', u'Layer2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, enable=enable, match_profile=match_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_openflow_logical_instance_update(self, gigabitethernet=None, logical_instance_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- logical_instance_id (long):
				yang info - OpenFlow logical instance configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, logical_instance_id=logical_instance_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_port_profile_port_domain_update(self, gigabitethernet=None, profile_domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- profile_domain_name (unicode):
				yang info - Port-profile-domain name (Max Size - 128)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, profile_domain_name=profile_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_port_profile_port_profile_create(self, gigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_port_profile_port_profile_delete(self, gigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_port_profile_port_profile_get(self, gigabitethernet=None, port_to_port_profile_associations=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_qos_update(self, gigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure DSCP-to-DSCP mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure DSCP-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure DSCP-to-COS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_cos_mutation_update(self, gigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure DSCP-to-DSCP mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure DSCP-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure DSCP-to-COS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_drop_monitor_update(self, gigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_drop_monitor_enable_update(self, gigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_flowcontrol_update(self, gigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_flowcontrol_rx_update(self, gigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_random_detect_traffic_class_create(self, gigabitethernet=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_random_detect_traffic_class_delete(self, gigabitethernet=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_random_detect_traffic_class_update(self, gigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- red_enable (YANGBool):
				yang info - Keyword for VDX 6710,6720,6730,6746,2730

			- red_profile_id (long):
				yang info - Keyword for all other VDX platforms
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_random_detect_traffic_class_get(self, gigabitethernet=None, traffic_class=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_qos_rcv_queue_cos_threshold_update(self, gigabitethernet=None, cos0_threshold=None, cos1_threshold=None, cos2_threshold=None, cos3_threshold=None, cos4_threshold=None, cos5_threshold=None, cos6_threshold=None, cos7_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- cos0_threshold (long):
				range - ['0..4294967295']

			- cos1_threshold (long):
				range - ['0..4294967295']

			- cos2_threshold (long):
				range - ['0..4294967295']

			- cos3_threshold (long):
				range - ['0..4294967295']

			- cos4_threshold (long):
				range - ['0..4294967295']

			- cos5_threshold (long):
				range - ['0..4294967295']

			- cos6_threshold (long):
				range - ['0..4294967295']

			- cos7_threshold (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_trust_update(self, gigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_qos_trust_cos_update(self, gigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_rmon_collection_history_create(self, gigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_rmon_collection_history_delete(self, gigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_rmon_collection_history_update(self, gigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_rmon_collection_history_get(self, gigabitethernet=None, history_control_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_rmon_collection_stats_create(self, gigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_rmon_collection_stats_delete(self, gigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_rmon_collection_stats_update(self, gigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_rmon_collection_stats_get(self, gigabitethernet=None, ether_stats_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_service_policy_update(self, gigabitethernet=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_service_policy_in_update(self, gigabitethernet=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_sflow_update(self, gigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable port sflow

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_sflow_enable_update(self, gigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable port sflow

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_snmp_trap_update(self, gigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_snmp_trap_link_status_update(self, gigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_update(self, gigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_autoedge_update(self, gigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_edgeport_update(self, gigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, gigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_guard_update(self, gigabitethernet=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_guard_root_update(self, gigabitethernet=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_instance_create(self, gigabitethernet=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_instance_delete(self, gigabitethernet=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_instance_update(self, gigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change
notifications from port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_instance_get(self, gigabitethernet=None, instance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_portfast_update(self, gigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, gigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_vlan_create(self, gigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_vlan_delete(self, gigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_vlan_update(self, gigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan, cost=cost, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_vlan_get(self, gigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_vlan_guard_update(self, gigabitethernet=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_spanning_tree_vlan_guard_root_update(self, gigabitethernet=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_storm_control_ingress_create(self, gigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_storm_control_ingress_delete(self, gigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_storm_control_ingress_update(self, gigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_storm_control_ingress_get(self, gigabitethernet=None, ingress=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_update(self, gigabitethernet=None, basic=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- basic (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport_basic', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport_basic', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, basic=basic)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_access_update(self, gigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rspan_access_vlan (long):
				yang info - Specify rspan-vlan id to set as access vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, rspan_access_vlan=rspan_access_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_access_rspan_vlan_create(self, gigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_access_rspan_vlan_delete(self, gigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_access_rspan_vlan_get(self, gigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_access_vlan_create(self, gigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_access_vlan_delete(self, gigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_access_vlan_get(self, gigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_mode_update(self, gigabitethernet=None, vlan_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vlan_mode (unicode):
				enum - [u'access', u'trunk-no-default-native', u'trunk']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.mode', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.mode', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan_mode=vlan_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_mode_private_vlan_update(self, gigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan promiscuous

			- host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, promiscuous=promiscuous, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_mode_private_vlan_host_update(self, gigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan promiscuous

			- host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, promiscuous=promiscuous, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_mode_private_vlan_trunk_update(self, gigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trunk_basic (YANGBool):

			- trunk_promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan trunk promiscuous

			- trunk_host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan trunk host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_port_security_create(self, gigabitethernet=None, allowed_ouis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'allowed_ouis', 'keyval': 'oui', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_port_security_delete(self, gigabitethernet=None, allowed_ouis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'allowed_ouis', 'keyval': 'oui', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_port_security_get(self, gigabitethernet=None, allowed_ouis=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'allowed_ouis', 'keyval': 'oui', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_port_security_max_update(self, gigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- port_sec_max (long):
				yang info - Maximum number of allowed MACs
				range - ['0..4294967295']

			- port_sec_violation (unicode):
				yang info - Set the action on violation
				enum - [u'restrict', u'shutdown']

			- shutdown_time (long):
				yang info - Shutdown time for port
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_port_security_sticky_create(self, gigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_port_security_sticky_delete(self, gigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_port_security_sticky_get(self, gigabitethernet=None, port_secutiry_mac_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_association_trunk_create(self, gigabitethernet=None, trunk=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_association_trunk_delete(self, gigabitethernet=None, trunk=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_association_trunk_get(self, gigabitethernet=None, trunk=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_host_association_update(self, gigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- host_pri_pvlan (long):
				yang info - Primary vlan id
				range - ['0..4294967295']

			- host_sec_pvlan (long):
				yang info - Secondary vlan id
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_mapping_create(self, gigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_mapping_delete(self, gigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_mapping_update(self, gigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_mapping_get(self, gigabitethernet=None, mapping=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, gigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_all (YANGBool):
				yang info - Allow all VLANs to Xmit/Rx through the Layer2 interface

			- pvlan_none (YANGBool):
				yang info - Allow no VLANs to Xmit/Rx through the Layer2 interface

			- pvlan_add (unicode):
				yang info - Add a VLAN to Xmit/Rx through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- pvlan_except (unicode):
				yang info - Allow all VLANs except VID to Xmit/Rx through Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- pvlan_remove (unicode):
				yang info - Remove a VLAN that Xmit/Rx through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_create(self, gigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_delete(self, gigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_get(self, gigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_create(self, gigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_delete(self, gigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_get(self, gigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_native_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, gigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlanNativevlan (long):
				range - ['0..4294967295']

			- pvlan_native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_tag_update(self, gigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_tag_native_vlan (YANGBool):
				yang info - Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, gigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_tag_native_vlan (YANGBool):
				yang info - Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_update(self, gigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_untagged'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, gigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_rspan_trunk_vlan (unicode):
				yang info - Specify rspan-vlan id
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_rspan_trunk_vlan (unicode):
				yang info - Specify the rspan vlans to be removed
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_add_create(self, gigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_add_delete(self, gigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_add_get(self, gigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_create(self, gigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_delete(self, gigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_get(self, gigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlan_update(self, gigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- none (YANGBool):
				yang info - Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- add_ (unicode):
				yang info - Allow these VLANs to Xmit/Rx 
through the Layer2 interface
				length - [u'1..20000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- except_ (unicode):
				yang info - Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				yang info - Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlan_add_create(self, gigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlan_add_delete(self, gigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlan_add_update(self, gigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlan_add_get(self, gigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlan_remove_create(self, gigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlan_remove_delete(self, gigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, gigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlan_remove_get(self, gigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, gigabitethernet=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, gigabitethernet=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_ctag_update(self, gigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan_id (long):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
				range - ['0..4294967295']

			- native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_default_vlan_update(self, gigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_transparent_vlan (long):
				yang info - default transparent vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, default_transparent_vlan=default_transparent_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_native_vlan_untagged_update(self, gigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan_id_untagged (long):
				yang info - Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_tag_update(self, gigabitethernet=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_switchport_trunk_tag_native_vlan_update(self, gigabitethernet=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_track_update(self, gigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_track_interface_create(self, gigabitethernet=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_track_interface_delete(self, gigabitethernet=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_track_interface_get(self, gigabitethernet=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_track_min_link_update(self, gigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_track_remove_update(self, gigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_track_remove_all_update(self, gigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_tunable_optics_sfpp_update(self, gigabitethernet=None, channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- channel (long):
				yang info - Channel configuration.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, channel=channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_tunable_optics_sfpp_channel_update(self, gigabitethernet=None, channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- channel (long):
				yang info - Channel configuration.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, channel=channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_tunnel_update(self, gigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- tagged_ieee_bpdu (YANGBool):
				yang info - Enable tunneling of tagged IEEE BPDUs though VCS
fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_tunnel_tagged_ieee_bpdu_update(self, gigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- tagged_ieee_bpdu (YANGBool):
				yang info - Enable tunneling of tagged IEEE BPDUs though VCS
fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_udld_update(self, gigabitethernet=None, udld_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- udld_enable (YANGBool):
				yang info - Enable UDLD protocol on the Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, udld_enable=udld_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_udld_enable_update(self, gigabitethernet=None, udld_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- udld_enable (YANGBool):
				yang info - Enable UDLD protocol on the Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, udld_enable=udld_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vlan_classifier_activate_group_create(self, gigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vlan_classifier_activate_group_delete(self, gigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vlan_classifier_activate_group_update(self, gigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vlan_classifier_activate_group_get(self, gigabitethernet=None, group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_vrf_update(self, gigabitethernet=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrf_forwarding_update(self, gigabitethernet=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_create(self, gigabitethernet=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_delete(self, gigabitethernet=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_update(self, gigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Enables v2 checksum computation method for VRRPv3 session

			- advertisement_interval (long):
				yang info - 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_get(self, gigabitethernet=None, vrrp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_arp_unicast_request_update(self, gigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, gigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_track_create(self, gigabitethernet=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_track_delete(self, gigabitethernet=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_track_update(self, gigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_track_get(self, gigabitethernet=None, vrrp=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_virtual_ip_create(self, gigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_virtual_ip_delete(self, gigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_gigabitethernet_vrrp_group_virtual_ip_get(self, gigabitethernet=None, vrrp=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- gigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_get(self, hundredgigabitethernet=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'hundredgigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_bfd_update(self, hundredgigabitethernet=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_bfd_interval_update(self, hundredgigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_bfd_interval_min_rx_update(self, hundredgigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_bfd_shutdown_update(self, hundredgigabitethernet=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_bpdu_drop_update(self, hundredgigabitethernet=None, enable=None, direction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

			- direction (unicode):
				enum - [u'all', u'rx', u'tx']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, enable=enable, direction=direction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_channel_group_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_channel_group_mode_update(self, hundredgigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- port_int (long):
				yang info - Channel group number
				range - ['0..4294967295']

			- mode (unicode):
				yang info - The mode of the port channel.
				enum - [u'active', u'passive', u'on']

			- type (unicode):
				yang info - The type of the port-channel.
				enum - [u'brocade', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_int=port_int, mode=mode, type=type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_deviceconnectivity_update(self, hundredgigabitethernet=None, deviceconnectivity=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- deviceconnectivity (unicode):
				yang info - Device connectivity to IP storage device
				enum - [u'NAS', u'None', u'iSCSI', u'DAS']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.connectivity', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.connectivity', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, deviceconnectivity=deviceconnectivity)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_dot1x_update(self, hundredgigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- authentication (YANGBool):
				yang info - Enable dot1x on a port

			- port_control (unicode):
				yang info - Port control commands
				enum - [u'auto', u'force-unauthorized', u'force-authorized']

			- protocol_version (long):
				yang info - Set the protocol version
				range - ['0..4294967295']

			- quiet_period (long):
				yang info - Quiet period in the HELD state
				range - ['0..4294967295']

			- reauthMax (long):
				yang info - Number of reauthentication attempts before becoming
unauthorized
				range - ['0..4294967295']

			- reauthentication (YANGBool):
				yang info - Enable reauthentication on a port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_dot1x_authentication_update(self, hundredgigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- authentication (YANGBool):
				yang info - Enable dot1x on a port

			- port_control (unicode):
				yang info - Port control commands
				enum - [u'auto', u'force-unauthorized', u'force-authorized']

			- protocol_version (long):
				yang info - Set the protocol version
				range - ['0..4294967295']

			- quiet_period (long):
				yang info - Quiet period in the HELD state
				range - ['0..4294967295']

			- reauthMax (long):
				yang info - Number of reauthentication attempts before becoming
unauthorized
				range - ['0..4294967295']

			- reauthentication (YANGBool):
				yang info - Enable reauthentication on a port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_dot1x_timeout_update(self, hundredgigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- re_authperiod (long):
				yang info - Reauthentication interval in seconds 
(default = 3600)
				range - ['0..4294967295']

			- server_timeout (long):
				yang info - Server timeout in seconds (default = 30)
				range - ['0..4294967295']

			- supp_timeout (long):
				yang info - Supplicant response timeout (default = 30)
				range - ['0..4294967295']

			- tx_period (long):
				yang info - Transmission period in seconds (default = 30)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_dot1x_timeout_re_authperiod_update(self, hundredgigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- re_authperiod (long):
				yang info - Reauthentication interval in seconds 
(default = 3600)
				range - ['0..4294967295']

			- server_timeout (long):
				yang info - Server timeout in seconds (default = 30)
				range - ['0..4294967295']

			- supp_timeout (long):
				yang info - Supplicant response timeout (default = 30)
				range - ['0..4294967295']

			- tx_period (long):
				yang info - Transmission period in seconds (default = 30)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_edge_loop_detection_update(self, hundredgigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- eldprio (long):
				yang info - Set ELD-priority value to interface
				range - ['0..4294967295']

			- eldvlan (unicode):
				yang info - Enable for specific VLAN on selected interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_edge_loop_detection_port_priority_update(self, hundredgigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- eldprio (long):
				yang info - Set ELD-priority value to interface
				range - ['0..4294967295']

			- eldvlan (unicode):
				yang info - Enable for specific VLAN on selected interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fabric_dport_update(self, hundredgigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_enable (YANGBool):
				yang info - Configure fabric D-port status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_enable=fabric_dport_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fabric_dport_enable_update(self, hundredgigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_enable (YANGBool):
				yang info - Configure fabric D-port status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_enable=fabric_dport_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fabric_dport_mode_update(self, hundredgigabitethernet=None, fabric_dport_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_mode (unicode):
				yang info - Configure D-Port Mode
				enum - [u'static', u'none', u'dynamic']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_mode=fabric_dport_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fabric_isl_update(self, hundredgigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_isl_enable (YANGBool):
				yang info - Configure fabric isl status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_isl_enable=fabric_isl_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fabric_isl_enable_update(self, hundredgigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_isl_enable (YANGBool):
				yang info - Configure fabric isl status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_isl_enable=fabric_isl_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fabric_neighbor_discovery_update(self, hundredgigabitethernet=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- disable (YANGBool):
				yang info - Disable neighbor discovery at this port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fabric_neighbor_discovery_disable_update(self, hundredgigabitethernet=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- disable (YANGBool):
				yang info - Disable neighbor discovery at this port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fabric_trunk_update(self, hundredgigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_trunk_enable (YANGBool):
				yang info - Configure fabric trunk status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fabric_trunk_enable_update(self, hundredgigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_trunk_enable (YANGBool):
				yang info - Configure fabric trunk status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fcoeport_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoeport_map, ns_ip_registration'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fcoeport_map_update(self, hundredgigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fcoeport_map (unicode):
				length - [u'1..32']

			- ns_ip_registration (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fec_update(self, hundredgigabitethernet=None, fec_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fec_enable (YANGBool):
				yang info - Enable forward error correction.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fec_enable=fec_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_fec_enable_update(self, hundredgigabitethernet=None, fec_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fec_enable (YANGBool):
				yang info - Enable forward error correction.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fec_enable=fec_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.arp_node_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.arp_node_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.arp_node_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_access_group_create(self, hundredgigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_access_group_delete(self, hundredgigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_access_group_update(self, hundredgigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_access_group_get(self, hundredgigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_address_create(self, hundredgigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_address_delete(self, hundredgigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_address_update(self, hundredgigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_address_get(self, hundredgigabitethernet=None, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_arp_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_arp_aging_timeout_update(self, hundredgigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ip mtu value to interface
				range - ['0..4294967295']

			- directed_broadcast (YANGBool):
				yang info - Enable directed IP broadcasts forwarding

			- proxy_arp (YANGBool):
				yang info - Proxy-Arp on the interface

			- arp_aging_timeout (long):
				yang info - Set arp age timeout value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_arp_inspection_update(self, hundredgigabitethernet=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_arp_inspection_trust_update(self, hundredgigabitethernet=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_arp_learn_any_update(self, hundredgigabitethernet=None, learn_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- learn_any (YANGBool):
				yang info - Learn ARP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, learn_any=learn_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_dhcp_relay_create(self, hundredgigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_dhcp_relay_delete(self, hundredgigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_dhcp_relay_get(self, hundredgigabitethernet=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_dhcp_relay_gateway_update(self, hundredgigabitethernet=None, gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- gateway (unicode):
				yang info - Gateway address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, gateway=gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_icmp_update(self, hundredgigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_icmp_address_mask_update(self, hundredgigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_igmp_update(self, hundredgigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_igmp_immediate_leave_update(self, hundredgigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_igmp_static_group_create(self, hundredgigabitethernet=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_igmp_static_group_delete(self, hundredgigabitethernet=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_igmp_static_group_get(self, hundredgigabitethernet=None, static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_multicast_boundary_update(self, hundredgigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pim_sparse (YANGBool):
				yang info - Sparse Mode (PIM-SM)

			- mcast_bdry_prefix_list (unicode):
				yang info - Prefix list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_update(self, hundredgigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_active_update(self, hundredgigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_authentication_key_update(self, hundredgigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_bfd_update(self, hundredgigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- intf_bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, intf_bfd_enable=intf_bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_database_filter_update(self, hundredgigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_database_filter_all_external_update(self, hundredgigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_md5_authentication_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_update(self, hundredgigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, hundredgigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_id_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, hundredgigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_pim_update(self, hundredgigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_pim_dr_priority_update(self, hundredgigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_pim_multinet_update(self, hundredgigabitethernet=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_pim_multinet_enable_update(self, hundredgigabitethernet=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_policy_route_map_update(self, hundredgigabitethernet=None, route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, route_map_name=route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ip_unnumbered_update(self, hundredgigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ip_donor_interface_type (unicode):
				yang info - The type of donor interface.
				enum - [u've', u'loopback', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

			- ip_donor_interface_name (unicode):
				yang info - The name of donor interface.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_access_group_create(self, hundredgigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_access_group_delete(self, hundredgigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_access_group_update(self, hundredgigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_access_group_get(self, hundredgigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_address_create(self, hundredgigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_address_delete(self, hundredgigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_address_update(self, hundredgigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_address_get(self, hundredgigabitethernet=None, ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_address_eui_64_update(self, hundredgigabitethernet=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

		This Instance Arg(s):
			- eui64 (YANGBool):
				yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

			- eui_secondary (YANGBool):
				yang info - Configure Secondary eui-64 ipv6 address on an interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_address_link_local_update(self, hundredgigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_local_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- link_local (YANGBool):
				yang info - Configure ipv6 address to override automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, link_local_address=link_local_address, link_local=link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_address_use_link_local_only_update(self, hundredgigabitethernet=None, use_link_local_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- use_link_local_only (YANGBool):
				yang info - Configure automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, use_link_local_only=use_link_local_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_dhcp_relay_create(self, hundredgigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_dhcp_relay_delete(self, hundredgigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_dhcp_relay_update(self, hundredgigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_dhcp_relay_get(self, hundredgigabitethernet=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_dhcp_relay_interface_update(self, hundredgigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- interface_type (unicode):
				yang info - Interface type
				enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'Ve']

			- interface_name (unicode):
				yang info - Interface name
				pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_hop_by_hop_trap_update(self, hundredgigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hop_by_hop_trap (YANGBool):
				yang info - Enable hop-by-hop trap on an Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_icmpv6_update(self, hundredgigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_icmpv6_echo_reply_update(self, hundredgigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_mtu_update(self, hundredgigabitethernet=None, mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ipv6 mtu value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_update(self, hundredgigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, hundredgigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_cache_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_cache_expire_update(self, hundredgigabitethernet=None, expire=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- expire (long):
				yang info - Configures the time-interval after which the cache is deleted or refreshed.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, expire=expire)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_dad_update(self, hundredgigabitethernet=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_dad_attempts_update(self, hundredgigabitethernet=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_nud_retry_update(self, hundredgigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- base (long):
				yang info - base value
				range - ['-2147483648..2147483647']

			- interval (long):
				yang info - Time interval between neighbor solicitations in milliseconds
				range - ['0..4294967295']

			- max_attempts (long):
				yang info - Max number of retry attempts.
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_prefix_create(self, hundredgigabitethernet=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_prefix_delete(self, hundredgigabitethernet=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_prefix_get(self, hundredgigabitethernet=None, prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_prefix_infinite_update(self, hundredgigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- preferred_lifetime (long):
				yang info - Configures preferred lifetime
				range - ['0..4294967295']

			- preferred_infinite (YANGBool):
				yang info - Infinite preferred lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_prefix_no_advertise_update(self, hundredgigabitethernet=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_advertise (YANGBool):
				yang info - Do not advertise prefix

			- valid_lifetime (long):
				yang info - Configures valid lifetime
				range - ['0..4294967295']

			- valid_infinite (YANGBool):
				yang info - Infinite valid lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, hundredgigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_autoconfig (YANGBool):
				yang info - Do not use prefix for autoconfiguration

			- no_onlink (YANGBool):
				yang info - Do not use prefix for onlink determination

			- off_link (YANGBool):
				yang info - Prefix is offlink

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_ra_interval_update(self, hundredgigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- max_interval (long):
				yang info - Maximum interval in seconds
				range - ['0..4294967295']

			- min_ (long):
				yang info - Minimum interval between sending RA messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, max_interval=max_interval, min_=min_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_suppress_ra_update(self, hundredgigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_nd_suppress_ra_all_update(self, hundredgigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_neighbor_create(self, hundredgigabitethernet=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_neighbor_delete(self, hundredgigabitethernet=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_neighbor_update(self, hundredgigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hardware_address (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_neighbor_get(self, hundredgigabitethernet=None, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_ospf_update(self, hundredgigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_ospf_active_update(self, hundredgigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_area (unicode):
				yang info - OSPF area
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- instance (long):
				yang info - Instance of OSPFv3 protocol on this interface
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPFv3 MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'point-to-point']

			- priority (long):
				yang info - Interface priority
				range - ['0..4294967295']

			- suppress_linklsa (YANGBool):
				yang info - Suppress link LSA advertisements

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_ospf_authentication_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_ospf_authentication_ah_update(self, hundredgigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_ospf_authentication_ipsec_update(self, hundredgigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, hundredgigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_ospf_bfd_update(self, hundredgigabitethernet=None, bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, bfd_enable=bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_ospf_dead_interval_update(self, hundredgigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_policy_route_map_update(self, hundredgigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipv6_route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_raguard_update(self, hundredgigabitethernet=None, raguard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- raguard (YANGBool):
				yang info - IPv6 Router advertisement guard configuration

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, raguard=raguard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_create(self, hundredgigabitethernet=None, vrrpv3e_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_delete(self, hundredgigabitethernet=None, vrrpv3e_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- advertise_backup (YANGBool):
				yang info - Enable periodic backup advertisement messages

			- nd_advertisement_timer (long):
				range - ['0..4294967295']

			- advertisement_interval_scale (long):
				yang info - Ipv6 session advertisement interval scale factor <1|2|5|10>
				range - ['0..4294967295']

			- backup_advertisement_interval (long):
				yang info - Set Backup advertisement interval
				range - ['0..4294967295']

			- vrrpe_advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_get(self, hundredgigabitethernet=None, vrrpv3e_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- basic (YANGBool):

			- revert_priority (int):
				yang info - Set revert priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_track_create(self, hundredgigabitethernet=None, vrrpv3e_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_track_delete(self, hundredgigabitethernet=None, vrrpv3e_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_track_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_track_get(self, hundredgigabitethernet=None, vrrpv3e_group=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_virtual_ip_create(self, hundredgigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_virtual_ip_delete(self, hundredgigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_virtual_ip_get(self, hundredgigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_create(self, hundredgigabitethernet=None, vrrpv3_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_delete(self, hundredgigabitethernet=None, vrrpv3_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_update(self, hundredgigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Use v2 checksum

			- advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_get(self, hundredgigabitethernet=None, vrrpv3_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_track_create(self, hundredgigabitethernet=None, vrrpv3_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_track_delete(self, hundredgigabitethernet=None, vrrpv3_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_track_update(self, hundredgigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_track_get(self, hundredgigabitethernet=None, vrrpv3_group=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_virtual_ip_create(self, hundredgigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_virtual_ip_delete(self, hundredgigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_group_virtual_ip_get(self, hundredgigabitethernet=None, vrrpv3_group=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, hundredgigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vrrp_suppress_interface_ra (YANGBool):
				yang info - Suppress interface RA for vrrpv3

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_lacp_update(self, hundredgigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- timeout (unicode):
				yang info - Timeout commands
				enum - [u'short', u'long']

			- std_port_priority (long):
				yang info - Port priority commands
				range - ['0..4294967295']

			- default_up (YANGBool):
				yang info - To bring up the interface in LACP default state 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_lacp_default_up_update(self, hundredgigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- timeout (unicode):
				yang info - Timeout commands
				enum - [u'short', u'long']

			- std_port_priority (long):
				yang info - Port priority commands
				range - ['0..4294967295']

			- default_up (YANGBool):
				yang info - To bring up the interface in LACP default state 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_lldp_update(self, hundredgigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- dcbx_version (unicode):
				yang info - Set up DCBX Version
				enum - [u'auto', u'cee']

			- disable (YANGBool):
				yang info - Disable LLDP on the Interface.

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI on this interface
				range - ['0..4294967295']

			- profile (unicode):
				yang info - The LLDP profile on the interface.
				length - [u'1..32']
				pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_lldp_cee_update(self, hundredgigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- lldp_cee_on_off (unicode):
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_lldp_dcbx_version_update(self, hundredgigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- dcbx_version (unicode):
				yang info - Set up DCBX Version
				enum - [u'auto', u'cee']

			- disable (YANGBool):
				yang info - Disable LLDP on the Interface.

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI on this interface
				range - ['0..4294967295']

			- profile (unicode):
				yang info - The LLDP profile on the interface.
				length - [u'1..32']
				pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_mac_access_group_create(self, hundredgigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_mac_access_group_delete(self, hundredgigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_mac_access_group_update(self, hundredgigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_mac_access_group_get(self, hundredgigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_mac_learning_disable_vlan_update(self, hundredgigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mac_learning_vlan_add (unicode):
				yang info - RANGE;;Range of vlans to add
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- mac_learning_vlan_remove (unicode):
				yang info - RANGE;;Range of vlans to remove
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_mac_learning_disable_vlan_add_update(self, hundredgigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mac_learning_vlan_add (unicode):
				yang info - RANGE;;Range of vlans to add
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- mac_learning_vlan_remove (unicode):
				yang info - RANGE;;Range of vlans to remove
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_openflow_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_openflow_enable_update(self, hundredgigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - OpenFlow enable

			- match_profile (unicode):
				yang info - OpenFlow match profile
				enum - [u'Layer3', u'Layer2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, enable=enable, match_profile=match_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_openflow_logical_instance_update(self, hundredgigabitethernet=None, logical_instance_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- logical_instance_id (long):
				yang info - OpenFlow logical instance configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, logical_instance_id=logical_instance_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_port_profile_port_domain_update(self, hundredgigabitethernet=None, profile_domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- profile_domain_name (unicode):
				yang info - Port-profile-domain name (Max Size - 128)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, profile_domain_name=profile_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_port_profile_port_profile_create(self, hundredgigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_port_profile_port_profile_delete(self, hundredgigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_port_profile_port_profile_get(self, hundredgigabitethernet=None, port_to_port_profile_associations=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_update(self, hundredgigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure DSCP-to-DSCP mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure DSCP-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure DSCP-to-COS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_cos_mutation_update(self, hundredgigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure DSCP-to-DSCP mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure DSCP-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure DSCP-to-COS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_drop_monitor_update(self, hundredgigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_drop_monitor_enable_update(self, hundredgigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_flowcontrol_update(self, hundredgigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_flowcontrol_pfc_create(self, hundredgigabitethernet=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_flowcontrol_pfc_delete(self, hundredgigabitethernet=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_flowcontrol_pfc_update(self, hundredgigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

		This Instance Arg(s):
			- pfc_flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- pfc_flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_flowcontrol_pfc_get(self, hundredgigabitethernet=None, pfc=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_flowcontrol_rx_update(self, hundredgigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_random_detect_traffic_class_create(self, hundredgigabitethernet=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_random_detect_traffic_class_delete(self, hundredgigabitethernet=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_random_detect_traffic_class_update(self, hundredgigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- red_enable (YANGBool):
				yang info - Keyword for VDX 6710,6720,6730,6746,2730

			- red_profile_id (long):
				yang info - Keyword for all other VDX platforms
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_random_detect_traffic_class_get(self, hundredgigabitethernet=None, traffic_class=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_trust_update(self, hundredgigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_qos_trust_cos_update(self, hundredgigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_rmon_collection_history_create(self, hundredgigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_rmon_collection_history_delete(self, hundredgigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_rmon_collection_history_update(self, hundredgigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_rmon_collection_history_get(self, hundredgigabitethernet=None, history_control_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_rmon_collection_stats_create(self, hundredgigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_rmon_collection_stats_delete(self, hundredgigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_rmon_collection_stats_update(self, hundredgigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_rmon_collection_stats_get(self, hundredgigabitethernet=None, ether_stats_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_service_policy_update(self, hundredgigabitethernet=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_service_policy_in_update(self, hundredgigabitethernet=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_sflow_update(self, hundredgigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable port sflow

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_sflow_enable_update(self, hundredgigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable port sflow

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_snmp_trap_update(self, hundredgigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_snmp_trap_link_status_update(self, hundredgigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_update(self, hundredgigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_autoedge_update(self, hundredgigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_edgeport_update(self, hundredgigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, hundredgigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_guard_update(self, hundredgigabitethernet=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_guard_root_update(self, hundredgigabitethernet=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_instance_create(self, hundredgigabitethernet=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_instance_delete(self, hundredgigabitethernet=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_instance_update(self, hundredgigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change
notifications from port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_instance_get(self, hundredgigabitethernet=None, instance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_portfast_update(self, hundredgigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, hundredgigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_vlan_create(self, hundredgigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_vlan_delete(self, hundredgigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_vlan_update(self, hundredgigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, cost=cost, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_vlan_get(self, hundredgigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_vlan_guard_update(self, hundredgigabitethernet=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_spanning_tree_vlan_guard_root_update(self, hundredgigabitethernet=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_storm_control_ingress_create(self, hundredgigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_storm_control_ingress_delete(self, hundredgigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_storm_control_ingress_update(self, hundredgigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_storm_control_ingress_get(self, hundredgigabitethernet=None, ingress=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_update(self, hundredgigabitethernet=None, basic=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- basic (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, basic=basic)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_access_update(self, hundredgigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rspan_access_vlan (long):
				yang info - Specify rspan-vlan id to set as access vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, rspan_access_vlan=rspan_access_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_access_rspan_vlan_create(self, hundredgigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_access_rspan_vlan_delete(self, hundredgigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_access_rspan_vlan_get(self, hundredgigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_access_vlan_create(self, hundredgigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_access_vlan_delete(self, hundredgigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_access_vlan_get(self, hundredgigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_mode_update(self, hundredgigabitethernet=None, vlan_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vlan_mode (unicode):
				enum - [u'access', u'trunk-no-default-native', u'trunk']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan_mode=vlan_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_mode_private_vlan_update(self, hundredgigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan promiscuous

			- host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, promiscuous=promiscuous, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_mode_private_vlan_host_update(self, hundredgigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan promiscuous

			- host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, promiscuous=promiscuous, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_mode_private_vlan_trunk_update(self, hundredgigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trunk_basic (YANGBool):

			- trunk_promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan trunk promiscuous

			- trunk_host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan trunk host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_port_security_create(self, hundredgigabitethernet=None, allowed_ouis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_port_security_delete(self, hundredgigabitethernet=None, allowed_ouis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_port_security_get(self, hundredgigabitethernet=None, allowed_ouis=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_port_security_max_update(self, hundredgigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- port_sec_max (long):
				yang info - Maximum number of allowed MACs
				range - ['0..4294967295']

			- port_sec_violation (unicode):
				yang info - Set the action on violation
				enum - [u'restrict', u'shutdown']

			- shutdown_time (long):
				yang info - Shutdown time for port
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_port_security_sticky_create(self, hundredgigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_port_security_sticky_delete(self, hundredgigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_port_security_sticky_get(self, hundredgigabitethernet=None, port_secutiry_mac_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_association_trunk_create(self, hundredgigabitethernet=None, trunk=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_association_trunk_delete(self, hundredgigabitethernet=None, trunk=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_association_trunk_get(self, hundredgigabitethernet=None, trunk=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_host_association_update(self, hundredgigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- host_pri_pvlan (long):
				yang info - Primary vlan id
				range - ['0..4294967295']

			- host_sec_pvlan (long):
				yang info - Secondary vlan id
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_mapping_create(self, hundredgigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_mapping_delete(self, hundredgigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_mapping_update(self, hundredgigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_mapping_get(self, hundredgigabitethernet=None, mapping=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, hundredgigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_all (YANGBool):
				yang info - Allow all VLANs to Xmit/Rx through the Layer2 interface

			- pvlan_none (YANGBool):
				yang info - Allow no VLANs to Xmit/Rx through the Layer2 interface

			- pvlan_add (unicode):
				yang info - Add a VLAN to Xmit/Rx through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- pvlan_except (unicode):
				yang info - Allow all VLANs except VID to Xmit/Rx through Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- pvlan_remove (unicode):
				yang info - Remove a VLAN that Xmit/Rx through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_create(self, hundredgigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_delete(self, hundredgigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_get(self, hundredgigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_create(self, hundredgigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_delete(self, hundredgigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_get(self, hundredgigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_native_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, hundredgigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlanNativevlan (long):
				range - ['0..4294967295']

			- pvlan_native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_tag_update(self, hundredgigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_tag_native_vlan (YANGBool):
				yang info - Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, hundredgigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_tag_native_vlan (YANGBool):
				yang info - Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_update(self, hundredgigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_xtagged, native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, hundredgigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_rspan_trunk_vlan (unicode):
				yang info - Specify rspan-vlan id
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_rspan_trunk_vlan (unicode):
				yang info - Specify the rspan vlans to be removed
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_add_create(self, hundredgigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_add_delete(self, hundredgigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_add_get(self, hundredgigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_create(self, hundredgigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_delete(self, hundredgigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_get(self, hundredgigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_update(self, hundredgigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- none (YANGBool):
				yang info - Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- add_ (unicode):
				yang info - Allow these VLANs to Xmit/Rx 
through the Layer2 interface
				length - [u'1..20000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- except_ (unicode):
				yang info - Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				yang info - Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_add_create(self, hundredgigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_add_delete(self, hundredgigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_add_update(self, hundredgigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_add_get(self, hundredgigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_remove_create(self, hundredgigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_remove_delete(self, hundredgigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, hundredgigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_remove_get(self, hundredgigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, hundredgigabitethernet=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, hundredgigabitethernet=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_ctag_update(self, hundredgigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan_id (long):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
				range - ['0..4294967295']

			- native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_default_vlan_update(self, hundredgigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_transparent_vlan (long):
				yang info - default transparent vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, default_transparent_vlan=default_transparent_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_native_vlan_untagged_update(self, hundredgigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan_id_untagged (long):
				yang info - Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_tag_update(self, hundredgigabitethernet=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_switchport_trunk_tag_native_vlan_update(self, hundredgigabitethernet=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_track_update(self, hundredgigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_track_interface_create(self, hundredgigabitethernet=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_track_interface_delete(self, hundredgigabitethernet=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_track_interface_get(self, hundredgigabitethernet=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_track_min_link_update(self, hundredgigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_track_remove_update(self, hundredgigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_track_remove_all_update(self, hundredgigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_tunable_optics_sfpp_update(self, hundredgigabitethernet=None, channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- channel (long):
				yang info - Channel configuration.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, channel=channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_tunable_optics_sfpp_channel_update(self, hundredgigabitethernet=None, channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- channel (long):
				yang info - Channel configuration.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, channel=channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_udld_update(self, hundredgigabitethernet=None, udld_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- udld_enable (YANGBool):
				yang info - Enable UDLD protocol on the Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, udld_enable=udld_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_udld_enable_update(self, hundredgigabitethernet=None, udld_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- udld_enable (YANGBool):
				yang info - Enable UDLD protocol on the Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, udld_enable=udld_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vlan_classifier_activate_group_create(self, hundredgigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vlan_classifier_activate_group_delete(self, hundredgigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vlan_classifier_activate_group_update(self, hundredgigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vlan_classifier_activate_group_get(self, hundredgigabitethernet=None, group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrf_update(self, hundredgigabitethernet=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrf_forwarding_update(self, hundredgigabitethernet=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_create(self, hundredgigabitethernet=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_delete(self, hundredgigabitethernet=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_update(self, hundredgigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Enables v2 checksum computation method for VRRPv3 session

			- advertisement_interval (long):
				yang info - 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_get(self, hundredgigabitethernet=None, vrrp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_arp_unicast_request_update(self, hundredgigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, hundredgigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_track_create(self, hundredgigabitethernet=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_track_delete(self, hundredgigabitethernet=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_track_update(self, hundredgigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_track_get(self, hundredgigabitethernet=None, vrrp=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_virtual_ip_create(self, hundredgigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_virtual_ip_delete(self, hundredgigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_hundredgigabitethernet_vrrp_group_virtual_ip_get(self, hundredgigabitethernet=None, vrrp=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- hundredgigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_loopback_create(self, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'loopback', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_delete(self, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'loopback', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_get(self, loopback=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'loopback', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_loopback_ip_update(self, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ip.ip_config', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.intf_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_address_create(self, loopback=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/32

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_address_delete(self, loopback=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/32

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_address_get(self, loopback=None, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/32

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_loopback_ip_multicast_boundary_update(self, loopback=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pim_sparse (YANGBool):
				yang info - Sparse Mode (PIM-SM)

			- mcast_bdry_prefix_list (unicode):
				yang info - Prefix list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_ospf_update(self, loopback=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- intf_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_ospf_active_update(self, loopback=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- intf_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_ospf_authentication_key_update(self, loopback=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_ospf_bfd_update(self, loopback=None, intf_bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- intf_bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, intf_bfd_enable=intf_bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_ospf_database_filter_update(self, loopback=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_ospf_database_filter_all_external_update(self, loopback=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_ospf_md5_authentication_update(self, loopback=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_ospf_md5_authentication_key_activation_wait_time_update(self, loopback=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_ospf_md5_authentication_key_id_update(self, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_ospf_md5_authentication_key_id_key_update(self, loopback=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_pim_update(self, loopback=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- ttl_threshold (long):
				yang info - Set TTL threshold
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_pim_dr_priority_update(self, loopback=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- ttl_threshold (long):
				yang info - Set TTL threshold
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_router_update(self, loopback=None, interface_ip_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_ip_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ip_router_isis=interface_ip_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ip_router_isis_update(self, loopback=None, interface_ip_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_ip_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ip_router_isis=interface_ip_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_address_create(self, loopback=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, eui64, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				eui64 (YANGBool):
					yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_address_delete(self, loopback=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, eui64, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				eui64 (YANGBool):
					yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_address_update(self, loopback=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, eui64, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				eui64 (YANGBool):
					yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_address_get(self, loopback=None, ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, eui64, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				eui64 (YANGBool):
					yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_loopback_ipv6_address_link_local_update(self, loopback=None, link_local_address=None, link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_local_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- link_local (YANGBool):
				yang info - Configure ipv6 address to override automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, link_local_address=link_local_address, link_local=link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_address_use_link_local_only_update(self, loopback=None, use_link_local_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- use_link_local_only (YANGBool):
				yang info - Configure automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, use_link_local_only=use_link_local_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_ospf_update(self, loopback=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_ospf_active_update(self, loopback=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_area (unicode):
				yang info - OSPF area
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- instance (long):
				yang info - Instance of OSPFv3 protocol on this interface
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPFv3 MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'point-to-point']

			- priority (long):
				yang info - Interface priority
				range - ['0..4294967295']

			- suppress_linklsa (YANGBool):
				yang info - Suppress link LSA advertisements

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_ospf_authentication_update(self, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_ospf_authentication_ah_update(self, loopback=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_ospf_authentication_ipsec_update(self, loopback=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, loopback=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_ospf_bfd_update(self, loopback=None, bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, bfd_enable=bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_ospf_dead_interval_update(self, loopback=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_router_update(self, loopback=None, interface_ipv6_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_ipv6_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ipv6_router_isis=interface_ipv6_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_ipv6_router_isis_update(self, loopback=None, interface_ipv6_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_ipv6_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ipv6_router_isis=interface_ipv6_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_update(self, loopback=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- circuit_type (unicode):
				yang info - Define inter-area/intra area operation mode
				enum - [u'level-2', u'level-1-2', u'level-1']

			- interface_point_to_point (YANGBool):
				yang info - Point-to-point interface for ISIS operation

			- interface_passive (YANGBool):
				yang info - Passive interface for ISIS operation

			- interface_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_auth_check_level_1_update(self, loopback=None, interface_auth_check_level1_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_check_level1_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_auth_check_level_1_disable_update(self, loopback=None, interface_auth_check_level1_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_check_level1_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_auth_check_level_2_update(self, loopback=None, interface_auth_check_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_check_level2_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_auth_check_level_2_disable_update(self, loopback=None, interface_auth_check_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_check_level2_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_auth_key_create(self, loopback=None, interface_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_auth_key_delete(self, loopback=None, interface_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_auth_key_update(self, loopback=None, interface_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_auth_key_get(self, loopback=None, interface_auth_key=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_loopback_isis_auth_mode_md5_update(self, loopback=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_mode_md5_level1 (YANGBool):
				yang info - Authentication mode for Level-1 LSPs, CSNP, PSNP

			- interface_auth_mode_md5_level2 (YANGBool):
				yang info - Authentication mode for Level-2 LSPs, CSNP, PSNP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_auth_mode_md5_level_1_update(self, loopback=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_mode_md5_level1 (YANGBool):
				yang info - Authentication mode for Level-1 LSPs, CSNP, PSNP

			- interface_auth_mode_md5_level2 (YANGBool):
				yang info - Authentication mode for Level-2 LSPs, CSNP, PSNP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_bfd_update(self, loopback=None, interface_bfd_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_bfd_disable (YANGBool):
				yang info - Disable BFD operation mode on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_bfd_disable=interface_bfd_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_bfd_disable_update(self, loopback=None, interface_bfd_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_bfd_disable (YANGBool):
				yang info - Disable BFD operation mode on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_bfd_disable=interface_bfd_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_circuit_type_update(self, loopback=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- circuit_type (unicode):
				yang info - Define inter-area/intra area operation mode
				enum - [u'level-2', u'level-1-2', u'level-1']

			- interface_point_to_point (YANGBool):
				yang info - Point-to-point interface for ISIS operation

			- interface_passive (YANGBool):
				yang info - Passive interface for ISIS operation

			- interface_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_hello_interval_create(self, loopback=None, interface_hello_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_hello_interval_delete(self, loopback=None, interface_hello_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_hello_interval_update(self, loopback=None, interface_hello_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_hello_interval_get(self, loopback=None, interface_hello_interval=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_loopback_isis_hello_multiplier_create(self, loopback=None, interface_hello_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_hello_multiplier_delete(self, loopback=None, interface_hello_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_hello_multiplier_update(self, loopback=None, interface_hello_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_hello_multiplier_get(self, loopback=None, interface_hello_multiplier=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_loopback_isis_hello_padding_update(self, loopback=None, interface_hello_padding_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_hello_padding_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_padding_disable=interface_hello_padding_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_hello_padding_disable_update(self, loopback=None, interface_hello_padding_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_hello_padding_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_padding_disable=interface_hello_padding_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_ipv6_metric_create(self, loopback=None, interface_ipv6_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_ipv6_metric_delete(self, loopback=None, interface_ipv6_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_ipv6_metric_update(self, loopback=None, interface_ipv6_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_ipv6_metric_get(self, loopback=None, interface_ipv6_metric=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_loopback_isis_metric_create(self, loopback=None, interface_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_metric_delete(self, loopback=None, interface_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_metric_update(self, loopback=None, interface_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_metric_get(self, loopback=None, interface_metric=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_loopback_isis_priority_update(self, loopback=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_priority_level1 (long):
				yang info - Priority for Level-1 ISIS Router
				range - ['0..4294967295']

			- interface_priority_level2 (long):
				yang info - Priority for Level-2 ISIS Router
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_priority_level_1_update(self, loopback=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_priority_level1 (long):
				yang info - Priority for Level-1 ISIS Router
				range - ['0..4294967295']

			- interface_priority_level2 (long):
				yang info - Priority for Level-2 ISIS Router
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_reverse_metric_update(self, loopback=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rev_metric_val (long):
				yang info - Configure IS-IS reverse metric value
				range - ['0..4294967295']

			- rev_metric_whole_lan (YANGBool):
				yang info - Change metric for whole LAN

			- rev_metric_te_def_metric (YANGBool):
				yang info - Update TE default metric sub-tlv

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_isis_reverse_metric_te_def_metric_update(self, loopback=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rev_metric_val (long):
				yang info - Configure IS-IS reverse metric value
				range - ['0..4294967295']

			- rev_metric_whole_lan (YANGBool):
				yang info - Change metric for whole LAN

			- rev_metric_te_def_metric (YANGBool):
				yang info - Update TE default metric sub-tlv

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_shutdown_update(self, loopback=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shut down interface loopback port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.intf_loopback', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.intf_loopback', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.intf_loopback', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_vrf_update(self, loopback=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_loopback_vrf_forwarding_update(self, loopback=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_create(self, management=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.management', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'management', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_delete(self, management=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.management', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'management', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_update(self, management=None, speed=None, shutdown_management=None, shutdown_management_oper=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- speed (unicode):
				yang info - Set interface speed parameter
				enum - [u'auto', u'100', u'10']

			- shutdown_management (YANGBool):
				yang info - Shutdown this management interface.

			- shutdown_management_oper (unicode):
				yang info - Show the status of this management interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.management', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'management', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, speed=speed, shutdown_management=shutdown_management, shutdown_management_oper=shutdown_management_oper)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_get(self, management=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.management', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'management', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_management_ip_update(self, management=None, gateway_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- gateway_address (unicode):
				yang info - The gateway IP address for this management
interface.
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.management.ip.oper_gateway_con', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.gateway', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_gateway_con', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, gateway_address=gateway_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ip_access_group_update(self, management=None, mgmt_ip_access_list=None, mgmt_ip_direction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- mgmt_ip_access_list (unicode):
				yang info - ACL_NAME;; Access List Name (Max 63)
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- mgmt_ip_direction (unicode):
				enum - [u'in']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, mgmt_ip_access_list=mgmt_ip_access_list, mgmt_ip_direction=mgmt_ip_direction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ip_address_update(self, management=None, dhcp=None, ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- dhcp (YANGBool):
				yang info - DHCP is enabled or not.

			- ip_address (unicode):
				yang info - IP address for this management interface.
				pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.management.ip.oper_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.management.ip.oper_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.management.ip.oper_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, dhcp=dhcp, ip_address=ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ip_address_dhcp_update(self, management=None, dhcp=None, ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- dhcp (YANGBool):
				yang info - DHCP is enabled or not.

			- ip_address (unicode):
				yang info - IP address for this management interface.
				pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, dhcp=dhcp, ip_address=ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ip_address_ip_address_update(self, management=None, oper_ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- oper_ip_address (unicode):
				yang info - The assigned IPv4 address.
				pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.oper_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.oper_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.oper_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, oper_ip_address=oper_ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ip_gateway_address_update(self, management=None, gateway_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- gateway_address (unicode):
				yang info - The gateway IP address for this management
interface.
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.management.ip.oper_gateway_con', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.gateway', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_gateway_con', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, gateway_address=gateway_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ip_icmp_update(self, management=None, unreachable=None, echo_reply=None, rate_limiting=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- unreachable (YANGBool):
				yang info - To enable generating ICMP Destination Unreachable message.

			- echo_reply (YANGBool):
				yang info - To enable sending ICMP Echo Reply in response Echo Request.

			- rate_limiting (long):
				yang info - To enable ICMP incoming packet response rate limiting
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, unreachable=unreachable, echo_reply=echo_reply, rate_limiting=rate_limiting)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ip_icmp_echo_reply_update(self, management=None, unreachable=None, echo_reply=None, rate_limiting=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- unreachable (YANGBool):
				yang info - To enable generating ICMP Destination Unreachable message.

			- echo_reply (YANGBool):
				yang info - To enable sending ICMP Echo Reply in response Echo Request.

			- rate_limiting (long):
				yang info - To enable ICMP incoming packet response rate limiting
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, unreachable=unreachable, echo_reply=echo_reply, rate_limiting=rate_limiting)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ipv6_access_group_update(self, management=None, mgmt_ipv6_access_list=None, mgmt_ip_direction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- mgmt_ipv6_access_list (unicode):
				yang info - ACL_NAME;; Access List Name (Max 63)
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- mgmt_ip_direction (unicode):
				enum - [u'in']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, mgmt_ipv6_access_list=mgmt_ipv6_access_list, mgmt_ip_direction=mgmt_ip_direction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ipv6_address_update(self, management=None, ipv6_global_address=None, ipv6_global_address_eui64=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- ipv6_global_address (unicode):
				yang info - IPv6 global address for this management 
interface.
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- ipv6_global_address_eui64 (YANGBool):
				yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, ipv6_global_address=ipv6_global_address, ipv6_global_address_eui64=ipv6_global_address_eui64)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ipv6_address_autoconfig_update(self, management=None, autoconfig=None, dhcpv6=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- autoconfig (YANGBool):
				yang info - Auto-configuration enabling.

			- dhcpv6 (YANGBool):
				yang info - ipv6 DHCP enabling

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.ipv6_address_cont', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, autoconfig=autoconfig, dhcpv6=dhcpv6)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ipv6_icmpv6_update(self, management=None, v6_unreachable=None, v6_echo_reply=None, v6_rate_limiting=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- v6_unreachable (YANGBool):
				yang info - To enable generating ICMPv6 Destination Unreachable message.

			- v6_echo_reply (YANGBool):
				yang info - To enable sending ICMPv6 Echo Reply in response Echo Request.

			- v6_rate_limiting (long):
				yang info - To enable ICMPv6 incoming rate limiting
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, v6_unreachable=v6_unreachable, v6_echo_reply=v6_echo_reply, v6_rate_limiting=v6_rate_limiting)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_ipv6_icmpv6_echo_reply_update(self, management=None, v6_unreachable=None, v6_echo_reply=None, v6_rate_limiting=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- v6_unreachable (YANGBool):
				yang info - To enable generating ICMPv6 Destination Unreachable message.

			- v6_echo_reply (YANGBool):
				yang info - To enable sending ICMPv6 Echo Reply in response Echo Request.

			- v6_rate_limiting (long):
				yang info - To enable ICMPv6 incoming rate limiting
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, v6_unreachable=v6_unreachable, v6_echo_reply=v6_echo_reply, v6_rate_limiting=v6_rate_limiting)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_line_speed_update(self, management=None, actual=None, configured=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- actual (unicode):
				yang info - The actual line-speed for this management 
interface.

			- configured (unicode):
				yang info - The configured line-speed for this management 
interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.line_speed', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.line_speed', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.line_speed', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.line_speed', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, actual=actual, configured=configured)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_line_speed_actual_update(self, management=None, actual=None, configured=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- actual (unicode):
				yang info - The actual line-speed for this management 
interface.

			- configured (unicode):
				yang info - The configured line-speed for this management 
interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.line_speed', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.line_speed', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.line_speed', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.line_speed', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, actual=actual, configured=configured)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_tcp_update(self, management=None, tcp_burstrate=None, tcp_lockdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- tcp_burstrate (long):
				yang info - To enable tcp connection burstrate.
				range - ['0..4294967295']

			- tcp_lockdown (long):
				yang info - To enable tcp connection lockdown time.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.tcp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.tcp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.tcp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.tcp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, tcp_burstrate=tcp_burstrate, tcp_lockdown=tcp_lockdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_tcp_burstrate_update(self, management=None, tcp_burstrate=None, tcp_lockdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- tcp_burstrate (long):
				yang info - To enable tcp connection burstrate.
				range - ['0..4294967295']

			- tcp_lockdown (long):
				yang info - To enable tcp connection lockdown time.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.tcp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.tcp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.tcp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.tcp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, tcp_burstrate=tcp_burstrate, tcp_lockdown=tcp_lockdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_vrf_update(self, management=None, vrf_forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- vrf_forwarding (unicode):
				yang info - Enable VRF forwarding on this management interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, vrf_forwarding=vrf_forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_management_vrf_forwarding_update(self, management=None, vrf_forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- management (name):
				name (unicode):
					length - [u'3..16']
					pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		This Instance Arg(s):
			- vrf_forwarding (unicode):
				yang info - Enable VRF forwarding on this management interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.management.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, vrf_forwarding=vrf_forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_create(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_delete(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_update(self, port_channel=None, cee=None, po_speed=None, ifindex=None, description=None, shutdown=None, minimum_links=None, mtu=None, load_balance=None, port_profile_port=None, priority_tag_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cee (unicode):
				yang info - Apply default CEE map 'default'
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- po_speed (unicode):
				yang info - Set speed informational parameter
				enum - [u'40000', u'100', u'10000', u'100000', u'1000']

			- ifindex (long):
				range - ['0..18446744073709551615']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1 .. 63']

			- shutdown (YANGBool):
				yang info - Shutdown the selected interface

			- minimum_links (long):
				yang info - Least number of operationally UP links to declare 
port-channel UP
				range - ['0..4294967295']

			- mtu (long):
				yang info - Set mtu value to interface
				range - ['0..4294967295']

			- load_balance (unicode):
				yang info - Load balancing Commands
				enum - [u'src-dst-ip-port', u'src-mac-vid', u'src-dst-ip', u'src-dst-ip-mac-vid', u'dst-mac-vid', u'src-dst-mac-vid', u'src-dst-ip-mac-vid-port']

			- port_profile_port (YANGBool):
				yang info - Set the interface to AMPP profile mode

			- priority_tag_enable (YANGBool):
				yang info - Configure 802.1p priority tagging

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, cee=cee, po_speed=po_speed, ifindex=ifindex, description=description, shutdown=shutdown, minimum_links=minimum_links, mtu=mtu, load_balance=load_balance, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_get(self, port_channel=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_bfd_update(self, port_channel=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_bfd_interval_update(self, port_channel=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_bfd_interval_min_rx_update(self, port_channel=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_bfd_shutdown_update(self, port_channel=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_bpdu_drop_update(self, port_channel=None, enable=None, direction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

			- direction (unicode):
				enum - [u'all', u'rx', u'tx']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.bpdu_drop', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.bpdu_drop', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, enable=enable, direction=direction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_edge_loop_detection_update(self, port_channel=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- eldprio (long):
				range - ['0..4294967295']

			- eldvlan (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_edge_loop_detection_port_priority_update(self, port_channel=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- eldprio (long):
				range - ['0..4294967295']

			- eldvlan (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_esi_update(self, port_channel=None, value=None, auto=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- value (unicode):
				yang info - ESI value
				pattern - [0-9a-fA-F]{2}(\.[0-9a-fA-F]{2}){9}

			- auto (unicode):
				yang info - Assign ESI value AUTO.
				enum - [u'lacp']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.esi', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.esi', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, value=value, auto=auto)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_esi_auto_update(self, port_channel=None, value=None, auto=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- value (unicode):
				yang info - ESI value
				pattern - [0-9a-fA-F]{2}(\.[0-9a-fA-F]{2}){9}

			- auto (unicode):
				yang info - Assign ESI value AUTO.
				enum - [u'lacp']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.esi', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.esi', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, value=value, auto=auto)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_fcoeport_update(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_fcoeport_map_update(self, port_channel=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- fcoeport_map (unicode):
				length - [u'1..32']

			- ns_ip_registration (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_update(self, port_channel=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ip mtu value to interface
				range - ['0..4294967295']

			- directed_broadcast (YANGBool):
				yang info - Enable directed IP broadcasts forwarding

			- proxy_arp (YANGBool):
				yang info - Proxy-Arp on the interface

			- arp_aging_timeout (long):
				yang info - Set arp age timeout value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.igmp_po_intf_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_po_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_po_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip_acl_interface.ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_access_group_create(self, port_channel=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_access_group_delete(self, port_channel=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_access_group_update(self, port_channel=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_access_group_get(self, port_channel=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ip_address_create(self, port_channel=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_address_delete(self, port_channel=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_address_update(self, port_channel=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_address_get(self, port_channel=None, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ip_arp_update(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.arp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_arp_aging_timeout_update(self, port_channel=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ip mtu value to interface
				range - ['0..4294967295']

			- directed_broadcast (YANGBool):
				yang info - Enable directed IP broadcasts forwarding

			- proxy_arp (YANGBool):
				yang info - Proxy-Arp on the interface

			- arp_aging_timeout (long):
				yang info - Set arp age timeout value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_arp_inspection_update(self, port_channel=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_arp_inspection_trust_update(self, port_channel=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_arp_learn_any_update(self, port_channel=None, learn_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- learn_any (YANGBool):
				yang info - Learn ARP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, learn_any=learn_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_dhcp_relay_create(self, port_channel=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_dhcp_relay_delete(self, port_channel=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_dhcp_relay_get(self, port_channel=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ip_dhcp_relay_gateway_update(self, port_channel=None, gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- gateway (unicode):
				yang info - Gateway address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, gateway=gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_icmp_update(self, port_channel=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_icmp_address_mask_update(self, port_channel=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_igmp_update(self, port_channel=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, last_member_query_count=None, startup_query_count=None, startup_query_interval=None, robustness_variable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- last_member_query_count (long):
				yang info - IGMP Last Member Query Count
				range - ['0..4294967295']

			- startup_query_count (long):
				yang info - IGMP Startup Query Count
				range - ['0..4294967295']

			- startup_query_interval (long):
				yang info - Startup Query Interval
				range - ['0..4294967295']

			- robustness_variable (long):
				yang info - Robustness Variable
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave, last_member_query_count=last_member_query_count, startup_query_count=startup_query_count, startup_query_interval=startup_query_interval, robustness_variable=robustness_variable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_igmp_immediate_leave_update(self, port_channel=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, last_member_query_count=None, startup_query_count=None, startup_query_interval=None, robustness_variable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- last_member_query_count (long):
				yang info - IGMP Last Member Query Count
				range - ['0..4294967295']

			- startup_query_count (long):
				yang info - IGMP Startup Query Count
				range - ['0..4294967295']

			- startup_query_interval (long):
				yang info - Startup Query Interval
				range - ['0..4294967295']

			- robustness_variable (long):
				yang info - Robustness Variable
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave, last_member_query_count=last_member_query_count, startup_query_count=startup_query_count, startup_query_interval=startup_query_interval, robustness_variable=robustness_variable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_igmp_static_group_create(self, port_channel=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.igmp_po_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_igmp_static_group_delete(self, port_channel=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.igmp_po_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_igmp_static_group_get(self, port_channel=None, static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.igmp_po_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ip_multicast_boundary_update(self, port_channel=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pim_sparse (YANGBool):
				yang info - Sparse Mode (PIM-SM)

			- mcast_bdry_prefix_list (unicode):
				yang info - Prefix list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_update(self, port_channel=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_active_update(self, port_channel=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_authentication_key_update(self, port_channel=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_bfd_update(self, port_channel=None, intf_bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- intf_bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, intf_bfd_enable=intf_bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_database_filter_update(self, port_channel=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_database_filter_all_external_update(self, port_channel=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_md5_authentication_update(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_md5_authentication_key_update(self, port_channel=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_md5_authentication_key_activation_wait_time_update(self, port_channel=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_md5_authentication_key_id_update(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_ospf_md5_authentication_key_id_key_update(self, port_channel=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_pim_update(self, port_channel=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_pim_dr_priority_update(self, port_channel=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_pim_multinet_update(self, port_channel=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_pim_multinet_enable_update(self, port_channel=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_policy_route_map_update(self, port_channel=None, route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, route_map_name=route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ip_unnumbered_update(self, port_channel=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip_donor_interface_type (unicode):
				yang info - The type of donor interface.
				enum - [u've', u'loopback', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

			- ip_donor_interface_name (unicode):
				yang info - The name of donor interface.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_update(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_access_group_create(self, port_channel=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_access_group_delete(self, port_channel=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_access_group_update(self, port_channel=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_access_group_get(self, port_channel=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_address_create(self, port_channel=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_address_delete(self, port_channel=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_address_update(self, port_channel=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_address_get(self, port_channel=None, ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_address_eui_64_update(self, port_channel=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

		This Instance Arg(s):
			- eui64 (YANGBool):
				yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

			- eui_secondary (YANGBool):
				yang info - Configure Secondary eui-64 ipv6 address on an interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_address_link_local_update(self, port_channel=None, link_local_address=None, link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_local_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- link_local (YANGBool):
				yang info - Configure ipv6 address to override automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, link_local_address=link_local_address, link_local=link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_address_use_link_local_only_update(self, port_channel=None, use_link_local_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- use_link_local_only (YANGBool):
				yang info - Configure automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, use_link_local_only=use_link_local_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_dhcp_relay_create(self, port_channel=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_dhcp_relay_delete(self, port_channel=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_dhcp_relay_update(self, port_channel=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_dhcp_relay_get(self, port_channel=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_dhcp_relay_interface_update(self, port_channel=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- interface_type (unicode):
				yang info - Interface type
				enum - [u'port-channel', u'Ve', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

			- interface_name (unicode):
				yang info - Interface name
				pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1])|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|60[0-9]{2}|61[0-3][0-9]|614[0-4]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', u'servers')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, servers=servers, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_icmpv6_update(self, port_channel=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_icmpv6_echo_reply_update(self, port_channel=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_mtu_update(self, port_channel=None, mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ipv6 mtu value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mtu=mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_update(self, port_channel=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_broadcast_mac_trap_update(self, port_channel=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_cache_update(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_cache_expire_update(self, port_channel=None, expire=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- expire (long):
				yang info - Configures the time-interval after which the cache is deleted or refreshed.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, expire=expire)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_dad_update(self, port_channel=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_dad_attempts_update(self, port_channel=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_nud_retry_update(self, port_channel=None, base=None, interval=None, max_attempts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- base (long):
				yang info - base value
				range - ['-2147483648..2147483647']

			- interval (long):
				yang info - Time interval between neighbor solicitations in milliseconds
				range - ['0..4294967295']

			- max_attempts (long):
				yang info - Max number of retry attempts.
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, base=base, interval=interval, max_attempts=max_attempts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_prefix_create(self, port_channel=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_prefix_delete(self, port_channel=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_prefix_get(self, port_channel=None, prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_prefix_infinite_update(self, port_channel=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- preferred_lifetime (long):
				yang info - Configures preferred lifetime
				range - ['0..4294967295']

			- preferred_infinite (YANGBool):
				yang info - Infinite preferred lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_prefix_no_advertise_update(self, port_channel=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_advertise (YANGBool):
				yang info - Do not advertise prefix

			- valid_lifetime (long):
				yang info - Configures valid lifetime
				range - ['0..4294967295']

			- valid_infinite (YANGBool):
				yang info - Infinite valid lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_prefix_no_autoconfig_update(self, port_channel=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_autoconfig (YANGBool):
				yang info - Do not use prefix for autoconfiguration

			- no_onlink (YANGBool):
				yang info - Do not use prefix for onlink determination

			- off_link (YANGBool):
				yang info - Prefix is offlink

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_ra_interval_update(self, port_channel=None, max_interval=None, min_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- max_interval (long):
				yang info - Maximum interval in seconds
				range - ['0..4294967295']

			- min_ (long):
				yang info - Minimum interval between sending RA messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, max_interval=max_interval, min_=min_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_suppress_ra_update(self, port_channel=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_nd_suppress_ra_all_update(self, port_channel=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_neighbor_create(self, port_channel=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_neighbor_delete(self, port_channel=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_neighbor_update(self, port_channel=None, neighbor=None, hardware_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hardware_address (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, neighbor=neighbor, hardware_address=hardware_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_neighbor_get(self, port_channel=None, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_ospf_update(self, port_channel=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_ospf_active_update(self, port_channel=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_area (unicode):
				yang info - OSPF area
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- instance (long):
				yang info - Instance of OSPFv3 protocol on this interface
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPFv3 MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'point-to-point']

			- priority (long):
				yang info - Interface priority
				range - ['0..4294967295']

			- suppress_linklsa (YANGBool):
				yang info - Suppress link LSA advertisements

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_ospf_authentication_update(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_ospf_authentication_ah_update(self, port_channel=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_ospf_authentication_ipsec_update(self, port_channel=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, port_channel=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_ospf_bfd_update(self, port_channel=None, bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, bfd_enable=bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_ospf_dead_interval_update(self, port_channel=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_policy_route_map_update(self, port_channel=None, ipv6_route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipv6_route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipv6_route_map_name=ipv6_route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_raguard_update(self, port_channel=None, raguard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- raguard (YANGBool):
				yang info - IPv6 Router advertisement guard configuration

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, raguard=raguard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_create(self, port_channel=None, vrrpv3e=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_delete(self, port_channel=None, vrrpv3e=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_update(self, port_channel=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- advertise_backup (YANGBool):
				yang info - Enable periodic backup advertisement messages

			- nd_advertisement_timer (long):
				range - ['0..4294967295']

			- advertisement_interval_scale (long):
				yang info - Ipv6 session advertisement interval scale factor <1|2|5|10>
				range - ['0..4294967295']

			- backup_advertisement_interval (long):
				yang info - Set Backup advertisement interval
				range - ['0..4294967295']

			- vrrpe_advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_get(self, port_channel=None, vrrpv3e=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_short_path_forwarding_update(self, port_channel=None, vrrpv3e=None, basic=None, revert_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- basic (YANGBool):

			- revert_priority (int):
				yang info - Set revert priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_track_create(self, port_channel=None, vrrpv3e=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_track_delete(self, port_channel=None, vrrpv3e=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_track_update(self, port_channel=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_track_get(self, port_channel=None, vrrpv3e=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_virtual_ip_create(self, port_channel=None, vrrpv3e=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_virtual_ip_delete(self, port_channel=None, vrrpv3e=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_extended_group_virtual_ip_get(self, port_channel=None, vrrpv3e=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_create(self, port_channel=None, vrrpv3=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_delete(self, port_channel=None, vrrpv3=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_update(self, port_channel=None, vrrpv3=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_get(self, port_channel=None, vrrpv3=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_track_create(self, port_channel=None, vrrpv3=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_track_delete(self, port_channel=None, vrrpv3=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_track_update(self, port_channel=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_track_get(self, port_channel=None, vrrpv3=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_virtual_ip_create(self, port_channel=None, vrrpv3=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_virtual_ip_delete(self, port_channel=None, vrrpv3=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_group_virtual_ip_get(self, port_channel=None, vrrpv3=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_ipv6_vrrp_suppress_interface_ra_update(self, port_channel=None, vrrp_suppress_interface_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vrrp_suppress_interface_ra (YANGBool):
				yang info - Suppress interface RA for vrrpv3

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_logical_interface_port_channel_create(self, port_channel=None, port_channel_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel_ (pc_instance_id):
				pc_instance_id (unicode):
					pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel_', 'keyval': 'pc_instance_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_logical_interface_port_channel_delete(self, port_channel=None, port_channel_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel_ (pc_instance_id):
				pc_instance_id (unicode):
					pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel_', 'keyval': 'pc_instance_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_logical_interface_port_channel_get(self, port_channel=None, port_channel_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel_ (pc_instance_id):
				pc_instance_id (unicode):
					pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel_', 'keyval': 'pc_instance_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_logical_interface_port_channel_name_update(self, port_channel=None, port_channel_=None, logical_interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- port_channel_ (pc_instance_id):
				pc_instance_id (unicode):
					pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

		This Instance Arg(s):
			- logical_interface_name (unicode):
				yang info - 64 Chars;;Name of the logical interface.
				length - [u'1 .. 64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_, logical_interface_name=logical_interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_logical_interface_port_channel_shutdown_update(self, port_channel=None, port_channel_=None, shutdown_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- port_channel_ (pc_instance_id):
				pc_instance_id (unicode):
					pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

		This Instance Arg(s):
			- shutdown_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_, shutdown_status=shutdown_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_logical_interface_port_channel_untagged_vlan_update(self, port_channel=None, port_channel_=None, untagged_vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- port_channel_ (pc_instance_id):
				pc_instance_id (unicode):
					pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

		This Instance Arg(s):
			- untagged_vlan_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_, untagged_vlan_id=untagged_vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_logical_interface_port_channel_vlan_update(self, port_channel=None, port_channel_=None, outer_tagged_vlan_id=None, inner_vlan=None, inner_tagged_vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- port_channel_ (pc_instance_id):
				pc_instance_id (unicode):
					pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

		This Instance Arg(s):
			- outer_tagged_vlan_id (long):
				yang info - VLAN ID between 1 and 4090
				range - ['0..4294967295']

			- inner_vlan (YANGBool):
				yang info - Configure Inner VLAN for this logical interface

			- inner_tagged_vlan_id (long):
				yang info - VLAN ID between 1 and 4090
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_, outer_tagged_vlan_id=outer_tagged_vlan_id, inner_vlan=inner_vlan, inner_tagged_vlan_id=inner_tagged_vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_mac_access_group_create(self, port_channel=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_mac_access_group_delete(self, port_channel=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_mac_access_group_update(self, port_channel=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_mac_access_group_get(self, port_channel=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_mac_learning_disable_vlan_update(self, port_channel=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mac_learning_vlan_add (unicode):
				yang info - RANGE;;Range of vlans to add
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- mac_learning_vlan_remove (unicode):
				yang info - RANGE;;Range of vlans to remove
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_mac_learning_disable_vlan_add_update(self, port_channel=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mac_learning_vlan_add (unicode):
				yang info - RANGE;;Range of vlans to add
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- mac_learning_vlan_remove (unicode):
				yang info - RANGE;;Range of vlans to remove
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_port_profile_port_domain_update(self, port_channel=None, profile_domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- profile_domain_name (unicode):
				yang info - Port-profile-domain name (Max Size - 128)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, profile_domain_name=profile_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_port_profile_port_profile_create(self, port_channel=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_port_profile_port_profile_delete(self, port_channel=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_port_profile_port_profile_get(self, port_channel=None, port_to_port_profile_associations=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_qos_update(self, port_channel=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- default_cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure DSCP-to-DSCP mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure DSCP-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure DSCP-to-COS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_cos_mutation_update(self, port_channel=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- default_cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure DSCP-to-DSCP mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure DSCP-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure DSCP-to-COS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_drop_monitor_update(self, port_channel=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_drop_monitor_enable_update(self, port_channel=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_flowcontrol_update(self, port_channel=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_flowcontrol_pfc_create(self, port_channel=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_flowcontrol_pfc_delete(self, port_channel=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_flowcontrol_pfc_update(self, port_channel=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

		This Instance Arg(s):
			- pfc_flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- pfc_flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_flowcontrol_pfc_get(self, port_channel=None, pfc=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_qos_flowcontrol_rx_update(self, port_channel=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_random_detect_traffic_class_create(self, port_channel=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_random_detect_traffic_class_delete(self, port_channel=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_random_detect_traffic_class_update(self, port_channel=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- red_enable (YANGBool):
				yang info - Keyword for VDX 6710,6720,6730,6746,2730

			- red_profile_id (long):
				yang info - Keyword for all other VDX platforms
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_random_detect_traffic_class_get(self, port_channel=None, traffic_class=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_qos_trust_update(self, port_channel=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_qos_trust_cos_update(self, port_channel=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_service_policy_update(self, port_channel=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_service_policy_in_update(self, port_channel=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_snmp_trap_update(self, port_channel=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_snmp_trap_link_status_update(self, port_channel=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_update(self, port_channel=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, peer_switch=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- peer_switch (YANGBool):
				yang info - Enable Peer-switch configuration

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown, peer_switch=peer_switch)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_autoedge_update(self, port_channel=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, peer_switch=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- peer_switch (YANGBool):
				yang info - Enable Peer-switch configuration

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown, peer_switch=peer_switch)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_edgeport_update(self, port_channel=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_edgeport_bpdu_filter_update(self, port_channel=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_guard_update(self, port_channel=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_guard_root_update(self, port_channel=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_instance_create(self, port_channel=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_instance_delete(self, port_channel=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_instance_update(self, port_channel=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change
notifications from port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_instance_get(self, port_channel=None, instance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_spanning_tree_portfast_update(self, port_channel=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_portfast_bpdu_filter_update(self, port_channel=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_vlan_create(self, port_channel=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_vlan_delete(self, port_channel=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_vlan_update(self, port_channel=None, vlan=None, cost=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan, cost=cost, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_vlan_get(self, port_channel=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_spanning_tree_vlan_guard_update(self, port_channel=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_spanning_tree_vlan_guard_root_update(self, port_channel=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_update(self, port_channel=None, basic=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- basic (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport_basic', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport_basic', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, basic=basic)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_access_update(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.access_mac_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_access_mac_group_vlan_classification_access_vlan_create(self, port_channel=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_access_mac_group_vlan_classification_access_vlan_delete(self, port_channel=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_access_mac_group_vlan_classification_access_vlan_get(self, port_channel=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_access_mac_vlan_classification_access_vlan_create(self, port_channel=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_address):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_address (unicode):
					yang info - Associate the Mac address with a vlan
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_access_mac_vlan_classification_access_vlan_delete(self, port_channel=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_address):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_address (unicode):
					yang info - Associate the Mac address with a vlan
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_access_mac_vlan_classification_access_vlan_get(self, port_channel=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_address):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_address (unicode):
					yang info - Associate the Mac address with a vlan
					pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_access_vlan_create(self, port_channel=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_access_vlan_delete(self, port_channel=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_access_vlan_get(self, port_channel=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_mode_update(self, port_channel=None, vlan_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_mode (unicode):
				enum - [u'access', u'trunk-no-default-native', u'trunk']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.mode', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.mode', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan_mode=vlan_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_mode_private_vlan_update(self, port_channel=None, promiscuous=None, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan promiscuous

			- host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, promiscuous=promiscuous, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_mode_private_vlan_host_update(self, port_channel=None, promiscuous=None, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan promiscuous

			- host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, promiscuous=promiscuous, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_mode_private_vlan_trunk_update(self, port_channel=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_basic (YANGBool):

			- trunk_promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan trunk promiscuous

			- trunk_host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan trunk host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_port_security_create(self, port_channel=None, allowed_ouis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_port_security_delete(self, port_channel=None, allowed_ouis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_port_security_get(self, port_channel=None, allowed_ouis=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_port_security_max_update(self, port_channel=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- port_sec_max (long):
				yang info - Maximum number of allowed MACs
				range - ['0..4294967295']

			- port_sec_violation (unicode):
				yang info - Set the action on violation
				enum - [u'restrict', u'shutdown']

			- shutdown_time (long):
				yang info - Shutdown time for port
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_port_security_sticky_create(self, port_channel=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_port_security_sticky_delete(self, port_channel=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_port_security_sticky_get(self, port_channel=None, port_secutiry_mac_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_association_trunk_create(self, port_channel=None, trunk=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_association_trunk_delete(self, port_channel=None, trunk=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_association_trunk_get(self, port_channel=None, trunk=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_host_association_update(self, port_channel=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- host_pri_pvlan (long):
				yang info - Primary vlan id
				range - ['0..4294967295']

			- host_sec_pvlan (long):
				yang info - Secondary vlan id
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_mapping_create(self, port_channel=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_mapping_delete(self, port_channel=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_mapping_update(self, port_channel=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_mapping_get(self, port_channel=None, mapping=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_update(self, port_channel=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pvlan_all (YANGBool):
				yang info - Allow all VLANs to Xmit/Rx through the Layer2 interface

			- pvlan_none (YANGBool):
				yang info - Allow no VLANs to Xmit/Rx through the Layer2 interface

			- pvlan_add (unicode):
				yang info - Add a VLAN to Xmit/Rx through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- pvlan_except (unicode):
				yang info - Allow all VLANs except VID to Xmit/Rx through Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- pvlan_remove (unicode):
				yang info - Remove a VLAN that Xmit/Rx through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_add_create(self, port_channel=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_add_delete(self, port_channel=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_add_get(self, port_channel=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_remove_create(self, port_channel=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_remove_delete(self, port_channel=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_remove_get(self, port_channel=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_native_update(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_native_vlan_update(self, port_channel=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pvlanNativevlan (long):
				range - ['0..4294967295']

			- pvlan_native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_tag_update(self, port_channel=None, pvlan_tag_native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pvlan_tag_native_vlan (YANGBool):
				yang info - Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_private_vlan_trunk_tag_native_vlan_update(self, port_channel=None, pvlan_tag_native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pvlan_tag_native_vlan (YANGBool):
				yang info - Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_update(self, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlan_update(self, port_channel=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- none (YANGBool):
				yang info - Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- add_ (unicode):
				yang info - Allow these VLANs to Xmit/Rx 
through the Layer2 interface
				length - [u'1..20000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- except_ (unicode):
				yang info - Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				yang info - Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlan_add_create(self, port_channel=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlan_add_delete(self, port_channel=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlan_add_update(self, port_channel=None, add=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlan_add_get(self, port_channel=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlan_remove_create(self, port_channel=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlan_remove_delete(self, port_channel=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlan_remove_update(self, port_channel=None, remove=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlan_remove_get(self, port_channel=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlanoper_vlan_update(self, port_channel=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_allowed_vlanoper_vlan_add_update(self, port_channel=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_ctag_update(self, port_channel=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- native_vlan_id (long):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
				range - ['0..4294967295']

			- native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_default_vlan_update(self, port_channel=None, default_transparent_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- default_transparent_vlan (long):
				yang info - default transparent vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, default_transparent_vlan=default_transparent_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_native_vlan_untagged_update(self, port_channel=None, native_vlan_id_untagged=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- native_vlan_id_untagged (long):
				yang info - Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, native_vlan_id_untagged=native_vlan_id_untagged)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_tag_update(self, port_channel=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_tag_native_vlan_update(self, port_channel=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_create(self, port_channel=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_delete(self, port_channel=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_update(self, port_channel=None, add=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_get(self, port_channel=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_create(self, port_channel=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_delete(self, port_channel=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_update(self, port_channel=None, remove=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_get(self, port_channel=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_track_update(self, port_channel=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_track_interface_create(self, port_channel=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_track_interface_delete(self, port_channel=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_track_interface_get(self, port_channel=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_track_min_link_update(self, port_channel=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_track_remove_update(self, port_channel=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_track_remove_all_update(self, port_channel=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_tunnel_update(self, port_channel=None, tagged_ieee_bpdu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- tagged_ieee_bpdu (YANGBool):
				yang info - Enable tunneling of tagged IEEE BPDUs though VCS
fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, tagged_ieee_bpdu=tagged_ieee_bpdu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_tunnel_tagged_ieee_bpdu_update(self, port_channel=None, tagged_ieee_bpdu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- tagged_ieee_bpdu (YANGBool):
				yang info - Enable tunneling of tagged IEEE BPDUs though VCS
fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, tagged_ieee_bpdu=tagged_ieee_bpdu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vlag_update(self, port_channel=None, ignore_split=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ignore_split (YANGBool):
				yang info - vlag ignore-split-recovery

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.vlag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vlag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vlag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.vlag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ignore_split=ignore_split)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vlag_ignore_split_update(self, port_channel=None, ignore_split=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ignore_split (YANGBool):
				yang info - vlag ignore-split-recovery

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.vlag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vlag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vlag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.vlag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ignore_split=ignore_split)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vlan_classifier_activate_group_create(self, port_channel=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vlan_classifier_activate_group_delete(self, port_channel=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vlan_classifier_activate_group_update(self, port_channel=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vlan_classifier_activate_group_get(self, port_channel=None, group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_vrf_update(self, port_channel=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrf_forwarding_update(self, port_channel=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_create(self, port_channel=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_delete(self, port_channel=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_update(self, port_channel=None, vrrp=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- advertisement_interval (long):
				yang info - 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_get(self, port_channel=None, vrrp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_vrrp_group_arp_unicast_request_update(self, port_channel=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_arp_unicast_request_receive_update(self, port_channel=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_track_create(self, port_channel=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_track_delete(self, port_channel=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_track_update(self, port_channel=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_track_get(self, port_channel=None, vrrp=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_port_channel_vrrp_group_virtual_ip_create(self, port_channel=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_virtual_ip_delete(self, port_channel=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_port_channel_vrrp_group_virtual_ip_get(self, port_channel=None, vrrp=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_get(self, tengigabitethernet=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tengigabitethernet', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_bfd_update(self, tengigabitethernet=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_bfd_interval_update(self, tengigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_bfd_interval_min_rx_update(self, tengigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_bfd_shutdown_update(self, tengigabitethernet=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_bpdu_drop_update(self, tengigabitethernet=None, enable=None, direction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs

			- direction (unicode):
				enum - [u'all', u'rx', u'tx']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, enable=enable, direction=direction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_channel_group_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_channel_group_mode_update(self, tengigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- port_int (long):
				yang info - Channel group number
				range - ['0..4294967295']

			- mode (unicode):
				yang info - The mode of the port channel.
				enum - [u'active', u'passive', u'on']

			- type (unicode):
				yang info - The type of the port-channel.
				enum - [u'brocade', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_int=port_int, mode=mode, type=type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_deviceconnectivity_update(self, tengigabitethernet=None, deviceconnectivity=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- deviceconnectivity (unicode):
				yang info - Device connectivity to IP storage device
				enum - [u'NAS', u'None', u'iSCSI', u'DAS']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.connectivity', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.connectivity', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, deviceconnectivity=deviceconnectivity)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_dot1x_update(self, tengigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- authentication (YANGBool):
				yang info - Enable dot1x on a port

			- port_control (unicode):
				yang info - Port control commands
				enum - [u'auto', u'force-unauthorized', u'force-authorized']

			- protocol_version (long):
				yang info - Set the protocol version
				range - ['0..4294967295']

			- quiet_period (long):
				yang info - Quiet period in the HELD state
				range - ['0..4294967295']

			- reauthMax (long):
				yang info - Number of reauthentication attempts before becoming
unauthorized
				range - ['0..4294967295']

			- reauthentication (YANGBool):
				yang info - Enable reauthentication on a port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_dot1x_authentication_update(self, tengigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- authentication (YANGBool):
				yang info - Enable dot1x on a port

			- port_control (unicode):
				yang info - Port control commands
				enum - [u'auto', u'force-unauthorized', u'force-authorized']

			- protocol_version (long):
				yang info - Set the protocol version
				range - ['0..4294967295']

			- quiet_period (long):
				yang info - Quiet period in the HELD state
				range - ['0..4294967295']

			- reauthMax (long):
				yang info - Number of reauthentication attempts before becoming
unauthorized
				range - ['0..4294967295']

			- reauthentication (YANGBool):
				yang info - Enable reauthentication on a port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_dot1x_timeout_update(self, tengigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- re_authperiod (long):
				yang info - Reauthentication interval in seconds 
(default = 3600)
				range - ['0..4294967295']

			- server_timeout (long):
				yang info - Server timeout in seconds (default = 30)
				range - ['0..4294967295']

			- supp_timeout (long):
				yang info - Supplicant response timeout (default = 30)
				range - ['0..4294967295']

			- tx_period (long):
				yang info - Transmission period in seconds (default = 30)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_dot1x_timeout_re_authperiod_update(self, tengigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- re_authperiod (long):
				yang info - Reauthentication interval in seconds 
(default = 3600)
				range - ['0..4294967295']

			- server_timeout (long):
				yang info - Server timeout in seconds (default = 30)
				range - ['0..4294967295']

			- supp_timeout (long):
				yang info - Supplicant response timeout (default = 30)
				range - ['0..4294967295']

			- tx_period (long):
				yang info - Transmission period in seconds (default = 30)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_edge_loop_detection_update(self, tengigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- eldprio (long):
				yang info - Set ELD-priority value to interface
				range - ['0..4294967295']

			- eldvlan (unicode):
				yang info - Enable for specific VLAN on selected interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_edge_loop_detection_port_priority_update(self, tengigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- eldprio (long):
				yang info - Set ELD-priority value to interface
				range - ['0..4294967295']

			- eldvlan (unicode):
				yang info - Enable for specific VLAN on selected interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fabric_dport_update(self, tengigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_enable (YANGBool):
				yang info - Configure fabric D-port status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_dport_enable=fabric_dport_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fabric_dport_enable_update(self, tengigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_enable (YANGBool):
				yang info - Configure fabric D-port status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_dport_enable=fabric_dport_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fabric_dport_mode_update(self, tengigabitethernet=None, fabric_dport_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_dport_mode (unicode):
				yang info - Configure D-Port Mode
				enum - [u'static', u'none', u'dynamic']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_dport_mode=fabric_dport_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fabric_isl_update(self, tengigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_isl_enable (YANGBool):
				yang info - Configure fabric isl status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_isl_enable=fabric_isl_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fabric_isl_enable_update(self, tengigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_isl_enable (YANGBool):
				yang info - Configure fabric isl status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_isl_enable=fabric_isl_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fabric_neighbor_discovery_update(self, tengigabitethernet=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- disable (YANGBool):
				yang info - Disable neighbor discovery at this port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fabric_neighbor_discovery_disable_update(self, tengigabitethernet=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- disable (YANGBool):
				yang info - Disable neighbor discovery at this port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fabric_trunk_update(self, tengigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_trunk_enable (YANGBool):
				yang info - Configure fabric trunk status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fabric_trunk_enable_update(self, tengigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fabric_trunk_enable (YANGBool):
				yang info - Configure fabric trunk status 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fcoeport_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoeport_map, ns_ip_registration'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_fcoeport_map_update(self, tengigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- fcoeport_map (unicode):
				length - [u'1..32']

			- ns_ip_registration (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.arp_node_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.arp_node_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.arp_node_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_access_group_create(self, tengigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_access_group_delete(self, tengigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_access_group_update(self, tengigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_access_group_get(self, tengigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ip_address_create(self, tengigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_address_delete(self, tengigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_address_update(self, tengigabitethernet=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_address_get(self, tengigabitethernet=None, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ip_arp_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_arp_aging_timeout_update(self, tengigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ip mtu value to interface
				range - ['0..4294967295']

			- directed_broadcast (YANGBool):
				yang info - Enable directed IP broadcasts forwarding

			- proxy_arp (YANGBool):
				yang info - Proxy-Arp on the interface

			- arp_aging_timeout (long):
				yang info - Set arp age timeout value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_arp_inspection_update(self, tengigabitethernet=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_arp_inspection_trust_update(self, tengigabitethernet=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_arp_learn_any_update(self, tengigabitethernet=None, learn_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- learn_any (YANGBool):
				yang info - Learn ARP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, learn_any=learn_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_dhcp_relay_create(self, tengigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_dhcp_relay_delete(self, tengigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_dhcp_relay_get(self, tengigabitethernet=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ip_dhcp_relay_gateway_update(self, tengigabitethernet=None, gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- gateway (unicode):
				yang info - Gateway address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, gateway=gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_icmp_update(self, tengigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_icmp_address_mask_update(self, tengigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_igmp_update(self, tengigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_igmp_immediate_leave_update(self, tengigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_igmp_static_group_create(self, tengigabitethernet=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_igmp_static_group_delete(self, tengigabitethernet=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_igmp_static_group_get(self, tengigabitethernet=None, static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ip_multicast_boundary_update(self, tengigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pim_sparse (YANGBool):
				yang info - Sparse Mode (PIM-SM)

			- mcast_bdry_prefix_list (unicode):
				yang info - Prefix list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_update(self, tengigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_active_update(self, tengigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_authentication_key_update(self, tengigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_bfd_update(self, tengigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- intf_bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, intf_bfd_enable=intf_bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_database_filter_update(self, tengigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_database_filter_all_external_update(self, tengigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_md5_authentication_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_md5_authentication_key_update(self, tengigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, tengigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_md5_authentication_key_id_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, tengigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_pim_update(self, tengigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_pim_dr_priority_update(self, tengigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_pim_multinet_update(self, tengigabitethernet=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_pim_multinet_enable_update(self, tengigabitethernet=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_policy_route_map_update(self, tengigabitethernet=None, route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, route_map_name=route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ip_unnumbered_update(self, tengigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ip_donor_interface_type (unicode):
				yang info - The type of donor interface.
				enum - [u've', u'loopback', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

			- ip_donor_interface_name (unicode):
				yang info - The name of donor interface.
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_access_group_create(self, tengigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_access_group_delete(self, tengigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_access_group_update(self, tengigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_access_group_get(self, tengigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_address_create(self, tengigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_address_delete(self, tengigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_address_update(self, tengigabitethernet=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_address_get(self, tengigabitethernet=None, ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_address_eui_64_update(self, tengigabitethernet=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

		This Instance Arg(s):
			- eui64 (YANGBool):
				yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

			- eui_secondary (YANGBool):
				yang info - Configure Secondary eui-64 ipv6 address on an interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_address_link_local_update(self, tengigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_local_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- link_local (YANGBool):
				yang info - Configure ipv6 address to override automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, link_local_address=link_local_address, link_local=link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_address_use_link_local_only_update(self, tengigabitethernet=None, use_link_local_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- use_link_local_only (YANGBool):
				yang info - Configure automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, use_link_local_only=use_link_local_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_dhcp_relay_create(self, tengigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_dhcp_relay_delete(self, tengigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_dhcp_relay_update(self, tengigabitethernet=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_dhcp_relay_get(self, tengigabitethernet=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_dhcp_relay_interface_update(self, tengigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- interface_type (unicode):
				yang info - Interface type
				enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'Ve']

			- interface_name (unicode):
				yang info - Interface name
				pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_hop_by_hop_trap_update(self, tengigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hop_by_hop_trap (YANGBool):
				yang info - Enable hop-by-hop trap on an Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_icmpv6_update(self, tengigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_icmpv6_echo_reply_update(self, tengigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_mtu_update(self, tengigabitethernet=None, mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ipv6 mtu value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mtu=mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_update(self, tengigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, tengigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_cache_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_cache_expire_update(self, tengigabitethernet=None, expire=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- expire (long):
				yang info - Configures the time-interval after which the cache is deleted or refreshed.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, expire=expire)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_dad_update(self, tengigabitethernet=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_dad_attempts_update(self, tengigabitethernet=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_nud_retry_update(self, tengigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- base (long):
				yang info - base value
				range - ['-2147483648..2147483647']

			- interval (long):
				yang info - Time interval between neighbor solicitations in milliseconds
				range - ['0..4294967295']

			- max_attempts (long):
				yang info - Max number of retry attempts.
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_prefix_create(self, tengigabitethernet=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_prefix_delete(self, tengigabitethernet=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_prefix_get(self, tengigabitethernet=None, prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_prefix_infinite_update(self, tengigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- preferred_lifetime (long):
				yang info - Configures preferred lifetime
				range - ['0..4294967295']

			- preferred_infinite (YANGBool):
				yang info - Infinite preferred lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_prefix_no_advertise_update(self, tengigabitethernet=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_advertise (YANGBool):
				yang info - Do not advertise prefix

			- valid_lifetime (long):
				yang info - Configures valid lifetime
				range - ['0..4294967295']

			- valid_infinite (YANGBool):
				yang info - Infinite valid lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, tengigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_autoconfig (YANGBool):
				yang info - Do not use prefix for autoconfiguration

			- no_onlink (YANGBool):
				yang info - Do not use prefix for onlink determination

			- off_link (YANGBool):
				yang info - Prefix is offlink

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_ra_interval_update(self, tengigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- max_interval (long):
				yang info - Maximum interval in seconds
				range - ['0..4294967295']

			- min_ (long):
				yang info - Minimum interval between sending RA messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, max_interval=max_interval, min_=min_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_suppress_ra_update(self, tengigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_nd_suppress_ra_all_update(self, tengigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_neighbor_create(self, tengigabitethernet=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_neighbor_delete(self, tengigabitethernet=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_neighbor_update(self, tengigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hardware_address (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_neighbor_get(self, tengigabitethernet=None, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_ospf_update(self, tengigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_ospf_active_update(self, tengigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_area (unicode):
				yang info - OSPF area
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- instance (long):
				yang info - Instance of OSPFv3 protocol on this interface
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPFv3 MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'point-to-point']

			- priority (long):
				yang info - Interface priority
				range - ['0..4294967295']

			- suppress_linklsa (YANGBool):
				yang info - Suppress link LSA advertisements

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_ospf_authentication_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_ospf_authentication_ah_update(self, tengigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_ospf_authentication_ipsec_update(self, tengigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, tengigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_ospf_bfd_update(self, tengigabitethernet=None, bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, bfd_enable=bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_ospf_dead_interval_update(self, tengigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_policy_route_map_update(self, tengigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipv6_route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_raguard_update(self, tengigabitethernet=None, raguard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- raguard (YANGBool):
				yang info - IPv6 Router advertisement guard configuration

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, raguard=raguard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_create(self, tengigabitethernet=None, vrrpv3e_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_delete(self, tengigabitethernet=None, vrrpv3e_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_update(self, tengigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- advertise_backup (YANGBool):
				yang info - Enable periodic backup advertisement messages

			- nd_advertisement_timer (long):
				range - ['0..4294967295']

			- advertisement_interval_scale (long):
				yang info - Ipv6 session advertisement interval scale factor <1|2|5|10>
				range - ['0..4294967295']

			- backup_advertisement_interval (long):
				yang info - Set Backup advertisement interval
				range - ['0..4294967295']

			- vrrpe_advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_get(self, tengigabitethernet=None, vrrpv3e_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, tengigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- basic (YANGBool):

			- revert_priority (int):
				yang info - Set revert priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_track_create(self, tengigabitethernet=None, vrrpv3e_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_track_delete(self, tengigabitethernet=None, vrrpv3e_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_track_update(self, tengigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_track_get(self, tengigabitethernet=None, vrrpv3e_group=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_virtual_ip_create(self, tengigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_virtual_ip_delete(self, tengigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_extended_group_virtual_ip_get(self, tengigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3e_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_create(self, tengigabitethernet=None, vrrpv3_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_delete(self, tengigabitethernet=None, vrrpv3_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_update(self, tengigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Use v2 checksum

			- advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_get(self, tengigabitethernet=None, vrrpv3_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_track_create(self, tengigabitethernet=None, vrrpv3_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_track_delete(self, tengigabitethernet=None, vrrpv3_group=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_track_update(self, tengigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_track_get(self, tengigabitethernet=None, vrrpv3_group=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_virtual_ip_create(self, tengigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_virtual_ip_delete(self, tengigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_group_virtual_ip_get(self, tengigabitethernet=None, vrrpv3_group=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrpv3_group (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, tengigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vrrp_suppress_interface_ra (YANGBool):
				yang info - Suppress interface RA for vrrpv3

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_lacp_update(self, tengigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- timeout (unicode):
				yang info - Timeout commands
				enum - [u'short', u'long']

			- std_port_priority (long):
				yang info - Port priority commands
				range - ['0..4294967295']

			- default_up (YANGBool):
				yang info - To bring up the interface in LACP default state 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_lacp_default_up_update(self, tengigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- timeout (unicode):
				yang info - Timeout commands
				enum - [u'short', u'long']

			- std_port_priority (long):
				yang info - Port priority commands
				range - ['0..4294967295']

			- default_up (YANGBool):
				yang info - To bring up the interface in LACP default state 

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_lldp_update(self, tengigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- dcbx_version (unicode):
				yang info - Set up DCBX Version
				enum - [u'auto', u'cee']

			- disable (YANGBool):
				yang info - Disable LLDP on the Interface.

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI on this interface
				range - ['0..4294967295']

			- profile (unicode):
				yang info - The LLDP profile on the interface.
				length - [u'1..32']
				pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_lldp_cee_update(self, tengigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- lldp_cee_on_off (unicode):
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_lldp_dcbx_version_update(self, tengigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- dcbx_version (unicode):
				yang info - Set up DCBX Version
				enum - [u'auto', u'cee']

			- disable (YANGBool):
				yang info - Disable LLDP on the Interface.

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI on this interface
				range - ['0..4294967295']

			- profile (unicode):
				yang info - The LLDP profile on the interface.
				length - [u'1..32']
				pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_mac_access_group_create(self, tengigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_mac_access_group_delete(self, tengigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_mac_access_group_update(self, tengigabitethernet=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_mac_access_group_get(self, tengigabitethernet=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_mac_learning_disable_vlan_update(self, tengigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mac_learning_vlan_add (unicode):
				yang info - RANGE;;Range of vlans to add
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- mac_learning_vlan_remove (unicode):
				yang info - RANGE;;Range of vlans to remove
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_mac_learning_disable_vlan_add_update(self, tengigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mac_learning_vlan_add (unicode):
				yang info - RANGE;;Range of vlans to add
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- mac_learning_vlan_remove (unicode):
				yang info - RANGE;;Range of vlans to remove
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_openflow_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_openflow_enable_update(self, tengigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - OpenFlow enable

			- match_profile (unicode):
				yang info - OpenFlow match profile
				enum - [u'Layer3', u'Layer2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, enable=enable, match_profile=match_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_openflow_logical_instance_update(self, tengigabitethernet=None, logical_instance_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- logical_instance_id (long):
				yang info - OpenFlow logical instance configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, logical_instance_id=logical_instance_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_port_profile_port_domain_update(self, tengigabitethernet=None, profile_domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- profile_domain_name (unicode):
				yang info - Port-profile-domain name (Max Size - 128)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, profile_domain_name=profile_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_port_profile_port_profile_create(self, tengigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_port_profile_port_profile_delete(self, tengigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_port_profile_port_profile_get(self, tengigabitethernet=None, port_to_port_profile_associations=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_to_port_profile_associations (port_to_port_profile_association):
				port_to_port_profile_association (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_qos_update(self, tengigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure DSCP-to-DSCP mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure DSCP-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure DSCP-to-COS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_cos_mutation_update(self, tengigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure DSCP-to-DSCP mutation
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure DSCP-to-Traffic Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure DSCP-to-COS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_drop_monitor_update(self, tengigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_drop_monitor_enable_update(self, tengigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- drop_monitor_enable (YANGBool):
				yang info - Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, drop_monitor_enable=drop_monitor_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_flowcontrol_update(self, tengigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_flowcontrol_pfc_create(self, tengigabitethernet=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_flowcontrol_pfc_delete(self, tengigabitethernet=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_flowcontrol_pfc_update(self, tengigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

		This Instance Arg(s):
			- pfc_flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- pfc_flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_flowcontrol_pfc_get(self, tengigabitethernet=None, pfc=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - 0-7;;CoS value
					range - ['-2147483648..2147483647']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_qos_flowcontrol_rx_update(self, tengigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- flowcontrol_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- flowcontrol_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_random_detect_traffic_class_create(self, tengigabitethernet=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_random_detect_traffic_class_delete(self, tengigabitethernet=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_random_detect_traffic_class_update(self, tengigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- red_enable (YANGBool):
				yang info - Keyword for VDX 6710,6720,6730,6746,2730

			- red_profile_id (long):
				yang info - Keyword for all other VDX platforms
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_random_detect_traffic_class_get(self, tengigabitethernet=None, traffic_class=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- traffic_class (red_tc_value):
				red_tc_value (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_update(self, tengigabitethernet=None, cos0_threshold=None, cos1_threshold=None, cos2_threshold=None, cos3_threshold=None, cos4_threshold=None, cos5_threshold=None, cos6_threshold=None, cos7_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- cos0_threshold (long):
				range - ['0..4294967295']

			- cos1_threshold (long):
				range - ['0..4294967295']

			- cos2_threshold (long):
				range - ['0..4294967295']

			- cos3_threshold (long):
				range - ['0..4294967295']

			- cos4_threshold (long):
				range - ['0..4294967295']

			- cos5_threshold (long):
				range - ['0..4294967295']

			- cos6_threshold (long):
				range - ['0..4294967295']

			- cos7_threshold (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_trust_update(self, tengigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_qos_trust_cos_update(self, tengigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for deriving internal Traffic Class

			- trust_dscp (YANGBool):
				yang info - Trust L3 DSCP field in incoming packets for deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_rmon_collection_history_create(self, tengigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_rmon_collection_history_delete(self, tengigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_rmon_collection_history_update(self, tengigabitethernet=None, history_control_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_rmon_collection_history_get(self, tengigabitethernet=None, history_control_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- history_control_entry (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner):
				history_control_index (long):
					range - ['-2147483648..2147483647']

				history_control_buckets_requested (long):
					yang info - Buckets (default 50)
					range - ['-2147483648..2147483647']

				history_control_interval (long):
					yang info - Polling Interval (default 1800)
					range - ['-2147483648..2147483647']

				history_control_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_rmon_collection_stats_create(self, tengigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_rmon_collection_stats_delete(self, tengigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_rmon_collection_stats_update(self, tengigabitethernet=None, ether_stats_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_rmon_collection_stats_get(self, tengigabitethernet=None, ether_stats_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ether_stats_entry (ether_stats_index, ether_stats_owner):
				ether_stats_index (long):
					range - ['-2147483648..2147483647']

				ether_stats_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ether_stats_entry=ether_stats_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_service_policy_update(self, tengigabitethernet=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_service_policy_in_update(self, tengigabitethernet=None, in_=None, out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- in_ (unicode):
				yang info - Input Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- out (unicode):
				yang info - Output Policy Map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, in_=in_, out=out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_sflow_update(self, tengigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable port sflow

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_sflow_enable_update(self, tengigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable port sflow

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_snmp_trap_update(self, tengigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_snmp_trap_link_status_update(self, tengigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_update(self, tengigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_autoedge_update(self, tengigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- autoedge (YANGBool):
				yang info - Autoedge - enable automatic edge detection

			- cost (long):
				yang info - Change an interface's spanning tree port path cost
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- bpdu_mac (unicode):
				yang info - Configure VLAN spanning-tree control MAC
				enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

			- link_type (unicode):
				yang info - Specify a link type for spanning tree protocol
				enum - [u'shared', u'point-to-point']

			- priority (long):
				yang info - Change an interface's spanning tree port priority
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change and received topology change notifications

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_edgeport_update(self, tengigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, tengigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- edgeportbasic (YANGBool):
				yang info - Edgeport

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_guard_update(self, tengigabitethernet=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_guard_root_update(self, tengigabitethernet=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_instance_create(self, tengigabitethernet=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_instance_delete(self, tengigabitethernet=None, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_instance_update(self, tengigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- restricted_role (YANGBool):
				yang info - Restrict the role of the port

			- restricted_tcn (YANGBool):
				yang info - Restrict propagation of topology change
notifications from port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_instance_get(self, tengigabitethernet=None, instance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_portfast_update(self, tengigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, tengigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- portfastbasic (YANGBool):
				yang info - Enable an interface to move directly to forwarding on link up

			- bpdu_guard (YANGBool):
				yang info - Guard the port against reception of BPDUs

			- bpdu_filter (YANGBool):
				yang info - Set the portfast bpdu-filter for the port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_vlan_create(self, tengigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_vlan_delete(self, tengigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_vlan_update(self, tengigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cost (long):
				yang info - Path cost for a port
				range - ['0..4294967295']

			- priority (long):
				yang info - Port priority for a bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan, cost=cost, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_vlan_get(self, tengigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_vlan_guard_update(self, tengigabitethernet=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_spanning_tree_vlan_guard_root_update(self, tengigabitethernet=None, vlan=None, root=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- root (YANGBool):
				yang info - Disable reception of superior BPDUs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan, root=root)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_storm_control_ingress_create(self, tengigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_storm_control_ingress_delete(self, tengigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_storm_control_ingress_update(self, tengigabitethernet=None, ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_storm_control_ingress_get(self, tengigabitethernet=None, ingress=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- ingress (protocol_type, rate_format, rate_bps, rate_percent, bum_action):
				protocol_type (unicode):
					enum - [u'broadcast', u'unknown-unicast', u'multicast']

				rate_format (unicode):
					enum - [u'limit-bps', u'limit-percent']

				rate_bps (long):
					range - ['0..18446744073709551615']

				rate_percent (long):
					range - ['0..4294967295']

				bum_action (unicode):
					enum - [u'monitor', u'shutdown']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ingress=ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_update(self, tengigabitethernet=None, basic=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- basic (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, basic=basic)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_access_update(self, tengigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rspan_access_vlan (long):
				yang info - Specify rspan-vlan id to set as access vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, rspan_access_vlan=rspan_access_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_access_rspan_vlan_create(self, tengigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_access_rspan_vlan_delete(self, tengigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_access_rspan_vlan_get(self, tengigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_access_vlan_create(self, tengigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_access_vlan_delete(self, tengigabitethernet=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_access_vlan_get(self, tengigabitethernet=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_mode_update(self, tengigabitethernet=None, vlan_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vlan_mode (unicode):
				enum - [u'access', u'trunk-no-default-native', u'trunk']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan_mode=vlan_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_mode_private_vlan_update(self, tengigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan promiscuous

			- host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, promiscuous=promiscuous, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_mode_private_vlan_host_update(self, tengigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan promiscuous

			- host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, promiscuous=promiscuous, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_mode_private_vlan_trunk_update(self, tengigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- trunk_basic (YANGBool):

			- trunk_promiscuous (YANGBool):
				yang info - Set the Layer2 interface as private-vlan trunk promiscuous

			- trunk_host (YANGBool):
				yang info - Set the Layer2 interface as private-vlan trunk host

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_port_security_create(self, tengigabitethernet=None, allowed_ouis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_port_security_delete(self, tengigabitethernet=None, allowed_ouis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_port_security_get(self, tengigabitethernet=None, allowed_ouis=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- allowed_ouis (oui):
				oui (unicode):
					yang info - <OUI> OUI in HHHH.HH00.0000 format
					pattern - [0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, allowed_ouis=allowed_ouis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_port_security_max_update(self, tengigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- port_sec_max (long):
				yang info - Maximum number of allowed MACs
				range - ['0..4294967295']

			- port_sec_violation (unicode):
				yang info - Set the action on violation
				enum - [u'restrict', u'shutdown']

			- shutdown_time (long):
				yang info - Shutdown time for port
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_port_security_sticky_create(self, tengigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_port_security_sticky_delete(self, tengigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_port_security_sticky_get(self, tengigabitethernet=None, port_secutiry_mac_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- port_secutiry_mac_address (mac_address, port_sec_vlan):
				mac_address (unicode):
					yang info - Mac Address

				port_sec_vlan (long):
					yang info - Forwarding vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_association_trunk_create(self, tengigabitethernet=None, trunk=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_association_trunk_delete(self, tengigabitethernet=None, trunk=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_association_trunk_get(self, tengigabitethernet=None, trunk=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- trunk (trunk_pri_pvlan, trunk_sec_pvlan):
				trunk_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				trunk_sec_pvlan (long):
					yang info - Secondary vlan id 
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trunk=trunk)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_host_association_update(self, tengigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- host_pri_pvlan (long):
				yang info - Primary vlan id
				range - ['0..4294967295']

			- host_sec_pvlan (long):
				yang info - Secondary vlan id
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_mapping_create(self, tengigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_mapping_delete(self, tengigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_mapping_update(self, tengigabitethernet=None, mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_mapping_get(self, tengigabitethernet=None, mapping=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- mapping (promis_pri_pvlan, oper, promis_sec_pvlan_range):
				promis_pri_pvlan (long):
					yang info - Primary vlan id
					range - ['0..4294967295']

				oper (unicode):
					enum - [u'add', u'delete']

				promis_sec_pvlan_range (unicode):
					yang info - Secondary vlan range
					length - [u'1..253']
					pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mapping=mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, tengigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_all (YANGBool):
				yang info - Allow all VLANs to Xmit/Rx through the Layer2 interface

			- pvlan_none (YANGBool):
				yang info - Allow no VLANs to Xmit/Rx through the Layer2 interface

			- pvlan_add (unicode):
				yang info - Add a VLAN to Xmit/Rx through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- pvlan_except (unicode):
				yang info - Allow all VLANs except VID to Xmit/Rx through Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- pvlan_remove (unicode):
				yang info - Remove a VLAN that Xmit/Rx through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_create(self, tengigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_delete(self, tengigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_get(self, tengigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_create(self, tengigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_delete(self, tengigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_get(self, tengigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_native_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, tengigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlanNativevlan (long):
				range - ['0..4294967295']

			- pvlan_native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_tag_update(self, tengigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_tag_native_vlan (YANGBool):
				yang info - Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, tengigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- pvlan_tag_native_vlan (YANGBool):
				yang info - Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_update(self, tengigabitethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_untagged'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, tengigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_rspan_trunk_vlan (unicode):
				yang info - Specify rspan-vlan id
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_rspan_trunk_vlan (unicode):
				yang info - Specify the rspan vlans to be removed
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_add_create(self, tengigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_add_delete(self, tengigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_add_get(self, tengigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_create(self, tengigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_delete(self, tengigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_get(self, tengigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlan_update(self, tengigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- none (YANGBool):
				yang info - Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface

			- add_ (unicode):
				yang info - Allow these VLANs to Xmit/Rx 
through the Layer2 interface
				length - [u'1..20000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- except_ (unicode):
				yang info - Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				yang info - Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlan_add_create(self, tengigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlan_add_delete(self, tengigabitethernet=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlan_add_update(self, tengigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlan_add_get(self, tengigabitethernet=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlan_remove_create(self, tengigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlan_remove_delete(self, tengigabitethernet=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, tengigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trunk_ctag_range (unicode):
				length - [u'1..1000']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlan_remove_get(self, tengigabitethernet=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, tengigabitethernet=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, tengigabitethernet=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- add_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_ctag_update(self, tengigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan_id (long):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
				range - ['0..4294967295']

			- native_vlan_ctag_id (long):
				yang info - Associate a Ctag.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_default_vlan_update(self, tengigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- default_transparent_vlan (long):
				yang info - default transparent vlan
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, default_transparent_vlan=default_transparent_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_native_vlan_untagged_update(self, tengigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan_id_untagged (long):
				yang info - Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_tag_update(self, tengigabitethernet=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_switchport_trunk_tag_native_vlan_update(self, tengigabitethernet=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- native_vlan (YANGBool):
				yang info - Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_track_update(self, tengigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_track_interface_create(self, tengigabitethernet=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_track_interface_delete(self, tengigabitethernet=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_track_interface_get(self, tengigabitethernet=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- interface (track_interface_type, track_interface_name):
				track_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				track_interface_name (unicode):
					yang info - Interface name
					pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-1][0-4]{2}))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_track_min_link_update(self, tengigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_enable (YANGBool):
				yang info - Enable tracking interface

			- min_link (long):
				yang info - Min link
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, track_enable=track_enable, min_link=min_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_track_remove_update(self, tengigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_track_remove_all_update(self, tengigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- remove_all_track_interfaces (YANGBool):
				yang info - Remove Link State Tracking configuration from this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_tunable_optics_sfpp_update(self, tengigabitethernet=None, channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- channel (long):
				yang info - Channel configuration.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, channel=channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_tunable_optics_sfpp_channel_update(self, tengigabitethernet=None, channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- channel (long):
				yang info - Channel configuration.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, channel=channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_tunnel_update(self, tengigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- tagged_ieee_bpdu (YANGBool):
				yang info - Enable tunneling of tagged IEEE BPDUs though VCS
fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_tunnel_tagged_ieee_bpdu_update(self, tengigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- tagged_ieee_bpdu (YANGBool):
				yang info - Enable tunneling of tagged IEEE BPDUs though VCS
fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_udld_update(self, tengigabitethernet=None, udld_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- udld_enable (YANGBool):
				yang info - Enable UDLD protocol on the Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, udld_enable=udld_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_udld_enable_update(self, tengigabitethernet=None, udld_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- udld_enable (YANGBool):
				yang info - Enable UDLD protocol on the Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, udld_enable=udld_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vepa_update(self, tengigabitethernet=None, vepa_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vepa_enable (YANGBool):
				yang info - Set enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vepa', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vepa', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vepa', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vepa_enable=vepa_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vepa_enable_update(self, tengigabitethernet=None, vepa_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- vepa_enable (YANGBool):
				yang info - Set enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vepa', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vepa', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vepa', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vepa_enable=vepa_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vlan_classifier_activate_group_create(self, tengigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vlan_classifier_activate_group_delete(self, tengigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vlan_classifier_activate_group_update(self, tengigabitethernet=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vlan_classifier_activate_group_get(self, tengigabitethernet=None, group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- group (groupid, vlan):
				groupid (long):
					range - ['0..4294967295']

				vlan (long):
					yang info - 1-8191;;Vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_vrf_update(self, tengigabitethernet=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrf_forwarding_update(self, tengigabitethernet=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_create(self, tengigabitethernet=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_delete(self, tengigabitethernet=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_update(self, tengigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Enables v2 checksum computation method for VRRPv3 session

			- advertisement_interval (long):
				yang info - 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_get(self, tengigabitethernet=None, vrrp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_arp_unicast_request_update(self, tengigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, tengigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_track_create(self, tengigabitethernet=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_track_delete(self, tengigabitethernet=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_track_update(self, tengigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_track_get(self, tengigabitethernet=None, vrrp=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_virtual_ip_create(self, tengigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_virtual_ip_delete(self, tengigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tengigabitethernet_vrrp_group_virtual_ip_get(self, tengigabitethernet=None, vrrp=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- tengigabitethernet (name):
				name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address in dotted decimal
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tunnel_create(self, tunnel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_delete(self, tunnel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_update(self, tunnel=None, tunnel_destination=None, tunnel_shutdown=None, gre_ttl=None, gre_dscp=None, tunnel_name=None, dscp_ttl_mode=None, statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- tunnel_destination (unicode):
				yang info - destination IP address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- tunnel_shutdown (YANGBool):
				yang info - Tunnel shutdown

			- gre_ttl (long):
				yang info - Tunnel ttl range 1 to 255
				range - ['0..4294967295']

			- gre_dscp (long):
				yang info - Tunnel dscp range 0 to 63
				range - ['0..4294967295']

			- tunnel_name (unicode):
				yang info - Tunnel name
				length - [u'1..256']

			- dscp_ttl_mode (unicode):
				yang info - Tunnel dscp ttl mode
				enum - [u'pipe', u'uniform']

			- statistics (YANGBool):
				yang info - Tunnel statistics

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, tunnel_destination=tunnel_destination, tunnel_shutdown=tunnel_shutdown, gre_ttl=gre_ttl, gre_dscp=gre_dscp, tunnel_name=tunnel_name, dscp_ttl_mode=dscp_ttl_mode, statistics=statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_get(self, tunnel=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_tunnel_keepalive_update(self, tunnel=None, time_interval=None, retry_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- time_interval (long):
				yang info - Time interval range 1 to 32767
				range - ['0..4294967295']

			- retry_count (long):
				yang info - Retry count range 1 to 255
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.keepalive', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, time_interval=time_interval, retry_count=retry_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_keepalive_retry_count_update(self, tunnel=None, time_interval=None, retry_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- time_interval (long):
				yang info - Time interval range 1 to 32767
				range - ['0..4294967295']

			- retry_count (long):
				yang info - Retry count range 1 to 255
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.keepalive', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, time_interval=time_interval, retry_count=retry_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_map_update(self, tunnel=None, map_vlan=None, map_bd=None, map_vni=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- map_vlan (long):
				yang info - vlan id range 1 to 4096
				range - ['0..4294967295']

			- map_bd (long):
				yang info - bd id range 1 to 4096
				range - ['0..4294967295']

			- map_vni (long):
				yang info - vni id range 1 to 16777216
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, map_vlan=map_vlan, map_bd=map_bd, map_vni=map_vni)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_map_bd_update(self, tunnel=None, map_vlan=None, map_bd=None, map_vni=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- map_vlan (long):
				yang info - vlan id range 1 to 4096
				range - ['0..4294967295']

			- map_bd (long):
				yang info - bd id range 1 to 4096
				range - ['0..4294967295']

			- map_vni (long):
				yang info - vni id range 1 to 16777216
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, map_vlan=map_vlan, map_bd=map_bd, map_vni=map_vni)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_mode_update(self, tunnel=None, vxlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- vxlan (YANGBool):
				yang info - vxlan

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, vxlan=vxlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_mode_gre_update(self, tunnel=None, ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip (YANGBool):
				yang info - Over IP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode.gre', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, ip=ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_mode_gre_ip_update(self, tunnel=None, ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip (YANGBool):
				yang info - Over IP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode.gre', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, ip=ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_mode_vxlan_update(self, tunnel=None, vxlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- vxlan (YANGBool):
				yang info - vxlan

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, vxlan=vxlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_router_interface_update(self, tunnel=None, router_ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- router_ve (long):
				yang info - ve num range 1 to 4095
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, router_ve=router_ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_router_interface_ve_update(self, tunnel=None, router_ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- router_ve (long):
				yang info - ve num range 1 to 4095
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, router_ve=router_ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_source_update(self, tunnel=None, source_address=None, interface_loopback=None, interface_ethernet=None, interface_ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- source_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- interface_loopback (long):
				yang info - Loopback port
				range - ['0..4294967295']

			- interface_ethernet (unicode):
				yang info - Ethernet port
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- interface_ve (long):
				yang info - ve num range 1 to 4095
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.gre_source', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, source_address=source_address, interface_loopback=interface_loopback, interface_ethernet=interface_ethernet, interface_ve=interface_ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_tunnel_source_ethernet_update(self, tunnel=None, source_address=None, interface_loopback=None, interface_ethernet=None, interface_ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel (identifier):
				identifier (long):
					yang info - Identifier value range 1 to 1024
					range - ['0..4294967295']

		This Instance Arg(s):
			- source_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- interface_loopback (long):
				yang info - Loopback port
				range - ['0..4294967295']

			- interface_ethernet (unicode):
				yang info - Ethernet port
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- interface_ve (long):
				yang info - ve num range 1 to 4095
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.gre_source', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, source_address=source_address, interface_loopback=interface_loopback, interface_ethernet=interface_ethernet, interface_ve=interface_ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_create(self, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'gve_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_delete(self, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'gve_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_update(self, ve=None, global_ve_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- global_ve_shutdown (YANGBool):
				yang info - Shutdown the selected interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'gve_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, global_ve_shutdown=global_ve_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_get(self, ve=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'gve_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_attach_rbridge_id_update(self, ve=None, rb_add=None, rb_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rb_add (unicode):
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- rb_remove (unicode):
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rb_add=rb_add, rb_remove=rb_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_attach_rbridge_id_add_update(self, ve=None, rb_add=None, rb_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rb_add (unicode):
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- rb_remove (unicode):
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rb_add=rb_add, rb_remove=rb_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_bfd_update(self, ve=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_bfd_interval_update(self, ve=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_bfd_interval_min_rx_update(self, ve=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_bfd_shutdown_update(self, ve=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_update(self, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_ve_dhcp_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.intf_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_acl_interface.ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_pbr_interface.ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_access_group_create(self, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_access_group_delete(self, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_access_group_update(self, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_access_group_get(self, ve=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ip_address_create(self, ve=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_address_delete(self, ve=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_address_update(self, ve=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_address_get(self, ve=None, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ip_arp_aging_timeout_update(self, ve=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ip mtu value to interface
				range - ['0..4294967295']

			- directed_broadcast (YANGBool):
				yang info - Enable directed IP broadcasts forwarding

			- proxy_arp (YANGBool):
				yang info - Proxy-Arp on the interface

			- arp_aging_timeout (long):
				yang info - Set arp age timeout value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_dhcp_relay_create(self, ve=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_dhcp_relay_delete(self, ve=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_dhcp_relay_get(self, ve=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ip_dhcp_relay_gateway_update(self, ve=None, gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- gateway (unicode):
				yang info - Gateway address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, gateway=gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_create(self, ve=None, ip_anycast_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_anycast_gateway (ip_gw_id):
				ip_gw_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_anycast_gateway=ip_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_delete(self, ve=None, ip_anycast_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_anycast_gateway (ip_gw_id):
				ip_gw_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_anycast_gateway=ip_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_update(self, ve=None, ip_anycast_gateway=None, ipv4_gateway_address=None, hold_time=None, load_balancing_disable=None, enable=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_anycast_gateway (ip_gw_id):
				ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipv4_gateway_address (unicode):
				yang info - A.B.C.D/M IP address in dotted decimal/Mask
				pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- hold_time (long):
				yang info - Hold timer for Fabric Virtual Gateway
				range - ['0..4294967295']

			- load_balancing_disable (YANGBool):
				yang info - Disable load balancing

			- enable (YANGBool):
				yang info - Enable Fabric Virtual Gateway

			- description (unicode):
				yang info - Fabric Virtual Gateway specific description
				length - [u'1 .. 63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_anycast_gateway=ip_anycast_gateway, ipv4_gateway_address=ipv4_gateway_address, hold_time=hold_time, load_balancing_disable=load_balancing_disable, enable=enable, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_get(self, ve=None, ip_anycast_gateway=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_anycast_gateway (ip_gw_id):
				ip_gw_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_anycast_gateway=ip_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_gratuitous_arp_update(self, ve=None, ip_anycast_gateway=None, gve_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- ip_anycast_gateway (ip_gw_id):
				ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- gve_timer (long):
				yang info - Gratuitous ARP timer value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_anycast_gateway=ip_anycast_gateway, gve_timer=gve_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_gratuitous_arp_timer_update(self, ve=None, ip_anycast_gateway=None, gve_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- ip_anycast_gateway (ip_gw_id):
				ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- gve_timer (long):
				yang info - Gratuitous ARP timer value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_anycast_gateway=ip_anycast_gateway, gve_timer=gve_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_load_balancing_update(self, ve=None, ip_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- basic (YANGBool):

			- threshold_priority (long):
				yang info - Threshold Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_interface_create(self, ve=None, ip_local_anycast_gateway=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_interface_delete(self, ve=None, ip_local_anycast_gateway=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_interface_update(self, ve=None, ip_local_anycast_gateway=None, interface=None, interface_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_interface_get(self, ve=None, ip_local_anycast_gateway=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_network_create(self, ve=None, ip_local_anycast_gateway=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_network_delete(self, ve=None, ip_local_anycast_gateway=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_network_update(self, ve=None, ip_local_anycast_gateway=None, network=None, network_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		This Instance Arg(s):
			- network_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_network_get(self, ve=None, ip_local_anycast_gateway=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_next_hop_create(self, ve=None, ip_local_anycast_gateway=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop_address):
				next_hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_next_hop_delete(self, ve=None, ip_local_anycast_gateway=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop_address):
				next_hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_next_hop_update(self, ve=None, ip_local_anycast_gateway=None, next_hop=None, next_hop_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop_address):
				next_hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_fabric_virtual_gateway_track_next_hop_get(self, ve=None, ip_local_anycast_gateway=None, next_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop_address):
				next_hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ip_icmp_update(self, ve=None, rate_limiting=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rate_limiting=rate_limiting)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_icmp_plus_update(self, ve=None, echo_reply=None, unreachable=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, echo_reply=echo_reply, unreachable=unreachable, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_icmp_plus_address_mask_update(self, ve=None, echo_reply=None, unreachable=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, echo_reply=echo_reply, unreachable=unreachable, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_icmp_rate_limiting_update(self, ve=None, rate_limiting=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rate_limiting=rate_limiting)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_igmp_update(self, ve=None, igmpl3_last_member_query_interval=None, igmpl3_query_interval=None, igmpl3_query_max_response_time=None, igmpl3_immediate_leave=None, igmpl3_version=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- igmpl3_last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- igmpl3_query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- igmpl3_query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- igmpl3_immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- igmpl3_version (long):
				yang info - Version for this interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_igmp_immediate_leave_update(self, ve=None, igmpl3_last_member_query_interval=None, igmpl3_query_interval=None, igmpl3_query_max_response_time=None, igmpl3_immediate_leave=None, igmpl3_version=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- igmpl3_last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- igmpl3_query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- igmpl3_query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- igmpl3_immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- igmpl3_version (long):
				yang info - Version for this interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_igmp_static_group_create(self, ve=None, ve_igmpl3_static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ve_igmpl3_static_group (igmpl3_sg_addr):
				igmpl3_sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp.ve_igmpl3_static_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u've_igmpl3_static_group', 'keyval': 'igmpl3_sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ve_igmpl3_static_group=ve_igmpl3_static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_igmp_static_group_delete(self, ve=None, ve_igmpl3_static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ve_igmpl3_static_group (igmpl3_sg_addr):
				igmpl3_sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp.ve_igmpl3_static_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u've_igmpl3_static_group', 'keyval': 'igmpl3_sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ve_igmpl3_static_group=ve_igmpl3_static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_igmp_static_group_get(self, ve=None, ve_igmpl3_static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ve_igmpl3_static_group (igmpl3_sg_addr):
				igmpl3_sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp.ve_igmpl3_static_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u've_igmpl3_static_group', 'keyval': 'igmpl3_sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ve_igmpl3_static_group=ve_igmpl3_static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ip_multicast_boundary_update(self, ve=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pim_sparse (YANGBool):
				yang info - Sparse Mode (PIM-SM)

			- mcast_bdry_prefix_list (unicode):
				yang info - Prefix list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_ospf_update(self, ve=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- intf_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_ospf_active_update(self, ve=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- intf_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_ospf_authentication_key_update(self, ve=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_ospf_bfd_update(self, ve=None, intf_bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- intf_bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, intf_bfd_enable=intf_bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_ospf_database_filter_update(self, ve=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_ospf_database_filter_all_external_update(self, ve=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_ospf_md5_authentication_update(self, ve=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_ospf_md5_authentication_key_activation_wait_time_update(self, ve=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_ospf_md5_authentication_key_id_update(self, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_ospf_md5_authentication_key_id_key_update(self, ve=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_pim_update(self, ve=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- ttl_threshold (long):
				yang info - Set TTL threshold
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_pim_dr_priority_update(self, ve=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- ttl_threshold (long):
				yang info - Set TTL threshold
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_policy_route_map_update(self, ve=None, route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, route_map_name=route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_router_update(self, ve=None, interface_ip_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_ip_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ip_router_isis=interface_ip_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_router_isis_update(self, ve=None, interface_ip_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_ip_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ip_router_isis=interface_ip_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ip_vrrp_extended_auth_type_md5_auth_update(self, ve=None, auth_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- auth_data (unicode):
				yang info - Authentication data

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, auth_data=auth_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_update(self, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.intf_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_access_group_create(self, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_access_group_delete(self, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_access_group_update(self, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_access_group_get(self, ve=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_address_create(self, ve=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_address_delete(self, ve=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_address_update(self, ve=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_address_get(self, ve=None, ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_address_eui_64_update(self, ve=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

		This Instance Arg(s):
			- eui64 (YANGBool):
				yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

			- eui_secondary (YANGBool):
				yang info - Configure Secondary eui-64 ipv6 address on an interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_address_link_local_update(self, ve=None, link_local_address=None, link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_local_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- link_local (YANGBool):
				yang info - Configure ipv6 address to override automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, link_local_address=link_local_address, link_local=link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_address_use_link_local_only_update(self, ve=None, use_link_local_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- use_link_local_only (YANGBool):
				yang info - Configure automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, use_link_local_only=use_link_local_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_dhcp_relay_create(self, ve=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_dhcp_relay_delete(self, ve=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_dhcp_relay_update(self, ve=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_dhcp_relay_get(self, ve=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_dhcp_relay_interface_update(self, ve=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- interface_type (unicode):
				yang info - Interface type
				enum - [u'ethernet', u'Ve']

			- interface_name (unicode):
				yang info - Interface name
				pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, servers=servers, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_create(self, ve=None, ipv6_anycast_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_anycast_gateway (ipv6_gw_id):
				ipv6_gw_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_delete(self, ve=None, ipv6_anycast_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_anycast_gateway (ipv6_gw_id):
				ipv6_gw_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_update(self, ve=None, ipv6_anycast_gateway=None, hold_time=None, load_balancing_disable=None, enable=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_anycast_gateway (ipv6_gw_id):
				ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hold_time (long):
				yang info - Hold timer for Fabric Virtual Gateway
				range - ['0..4294967295']

			- load_balancing_disable (YANGBool):
				yang info - Disable load balancing

			- enable (YANGBool):
				yang info - Enable Fabric Virtual Gateway

			- description (unicode):
				yang info - Fabric Virtual Gateway specific description
				length - [u'1 .. 63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, hold_time=hold_time, load_balancing_disable=load_balancing_disable, enable=enable, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_get(self, ve=None, ipv6_anycast_gateway=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_anycast_gateway (ipv6_gw_id):
				ipv6_gw_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_gateway_address_create(self, ve=None, ipv6_anycast_gateway=None, ipv6_gateway_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- ipv6_anycast_gateway (ipv6_gw_id):
				ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_gateway_address (ipv6_gw_addr):
				ipv6_gw_addr (unicode):
					yang info - IPv6 Address/Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_gateway_address', 'keyval': 'ipv6_gw_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, ipv6_gateway_address=ipv6_gateway_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_gateway_address_delete(self, ve=None, ipv6_anycast_gateway=None, ipv6_gateway_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- ipv6_anycast_gateway (ipv6_gw_id):
				ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_gateway_address (ipv6_gw_addr):
				ipv6_gw_addr (unicode):
					yang info - IPv6 Address/Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_gateway_address', 'keyval': 'ipv6_gw_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, ipv6_gateway_address=ipv6_gateway_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_gateway_address_get(self, ve=None, ipv6_anycast_gateway=None, ipv6_gateway_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- ipv6_anycast_gateway (ipv6_gw_id):
				ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_gateway_address (ipv6_gw_addr):
				ipv6_gw_addr (unicode):
					yang info - IPv6 Address/Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_gateway_address', 'keyval': 'ipv6_gw_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, ipv6_gateway_address=ipv6_gateway_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_gratuitous_arp_update(self, ve=None, ipv6_anycast_gateway=None, gve_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- ipv6_anycast_gateway (ipv6_gw_id):
				ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- gve_timer (long):
				yang info - Gratuitous ARP timer value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, gve_timer=gve_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_gratuitous_arp_timer_update(self, ve=None, ipv6_anycast_gateway=None, gve_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (gve_name):
				gve_name (long):
					range - ['0..4294967295']

			- ipv6_anycast_gateway (ipv6_gw_id):
				ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- gve_timer (long):
				yang info - Gratuitous ARP timer value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, gve_timer=gve_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_load_balancing_update(self, ve=None, ipv6_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- basic (YANGBool):

			- threshold_priority (long):
				yang info - Threshold Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_interface_create(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_interface (ipv6_interface_type, ipv6_interface_name):
				ipv6_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				ipv6_interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_interface_delete(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_interface (ipv6_interface_type, ipv6_interface_name):
				ipv6_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				ipv6_interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_interface_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, ipv6_interface_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_interface (ipv6_interface_type, ipv6_interface_name):
				ipv6_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				ipv6_interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipv6_interface_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_interface_get(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_interface (ipv6_interface_type, ipv6_interface_name):
				ipv6_interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				ipv6_interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_network_create(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_network (ipv6_network_address):
				ipv6_network_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_network_delete(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_network (ipv6_network_address):
				ipv6_network_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_network_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, ipv6_network_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_network (ipv6_network_address):
				ipv6_network_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- ipv6_network_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_network_get(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_network (ipv6_network_address):
				ipv6_network_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_create(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_next_hop (ipv6_next_hop_address):
				ipv6_next_hop_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_delete(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_next_hop (ipv6_next_hop_address):
				ipv6_next_hop_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, ipv6_next_hop_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_next_hop (ipv6_next_hop_address):
				ipv6_next_hop_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ipv6_next_hop_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_get(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_next_hop (ipv6_next_hop_address):
				ipv6_next_hop_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_hop_by_hop_trap_update(self, ve=None, hop_by_hop_trap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hop_by_hop_trap (YANGBool):
				yang info - Enable hop-by-hop trap on an Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, hop_by_hop_trap=hop_by_hop_trap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_icmpv6_update(self, ve=None, rate_limiting=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rate_limiting=rate_limiting)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_icmpv6_rate_limiting_update(self, ve=None, rate_limiting=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rate_limiting=rate_limiting)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_mtu_update(self, ve=None, mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ipv6 mtu value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, mtu=mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_update(self, ve=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, send_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- send_ra (YANGBool):
				yang info - Set send-ra

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_address_create(self, ve=None, suppressing_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- suppressing_address (suppress_ipv6_address, suppress_per_address):
				suppress_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				suppress_per_address (YANGBool):
					yang info - Suppress all IPv6 addresses in router advertisement

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, suppressing_address=suppressing_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_address_delete(self, ve=None, suppressing_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- suppressing_address (suppress_ipv6_address, suppress_per_address):
				suppress_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				suppress_per_address (YANGBool):
					yang info - Suppress all IPv6 addresses in router advertisement

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, suppressing_address=suppressing_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_address_update(self, ve=None, suppressing_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- suppressing_address (suppress_ipv6_address, suppress_per_address):
				suppress_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				suppress_per_address (YANGBool):
					yang info - Suppress all IPv6 addresses in router advertisement

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, suppressing_address=suppressing_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_address_get(self, ve=None, suppressing_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- suppressing_address (suppress_ipv6_address, suppress_per_address):
				suppress_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				suppress_per_address (YANGBool):
					yang info - Suppress all IPv6 addresses in router advertisement

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, suppressing_address=suppressing_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_nd_address_suppress_update(self, ve=None, address_suppress_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- address_suppress_all (YANGBool):
				yang info - Suppress all IPv6 addresses in router advertisement

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, address_suppress_all=address_suppress_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_broadcast_mac_trap_update(self, ve=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, send_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- send_ra (YANGBool):
				yang info - Set send-ra

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_cache_update(self, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_cache_expire_update(self, ve=None, expire=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- expire (long):
				yang info - Configures the time-interval after which the cache is deleted or refreshed.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, expire=expire)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_dad_update(self, ve=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_dad_attempts_update(self, ve=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_nud_retry_update(self, ve=None, base=None, interval=None, max_attempts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- base (long):
				yang info - base value
				range - ['-2147483648..2147483647']

			- interval (long):
				yang info - Time interval between neighbor solicitations in milliseconds
				range - ['0..4294967295']

			- max_attempts (long):
				yang info - Max number of retry attempts.
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, base=base, interval=interval, max_attempts=max_attempts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_prefix_create(self, ve=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_prefix_delete(self, ve=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_prefix_get(self, ve=None, prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_nd_prefix_infinite_update(self, ve=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- preferred_lifetime (long):
				yang info - Configures preferred lifetime
				range - ['0..4294967295']

			- preferred_infinite (YANGBool):
				yang info - Infinite preferred lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_prefix_no_advertise_update(self, ve=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_advertise (YANGBool):
				yang info - Do not advertise prefix

			- valid_lifetime (long):
				yang info - Configures valid lifetime
				range - ['0..4294967295']

			- valid_infinite (YANGBool):
				yang info - Infinite valid lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_prefix_no_autoconfig_update(self, ve=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_autoconfig (YANGBool):
				yang info - Do not use prefix for autoconfiguration

			- no_onlink (YANGBool):
				yang info - Do not use prefix for onlink determination

			- off_link (YANGBool):
				yang info - Prefix is offlink

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_ra_dns_server_create(self, ve=None, ra_dns_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ra_dns_server (dns_server_prefix):
				dns_server_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ra_dns_server=ra_dns_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_ra_dns_server_delete(self, ve=None, ra_dns_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ra_dns_server (dns_server_prefix):
				dns_server_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ra_dns_server=ra_dns_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_ra_dns_server_update(self, ve=None, ra_dns_server=None, dns_server_lifetime_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ra_dns_server (dns_server_prefix):
				dns_server_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- dns_server_lifetime_multiplier (long):
				yang info - Lifetime multiplier for the Recursive DNS Server option
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_ra_dns_server_get(self, ve=None, ra_dns_server=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ra_dns_server (dns_server_prefix):
				dns_server_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ra_dns_server=ra_dns_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_nd_ra_domain_name_create(self, ve=None, ra_domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ra_domain_name (domain_name_string):
				domain_name_string (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ra_domain_name=ra_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_ra_domain_name_delete(self, ve=None, ra_domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ra_domain_name (domain_name_string):
				domain_name_string (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ra_domain_name=ra_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_ra_domain_name_update(self, ve=None, ra_domain_name=None, domain_name_lifetime_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ra_domain_name (domain_name_string):
				domain_name_string (unicode):

		This Instance Arg(s):
			- domain_name_lifetime_multiplier (long):
				yang info - Lifetime multiplier for DNS Search List option
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_ra_domain_name_get(self, ve=None, ra_domain_name=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ra_domain_name (domain_name_string):
				domain_name_string (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ra_domain_name=ra_domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_nd_ra_interval_update(self, ve=None, max_interval=None, min_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- max_interval (long):
				yang info - Maximum interval in seconds
				range - ['0..4294967295']

			- min_ (long):
				yang info - Minimum interval between sending RA messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, max_interval=max_interval, min_=min_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_router_preference_update(self, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'router_pref_high, router_pref_low, router_pref_medium'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_router_preference_high_update(self, ve=None, router_pref_high=None, router_pref_low=None, router_pref_medium=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- router_pref_high (YANGBool):
				yang info - Set router-preference to high

			- router_pref_low (YANGBool):
				yang info -  Set router-preference to low

			- router_pref_medium (YANGBool):
				yang info - Set router-preference to medium

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, router_pref_high=router_pref_high, router_pref_low=router_pref_low, router_pref_medium=router_pref_medium)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_suppress_ra_update(self, ve=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_nd_suppress_ra_all_update(self, ve=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_neighbor_create(self, ve=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_neighbor_delete(self, ve=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_neighbor_update(self, ve=None, neighbor=None, hardware_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hardware_address (unicode):
				pattern - [0-9a-fA-F]{4}(.[0-9a-fA-F]{4}){2}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, neighbor=neighbor, hardware_address=hardware_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_neighbor_get(self, ve=None, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_ospf_update(self, ve=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_ospf_active_update(self, ve=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_area (unicode):
				yang info - OSPF area
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- instance (long):
				yang info - Instance of OSPFv3 protocol on this interface
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPFv3 MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'point-to-point']

			- priority (long):
				yang info - Interface priority
				range - ['0..4294967295']

			- suppress_linklsa (YANGBool):
				yang info - Suppress link LSA advertisements

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_ospf_authentication_update(self, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_ospf_authentication_ah_update(self, ve=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_ospf_authentication_ipsec_update(self, ve=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, ve=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_ospf_bfd_update(self, ve=None, bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, bfd_enable=bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_ospf_dead_interval_update(self, ve=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_policy_route_map_update(self, ve=None, ipv6_route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipv6_route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_route_map_name=ipv6_route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_router_update(self, ve=None, interface_ipv6_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_ipv6_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ipv6_router_isis=interface_ipv6_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_router_isis_update(self, ve=None, interface_ipv6_router_isis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_ipv6_router_isis (YANGBool):
				yang info - Enable IS-IS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ipv6_router_isis=interface_ipv6_router_isis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_auth_type_md5_auth_update(self, ve=None, auth_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- auth_data (unicode):
				yang info - Authentication data

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, auth_data=auth_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_create(self, ve=None, vrrpv3e=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_delete(self, ve=None, vrrpv3e=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_update(self, ve=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- advertise_backup (YANGBool):
				yang info - Enable periodic backup advertisement messages

			- nd_advertisement_timer (long):
				yang info - Neighbor Discovery Advertisment Interval
				range - ['0..4294967295']

			- advertisement_interval_scale (long):
				yang info - Ipv6 session advertisement interval scale factor <1|2|5|10>
				range - ['0..4294967295']

			- backup_advertisement_interval (long):
				yang info - Set Backup advertisement interval
				range - ['0..4294967295']

			- vrrpe_advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_get(self, ve=None, vrrpv3e=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_short_path_forwarding_update(self, ve=None, vrrpv3e=None, basic=None, revert_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- basic (YANGBool):

			- revert_priority (int):
				yang info - Set revert priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_track_create(self, ve=None, vrrpv3e=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_track_delete(self, ve=None, vrrpv3e=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_track_update(self, ve=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_track_get(self, ve=None, vrrpv3e=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_track_network_create(self, ve=None, vrrpv3e=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_track_network_delete(self, ve=None, vrrpv3e=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_track_network_update(self, ve=None, vrrpv3e=None, network=None, network_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- network_priority (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_track_network_get(self, ve=None, vrrpv3e=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_virtual_ip_create(self, ve=None, vrrpv3e=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_virtual_ip_delete(self, ve=None, vrrpv3e=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_virtual_ip_get(self, ve=None, vrrpv3e=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_virtual_mac_update(self, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- vmac (YANGBool):
				yang info - Virtual MAC address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_extended_group_virtual_mac_02e0_5200_00xx_update(self, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- vmac (YANGBool):
				yang info - Virtual MAC address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_create(self, ve=None, vrrpv3=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_delete(self, ve=None, vrrpv3=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_update(self, ve=None, vrrpv3=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Use v2 checksum

			- advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_get(self, ve=None, vrrpv3=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_track_create(self, ve=None, vrrpv3=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_track_delete(self, ve=None, vrrpv3=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_track_update(self, ve=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_track_get(self, ve=None, vrrpv3=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_virtual_ip_create(self, ve=None, vrrpv3=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_virtual_ip_delete(self, ve=None, vrrpv3=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_group_virtual_ip_get(self, ve=None, vrrpv3=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_ipv6_vrrp_suppress_interface_ra_update(self, ve=None, vrrp_suppress_interface_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vrrp_suppress_interface_ra (YANGBool):
				yang info - Suppress interface RA for vrrpv3

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_update(self, ve=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- circuit_type (unicode):
				yang info - Define inter-area/intra area operation mode
				enum - [u'level-2', u'level-1-2', u'level-1']

			- interface_point_to_point (YANGBool):
				yang info - Point-to-point interface for ISIS operation

			- interface_passive (YANGBool):
				yang info - Passive interface for ISIS operation

			- interface_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_auth_check_level_1_update(self, ve=None, interface_auth_check_level1_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_check_level1_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_auth_check_level_1_disable_update(self, ve=None, interface_auth_check_level1_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_check_level1_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_auth_check_level_2_update(self, ve=None, interface_auth_check_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_check_level2_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_auth_check_level_2_disable_update(self, ve=None, interface_auth_check_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_check_level2_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_auth_key_create(self, ve=None, interface_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_auth_key_delete(self, ve=None, interface_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_auth_key_update(self, ve=None, interface_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_auth_key_get(self, ve=None, interface_auth_key=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_auth_key (interface_auth_key_level, interface_auth_key_str):
				interface_auth_key_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_auth_key_str (unicode):
					length - [u'1..63']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_key=interface_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_isis_auth_mode_md5_update(self, ve=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_mode_md5_level1 (YANGBool):
				yang info - Authentication mode for Level-1 LSPs, CSNP, PSNP

			- interface_auth_mode_md5_level2 (YANGBool):
				yang info - Authentication mode for Level-2 LSPs, CSNP, PSNP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_auth_mode_md5_level_1_update(self, ve=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_auth_mode_md5_level1 (YANGBool):
				yang info - Authentication mode for Level-1 LSPs, CSNP, PSNP

			- interface_auth_mode_md5_level2 (YANGBool):
				yang info - Authentication mode for Level-2 LSPs, CSNP, PSNP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_bfd_update(self, ve=None, interface_bfd_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_bfd_disable (YANGBool):
				yang info - Disable BFD operation mode on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_bfd_disable=interface_bfd_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_bfd_disable_update(self, ve=None, interface_bfd_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_bfd_disable (YANGBool):
				yang info - Disable BFD operation mode on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_bfd_disable=interface_bfd_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_circuit_type_update(self, ve=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- circuit_type (unicode):
				yang info - Define inter-area/intra area operation mode
				enum - [u'level-2', u'level-1-2', u'level-1']

			- interface_point_to_point (YANGBool):
				yang info - Point-to-point interface for ISIS operation

			- interface_passive (YANGBool):
				yang info - Passive interface for ISIS operation

			- interface_ldp_sync (unicode):
				yang info - Set LDP-SYNC operation mode on this interface
				enum - [u'enable', u'disable']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_hello_interval_create(self, ve=None, interface_hello_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_hello_interval_delete(self, ve=None, interface_hello_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_hello_interval_update(self, ve=None, interface_hello_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_hello_interval_get(self, ve=None, interface_hello_interval=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_interval (interface_hello_interval_level, interface_hello_interval_val):
				interface_hello_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_interval_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_interval=interface_hello_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_isis_hello_multiplier_create(self, ve=None, interface_hello_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_hello_multiplier_delete(self, ve=None, interface_hello_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_hello_multiplier_update(self, ve=None, interface_hello_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_hello_multiplier_get(self, ve=None, interface_hello_multiplier=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_hello_multiplier (interface_hello_multiplier_level, interface_hello_multiplier_val):
				interface_hello_multiplier_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_hello_multiplier_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_multiplier=interface_hello_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_isis_hello_padding_update(self, ve=None, interface_hello_padding_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_hello_padding_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_padding_disable=interface_hello_padding_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_hello_padding_disable_update(self, ve=None, interface_hello_padding_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_hello_padding_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_padding_disable=interface_hello_padding_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_ipv6_metric_create(self, ve=None, interface_ipv6_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_ipv6_metric_delete(self, ve=None, interface_ipv6_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_ipv6_metric_update(self, ve=None, interface_ipv6_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_ipv6_metric_get(self, ve=None, interface_ipv6_metric=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_ipv6_metric (interface_ipv6_metric_level, interface_ipv6_metric_val):
				interface_ipv6_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_ipv6_metric_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ipv6_metric=interface_ipv6_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_isis_metric_create(self, ve=None, interface_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_metric_delete(self, ve=None, interface_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_metric_update(self, ve=None, interface_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_metric_get(self, ve=None, interface_metric=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface_metric (interface_metric_level, interface_metric_val):
				interface_metric_level (unicode):
					enum - [u'level-2', u'level-1']

				interface_metric_val (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_metric=interface_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_isis_priority_update(self, ve=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_priority_level1 (long):
				yang info - Priority for Level-1 ISIS Router
				range - ['0..4294967295']

			- interface_priority_level2 (long):
				yang info - Priority for Level-2 ISIS Router
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_priority_level_1_update(self, ve=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_priority_level1 (long):
				yang info - Priority for Level-1 ISIS Router
				range - ['0..4294967295']

			- interface_priority_level2 (long):
				yang info - Priority for Level-2 ISIS Router
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_reverse_metric_update(self, ve=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rev_metric_val (long):
				yang info - Configure IS-IS reverse metric value
				range - ['0..4294967295']

			- rev_metric_whole_lan (YANGBool):
				yang info - Change metric for whole LAN

			- rev_metric_te_def_metric (YANGBool):
				yang info - Update TE default metric sub-tlv

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_isis_reverse_metric_te_def_metric_update(self, ve=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rev_metric_val (long):
				yang info - Configure IS-IS reverse metric value
				range - ['0..4294967295']

			- rev_metric_whole_lan (YANGBool):
				yang info - Change metric for whole LAN

			- rev_metric_te_def_metric (YANGBool):
				yang info - Update TE default metric sub-tlv

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_qos_update(self, ve=None, dscp_cos=None, dscp_mutation=None, dscp_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- dscp_cos (unicode):
				yang info - Apply DSCP-to-CoS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Apply DSCP-Mutation map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Apply DSCP-to-Traffic-Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.qos', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, dscp_cos=dscp_cos, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_qos_dscp_cos_update(self, ve=None, dscp_cos=None, dscp_mutation=None, dscp_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- dscp_cos (unicode):
				yang info - Apply DSCP-to-CoS map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Apply DSCP-Mutation map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Apply DSCP-to-Traffic-Class map
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.qos', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, dscp_cos=dscp_cos, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_rpf_mode_update(self, ve=None, mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mode (unicode):
				enum - [u'strict', u'loose']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.rpf_mode', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, mode=mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrf_update(self, ve=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrf_forwarding_update(self, ve=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_create(self, ve=None, vrrpe=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_delete(self, ve=None, vrrpe=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_update(self, ve=None, vrrpe=None, virtual_mac=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, vrrpe_garp_timer=None, backup_advertisement_interval=None, advertisement_interval_scale=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- virtual_mac (unicode):
				yang info - Virtual MAC
				enum - [u'02e0.5200.00xx']

			- advertisement_interval (long):
				yang info - Ipv4 session advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- advertise_backup (YANGBool):
				yang info - Enable periodic backup advertisement messages

			- vrrpe_garp_timer (long):
				range - ['0..4294967295']

			- backup_advertisement_interval (long):
				yang info - Set Backup advertisement interval
				range - ['0..4294967295']

			- advertisement_interval_scale (long):
				yang info - Ipv4 session advertisement interval scale factor
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, vrrpe_garp_timer=vrrpe_garp_timer, backup_advertisement_interval=backup_advertisement_interval, advertisement_interval_scale=advertisement_interval_scale)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_get(self, ve=None, vrrpe=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_arp_unicast_request_update(self, ve=None, vrrpe=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_arp_unicast_request_receive_update(self, ve=None, vrrpe=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_short_path_forwarding_update(self, ve=None, vrrpe=None, basic=None, revert_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- basic (YANGBool):

			- revert_priority (int):
				yang info - Set revert priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, basic=basic, revert_priority=revert_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_track_create(self, ve=None, vrrpe=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_track_delete(self, ve=None, vrrpe=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_track_update(self, ve=None, vrrpe=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_track_get(self, ve=None, vrrpe=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_track_network_create(self, ve=None, vrrpe=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - IPv4 global address
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_track_network_delete(self, ve=None, vrrpe=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - IPv4 global address
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_track_network_update(self, ve=None, vrrpe=None, network=None, network_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - IPv4 global address
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- network_priority (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_track_network_get(self, ve=None, vrrpe=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - IPv4 global address
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_virtual_ip_create(self, ve=None, vrrpe=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_virtual_ip_delete(self, ve=None, vrrpe=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_extended_group_virtual_ip_get(self, ve=None, vrrpe=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_vrrp_group_create(self, ve=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_group_delete(self, ve=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_group_update(self, ve=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Enables v2 checksum computation method for VRRPv3 session

			- advertisement_interval (long):
				yang info - Ipv4 session advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_group_get(self, ve=None, vrrp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_vrrp_group_arp_unicast_request_update(self, ve=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_group_arp_unicast_request_receive_update(self, ve=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_group_track_create(self, ve=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_group_track_delete(self, ve=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_group_track_update(self, ve=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_group_track_get(self, ve=None, vrrp=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_ve_vrrp_group_virtual_ip_create(self, ve=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_group_virtual_ip_delete(self, ve=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_ve_vrrp_group_virtual_ip_get(self, ve=None, vrrp=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_vlan_ip_arp_inspection_update(self, vlan=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_arp_inspection_filter_update(self, vlan=None, acl_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- acl_name (unicode):
				length - [u'1..62']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_name=acl_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_arp_inspection_logging_update(self, vlan=None, acl_match=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- acl_match (unicode):
				yang info - Enable DAI Logging
				enum - [u'none', u'matchlog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_match=acl_match)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_arp_inspection_logging_acl_match_update(self, vlan=None, acl_match=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- acl_match (unicode):
				yang info - Enable DAI Logging
				enum - [u'none', u'matchlog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_match=acl_match)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_update(self, vlan=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_last_member_query_count_update(self, vlan=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, last_member_query_count=None, startup_query_count=None, startup_query_interval=None, robustness_variable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- last_member_query_count (long):
				yang info - IGMP Last Member Query Count
				range - ['0..4294967295']

			- startup_query_count (long):
				yang info - IGMP Startup Query Count
				range - ['0..4294967295']

			- startup_query_interval (long):
				yang info - Startup Query Interval
				range - ['0..4294967295']

			- robustness_variable (long):
				yang info - Robustness Variable
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, last_member_query_count=last_member_query_count, startup_query_count=startup_query_count, startup_query_interval=startup_query_interval, robustness_variable=robustness_variable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_last_member_query_interval_update(self, vlan=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_snooping_update(self, vlan=None, enable=None, fast_leave=None, mrouter_timeout=None, restrict_unknown_multicast=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - IGMP Enable

			- fast_leave (YANGBool):
				yang info - Fast Leave Processing

			- mrouter_timeout (long):
				yang info - Mrouter timeout
				range - ['0..4294967295']

			- restrict_unknown_multicast (YANGBool):
				yang info - Restrict Unknown Multicast traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, enable=enable, fast_leave=fast_leave, mrouter_timeout=mrouter_timeout, restrict_unknown_multicast=restrict_unknown_multicast)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_snooping_enable_update(self, vlan=None, enable=None, fast_leave=None, mrouter_timeout=None, restrict_unknown_multicast=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - IGMP Enable

			- fast_leave (YANGBool):
				yang info - Fast Leave Processing

			- mrouter_timeout (long):
				yang info - Mrouter timeout
				range - ['0..4294967295']

			- restrict_unknown_multicast (YANGBool):
				yang info - Restrict Unknown Multicast traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, enable=enable, fast_leave=fast_leave, mrouter_timeout=mrouter_timeout, restrict_unknown_multicast=restrict_unknown_multicast)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_snooping_mrouter_interface_create(self, vlan=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (if_type, value):
				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_snooping_mrouter_interface_delete(self, vlan=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (if_type, value):
				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_snooping_mrouter_interface_get(self, vlan=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (if_type, value):
				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_vlan_ip_igmp_snooping_querier_update(self, vlan=None, qenable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- qenable (YANGBool):
				yang info - Enable snooping querier

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_snooping_querier_enable_update(self, vlan=None, qenable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- qenable (YANGBool):
				yang info - Enable snooping querier

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_static_group_create(self, vlan=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (mcast_address, interface, if_type, value):
				mcast_address (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface (unicode):
					enum - [u'interface']

				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_static_group_delete(self, vlan=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (mcast_address, interface, if_type, value):
				mcast_address (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface (unicode):
					enum - [u'interface']

				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_igmp_static_group_get(self, vlan=None, static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (mcast_address, interface, if_type, value):
				mcast_address (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				interface (unicode):
					enum - [u'interface']

				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_vlan_ip_pim_snooping_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_pimv4_enable (YANGBool):
				yang info - IGMP : Ip PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ip_pim_snooping_enable_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_pimv4_enable (YANGBool):
				yang info - IGMP : Ip PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_update(self, vlan=None, last_member_query_interval=None, last_member_query_count=None, startup_query_interval=None, startup_query_count=None, query_max_response_time=None, query_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- last_member_query_count (long):
				yang info - Last Member Query Count
				range - ['0..4294967295']

			- startup_query_interval (long):
				yang info - Startup Query Interval
				range - ['0..4294967295']

			- startup_query_count (long):
				yang info - Startup Query Count
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - MLDS Max Query Response Time
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_last_member_query_count_update(self, vlan=None, last_member_query_interval=None, last_member_query_count=None, startup_query_interval=None, startup_query_count=None, query_max_response_time=None, query_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- last_member_query_count (long):
				yang info - Last Member Query Count
				range - ['0..4294967295']

			- startup_query_interval (long):
				yang info - Startup Query Interval
				range - ['0..4294967295']

			- startup_query_count (long):
				yang info - Startup Query Count
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - MLDS Max Query Response Time
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_snooping_update(self, vlan=None, enable=None, fast_leave=None, restrict_unknown_multicast_vlan=None, robustness_variable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - MLDS Enable

			- fast_leave (YANGBool):
				yang info - Fast Leave Processing

			- restrict_unknown_multicast_vlan (YANGBool):
				yang info - Restrict Unknown Multicast traffic

			- robustness_variable (long):
				yang info - Robustness Variable
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, enable=enable, fast_leave=fast_leave, restrict_unknown_multicast_vlan=restrict_unknown_multicast_vlan, robustness_variable=robustness_variable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_snooping_enable_update(self, vlan=None, enable=None, fast_leave=None, restrict_unknown_multicast_vlan=None, robustness_variable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - MLDS Enable

			- fast_leave (YANGBool):
				yang info - Fast Leave Processing

			- restrict_unknown_multicast_vlan (YANGBool):
				yang info - Restrict Unknown Multicast traffic

			- robustness_variable (long):
				yang info - Robustness Variable
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, enable=enable, fast_leave=fast_leave, restrict_unknown_multicast_vlan=restrict_unknown_multicast_vlan, robustness_variable=robustness_variable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_snooping_mrouter_interface_create(self, vlan=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (if_type, value):
				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_snooping_mrouter_interface_delete(self, vlan=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (if_type, value):
				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_snooping_mrouter_interface_get(self, vlan=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (if_type, value):
				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_vlan_ipv6_mld_snooping_querier_update(self, vlan=None, qenable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- qenable (YANGBool):
				yang info - Enable snooping querier

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_snooping_querier_enable_update(self, vlan=None, qenable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- qenable (YANGBool):
				yang info - Enable snooping querier

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_static_group_create(self, vlan=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (mcast_address, interface, if_type, value):
				mcast_address (unicode):
					yang info - Multicast Address to be Joined in format xxxx:xxxx/ml, xxxx:xxxx::/ml
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				interface (unicode):
					enum - [u'interface']

				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_static_group_delete(self, vlan=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (mcast_address, interface, if_type, value):
				mcast_address (unicode):
					yang info - Multicast Address to be Joined in format xxxx:xxxx/ml, xxxx:xxxx::/ml
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				interface (unicode):
					enum - [u'interface']

				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_mld_static_group_get(self, vlan=None, static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (mcast_address, interface, if_type, value):
				mcast_address (unicode):
					yang info - Multicast Address to be Joined in format xxxx:xxxx/ml, xxxx:xxxx::/ml
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				interface (unicode):
					enum - [u'interface']

				if_type (unicode):
					enum - [u'FortyGigabitEthernet', u'GigabitEthernet', u'Port-channel', u'TenGigabitEthernet', u'HundredGigabitEthernet']

				value (unicode):
					length - [u'1..10']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_vlan_ipv6_pim_snooping_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_pimv6_enable (YANGBool):
				yang info - MLD : IpV6 PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_ipv6_pim_snooping_enable_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_pimv6_enable (YANGBool):
				yang info - MLD : IpV6 PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_mac_access_group_create(self, vlan=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_mac_access_group_delete(self, vlan=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_mac_access_group_update(self, vlan=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_mac_access_group_get(self, vlan=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def interface_vlan_private_vlan_update(self, vlan=None, pvlan_type_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pvlan_type_leaf (unicode):
				enum - [u'primary', u'community', u'isolated']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, pvlan_type_leaf=pvlan_type_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_private_vlan_association_update(self, vlan=None, sec_assoc_add=None, sec_assoc_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- sec_assoc_add (unicode):
				yang info - Add Secondary Vlan association
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- sec_assoc_remove (unicode):
				yang info - Remove Secondary Vlan association
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, sec_assoc_add=sec_assoc_add, sec_assoc_remove=sec_assoc_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_private_vlan_association_add_update(self, vlan=None, sec_assoc_add=None, sec_assoc_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- sec_assoc_add (unicode):
				yang info - Add Secondary Vlan association
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- sec_assoc_remove (unicode):
				yang info - Remove Secondary Vlan association
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, sec_assoc_add=sec_assoc_add, sec_assoc_remove=sec_assoc_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_spanning_tree_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- stp_shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, stp_shutdown=stp_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_spanning_tree_shutdown_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- stp_shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, stp_shutdown=stp_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_suppress_arp_update(self, vlan=None, suppress_arp_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- suppress_arp_enable (YANGBool):
				yang info - Enable ARP suppression

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, suppress_arp_enable=suppress_arp_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_suppress_arp_enable_update(self, vlan=None, suppress_arp_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- suppress_arp_enable (YANGBool):
				yang info - Enable ARP suppression

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, suppress_arp_enable=suppress_arp_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_suppress_nd_update(self, vlan=None, suppress_nd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- suppress_nd_enable (YANGBool):
				yang info - Enable ND suppression

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, suppress_nd_enable=suppress_nd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def interface_vlan_suppress_nd_enable_update(self, vlan=None, suppress_nd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- suppress_nd_enable (YANGBool):
				yang info - Enable ND suppression

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
        bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, suppress_nd_enable=suppress_nd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.igmp_snooping.ip', 'pybind.nos.v6_0_2b.brocade_igmp_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.hide_as_path_holder', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.hide_community_list_holder', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.hide_ext_community_list_holder', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.hide_prefix_holder', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.rtm_config', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip_acl.ip', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.global_mtu_conf.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.igmp_snooping.ip', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.hide_as_path_holder', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.hide_ext_community_list_holder', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.hide_prefix_holder', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.rtm_config', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip_acl.ip', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.global_mtu_conf.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.igmp_snooping.ip', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip_acl.ip', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.rtm_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip_acl.ip', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_extended_create(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_extended_delete(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_extended_get(self, extended=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_access_list_extended_seq_create(self, extended=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				protocol_type (unicode):
					enum - [u'ip', u'udp', u'icmp', u'tcp']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				sport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dst_host_any_dip (unicode):
					enum - [u'host', u'any']

				dst_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				dport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dscp (unicode):
					yang info - Differentiated Service Code Point
					enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

				urg (YANGBool):
					yang info - Urgent

				ack (YANGBool):
					yang info - Acknowledgement

				push (YANGBool):
					yang info - Push

				fin (YANGBool):
					yang info - No more data

				rst (YANGBool):
					yang info - Reset connection

				sync (YANGBool):
					yang info - Synchronize

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet Count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_extended_seq_delete(self, extended=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				protocol_type (unicode):
					enum - [u'ip', u'udp', u'icmp', u'tcp']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				sport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dst_host_any_dip (unicode):
					enum - [u'host', u'any']

				dst_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				dport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dscp (unicode):
					yang info - Differentiated Service Code Point
					enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

				urg (YANGBool):
					yang info - Urgent

				ack (YANGBool):
					yang info - Acknowledgement

				push (YANGBool):
					yang info - Push

				fin (YANGBool):
					yang info - No more data

				rst (YANGBool):
					yang info - Reset connection

				sync (YANGBool):
					yang info - Synchronize

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet Count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_extended_seq_update(self, extended=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				protocol_type (unicode):
					enum - [u'ip', u'udp', u'icmp', u'tcp']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				sport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dst_host_any_dip (unicode):
					enum - [u'host', u'any']

				dst_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				dport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dscp (unicode):
					yang info - Differentiated Service Code Point
					enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

				urg (YANGBool):
					yang info - Urgent

				ack (YANGBool):
					yang info - Acknowledgement

				push (YANGBool):
					yang info - Push

				fin (YANGBool):
					yang info - No more data

				rst (YANGBool):
					yang info - Reset connection

				sync (YANGBool):
					yang info - Synchronize

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet Count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_extended_seq_get(self, extended=None, seq=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				protocol_type (unicode):
					enum - [u'ip', u'udp', u'icmp', u'tcp']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				sport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dst_host_any_dip (unicode):
					enum - [u'host', u'any']

				dst_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				dport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dscp (unicode):
					yang info - Differentiated Service Code Point
					enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

				urg (YANGBool):
					yang info - Urgent

				ack (YANGBool):
					yang info - Acknowledgement

				push (YANGBool):
					yang info - Push

				fin (YANGBool):
					yang info - No more data

				rst (YANGBool):
					yang info - Reset connection

				sync (YANGBool):
					yang info - Synchronize

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet Count

				log (YANGBool):
					yang info - Log Packet

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_access_list_standard_create(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_standard_delete(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_standard_get(self, standard=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_access_list_standard_seq_create(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_standard_seq_delete(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_standard_seq_update(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_access_list_standard_seq_get(self, standard=None, seq=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_as_path_access_list_create(self, access_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_list (name, seq_keyword, instance, ip_action, ip_reg_expr):
				name (unicode):
					length - [u'1..32']

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_as_path_access_list_delete(self, access_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_list (name, seq_keyword, instance, ip_action, ip_reg_expr):
				name (unicode):
					length - [u'1..32']

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_as_path_access_list_update(self, access_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_list (name, seq_keyword, instance, ip_action, ip_reg_expr):
				name (unicode):
					length - [u'1..32']

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_as_path_access_list_get(self, access_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_list (name, seq_keyword, instance, ip_action, ip_reg_expr):
				name (unicode):
					length - [u'1..32']

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_reg_expr (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_community_list_extended_create(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name, seq_keyword, instance, ip_action, ip_community_reg_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_community_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_community_list_extended_delete(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name, seq_keyword, instance, ip_action, ip_community_reg_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_community_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_community_list_extended_update(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name, seq_keyword, instance, ip_action, ip_community_reg_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_community_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_community_list_extended_get(self, extended=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name, seq_keyword, instance, ip_action, ip_community_reg_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_community_reg_expr (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_community_list_standard_create(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name, seq_keyword, instance, ip_action, std_community_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				std_community_expr (unicode):
					pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_community_list_standard_delete(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name, seq_keyword, instance, ip_action, std_community_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				std_community_expr (unicode):
					pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_community_list_standard_update(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name, seq_keyword, instance, ip_action, std_community_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				std_community_expr (unicode):
					pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_community_list_standard_get(self, standard=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name, seq_keyword, instance, ip_action, std_community_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				std_community_expr (unicode):
					pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_dhcp_relay_information_update(self, option=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- option (YANGBool):
				yang info - Configure DHCP Relay Information Option

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ip.dhcp.relay.information', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, option=option)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_dhcp_relay_information_option_update(self, option=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- option (YANGBool):
				yang info - Configure DHCP Relay Information Option

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ip.dhcp.relay.information', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, option=option)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_dns_update(self, domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- domain_name (unicode):
				yang info - Configure Domain Name

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.dns.dom_name', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.dns.dom_name', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.dns.dom_name', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.dns.dom_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_dns_domain_name_update(self, domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- domain_name (unicode):
				yang info - Configure Domain Name

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.dns.dom_name', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.dns.dom_name', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.dns.dom_name', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.dns.dom_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_dns_name_server_create(self, name_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name_server (name_server_ip):
				name_server_ip (unicode):
					yang info - IPv4ADDRESS/IPv6ADDRESS;;The IPv4 or Ipv6 Address for Name Server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.dns.name_server', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.dns.name_server', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.dns.name_server', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.dns.name_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name_server', 'keyval': 'name_server_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name_server=name_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_dns_name_server_delete(self, name_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name_server (name_server_ip):
				name_server_ip (unicode):
					yang info - IPv4ADDRESS/IPv6ADDRESS;;The IPv4 or Ipv6 Address for Name Server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.dns.name_server', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.dns.name_server', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.dns.name_server', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.dns.name_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name_server', 'keyval': 'name_server_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name_server=name_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_dns_name_server_get(self, name_server=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name_server (name_server_ip):
				name_server_ip (unicode):
					yang info - IPv4ADDRESS/IPv6ADDRESS;;The IPv4 or Ipv6 Address for Name Server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.dns.name_server', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.dns.name_server', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.dns.name_server', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.dns.name_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name_server', 'keyval': 'name_server_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name_server=name_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_extcommunity_list_create(self, extcommunity_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- extcommunity_list (extcommunity_list_num, ext_community_action, ext_community_expr):
				extcommunity_list_num (int):
					range - ['0..65535']

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extcommunity_list=extcommunity_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_extcommunity_list_delete(self, extcommunity_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- extcommunity_list (extcommunity_list_num, ext_community_action, ext_community_expr):
				extcommunity_list_num (int):
					range - ['0..65535']

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extcommunity_list=extcommunity_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_extcommunity_list_update(self, extcommunity_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- extcommunity_list (extcommunity_list_num, ext_community_action, ext_community_expr):
				extcommunity_list_num (int):
					range - ['0..65535']

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extcommunity_list=extcommunity_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_extcommunity_list_get(self, extcommunity_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- extcommunity_list (extcommunity_list_num, ext_community_action, ext_community_expr):
				extcommunity_list_num (int):
					range - ['0..65535']

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extcommunity_list=extcommunity_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_extcommunity_list_standard_create(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (extcommunity_list_name, ext_community_action, ext_community_expr):
				extcommunity_list_name (unicode):

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'extcommunity_list_name', 'extra_keyval': 'extcommunity_list_name, ext_community_action, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_extcommunity_list_standard_delete(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (extcommunity_list_name, ext_community_action, ext_community_expr):
				extcommunity_list_name (unicode):

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'extcommunity_list_name', 'extra_keyval': 'extcommunity_list_name, ext_community_action, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_extcommunity_list_standard_update(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (extcommunity_list_name, ext_community_action, ext_community_expr):
				extcommunity_list_name (unicode):

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'extcommunity_list_name', 'extra_keyval': 'extcommunity_list_name, ext_community_action, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_extcommunity_list_standard_get(self, standard=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (extcommunity_list_name, ext_community_action, ext_community_expr):
				extcommunity_list_name (unicode):

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'extcommunity_list_name', 'extra_keyval': 'extcommunity_list_name, ext_community_action, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_icmp_echo_update(self, broadcast_request=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- broadcast_request (YANGBool):
				yang info - Reply to broadcast ICMP echo packets.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ip.icmp.echo', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, broadcast_request=broadcast_request)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_icmp_echo_broadcast_request_update(self, broadcast_request=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- broadcast_request (YANGBool):
				yang info - Reply to broadcast ICMP echo packets.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ip.icmp.echo', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, broadcast_request=broadcast_request)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_igmp_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.igmp_snooping.ip.igmp', 'pybind.nos.v6_0_2b.brocade_igmp_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.igmp_snooping.ip.igmp', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.igmp_snooping.ip.igmp', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_igmp_router_alert_check_disable_update(self, router_alert_check_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- router_alert_check_disable (YANGBool):
				yang info - RA option Disable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_alert_check_disable=router_alert_check_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_igmp_snooping_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - IGMP Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v6_0_2b.brocade_igmp_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.igmp_snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_igmp_snooping_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - IGMP Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v6_0_2b.brocade_igmp_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.igmp_snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_igmp_ssm_map_create(self, igmps_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmps_prefix_list (igmps_prefix_list_name, igmps_prefix_src_addr):
				igmps_prefix_list_name (unicode):
					yang info - ASCII string    Access-list name or number

				igmps_prefix_src_addr (unicode):
					yang info - A.B.C.D     Source address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.ssm_map.igmps_prefix_list', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmps_prefix_list', 'keyval': 'igmps_prefix_list_name, igmps_prefix_src_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmps_prefix_list=igmps_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_igmp_ssm_map_delete(self, igmps_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmps_prefix_list (igmps_prefix_list_name, igmps_prefix_src_addr):
				igmps_prefix_list_name (unicode):
					yang info - ASCII string    Access-list name or number

				igmps_prefix_src_addr (unicode):
					yang info - A.B.C.D     Source address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.ssm_map.igmps_prefix_list', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmps_prefix_list', 'keyval': 'igmps_prefix_list_name, igmps_prefix_src_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmps_prefix_list=igmps_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_igmp_ssm_map_get(self, igmps_prefix_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- igmps_prefix_list (igmps_prefix_list_name, igmps_prefix_src_addr):
				igmps_prefix_list_name (unicode):
					yang info - ASCII string    Access-list name or number

				igmps_prefix_src_addr (unicode):
					yang info - A.B.C.D     Source address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.ssm_map.igmps_prefix_list', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'igmps_prefix_list', 'keyval': 'igmps_prefix_list_name, igmps_prefix_src_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmps_prefix_list=igmps_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_igmp_ssm_map_enable_update(self, igmps_ssmmap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- igmps_ssmmap (YANGBool):
				yang info - Enables IGMPv2 SSM Mapping

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.ssm_map', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmps_ssmmap=igmps_ssmmap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_import_routes_create(self, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ip.rtm_config.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_import_routes_delete(self, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ip.rtm_config.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_import_routes_get(self, routes=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ip.rtm_config.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_load_sharing_update(self, router_id=None, load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- router_id (unicode):
				yang info - Change the router ID already in use
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- load_sharing (long):
				yang info - Enable IP load sharing
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id=router_id, load_sharing=load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_mtu_update(self, global_ip_mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- global_ip_mtu (long):
				yang info - Set ip mtu value to all interfaces of this cluster
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.global_mtu_conf.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.global_mtu_conf.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_ip_mtu=global_ip_mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_pim_snooping_update(self, pimv4_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- pimv4_enable (YANGBool):
				yang info - PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pimv4_enable=pimv4_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_pim_snooping_enable_update(self, pimv4_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- pimv4_enable (YANGBool):
				yang info - PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pimv4_enable=pimv4_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_prefix_list_create(self, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				prefix_ipp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				ge_ipp (long):
					yang info - Minimum IP prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IP prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_prefix_list_delete(self, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				prefix_ipp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				ge_ipp (long):
					yang info - Minimum IP prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IP prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_prefix_list_update(self, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				prefix_ipp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				ge_ipp (long):
					yang info - Minimum IP prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IP prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_prefix_list_get(self, prefix_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				prefix_ipp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				ge_ipp (long):
					yang info - Minimum IP prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IP prefix length.
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_receive_access_group_create(self, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_group (acl_name):
				acl_name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ip.receive.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_receive_access_group_delete(self, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_group (acl_name):
				acl_name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ip.receive.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_receive_access_group_get(self, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_group (acl_name):
				acl_name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ip.receive.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_route_create(self, static_route_nh_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_route_delete(self, static_route_nh_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_route_get(self, static_route_nh_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_route_distance_update(self, static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- static_route_nh (static_route_dest, static_route_next_hop):
				static_route_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- metric (long):
				yang info - Cost metric
				range - ['0..4294967295']

			- distance (long):
				yang info - Route distance
				range - ['0..4294967295']

			- tag (long):
				yang info - Tag value for this route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif', u'static_route_oif')]
        bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_route_nh=static_route_nh, metric=metric, distance=distance, tag=tag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_route_static_bfd_create(self, bfd_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_route_static_bfd_delete(self, bfd_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_route_static_bfd_get(self, bfd_static_route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ip_route_static_bfd_holdover_interval_update(self, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- holdover_interval (int):
				yang info - Holdover interval
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ip_route_static_bfd_interval_update(self, bfd_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- interval (int):
				yang info - Transmit interval
				range - ['0..65535']

			- min_rx (int):
				yang info - Receive interval
				range - ['0..65535']

			- multiplier (int):
				yang info - Multiplier value
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2b.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route')]
        bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_static_route=bfd_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6.hide_prefix_holder', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ipv6.ipv6route', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ipv6_acl.ipv6', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.mld_snooping.ipv6', 'pybind.nos.v6_0_2b.brocade_mld_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.global_mtu_conf.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ipv6.hide_prefix_holder', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ipv6.ipv6route', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.mld_snooping.ipv6', 'pybind.nos.v7_0_1a.brocade_mld_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.global_mtu_conf.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ipv6.ipv6route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.mld_snooping.ipv6', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_extended_create(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_extended_delete(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_extended_get(self, extended=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_access_list_extended_seq_create(self, extended=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				protocol_type (unicode):
					enum - [u'udp', u'ipv6-icmp', u'tcp', u'ipv6']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				sport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dst_host_any_dip (unicode):
					enum - [u'host', u'any']

				dst_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				dport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dscp (unicode):
					yang info - Differentiated Service Code Point
					enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

				urg (YANGBool):
					yang info - Urgent

				ack (YANGBool):
					yang info - Acknowledgement

				push (YANGBool):
					yang info - Push

				fin (YANGBool):
					yang info - No more data

				rst (YANGBool):
					yang info - Reset connection

				sync (YANGBool):
					yang info - Synchronize

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet Count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_extended_seq_delete(self, extended=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				protocol_type (unicode):
					enum - [u'udp', u'ipv6-icmp', u'tcp', u'ipv6']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				sport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dst_host_any_dip (unicode):
					enum - [u'host', u'any']

				dst_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				dport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dscp (unicode):
					yang info - Differentiated Service Code Point
					enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

				urg (YANGBool):
					yang info - Urgent

				ack (YANGBool):
					yang info - Acknowledgement

				push (YANGBool):
					yang info - Push

				fin (YANGBool):
					yang info - No more data

				rst (YANGBool):
					yang info - Reset connection

				sync (YANGBool):
					yang info - Synchronize

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet Count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_extended_seq_update(self, extended=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				protocol_type (unicode):
					enum - [u'udp', u'ipv6-icmp', u'tcp', u'ipv6']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				sport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dst_host_any_dip (unicode):
					enum - [u'host', u'any']

				dst_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				dport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dscp (unicode):
					yang info - Differentiated Service Code Point
					enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

				urg (YANGBool):
					yang info - Urgent

				ack (YANGBool):
					yang info - Acknowledgement

				push (YANGBool):
					yang info - Push

				fin (YANGBool):
					yang info - No more data

				rst (YANGBool):
					yang info - Reset connection

				sync (YANGBool):
					yang info - Synchronize

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet Count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_extended_seq_get(self, extended=None, seq=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				protocol_type (unicode):
					enum - [u'udp', u'ipv6-icmp', u'tcp', u'ipv6']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				sport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				sport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				sport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dst_host_any_dip (unicode):
					enum - [u'host', u'any']

				dst_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dport (unicode):
					enum - [u'lt', u'gt', u'eq', u'range', u'neq']

				dport_number_eq_neq_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_lt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_gt_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_eq_neq_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_lt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_gt_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_lower_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_lower_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dport_number_range_higher_tcp (unicode):
					enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

				dport_number_range_higher_udp (unicode):
					enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

				dscp (unicode):
					yang info - Differentiated Service Code Point
					enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

				urg (YANGBool):
					yang info - Urgent

				ack (YANGBool):
					yang info - Acknowledgement

				push (YANGBool):
					yang info - Push

				fin (YANGBool):
					yang info - No more data

				rst (YANGBool):
					yang info - Reset connection

				sync (YANGBool):
					yang info - Synchronize

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet Count

				log (YANGBool):
					yang info - Log Packet

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_access_list_standard_create(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_standard_delete(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_standard_get(self, standard=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_access_list_standard_seq_create(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_standard_seq_delete(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_standard_seq_update(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_access_list_standard_seq_get(self, standard=None, seq=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				src_host_any_sip (unicode):
					enum - [u'host', u'any']

				src_host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_import_routes_create(self, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_import_routes_delete(self, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_import_routes_get(self, routes=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_mld_snooping_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - MLD Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v6_0_2b.brocade_mld_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_0_1a.brocade_mld_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.mld.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_mld_snooping_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - MLD Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v6_0_2b.brocade_mld_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_0_1a.brocade_mld_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.mld.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_mtu_update(self, global_ipv6_mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- global_ipv6_mtu (long):
				yang info - Set ipv6 mtu value to all interfaces of this cluster
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.global_mtu_conf.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.global_mtu_conf.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_ipv6_mtu=global_ipv6_mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_update(self, global_suppress_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- global_suppress_ra (YANGBool):
				yang info - Set Globally suppress-ra

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_suppress_ra=global_suppress_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_dad_update(self, global_dad_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- global_dad_time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_dad_time=global_dad_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_dad_time_update(self, global_dad_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- global_dad_time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_dad_time=global_dad_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_global_suppress_ra_update(self, global_suppress_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- global_suppress_ra (YANGBool):
				yang info - Set Globally suppress-ra

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_suppress_ra=global_suppress_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_ra_dns_server_create(self, dns_server_global=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dns_server_global (dns_server_prefix_global):
				dns_server_prefix_global (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dns_server_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dns_server_global', 'keyval': 'dns_server_prefix_global', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dns_server_global=dns_server_global)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_ra_dns_server_delete(self, dns_server_global=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dns_server_global (dns_server_prefix_global):
				dns_server_prefix_global (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dns_server_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dns_server_global', 'keyval': 'dns_server_prefix_global', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dns_server_global=dns_server_global)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_ra_dns_server_update(self, dns_server_global=None, dns_server_lifetime_global=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dns_server_global (dns_server_prefix_global):
				dns_server_prefix_global (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- dns_server_lifetime_global (long):
				yang info - Lifetime multiplier for the Recursive DNS Server option
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dns_server_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dns_server_global', 'keyval': 'dns_server_prefix_global', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dns_server_global=dns_server_global, dns_server_lifetime_global=dns_server_lifetime_global)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_ra_dns_server_get(self, dns_server_global=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dns_server_global (dns_server_prefix_global):
				dns_server_prefix_global (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dns_server_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dns_server_global', 'keyval': 'dns_server_prefix_global', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dns_server_global=dns_server_global)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_nd_ra_domain_name_create(self, domain_name_global=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain_name_global (domain_name_string_global):
				domain_name_string_global (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.domain_name_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain_name_global', 'keyval': 'domain_name_string_global', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name_global=domain_name_global)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_ra_domain_name_delete(self, domain_name_global=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain_name_global (domain_name_string_global):
				domain_name_string_global (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.domain_name_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain_name_global', 'keyval': 'domain_name_string_global', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name_global=domain_name_global)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_ra_domain_name_update(self, domain_name_global=None, domain_name_lifetime_global=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain_name_global (domain_name_string_global):
				domain_name_string_global (unicode):

		This Instance Arg(s):
			- domain_name_lifetime_global (long):
				yang info - Lifetime multiplier for DNS Search List option
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.domain_name_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain_name_global', 'keyval': 'domain_name_string_global', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name_global=domain_name_global, domain_name_lifetime_global=domain_name_lifetime_global)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_nd_ra_domain_name_get(self, domain_name_global=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain_name_global (domain_name_string_global):
				domain_name_string_global (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.domain_name_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain_name_global', 'keyval': 'domain_name_string_global', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name_global=domain_name_global)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_pim_snooping_update(self, pimv6_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- pimv6_enable (YANGBool):
				yang info - PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_0_1a.brocade_mld_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pimv6_enable=pimv6_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_pim_snooping_enable_update(self, pimv6_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- pimv6_enable (YANGBool):
				yang info - PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_0_1a.brocade_mld_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pimv6_enable=pimv6_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_prefix_list_create(self, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				ipv6_prefix_ipp (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				ge_ipp (long):
					yang info - Minimum IPv6 prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IPv6 prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_prefix_list_delete(self, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				ipv6_prefix_ipp (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				ge_ipp (long):
					yang info - Minimum IPv6 prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IPv6 prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_prefix_list_update(self, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				ipv6_prefix_ipp (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				ge_ipp (long):
					yang info - Minimum IPv6 prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IPv6 prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_prefix_list_get(self, prefix_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				ipv6_prefix_ipp (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				ge_ipp (long):
					yang info - Minimum IPv6 prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IPv6 prefix length.
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_protocol_update(self, vrrp=None, vrrp_extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vrrp (YANGBool):
				yang info - Virtual Router Redundacy Protocol IPv6 (VRRPv3)

			- vrrp_extended (YANGBool):
				yang info - Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.proto_vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrrp=vrrp, vrrp_extended=vrrp_extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_protocol_vrrp_update(self, vrrp=None, vrrp_extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vrrp (YANGBool):
				yang info - Virtual Router Redundacy Protocol IPv6 (VRRPv3)

			- vrrp_extended (YANGBool):
				yang info - Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.proto_vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrrp=vrrp, vrrp_extended=vrrp_extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_receive_access_group_create(self, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_group (acl_name):
				acl_name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.receive.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_receive_access_group_delete(self, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_group (acl_name):
				acl_name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.receive.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_receive_access_group_get(self, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- access_group (acl_name):
				acl_name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.receive.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_route_create(self, route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (dest):
				dest (unicode):
					yang info - IPv6Address/prefix.;; Destination IPv6 address-prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6.ipv6route.route', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6.ipv6route.route', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_route_delete(self, route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (dest):
				dest (unicode):
					yang info - IPv6Address/prefix.;; Destination IPv6 address-prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6.ipv6route.route', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6.ipv6route.route', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_route_update(self, route=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (dest):
				dest (unicode):
					yang info - IPv6Address/prefix.;; Destination IPv6 address-prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- next_hop (unicode):
				yang info - IPv6 address.;; Next hop IPv6 address
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6.ipv6route.route', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6.ipv6route.route', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_route_get(self, route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (dest):
				dest (unicode):
					yang info - IPv6Address/prefix.;; Destination IPv6 address-prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ipv6.ipv6route.route', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6.ipv6route.route', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_route_distance_update(self, link_local_static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link_local_static_route_nh (link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name):
				link_local_static_route_dest (unicode):
					yang info - A:B::C:D/LEN ;; Destination IPv6 Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				link_local_nexthop (unicode):
					yang info - A:B::C:D ;; Next hop IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				link_local_route_oif_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'management', u'null', u've']

				link_local_route_oif_name (unicode):
					length - [u'1..16']

		This Instance Arg(s):
			- metric (long):
				yang info - Cost metric
				range - ['0..4294967295']

			- distance (long):
				yang info - Route distance
				range - ['0..4294967295']

			- tag (long):
				yang info - Tag value for this route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link_local_static_route_nh=link_local_static_route_nh, metric=metric, distance=distance, tag=tag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_route_static_bfd_create(self, bfd_ipv6_link_local_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_static_route', 'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_route_static_bfd_delete(self, bfd_ipv6_link_local_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_static_route', 'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_route_static_bfd_get(self, bfd_ipv6_link_local_static_route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_static_route', 'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_route_static_bfd_holdover_interval_update(self, ipv6_holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ipv6_holdover_interval (int):
				yang info - Holdover interval
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_holdover_interval=ipv6_holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_route_static_bfd_interval_update(self, bfd_ipv6_link_local_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				bfd_interface_name (unicode):
					length - [u'1..16']

		This Instance Arg(s):
			- interval (int):
				yang info - Transmit interval
				range - ['0..65535']

			- min_rx (int):
				yang info - Receive interval
				range - ['0..65535']

			- multiplier (int):
				yang info - Multiplier value
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
        bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_create(self, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_delete(self, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_update(self, ospf=None, database_overflow_interval=None, default_metric=None, default_passive_interface=None, external_lsdb_limit=None, key_add_remove_interval=None, key_rollover_interval=None, log_status_change=None, global_metric_type=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- database_overflow_interval (long):
				yang info - Set how often the router checks whether OSPF external LSDB overflow is eliminated.
				range - ['0..4294967295']

			- default_metric (long):
				yang info - Set OSPF default metric
				range - ['0..4294967295']

			- default_passive_interface (YANGBool):
				yang info - Set OSPF interface passive

			- external_lsdb_limit (long):
				yang info - Set maximum number of external LSAs.
				range - ['0..4294967295']

			- key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- key_rollover_interval (long):
				yang info - Configure OSPFv3 authentication key rollover interval
				range - ['0..4294967295']

			- log_status_change (YANGBool):
				yang info - Log status change

			- global_metric_type (unicode):
				yang info - OSPFv3 metric type for redistributed routes
				enum - [u'type1', u'type2']

			- nonstop_routing (YANGBool):
				yang info - Enable nonstop-routing capability

			- maximum_paths (long):
				yang info - Set the maximum number of paths to a destination.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, database_overflow_interval=database_overflow_interval, default_metric=default_metric, default_passive_interface=default_passive_interface, external_lsdb_limit=external_lsdb_limit, key_add_remove_interval=key_add_remove_interval, key_rollover_interval=key_rollover_interval, log_status_change=log_status_change, global_metric_type=global_metric_type, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_get(self, ospf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_router_ospf_area_create(self, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_delete(self, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_update(self, ospf=None, area=None, normal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- normal (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, normal=normal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_get(self, ospf=None, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_router_ospf_area_authentication_update(self, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_authentication_ah_update(self, ospf=None, area=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_nssa_update(self, ospf=None, area=None, nssa_area_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- nssa_area_metric (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_nssa_default_information_originate_update(self, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'area_default_information_originate_metric, area_default_information_originate_metric_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_nssa_default_information_originate_metric_update(self, ospf=None, area=None, area_default_information_originate_metric=None, area_default_information_originate_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- area_default_information_originate_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- area_default_information_originate_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric, area_default_information_originate_metric_type=area_default_information_originate_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_nssa_no_redistribution_update(self, ospf=None, area=None, no_redistribution=None, nssa_area_no_summary=None, translator_always=None, translator_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- no_redistribution (YANGBool):
				yang info - Do not send redistributed LSA into nssa area

			- nssa_area_no_summary (YANGBool):
				yang info - Do not send summary LSA into nssa area

			- translator_always (YANGBool):
				yang info - Set nssa translator role

			- translator_interval (long):
				yang info - Set nssa translator stability interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, no_redistribution=no_redistribution, nssa_area_no_summary=nssa_area_no_summary, translator_always=translator_always, translator_interval=translator_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_range_create(self, ospf=None, area=None, area_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- area_range (range_address, range_effect, range_cost):
				range_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 address to match
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				range_effect (unicode):
					yang info - Advertise/Do not advertise this type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, area_range=area_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_range_delete(self, ospf=None, area=None, area_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- area_range (range_address, range_effect, range_cost):
				range_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 address to match
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				range_effect (unicode):
					yang info - Advertise/Do not advertise this type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, area_range=area_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_range_update(self, ospf=None, area=None, area_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- area_range (range_address, range_effect, range_cost):
				range_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 address to match
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				range_effect (unicode):
					yang info - Advertise/Do not advertise this type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, area_range=area_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_range_get(self, ospf=None, area=None, area_range=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- area_range (range_address, range_effect, range_cost):
				range_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 address to match
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				range_effect (unicode):
					yang info - Advertise/Do not advertise this type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, area_range=area_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_router_ospf_area_stub_update(self, ospf=None, area=None, stub_area_no_summary=None, stub_area_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- stub_area_no_summary (YANGBool):
				yang info - Do not send summary LSA into stub area

			- stub_area_metric (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.stub', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary, stub_area_metric=stub_area_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_virtual_link_create(self, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_virtual_link_delete(self, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_virtual_link_get(self, ospf=None, area=None, virtual_link=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_router_ospf_area_virtual_link_authentication_update(self, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_virtual_link_authentication_ah_update(self, ospf=None, area=None, virtual_link=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_area_virtual_link_dead_interval_update(self, ospf=None, area=None, virtual_link=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_auto_cost_update(self, ospf=None, reference_bandwidth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- reference_bandwidth (long):
				yang info - Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.auto_cost', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, reference_bandwidth=reference_bandwidth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_auto_cost_reference_bandwidth_update(self, ospf=None, reference_bandwidth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- reference_bandwidth (long):
				yang info - Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.auto_cost', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, reference_bandwidth=reference_bandwidth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_bfd_update(self, ospf=None, bfd_enable=None, bfd_holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- bfd_enable (YANGBool):

			- bfd_holdover_interval (long):
				yang info - The time by which the BFD session DOWN notification to Ospf is delayed
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bfd_enable=bfd_enable, bfd_holdover_interval=bfd_holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_default_information_originate_update(self, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'global_default_information_originate_always, global_default_information_originate_metric, global_default_information_originate_metric_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_default_information_originate_always_update(self, ospf=None, global_default_information_originate_always=None, global_default_information_originate_metric=None, global_default_information_originate_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- global_default_information_originate_always (YANGBool):
				yang info - Always advertise default route

			- global_default_information_originate_metric (long):
				yang info - OSPF metric for default route
				range - ['0..4294967295']

			- global_default_information_originate_metric_type (unicode):
				yang info - OSPF metric type for default route
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always, global_default_information_originate_metric=global_default_information_originate_metric, global_default_information_originate_metric_type=global_default_information_originate_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_distance_create(self, ospf=None, distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propagation
					enum - [u'intra-area', u'external', u'inter-area']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_distance_delete(self, ospf=None, distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propagation
					enum - [u'intra-area', u'external', u'inter-area']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_distance_update(self, ospf=None, distance=None, distance_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propagation
					enum - [u'intra-area', u'external', u'inter-area']

		This Instance Arg(s):
			- distance_value (long):
				yang info - The distance for a given type of route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distance=distance, distance_value=distance_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_distance_get(self, ospf=None, distance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propagation
					enum - [u'intra-area', u'external', u'inter-area']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_router_ospf_distribute_list_prefix_list_update(self, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_prefix_list_name, distribute_list_prefix_list_in'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_distribute_list_prefix_list_in_update(self, ospf=None, distribute_list_prefix_list_name=None, distribute_list_prefix_list_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- distribute_list_prefix_list_name (unicode):
				yang info - Prefix list  name.
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- distribute_list_prefix_list_in (YANGBool):
				yang info - Inbound Filtering

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name, distribute_list_prefix_list_in=distribute_list_prefix_list_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_distribute_list_route_map_update(self, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_route_map_name, distribute_list_route_map_in'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_distribute_list_route_map_in_update(self, ospf=None, distribute_list_route_map_name=None, distribute_list_route_map_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- distribute_list_route_map_name (unicode):
				yang info - Route-map name.
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- distribute_list_route_map_in (YANGBool):
				yang info - Inbound Filtering

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name, distribute_list_route_map_in=distribute_list_route_map_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_graceful_restart_helper_update(self, ospf=None, graceful_restart_helper_disable=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- graceful_restart_helper_disable (YANGBool):
				yang info - Disable graceful restart helper capability

			- graceful_restart_helper_strict_lsa_checking (YANGBool):
				yang info - Set strict LSA checking

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.graceful_restart.helper', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_graceful_restart_helper_disable_update(self, ospf=None, graceful_restart_helper_disable=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- graceful_restart_helper_disable (YANGBool):
				yang info - Disable graceful restart helper capability

			- graceful_restart_helper_strict_lsa_checking (YANGBool):
				yang info - Set strict LSA checking

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.graceful_restart.helper', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_log_update(self, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_all (YANGBool):
				yang info - Logging everything

			- log_database (YANGBool):
				yang info - Logging LSA activity

			- log_retransmit (YANGBool):
				yang info - Logging retransmit activity

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_log_adjacency_update(self, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_adjacency_dr_only (YANGBool):
				yang info - Logging only Designated Router interfaces' adjacency changes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_log_adjacency_dr_only_update(self, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_adjacency_dr_only (YANGBool):
				yang info - Logging only Designated Router interfaces' adjacency changes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_log_all_update(self, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_all (YANGBool):
				yang info - Logging everything

			- log_database (YANGBool):
				yang info - Logging LSA activity

			- log_retransmit (YANGBool):
				yang info - Logging retransmit activity

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_log_bad_packet_update(self, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_bad_packet_checksum (YANGBool):
				yang info - Logging bad checksum packets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_log_bad_packet_checksum_update(self, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_bad_packet_checksum (YANGBool):
				yang info - Logging bad checksum packets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_max_metric_router_lsa_update(self, ospf=None, all_lsas=None, include_stub=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- all_lsas (YANGBool):
				yang info - Replace Metric in all External and Summary LSAs with default max metric value

			- include_stub (YANGBool):
				yang info - Configure include-stub for max-metric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_lsas=all_lsas, include_stub=include_stub)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_max_metric_router_lsa_all_lsas_update(self, ospf=None, all_lsas=None, include_stub=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- all_lsas (YANGBool):
				yang info - Replace Metric in all External and Summary LSAs with default max metric value

			- include_stub (YANGBool):
				yang info - Configure include-stub for max-metric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_lsas=all_lsas, include_stub=include_stub)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_max_metric_router_lsa_external_lsa_update(self, ospf=None, external_lsa_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- external_lsa_value (long):
				yang info - Indicates the metric of all external type 5 and type 7 LSA's
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, external_lsa_value=external_lsa_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_max_metric_router_lsa_on_startup_update(self, ospf=None, on_startup_time=None, wait_for_bgp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- on_startup_time (long):
				yang info - DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
				range - ['0..4294967295']

			- wait_for_bgp (YANGBool):
				yang info - Advertise maximum metric until BGP has converged or 600 seconds

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, on_startup_time=on_startup_time, wait_for_bgp=wait_for_bgp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_max_metric_router_lsa_summary_lsa_update(self, ospf=None, summary_lsa_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- summary_lsa_value (long):
				yang info - Metric of all summary type 3 and type 4 LSAs
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_lsa_value=summary_lsa_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_redistribute_bgp_update(self, ospf=None, bgp_route_map=None, redistribute_bgp_metric=None, redistribute_bgp_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_bgp_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_bgp_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bgp_route_map=bgp_route_map, redistribute_bgp_metric=redistribute_bgp_metric, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_redistribute_bgp_route_map_update(self, ospf=None, bgp_route_map=None, redistribute_bgp_metric=None, redistribute_bgp_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_bgp_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_bgp_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bgp_route_map=bgp_route_map, redistribute_bgp_metric=redistribute_bgp_metric, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_redistribute_connected_update(self, ospf=None, connected_route_map=None, redistribute_connected_metric=None, redistribute_connected_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- connected_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_connected_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_connected_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, connected_route_map=connected_route_map, redistribute_connected_metric=redistribute_connected_metric, redistribute_connected_metric_type=redistribute_connected_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_redistribute_connected_route_map_update(self, ospf=None, connected_route_map=None, redistribute_connected_metric=None, redistribute_connected_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- connected_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_connected_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_connected_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, connected_route_map=connected_route_map, redistribute_connected_metric=redistribute_connected_metric, redistribute_connected_metric_type=redistribute_connected_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_redistribute_isis_update(self, ospf=None, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, redistribute_isis_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- redistribute_isis_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- level_1 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 routes only

			- level_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-2 routes only

			- level_1_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 and Level-2 routes

			- redistribute_isis_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_isis_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric, redistribute_isis_metric_type=redistribute_isis_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_redistribute_isis_level_1_update(self, ospf=None, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, redistribute_isis_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- redistribute_isis_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- level_1 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 routes only

			- level_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-2 routes only

			- level_1_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 and Level-2 routes

			- redistribute_isis_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_isis_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric, redistribute_isis_metric_type=redistribute_isis_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_redistribute_ospf_update(self, ospf=None, ospf_route_map=None, redistribute_ospf_metric=None, redistribute_ospf_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- ospf_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_ospf_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_ospf_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ospf_route_map=ospf_route_map, redistribute_ospf_metric=redistribute_ospf_metric, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_redistribute_ospf_route_map_update(self, ospf=None, ospf_route_map=None, redistribute_ospf_metric=None, redistribute_ospf_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- ospf_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_ospf_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_ospf_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ospf_route_map=ospf_route_map, redistribute_ospf_metric=redistribute_ospf_metric, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_redistribute_static_update(self, ospf=None, static_route_map=None, redistribute_static_metric=None, redistribute_static_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- static_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_static_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_static_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, static_route_map=static_route_map, redistribute_static_metric=redistribute_static_metric, redistribute_static_metric_type=redistribute_static_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_redistribute_static_metric_update(self, ospf=None, static_route_map=None, redistribute_static_metric=None, redistribute_static_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- static_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_static_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_static_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, static_route_map=static_route_map, redistribute_static_metric=redistribute_static_metric, redistribute_static_metric_type=redistribute_static_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_summary_address_create(self, ospf=None, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- summary_address (summary_address_value):
				summary_address_value (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_address_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_summary_address_delete(self, ospf=None, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- summary_address (summary_address_value):
				summary_address_value (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_address_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_summary_address_get(self, ospf=None, summary_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- summary_address (summary_address_value):
				summary_address_value (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_address_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ipv6_router_ospf_timers_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- lsa_group_pacing (long):
				yang info - OSPFv3 LSA group pacing timer
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_timers_lsa_group_pacing_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- lsa_group_pacing (long):
				yang info - OSPFv3 LSA group pacing timer
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ipv6_router_ospf_timers_spf_update(self, ospf=None, spf_delay=None, spf_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- spf_delay (long):
				range - ['0..4294967295']

			- spf_hold_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, spf_delay=spf_delay, spf_hold_time=spf_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_create(self, database=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- database (level):
				level (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_delete(self, database=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- database (level):
				level (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_update(self, database=None, isis_operation=None, detail=None, summary=None, lsp_level1_count=None, lsp_level2_count=None, lsp_level1_loading=None, lsp_level2_loading=None, lsp_level1_fragments=None, lsp_level2_fragments=None, lsp_level1_pseudo=None, lsp_level2_pseudo=None, lsp_level1_pseudo_fragments=None, lsp_level2_pseudo_fragments=None, lsp_level1_my_count=None, lsp_level2_my_count=None, lsp_level1_my_lsp_fragments=None, lsp_level2_my_lsp_fragments=None, lsp_level1_my_pseudo=None, lsp_level2_my_pseudo=None, lsp_level1_my_pseudo_fragments=None, lsp_level2_my_pseudo_fragments=None, lsp_level1_checksum=None, lsp_level2_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- database (level):
				level (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- isis_operation (YANGBool):

			- detail (YANGBool):

			- summary (YANGBool):

			- lsp_level1_count (long):
				range - ['0..4294967295']

			- lsp_level2_count (long):
				range - ['0..4294967295']

			- lsp_level1_loading (long):
				range - ['0..4294967295']

			- lsp_level2_loading (long):
				range - ['0..4294967295']

			- lsp_level1_fragments (long):
				range - ['0..4294967295']

			- lsp_level2_fragments (long):
				range - ['0..4294967295']

			- lsp_level1_pseudo (long):
				range - ['0..4294967295']

			- lsp_level2_pseudo (long):
				range - ['0..4294967295']

			- lsp_level1_pseudo_fragments (long):
				range - ['0..4294967295']

			- lsp_level2_pseudo_fragments (long):
				range - ['0..4294967295']

			- lsp_level1_my_count (long):
				range - ['0..4294967295']

			- lsp_level2_my_count (long):
				range - ['0..4294967295']

			- lsp_level1_my_lsp_fragments (long):
				range - ['0..4294967295']

			- lsp_level2_my_lsp_fragments (long):
				range - ['0..4294967295']

			- lsp_level1_my_pseudo (long):
				range - ['0..4294967295']

			- lsp_level2_my_pseudo (long):
				range - ['0..4294967295']

			- lsp_level1_my_pseudo_fragments (long):
				range - ['0..4294967295']

			- lsp_level2_my_pseudo_fragments (long):
				range - ['0..4294967295']

			- lsp_level1_checksum (long):
				range - ['0..4294967295']

			- lsp_level2_checksum (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, isis_operation=isis_operation, detail=detail, summary=summary, lsp_level1_count=lsp_level1_count, lsp_level2_count=lsp_level2_count, lsp_level1_loading=lsp_level1_loading, lsp_level2_loading=lsp_level2_loading, lsp_level1_fragments=lsp_level1_fragments, lsp_level2_fragments=lsp_level2_fragments, lsp_level1_pseudo=lsp_level1_pseudo, lsp_level2_pseudo=lsp_level2_pseudo, lsp_level1_pseudo_fragments=lsp_level1_pseudo_fragments, lsp_level2_pseudo_fragments=lsp_level2_pseudo_fragments, lsp_level1_my_count=lsp_level1_my_count, lsp_level2_my_count=lsp_level2_my_count, lsp_level1_my_lsp_fragments=lsp_level1_my_lsp_fragments, lsp_level2_my_lsp_fragments=lsp_level2_my_lsp_fragments, lsp_level1_my_pseudo=lsp_level1_my_pseudo, lsp_level2_my_pseudo=lsp_level2_my_pseudo, lsp_level1_my_pseudo_fragments=lsp_level1_my_pseudo_fragments, lsp_level2_my_pseudo_fragments=lsp_level2_my_pseudo_fragments, lsp_level1_checksum=lsp_level1_checksum, lsp_level2_checksum=lsp_level2_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_get(self, database=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- database (level):
				level (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_database_lsp_entry_create(self, database=None, lsp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_lsp_entry_delete(self, database=None, lsp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_lsp_entry_update(self, database=None, lsp_entry=None, lsp_seq_no=None, lsp_checksum=None, lsp_holdtime=None, lsp_att=None, lsp_p=None, lsp_ol=None, lsp_area_address=None, lsp_nlpid=None, lsp_hostname=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

		This Instance Arg(s):
			- lsp_seq_no (long):
				range - ['0..4294967295']

			- lsp_checksum (int):
				range - ['0..65535']

			- lsp_holdtime (long):
				range - ['0..4294967295']

			- lsp_att (long):
				range - ['0..4294967295']

			- lsp_p (long):
				range - ['0..4294967295']

			- lsp_ol (long):
				range - ['0..4294967295']

			- lsp_area_address (long):
				range - ['0..4294967295']

			- lsp_nlpid (unicode):

			- lsp_hostname (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_seq_no=lsp_seq_no, lsp_checksum=lsp_checksum, lsp_holdtime=lsp_holdtime, lsp_att=lsp_att, lsp_p=lsp_p, lsp_ol=lsp_ol, lsp_area_address=lsp_area_address, lsp_nlpid=lsp_nlpid, lsp_hostname=lsp_hostname)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_lsp_entry_get(self, database=None, lsp_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_database_lsp_entry_lsp_tlv_entry_create(self, database=None, lsp_entry=None, lsp_tlv_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

		This Instance Keyword Arg Tuple:
			- lsp_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_lsp_entry_lsp_tlv_entry_delete(self, database=None, lsp_entry=None, lsp_tlv_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

		This Instance Keyword Arg Tuple:
			- lsp_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_lsp_entry_lsp_tlv_entry_update(self, database=None, lsp_entry=None, lsp_tlv_entry=None, length=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

		This Instance Keyword Arg Tuple:
			- lsp_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- length (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, length=length)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_lsp_entry_lsp_tlv_entry_get(self, database=None, lsp_entry=None, lsp_tlv_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

		This Instance Keyword Arg Tuple:
			- lsp_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_database_lsp_entry_lsp_tlv_entry_sub_tlv_entry_create(self, database=None, lsp_entry=None, lsp_tlv_entry=None, sub_tlv_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

			- lsp_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- sub_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', u'lsp_tlv_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry.sub_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}, {'keyval': 'type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sub_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, sub_tlv_entry=sub_tlv_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_lsp_entry_lsp_tlv_entry_sub_tlv_entry_delete(self, database=None, lsp_entry=None, lsp_tlv_entry=None, sub_tlv_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

			- lsp_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- sub_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', u'lsp_tlv_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry.sub_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}, {'keyval': 'type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sub_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, sub_tlv_entry=sub_tlv_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_lsp_entry_lsp_tlv_entry_sub_tlv_entry_update(self, database=None, lsp_entry=None, lsp_tlv_entry=None, sub_tlv_entry=None, length=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

			- lsp_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- sub_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- length (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', u'lsp_tlv_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry.sub_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}, {'keyval': 'type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sub_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, sub_tlv_entry=sub_tlv_entry, length=length)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_database_lsp_entry_lsp_tlv_entry_sub_tlv_entry_get(self, database=None, lsp_entry=None, lsp_tlv_entry=None, sub_tlv_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- database (level):
				level (long):
					range - ['0..4294967295']

			- lsp_entry (lsp_level, lsp_id):
				lsp_level (long):
					range - ['0..4294967295']

				lsp_id (unicode):

			- lsp_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- sub_tlv_entry (type):
				type (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', u'lsp_tlv_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry.sub_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}, {'keyval': 'type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sub_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, sub_tlv_entry=sub_tlv_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_global_isis_info_update(self, isis_protocol=None, isis_state=None, is_type=None, system_id=None, area_addresses=None, database_state_level_1=None, database_state_level_2=None, database_state_level_1_2=None, overload_reason=None, check_alarm=None, overload_state_since=None, overload_state_rem_time=None, admin_distance=None, v6_admin_distance=None, max_paths=None, v6_max_paths=None, default_redis_metric=None, v6_default_redis_metric=None, default_link_metric_l1_conf=None, default_link_metric_l1_adv=None, default_link_metric_l2_conf=None, default_link_metric_l2_adv=None, v6_default_link_metric_l1_conf=None, v6_default_link_metric_l1_adv=None, v6_default_link_metric_l2_conf=None, v6_default_link_metric_l2_adv=None, redis_protocol=None, no_routes_redis=None, v6_redis_protocol=None, v6_no_routes_redis=None, auth_mode_l1=None, auth_mode_l2=None, auth_key_l1=None, auth_key_l2=None, metric_style_l1=None, metric_style_l2=None, graceful_restart_helper=None, pspf_optimization=None, spf_max_wait_l1=None, spf_max_wait_l2=None, spf_init_wait_l1=None, spf_init_wait_l2=None, spf_second_wait_l1=None, spf_second_wait_l2=None, spf_scheduled_l1=None, spf_scheduled_l2=None, pspf_max_wait=None, pspf_init_wait=None, pspf_second_wait=None, pspf_scheduled=None, spf6_max_wait_l1=None, spf6_max_wait_l2=None, spf6_init_wait_l1=None, spf6_init_wait_l2=None, spf6_second_wait_l1=None, spf6_second_wait_l2=None, spf6_scheduled_l1=None, spf6_scheduled_l2=None, pspf6_max_wait=None, pspf6_init_wait=None, pspf6_second_wait=None, pspf6_scheduled=None, lsp_max_lifetime=None, lsp_refresh_interval=None, lsp_gen_interval=None, lsp_retrans_interval=None, lsp_interval=None, snp_csnp_interval=None, snp_psnp_interval=None, hello_padding=None, hello_padding_ptp=None, ptp_handshake=None, bgp_ipv4_converged=None, bgp_ipv6_converged=None, isis_te=None, isis_shortcuts=None, isis_reverse_metric=None, isis_reverse_metric_wbit=None, isis_reverse_metric_sbit=None, bfd_enabled=None, bfd_hold_interval=None, nsr_enabled=None, nsr_state=None, nsr_standby_state=None, nsr_sync_state=None, isis_is_mp=None, ldp_sync=None, ldp_sync_holddown_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- isis_protocol (YANGBool):

			- isis_state (YANGBool):

			- is_type (long):
				range - ['0..4294967295']

			- system_id (unicode):

			- area_addresses (unicode):

			- database_state_level_1 (unicode):

			- database_state_level_2 (unicode):

			- database_state_level_1_2 (unicode):

			- overload_reason (unicode):

			- check_alarm (YANGBool):

			- overload_state_since (unicode):

			- overload_state_rem_time (unicode):

			- admin_distance (long):
				range - ['0..4294967295']

			- v6_admin_distance (long):
				range - ['0..4294967295']

			- max_paths (long):
				range - ['0..4294967295']

			- v6_max_paths (long):
				range - ['0..4294967295']

			- default_redis_metric (long):
				range - ['0..4294967295']

			- v6_default_redis_metric (long):
				range - ['0..4294967295']

			- default_link_metric_l1_conf (long):
				range - ['0..4294967295']

			- default_link_metric_l1_adv (long):
				range - ['0..4294967295']

			- default_link_metric_l2_conf (long):
				range - ['0..4294967295']

			- default_link_metric_l2_adv (long):
				range - ['0..4294967295']

			- v6_default_link_metric_l1_conf (long):
				range - ['0..4294967295']

			- v6_default_link_metric_l1_adv (long):
				range - ['0..4294967295']

			- v6_default_link_metric_l2_conf (long):
				range - ['0..4294967295']

			- v6_default_link_metric_l2_adv (long):
				range - ['0..4294967295']

			- redis_protocol (unicode):

			- no_routes_redis (long):
				range - ['0..4294967295']

			- v6_redis_protocol (unicode):

			- v6_no_routes_redis (long):
				range - ['0..4294967295']

			- auth_mode_l1 (unicode):

			- auth_mode_l2 (unicode):

			- auth_key_l1 (unicode):

			- auth_key_l2 (unicode):

			- metric_style_l1 (unicode):

			- metric_style_l2 (unicode):

			- graceful_restart_helper (YANGBool):

			- pspf_optimization (YANGBool):

			- spf_max_wait_l1 (long):
				range - ['0..4294967295']

			- spf_max_wait_l2 (long):
				range - ['0..4294967295']

			- spf_init_wait_l1 (long):
				range - ['0..4294967295']

			- spf_init_wait_l2 (long):
				range - ['0..4294967295']

			- spf_second_wait_l1 (long):
				range - ['0..4294967295']

			- spf_second_wait_l2 (long):
				range - ['0..4294967295']

			- spf_scheduled_l1 (unicode):

			- spf_scheduled_l2 (unicode):

			- pspf_max_wait (long):
				range - ['0..4294967295']

			- pspf_init_wait (long):
				range - ['0..4294967295']

			- pspf_second_wait (long):
				range - ['0..4294967295']

			- pspf_scheduled (unicode):

			- spf6_max_wait_l1 (long):
				range - ['0..4294967295']

			- spf6_max_wait_l2 (long):
				range - ['0..4294967295']

			- spf6_init_wait_l1 (long):
				range - ['0..4294967295']

			- spf6_init_wait_l2 (long):
				range - ['0..4294967295']

			- spf6_second_wait_l1 (long):
				range - ['0..4294967295']

			- spf6_second_wait_l2 (long):
				range - ['0..4294967295']

			- spf6_scheduled_l1 (unicode):

			- spf6_scheduled_l2 (unicode):

			- pspf6_max_wait (long):
				range - ['0..4294967295']

			- pspf6_init_wait (long):
				range - ['0..4294967295']

			- pspf6_second_wait (long):
				range - ['0..4294967295']

			- pspf6_scheduled (unicode):

			- lsp_max_lifetime (long):
				range - ['0..4294967295']

			- lsp_refresh_interval (long):
				range - ['0..4294967295']

			- lsp_gen_interval (long):
				range - ['0..4294967295']

			- lsp_retrans_interval (long):
				range - ['0..4294967295']

			- lsp_interval (long):
				range - ['0..4294967295']

			- snp_csnp_interval (long):
				range - ['0..4294967295']

			- snp_psnp_interval (long):
				range - ['0..4294967295']

			- hello_padding (YANGBool):

			- hello_padding_ptp (long):
				range - ['0..4294967295']

			- ptp_handshake (YANGBool):

			- bgp_ipv4_converged (YANGBool):

			- bgp_ipv6_converged (YANGBool):

			- isis_te (YANGBool):

			- isis_shortcuts (unicode):

			- isis_reverse_metric (long):
				range - ['0..4294967295']

			- isis_reverse_metric_wbit (long):
				range - ['0..4294967295']

			- isis_reverse_metric_sbit (long):
				range - ['0..4294967295']

			- bfd_enabled (YANGBool):

			- bfd_hold_interval (long):
				range - ['0..4294967295']

			- nsr_enabled (YANGBool):

			- nsr_state (unicode):

			- nsr_standby_state (unicode):

			- nsr_sync_state (YANGBool):

			- isis_is_mp (YANGBool):

			- ldp_sync (YANGBool):

			- ldp_sync_holddown_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_protocol=isis_protocol, isis_state=isis_state, is_type=is_type, system_id=system_id, area_addresses=area_addresses, database_state_level_1=database_state_level_1, database_state_level_2=database_state_level_2, database_state_level_1_2=database_state_level_1_2, overload_reason=overload_reason, check_alarm=check_alarm, overload_state_since=overload_state_since, overload_state_rem_time=overload_state_rem_time, admin_distance=admin_distance, v6_admin_distance=v6_admin_distance, max_paths=max_paths, v6_max_paths=v6_max_paths, default_redis_metric=default_redis_metric, v6_default_redis_metric=v6_default_redis_metric, default_link_metric_l1_conf=default_link_metric_l1_conf, default_link_metric_l1_adv=default_link_metric_l1_adv, default_link_metric_l2_conf=default_link_metric_l2_conf, default_link_metric_l2_adv=default_link_metric_l2_adv, v6_default_link_metric_l1_conf=v6_default_link_metric_l1_conf, v6_default_link_metric_l1_adv=v6_default_link_metric_l1_adv, v6_default_link_metric_l2_conf=v6_default_link_metric_l2_conf, v6_default_link_metric_l2_adv=v6_default_link_metric_l2_adv, redis_protocol=redis_protocol, no_routes_redis=no_routes_redis, v6_redis_protocol=v6_redis_protocol, v6_no_routes_redis=v6_no_routes_redis, auth_mode_l1=auth_mode_l1, auth_mode_l2=auth_mode_l2, auth_key_l1=auth_key_l1, auth_key_l2=auth_key_l2, metric_style_l1=metric_style_l1, metric_style_l2=metric_style_l2, graceful_restart_helper=graceful_restart_helper, pspf_optimization=pspf_optimization, spf_max_wait_l1=spf_max_wait_l1, spf_max_wait_l2=spf_max_wait_l2, spf_init_wait_l1=spf_init_wait_l1, spf_init_wait_l2=spf_init_wait_l2, spf_second_wait_l1=spf_second_wait_l1, spf_second_wait_l2=spf_second_wait_l2, spf_scheduled_l1=spf_scheduled_l1, spf_scheduled_l2=spf_scheduled_l2, pspf_max_wait=pspf_max_wait, pspf_init_wait=pspf_init_wait, pspf_second_wait=pspf_second_wait, pspf_scheduled=pspf_scheduled, spf6_max_wait_l1=spf6_max_wait_l1, spf6_max_wait_l2=spf6_max_wait_l2, spf6_init_wait_l1=spf6_init_wait_l1, spf6_init_wait_l2=spf6_init_wait_l2, spf6_second_wait_l1=spf6_second_wait_l1, spf6_second_wait_l2=spf6_second_wait_l2, spf6_scheduled_l1=spf6_scheduled_l1, spf6_scheduled_l2=spf6_scheduled_l2, pspf6_max_wait=pspf6_max_wait, pspf6_init_wait=pspf6_init_wait, pspf6_second_wait=pspf6_second_wait, pspf6_scheduled=pspf6_scheduled, lsp_max_lifetime=lsp_max_lifetime, lsp_refresh_interval=lsp_refresh_interval, lsp_gen_interval=lsp_gen_interval, lsp_retrans_interval=lsp_retrans_interval, lsp_interval=lsp_interval, snp_csnp_interval=snp_csnp_interval, snp_psnp_interval=snp_psnp_interval, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, ptp_handshake=ptp_handshake, bgp_ipv4_converged=bgp_ipv4_converged, bgp_ipv6_converged=bgp_ipv6_converged, isis_te=isis_te, isis_shortcuts=isis_shortcuts, isis_reverse_metric=isis_reverse_metric, isis_reverse_metric_wbit=isis_reverse_metric_wbit, isis_reverse_metric_sbit=isis_reverse_metric_sbit, bfd_enabled=bfd_enabled, bfd_hold_interval=bfd_hold_interval, nsr_enabled=nsr_enabled, nsr_state=nsr_state, nsr_standby_state=nsr_standby_state, nsr_sync_state=nsr_sync_state, isis_is_mp=isis_is_mp, ldp_sync=ldp_sync, ldp_sync_holddown_time=ldp_sync_holddown_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_global_isis_info_admin_distance_update(self, isis_protocol=None, isis_state=None, is_type=None, system_id=None, area_addresses=None, database_state_level_1=None, database_state_level_2=None, database_state_level_1_2=None, overload_reason=None, check_alarm=None, overload_state_since=None, overload_state_rem_time=None, admin_distance=None, v6_admin_distance=None, max_paths=None, v6_max_paths=None, default_redis_metric=None, v6_default_redis_metric=None, default_link_metric_l1_conf=None, default_link_metric_l1_adv=None, default_link_metric_l2_conf=None, default_link_metric_l2_adv=None, v6_default_link_metric_l1_conf=None, v6_default_link_metric_l1_adv=None, v6_default_link_metric_l2_conf=None, v6_default_link_metric_l2_adv=None, redis_protocol=None, no_routes_redis=None, v6_redis_protocol=None, v6_no_routes_redis=None, auth_mode_l1=None, auth_mode_l2=None, auth_key_l1=None, auth_key_l2=None, metric_style_l1=None, metric_style_l2=None, graceful_restart_helper=None, pspf_optimization=None, spf_max_wait_l1=None, spf_max_wait_l2=None, spf_init_wait_l1=None, spf_init_wait_l2=None, spf_second_wait_l1=None, spf_second_wait_l2=None, spf_scheduled_l1=None, spf_scheduled_l2=None, pspf_max_wait=None, pspf_init_wait=None, pspf_second_wait=None, pspf_scheduled=None, spf6_max_wait_l1=None, spf6_max_wait_l2=None, spf6_init_wait_l1=None, spf6_init_wait_l2=None, spf6_second_wait_l1=None, spf6_second_wait_l2=None, spf6_scheduled_l1=None, spf6_scheduled_l2=None, pspf6_max_wait=None, pspf6_init_wait=None, pspf6_second_wait=None, pspf6_scheduled=None, lsp_max_lifetime=None, lsp_refresh_interval=None, lsp_gen_interval=None, lsp_retrans_interval=None, lsp_interval=None, snp_csnp_interval=None, snp_psnp_interval=None, hello_padding=None, hello_padding_ptp=None, ptp_handshake=None, bgp_ipv4_converged=None, bgp_ipv6_converged=None, isis_te=None, isis_shortcuts=None, isis_reverse_metric=None, isis_reverse_metric_wbit=None, isis_reverse_metric_sbit=None, bfd_enabled=None, bfd_hold_interval=None, nsr_enabled=None, nsr_state=None, nsr_standby_state=None, nsr_sync_state=None, isis_is_mp=None, ldp_sync=None, ldp_sync_holddown_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- isis_protocol (YANGBool):

			- isis_state (YANGBool):

			- is_type (long):
				range - ['0..4294967295']

			- system_id (unicode):

			- area_addresses (unicode):

			- database_state_level_1 (unicode):

			- database_state_level_2 (unicode):

			- database_state_level_1_2 (unicode):

			- overload_reason (unicode):

			- check_alarm (YANGBool):

			- overload_state_since (unicode):

			- overload_state_rem_time (unicode):

			- admin_distance (long):
				range - ['0..4294967295']

			- v6_admin_distance (long):
				range - ['0..4294967295']

			- max_paths (long):
				range - ['0..4294967295']

			- v6_max_paths (long):
				range - ['0..4294967295']

			- default_redis_metric (long):
				range - ['0..4294967295']

			- v6_default_redis_metric (long):
				range - ['0..4294967295']

			- default_link_metric_l1_conf (long):
				range - ['0..4294967295']

			- default_link_metric_l1_adv (long):
				range - ['0..4294967295']

			- default_link_metric_l2_conf (long):
				range - ['0..4294967295']

			- default_link_metric_l2_adv (long):
				range - ['0..4294967295']

			- v6_default_link_metric_l1_conf (long):
				range - ['0..4294967295']

			- v6_default_link_metric_l1_adv (long):
				range - ['0..4294967295']

			- v6_default_link_metric_l2_conf (long):
				range - ['0..4294967295']

			- v6_default_link_metric_l2_adv (long):
				range - ['0..4294967295']

			- redis_protocol (unicode):

			- no_routes_redis (long):
				range - ['0..4294967295']

			- v6_redis_protocol (unicode):

			- v6_no_routes_redis (long):
				range - ['0..4294967295']

			- auth_mode_l1 (unicode):

			- auth_mode_l2 (unicode):

			- auth_key_l1 (unicode):

			- auth_key_l2 (unicode):

			- metric_style_l1 (unicode):

			- metric_style_l2 (unicode):

			- graceful_restart_helper (YANGBool):

			- pspf_optimization (YANGBool):

			- spf_max_wait_l1 (long):
				range - ['0..4294967295']

			- spf_max_wait_l2 (long):
				range - ['0..4294967295']

			- spf_init_wait_l1 (long):
				range - ['0..4294967295']

			- spf_init_wait_l2 (long):
				range - ['0..4294967295']

			- spf_second_wait_l1 (long):
				range - ['0..4294967295']

			- spf_second_wait_l2 (long):
				range - ['0..4294967295']

			- spf_scheduled_l1 (unicode):

			- spf_scheduled_l2 (unicode):

			- pspf_max_wait (long):
				range - ['0..4294967295']

			- pspf_init_wait (long):
				range - ['0..4294967295']

			- pspf_second_wait (long):
				range - ['0..4294967295']

			- pspf_scheduled (unicode):

			- spf6_max_wait_l1 (long):
				range - ['0..4294967295']

			- spf6_max_wait_l2 (long):
				range - ['0..4294967295']

			- spf6_init_wait_l1 (long):
				range - ['0..4294967295']

			- spf6_init_wait_l2 (long):
				range - ['0..4294967295']

			- spf6_second_wait_l1 (long):
				range - ['0..4294967295']

			- spf6_second_wait_l2 (long):
				range - ['0..4294967295']

			- spf6_scheduled_l1 (unicode):

			- spf6_scheduled_l2 (unicode):

			- pspf6_max_wait (long):
				range - ['0..4294967295']

			- pspf6_init_wait (long):
				range - ['0..4294967295']

			- pspf6_second_wait (long):
				range - ['0..4294967295']

			- pspf6_scheduled (unicode):

			- lsp_max_lifetime (long):
				range - ['0..4294967295']

			- lsp_refresh_interval (long):
				range - ['0..4294967295']

			- lsp_gen_interval (long):
				range - ['0..4294967295']

			- lsp_retrans_interval (long):
				range - ['0..4294967295']

			- lsp_interval (long):
				range - ['0..4294967295']

			- snp_csnp_interval (long):
				range - ['0..4294967295']

			- snp_psnp_interval (long):
				range - ['0..4294967295']

			- hello_padding (YANGBool):

			- hello_padding_ptp (long):
				range - ['0..4294967295']

			- ptp_handshake (YANGBool):

			- bgp_ipv4_converged (YANGBool):

			- bgp_ipv6_converged (YANGBool):

			- isis_te (YANGBool):

			- isis_shortcuts (unicode):

			- isis_reverse_metric (long):
				range - ['0..4294967295']

			- isis_reverse_metric_wbit (long):
				range - ['0..4294967295']

			- isis_reverse_metric_sbit (long):
				range - ['0..4294967295']

			- bfd_enabled (YANGBool):

			- bfd_hold_interval (long):
				range - ['0..4294967295']

			- nsr_enabled (YANGBool):

			- nsr_state (unicode):

			- nsr_standby_state (unicode):

			- nsr_sync_state (YANGBool):

			- isis_is_mp (YANGBool):

			- ldp_sync (YANGBool):

			- ldp_sync_holddown_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_protocol=isis_protocol, isis_state=isis_state, is_type=is_type, system_id=system_id, area_addresses=area_addresses, database_state_level_1=database_state_level_1, database_state_level_2=database_state_level_2, database_state_level_1_2=database_state_level_1_2, overload_reason=overload_reason, check_alarm=check_alarm, overload_state_since=overload_state_since, overload_state_rem_time=overload_state_rem_time, admin_distance=admin_distance, v6_admin_distance=v6_admin_distance, max_paths=max_paths, v6_max_paths=v6_max_paths, default_redis_metric=default_redis_metric, v6_default_redis_metric=v6_default_redis_metric, default_link_metric_l1_conf=default_link_metric_l1_conf, default_link_metric_l1_adv=default_link_metric_l1_adv, default_link_metric_l2_conf=default_link_metric_l2_conf, default_link_metric_l2_adv=default_link_metric_l2_adv, v6_default_link_metric_l1_conf=v6_default_link_metric_l1_conf, v6_default_link_metric_l1_adv=v6_default_link_metric_l1_adv, v6_default_link_metric_l2_conf=v6_default_link_metric_l2_conf, v6_default_link_metric_l2_adv=v6_default_link_metric_l2_adv, redis_protocol=redis_protocol, no_routes_redis=no_routes_redis, v6_redis_protocol=v6_redis_protocol, v6_no_routes_redis=v6_no_routes_redis, auth_mode_l1=auth_mode_l1, auth_mode_l2=auth_mode_l2, auth_key_l1=auth_key_l1, auth_key_l2=auth_key_l2, metric_style_l1=metric_style_l1, metric_style_l2=metric_style_l2, graceful_restart_helper=graceful_restart_helper, pspf_optimization=pspf_optimization, spf_max_wait_l1=spf_max_wait_l1, spf_max_wait_l2=spf_max_wait_l2, spf_init_wait_l1=spf_init_wait_l1, spf_init_wait_l2=spf_init_wait_l2, spf_second_wait_l1=spf_second_wait_l1, spf_second_wait_l2=spf_second_wait_l2, spf_scheduled_l1=spf_scheduled_l1, spf_scheduled_l2=spf_scheduled_l2, pspf_max_wait=pspf_max_wait, pspf_init_wait=pspf_init_wait, pspf_second_wait=pspf_second_wait, pspf_scheduled=pspf_scheduled, spf6_max_wait_l1=spf6_max_wait_l1, spf6_max_wait_l2=spf6_max_wait_l2, spf6_init_wait_l1=spf6_init_wait_l1, spf6_init_wait_l2=spf6_init_wait_l2, spf6_second_wait_l1=spf6_second_wait_l1, spf6_second_wait_l2=spf6_second_wait_l2, spf6_scheduled_l1=spf6_scheduled_l1, spf6_scheduled_l2=spf6_scheduled_l2, pspf6_max_wait=pspf6_max_wait, pspf6_init_wait=pspf6_init_wait, pspf6_second_wait=pspf6_second_wait, pspf6_scheduled=pspf6_scheduled, lsp_max_lifetime=lsp_max_lifetime, lsp_refresh_interval=lsp_refresh_interval, lsp_gen_interval=lsp_gen_interval, lsp_retrans_interval=lsp_retrans_interval, lsp_interval=lsp_interval, snp_csnp_interval=snp_csnp_interval, snp_psnp_interval=snp_psnp_interval, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, ptp_handshake=ptp_handshake, bgp_ipv4_converged=bgp_ipv4_converged, bgp_ipv6_converged=bgp_ipv6_converged, isis_te=isis_te, isis_shortcuts=isis_shortcuts, isis_reverse_metric=isis_reverse_metric, isis_reverse_metric_wbit=isis_reverse_metric_wbit, isis_reverse_metric_sbit=isis_reverse_metric_sbit, bfd_enabled=bfd_enabled, bfd_hold_interval=bfd_hold_interval, nsr_enabled=nsr_enabled, nsr_state=nsr_state, nsr_standby_state=nsr_standby_state, nsr_sync_state=nsr_sync_state, isis_is_mp=isis_is_mp, ldp_sync=ldp_sync, ldp_sync_holddown_time=ldp_sync_holddown_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_host_table_update(self, hostname_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hostname_enabled (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostname_enabled=hostname_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_host_table_hostname_enabled_update(self, hostname_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hostname_enabled (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostname_enabled=hostname_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_host_table_isis_router_entry_create(self, isis_router_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_router_entry (system_id):
				system_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table.isis_router_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_router_entry', 'keyval': 'system_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_router_entry=isis_router_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_host_table_isis_router_entry_delete(self, isis_router_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_router_entry (system_id):
				system_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table.isis_router_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_router_entry', 'keyval': 'system_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_router_entry=isis_router_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_host_table_isis_router_entry_update(self, isis_router_entry=None, host_name=None, is_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_router_entry (system_id):
				system_id (unicode):

		This Instance Arg(s):
			- host_name (unicode):

			- is_local (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table.isis_router_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_router_entry', 'keyval': 'system_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_router_entry=isis_router_entry, host_name=host_name, is_local=is_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_host_table_isis_router_entry_get(self, isis_router_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_router_entry (system_id):
				system_id (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table.isis_router_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_router_entry', 'keyval': 'system_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_router_entry=isis_router_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_interface_brief_isis_intf_brief_create(self, isis_intf_brief=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_intf_brief (intf_name):
				intf_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf_brief=isis_intf_brief)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_brief_isis_intf_brief_delete(self, isis_intf_brief=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_intf_brief (intf_name):
				intf_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf_brief=isis_intf_brief)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_brief_isis_intf_brief_update(self, isis_intf_brief=None, circuit_type=None, is_circuit_passive=None, circuit_mode=None, circ_state=None, mtu_size=None, circ_adj_up=None, circ_changes=None, adj_changes=None, is_l1_dis=None, is_l2_dis=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_intf_brief (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- circuit_type (unicode):
				enum - [u'is-circ-lan', u'is-circ-ptpt', u'is-circ-unknown']

			- is_circuit_passive (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- circuit_mode (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- circ_state (YANGBool):

			- mtu_size (int):
				range - ['0..65535']

			- circ_adj_up (int):
				range - ['0..65535']

			- circ_changes (long):
				range - ['0..4294967295']

			- adj_changes (long):
				range - ['0..4294967295']

			- is_l1_dis (YANGBool):

			- is_l2_dis (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf_brief=isis_intf_brief, circuit_type=circuit_type, is_circuit_passive=is_circuit_passive, circuit_mode=circuit_mode, circ_state=circ_state, mtu_size=mtu_size, circ_adj_up=circ_adj_up, circ_changes=circ_changes, adj_changes=adj_changes, is_l1_dis=is_l1_dis, is_l2_dis=is_l2_dis)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_brief_isis_intf_brief_get(self, isis_intf_brief=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_intf_brief (intf_name):
				intf_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf_brief=isis_intf_brief)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_create(self, isis_intf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_intf (intf_name):
				intf_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_delete(self, isis_intf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_intf (intf_name):
				intf_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_update(self, isis_intf=None, intf_type=None, intf_index=None, v4circuit_enabled=None, v6circuit_enabled=None, circuit_id=None, circuit_ifid=None, circuit_state=None, circuit_ip_state=None, circuit_ipv6_state=None, circuit_mode=None, circuit_type=None, circuit_encap=None, is_circuit_passive=None, mtu_size=None, padding_enabled=None, bfd_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- intf_type (unicode):
				enum - [u'isis-interface-type-unknown', u'isis-interface-type-port-channel', u'isis-interface-type-ethernet', u'isis-interface-type-ve', u'isis-interface-type-loopback']

			- intf_index (long):
				range - ['0..4294967295']

			- v4circuit_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- v6circuit_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- circuit_id (int):
				range - ['0..65535']

			- circuit_ifid (int):
				range - ['0..65535']

			- circuit_state (YANGBool):

			- circuit_ip_state (YANGBool):

			- circuit_ipv6_state (YANGBool):

			- circuit_mode (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- circuit_type (unicode):
				enum - [u'is-circ-lan', u'is-circ-ptpt', u'is-circ-unknown']

			- circuit_encap (unicode):
				enum - [u'undef', u'ppp', u'chdlc']

			- is_circuit_passive (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- mtu_size (int):
				range - ['0..65535']

			- padding_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- bfd_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, intf_type=intf_type, intf_index=intf_index, v4circuit_enabled=v4circuit_enabled, v6circuit_enabled=v6circuit_enabled, circuit_id=circuit_id, circuit_ifid=circuit_ifid, circuit_state=circuit_state, circuit_ip_state=circuit_ip_state, circuit_ipv6_state=circuit_ipv6_state, circuit_mode=circuit_mode, circuit_type=circuit_type, circuit_encap=circuit_encap, is_circuit_passive=is_circuit_passive, mtu_size=mtu_size, padding_enabled=padding_enabled, bfd_enabled=bfd_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_get(self, isis_intf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- isis_intf (intf_name):
				intf_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_circ_chstats_update(self, isis_intf=None, circ_changes=None, adj_changes=None, adj_rej=None, l1authfail=None, l2authfail=None, bad_lsps=None, ctrl_out=None, ctrl_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- circ_changes (long):
				range - ['0..4294967295']

			- adj_changes (long):
				range - ['0..4294967295']

			- adj_rej (long):
				range - ['0..4294967295']

			- l1authfail (long):
				range - ['0..4294967295']

			- l2authfail (long):
				range - ['0..4294967295']

			- bad_lsps (long):
				range - ['0..4294967295']

			- ctrl_out (long):
				range - ['0..4294967295']

			- ctrl_in (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, circ_changes=circ_changes, adj_changes=adj_changes, adj_rej=adj_rej, l1authfail=l1authfail, l2authfail=l2authfail, bad_lsps=bad_lsps, ctrl_out=ctrl_out, ctrl_in=ctrl_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_circ_chstats_adj_changes_update(self, isis_intf=None, circ_changes=None, adj_changes=None, adj_rej=None, l1authfail=None, l2authfail=None, bad_lsps=None, ctrl_out=None, ctrl_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- circ_changes (long):
				range - ['0..4294967295']

			- adj_changes (long):
				range - ['0..4294967295']

			- adj_rej (long):
				range - ['0..4294967295']

			- l1authfail (long):
				range - ['0..4294967295']

			- l2authfail (long):
				range - ['0..4294967295']

			- bad_lsps (long):
				range - ['0..4294967295']

			- ctrl_out (long):
				range - ['0..4294967295']

			- ctrl_in (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, circ_changes=circ_changes, adj_changes=adj_changes, adj_rej=adj_rej, l1authfail=l1authfail, l2authfail=l2authfail, bad_lsps=bad_lsps, ctrl_out=ctrl_out, ctrl_in=ctrl_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_ip6_info_create(self, isis_intf=None, ip6_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- ip6_info (ip6_add):
				ip6_add (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip6_info', 'keyval': 'ip6_add', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ip6_info=ip6_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_ip6_info_delete(self, isis_intf=None, ip6_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- ip6_info (ip6_add):
				ip6_add (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip6_info', 'keyval': 'ip6_add', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ip6_info=ip6_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_ip6_info_update(self, isis_intf=None, ip6_info=None, ip6_prefix=None, is_link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- ip6_info (ip6_add):
				ip6_add (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ip6_prefix (int):
				range - ['0..255']

			- is_link_local (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip6_info', 'keyval': 'ip6_add', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ip6_info=ip6_info, ip6_prefix=ip6_prefix, is_link_local=is_link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_ip6_info_get(self, isis_intf=None, ip6_info=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- ip6_info (ip6_add):
				ip6_add (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip6_info', 'keyval': 'ip6_add', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ip6_info=ip6_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_ip_info_create(self, isis_intf=None, ip_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- ip_info (ip_add):
				ip_add (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_info', 'keyval': 'ip_add', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ip_info=ip_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_ip_info_delete(self, isis_intf=None, ip_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- ip_info (ip_add):
				ip_add (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_info', 'keyval': 'ip_add', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ip_info=ip_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_ip_info_update(self, isis_intf=None, ip_info=None, ip_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- ip_info (ip_add):
				ip_add (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ip_prefix (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_info', 'keyval': 'ip_add', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ip_info=ip_info, ip_prefix=ip_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_ip_info_get(self, isis_intf=None, ip_info=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- ip_info (ip_add):
				ip_add (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_info', 'keyval': 'ip_add', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ip_info=ip_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_l1_circ_metrics_update(self, isis_intf=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- auth_check (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- auth_mode (unicode):
				enum - [u'none', u'cleartext', u'md5']

			- auth_key (unicode):

			- circ_metric (long):
				range - ['0..4294967295']

			- ip6_circ_metric (long):
				range - ['0..4294967295']

			- circ_priority (int):
				range - ['0..255']

			- hello_int (long):
				range - ['0..4294967295']

			- hello_mult (long):
				range - ['0..4294967295']

			- dis (unicode):

			- dis_ch (long):
				range - ['0..4294967295']

			- next_hello (long):
				range - ['0..4294967295']

			- active_adj (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_l1_circ_metrics_active_adj_update(self, isis_intf=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- auth_check (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- auth_mode (unicode):
				enum - [u'none', u'cleartext', u'md5']

			- auth_key (unicode):

			- circ_metric (long):
				range - ['0..4294967295']

			- ip6_circ_metric (long):
				range - ['0..4294967295']

			- circ_priority (int):
				range - ['0..255']

			- hello_int (long):
				range - ['0..4294967295']

			- hello_mult (long):
				range - ['0..4294967295']

			- dis (unicode):

			- dis_ch (long):
				range - ['0..4294967295']

			- next_hello (long):
				range - ['0..4294967295']

			- active_adj (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_l2_circ_metrics_update(self, isis_intf=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- auth_check (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- auth_mode (unicode):
				enum - [u'none', u'cleartext', u'md5']

			- auth_key (unicode):

			- circ_metric (long):
				range - ['0..4294967295']

			- ip6_circ_metric (long):
				range - ['0..4294967295']

			- circ_priority (int):
				range - ['0..255']

			- hello_int (long):
				range - ['0..4294967295']

			- hello_mult (long):
				range - ['0..4294967295']

			- dis (unicode):

			- dis_ch (long):
				range - ['0..4294967295']

			- next_hello (long):
				range - ['0..4294967295']

			- active_adj (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_l2_circ_metrics_active_adj_update(self, isis_intf=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- auth_check (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- auth_mode (unicode):
				enum - [u'none', u'cleartext', u'md5']

			- auth_key (unicode):

			- circ_metric (long):
				range - ['0..4294967295']

			- ip6_circ_metric (long):
				range - ['0..4294967295']

			- circ_priority (int):
				range - ['0..255']

			- hello_int (long):
				range - ['0..4294967295']

			- hello_mult (long):
				range - ['0..4294967295']

			- dis (unicode):

			- dis_ch (long):
				range - ['0..4294967295']

			- next_hello (long):
				range - ['0..4294967295']

			- active_adj (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_ldp_sync_info_update(self, isis_intf=None, ldp_sync_enabled=None, ldp_sync_hold_down=None, ldp_in_sync=None, remain_hd_time=None, ldp_sync_hd_expired=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- ldp_sync_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ldp_sync_hold_down (int):
				range - ['0..65535']

			- ldp_in_sync (YANGBool):

			- remain_hd_time (long):
				range - ['0..4294967295']

			- ldp_sync_hd_expired (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down, ldp_in_sync=ldp_in_sync, remain_hd_time=remain_hd_time, ldp_sync_hd_expired=ldp_sync_hd_expired)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_ldp_sync_info_ldp_in_sync_update(self, isis_intf=None, ldp_sync_enabled=None, ldp_sync_hold_down=None, ldp_in_sync=None, remain_hd_time=None, ldp_sync_hd_expired=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- ldp_sync_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ldp_sync_hold_down (int):
				range - ['0..65535']

			- ldp_in_sync (YANGBool):

			- remain_hd_time (long):
				range - ['0..4294967295']

			- ldp_sync_hd_expired (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down, ldp_in_sync=ldp_in_sync, remain_hd_time=remain_hd_time, ldp_sync_hd_expired=ldp_sync_hd_expired)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_mpls_info_update(self, isis_intf=None, te_enabled=None, admin_group=None, te_metric=None, max_link_bw=None, max_reserv_bw=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- te_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- admin_group (long):
				range - ['0..4294967295']

			- te_metric (long):
				range - ['0..4294967295']

			- max_link_bw (long):
				range - ['0..4294967295']

			- max_reserv_bw (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, te_enabled=te_enabled, admin_group=admin_group, te_metric=te_metric, max_link_bw=max_link_bw, max_reserv_bw=max_reserv_bw)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_mpls_info_admin_group_update(self, isis_intf=None, te_enabled=None, admin_group=None, te_metric=None, max_link_bw=None, max_reserv_bw=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- te_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- admin_group (long):
				range - ['0..4294967295']

			- te_metric (long):
				range - ['0..4294967295']

			- max_link_bw (long):
				range - ['0..4294967295']

			- max_reserv_bw (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, te_enabled=te_enabled, admin_group=admin_group, te_metric=te_metric, max_link_bw=max_link_bw, max_reserv_bw=max_reserv_bw)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_reverse_metric_info_update(self, isis_intf=None, is_global_config=None, reverse_metric_value=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- is_global_config (YANGBool):

			- reverse_metric_value (long):
				range - ['0..4294967295']

			- rev_metric_whole_lan (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- rev_metric_te_def_metric (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, is_global_config=is_global_config, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_interface_detail_isis_intf_reverse_metric_info_is_global_config_update(self, isis_intf=None, is_global_config=None, reverse_metric_value=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- isis_intf (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- is_global_config (YANGBool):

			- reverse_metric_value (long):
				range - ['0..4294967295']

			- rev_metric_whole_lan (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- rev_metric_te_def_metric (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, is_global_config=is_global_config, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv4_routes_update(self, total_routes_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- total_routes_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_routes_count=total_routes_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_create(self, ipv4_route_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_delete(self, ipv4_route_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_update(self, ipv4_route_entry=None, level=None, cost=None, tag=None, flags=None, is_l1_summarized=None, is_l2_summarized=None, is_summary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

		This Instance Arg(s):
			- level (int):
				range - ['0..255']

			- cost (long):
				range - ['0..4294967295']

			- tag (long):
				range - ['0..4294967295']

			- flags (int):
				range - ['0..65535']

			- is_l1_summarized (YANGBool):

			- is_l2_summarized (YANGBool):

			- is_summary (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry, level=level, cost=cost, tag=tag, flags=flags, is_l1_summarized=is_l1_summarized, is_l2_summarized=is_l2_summarized, is_summary=is_summary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_get(self, ipv4_route_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_nh_info_create(self, ipv4_route_entry=None, nh_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

		This Instance Keyword Arg Tuple:
			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_nh_info_delete(self, ipv4_route_entry=None, nh_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

		This Instance Keyword Arg Tuple:
			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_nh_info_update(self, ipv4_route_entry=None, nh_info=None, ipv4_nh_addr=None, is_mpls_tunnel_port=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

		This Instance Keyword Arg Tuple:
			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

		This Instance Arg(s):
			- ipv4_nh_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- is_mpls_tunnel_port (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, ipv4_nh_addr=ipv4_nh_addr, is_mpls_tunnel_port=is_mpls_tunnel_port)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_nh_info_get(self, ipv4_route_entry=None, nh_info=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

		This Instance Keyword Arg Tuple:
			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_nh_info_lsp_info_create(self, ipv4_route_entry=None, nh_info=None, lsp_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- lsp_info (lsp_name):
				lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry'), ('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', u'nh_info')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info.lsp_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}, {'keyval': 'outgoing_intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_info', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, lsp_info=lsp_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_nh_info_lsp_info_delete(self, ipv4_route_entry=None, nh_info=None, lsp_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- lsp_info (lsp_name):
				lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry'), ('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', u'nh_info')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info.lsp_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}, {'keyval': 'outgoing_intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_info', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, lsp_info=lsp_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv4_routes_ipv4_route_entry_nh_info_lsp_info_get(self, ipv4_route_entry=None, nh_info=None, lsp_info=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv4_route_entry (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len):
				ipv4_dest_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_subnet_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ipv4_prefix_len (int):
					range - ['-128..127']

			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

		This Instance Keyword Arg Tuple:
			- lsp_info (lsp_name):
				lsp_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry'), ('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', u'nh_info')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info.lsp_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}, {'keyval': 'outgoing_intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp_info', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, lsp_info=lsp_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_ipv4_routes_total_routes_count_update(self, total_routes_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- total_routes_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_routes_count=total_routes_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv6_routes_update(self, level1_route_count=None, level2_route_count=None, ecmp_route_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- level1_route_count (long):
				range - ['0..4294967295']

			- level2_route_count (long):
				range - ['0..4294967295']

			- ecmp_route_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, level1_route_count=level1_route_count, level2_route_count=level2_route_count, ecmp_route_count=ecmp_route_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv6_routes_ecmp_route_count_update(self, level1_route_count=None, level2_route_count=None, ecmp_route_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- level1_route_count (long):
				range - ['0..4294967295']

			- level2_route_count (long):
				range - ['0..4294967295']

			- ecmp_route_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, level1_route_count=level1_route_count, level2_route_count=level2_route_count, ecmp_route_count=ecmp_route_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv6_routes_ipv6_route_entry_create(self, ipv6_route_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ipv6_route_entry (ipv6_dest_addr, ipv6_prefix_len):
				ipv6_dest_addr (unicode):

				ipv6_prefix_len (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_route_entry=ipv6_route_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv6_routes_ipv6_route_entry_delete(self, ipv6_route_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ipv6_route_entry (ipv6_dest_addr, ipv6_prefix_len):
				ipv6_dest_addr (unicode):

				ipv6_prefix_len (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_route_entry=ipv6_route_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv6_routes_ipv6_route_entry_update(self, ipv6_route_entry=None, level=None, cost=None, tag=None, flags=None, is_l1_summarized=None, is_l2_summarized=None, is_summary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ipv6_route_entry (ipv6_dest_addr, ipv6_prefix_len):
				ipv6_dest_addr (unicode):

				ipv6_prefix_len (int):
					range - ['0..255']

		This Instance Arg(s):
			- level (int):
				range - ['0..255']

			- cost (long):
				range - ['0..4294967295']

			- tag (long):
				range - ['0..4294967295']

			- flags (int):
				range - ['0..65535']

			- is_l1_summarized (YANGBool):

			- is_l2_summarized (YANGBool):

			- is_summary (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_route_entry=ipv6_route_entry, level=level, cost=cost, tag=tag, flags=flags, is_l1_summarized=is_l1_summarized, is_l2_summarized=is_l2_summarized, is_summary=is_summary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv6_routes_ipv6_route_entry_get(self, ipv6_route_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ipv6_route_entry (ipv6_dest_addr, ipv6_prefix_len):
				ipv6_dest_addr (unicode):

				ipv6_prefix_len (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_route_entry=ipv6_route_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_ipv6_routes_ipv6_route_entry_nh_info_create(self, ipv6_route_entry=None, nh_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv6_route_entry (ipv6_dest_addr, ipv6_prefix_len):
				ipv6_dest_addr (unicode):

				ipv6_prefix_len (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', u'ipv6_route_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_route_entry=ipv6_route_entry, nh_info=nh_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv6_routes_ipv6_route_entry_nh_info_delete(self, ipv6_route_entry=None, nh_info=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv6_route_entry (ipv6_dest_addr, ipv6_prefix_len):
				ipv6_dest_addr (unicode):

				ipv6_prefix_len (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', u'ipv6_route_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_route_entry=ipv6_route_entry, nh_info=nh_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv6_routes_ipv6_route_entry_nh_info_update(self, ipv6_route_entry=None, nh_info=None, ipv6_nh_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv6_route_entry (ipv6_dest_addr, ipv6_prefix_len):
				ipv6_dest_addr (unicode):

				ipv6_prefix_len (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

		This Instance Arg(s):
			- ipv6_nh_addr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', u'ipv6_route_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_route_entry=ipv6_route_entry, nh_info=nh_info, ipv6_nh_addr=ipv6_nh_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_ipv6_routes_ipv6_route_entry_nh_info_get(self, ipv6_route_entry=None, nh_info=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ipv6_route_entry (ipv6_dest_addr, ipv6_prefix_len):
				ipv6_dest_addr (unicode):

				ipv6_prefix_len (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- nh_info (outgoing_intf_name):
				outgoing_intf_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', u'ipv6_route_entry')]
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_route_entry=ipv6_route_entry, nh_info=nh_info)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_router_isis_config_update(self, nsr_state=None, lsp_flood_count=None, lsp_fast_flood_count=None, fast_flood_wait_count=None, hello_padding=None, hello_padding_ptp=None, csnp_interval=None, lsp_gen_interval=None, lsp_interval=None, lsp_refresh_interval=None, lsp_lifetime=None, retransmit_interval=None, pspf_enabled=None, ispf_enabled=None, istct_spf_enabled=None, overload_state=None, overload_startup_time=None, overload_wait_on_bgp=None, overload_bgp_wait_time=None, enable_code_assertions=None, graceful_restart_helper=None, isis_hostname_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- nsr_state (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- lsp_flood_count (int):
				range - ['0..65535']

			- lsp_fast_flood_count (int):
				range - ['0..65535']

			- fast_flood_wait_count (int):
				range - ['0..65535']

			- hello_padding (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- hello_padding_ptp (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- csnp_interval (int):
				range - ['0..65535']

			- lsp_gen_interval (int):
				range - ['0..65535']

			- lsp_interval (long):
				range - ['0..4294967295']

			- lsp_refresh_interval (int):
				range - ['0..65535']

			- lsp_lifetime (int):
				range - ['0..65535']

			- retransmit_interval (int):
				range - ['0..65535']

			- pspf_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ispf_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- istct_spf_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- overload_state (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- overload_startup_time (long):
				range - ['0..4294967295']

			- overload_wait_on_bgp (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- overload_bgp_wait_time (long):
				range - ['0..4294967295']

			- enable_code_assertions (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- graceful_restart_helper (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- isis_hostname_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsr_state=nsr_state, lsp_flood_count=lsp_flood_count, lsp_fast_flood_count=lsp_fast_flood_count, fast_flood_wait_count=fast_flood_wait_count, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, csnp_interval=csnp_interval, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, lsp_lifetime=lsp_lifetime, retransmit_interval=retransmit_interval, pspf_enabled=pspf_enabled, ispf_enabled=ispf_enabled, istct_spf_enabled=istct_spf_enabled, overload_state=overload_state, overload_startup_time=overload_startup_time, overload_wait_on_bgp=overload_wait_on_bgp, overload_bgp_wait_time=overload_bgp_wait_time, enable_code_assertions=enable_code_assertions, graceful_restart_helper=graceful_restart_helper, isis_hostname_enabled=isis_hostname_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_csnp_interval_update(self, nsr_state=None, lsp_flood_count=None, lsp_fast_flood_count=None, fast_flood_wait_count=None, hello_padding=None, hello_padding_ptp=None, csnp_interval=None, lsp_gen_interval=None, lsp_interval=None, lsp_refresh_interval=None, lsp_lifetime=None, retransmit_interval=None, pspf_enabled=None, ispf_enabled=None, istct_spf_enabled=None, overload_state=None, overload_startup_time=None, overload_wait_on_bgp=None, overload_bgp_wait_time=None, enable_code_assertions=None, graceful_restart_helper=None, isis_hostname_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- nsr_state (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- lsp_flood_count (int):
				range - ['0..65535']

			- lsp_fast_flood_count (int):
				range - ['0..65535']

			- fast_flood_wait_count (int):
				range - ['0..65535']

			- hello_padding (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- hello_padding_ptp (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- csnp_interval (int):
				range - ['0..65535']

			- lsp_gen_interval (int):
				range - ['0..65535']

			- lsp_interval (long):
				range - ['0..4294967295']

			- lsp_refresh_interval (int):
				range - ['0..65535']

			- lsp_lifetime (int):
				range - ['0..65535']

			- retransmit_interval (int):
				range - ['0..65535']

			- pspf_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ispf_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- istct_spf_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- overload_state (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- overload_startup_time (long):
				range - ['0..4294967295']

			- overload_wait_on_bgp (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- overload_bgp_wait_time (long):
				range - ['0..4294967295']

			- enable_code_assertions (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- graceful_restart_helper (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- isis_hostname_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsr_state=nsr_state, lsp_flood_count=lsp_flood_count, lsp_fast_flood_count=lsp_fast_flood_count, fast_flood_wait_count=fast_flood_wait_count, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, csnp_interval=csnp_interval, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, lsp_lifetime=lsp_lifetime, retransmit_interval=retransmit_interval, pspf_enabled=pspf_enabled, ispf_enabled=ispf_enabled, istct_spf_enabled=istct_spf_enabled, overload_state=overload_state, overload_startup_time=overload_startup_time, overload_wait_on_bgp=overload_wait_on_bgp, overload_bgp_wait_time=overload_bgp_wait_time, enable_code_assertions=enable_code_assertions, graceful_restart_helper=graceful_restart_helper, isis_hostname_enabled=isis_hostname_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_debug_handler_update(self, debug_nsr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- debug_nsr (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.debug_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, debug_nsr=debug_nsr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_debug_handler_debug_nsr_update(self, debug_nsr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- debug_nsr (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.debug_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, debug_nsr=debug_nsr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_update(self, afi=None, safi=None, originate_default_route=None, originate_default_routemap_name=None, default_metric=None, l1_default_link_metric=None, l2_default_link_metric=None, administrative_distance=None, maximum_equal_cost_paths=None, l1_wide_metric_enabled=None, l2_wide_metric_enabled=None, ldp_sync_enabled=None, ldp_sync_hold_down=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- afi (unicode):
				enum - [u'isis-ipv6-afi', u'isis-ipv4-afi']

			- safi (unicode):
				enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- originate_default_route (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- originate_default_routemap_name (unicode):

			- default_metric (int):
				range - ['0..65535']

			- l1_default_link_metric (long):
				range - ['0..4294967295']

			- l2_default_link_metric (long):
				range - ['0..4294967295']

			- administrative_distance (long):
				range - ['0..4294967295']

			- maximum_equal_cost_paths (long):
				range - ['0..4294967295']

			- l1_wide_metric_enabled (YANGBool):

			- l2_wide_metric_enabled (YANGBool):

			- ldp_sync_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ldp_sync_hold_down (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, l1_wide_metric_enabled=l1_wide_metric_enabled, l2_wide_metric_enabled=l2_wide_metric_enabled, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_administrative_distance_update(self, afi=None, safi=None, originate_default_route=None, originate_default_routemap_name=None, default_metric=None, l1_default_link_metric=None, l2_default_link_metric=None, administrative_distance=None, maximum_equal_cost_paths=None, l1_wide_metric_enabled=None, l2_wide_metric_enabled=None, ldp_sync_enabled=None, ldp_sync_hold_down=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- afi (unicode):
				enum - [u'isis-ipv6-afi', u'isis-ipv4-afi']

			- safi (unicode):
				enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- originate_default_route (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- originate_default_routemap_name (unicode):

			- default_metric (int):
				range - ['0..65535']

			- l1_default_link_metric (long):
				range - ['0..4294967295']

			- l2_default_link_metric (long):
				range - ['0..4294967295']

			- administrative_distance (long):
				range - ['0..4294967295']

			- maximum_equal_cost_paths (long):
				range - ['0..4294967295']

			- l1_wide_metric_enabled (YANGBool):

			- l2_wide_metric_enabled (YANGBool):

			- ldp_sync_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ldp_sync_hold_down (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, l1_wide_metric_enabled=l1_wide_metric_enabled, l2_wide_metric_enabled=l2_wide_metric_enabled, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_bgp_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_bgp_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_connected_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_connected_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_isis_update(self, redist_is_l2_to_l1=None, redist_is_l2_to_l1_prefix=None, redist_is_l1_to_l2=None, redist_is_l1_to_l2_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_is_l2_to_l1 (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_is_l2_to_l1_prefix (unicode):

			- redist_is_l1_to_l2 (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_is_l1_to_l2_prefix (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_isis_redist_is_l1_to_l2_update(self, redist_is_l2_to_l1=None, redist_is_l2_to_l1_prefix=None, redist_is_l1_to_l2=None, redist_is_l1_to_l2_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_is_l2_to_l1 (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_is_l2_to_l1_prefix (unicode):

			- redist_is_l1_to_l2 (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_is_l1_to_l2_prefix (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_ospf_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, ospf_internal_enabled=None, ospf_external1_enabled=None, ospf_external2_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- ospf_internal_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ospf_external1_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ospf_external2_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_ospf_ospf_external1_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, ospf_internal_enabled=None, ospf_external1_enabled=None, ospf_external2_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- ospf_internal_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ospf_external1_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ospf_external2_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_rip_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_rip_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_static_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_redist_static_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_summary_address_v4_create(self, summary_address_v4=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_address_v4 (address):
				address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_address_v4', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_address_v4=summary_address_v4)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_summary_address_v4_delete(self, summary_address_v4=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_address_v4 (address):
				address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_address_v4', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_address_v4=summary_address_v4)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_summary_address_v4_update(self, summary_address_v4=None, ipv4_mask=None, level=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_address_v4 (address):
				address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ipv4_mask (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_address_v4', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_address_v4=summary_address_v4, ipv4_mask=ipv4_mask, level=level)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v4_summary_address_v4_get(self, summary_address_v4=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_address_v4 (address):
				address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_address_v4', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_address_v4=summary_address_v4)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_update(self, afi=None, safi=None, originate_default_route=None, originate_default_routemap_name=None, default_metric=None, l1_default_link_metric=None, l2_default_link_metric=None, administrative_distance=None, maximum_equal_cost_paths=None, adjacency_check=None, multi_topology=None, mt_transition_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- afi (unicode):
				enum - [u'isis-ipv6-afi', u'isis-ipv4-afi']

			- safi (unicode):
				enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- originate_default_route (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- originate_default_routemap_name (unicode):

			- default_metric (int):
				range - ['0..65535']

			- l1_default_link_metric (long):
				range - ['0..4294967295']

			- l2_default_link_metric (long):
				range - ['0..4294967295']

			- administrative_distance (long):
				range - ['0..4294967295']

			- maximum_equal_cost_paths (long):
				range - ['0..4294967295']

			- adjacency_check (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- multi_topology (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- mt_transition_state (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, adjacency_check=adjacency_check, multi_topology=multi_topology, mt_transition_state=mt_transition_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_adjacency_check_update(self, afi=None, safi=None, originate_default_route=None, originate_default_routemap_name=None, default_metric=None, l1_default_link_metric=None, l2_default_link_metric=None, administrative_distance=None, maximum_equal_cost_paths=None, adjacency_check=None, multi_topology=None, mt_transition_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- afi (unicode):
				enum - [u'isis-ipv6-afi', u'isis-ipv4-afi']

			- safi (unicode):
				enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- originate_default_route (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- originate_default_routemap_name (unicode):

			- default_metric (int):
				range - ['0..65535']

			- l1_default_link_metric (long):
				range - ['0..4294967295']

			- l2_default_link_metric (long):
				range - ['0..4294967295']

			- administrative_distance (long):
				range - ['0..4294967295']

			- maximum_equal_cost_paths (long):
				range - ['0..4294967295']

			- adjacency_check (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- multi_topology (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- mt_transition_state (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, adjacency_check=adjacency_check, multi_topology=multi_topology, mt_transition_state=mt_transition_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_bgp_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_bgp_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_connected_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_connected_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_isis_update(self, redist_is_l2_to_l1=None, redist_is_l2_to_l1_prefix=None, redist_is_l1_to_l2=None, redist_is_l1_to_l2_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_is_l2_to_l1 (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_is_l2_to_l1_prefix (unicode):

			- redist_is_l1_to_l2 (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_is_l1_to_l2_prefix (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_isis_redist_is_l1_to_l2_update(self, redist_is_l2_to_l1=None, redist_is_l2_to_l1_prefix=None, redist_is_l1_to_l2=None, redist_is_l1_to_l2_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_is_l2_to_l1 (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_is_l2_to_l1_prefix (unicode):

			- redist_is_l1_to_l2 (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_is_l1_to_l2_prefix (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_ospf_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, ospf_internal_enabled=None, ospf_external1_enabled=None, ospf_external2_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- ospf_internal_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ospf_external1_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ospf_external2_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_ospf_ospf_external1_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, ospf_internal_enabled=None, ospf_external1_enabled=None, ospf_external2_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- ospf_internal_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ospf_external1_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- ospf_external2_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_rip_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_rip_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_static_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_redist_static_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redist_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- redist_level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- redist_metric (long):
				range - ['0..4294967295']

			- redist_metric_type (unicode):
				enum - [u'is-metric-external', u'is-metric-internal']

			- redist_routemap_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_summary_prefix_v6_create(self, summary_prefix_v6=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_prefix_v6 (address):
				address (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.summary_prefix_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_prefix_v6', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_prefix_v6=summary_prefix_v6)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_summary_prefix_v6_delete(self, summary_prefix_v6=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_prefix_v6 (address):
				address (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.summary_prefix_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_prefix_v6', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_prefix_v6=summary_prefix_v6)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_summary_prefix_v6_update(self, summary_prefix_v6=None, level=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_prefix_v6 (address):
				address (unicode):

		This Instance Arg(s):
			- level (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.summary_prefix_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_prefix_v6', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_prefix_v6=summary_prefix_v6, level=level)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_is_address_family_v6_summary_prefix_v6_get(self, summary_prefix_v6=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_prefix_v6 (address):
				address (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.summary_prefix_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_prefix_v6', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_prefix_v6=summary_prefix_v6)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_router_isis_config_isis_system_info_update(self, protocol_enabled=None, operation_mode=None, system_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- protocol_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- operation_mode (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- system_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_enabled=protocol_enabled, operation_mode=operation_mode, system_id=system_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_isis_system_info_nsap_create(self, nsap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- nsap (net_addr):
				net_addr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info.nsap', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'nsap', 'keyval': 'net_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsap=nsap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_isis_system_info_nsap_delete(self, nsap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- nsap (net_addr):
				net_addr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info.nsap', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'nsap', 'keyval': 'net_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsap=nsap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_isis_system_info_nsap_update(self, nsap=None, length=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- nsap (net_addr):
				net_addr (unicode):

		This Instance Arg(s):
			- length (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info.nsap', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'nsap', 'keyval': 'net_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsap=nsap, length=length)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_isis_system_info_nsap_get(self, nsap=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- nsap (net_addr):
				net_addr (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info.nsap', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'nsap', 'keyval': 'net_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsap=nsap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isis_state_router_isis_config_isis_system_info_operation_mode_update(self, protocol_enabled=None, operation_mode=None, system_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- protocol_enabled (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- operation_mode (unicode):
				enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

			- system_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_enabled=protocol_enabled, operation_mode=operation_mode, system_id=system_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l1_auth_profile_update(self, auth_check=None, auth_mode=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_check (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- auth_mode (unicode):
				enum - [u'none', u'cleartext', u'md5']

			- auth_key (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l1_auth_profile_auth_check_update(self, auth_check=None, auth_mode=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_check (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- auth_mode (unicode):
				enum - [u'none', u'cleartext', u'md5']

			- auth_key (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l1_spf6_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l1_spf6_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l1_spf_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l1_spf_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l2_auth_profile_update(self, auth_check=None, auth_mode=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_check (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- auth_mode (unicode):
				enum - [u'none', u'cleartext', u'md5']

			- auth_key (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l2_auth_profile_auth_check_update(self, auth_check=None, auth_mode=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_check (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- auth_mode (unicode):
				enum - [u'none', u'cleartext', u'md5']

			- auth_key (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l2_spf6_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l2_spf6_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l2_spf_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_l2_spf_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_log_handler_update(self, log_adj_state_change=None, log_bad_lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- log_adj_state_change (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- log_bad_lsp (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.log_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, log_adj_state_change=log_adj_state_change, log_bad_lsp=log_bad_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_log_handler_log_adj_state_change_update(self, log_adj_state_change=None, log_bad_lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- log_adj_state_change (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- log_bad_lsp (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.log_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, log_adj_state_change=log_adj_state_change, log_bad_lsp=log_bad_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_pspf6_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_pspf6_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_pspf_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_pspf_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- init_delay_time (long):
				range - ['0..4294967295']

			- hold_down_time (long):
				range - ['0..4294967295']

			- max_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_reverse_metric_update(self, reverse_metric_value=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, rev_metric_tlv_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- reverse_metric_value (long):
				range - ['0..4294967295']

			- rev_metric_whole_lan (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- rev_metric_te_def_metric (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- rev_metric_tlv_type (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric, rev_metric_tlv_type=rev_metric_tlv_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isis_state_router_isis_config_reverse_metric_rev_metric_te_def_metric_update(self, reverse_metric_value=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, rev_metric_tlv_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- reverse_metric_value (long):
				range - ['0..4294967295']

			- rev_metric_whole_lan (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- rev_metric_te_def_metric (unicode):
				enum - [u'is-disabled', u'is-enabled']

			- rev_metric_tlv_type (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric, rev_metric_tlv_type=rev_metric_tlv_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_get_device_brief_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.brocade_isns_ext_rpc.isns_get_device_brief', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc.brocade_isns_ext', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_get_discovery_domain_rpc(self, isns_dd_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- isns_dd_name (unicode):
				length - [u'1..255']
				pattern - [-_0-9a-zA-Z]{1,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.brocade_isns_ext_rpc.isns_get_discovery_domain.input', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc.brocade_isns_ext', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_dd_name=isns_dd_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_get_discovery_domain_set_rpc(self, isns_dds_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- isns_dds_name (unicode):
				length - [u'1..255']
				pattern - [-_0-9a-zA-Z]{1,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.brocade_isns_ext_rpc.isns_get_discovery_domain_set.input', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc.brocade_isns_ext', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_dds_name=isns_dds_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_get_last_device_timestamp_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.brocade_isns_ext_rpc.isns_get_last_device_timestamp', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc.brocade_isns_ext', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_get_server_role_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.brocade_isns_ext_rpc.isns_get_server_role', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc.brocade_isns_ext', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_get_vrf_forwarding_rpc(self, isns_vrf_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- isns_vrf_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.brocade_isns_ext_rpc.isns_get_vrf_forwarding.input', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc.brocade_isns_ext', 'pybind.nos.v7_1_0.brocade_isns_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf_id=isns_vrf_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_vrf_forwarding_create(self, isns_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Keyword Arg Tuple:
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isns_vrf', 'keyval': 'isns_vrf_instance', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_vrf_forwarding_delete(self, isns_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Keyword Arg Tuple:
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isns_vrf', 'keyval': 'isns_vrf_instance', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_vrf_forwarding_update(self, isns_vrf=None, isns_ipaddress=None, esi_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Keyword Arg Tuple:
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

		This Instance Arg(s):
			- isns_ipaddress (unicode):
				yang info - iSNS VRF forwarding IP address A.B.C.D format
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- esi_timeout (long):
				yang info - iSNS VRF forwarding esi timeout.Default esi time is 300.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isns_vrf', 'keyval': 'isns_vrf_instance', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf, isns_ipaddress=isns_ipaddress, esi_timeout=esi_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_vrf_forwarding_get(self, isns_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Keyword Arg Tuple:
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'isns_vrf', 'keyval': 'isns_vrf_instance', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isns_vrf_forwarding_discovery_domain_create(self, isns_vrf=None, isns_discovery_domain=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- isns_discovery_domain (isns_discovery_domain_name):
				isns_discovery_domain_name (unicode):
					yang info - iSNS Discovery Domain Name (Max Size - 256)
					length - [u'1..255']
					pattern - [-_0-9a-zA-Z]{1,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain', 'keyval': 'isns_discovery_domain_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf, isns_discovery_domain=isns_discovery_domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_vrf_forwarding_discovery_domain_delete(self, isns_vrf=None, isns_discovery_domain=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- isns_discovery_domain (isns_discovery_domain_name):
				isns_discovery_domain_name (unicode):
					yang info - iSNS Discovery Domain Name (Max Size - 256)
					length - [u'1..255']
					pattern - [-_0-9a-zA-Z]{1,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain', 'keyval': 'isns_discovery_domain_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf, isns_discovery_domain=isns_discovery_domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_vrf_forwarding_discovery_domain_get(self, isns_vrf=None, isns_discovery_domain=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- isns_discovery_domain (isns_discovery_domain_name):
				isns_discovery_domain_name (unicode):
					yang info - iSNS Discovery Domain Name (Max Size - 256)
					length - [u'1..255']
					pattern - [-_0-9a-zA-Z]{1,255}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain', 'keyval': 'isns_discovery_domain_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf, isns_discovery_domain=isns_discovery_domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def isns_vrf_forwarding_discovery_domain_set_create(self, isns_vrf=None, isns_discovery_domain_set=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- isns_discovery_domain_set (isns_discovery_domain_set_name):
				isns_discovery_domain_set_name (unicode):
					yang info - iSNS Discovery Domain Set Name (Max Size - 256)
					length - [u'1..255']
					pattern - [-_0-9a-zA-Z]{1,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain_set', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain_set', 'keyval': 'isns_discovery_domain_set_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf, isns_discovery_domain_set=isns_discovery_domain_set)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_vrf_forwarding_discovery_domain_set_delete(self, isns_vrf=None, isns_discovery_domain_set=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- isns_discovery_domain_set (isns_discovery_domain_set_name):
				isns_discovery_domain_set_name (unicode):
					yang info - iSNS Discovery Domain Set Name (Max Size - 256)
					length - [u'1..255']
					pattern - [-_0-9a-zA-Z]{1,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain_set', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain_set', 'keyval': 'isns_discovery_domain_set_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf, isns_discovery_domain_set=isns_discovery_domain_set)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_vrf_forwarding_discovery_domain_set_update(self, isns_vrf=None, isns_discovery_domain_set=None, isns_discovery_domain_set_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- isns_discovery_domain_set (isns_discovery_domain_set_name):
				isns_discovery_domain_set_name (unicode):
					yang info - iSNS Discovery Domain Set Name (Max Size - 256)
					length - [u'1..255']
					pattern - [-_0-9a-zA-Z]{1,255}

		This Instance Arg(s):
			- isns_discovery_domain_set_enable (YANGBool):
				yang info - Enable Discovery Domain Set

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain_set', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain_set', 'keyval': 'isns_discovery_domain_set_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf, isns_discovery_domain_set=isns_discovery_domain_set, isns_discovery_domain_set_enable=isns_discovery_domain_set_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def isns_vrf_forwarding_discovery_domain_set_get(self, isns_vrf=None, isns_discovery_domain_set=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- isns_vrf (isns_vrf_instance):
				isns_vrf_instance (long):
					yang info - iSNS VRF forwarding value 1
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- isns_discovery_domain_set (isns_discovery_domain_set_name):
				isns_discovery_domain_set_name (unicode):
					yang info - iSNS Discovery Domain Set Name (Max Size - 256)
					length - [u'1..255']
					pattern - [-_0-9a-zA-Z]{1,255}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain_set', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain_set', 'keyval': 'isns_discovery_domain_set_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf, isns_discovery_domain_set=isns_discovery_domain_set)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def l2traceroute_rpc(self, src_mac=None, dest_mac=None, vlan_id=None, rbridge_id=None, src_ip=None, dest_ip=None, l4protocol=None, l4_src_port=None, l4_dest_port=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- src_mac (unicode):

			- dest_mac (unicode):

			- vlan_id (long):
				range - ['0..4294967295']

			- rbridge_id (long):
				yang info - Syntax: rbridge-id [rbridge-id]
				range - ['0..4294967295']

			- src_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- dest_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- l4protocol (unicode):
				enum - [u'UDP', u'TCP']

			- l4_src_port (int):
				range - ['0..65535']

			- l4_dest_port (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_trilloam_rpc.l2traceroute.input', 'pybind.nos.v6_0_2b.brocade_trilloam_rpc.brocade_trilloam', 'pybind.nos.v6_0_2b.brocade_trilloam_rpc'), ('pybind.nos.v7_0_1a.brocade_trilloam_rpc.l2traceroute.input', 'pybind.nos.v7_0_1a.brocade_trilloam_rpc.brocade_trilloam', 'pybind.nos.v7_0_1a.brocade_trilloam_rpc'), ('pybind.nos.v7_1_0.brocade_trilloam_rpc.l2traceroute.input', 'pybind.nos.v7_1_0.brocade_trilloam_rpc.brocade_trilloam', 'pybind.nos.v7_1_0.brocade_trilloam_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, src_mac=src_mac, dest_mac=dest_mac, vlan_id=vlan_id, rbridge_id=rbridge_id, src_ip=src_ip, dest_ip=dest_ip, l4protocol=l4protocol, l4_src_port=l4_src_port, l4_dest_port=l4_dest_port)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def l2traceroute_result_rpc(self, session_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- session_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_trilloam_rpc.l2traceroute_result.input', 'pybind.nos.v6_0_2b.brocade_trilloam_rpc.brocade_trilloam', 'pybind.nos.v6_0_2b.brocade_trilloam_rpc'), ('pybind.nos.v7_0_1a.brocade_trilloam_rpc.l2traceroute_result.input', 'pybind.nos.v7_0_1a.brocade_trilloam_rpc.brocade_trilloam', 'pybind.nos.v7_0_1a.brocade_trilloam_rpc'), ('pybind.nos.v7_1_0.brocade_trilloam_rpc.l2traceroute_result.input', 'pybind.nos.v7_1_0.brocade_trilloam_rpc.brocade_trilloam', 'pybind.nos.v7_1_0.brocade_trilloam_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, session_id=session_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def lacp_update(self, system_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- system_priority (long):
				yang info - LACP system priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.lacp', 'pybind.nos.v6_0_2b.brocade_lacp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.lacp', 'pybind.nos.v7_0_1a.brocade_lacp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.lacp', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.lacp', 'pybind.slxos.v16r_1_00b.brocade_lacp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, system_priority=system_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def lacp_system_priority_update(self, system_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- system_priority (long):
				yang info - LACP system priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.lacp', 'pybind.nos.v6_0_2b.brocade_lacp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.lacp', 'pybind.nos.v7_0_1a.brocade_lacp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.lacp', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.lacp', 'pybind.slxos.v16r_1_00b.brocade_lacp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, system_priority=system_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def lag_hash_update(self, hdr_count=None, rotate=None, normalize=None, srcport=None, pwctrlword=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hdr_count (long):
				yang info - Number of headers to be considered for LAG hashing
				range - ['0..4294967295']

			- rotate (long):
				yang info - Hash Rotate
				range - ['0..4294967295']

			- normalize (YANGBool):
				yang info - Enable/Disable using the same hash in both directions of a flow

			- srcport (YANGBool):
				yang info - Include/Exclude Source port

			- pwctrlword (YANGBool):
				yang info - Include/Exclude PW control word in hashing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hdr_count=hdr_count, rotate=rotate, normalize=normalize, srcport=srcport, pwctrlword=pwctrlword)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def lag_hash_bos_update(self, start_skip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- start_skip (unicode):
				enum - [u'start', u'skip']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.bos', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, start_skip=start_skip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def lag_hash_hdr_count_update(self, hdr_count=None, rotate=None, normalize=None, srcport=None, pwctrlword=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hdr_count (long):
				yang info - Number of headers to be considered for LAG hashing
				range - ['0..4294967295']

			- rotate (long):
				yang info - Hash Rotate
				range - ['0..4294967295']

			- normalize (YANGBool):
				yang info - Enable/Disable using the same hash in both directions of a flow

			- srcport (YANGBool):
				yang info - Include/Exclude Source port

			- pwctrlword (YANGBool):
				yang info - Include/Exclude PW control word in hashing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hdr_count=hdr_count, rotate=rotate, normalize=normalize, srcport=srcport, pwctrlword=pwctrlword)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def lag_hash_hdr_start_update(self, fwd_term=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- fwd_term (unicode):
				enum - [u'fwd', u'term']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.hdr_start', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fwd_term=fwd_term)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def lag_hash_speculate_mpls_update(self, enable_eth_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable_eth_ip (unicode):
				enum - [u'enable', u'inner-ipv6-raw', u'inner-eth', u'inner-ipv6-tag', u'inner-ip-tag', u'inner-ip-raw']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.speculate_mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_eth_ip=enable_eth_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ldap_server_host_create(self, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this LDAP server
					length - [u'1..max']
					pattern - \p{IsBasicLatin}{0,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ldap_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ldap_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ldap_server_host_delete(self, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this LDAP server
					length - [u'1..max']
					pattern - \p{IsBasicLatin}{0,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ldap_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ldap_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ldap_server_host_update(self, host=None, port=None, retries=None, timeout=None, basedn=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this LDAP server
					length - [u'1..max']
					pattern - \p{IsBasicLatin}{0,255}

		This Instance Arg(s):
			- port (int):
				yang info - TCP Port for Authentication (default=389)
				range - ['0..65535']

			- retries (int):
				yang info - Number of retries for this server connection
 (default=5)
				range - ['0..255']

			- timeout (int):
				yang info - Wait time for this server to respond
 (default=5 sec)
				range - ['0..255']

			- basedn (unicode):
				yang info - Base Domain Name (default='local')
				length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ldap_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ldap_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, port=port, retries=retries, timeout=timeout, basedn=basedn)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ldap_server_host_get(self, host=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this LDAP server
					length - [u'1..max']
					pattern - \p{IsBasicLatin}{0,255}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ldap_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ldap_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ldap_server_host_basedn_update(self, host=None, port=None, retries=None, timeout=None, basedn=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- host (hostname, use_vrf):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this LDAP server
					length - [u'1..max']
					pattern - \p{IsBasicLatin}{0,255}

				use_vrf (unicode):
					yang info - VRF to choose for server connection
(Default=mgmt-vrf)
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- port (int):
				yang info - TCP Port for Authentication (default=389)
				range - ['0..65535']

			- retries (int):
				yang info - Number of retries for this server connection
 (default=5)
				range - ['0..255']

			- timeout (int):
				yang info - Wait time for this server to respond
 (default=5 sec)
				range - ['0..255']

			- basedn (unicode):
				yang info - Base Domain Name (default='local')
				length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.ldap_server.host', u'host')]
        bindings_list = [('pybind.slxos.v16r_1_00b.ldap_server.host.ldap_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, port=port, retries=retries, timeout=timeout, basedn=basedn)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ldap_server_maprole_group_create(self, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group (ad_group, switch_role):
				ad_group (unicode):
					yang info - AD group belongs to user on the AD Server
					length - [u'1..max']

				switch_role (unicode):
					yang info - AD group belongs to user on the AD Server
					length - [u'4 .. 32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ldap_server.maprole.group', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ldap_server.maprole.group', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ldap_server.maprole.group', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.maprole.group', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'ad_group', 'extra_keyval': 'ad_group, switch_role'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ldap_server_maprole_group_delete(self, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group (ad_group, switch_role):
				ad_group (unicode):
					yang info - AD group belongs to user on the AD Server
					length - [u'1..max']

				switch_role (unicode):
					yang info - AD group belongs to user on the AD Server
					length - [u'4 .. 32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ldap_server.maprole.group', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ldap_server.maprole.group', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ldap_server.maprole.group', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.maprole.group', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'ad_group', 'extra_keyval': 'ad_group, switch_role'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ldap_server_maprole_group_update(self, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group (ad_group, switch_role):
				ad_group (unicode):
					yang info - AD group belongs to user on the AD Server
					length - [u'1..max']

				switch_role (unicode):
					yang info - AD group belongs to user on the AD Server
					length - [u'4 .. 32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ldap_server.maprole.group', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ldap_server.maprole.group', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ldap_server.maprole.group', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.maprole.group', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'ad_group', 'extra_keyval': 'ad_group, switch_role'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ldap_server_maprole_group_get(self, group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group (ad_group, switch_role):
				ad_group (unicode):
					yang info - AD group belongs to user on the AD Server
					length - [u'1..max']

				switch_role (unicode):
					yang info - AD group belongs to user on the AD Server
					length - [u'4 .. 32']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ldap_server.maprole.group', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ldap_server.maprole.group', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ldap_server.maprole.group', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.maprole.group', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'ad_group', 'extra_keyval': 'ad_group, switch_role'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def line_create(self, line=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- line (sessionid):
				sessionid (unicode):
					yang info - Terminal type
					enum - [u'vty']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.terminal_cfg.line', 'pybind.nos.v6_0_2b.brocade_terminal', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.terminal_cfg.line', 'pybind.nos.v7_0_1a.brocade_terminal', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.terminal_cfg.line', 'pybind.nos.v7_1_0.brocade_terminal', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.terminal_cfg.line', 'pybind.slxos.v16r_1_00b.brocade_terminal', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'line', 'keyval': 'sessionid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, line=line)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def line_delete(self, line=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- line (sessionid):
				sessionid (unicode):
					yang info - Terminal type
					enum - [u'vty']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.terminal_cfg.line', 'pybind.nos.v6_0_2b.brocade_terminal', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.terminal_cfg.line', 'pybind.nos.v7_0_1a.brocade_terminal', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.terminal_cfg.line', 'pybind.nos.v7_1_0.brocade_terminal', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.terminal_cfg.line', 'pybind.slxos.v16r_1_00b.brocade_terminal', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'line', 'keyval': 'sessionid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, line=line)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def line_update(self, line=None, exec_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- line (sessionid):
				sessionid (unicode):
					yang info - Terminal type
					enum - [u'vty']

		This Instance Arg(s):
			- exec_timeout (long):
				yang info - CLI session maximum idle time (in minutes) 
before automatic logout
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.terminal_cfg.line', 'pybind.nos.v6_0_2b.brocade_terminal', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.terminal_cfg.line', 'pybind.nos.v7_0_1a.brocade_terminal', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.terminal_cfg.line', 'pybind.nos.v7_1_0.brocade_terminal', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.terminal_cfg.line', 'pybind.slxos.v16r_1_00b.brocade_terminal', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'line', 'keyval': 'sessionid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, line=line, exec_timeout=exec_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def line_get(self, line=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- line (sessionid):
				sessionid (unicode):
					yang info - Terminal type
					enum - [u'vty']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.terminal_cfg.line', 'pybind.nos.v6_0_2b.brocade_terminal', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.terminal_cfg.line', 'pybind.nos.v7_0_1a.brocade_terminal', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.terminal_cfg.line', 'pybind.nos.v7_1_0.brocade_terminal', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.terminal_cfg.line', 'pybind.slxos.v16r_1_00b.brocade_terminal', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'line', 'keyval': 'sessionid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, line=line)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def linecard_create(self, linecards=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- linecards (linecardName, linecardType):
				linecardName (unicode):
					pattern - ([1-9]|[1][0-6])

				linecardType (unicode):
					enum - [u'LC36X100G', u'LC72X10G']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.global_lc_holder.linecard.linecards', 'pybind.slxos.v16r_1_00b.brocade_linecard_management', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, linecards=linecards)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def linecard_delete(self, linecards=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- linecards (linecardName, linecardType):
				linecardName (unicode):
					pattern - ([1-9]|[1][0-6])

				linecardType (unicode):
					enum - [u'LC36X100G', u'LC72X10G']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.global_lc_holder.linecard.linecards', 'pybind.slxos.v16r_1_00b.brocade_linecard_management', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, linecards=linecards)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def linecard_update(self, linecards=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- linecards (linecardName, linecardType):
				linecardName (unicode):
					pattern - ([1-9]|[1][0-6])

				linecardType (unicode):
					enum - [u'LC36X100G', u'LC72X10G']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.global_lc_holder.linecard.linecards', 'pybind.slxos.v16r_1_00b.brocade_linecard_management', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, linecards=linecards)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def linecard_get(self, linecards=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- linecards (linecardName, linecardType):
				linecardName (unicode):
					pattern - ([1-9]|[1][0-6])

				linecardType (unicode):
					enum - [u'LC36X100G', u'LC72X10G']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.global_lc_holder.linecard.linecards', 'pybind.slxos.v16r_1_00b.brocade_linecard_management', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, linecards=linecards)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def link_fault_signaling_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_lfs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rx, tx'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def link_fault_signaling_rx_update(self, rx=None, tx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rx (unicode):
				yang info - rx link fault signaling
				enum - [u'on', u'off']

			- tx (unicode):
				yang info - tx link fault signaling
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_lfs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx=rx, tx=tx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def load_balance_hash_ethernet_update(self, sa_mac=None, da_mac=None, vlan=None, etype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- sa_mac (YANGBool):
				yang info - sa-mac

			- da_mac (YANGBool):
				yang info - da-mac

			- vlan (YANGBool):
				yang info - vlan

			- etype (YANGBool):
				yang info - etype

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sa_mac=sa_mac, da_mac=da_mac, vlan=vlan, etype=etype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def load_balance_hash_ethernet_da_mac_update(self, sa_mac=None, da_mac=None, vlan=None, etype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- sa_mac (YANGBool):
				yang info - sa-mac

			- da_mac (YANGBool):
				yang info - da-mac

			- vlan (YANGBool):
				yang info - vlan

			- etype (YANGBool):
				yang info - etype

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sa_mac=sa_mac, da_mac=da_mac, vlan=vlan, etype=etype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def load_balance_hash_ip_update(self, src_l4_port=None, dst_l4_port=None, src_ip=None, dst_ip=None, protocol=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- src_l4_port (YANGBool):
				yang info - src-l4-port

			- dst_l4_port (YANGBool):
				yang info - dst-l4-port

			- src_ip (YANGBool):
				yang info - src-ip

			- dst_ip (YANGBool):
				yang info - dst-ip

			- protocol (YANGBool):
				yang info - protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, src_l4_port=src_l4_port, dst_l4_port=dst_l4_port, src_ip=src_ip, dst_ip=dst_ip, protocol=protocol)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def load_balance_hash_ip_dst_ip_update(self, src_l4_port=None, dst_l4_port=None, src_ip=None, dst_ip=None, protocol=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- src_l4_port (YANGBool):
				yang info - src-l4-port

			- dst_l4_port (YANGBool):
				yang info - dst-l4-port

			- src_ip (YANGBool):
				yang info - src-ip

			- dst_ip (YANGBool):
				yang info - dst-ip

			- protocol (YANGBool):
				yang info - protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, src_l4_port=src_l4_port, dst_l4_port=dst_l4_port, src_ip=src_ip, dst_ip=dst_ip, protocol=protocol)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def load_balance_hash_ipv6_update(self, ipv6_src_l4_port=None, ipv6_dst_l4_port=None, ipv6_src_ip=None, ipv6_dst_ip=None, ipv6_next_hdr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ipv6_src_l4_port (YANGBool):
				yang info - ipv6-src-l4-port

			- ipv6_dst_l4_port (YANGBool):
				yang info - ipv6-dst-l4-port

			- ipv6_src_ip (YANGBool):
				yang info - ipv6-src-ip

			- ipv6_dst_ip (YANGBool):
				yang info - ipv6-dst-ip

			- ipv6_next_hdr (YANGBool):
				yang info - ipv6-next-hdr

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_src_l4_port=ipv6_src_l4_port, ipv6_dst_l4_port=ipv6_dst_l4_port, ipv6_src_ip=ipv6_src_ip, ipv6_dst_ip=ipv6_dst_ip, ipv6_next_hdr=ipv6_next_hdr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def load_balance_hash_ipv6_ipv6_dst_ip_update(self, ipv6_src_l4_port=None, ipv6_dst_l4_port=None, ipv6_src_ip=None, ipv6_dst_ip=None, ipv6_next_hdr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ipv6_src_l4_port (YANGBool):
				yang info - ipv6-src-l4-port

			- ipv6_dst_l4_port (YANGBool):
				yang info - ipv6-dst-l4-port

			- ipv6_src_ip (YANGBool):
				yang info - ipv6-src-ip

			- ipv6_dst_ip (YANGBool):
				yang info - ipv6-dst-ip

			- ipv6_next_hdr (YANGBool):
				yang info - ipv6-next-hdr

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_src_l4_port=ipv6_src_l4_port, ipv6_dst_l4_port=ipv6_dst_l4_port, ipv6_src_ip=ipv6_src_ip, ipv6_dst_ip=ipv6_dst_ip, ipv6_next_hdr=ipv6_next_hdr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def load_balance_hash_mpls_update(self, label1=None, label2=None, label3=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- label1 (YANGBool):
				yang info - label1

			- label2 (YANGBool):
				yang info - label2

			- label3 (YANGBool):
				yang info - label3

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, label1=label1, label2=label2, label3=label3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def load_balance_hash_mpls_label1_update(self, label1=None, label2=None, label3=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- label1 (YANGBool):
				yang info - label1

			- label2 (YANGBool):
				yang info - label2

			- label3 (YANGBool):
				yang info - label3

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, label1=label1, label2=label2, label3=label3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def local_node_update(self, swbd_number=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- swbd_number (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.local_node', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.local_node', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.local_node', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.local_node', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, swbd_number=swbd_number)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def local_node_swbd_number_update(self, swbd_number=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- swbd_number (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.local_node', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.local_node', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.local_node', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.local_node', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, swbd_number=swbd_number)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_auditlog_class_create(self, class_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- class_ (class_):
				class_ (unicode):
					enum - [u'CONFIGURATION', u'SECURITY', u'FIRMWARE']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.auditlog.class_', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.auditlog.class_', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.auditlog.class_', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.auditlog.class_', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'class_', 'keyval': 'class_', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, class_=class_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_auditlog_class_delete(self, class_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- class_ (class_):
				class_ (unicode):
					enum - [u'CONFIGURATION', u'SECURITY', u'FIRMWARE']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.auditlog.class_', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.auditlog.class_', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.auditlog.class_', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.auditlog.class_', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'class_', 'keyval': 'class_', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, class_=class_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_auditlog_class_get(self, class_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- class_ (class_):
				class_ (unicode):
					enum - [u'CONFIGURATION', u'SECURITY', u'FIRMWARE']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.auditlog.class_', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.auditlog.class_', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.auditlog.class_', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.auditlog.class_', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'class_', 'keyval': 'class_', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, class_=class_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def logging_raslog_update(self, console=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- console (unicode):
				yang info - Configure RASLOG console severity: <CRITICAL|ERROR|WARNING|INFO>
				enum - [u'INFO', u'CRITICAL', u'WARNING', u'ERROR']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.raslog', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, console=console)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_raslog_console_update(self, console=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- console (unicode):
				yang info - Configure RASLOG console severity: <CRITICAL|ERROR|WARNING|INFO>
				enum - [u'INFO', u'CRITICAL', u'WARNING', u'ERROR']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.raslog', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, console=console)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_raslog_interface_update(self, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (YANGBool):
				yang info - use interface description

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logging.raslog.interface', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_raslog_interface_description_update(self, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (YANGBool):
				yang info - use interface description

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logging.raslog.interface', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_raslog_message_create(self, msgid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- msgid (msgId):
				msgId (unicode):
					yang info - Specify the Msg ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.raslog.message.msgId', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog.message.msgId', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog.message.msgId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.message.msgId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'msgid', 'keyval': 'msgId', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, msgid=msgid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_raslog_message_delete(self, msgid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- msgid (msgId):
				msgId (unicode):
					yang info - Specify the Msg ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.raslog.message.msgId', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog.message.msgId', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog.message.msgId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.message.msgId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'msgid', 'keyval': 'msgId', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, msgid=msgid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_raslog_message_update(self, msgid=None, severity=None, suppress=None, syslog=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- msgid (msgId):
				msgId (unicode):
					yang info - Specify the Msg ID

		This Instance Arg(s):
			- severity (unicode):
				yang info - Configure raslog message severity
				enum - [u'INFO', u'DEFAULT', u'CRITICAL', u'WARNING', u'ERROR']

			- suppress (YANGBool):
				yang info - Suppress raslog message

			- syslog (YANGBool):
				yang info - Enable syslog logging for internal raslog message

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.raslog.message.msgId', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog.message.msgId', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog.message.msgId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.message.msgId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'msgid', 'keyval': 'msgId', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, msgid=msgid, severity=severity, suppress=suppress, syslog=syslog)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_raslog_message_get(self, msgid=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- msgid (msgId):
				msgId (unicode):
					yang info - Specify the Msg ID

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.raslog.message.msgId', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog.message.msgId', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog.message.msgId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.message.msgId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'msgid', 'keyval': 'msgId', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, msgid=msgid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def logging_raslog_module_create(self, modid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- modid (modId):
				modId (unicode):
					yang info - Specify the Module ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.raslog.module.modId', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog.module.modId', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog.module.modId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.module.modId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'modid', 'keyval': 'modId', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, modid=modid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_raslog_module_delete(self, modid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- modid (modId):
				modId (unicode):
					yang info - Specify the Module ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.raslog.module.modId', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog.module.modId', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog.module.modId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.module.modId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'modid', 'keyval': 'modId', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, modid=modid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_raslog_module_get(self, modid=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- modid (modId):
				modId (unicode):
					yang info - Specify the Module ID

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.raslog.module.modId', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog.module.modId', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog.module.modId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.module.modId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'modid', 'keyval': 'modId', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, modid=modid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def logging_syslog_client_update(self, localip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- localip (unicode):
				yang info - Configure LocalIP Type <MM or CHASSIS>
				enum - [u'CHASSIS_IP', u'MM_IP']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_client', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_client', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_client', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_client', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, localip=localip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_syslog_client_localip_update(self, localip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- localip (unicode):
				yang info - Configure LocalIP Type <MM or CHASSIS>
				enum - [u'CHASSIS_IP', u'MM_IP']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_client', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_client', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_client', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_client', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, localip=localip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_syslog_facility_update(self, local_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- local_ (unicode):
				yang info - Configure SYSLOG facility <LOG_LOCAL0 - LOG_LOCAL7>
				enum - [u'LOG_LOCAL4', u'LOG_LOCAL5', u'LOG_LOCAL6', u'LOG_LOCAL7', u'LOG_LOCAL0', u'LOG_LOCAL1', u'LOG_LOCAL2', u'LOG_LOCAL3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_facility', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_facility', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_facility', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_facility', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_=local_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_syslog_facility_local_update(self, local_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- local_ (unicode):
				yang info - Configure SYSLOG facility <LOG_LOCAL0 - LOG_LOCAL7>
				enum - [u'LOG_LOCAL4', u'LOG_LOCAL5', u'LOG_LOCAL6', u'LOG_LOCAL7', u'LOG_LOCAL0', u'LOG_LOCAL1', u'LOG_LOCAL2', u'LOG_LOCAL3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_facility', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_facility', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_facility', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_facility', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_=local_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_syslog_server_create(self, syslog_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- syslog_server (syslogip, use_vrf, secure, port):
				syslogip (unicode):
					yang info - IPADDRESS		The IPv4 or IPv6 Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				use_vrf (unicode):
					yang info - vrf to use for sending notification to the receiver. (Default=management).
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				secure (YANGBool):
					yang info - Indicates if transport is secure

				port (int):
					yang info - Port number on which the syslog server is listening
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_server', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_server', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_server', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_server', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'syslog_server', 'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, syslog_server=syslog_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_syslog_server_delete(self, syslog_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- syslog_server (syslogip, use_vrf, secure, port):
				syslogip (unicode):
					yang info - IPADDRESS		The IPv4 or IPv6 Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				use_vrf (unicode):
					yang info - vrf to use for sending notification to the receiver. (Default=management).
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				secure (YANGBool):
					yang info - Indicates if transport is secure

				port (int):
					yang info - Port number on which the syslog server is listening
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_server', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_server', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_server', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_server', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'syslog_server', 'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, syslog_server=syslog_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_syslog_server_update(self, syslog_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- syslog_server (syslogip, use_vrf, secure, port):
				syslogip (unicode):
					yang info - IPADDRESS		The IPv4 or IPv6 Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				use_vrf (unicode):
					yang info - vrf to use for sending notification to the receiver. (Default=management).
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				secure (YANGBool):
					yang info - Indicates if transport is secure

				port (int):
					yang info - Port number on which the syslog server is listening
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_server', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_server', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_server', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_server', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'syslog_server', 'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, syslog_server=syslog_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logging_syslog_server_get(self, syslog_server=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- syslog_server (syslogip, use_vrf, secure, port):
				syslogip (unicode):
					yang info - IPADDRESS		The IPv4 or IPv6 Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				use_vrf (unicode):
					yang info - vrf to use for sending notification to the receiver. (Default=management).
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				secure (YANGBool):
					yang info - Indicates if transport is secure

				port (int):
					yang info - Port number on which the syslog server is listening
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_server', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_server', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_server', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_server', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'syslog_server', 'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, syslog_server=syslog_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def logging_syslog_server_port_update(self, syslog_server=None, secure=None, port=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- syslog_server (syslogip, use_vrf):
				syslogip (unicode):
					yang info - IPADDRESS		The IPv4 or IPv6 Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				use_vrf (unicode):
					yang info - vrf to use for sending notification to the receiver. (Default=management).
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- secure (YANGBool):
				yang info - Indicates if transport is secure.

			- port (int):
				yang info - Port number on which the syslog server is listening.
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.logging.syslog_server', u'syslog_server')]
        bindings_list = [('pybind.slxos.v16r_1_00b.logging.syslog_server.syslog_secure', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, syslog_server=syslog_server, secure=secure, port=port)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_chassis_fwdl_sanity_rpc(self, user=None, password=None, host=None, directory=None, file=None, rbridge_id=None, auto_activate=None, coldboot=None, protocol=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- user (unicode):
				yang info - Username

			- password (unicode):
				yang info - Password

			- host (unicode):
				yang info - Host ipv4/ipv6 address

			- directory (unicode):
				yang info - Directory

			- file (unicode):
				yang info - Package release file, example - release.plist

			- rbridge_id (unicode):
				yang info - Enter 'all' for firmware download on all nodes in the 
logical-chassis or comma seperated rbridge-ids like 'rbridge-id 3,4,7-9,20'
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- auto_activate (YANGBool):
				yang info - To activate new firmware on all nodes

			- coldboot (YANGBool):
				yang info - Perform non ISSU firmware download.

			- protocol (unicode):
				yang info - Protocol type : ftp, scp or sftp
				enum - [u'ftp', u'scp', u'sftp']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_firmware_rpc.logical_chassis_fwdl_sanity.input', 'pybind.nos.v6_0_2b.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v6_0_2b.brocade_firmware_rpc'), ('pybind.nos.v7_0_1a.brocade_firmware_rpc.logical_chassis_fwdl_sanity.input', 'pybind.nos.v7_0_1a.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_0_1a.brocade_firmware_rpc'), ('pybind.nos.v7_1_0.brocade_firmware_rpc.logical_chassis_fwdl_sanity.input', 'pybind.nos.v7_1_0.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_1_0.brocade_firmware_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user, password=password, host=host, directory=directory, file=file, rbridge_id=rbridge_id, auto_activate=auto_activate, coldboot=coldboot, protocol=protocol)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_chassis_fwdl_status_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- rbridge_id (unicode):
				yang info - Please enter 'all' for activating all nodes in the logical-chassis or individual rbridge-ids of the form 1,2,3-6
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_firmware_rpc.logical_chassis_fwdl_status.input', 'pybind.nos.v6_0_2b.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v6_0_2b.brocade_firmware_rpc'), ('pybind.nos.v7_0_1a.brocade_firmware_rpc.logical_chassis_fwdl_status.input', 'pybind.nos.v7_0_1a.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_0_1a.brocade_firmware_rpc'), ('pybind.nos.v7_1_0.brocade_firmware_rpc.logical_chassis_fwdl_status.input', 'pybind.nos.v7_1_0.brocade_firmware_rpc.brocade_firmware', 'pybind.nos.v7_1_0.brocade_firmware_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_physical_create(self, main_interface_physical=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- main_interface_physical (intf_name):
				intf_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_physical_delete(self, main_interface_physical=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- main_interface_physical (intf_name):
				intf_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_physical_update(self, main_interface_physical=None, protocol_status=None, admin_status=None, interface_index=None, intf_type=None, is_tagged=None, port_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- main_interface_physical (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- interface_index (long):
				range - ['0..4294967295']

			- intf_type (unicode):
				enum - [u'ethernet', u'port-channel', u'ccep']

			- is_tagged (YANGBool):

			- port_mode (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index, intf_type=intf_type, is_tagged=is_tagged, port_mode=port_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_physical_get(self, main_interface_physical=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- main_interface_physical (intf_name):
				intf_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def logical_interface_state_main_interface_physical_counters_update(self, main_interface_physical=None, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- main_interface_physical (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- lif_type (unicode):
				enum - [u'ethernet', u'port-channel', u'ccep']

			- total_lifs (long):
				range - ['0..4294967295']

			- protocol_status_up_lifs (long):
				range - ['0..4294967295']

			- binded_lifs (long):
				range - ['0..4294967295']

			- unbinded_lifs (long):
				range - ['0..4294967295']

			- implicit_lifs (long):
				range - ['0..4294967295']

			- explicit_lifs (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_physical_counters_binded_lifs_update(self, main_interface_physical=None, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- main_interface_physical (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- lif_type (unicode):
				enum - [u'ethernet', u'port-channel', u'ccep']

			- total_lifs (long):
				range - ['0..4294967295']

			- protocol_status_up_lifs (long):
				range - ['0..4294967295']

			- binded_lifs (long):
				range - ['0..4294967295']

			- unbinded_lifs (long):
				range - ['0..4294967295']

			- implicit_lifs (long):
				range - ['0..4294967295']

			- explicit_lifs (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_physical_logical_interface_physical_update(self, main_interface_physical=None, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, outer_vlan_id=None, inner_vlan_id=None, intf_type=None, is_tagged=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- main_interface_physical (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- logical_interface_name (unicode):

			- source_type (unicode):

			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- lif_index (long):
				range - ['0..4294967295']

			- bridge_domain_index (long):
				range - ['0..4294967295']

			- interface_name (unicode):

			- is_binded (YANGBool):

			- outer_vlan_id (long):
				range - ['0..4294967295']

			- inner_vlan_id (long):
				range - ['0..4294967295']

			- intf_type (unicode):
				enum - [u'ethernet', u'port-channel', u'ccep']

			- is_tagged (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, outer_vlan_id=outer_vlan_id, inner_vlan_id=inner_vlan_id, intf_type=intf_type, is_tagged=is_tagged)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_physical_logical_interface_physical_admin_status_update(self, main_interface_physical=None, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, outer_vlan_id=None, inner_vlan_id=None, intf_type=None, is_tagged=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- main_interface_physical (intf_name):
				intf_name (unicode):

		This Instance Arg(s):
			- logical_interface_name (unicode):

			- source_type (unicode):

			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- lif_index (long):
				range - ['0..4294967295']

			- bridge_domain_index (long):
				range - ['0..4294967295']

			- interface_name (unicode):

			- is_binded (YANGBool):

			- outer_vlan_id (long):
				range - ['0..4294967295']

			- inner_vlan_id (long):
				range - ['0..4294967295']

			- intf_type (unicode):
				enum - [u'ethernet', u'port-channel', u'ccep']

			- is_tagged (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, outer_vlan_id=outer_vlan_id, inner_vlan_id=inner_vlan_id, intf_type=intf_type, is_tagged=is_tagged)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_pseudo_wire_update(self, protocol_status=None, admin_status=None, interface_index=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- interface_index (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_pseudo_wire_admin_status_update(self, protocol_status=None, admin_status=None, interface_index=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- interface_index (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_pseudo_wire_counters_update(self, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- lif_type (unicode):
				enum - [u'ethernet', u'port-channel', u'ccep']

			- total_lifs (long):
				range - ['0..4294967295']

			- protocol_status_up_lifs (long):
				range - ['0..4294967295']

			- binded_lifs (long):
				range - ['0..4294967295']

			- unbinded_lifs (long):
				range - ['0..4294967295']

			- implicit_lifs (long):
				range - ['0..4294967295']

			- explicit_lifs (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_pseudo_wire_counters_binded_lifs_update(self, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- lif_type (unicode):
				enum - [u'ethernet', u'port-channel', u'ccep']

			- total_lifs (long):
				range - ['0..4294967295']

			- protocol_status_up_lifs (long):
				range - ['0..4294967295']

			- binded_lifs (long):
				range - ['0..4294967295']

			- unbinded_lifs (long):
				range - ['0..4294967295']

			- implicit_lifs (long):
				range - ['0..4294967295']

			- explicit_lifs (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_update(self, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- logical_interface_name (unicode):

			- source_type (unicode):

			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- lif_index (long):
				range - ['0..4294967295']

			- bridge_domain_index (long):
				range - ['0..4294967295']

			- interface_name (unicode):

			- is_binded (YANGBool):

			- ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, ip_address=ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_admin_status_update(self, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- logical_interface_name (unicode):

			- source_type (unicode):

			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- lif_index (long):
				range - ['0..4294967295']

			- bridge_domain_index (long):
				range - ['0..4294967295']

			- interface_name (unicode):

			- is_binded (YANGBool):

			- ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, ip_address=ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_tunnel_update(self, protocol_status=None, admin_status=None, interface_index=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- interface_index (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_tunnel_admin_status_update(self, protocol_status=None, admin_status=None, interface_index=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- interface_index (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_tunnel_counters_update(self, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- lif_type (unicode):
				enum - [u'ethernet', u'port-channel', u'ccep']

			- total_lifs (long):
				range - ['0..4294967295']

			- protocol_status_up_lifs (long):
				range - ['0..4294967295']

			- binded_lifs (long):
				range - ['0..4294967295']

			- unbinded_lifs (long):
				range - ['0..4294967295']

			- implicit_lifs (long):
				range - ['0..4294967295']

			- explicit_lifs (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_tunnel_counters_binded_lifs_update(self, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- lif_type (unicode):
				enum - [u'ethernet', u'port-channel', u'ccep']

			- total_lifs (long):
				range - ['0..4294967295']

			- protocol_status_up_lifs (long):
				range - ['0..4294967295']

			- binded_lifs (long):
				range - ['0..4294967295']

			- unbinded_lifs (long):
				range - ['0..4294967295']

			- implicit_lifs (long):
				range - ['0..4294967295']

			- explicit_lifs (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_update(self, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, vni_tni=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- logical_interface_name (unicode):

			- source_type (unicode):

			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- lif_index (long):
				range - ['0..4294967295']

			- bridge_domain_index (long):
				range - ['0..4294967295']

			- interface_name (unicode):

			- is_binded (YANGBool):

			- vni_tni (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, vni_tni=vni_tni)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_admin_status_update(self, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, vni_tni=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- logical_interface_name (unicode):

			- source_type (unicode):

			- protocol_status (YANGBool):

			- admin_status (YANGBool):

			- lif_index (long):
				range - ['0..4294967295']

			- bridge_domain_index (long):
				range - ['0..4294967295']

			- interface_name (unicode):

			- is_binded (YANGBool):

			- vni_tni (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, vni_tni=vni_tni)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_extended_create(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.extended', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.extended', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.extended', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_extended_delete(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.extended', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.extended', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.extended', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_extended_get(self, extended=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.extended', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.extended', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.extended', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mac_access_list_extended_seq_create(self, extended=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				source (unicode):

				srchost (unicode):
					yang info - source mac address HHHH.HHHH.HHHH

				src_mac_addr_mask (unicode):

				dst (unicode):

				dsthost (unicode):
					yang info - Destination mac address HHHH.HHHH.HHHH

				dst_mac_addr_mask (unicode):

				ethertype (unicode):
					enum - [u'arp', u'fcoe', u'ipv4']

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_extended_seq_delete(self, extended=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				source (unicode):

				srchost (unicode):
					yang info - source mac address HHHH.HHHH.HHHH

				src_mac_addr_mask (unicode):

				dst (unicode):

				dsthost (unicode):
					yang info - Destination mac address HHHH.HHHH.HHHH

				dst_mac_addr_mask (unicode):

				ethertype (unicode):
					enum - [u'arp', u'fcoe', u'ipv4']

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_extended_seq_update(self, extended=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				source (unicode):

				srchost (unicode):
					yang info - source mac address HHHH.HHHH.HHHH

				src_mac_addr_mask (unicode):

				dst (unicode):

				dsthost (unicode):
					yang info - Destination mac address HHHH.HHHH.HHHH

				dst_mac_addr_mask (unicode):

				ethertype (unicode):
					enum - [u'arp', u'fcoe', u'ipv4']

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_extended_seq_get(self, extended=None, seq=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				source (unicode):

				srchost (unicode):
					yang info - source mac address HHHH.HHHH.HHHH

				src_mac_addr_mask (unicode):

				dst (unicode):

				dsthost (unicode):
					yang info - Destination mac address HHHH.HHHH.HHHH

				dst_mac_addr_mask (unicode):

				ethertype (unicode):
					enum - [u'arp', u'fcoe', u'ipv4']

				vlan (long):
					yang info - Vlan
					range - ['0..4294967295']

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended')]
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mac_access_list_standard_create(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.standard', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.standard', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.standard', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_standard_delete(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.standard', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.standard', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.standard', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_standard_get(self, standard=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.standard', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.standard', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.standard', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mac_access_list_standard_seq_create(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, source, srchost, src_mac_addr_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				source (unicode):

				srchost (unicode):

				src_mac_addr_mask (unicode):

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2b.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.mac.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_standard_seq_delete(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, source, srchost, src_mac_addr_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				source (unicode):

				srchost (unicode):

				src_mac_addr_mask (unicode):

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2b.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.mac.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_standard_seq_update(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, source, srchost, src_mac_addr_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				source (unicode):

				srchost (unicode):

				src_mac_addr_mask (unicode):

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2b.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.mac.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_access_list_standard_seq_get(self, standard=None, seq=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (name):
				name (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_id, action, source, srchost, src_mac_addr_mask, count, log):
				seq_id (long):
					range - ['0..18446744073709551615']

				action (unicode):
					enum - [u'deny', u'hard-drop', u'permit']

				source (unicode):

				srchost (unicode):

				src_mac_addr_mask (unicode):

				count (YANGBool):
					yang info - Packet count

				log (YANGBool):
					yang info - Log Packet

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2b.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.mac.access_list.standard', u'standard')]
        bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, count, log'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mac_address_table_update(self, learning_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- learning_mode (unicode):
				yang info - Conversational Learning Mode
				enum - [u'conversational']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, learning_mode=learning_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_aging_time_update(self, conversational_time_out=None, legacy_time_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- conversational_time_out (long):
				yang info - Conversational Aging time in seconds (default = 300)
				range - ['0..4294967295']

			- legacy_time_out (long):
				yang info - Aging time in seconds (default = 300)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.aging_time', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.aging_time', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.aging_time', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.aging_time', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, conversational_time_out=conversational_time_out, legacy_time_out=legacy_time_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_aging_time_conversational_update(self, conversational_time_out=None, legacy_time_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- conversational_time_out (long):
				yang info - Conversational Aging time in seconds (default = 300)
				range - ['0..4294967295']

			- legacy_time_out (long):
				yang info - Aging time in seconds (default = 300)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.aging_time', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.aging_time', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.aging_time', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.aging_time', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, conversational_time_out=conversational_time_out, legacy_time_out=legacy_time_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_consistency_check_update(self, mac_consistency_check_suppress=None, mac_consistency_check_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mac_consistency_check_suppress (YANGBool):
				yang info - Suppress MAC Consistency check

			- mac_consistency_check_interval (long):
				yang info - MAC Consistency check interval in seconds (default = 300)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.consistency_check', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.consistency_check', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.consistency_check', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.consistency_check', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_consistency_check_suppress=mac_consistency_check_suppress, mac_consistency_check_interval=mac_consistency_check_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_consistency_check_interval_update(self, mac_consistency_check_suppress=None, mac_consistency_check_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mac_consistency_check_suppress (YANGBool):
				yang info - Suppress MAC Consistency check

			- mac_consistency_check_interval (long):
				yang info - MAC Consistency check interval in seconds (default = 300)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.consistency_check', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.consistency_check', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.consistency_check', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.consistency_check', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_consistency_check_suppress=mac_consistency_check_suppress, mac_consistency_check_interval=mac_consistency_check_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_learning_mode_update(self, learning_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- learning_mode (unicode):
				yang info - Conversational Learning Mode
				enum - [u'conversational']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, learning_mode=learning_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_mac_move_update(self, mac_move_detect_enable=None, mac_move_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mac_move_detect_enable (YANGBool):
				yang info - Enable MAC move detect

			- mac_move_limit (long):
				yang info - MAC move detect limit (default = 20)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.mac_move', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.mac_move', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.mac_move', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.mac_move', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_move_detect_enable=mac_move_detect_enable, mac_move_limit=mac_move_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_mac_move_action_update(self, mac_move_detect_enable=None, mac_move_limit=None, mac_move_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- mac_move_detect_enable (YANGBool):
				yang info - Enable MAC move detect

			- mac_move_limit (long):
				yang info - MAC move detect limit (default = 20)
				range - ['0..4294967295']

			- mac_move_action (unicode):
				yang info - Action on MAC move
				enum - [u'shutdown', u'raslog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.mac_address_table.mac_move', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_move_detect_enable=mac_move_detect_enable, mac_move_limit=mac_move_limit, mac_move_action=mac_move_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_mac_move_auto_recovery_update(self, auto_recovery_enable=None, auto_recovery_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- auto_recovery_enable (YANGBool):
				yang info - Enable auto recovery

			- auto_recovery_time (long):
				yang info - Auto recovery time in minutes (default = 5)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.mac_address_table.mac_move.auto_recovery', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_recovery_enable=auto_recovery_enable, auto_recovery_time=auto_recovery_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_mac_move_auto_recovery_enable_update(self, auto_recovery_enable=None, auto_recovery_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- auto_recovery_enable (YANGBool):
				yang info - Enable auto recovery

			- auto_recovery_time (long):
				yang info - Auto recovery time in minutes (default = 5)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.mac_address_table.mac_move.auto_recovery', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_recovery_enable=auto_recovery_enable, auto_recovery_time=auto_recovery_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_mac_move_detect_update(self, mac_move_detect_enable=None, mac_move_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mac_move_detect_enable (YANGBool):
				yang info - Enable MAC move detect

			- mac_move_limit (long):
				yang info - MAC move detect limit (default = 20)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.mac_move', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.mac_move', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.slxos.v16r_1_00b.mac_address_table.mac_move', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_move_detect_enable=mac_move_detect_enable, mac_move_limit=mac_move_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_static_create(self, static=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- static (mac_address, forward, interface_type, interface_name, vlan, vlanid):
				mac_address (unicode):

				forward (unicode):
					yang info - Forward
					enum - [u'forward']

				interface_type (unicode):
					yang info - Interface
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					yang info - Interface identifier

				vlan (unicode):
					yang info - vlan
					enum - [u'vlan']

				vlanid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.static', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.static', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.static', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.static.static_ac_lif', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.mac_address_table.static.static_mac', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static', 'keyval': 'mac_address, forward, interface_type, interface_name, vlan, vlanid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static=static)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_static_delete(self, static=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- static (mac_address, forward, interface_type, interface_name, vlan, vlanid):
				mac_address (unicode):

				forward (unicode):
					yang info - Forward
					enum - [u'forward']

				interface_type (unicode):
					yang info - Interface
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					yang info - Interface identifier

				vlan (unicode):
					yang info - vlan
					enum - [u'vlan']

				vlanid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.static', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.static', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.static', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.static.static_ac_lif', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.mac_address_table.static.static_mac', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static', 'keyval': 'mac_address, forward, interface_type, interface_name, vlan, vlanid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static=static)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_address_table_static_get(self, static=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- static (mac_address, forward, interface_type, interface_name, vlan, vlanid):
				mac_address (unicode):

				forward (unicode):
					yang info - Forward
					enum - [u'forward']

				interface_type (unicode):
					yang info - Interface
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					yang info - Interface identifier

				vlan (unicode):
					yang info - vlan
					enum - [u'vlan']

				vlanid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.static', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.static', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.static', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.static.static_ac_lif', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.mac_address_table.static.static_mac', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static', 'keyval': 'mac_address, forward, interface_type, interface_name, vlan, vlanid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static=static)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mac_group_create(self, mac_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mac_group (mac_group_id):
				mac_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_group', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_group', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_group', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_group', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'mac_group', 'keyval': 'mac_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_group=mac_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_group_delete(self, mac_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mac_group (mac_group_id):
				mac_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_group', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_group', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_group', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_group', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'mac_group', 'keyval': 'mac_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_group=mac_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_group_get(self, mac_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mac_group (mac_group_id):
				mac_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.mac_group', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_group', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_group', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_group', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'mac_group', 'keyval': 'mac_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_group=mac_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mac_group_mac_create(self, mac_group=None, mac_group_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mac_group (mac_group_id):
				mac_group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- mac_group_entry (entry_address):
				entry_address (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mac_group', 'mac_group'), ('pybind.nos.v7_1_0.mac_group', 'mac_group'), ('pybind.nos.v6_0_2b.mac_group', 'mac_group'), ('pybind.nos.v7_0_1a.mac_group', 'mac_group')]
        bindings_list = [('pybind.nos.v6_0_2b.mac_group.mac_group_entry', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_group.mac_group_entry', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_group.mac_group_entry', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_group.mac_group_entry', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mac_group_entry', 'keyval': 'entry_address', 'extra_keyval': 'entry_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_group=mac_group, mac_group_entry=mac_group_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_group_mac_delete(self, mac_group=None, mac_group_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mac_group (mac_group_id):
				mac_group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- mac_group_entry (entry_address):
				entry_address (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mac_group', 'mac_group'), ('pybind.nos.v7_1_0.mac_group', 'mac_group'), ('pybind.nos.v6_0_2b.mac_group', 'mac_group'), ('pybind.nos.v7_0_1a.mac_group', 'mac_group')]
        bindings_list = [('pybind.nos.v6_0_2b.mac_group.mac_group_entry', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_group.mac_group_entry', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_group.mac_group_entry', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_group.mac_group_entry', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mac_group_entry', 'keyval': 'entry_address', 'extra_keyval': 'entry_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_group=mac_group, mac_group_entry=mac_group_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mac_group_mac_get(self, mac_group=None, mac_group_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mac_group (mac_group_id):
				mac_group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- mac_group_entry (entry_address):
				entry_address (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mac_group', 'mac_group'), ('pybind.nos.v7_1_0.mac_group', 'mac_group'), ('pybind.nos.v6_0_2b.mac_group', 'mac_group'), ('pybind.nos.v7_0_1a.mac_group', 'mac_group')]
        bindings_list = [('pybind.nos.v6_0_2b.mac_group.mac_group_entry', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_group.mac_group_entry', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_group.mac_group_entry', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_group.mac_group_entry', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mac_group_entry', 'keyval': 'entry_address', 'extra_keyval': 'entry_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_group=mac_group, mac_group_entry=mac_group_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def maps_get_all_policy_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_maps_ext_rpc.maps_get_all_policy.input', 'pybind.nos.v6_0_2b.brocade_maps_ext_rpc.brocade_maps_ext', 'pybind.nos.v6_0_2b.brocade_maps_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_maps_ext_rpc.maps_get_all_policy.input', 'pybind.nos.v7_0_1a.brocade_maps_ext_rpc.brocade_maps_ext', 'pybind.nos.v7_0_1a.brocade_maps_ext_rpc'), ('pybind.nos.v7_1_0.brocade_maps_ext_rpc.maps_get_all_policy.input', 'pybind.nos.v7_1_0.brocade_maps_ext_rpc.brocade_maps_ext', 'pybind.nos.v7_1_0.brocade_maps_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_maps_ext_rpc.maps_get_all_policy.input', 'pybind.slxos.v16r_1_00b.brocade_maps_ext_rpc.brocade_maps_ext', 'pybind.slxos.v16r_1_00b.brocade_maps_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def maps_get_default_rules_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.brocade_maps_ext_rpc.maps_get_default_rules.input', 'pybind.nos.v7_0_1a.brocade_maps_ext_rpc.brocade_maps_ext', 'pybind.nos.v7_0_1a.brocade_maps_ext_rpc'), ('pybind.nos.v7_1_0.brocade_maps_ext_rpc.maps_get_default_rules.input', 'pybind.nos.v7_1_0.brocade_maps_ext_rpc.brocade_maps_ext', 'pybind.nos.v7_1_0.brocade_maps_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def maps_get_rules_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_maps_ext_rpc.maps_get_rules.input', 'pybind.nos.v6_0_2b.brocade_maps_ext_rpc.brocade_maps_ext', 'pybind.nos.v6_0_2b.brocade_maps_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_maps_ext_rpc.maps_get_rules.input', 'pybind.slxos.v16r_1_00b.brocade_maps_ext_rpc.brocade_maps_ext', 'pybind.slxos.v16r_1_00b.brocade_maps_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def maps_re_apply_policy_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.brocade_maps_ext_rpc.maps_re_apply_policy.input', 'pybind.nos.v7_0_1a.brocade_maps_ext_rpc.brocade_maps_ext', 'pybind.nos.v7_0_1a.brocade_maps_ext_rpc'), ('pybind.nos.v7_1_0.brocade_maps_ext_rpc.maps_re_apply_policy.input', 'pybind.nos.v7_1_0.brocade_maps_ext_rpc.brocade_maps_ext', 'pybind.nos.v7_1_0.brocade_maps_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_l2ys_state_show_cluster_mem_vlan_create(self, show_cluster_mem_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_l2ys_state_show_cluster_mem_vlan_delete(self, show_cluster_mem_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_l2ys_state_show_cluster_mem_vlan_update(self, show_cluster_mem_vlan=None, num_vlans=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- num_vlans (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_l2ys_state_show_cluster_mem_vlan_get(self, show_cluster_mem_vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mct_l2ys_state_show_cluster_mem_vlan_vlan_label_info_update(self, show_cluster_mem_vlan=None, vlan_id=None, unicast_label_local=None, unicast_label_remote=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- unicast_label_local (long):
				range - ['0..4294967295']

			- unicast_label_remote (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id, unicast_label_local=unicast_label_local, unicast_label_remote=unicast_label_remote)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_l2ys_state_show_cluster_mem_vlan_vlan_label_info_unicast_label_local_update(self, show_cluster_mem_vlan=None, vlan_id=None, unicast_label_local=None, unicast_label_remote=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- unicast_label_local (long):
				range - ['0..4294967295']

			- unicast_label_remote (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id, unicast_label_local=unicast_label_local, unicast_label_remote=unicast_label_remote)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_create(self, show_cluster=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_delete(self, show_cluster=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_update(self, show_cluster=None, is_cluster_client_command=None, cluster_name=None, cluster_status=None, client_isolation_status=None, num_peers=None, num_clients=None, num_config_vlans=None, num_active_vlans=None, client_interfaces_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- is_cluster_client_command (YANGBool):

			- cluster_name (unicode):

			- cluster_status (YANGBool):

			- client_isolation_status (YANGBool):

			- num_peers (long):
				range - ['0..4294967295']

			- num_clients (long):
				range - ['0..4294967295']

			- num_config_vlans (long):
				range - ['0..4294967295']

			- num_active_vlans (long):
				range - ['0..4294967295']

			- client_interfaces_shutdown (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, is_cluster_client_command=is_cluster_client_command, cluster_name=cluster_name, cluster_status=cluster_status, client_isolation_status=client_isolation_status, num_peers=num_peers, num_clients=num_clients, num_config_vlans=num_config_vlans, num_active_vlans=num_active_vlans, client_interfaces_shutdown=client_interfaces_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_get(self, show_cluster=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mct_state_show_cluster_active_vlan_list_update(self, show_cluster=None, vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.active_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, vlan_id=vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_active_vlan_list_vlan_id_update(self, show_cluster=None, vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.active_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, vlan_id=vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_client_info_list_create(self, show_cluster=None, client_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- client_info_list (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, client_info_list=client_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_client_info_list_delete(self, show_cluster=None, client_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- client_info_list (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, client_info_list=client_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_client_info_list_update(self, show_cluster=None, client_info_list=None, client_name=None, client_esi=None, client_interface=None, client_state=None, num_config_vlans=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- client_info_list (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- client_name (unicode):

			- client_esi (unicode):

			- client_interface (unicode):

			- client_state (YANGBool):

			- num_config_vlans (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, client_info_list=client_info_list, client_name=client_name, client_esi=client_esi, client_interface=client_interface, client_state=client_state, num_config_vlans=num_config_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_client_info_list_get(self, show_cluster=None, client_info_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- client_info_list (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, client_info_list=client_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mct_state_show_cluster_client_info_list_config_vlans_update(self, show_cluster=None, client_info_list=None, vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- client_info_list (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', u'client_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list.config_vlans', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id, client_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, client_info_list=client_info_list, vlan_id=vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_config_vlan_list_update(self, show_cluster=None, vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.config_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, vlan_id=vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_peer_info_list_create(self, show_cluster=None, peer_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- peer_info_list (peer_ip_addr):
				peer_ip_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer_info_list', 'keyval': 'peer_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, peer_info_list=peer_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_peer_info_list_delete(self, show_cluster=None, peer_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- peer_info_list (peer_ip_addr):
				peer_ip_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer_info_list', 'keyval': 'peer_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, peer_info_list=peer_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_peer_info_list_update(self, show_cluster=None, peer_info_list=None, peer_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- peer_info_list (peer_ip_addr):
				peer_ip_addr (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- peer_state (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer_info_list', 'keyval': 'peer_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, peer_info_list=peer_info_list, peer_state=peer_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mct_state_show_cluster_peer_info_list_get(self, show_cluster=None, peer_info_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- peer_info_list (peer_ip_addr):
				peer_ip_addr (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer_info_list', 'keyval': 'peer_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, peer_info_list=peer_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mctd_client_create(self, show_cluster_mctd_client=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mctd_client (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mctd_client', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mctd_client=show_cluster_mctd_client)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mctd_client_delete(self, show_cluster_mctd_client=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mctd_client (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mctd_client', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mctd_client=show_cluster_mctd_client)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mctd_client_update(self, show_cluster_mctd_client=None, num_clients=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mctd_client (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- num_clients (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mctd_client', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mctd_client=show_cluster_mctd_client, num_clients=num_clients)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mctd_client_get(self, show_cluster_mctd_client=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mctd_client (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mctd_client', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mctd_client=show_cluster_mctd_client)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mctd_client_client_state_info_update(self, show_cluster_mctd_client=None, client_name=None, client_id=None, local_state=None, remote_state=None, local_esi_label=None, remote_esi_label=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster_mctd_client (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- client_name (unicode):

			- client_id (long):
				range - ['0..4294967295']

			- local_state (long):
				range - ['0..4294967295']

			- remote_state (long):
				range - ['0..4294967295']

			- local_esi_label (long):
				range - ['0..4294967295']

			- remote_esi_label (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mctd_client=show_cluster_mctd_client, client_name=client_name, client_id=client_id, local_state=local_state, remote_state=remote_state, local_esi_label=local_esi_label, remote_esi_label=remote_esi_label)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mctd_client_client_state_info_client_id_update(self, show_cluster_mctd_client=None, client_name=None, client_id=None, local_state=None, remote_state=None, local_esi_label=None, remote_esi_label=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster_mctd_client (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- client_name (unicode):

			- client_id (long):
				range - ['0..4294967295']

			- local_state (long):
				range - ['0..4294967295']

			- remote_state (long):
				range - ['0..4294967295']

			- local_esi_label (long):
				range - ['0..4294967295']

			- remote_esi_label (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mctd_client=show_cluster_mctd_client, client_name=client_name, client_id=client_id, local_state=local_state, remote_state=remote_state, local_esi_label=local_esi_label, remote_esi_label=remote_esi_label)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mem_vlan_create(self, show_cluster_mem_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mem_vlan_delete(self, show_cluster_mem_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mem_vlan_update(self, show_cluster_mem_vlan=None, num_vlans=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- num_vlans (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mem_vlan_get(self, show_cluster_mem_vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mem_vlan_vlan_label_info_update(self, show_cluster_mem_vlan=None, vlan_id=None, mcast_label_local=None, mcast_label_remote=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- mcast_label_local (long):
				range - ['0..4294967295']

			- mcast_label_remote (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id, mcast_label_local=mcast_label_local, mcast_label_remote=mcast_label_remote)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mctd_client_state_state_show_cluster_mem_vlan_vlan_label_info_mcast_label_local_update(self, show_cluster_mem_vlan=None, vlan_id=None, mcast_label_local=None, mcast_label_remote=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_cluster_mem_vlan (cluster_id):
				cluster_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- mcast_label_local (long):
				range - ['0..4294967295']

			- mcast_label_remote (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id, mcast_label_local=mcast_label_local, mcast_label_remote=mcast_label_remote)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def monitor_session_create(self, session=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- session (session_number):
				session_number (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.monitor.session', 'pybind.nos.v6_0_2b.brocade_span', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.monitor.session', 'pybind.nos.v7_0_1a.brocade_span', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.monitor.session', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'session', 'keyval': 'session_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, session=session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def monitor_session_delete(self, session=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- session (session_number):
				session_number (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.monitor.session', 'pybind.nos.v6_0_2b.brocade_span', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.monitor.session', 'pybind.nos.v7_0_1a.brocade_span', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.monitor.session', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'session', 'keyval': 'session_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, session=session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def monitor_session_update(self, session=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- session (session_number):
				session_number (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- description (unicode):
				yang info - Description string of session
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.monitor.session', 'pybind.nos.v6_0_2b.brocade_span', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.monitor.session', 'pybind.nos.v7_0_1a.brocade_span', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.monitor.session', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'session', 'keyval': 'session_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, session=session, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def monitor_session_get(self, session=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- session (session_number):
				session_number (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.monitor.session', 'pybind.nos.v6_0_2b.brocade_span', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.monitor.session', 'pybind.nos.v7_0_1a.brocade_span', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.monitor.session', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'session', 'keyval': 'session_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, session=session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_adjust_bandwidth_lsp_rpc(self, lsp_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- lsp_name (unicode):
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.mpls_adjust_bandwidth_lsp.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp_name=lsp_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_adjust_bandwidth_lsp_all_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.mpls_adjust_bandwidth_lsp_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_reopt_lsp_rpc(self, mpls_reoptimize_lsp_name_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mpls_reoptimize_lsp_name_in (unicode):
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.mpls_reopt_lsp.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_reoptimize_lsp_name_in=mpls_reoptimize_lsp_name_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_auto_bandwidth_template_create(self, auto_bandwidth_template=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- auto_bandwidth_template (name):
				name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_bandwidth_template=auto_bandwidth_template)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_auto_bandwidth_template_delete(self, auto_bandwidth_template=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- auto_bandwidth_template (name):
				name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_bandwidth_template=auto_bandwidth_template)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_auto_bandwidth_template_update(self, auto_bandwidth_template=None, adjustment_interval=None, adjustment_threshold=None, maximum_bandwidth=None, minimum_bandwidth=None, overflow_limit=None, underflow_limit=None, mode=None, sample_recording=None, associated_paths_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- auto_bandwidth_template (name):
				name (unicode):

		This Instance Arg(s):
			- adjustment_interval (long):
				range - ['0..4294967295']

			- adjustment_threshold (long):
				range - ['0..4294967295']

			- maximum_bandwidth (long):
				range - ['0..4294967295']

			- minimum_bandwidth (long):
				range - ['0..4294967295']

			- overflow_limit (long):
				range - ['0..4294967295']

			- underflow_limit (long):
				range - ['0..4294967295']

			- mode (YANGBool):

			- sample_recording (YANGBool):

			- associated_paths_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_bandwidth_template=auto_bandwidth_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording, associated_paths_count=associated_paths_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_auto_bandwidth_template_get(self, auto_bandwidth_template=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- auto_bandwidth_template (name):
				name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_bandwidth_template=auto_bandwidth_template)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_auto_bandwidth_template_associated_paths_create(self, auto_bandwidth_template=None, associated_paths=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- auto_bandwidth_template (name):
				name (unicode):

		This Instance Keyword Arg Tuple:
			- associated_paths (lsp_name):
				lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'associated_paths', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_auto_bandwidth_template_associated_paths_delete(self, auto_bandwidth_template=None, associated_paths=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- auto_bandwidth_template (name):
				name (unicode):

		This Instance Keyword Arg Tuple:
			- associated_paths (lsp_name):
				lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'associated_paths', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_auto_bandwidth_template_associated_paths_update(self, auto_bandwidth_template=None, associated_paths=None, path_name=None, is_active=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- auto_bandwidth_template (name):
				name (unicode):

		This Instance Keyword Arg Tuple:
			- associated_paths (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- path_name (unicode):

			- is_active (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'associated_paths', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths, path_name=path_name, is_active=is_active)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_auto_bandwidth_template_associated_paths_get(self, auto_bandwidth_template=None, associated_paths=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- auto_bandwidth_template (name):
				name (unicode):

		This Instance Keyword Arg Tuple:
			- associated_paths (lsp_name):
				lsp_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'associated_paths', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_autobw_threshold_table_entry_create(self, autobw_threshold_table_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_threshold_table_entry (bandwidth):
				bandwidth (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_entry', 'keyval': 'bandwidth', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_threshold_table_entry=autobw_threshold_table_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_autobw_threshold_table_entry_delete(self, autobw_threshold_table_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_threshold_table_entry (bandwidth):
				bandwidth (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_entry', 'keyval': 'bandwidth', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_threshold_table_entry=autobw_threshold_table_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_autobw_threshold_table_entry_update(self, autobw_threshold_table_entry=None, threshold=None, is_percentage_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_threshold_table_entry (bandwidth):
				bandwidth (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- threshold (long):
				range - ['0..4294967295']

			- is_percentage_threshold (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_entry', 'keyval': 'bandwidth', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_threshold_table_entry=autobw_threshold_table_entry, threshold=threshold, is_percentage_threshold=is_percentage_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_autobw_threshold_table_entry_get(self, autobw_threshold_table_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_threshold_table_entry (bandwidth):
				bandwidth (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_entry', 'keyval': 'bandwidth', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_threshold_table_entry=autobw_threshold_table_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_autobw_threshold_table_summary_update(self, total_number_of_autobw_threshold_table_entries=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- total_number_of_autobw_threshold_table_entries (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_number_of_autobw_threshold_table_entries=total_number_of_autobw_threshold_table_entries)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_autobw_threshold_table_summary_total_number_of_autobw_threshold_table_entries_update(self, total_number_of_autobw_threshold_table_entries=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- total_number_of_autobw_threshold_table_entries (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_number_of_autobw_threshold_table_entries=total_number_of_autobw_threshold_table_entries)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_bfd_update(self, admin_status=None, min_tx_interval=None, min_rx_interval=None, detection_time_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- admin_status (int):
				range - ['0..255']

			- min_tx_interval (long):
				range - ['0..4294967295']

			- min_rx_interval (long):
				range - ['0..4294967295']

			- detection_time_multiplier (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_status=admin_status, min_tx_interval=min_tx_interval, min_rx_interval=min_rx_interval, detection_time_multiplier=detection_time_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_bfd_admin_status_update(self, admin_status=None, min_tx_interval=None, min_rx_interval=None, detection_time_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- admin_status (int):
				range - ['0..255']

			- min_tx_interval (long):
				range - ['0..4294967295']

			- min_rx_interval (long):
				range - ['0..4294967295']

			- detection_time_multiplier (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_status=admin_status, min_tx_interval=min_tx_interval, min_rx_interval=min_rx_interval, detection_time_multiplier=detection_time_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_dynamic_bypass_dynamic_bypass_global_update(self, config_enable=None, config_enable_all=None, reoptimize_timer=None, max_bypasses_per_mp=None, max_bypasses=None, bypass_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- config_enable (int):
				range - ['0..65535']

			- config_enable_all (int):
				range - ['0..65535']

			- reoptimize_timer (long):
				range - ['0..4294967295']

			- max_bypasses_per_mp (int):
				range - ['0..65535']

			- max_bypasses (int):
				range - ['0..65535']

			- bypass_count (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, config_enable=config_enable, config_enable_all=config_enable_all, reoptimize_timer=reoptimize_timer, max_bypasses_per_mp=max_bypasses_per_mp, max_bypasses=max_bypasses, bypass_count=bypass_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_dynamic_bypass_dynamic_bypass_global_bypass_count_update(self, config_enable=None, config_enable_all=None, reoptimize_timer=None, max_bypasses_per_mp=None, max_bypasses=None, bypass_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- config_enable (int):
				range - ['0..65535']

			- config_enable_all (int):
				range - ['0..65535']

			- reoptimize_timer (long):
				range - ['0..4294967295']

			- max_bypasses_per_mp (int):
				range - ['0..65535']

			- max_bypasses (int):
				range - ['0..65535']

			- bypass_count (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, config_enable=config_enable, config_enable_all=config_enable_all, reoptimize_timer=reoptimize_timer, max_bypasses_per_mp=max_bypasses_per_mp, max_bypasses=max_bypasses, bypass_count=bypass_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_dynamic_bypass_dynamic_bypass_interface_create(self, dynamic_bypass_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dynamic_bypass_interface (if_name, if_type):
				if_name (unicode):

				if_type (unicode):
					enum - [u'loopback-interface', u'ethernet-interface', u'port-channel-interface', u'unknown-interface', u've-interface', u'fbr-channel-interface']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_name, if_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_interface=dynamic_bypass_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_dynamic_bypass_dynamic_bypass_interface_delete(self, dynamic_bypass_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dynamic_bypass_interface (if_name, if_type):
				if_name (unicode):

				if_type (unicode):
					enum - [u'loopback-interface', u'ethernet-interface', u'port-channel-interface', u'unknown-interface', u've-interface', u'fbr-channel-interface']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_name, if_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_interface=dynamic_bypass_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_dynamic_bypass_dynamic_bypass_interface_update(self, dynamic_bypass_interface=None, active_status=None, admin_type=None, admin_status=None, hop_limit=None, tie_breaking=None, cos=None, cspf_comp_mode=None, setup_priority=None, hold_priority=None, traffic_eng_max_rate=None, traffic_eng_mean_rate=None, traffic_eng_max_burst=None, from_addr=None, reoptimize_timer=None, adaptive=None, record_route=None, name_prefix=None, primary_path=None, max_bypasses_per_mp=None, bypass_count=None, exclude_any=None, include_all=None, include_any=None, status_flags=None, mp_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dynamic_bypass_interface (if_name, if_type):
				if_name (unicode):

				if_type (unicode):
					enum - [u'loopback-interface', u'ethernet-interface', u'port-channel-interface', u'unknown-interface', u've-interface', u'fbr-channel-interface']

		This Instance Arg(s):
			- active_status (int):
				range - ['0..255']

			- admin_type (int):
				range - ['0..255']

			- admin_status (int):
				range - ['0..255']

			- hop_limit (int):
				range - ['0..255']

			- tie_breaking (int):
				range - ['0..255']

			- cos (int):
				range - ['0..255']

			- cspf_comp_mode (int):
				range - ['0..255']

			- setup_priority (int):
				range - ['0..255']

			- hold_priority (int):
				range - ['0..255']

			- traffic_eng_max_rate (long):
				range - ['0..4294967295']

			- traffic_eng_mean_rate (long):
				range - ['0..4294967295']

			- traffic_eng_max_burst (long):
				range - ['0..4294967295']

			- from_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- reoptimize_timer (long):
				range - ['0..4294967295']

			- adaptive (long):
				range - ['0..4294967295']

			- record_route (long):
				range - ['0..4294967295']

			- name_prefix (unicode):

			- primary_path (unicode):

			- max_bypasses_per_mp (int):
				range - ['0..65535']

			- bypass_count (int):
				range - ['0..65535']

			- exclude_any (long):
				range - ['0..4294967295']

			- include_all (long):
				range - ['0..4294967295']

			- include_any (long):
				range - ['0..4294967295']

			- status_flags (long):
				range - ['0..4294967295']

			- mp_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_name, if_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_interface=dynamic_bypass_interface, active_status=active_status, admin_type=admin_type, admin_status=admin_status, hop_limit=hop_limit, tie_breaking=tie_breaking, cos=cos, cspf_comp_mode=cspf_comp_mode, setup_priority=setup_priority, hold_priority=hold_priority, traffic_eng_max_rate=traffic_eng_max_rate, traffic_eng_mean_rate=traffic_eng_mean_rate, traffic_eng_max_burst=traffic_eng_max_burst, from_addr=from_addr, reoptimize_timer=reoptimize_timer, adaptive=adaptive, record_route=record_route, name_prefix=name_prefix, primary_path=primary_path, max_bypasses_per_mp=max_bypasses_per_mp, bypass_count=bypass_count, exclude_any=exclude_any, include_all=include_all, include_any=include_any, status_flags=status_flags, mp_count=mp_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_dynamic_bypass_dynamic_bypass_interface_get(self, dynamic_bypass_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dynamic_bypass_interface (if_name, if_type):
				if_name (unicode):

				if_type (unicode):
					enum - [u'loopback-interface', u'ethernet-interface', u'port-channel-interface', u'unknown-interface', u've-interface', u'fbr-channel-interface']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_name, if_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_interface=dynamic_bypass_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_dynamic_bypass_dynamic_bypass_interface_mp_infos_create(self, dynamic_bypass_interface=None, mp_infos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dynamic_bypass_interface (if_name, if_type):
				if_name (unicode):

				if_type (unicode):
					enum - [u'loopback-interface', u'ethernet-interface', u'port-channel-interface', u'unknown-interface', u've-interface', u'fbr-channel-interface']

		This Instance Keyword Arg Tuple:
			- mp_infos (router_id):
				router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', u'dynamic_bypass_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface.mp_infos', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'if_name, if_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mp_infos', 'keyval': 'router_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_interface=dynamic_bypass_interface, mp_infos=mp_infos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_dynamic_bypass_dynamic_bypass_interface_mp_infos_delete(self, dynamic_bypass_interface=None, mp_infos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dynamic_bypass_interface (if_name, if_type):
				if_name (unicode):

				if_type (unicode):
					enum - [u'loopback-interface', u'ethernet-interface', u'port-channel-interface', u'unknown-interface', u've-interface', u'fbr-channel-interface']

		This Instance Keyword Arg Tuple:
			- mp_infos (router_id):
				router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', u'dynamic_bypass_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface.mp_infos', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'if_name, if_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mp_infos', 'keyval': 'router_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_interface=dynamic_bypass_interface, mp_infos=mp_infos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_dynamic_bypass_dynamic_bypass_interface_mp_infos_update(self, dynamic_bypass_interface=None, mp_infos=None, bypass_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dynamic_bypass_interface (if_name, if_type):
				if_name (unicode):

				if_type (unicode):
					enum - [u'loopback-interface', u'ethernet-interface', u'port-channel-interface', u'unknown-interface', u've-interface', u'fbr-channel-interface']

		This Instance Keyword Arg Tuple:
			- mp_infos (router_id):
				router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- bypass_count (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', u'dynamic_bypass_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface.mp_infos', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'if_name, if_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mp_infos', 'keyval': 'router_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_interface=dynamic_bypass_interface, mp_infos=mp_infos, bypass_count=bypass_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_dynamic_bypass_dynamic_bypass_interface_mp_infos_get(self, dynamic_bypass_interface=None, mp_infos=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dynamic_bypass_interface (if_name, if_type):
				if_name (unicode):

				if_type (unicode):
					enum - [u'loopback-interface', u'ethernet-interface', u'port-channel-interface', u'unknown-interface', u've-interface', u'fbr-channel-interface']

		This Instance Keyword Arg Tuple:
			- mp_infos (router_id):
				router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', u'dynamic_bypass_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface.mp_infos', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'if_name, if_type', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mp_infos', 'keyval': 'router_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_interface=dynamic_bypass_interface, mp_infos=mp_infos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_forwarding_entry_create(self, forwarding_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- forwarding_entry (entry_index, sync_index):
				entry_index (long):
					range - ['0..4294967295']

				sync_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, forwarding_entry=forwarding_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_forwarding_entry_delete(self, forwarding_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- forwarding_entry (entry_index, sync_index):
				entry_index (long):
					range - ['0..4294967295']

				sync_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, forwarding_entry=forwarding_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_forwarding_entry_update(self, forwarding_entry=None, dest_ip_prefix=None, in_label=None, out_label=None, protocol=None, out_interface_name=None, nexthop_ip_addr=None, type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- forwarding_entry (entry_index, sync_index):
				entry_index (long):
					range - ['0..4294967295']

				sync_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- dest_ip_prefix (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- in_label (long):
				range - ['0..4294967295']

			- out_label (long):
				range - ['0..4294967295']

			- protocol (unicode):
				enum - [u'mpls-protocol-none', u'mpls-protocol-ldp', u'mpls-protocol-rsvp']

			- out_interface_name (unicode):

			- nexthop_ip_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- type (unicode):
				enum - [u'mpls-forwarding-entry-backup', u'mpls-forwarding-entry-detour']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, forwarding_entry=forwarding_entry, dest_ip_prefix=dest_ip_prefix, in_label=in_label, out_label=out_label, protocol=protocol, out_interface_name=out_interface_name, nexthop_ip_addr=nexthop_ip_addr, type=type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_forwarding_entry_get(self, forwarding_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- forwarding_entry (entry_index, sync_index):
				entry_index (long):
					range - ['0..4294967295']

				sync_index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, forwarding_entry=forwarding_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_interface_create(self, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interface (interface_index):
				interface_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_interface_delete(self, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interface (interface_index):
				interface_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_interface_update(self, interface=None, interface_name=None, admin_status=None, oper_status=None, mtu=None, bypass_lsp_count=None, max_lsp_priority_level=None, is_ldp_enabled=None, ldp_tunnel_count=None, ldp_transit_tunnel_count=None, is_gre_port=None, admin_group=None, admin_group_max=None, admin_group_min=None, te_metric=None, max_bandwidth=None, max_resv_bandwidth=None, max_resv_bandwidth_percentage=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interface (interface_index):
				interface_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_name (unicode):

			- admin_status (YANGBool):

			- oper_status (YANGBool):

			- mtu (long):
				range - ['0..4294967295']

			- bypass_lsp_count (long):
				range - ['0..4294967295']

			- max_lsp_priority_level (long):
				range - ['0..4294967295']

			- is_ldp_enabled (YANGBool):

			- ldp_tunnel_count (long):
				range - ['0..4294967295']

			- ldp_transit_tunnel_count (long):
				range - ['0..4294967295']

			- is_gre_port (YANGBool):

			- admin_group (long):
				range - ['0..4294967295']

			- admin_group_max (int):
				range - ['0..255']

			- admin_group_min (int):
				range - ['0..255']

			- te_metric (long):
				range - ['0..4294967295']

			- max_bandwidth (long):
				range - ['0..4294967295']

			- max_resv_bandwidth (long):
				range - ['0..4294967295']

			- max_resv_bandwidth_percentage (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface=interface, interface_name=interface_name, admin_status=admin_status, oper_status=oper_status, mtu=mtu, bypass_lsp_count=bypass_lsp_count, max_lsp_priority_level=max_lsp_priority_level, is_ldp_enabled=is_ldp_enabled, ldp_tunnel_count=ldp_tunnel_count, ldp_transit_tunnel_count=ldp_transit_tunnel_count, is_gre_port=is_gre_port, admin_group=admin_group, admin_group_max=admin_group_max, admin_group_min=admin_group_min, te_metric=te_metric, max_bandwidth=max_bandwidth, max_resv_bandwidth=max_resv_bandwidth, max_resv_bandwidth_percentage=max_resv_bandwidth_percentage)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_interface_get(self, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interface (interface_index):
				interface_index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_create(self, ldp_fec_prefix_longer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix_longer', 'keyval': 'prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_delete(self, ldp_fec_prefix_longer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix_longer', 'keyval': 'prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_get(self, ldp_fec_prefix_longer=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix_longer', 'keyval': 'prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_update(self, ldp_fec_prefix_longer=None, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

		This Instance Arg(s):
			- type (int):
				range - ['0..255']

			- prefix_len (int):
				range - ['0..255']

			- inet_addr_type (int):
				range - ['0..255']

			- inet_addr_len (int):
				range - ['0..255']

			- inet_addr (unicode):

			- vc_ldp_peer_id (unicode):

			- data_fec_type (int):
				range - ['0..255']

			- vc_type (int):
				range - ['0..65535']

			- vc_control_word_config (int):
				range - ['0..255']

			- vc_use_control_word (int):
				range - ['0..255']

			- vc_group_id (long):
				range - ['0..4294967295']

			- vc_id (long):
				range - ['0..4294967295']

			- vc_agi_offset (int):
				range - ['0..255']

			- vc_agi_len (int):
				range - ['0..255']

			- vc_saii_offset (int):
				range - ['0..255']

			- vc_saii_len (int):
				range - ['0..255']

			- vc_taii_offset (int):
				range - ['0..255']

			- vc_taii_len (int):
				range - ['0..255']

			- vc_gen_id_size (int):
				range - ['0..65535']

			- vc_gen_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_data_fec_type_update(self, ldp_fec_prefix_longer=None, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

		This Instance Arg(s):
			- type (int):
				range - ['0..255']

			- prefix_len (int):
				range - ['0..255']

			- inet_addr_type (int):
				range - ['0..255']

			- inet_addr_len (int):
				range - ['0..255']

			- inet_addr (unicode):

			- vc_ldp_peer_id (unicode):

			- data_fec_type (int):
				range - ['0..255']

			- vc_type (int):
				range - ['0..65535']

			- vc_control_word_config (int):
				range - ['0..255']

			- vc_use_control_word (int):
				range - ['0..255']

			- vc_group_id (long):
				range - ['0..4294967295']

			- vc_id (long):
				range - ['0..4294967295']

			- vc_agi_offset (int):
				range - ['0..255']

			- vc_agi_len (int):
				range - ['0..255']

			- vc_saii_offset (int):
				range - ['0..255']

			- vc_saii_len (int):
				range - ['0..255']

			- vc_taii_offset (int):
				range - ['0..255']

			- vc_taii_len (int):
				range - ['0..255']

			- vc_gen_id_size (int):
				range - ['0..65535']

			- vc_gen_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_create(self, ldp_fec_prefix_longer=None, prefix_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_prefix (prefix):
				prefix (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_delete(self, ldp_fec_prefix_longer=None, prefix_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_prefix (prefix):
				prefix (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_feccb=None, prefix_idx=None, prefix_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, prefix_lwd=None, prefix_lwd_started=None, prefix_is_ldp_o_rsvp=None, prefix_excess_dms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Arg(s):
			- prefix_feccb (long):
				range - ['0..4294967295']

			- prefix_idx (long):
				range - ['0..4294967295']

			- prefix_type (long):
				range - ['0..4294967295']

			- prefix_pend_notif (unicode):

			- prefix_state (unicode):

			- prefix_ingress (unicode):

			- prefix_egress (unicode):

			- prefix_um_dist_done (unicode):

			- prefix_lwd (unicode):

			- prefix_lwd_started (unicode):

			- prefix_is_ldp_o_rsvp (YANGBool):

			- prefix_excess_dms (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_get(self, ldp_fec_prefix_longer=None, prefix_prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_prefix (prefix):
				prefix (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_create(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_delete(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_ldp_lblspc (long):
				range - ['0..4294967295']

			- peer_ldp_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- peer_ldp_lblspc (long):
				range - ['0..4294967295']

			- label (long):
				range - ['0..4294967295']

			- state (unicode):

			- fec_filtered_state (long):
				range - ['0..4294967295']

			- fec_stale (long):
				range - ['0..4294967295']

			- feccb (long):
				range - ['0..4294967295']

			- fec_dm_state_dw (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_get(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_nexthops_create(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_nexthops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_nexthops (nexthop):
				nexthop (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_nexthops=prefix_nexthops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_nexthops_delete(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_nexthops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_nexthops (nexthop):
				nexthop (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_nexthops=prefix_nexthops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_nexthops_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_nexthops=None, out_intf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_nexthops (nexthop):
				nexthop (unicode):

		This Instance Arg(s):
			- out_intf (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_nexthops=prefix_nexthops, out_intf=out_intf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_nexthops_get(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_nexthops=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_nexthops (nexthop):
				nexthop (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_nexthops=prefix_nexthops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_create(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_delete(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_ldp_lblspc (long):
				range - ['0..4294967295']

			- peer_ldp_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- peer_ldp_lblspc (long):
				range - ['0..4294967295']

			- label (long):
				range - ['0..4294967295']

			- state (unicode):

			- fec_filtered_state (long):
				range - ['0..4294967295']

			- fec_stale (long):
				range - ['0..4294967295']

			- feccb (long):
				range - ['0..4294967295']

			- fec_dm_state_dw (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_get(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_prefix_longer (prefix):
				prefix (unicode):

			- prefix_prefix (prefix):
				prefix (unicode):

		This Instance Keyword Arg Tuple:
			- prefix_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_update(self, prefix=None, prefix_feccb=None, prefix_idx=None, prefix_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, prefix_lwd=None, prefix_lwd_started=None, prefix_is_ldp_o_rsvp=None, prefix_excess_dms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix (unicode):

			- prefix_feccb (long):
				range - ['0..4294967295']

			- prefix_idx (long):
				range - ['0..4294967295']

			- prefix_type (long):
				range - ['0..4294967295']

			- prefix_pend_notif (unicode):

			- prefix_state (unicode):

			- prefix_ingress (unicode):

			- prefix_egress (unicode):

			- prefix_um_dist_done (unicode):

			- prefix_lwd (unicode):

			- prefix_lwd_started (unicode):

			- prefix_is_ldp_o_rsvp (YANGBool):

			- prefix_excess_dms (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_update(self, prefix=None, prefix_feccb=None, prefix_idx=None, prefix_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, prefix_lwd=None, prefix_lwd_started=None, prefix_is_ldp_o_rsvp=None, prefix_excess_dms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix (unicode):

			- prefix_feccb (long):
				range - ['0..4294967295']

			- prefix_idx (long):
				range - ['0..4294967295']

			- prefix_type (long):
				range - ['0..4294967295']

			- prefix_pend_notif (unicode):

			- prefix_state (unicode):

			- prefix_ingress (unicode):

			- prefix_egress (unicode):

			- prefix_um_dist_done (unicode):

			- prefix_lwd (unicode):

			- prefix_lwd_started (unicode):

			- prefix_is_ldp_o_rsvp (YANGBool):

			- prefix_excess_dms (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_create(self, prefix_downstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_downstream=prefix_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_delete(self, prefix_downstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_downstream=prefix_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_update(self, prefix_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_ldp_lblspc (long):
				range - ['0..4294967295']

			- peer_ldp_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- peer_ldp_lblspc (long):
				range - ['0..4294967295']

			- label (long):
				range - ['0..4294967295']

			- state (unicode):

			- fec_filtered_state (long):
				range - ['0..4294967295']

			- fec_stale (long):
				range - ['0..4294967295']

			- feccb (long):
				range - ['0..4294967295']

			- fec_dm_state_dw (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_get(self, prefix_downstream=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_downstream=prefix_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_nexthops_create(self, prefix_nexthops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_nexthops (nexthop):
				nexthop (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_nexthops=prefix_nexthops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_nexthops_delete(self, prefix_nexthops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_nexthops (nexthop):
				nexthop (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_nexthops=prefix_nexthops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_nexthops_update(self, prefix_nexthops=None, out_intf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_nexthops (nexthop):
				nexthop (unicode):

		This Instance Arg(s):
			- out_intf (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_nexthops=prefix_nexthops, out_intf=out_intf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_nexthops_get(self, prefix_nexthops=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_nexthops (nexthop):
				nexthop (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_nexthops=prefix_nexthops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_create(self, prefix_upstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_upstream=prefix_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_delete(self, prefix_upstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_upstream=prefix_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_update(self, prefix_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_ldp_lblspc (long):
				range - ['0..4294967295']

			- peer_ldp_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- peer_ldp_lblspc (long):
				range - ['0..4294967295']

			- label (long):
				range - ['0..4294967295']

			- state (unicode):

			- fec_filtered_state (long):
				range - ['0..4294967295']

			- fec_stale (long):
				range - ['0..4294967295']

			- feccb (long):
				range - ['0..4294967295']

			- fec_dm_state_dw (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_get(self, prefix_upstream=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_upstream=prefix_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_update(self, tot_no_of_prefix_fec=None, tot_no_of_prefix_fec_installed=None, tot_no_of_prefix_fec_filtered=None, tot_no_of_prefix_fec_lwd=None, filtered=None, prefix_filtered=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tot_no_of_prefix_fec (long):
				range - ['0..4294967295']

			- tot_no_of_prefix_fec_installed (long):
				range - ['0..4294967295']

			- tot_no_of_prefix_fec_filtered (long):
				range - ['0..4294967295']

			- tot_no_of_prefix_fec_lwd (long):
				range - ['0..4294967295']

			- filtered (unicode):
				enum - [u'filtered', u'filtered-in', u'filtered-out']

			- prefix_filtered (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_prefix_fec_lwd=tot_no_of_prefix_fec_lwd, filtered=filtered, prefix_filtered=prefix_filtered)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_filtered_update(self, tot_no_of_prefix_fec=None, tot_no_of_prefix_fec_installed=None, tot_no_of_prefix_fec_filtered=None, tot_no_of_prefix_fec_lwd=None, filtered=None, prefix_filtered=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tot_no_of_prefix_fec (long):
				range - ['0..4294967295']

			- tot_no_of_prefix_fec_installed (long):
				range - ['0..4294967295']

			- tot_no_of_prefix_fec_filtered (long):
				range - ['0..4294967295']

			- tot_no_of_prefix_fec_lwd (long):
				range - ['0..4294967295']

			- filtered (unicode):
				enum - [u'filtered', u'filtered-in', u'filtered-out']

			- prefix_filtered (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_prefix_fec_lwd=tot_no_of_prefix_fec_lwd, filtered=filtered, prefix_filtered=prefix_filtered)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_key_update(self, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- type (int):
				range - ['0..255']

			- prefix_len (int):
				range - ['0..255']

			- inet_addr_type (int):
				range - ['0..255']

			- inet_addr_len (int):
				range - ['0..255']

			- inet_addr (unicode):

			- vc_ldp_peer_id (unicode):

			- data_fec_type (int):
				range - ['0..255']

			- vc_type (int):
				range - ['0..65535']

			- vc_control_word_config (int):
				range - ['0..255']

			- vc_use_control_word (int):
				range - ['0..255']

			- vc_group_id (long):
				range - ['0..4294967295']

			- vc_id (long):
				range - ['0..4294967295']

			- vc_agi_offset (int):
				range - ['0..255']

			- vc_agi_len (int):
				range - ['0..255']

			- vc_saii_offset (int):
				range - ['0..255']

			- vc_saii_len (int):
				range - ['0..255']

			- vc_taii_offset (int):
				range - ['0..255']

			- vc_taii_len (int):
				range - ['0..255']

			- vc_gen_id_size (int):
				range - ['0..65535']

			- vc_gen_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_key_data_fec_type_update(self, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- type (int):
				range - ['0..255']

			- prefix_len (int):
				range - ['0..255']

			- inet_addr_type (int):
				range - ['0..255']

			- inet_addr_len (int):
				range - ['0..255']

			- inet_addr (unicode):

			- vc_ldp_peer_id (unicode):

			- data_fec_type (int):
				range - ['0..255']

			- vc_type (int):
				range - ['0..65535']

			- vc_control_word_config (int):
				range - ['0..255']

			- vc_use_control_word (int):
				range - ['0..255']

			- vc_group_id (long):
				range - ['0..4294967295']

			- vc_id (long):
				range - ['0..4294967295']

			- vc_agi_offset (int):
				range - ['0..255']

			- vc_agi_len (int):
				range - ['0..255']

			- vc_saii_offset (int):
				range - ['0..255']

			- vc_saii_len (int):
				range - ['0..255']

			- vc_taii_offset (int):
				range - ['0..255']

			- vc_taii_len (int):
				range - ['0..255']

			- vc_gen_id_size (int):
				range - ['0..65535']

			- vc_gen_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_create(self, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix (destination):
				destination (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_delete(self, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix (destination):
				destination (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_update(self, prefix=None, state=None, ingress=None, egress=None, filtered=None, lwd=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix (destination):
				destination (unicode):

		This Instance Arg(s):
			- state (unicode):

			- ingress (unicode):

			- egress (unicode):

			- filtered (unicode):

			- lwd (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, state=state, ingress=ingress, egress=egress, filtered=filtered, lwd=lwd)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_get(self, prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- prefix (destination):
				destination (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_nexthops_create(self, prefix=None, nexthops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- prefix (destination):
				destination (unicode):

		This Instance Keyword Arg Tuple:
			- nexthops (nexthop):
				nexthop (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', u'prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix.nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, nexthops=nexthops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_nexthops_delete(self, prefix=None, nexthops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- prefix (destination):
				destination (unicode):

		This Instance Keyword Arg Tuple:
			- nexthops (nexthop):
				nexthop (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', u'prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix.nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, nexthops=nexthops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_nexthops_update(self, prefix=None, nexthops=None, out_intf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- prefix (destination):
				destination (unicode):

		This Instance Keyword Arg Tuple:
			- nexthops (nexthop):
				nexthop (unicode):

		This Instance Arg(s):
			- out_intf (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', u'prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix.nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, nexthops=nexthops, out_intf=out_intf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_nexthops_get(self, prefix=None, nexthops=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- prefix (destination):
				destination (unicode):

		This Instance Keyword Arg Tuple:
			- nexthops (nexthop):
				nexthop (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', u'prefix')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix.nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, nexthops=nexthops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_summary_update(self, tot_no_of_prefix_fec=None, tot_no_of_prefix_fec_installed=None, tot_no_of_prefix_fec_filtered=None, tot_no_of_vc_fec_128=None, tot_no_of_vc_fec_129=None, tot_no_of_vc_fec_installed=None, tot_no_of_route_upd_proc_errors=None, tot_no_of_vc_fec_proc_errors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tot_no_of_prefix_fec (long):
				range - ['0..4294967295']

			- tot_no_of_prefix_fec_installed (long):
				range - ['0..4294967295']

			- tot_no_of_prefix_fec_filtered (long):
				range - ['0..4294967295']

			- tot_no_of_vc_fec_128 (long):
				range - ['0..4294967295']

			- tot_no_of_vc_fec_129 (long):
				range - ['0..4294967295']

			- tot_no_of_vc_fec_installed (long):
				range - ['0..4294967295']

			- tot_no_of_route_upd_proc_errors (long):
				range - ['0..4294967295']

			- tot_no_of_vc_fec_proc_errors (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_vc_fec_128=tot_no_of_vc_fec_128, tot_no_of_vc_fec_129=tot_no_of_vc_fec_129, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed, tot_no_of_route_upd_proc_errors=tot_no_of_route_upd_proc_errors, tot_no_of_vc_fec_proc_errors=tot_no_of_vc_fec_proc_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_summary_tot_no_of_prefix_fec_update(self, tot_no_of_prefix_fec=None, tot_no_of_prefix_fec_installed=None, tot_no_of_prefix_fec_filtered=None, tot_no_of_vc_fec_128=None, tot_no_of_vc_fec_129=None, tot_no_of_vc_fec_installed=None, tot_no_of_route_upd_proc_errors=None, tot_no_of_vc_fec_proc_errors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tot_no_of_prefix_fec (long):
				range - ['0..4294967295']

			- tot_no_of_prefix_fec_installed (long):
				range - ['0..4294967295']

			- tot_no_of_prefix_fec_filtered (long):
				range - ['0..4294967295']

			- tot_no_of_vc_fec_128 (long):
				range - ['0..4294967295']

			- tot_no_of_vc_fec_129 (long):
				range - ['0..4294967295']

			- tot_no_of_vc_fec_installed (long):
				range - ['0..4294967295']

			- tot_no_of_route_upd_proc_errors (long):
				range - ['0..4294967295']

			- tot_no_of_vc_fec_proc_errors (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_vc_fec_128=tot_no_of_vc_fec_128, tot_no_of_vc_fec_129=tot_no_of_vc_fec_129, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed, tot_no_of_route_upd_proc_errors=tot_no_of_route_upd_proc_errors, tot_no_of_vc_fec_proc_errors=tot_no_of_vc_fec_proc_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_create(self, ldp_fec_vcid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_delete(self, ldp_fec_vcid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_update(self, ldp_fec_vcid=None, vc_feccb=None, vc_idx=None, vc_fec_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, vc_type=None, vc_grp_id=None, vc_local_mtu=None, vc_remote_mtu=None, vc_mtu_enforcement=None, vc_agi=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vc_feccb (long):
				range - ['0..4294967295']

			- vc_idx (long):
				range - ['0..4294967295']

			- vc_fec_type (long):
				range - ['0..4294967295']

			- prefix_pend_notif (unicode):

			- prefix_state (unicode):

			- prefix_ingress (unicode):

			- prefix_egress (unicode):

			- prefix_um_dist_done (unicode):

			- vc_type (long):
				range - ['0..4294967295']

			- vc_grp_id (long):
				range - ['0..4294967295']

			- vc_local_mtu (long):
				range - ['0..4294967295']

			- vc_remote_mtu (long):
				range - ['0..4294967295']

			- vc_mtu_enforcement (long):
				range - ['0..4294967295']

			- vc_agi (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_feccb=vc_feccb, vc_idx=vc_idx, vc_fec_type=vc_fec_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, vc_type=vc_type, vc_grp_id=vc_grp_id, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_mtu_enforcement=vc_mtu_enforcement, vc_agi=vc_agi)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_get(self, ldp_fec_vcid=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_create(self, ldp_fec_vcid=None, vc_downstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_delete(self, ldp_fec_vcid=None, vc_downstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_update(self, ldp_fec_vcid=None, vc_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_ldp_lblspc (long):
				range - ['0..4294967295']

			- peer_ldp_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- peer_ldp_lblspc (long):
				range - ['0..4294967295']

			- label (long):
				range - ['0..4294967295']

			- state (unicode):

			- fec_filtered_state (long):
				range - ['0..4294967295']

			- fec_stale (long):
				range - ['0..4294967295']

			- feccb (long):
				range - ['0..4294967295']

			- fec_dm_state_dw (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_get(self, ldp_fec_vcid=None, vc_downstream=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_downstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_create(self, ldp_fec_vcid=None, vc_upstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_delete(self, ldp_fec_vcid=None, vc_upstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_update(self, ldp_fec_vcid=None, vc_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_ldp_lblspc (long):
				range - ['0..4294967295']

			- peer_ldp_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- peer_ldp_lblspc (long):
				range - ['0..4294967295']

			- label (long):
				range - ['0..4294967295']

			- state (unicode):

			- fec_filtered_state (long):
				range - ['0..4294967295']

			- fec_stale (long):
				range - ['0..4294967295']

			- feccb (long):
				range - ['0..4294967295']

			- fec_dm_state_dw (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_get(self, ldp_fec_vcid=None, vc_upstream=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_fec_vcid (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_upstream (local_ldp_id):
				local_ldp_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcs_update(self, tot_no_of_vc_fec=None, tot_no_of_vc_fec_installed=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tot_no_of_vc_fec (long):
				range - ['0..4294967295']

			- tot_no_of_vc_fec_installed (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_vc_fec=tot_no_of_vc_fec, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcs_key_update(self, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- type (int):
				range - ['0..255']

			- prefix_len (int):
				range - ['0..255']

			- inet_addr_type (int):
				range - ['0..255']

			- inet_addr_len (int):
				range - ['0..255']

			- inet_addr (unicode):

			- vc_ldp_peer_id (unicode):

			- data_fec_type (int):
				range - ['0..255']

			- vc_type (int):
				range - ['0..65535']

			- vc_control_word_config (int):
				range - ['0..255']

			- vc_use_control_word (int):
				range - ['0..255']

			- vc_group_id (long):
				range - ['0..4294967295']

			- vc_id (long):
				range - ['0..4294967295']

			- vc_agi_offset (int):
				range - ['0..255']

			- vc_agi_len (int):
				range - ['0..255']

			- vc_saii_offset (int):
				range - ['0..255']

			- vc_saii_len (int):
				range - ['0..255']

			- vc_taii_offset (int):
				range - ['0..255']

			- vc_taii_len (int):
				range - ['0..255']

			- vc_gen_id_size (int):
				range - ['0..65535']

			- vc_gen_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcs_key_data_fec_type_update(self, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- type (int):
				range - ['0..255']

			- prefix_len (int):
				range - ['0..255']

			- inet_addr_type (int):
				range - ['0..255']

			- inet_addr_len (int):
				range - ['0..255']

			- inet_addr (unicode):

			- vc_ldp_peer_id (unicode):

			- data_fec_type (int):
				range - ['0..255']

			- vc_type (int):
				range - ['0..65535']

			- vc_control_word_config (int):
				range - ['0..255']

			- vc_use_control_word (int):
				range - ['0..255']

			- vc_group_id (long):
				range - ['0..4294967295']

			- vc_id (long):
				range - ['0..4294967295']

			- vc_agi_offset (int):
				range - ['0..255']

			- vc_agi_len (int):
				range - ['0..255']

			- vc_saii_offset (int):
				range - ['0..255']

			- vc_saii_len (int):
				range - ['0..255']

			- vc_taii_offset (int):
				range - ['0..255']

			- vc_taii_len (int):
				range - ['0..255']

			- vc_gen_id_size (int):
				range - ['0..65535']

			- vc_gen_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcs_tot_no_of_vc_fec_update(self, tot_no_of_vc_fec=None, tot_no_of_vc_fec_installed=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tot_no_of_vc_fec (long):
				range - ['0..4294967295']

			- tot_no_of_vc_fec_installed (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_vc_fec=tot_no_of_vc_fec, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcs_vc_create(self, vc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vc (peer_id):
				peer_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc=vc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcs_vc_delete(self, vc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vc (peer_id):
				peer_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc=vc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcs_vc_update(self, vc=None, peer_lblspc=None, state=None, vc_id=None, peer_vc_type=None, peer_fec_type=None, ingress=None, egress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vc (peer_id):
				peer_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- peer_lblspc (long):
				range - ['0..4294967295']

			- state (unicode):

			- vc_id (long):
				range - ['0..4294967295']

			- peer_vc_type (long):
				range - ['0..4294967295']

			- peer_fec_type (long):
				range - ['0..4294967295']

			- ingress (unicode):

			- egress (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc=vc, peer_lblspc=peer_lblspc, state=state, vc_id=vc_id, peer_vc_type=peer_vc_type, peer_fec_type=peer_fec_type, ingress=ingress, egress=egress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_fec_ldp_fec_vcs_vc_get(self, vc=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vc (peer_id):
				peer_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc=vc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_interface_ldp_interface_data_create(self, ldp_interface_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_interface_data (ldp_interface_name, ldp_interface_type):
				ldp_interface_name (unicode):

				ldp_interface_type (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_interface_data=ldp_interface_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_interface_ldp_interface_data_delete(self, ldp_interface_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_interface_data (ldp_interface_name, ldp_interface_type):
				ldp_interface_name (unicode):

				ldp_interface_type (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_interface_data=ldp_interface_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_interface_ldp_interface_data_update(self, ldp_interface_data=None, ldp_interface_lbpsp=None, ldp_interface_nbr_cnt=None, ldp_interface_hello_intl=None, ldp_interface_hello_timeout=None, ldp_interface_hello_next=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_interface_data (ldp_interface_name, ldp_interface_type):
				ldp_interface_name (unicode):

				ldp_interface_type (unicode):

		This Instance Arg(s):
			- ldp_interface_lbpsp (long):
				range - ['0..4294967295']

			- ldp_interface_nbr_cnt (long):
				range - ['0..4294967295']

			- ldp_interface_hello_intl (long):
				range - ['0..4294967295']

			- ldp_interface_hello_timeout (long):
				range - ['0..4294967295']

			- ldp_interface_hello_next (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_interface_data=ldp_interface_data, ldp_interface_lbpsp=ldp_interface_lbpsp, ldp_interface_nbr_cnt=ldp_interface_nbr_cnt, ldp_interface_hello_intl=ldp_interface_hello_intl, ldp_interface_hello_timeout=ldp_interface_hello_timeout, ldp_interface_hello_next=ldp_interface_hello_next)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_interface_ldp_interface_data_get(self, ldp_interface_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_interface_data (ldp_interface_name, ldp_interface_type):
				ldp_interface_name (unicode):

				ldp_interface_type (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_interface_data=ldp_interface_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_create(self, ldp_database=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_database', 'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_delete(self, ldp_database=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_database', 'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_update(self, ldp_database=None, ldp_database_own_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ldp_database_own_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_database', 'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, ldp_database_own_ip=ldp_database_own_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_get(self, ldp_database=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_database', 'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_create(self, ldp_database=None, mpls_ldp_database_downstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- mpls_ldp_database_downstream (mpls_ldp_database_ds_fec_prefix):
				mpls_ldp_database_ds_fec_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_delete(self, ldp_database=None, mpls_ldp_database_downstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- mpls_ldp_database_downstream (mpls_ldp_database_ds_fec_prefix):
				mpls_ldp_database_ds_fec_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_update(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_label=None, mpls_ldp_database_ds_fec_prefix_length=None, mpls_ldp_database_ds_fec_type=None, mpls_ldp_database_ds_fec_state=None, mpls_ldp_database_ds_fec_filtered=None, mpls_ldp_database_ds_fec_stale=None, mpls_ldp_database_ds_fec_lwd=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- mpls_ldp_database_downstream (mpls_ldp_database_ds_fec_prefix):
				mpls_ldp_database_ds_fec_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- mpls_ldp_database_ds_fec_label (long):
				range - ['0..4294967295']

			- mpls_ldp_database_ds_fec_prefix_length (long):
				range - ['0..4294967295']

			- mpls_ldp_database_ds_fec_type (long):
				range - ['0..4294967295']

			- mpls_ldp_database_ds_fec_state (unicode):

			- mpls_ldp_database_ds_fec_filtered (YANGBool):

			- mpls_ldp_database_ds_fec_stale (YANGBool):

			- mpls_ldp_database_ds_fec_lwd (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_label=mpls_ldp_database_ds_fec_label, mpls_ldp_database_ds_fec_prefix_length=mpls_ldp_database_ds_fec_prefix_length, mpls_ldp_database_ds_fec_type=mpls_ldp_database_ds_fec_type, mpls_ldp_database_ds_fec_state=mpls_ldp_database_ds_fec_state, mpls_ldp_database_ds_fec_filtered=mpls_ldp_database_ds_fec_filtered, mpls_ldp_database_ds_fec_stale=mpls_ldp_database_ds_fec_stale, mpls_ldp_database_ds_fec_lwd=mpls_ldp_database_ds_fec_lwd)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_get(self, ldp_database=None, mpls_ldp_database_downstream=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- mpls_ldp_database_downstream (mpls_ldp_database_ds_fec_prefix):
				mpls_ldp_database_ds_fec_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_create(self, ldp_database=None, mpls_ldp_database_upstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- mpls_ldp_database_upstream (mpls_ldp_database_us_fec_prefix):
				mpls_ldp_database_us_fec_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_delete(self, ldp_database=None, mpls_ldp_database_upstream=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- mpls_ldp_database_upstream (mpls_ldp_database_us_fec_prefix):
				mpls_ldp_database_us_fec_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_update(self, ldp_database=None, mpls_ldp_database_upstream=None, mpls_ldp_database_us_fec_label=None, mpls_ldp_database_us_fec_prefix_length=None, mpls_ldp_database_us_fec_type=None, mpls_ldp_database_us_fec_stale=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- mpls_ldp_database_upstream (mpls_ldp_database_us_fec_prefix):
				mpls_ldp_database_us_fec_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- mpls_ldp_database_us_fec_label (long):
				range - ['0..4294967295']

			- mpls_ldp_database_us_fec_prefix_length (long):
				range - ['0..4294967295']

			- mpls_ldp_database_us_fec_type (long):
				range - ['0..4294967295']

			- mpls_ldp_database_us_fec_stale (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_label=mpls_ldp_database_us_fec_label, mpls_ldp_database_us_fec_prefix_length=mpls_ldp_database_us_fec_prefix_length, mpls_ldp_database_us_fec_type=mpls_ldp_database_us_fec_type, mpls_ldp_database_us_fec_stale=mpls_ldp_database_us_fec_stale)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_get(self, ldp_database=None, mpls_ldp_database_upstream=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_database (ldp_database_peer_ip):
				ldp_database_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- mpls_ldp_database_upstream (mpls_ldp_database_us_fec_prefix):
				mpls_ldp_database_us_fec_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_ldp_neighbors_update(self, num_link_neighbors=None, num_targeted_neighbors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- num_link_neighbors (long):
				range - ['0..4294967295']

			- num_targeted_neighbors (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_link_neighbors=num_link_neighbors, num_targeted_neighbors=num_targeted_neighbors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_neighbors_neighbor_create(self, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbor (neighbor_ldpid, labelspaceid):
				neighbor_ldpid (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				labelspaceid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_neighbors_neighbor_delete(self, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbor (neighbor_ldpid, labelspaceid):
				neighbor_ldpid (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				labelspaceid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_neighbors_neighbor_update(self, neighbor=None, neighbor_transport=None, interface_name=None, max_hold_time=None, time_left=None, up_time=None, configured_hold_time=None, neighbor_proposed_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbor (neighbor_ldpid, labelspaceid):
				neighbor_ldpid (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				labelspaceid (int):
					range - ['0..255']

		This Instance Arg(s):
			- neighbor_transport (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- interface_name (unicode):

			- max_hold_time (long):
				range - ['0..4294967295']

			- time_left (long):
				range - ['0..4294967295']

			- up_time (unicode):

			- configured_hold_time (long):
				range - ['0..4294967295']

			- neighbor_proposed_hold_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor=neighbor, neighbor_transport=neighbor_transport, interface_name=interface_name, max_hold_time=max_hold_time, time_left=time_left, up_time=up_time, configured_hold_time=configured_hold_time, neighbor_proposed_hold_time=neighbor_proposed_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_neighbors_neighbor_get(self, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbor (neighbor_ldpid, labelspaceid):
				neighbor_ldpid (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				labelspaceid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_ldp_neighbors_num_link_neighbors_update(self, num_link_neighbors=None, num_targeted_neighbors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- num_link_neighbors (long):
				range - ['0..4294967295']

			- num_targeted_neighbors (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_link_neighbors=num_link_neighbors, num_targeted_neighbors=num_targeted_neighbors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_out_update(self, ldp_initialized=None, lsr_id=None, lsr_id_configured=None, loopback=None, hello_interval_link=None, hello_interval_target=None, hold_time_sent_link=None, hold_time_sent_target=None, ka_interval=None, ka_multiple=None, ka_timeout=None, ka_timeout_default=None, load_sharing=None, advertise_fecs_for_prefix_list=None, advertise_fecs_for_prefix_list_exists=None, inbound_fecs_filtering_prefix_list=None, inbound_fecs_filtering_prefix_list_exists=None, outbound_fecs_filtering_prefix_list=None, outbound_fecs_filtering_prefix_list_exists=None, tunnel_metric=None, fec_128_used_for_auto_disc_current=None, fec_128_used_for_auto_disc_configured=None, end_of_lib=None, eol_notification_time=None, tx_silence_time=None, rx_silence_time=None, gr_enable=None, gr_helper=None, gr_reconnect_time=None, gr_max_peer_reconnect_time=None, gr_recovery_time=None, gr_max_peer_recovery_time=None, forwarding_state_timer_running=None, forwarding_state_timer_remaining=None, lwd_delay=None, lwd_default=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_initialized (YANGBool):

			- lsr_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsr_id_configured (YANGBool):

			- loopback (int):
				range - ['0..255']

			- hello_interval_link (long):
				range - ['0..4294967295']

			- hello_interval_target (long):
				range - ['0..4294967295']

			- hold_time_sent_link (long):
				range - ['0..4294967295']

			- hold_time_sent_target (long):
				range - ['0..4294967295']

			- ka_interval (long):
				range - ['0..4294967295']

			- ka_multiple (long):
				range - ['0..4294967295']

			- ka_timeout (long):
				range - ['0..4294967295']

			- ka_timeout_default (YANGBool):

			- load_sharing (int):
				range - ['0..255']

			- advertise_fecs_for_prefix_list (unicode):

			- advertise_fecs_for_prefix_list_exists (YANGBool):

			- inbound_fecs_filtering_prefix_list (unicode):

			- inbound_fecs_filtering_prefix_list_exists (YANGBool):

			- outbound_fecs_filtering_prefix_list (unicode):

			- outbound_fecs_filtering_prefix_list_exists (YANGBool):

			- tunnel_metric (int):
				range - ['0..65535']

			- fec_128_used_for_auto_disc_current (YANGBool):

			- fec_128_used_for_auto_disc_configured (YANGBool):

			- end_of_lib (YANGBool):

			- eol_notification_time (long):
				range - ['0..4294967295']

			- tx_silence_time (long):
				range - ['0..4294967295']

			- rx_silence_time (long):
				range - ['0..4294967295']

			- gr_enable (YANGBool):

			- gr_helper (YANGBool):

			- gr_reconnect_time (long):
				range - ['0..4294967295']

			- gr_max_peer_reconnect_time (long):
				range - ['0..4294967295']

			- gr_recovery_time (long):
				range - ['0..4294967295']

			- gr_max_peer_recovery_time (long):
				range - ['0..4294967295']

			- forwarding_state_timer_running (YANGBool):

			- forwarding_state_timer_remaining (long):
				range - ['0..4294967295']

			- lwd_delay (long):
				range - ['0..4294967295']

			- lwd_default (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_initialized=ldp_initialized, lsr_id=lsr_id, lsr_id_configured=lsr_id_configured, loopback=loopback, hello_interval_link=hello_interval_link, hello_interval_target=hello_interval_target, hold_time_sent_link=hold_time_sent_link, hold_time_sent_target=hold_time_sent_target, ka_interval=ka_interval, ka_multiple=ka_multiple, ka_timeout=ka_timeout, ka_timeout_default=ka_timeout_default, load_sharing=load_sharing, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists, tunnel_metric=tunnel_metric, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured, end_of_lib=end_of_lib, eol_notification_time=eol_notification_time, tx_silence_time=tx_silence_time, rx_silence_time=rx_silence_time, gr_enable=gr_enable, gr_helper=gr_helper, gr_reconnect_time=gr_reconnect_time, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time, gr_recovery_time=gr_recovery_time, gr_max_peer_recovery_time=gr_max_peer_recovery_time, forwarding_state_timer_running=forwarding_state_timer_running, forwarding_state_timer_remaining=forwarding_state_timer_remaining, lwd_delay=lwd_delay, lwd_default=lwd_default)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_out_advertise_fecs_for_prefix_list_update(self, ldp_initialized=None, lsr_id=None, lsr_id_configured=None, loopback=None, hello_interval_link=None, hello_interval_target=None, hold_time_sent_link=None, hold_time_sent_target=None, ka_interval=None, ka_multiple=None, ka_timeout=None, ka_timeout_default=None, load_sharing=None, advertise_fecs_for_prefix_list=None, advertise_fecs_for_prefix_list_exists=None, inbound_fecs_filtering_prefix_list=None, inbound_fecs_filtering_prefix_list_exists=None, outbound_fecs_filtering_prefix_list=None, outbound_fecs_filtering_prefix_list_exists=None, tunnel_metric=None, fec_128_used_for_auto_disc_current=None, fec_128_used_for_auto_disc_configured=None, end_of_lib=None, eol_notification_time=None, tx_silence_time=None, rx_silence_time=None, gr_enable=None, gr_helper=None, gr_reconnect_time=None, gr_max_peer_reconnect_time=None, gr_recovery_time=None, gr_max_peer_recovery_time=None, forwarding_state_timer_running=None, forwarding_state_timer_remaining=None, lwd_delay=None, lwd_default=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_initialized (YANGBool):

			- lsr_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsr_id_configured (YANGBool):

			- loopback (int):
				range - ['0..255']

			- hello_interval_link (long):
				range - ['0..4294967295']

			- hello_interval_target (long):
				range - ['0..4294967295']

			- hold_time_sent_link (long):
				range - ['0..4294967295']

			- hold_time_sent_target (long):
				range - ['0..4294967295']

			- ka_interval (long):
				range - ['0..4294967295']

			- ka_multiple (long):
				range - ['0..4294967295']

			- ka_timeout (long):
				range - ['0..4294967295']

			- ka_timeout_default (YANGBool):

			- load_sharing (int):
				range - ['0..255']

			- advertise_fecs_for_prefix_list (unicode):

			- advertise_fecs_for_prefix_list_exists (YANGBool):

			- inbound_fecs_filtering_prefix_list (unicode):

			- inbound_fecs_filtering_prefix_list_exists (YANGBool):

			- outbound_fecs_filtering_prefix_list (unicode):

			- outbound_fecs_filtering_prefix_list_exists (YANGBool):

			- tunnel_metric (int):
				range - ['0..65535']

			- fec_128_used_for_auto_disc_current (YANGBool):

			- fec_128_used_for_auto_disc_configured (YANGBool):

			- end_of_lib (YANGBool):

			- eol_notification_time (long):
				range - ['0..4294967295']

			- tx_silence_time (long):
				range - ['0..4294967295']

			- rx_silence_time (long):
				range - ['0..4294967295']

			- gr_enable (YANGBool):

			- gr_helper (YANGBool):

			- gr_reconnect_time (long):
				range - ['0..4294967295']

			- gr_max_peer_reconnect_time (long):
				range - ['0..4294967295']

			- gr_recovery_time (long):
				range - ['0..4294967295']

			- gr_max_peer_recovery_time (long):
				range - ['0..4294967295']

			- forwarding_state_timer_running (YANGBool):

			- forwarding_state_timer_remaining (long):
				range - ['0..4294967295']

			- lwd_delay (long):
				range - ['0..4294967295']

			- lwd_default (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_initialized=ldp_initialized, lsr_id=lsr_id, lsr_id_configured=lsr_id_configured, loopback=loopback, hello_interval_link=hello_interval_link, hello_interval_target=hello_interval_target, hold_time_sent_link=hold_time_sent_link, hold_time_sent_target=hold_time_sent_target, ka_interval=ka_interval, ka_multiple=ka_multiple, ka_timeout=ka_timeout, ka_timeout_default=ka_timeout_default, load_sharing=load_sharing, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists, tunnel_metric=tunnel_metric, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured, end_of_lib=end_of_lib, eol_notification_time=eol_notification_time, tx_silence_time=tx_silence_time, rx_silence_time=rx_silence_time, gr_enable=gr_enable, gr_helper=gr_helper, gr_reconnect_time=gr_reconnect_time, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time, gr_recovery_time=gr_recovery_time, gr_max_peer_recovery_time=gr_max_peer_recovery_time, forwarding_state_timer_running=forwarding_state_timer_running, forwarding_state_timer_remaining=forwarding_state_timer_remaining, lwd_delay=lwd_delay, lwd_default=lwd_default)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_create(self, ldp_session=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_delete(self, ldp_session=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_update(self, ldp_session=None, peer_lblspc_id=None, state=None, adjacency=None, role=None, max_hold=None, time_left=None, session_status=None, local_ldp_id=None, local_lblspc_id=None, next_keepalive=None, entity_index=None, targeted_adj_added=None, is_retry=None, next_retry=None, keepalive_interval=None, local_keepalive_timeout=None, peer_proposed_keepalive_timeout=None, session_up_time=None, md5_auth_key=None, tcp_conn_local=None, tcp_conn_remote=None, tcp_state=None, num_fecs_received_from_peer=None, num_fecs_installed_from_peer=None, is_fecs_pending_uninstall=None, num_fecs_filtered_out=None, num_fecs_filtered_in=None, filter_prefix_list_name=None, filter_prefix_list_exists=None, is_only_gr_valid=None, gr_enabled=None, peer_reconnect_time=None, peer_recovery_time=None, reconnect_time_in_use=None, reconnect_time_remaining=None, recovery_time_in_use=None, recovery_time_remaining=None, gr_state=None, local_eol_unrecognized_notification=None, remote_eol_unrecognized_notification=None, does_session_support_eol=None, local_state=None, remote_state=None, eol_notification_time=None, eol_notification_time_remaining=None, eol_tx_label_silence_time=None, eol_tx_label_silence_time_remaining=None, eol_rx_label_silence_time=None, eol_rx_label_silence_time_remaining=None, filtered=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Arg(s):
			- peer_lblspc_id (unicode):

			- state (unicode):

			- adjacency (unicode):

			- role (unicode):

			- max_hold (long):
				range - ['0..4294967295']

			- time_left (long):
				range - ['0..4294967295']

			- session_status (unicode):

			- local_ldp_id (unicode):

			- local_lblspc_id (unicode):

			- next_keepalive (long):
				range - ['0..4294967295']

			- entity_index (long):
				range - ['0..4294967295']

			- targeted_adj_added (unicode):

			- is_retry (YANGBool):

			- next_retry (long):
				range - ['0..4294967295']

			- keepalive_interval (long):
				range - ['0..4294967295']

			- local_keepalive_timeout (long):
				range - ['0..4294967295']

			- peer_proposed_keepalive_timeout (long):
				range - ['0..4294967295']

			- session_up_time (unicode):

			- md5_auth_key (unicode):

			- tcp_conn_local (unicode):

			- tcp_conn_remote (unicode):

			- tcp_state (unicode):

			- num_fecs_received_from_peer (long):
				range - ['0..4294967295']

			- num_fecs_installed_from_peer (long):
				range - ['0..4294967295']

			- is_fecs_pending_uninstall (YANGBool):

			- num_fecs_filtered_out (long):
				range - ['0..4294967295']

			- num_fecs_filtered_in (long):
				range - ['0..4294967295']

			- filter_prefix_list_name (unicode):

			- filter_prefix_list_exists (YANGBool):

			- is_only_gr_valid (YANGBool):

			- gr_enabled (YANGBool):

			- peer_reconnect_time (long):
				range - ['0..4294967295']

			- peer_recovery_time (long):
				range - ['0..4294967295']

			- reconnect_time_in_use (long):
				range - ['0..4294967295']

			- reconnect_time_remaining (long):
				range - ['0..4294967295']

			- recovery_time_in_use (long):
				range - ['0..4294967295']

			- recovery_time_remaining (long):
				range - ['0..4294967295']

			- gr_state (unicode):

			- local_eol_unrecognized_notification (YANGBool):

			- remote_eol_unrecognized_notification (YANGBool):

			- does_session_support_eol (YANGBool):

			- local_state (YANGBool):

			- remote_state (YANGBool):

			- eol_notification_time (long):
				range - ['0..4294967295']

			- eol_notification_time_remaining (long):
				range - ['0..4294967295']

			- eol_tx_label_silence_time (long):
				range - ['0..4294967295']

			- eol_tx_label_silence_time_remaining (long):
				range - ['0..4294967295']

			- eol_rx_label_silence_time (long):
				range - ['0..4294967295']

			- eol_rx_label_silence_time_remaining (long):
				range - ['0..4294967295']

			- filtered (unicode):
				enum - [u'sess-filtered-out', u'sess-filtered-in', u'sess-filtered']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, peer_lblspc_id=peer_lblspc_id, state=state, adjacency=adjacency, role=role, max_hold=max_hold, time_left=time_left, session_status=session_status, local_ldp_id=local_ldp_id, local_lblspc_id=local_lblspc_id, next_keepalive=next_keepalive, entity_index=entity_index, targeted_adj_added=targeted_adj_added, is_retry=is_retry, next_retry=next_retry, keepalive_interval=keepalive_interval, local_keepalive_timeout=local_keepalive_timeout, peer_proposed_keepalive_timeout=peer_proposed_keepalive_timeout, session_up_time=session_up_time, md5_auth_key=md5_auth_key, tcp_conn_local=tcp_conn_local, tcp_conn_remote=tcp_conn_remote, tcp_state=tcp_state, num_fecs_received_from_peer=num_fecs_received_from_peer, num_fecs_installed_from_peer=num_fecs_installed_from_peer, is_fecs_pending_uninstall=is_fecs_pending_uninstall, num_fecs_filtered_out=num_fecs_filtered_out, num_fecs_filtered_in=num_fecs_filtered_in, filter_prefix_list_name=filter_prefix_list_name, filter_prefix_list_exists=filter_prefix_list_exists, is_only_gr_valid=is_only_gr_valid, gr_enabled=gr_enabled, peer_reconnect_time=peer_reconnect_time, peer_recovery_time=peer_recovery_time, reconnect_time_in_use=reconnect_time_in_use, reconnect_time_remaining=reconnect_time_remaining, recovery_time_in_use=recovery_time_in_use, recovery_time_remaining=recovery_time_remaining, gr_state=gr_state, local_eol_unrecognized_notification=local_eol_unrecognized_notification, remote_eol_unrecognized_notification=remote_eol_unrecognized_notification, does_session_support_eol=does_session_support_eol, local_state=local_state, remote_state=remote_state, eol_notification_time=eol_notification_time, eol_notification_time_remaining=eol_notification_time_remaining, eol_tx_label_silence_time=eol_tx_label_silence_time, eol_tx_label_silence_time_remaining=eol_tx_label_silence_time_remaining, eol_rx_label_silence_time=eol_rx_label_silence_time, eol_rx_label_silence_time_remaining=eol_rx_label_silence_time_remaining, filtered=filtered)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_get(self, ldp_session=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_filtered_fecs_in_create(self, ldp_session=None, filtered_fecs_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- filtered_fecs_in (fec_addr):
				fec_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filtered_fecs_in', 'keyval': 'fec_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_filtered_fecs_in_delete(self, ldp_session=None, filtered_fecs_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- filtered_fecs_in (fec_addr):
				fec_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filtered_fecs_in', 'keyval': 'fec_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_filtered_fecs_in_update(self, ldp_session=None, filtered_fecs_in=None, label=None, prefix_len=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- filtered_fecs_in (fec_addr):
				fec_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- label (long):
				range - ['0..4294967295']

			- prefix_len (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filtered_fecs_in', 'keyval': 'fec_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in, label=label, prefix_len=prefix_len)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_filtered_fecs_in_get(self, ldp_session=None, filtered_fecs_in=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- filtered_fecs_in (fec_addr):
				fec_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filtered_fecs_in', 'keyval': 'fec_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_filtered_fecs_out_create(self, ldp_session=None, filtered_fecs_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- filtered_fecs_out (fec_addr):
				fec_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filtered_fecs_out', 'keyval': 'fec_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_filtered_fecs_out_delete(self, ldp_session=None, filtered_fecs_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- filtered_fecs_out (fec_addr):
				fec_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filtered_fecs_out', 'keyval': 'fec_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_filtered_fecs_out_update(self, ldp_session=None, filtered_fecs_out=None, label=None, prefix_len=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- filtered_fecs_out (fec_addr):
				fec_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- label (long):
				range - ['0..4294967295']

			- prefix_len (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filtered_fecs_out', 'keyval': 'fec_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out, label=label, prefix_len=prefix_len)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_filtered_fecs_out_get(self, ldp_session=None, filtered_fecs_out=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- filtered_fecs_out (fec_addr):
				fec_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filtered_fecs_out', 'keyval': 'fec_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_errors_instance_total_protocol_errors_create(self, ldp_session=None, protocol_errors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, protocol_errors=protocol_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_errors_instance_total_protocol_errors_delete(self, ldp_session=None, protocol_errors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, protocol_errors=protocol_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_errors_instance_total_protocol_errors_update(self, ldp_session=None, protocol_errors=None, count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, protocol_errors=protocol_errors, count=count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_errors_instance_total_protocol_errors_get(self, ldp_session=None, protocol_errors=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, protocol_errors=protocol_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_stats_instance_total_protocol_stats_create(self, ldp_session=None, protocol_stats=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, protocol_stats=protocol_stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_stats_instance_total_protocol_stats_delete(self, ldp_session=None, protocol_stats=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, protocol_stats=protocol_stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_stats_instance_total_protocol_stats_update(self, ldp_session=None, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rx_count (long):
				range - ['0..4294967295']

			- tx_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_stats_instance_total_protocol_stats_get(self, ldp_session=None, protocol_stats=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_session (peer_ldp_id):
				peer_ldp_id (unicode):

		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, protocol_stats=protocol_stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_summary_update(self, num_link_sessions=None, num_operational_link_sessions=None, num_targeted_sessions=None, num_operational_targeted_sessions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- num_link_sessions (long):
				range - ['0..4294967295']

			- num_operational_link_sessions (long):
				range - ['0..4294967295']

			- num_targeted_sessions (long):
				range - ['0..4294967295']

			- num_operational_targeted_sessions (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_link_sessions=num_link_sessions, num_operational_link_sessions=num_operational_link_sessions, num_targeted_sessions=num_targeted_sessions, num_operational_targeted_sessions=num_operational_targeted_sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_ldp_session_summary_num_link_sessions_update(self, num_link_sessions=None, num_operational_link_sessions=None, num_targeted_sessions=None, num_operational_targeted_sessions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- num_link_sessions (long):
				range - ['0..4294967295']

			- num_operational_link_sessions (long):
				range - ['0..4294967295']

			- num_targeted_sessions (long):
				range - ['0..4294967295']

			- num_operational_targeted_sessions (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_link_sessions=num_link_sessions, num_operational_link_sessions=num_operational_link_sessions, num_targeted_sessions=num_targeted_sessions, num_operational_targeted_sessions=num_operational_targeted_sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_path_create(self, path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- path (destination_route):
				destination_route (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'destination_route', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_path_delete(self, path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- path (destination_route):
				destination_route (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'destination_route', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_path_get(self, path=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- path (destination_route):
				destination_route (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'destination_route', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_path_downstream_sessions_create(self, path=None, downstream_sessions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (destination_route):
				destination_route (unicode):

		This Instance Keyword Arg Tuple:
			- downstream_sessions (ip):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'downstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, downstream_sessions=downstream_sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_path_downstream_sessions_delete(self, path=None, downstream_sessions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (destination_route):
				destination_route (unicode):

		This Instance Keyword Arg Tuple:
			- downstream_sessions (ip):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'downstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, downstream_sessions=downstream_sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_path_downstream_sessions_update(self, path=None, downstream_sessions=None, labelspace=None, label=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (destination_route):
				destination_route (unicode):

		This Instance Keyword Arg Tuple:
			- downstream_sessions (ip):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- labelspace (long):
				range - ['0..4294967295']

			- label (long):
				range - ['0..4294967295']

			- interface (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'downstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, downstream_sessions=downstream_sessions, labelspace=labelspace, label=label, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_path_downstream_sessions_get(self, path=None, downstream_sessions=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (destination_route):
				destination_route (unicode):

		This Instance Keyword Arg Tuple:
			- downstream_sessions (ip):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'downstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, downstream_sessions=downstream_sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_path_upstream_sessions_create(self, path=None, upstream_sessions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (destination_route):
				destination_route (unicode):

		This Instance Keyword Arg Tuple:
			- upstream_sessions (ip):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'upstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, upstream_sessions=upstream_sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_path_upstream_sessions_delete(self, path=None, upstream_sessions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (destination_route):
				destination_route (unicode):

		This Instance Keyword Arg Tuple:
			- upstream_sessions (ip):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'upstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, upstream_sessions=upstream_sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_path_upstream_sessions_update(self, path=None, upstream_sessions=None, labelspace=None, label=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (destination_route):
				destination_route (unicode):

		This Instance Keyword Arg Tuple:
			- upstream_sessions (ip):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- labelspace (long):
				range - ['0..4294967295']

			- label (long):
				range - ['0..4294967295']

			- interface (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'upstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, upstream_sessions=upstream_sessions, labelspace=labelspace, label=label, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_path_upstream_sessions_get(self, path=None, upstream_sessions=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (destination_route):
				destination_route (unicode):

		This Instance Keyword Arg Tuple:
			- upstream_sessions (ip):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'upstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, upstream_sessions=upstream_sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_errors_instance_since_clear_protocol_errors_create(self, protocol_errors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_since_clear.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_errors=protocol_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_errors_instance_since_clear_protocol_errors_delete(self, protocol_errors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_since_clear.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_errors=protocol_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_errors_instance_since_clear_protocol_errors_update(self, protocol_errors=None, count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_since_clear.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_errors=protocol_errors, count=count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_errors_instance_since_clear_protocol_errors_get(self, protocol_errors=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_since_clear.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_errors=protocol_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_errors_instance_total_protocol_errors_create(self, protocol_errors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_errors=protocol_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_errors_instance_total_protocol_errors_delete(self, protocol_errors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_errors=protocol_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_errors_instance_total_protocol_errors_update(self, protocol_errors=None, count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_errors=protocol_errors, count=count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_errors_instance_total_protocol_errors_get(self, protocol_errors=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_errors (error_type):
				error_type (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_errors=protocol_errors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_stats_instance_since_clear_protocol_stats_create(self, protocol_stats=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_stats=protocol_stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_stats_instance_since_clear_protocol_stats_delete(self, protocol_stats=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_stats=protocol_stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_stats_instance_since_clear_protocol_stats_update(self, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rx_count (long):
				range - ['0..4294967295']

			- tx_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_stats_instance_since_clear_protocol_stats_get(self, protocol_stats=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_stats=protocol_stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_stats_instance_total_protocol_stats_create(self, protocol_stats=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_stats=protocol_stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_stats_instance_total_protocol_stats_delete(self, protocol_stats=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_stats=protocol_stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_stats_instance_total_protocol_stats_update(self, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rx_count (long):
				range - ['0..4294967295']

			- tx_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_statistics_ldp_protocol_stats_instance_total_protocol_stats_get(self, protocol_stats=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- protocol_stats (stat_type):
				stat_type (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_stats=protocol_stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_targeted_peer_create(self, targeted_peer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- targeted_peer (mpls_ldp_targeted_peer_id):
				mpls_ldp_targeted_peer_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.targeted_peer', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'targeted_peer', 'keyval': 'mpls_ldp_targeted_peer_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, targeted_peer=targeted_peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_targeted_peer_delete(self, targeted_peer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- targeted_peer (mpls_ldp_targeted_peer_id):
				mpls_ldp_targeted_peer_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.targeted_peer', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'targeted_peer', 'keyval': 'mpls_ldp_targeted_peer_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, targeted_peer=targeted_peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_targeted_peer_get(self, targeted_peer=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- targeted_peer (mpls_ldp_targeted_peer_id):
				mpls_ldp_targeted_peer_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.targeted_peer', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'targeted_peer', 'keyval': 'mpls_ldp_targeted_peer_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, targeted_peer=targeted_peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_tunnels_update(self, total_tunnel_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- total_tunnel_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_tunnel_count=total_tunnel_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_tunnels_ldp_tunnels_create(self, ldp_tunnels=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_tunnels (tunnel_destination, prefix_length):
				tunnel_destination (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_length (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnels=ldp_tunnels)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_tunnels_ldp_tunnels_delete(self, ldp_tunnels=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_tunnels (tunnel_destination, prefix_length):
				tunnel_destination (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_length (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnels=ldp_tunnels)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_tunnels_ldp_tunnels_update(self, ldp_tunnels=None, tunnel_interface_index=None, tunnel_metric=None, name=None, tunnel_vif=None, protocol_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_tunnels (tunnel_destination, prefix_length):
				tunnel_destination (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_length (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- tunnel_interface_index (long):
				range - ['0..4294967295']

			- tunnel_metric (long):
				range - ['0..4294967295']

			- name (unicode):

			- tunnel_vif (long):
				range - ['0..4294967295']

			- protocol_type (unicode):
				enum - [u'staticp', u'ldp', u'rsvp']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnels=ldp_tunnels, tunnel_interface_index=tunnel_interface_index, tunnel_metric=tunnel_metric, name=name, tunnel_vif=tunnel_vif, protocol_type=protocol_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_tunnels_ldp_tunnels_get(self, ldp_tunnels=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_tunnels (tunnel_destination, prefix_length):
				tunnel_destination (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_length (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnels=ldp_tunnels)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_tunnels_ldp_tunnels_out_segments_create(self, ldp_tunnels=None, out_segments=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_tunnels (tunnel_destination, prefix_length):
				tunnel_destination (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_length (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- out_segments (outgoing_interface):
				outgoing_interface (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', u'ldp_tunnels')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels.out_segments', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'out_segments', 'keyval': 'outgoing_interface', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnels=ldp_tunnels, out_segments=out_segments)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_tunnels_ldp_tunnels_out_segments_delete(self, ldp_tunnels=None, out_segments=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_tunnels (tunnel_destination, prefix_length):
				tunnel_destination (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_length (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- out_segments (outgoing_interface):
				outgoing_interface (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', u'ldp_tunnels')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels.out_segments', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'out_segments', 'keyval': 'outgoing_interface', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnels=ldp_tunnels, out_segments=out_segments)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_tunnels_ldp_tunnels_out_segments_update(self, ldp_tunnels=None, out_segments=None, next_hop_ipaddress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_tunnels (tunnel_destination, prefix_length):
				tunnel_destination (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_length (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- out_segments (outgoing_interface):
				outgoing_interface (unicode):

		This Instance Arg(s):
			- next_hop_ipaddress (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', u'ldp_tunnels')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels.out_segments', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'out_segments', 'keyval': 'outgoing_interface', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnels=ldp_tunnels, out_segments=out_segments, next_hop_ipaddress=next_hop_ipaddress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_ldp_tunnels_ldp_tunnels_out_segments_get(self, ldp_tunnels=None, out_segments=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ldp_tunnels (tunnel_destination, prefix_length):
				tunnel_destination (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_length (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- out_segments (outgoing_interface):
				outgoing_interface (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', u'ldp_tunnels')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels.out_segments', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'out_segments', 'keyval': 'outgoing_interface', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnels=ldp_tunnels, out_segments=out_segments)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_ldp_tunnels_total_tunnel_count_update(self, total_tunnel_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- total_tunnel_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_tunnel_count=total_tunnel_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_create(self, lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name):
				lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_delete(self, lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name):
				lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_update(self, lsp=None, lsp_type=None, bypass_lsp_type=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- lsp_type (unicode):
				enum - [u'regular', u'bypass']

			- bypass_lsp_type (unicode):
				enum - [u'dynamic-bypass', u'static-bypass']

			- interface (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_type=lsp_type, bypass_lsp_type=bypass_lsp_type, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_get(self, lsp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name):
				lsp_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_backup_update(self, lsp=None, backup_present=None, backup_count=None, backup_ingress_count=None, backup_ingress_active_count=None, backup_transit_count=None, backup_transit_active_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- backup_present (YANGBool):

			- backup_count (long):
				range - ['0..4294967295']

			- backup_ingress_count (long):
				range - ['0..4294967295']

			- backup_ingress_active_count (long):
				range - ['0..4294967295']

			- backup_transit_count (long):
				range - ['0..4294967295']

			- backup_transit_active_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_present=backup_present, backup_count=backup_count, backup_ingress_count=backup_ingress_count, backup_ingress_active_count=backup_ingress_active_count, backup_transit_count=backup_transit_count, backup_transit_active_count=backup_transit_active_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_backup_backup_count_update(self, lsp=None, backup_present=None, backup_count=None, backup_ingress_count=None, backup_ingress_active_count=None, backup_transit_count=None, backup_transit_active_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- backup_present (YANGBool):

			- backup_count (long):
				range - ['0..4294967295']

			- backup_ingress_count (long):
				range - ['0..4294967295']

			- backup_ingress_active_count (long):
				range - ['0..4294967295']

			- backup_transit_count (long):
				range - ['0..4294967295']

			- backup_transit_active_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_present=backup_present, backup_count=backup_count, backup_ingress_count=backup_ingress_count, backup_ingress_active_count=backup_ingress_active_count, backup_transit_count=backup_transit_count, backup_transit_active_count=backup_transit_active_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_backup_backup_ingress_create(self, lsp=None, backup_ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- backup_ingress (backup_from_address, backup_to_address, backup_name):
				backup_from_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_to_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'backup_ingress', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_ingress=backup_ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_backup_backup_ingress_delete(self, lsp=None, backup_ingress=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- backup_ingress (backup_from_address, backup_to_address, backup_name):
				backup_from_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_to_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'backup_ingress', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_ingress=backup_ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_backup_backup_ingress_update(self, lsp=None, backup_ingress=None, backup_type_ingress=None, backup_type_transit=None, backup_is_active=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- backup_ingress (backup_from_address, backup_to_address, backup_name):
				backup_from_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_to_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_name (unicode):

		This Instance Arg(s):
			- backup_type_ingress (YANGBool):

			- backup_type_transit (YANGBool):

			- backup_is_active (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'backup_ingress', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_ingress=backup_ingress, backup_type_ingress=backup_type_ingress, backup_type_transit=backup_type_transit, backup_is_active=backup_is_active)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_backup_backup_ingress_get(self, lsp=None, backup_ingress=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- backup_ingress (backup_from_address, backup_to_address, backup_name):
				backup_from_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_to_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'backup_ingress', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_ingress=backup_ingress)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_backup_backup_transit_create(self, lsp=None, backup_transit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- backup_transit (backup_from_address, backup_to_address, backup_name):
				backup_from_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_to_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'backup_transit', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_transit=backup_transit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_backup_backup_transit_delete(self, lsp=None, backup_transit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- backup_transit (backup_from_address, backup_to_address, backup_name):
				backup_from_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_to_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'backup_transit', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_transit=backup_transit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_backup_backup_transit_update(self, lsp=None, backup_transit=None, backup_type_ingress=None, backup_type_transit=None, backup_is_active=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- backup_transit (backup_from_address, backup_to_address, backup_name):
				backup_from_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_to_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_name (unicode):

		This Instance Arg(s):
			- backup_type_ingress (YANGBool):

			- backup_type_transit (YANGBool):

			- backup_is_active (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'backup_transit', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_transit=backup_transit, backup_type_ingress=backup_type_ingress, backup_type_transit=backup_type_transit, backup_is_active=backup_is_active)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_backup_backup_transit_get(self, lsp=None, backup_transit=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- backup_transit (backup_from_address, backup_to_address, backup_name):
				backup_from_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_to_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				backup_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'backup_transit', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_transit=backup_transit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_basic_update(self, lsp=None, tunnel_vif_index=None, lsp_type_bypass=None, lsp_type_dynamic=None, from_address_configured=None, from_address=None, to_address=None, admin_up=None, operational_status=None, lsp_is_active=None, lsp_has_primary_path=None, path_name=None, out_label=None, out_interface_name=None, primary_up=None, primary_active=None, lsp_has_secondary=None, secondary_up=None, secondary_active=None, lsp_has_selected_secondary=None, selected_secondary_up=None, selected_secondary_active=None, primary_is_selected=None, lsp_has_frr=None, frr_up=None, frr_active=None, up_down_count=None, retry_count=None, down_reason=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- tunnel_vif_index (long):
				range - ['0..4294967295']

			- lsp_type_bypass (YANGBool):

			- lsp_type_dynamic (YANGBool):

			- from_address_configured (YANGBool):

			- from_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- to_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- admin_up (YANGBool):

			- operational_status (unicode):
				enum - [u'operational-up', u'operational-down']

			- lsp_is_active (YANGBool):

			- lsp_has_primary_path (YANGBool):

			- path_name (unicode):

			- out_label (long):
				range - ['0..4294967295']

			- out_interface_name (unicode):

			- primary_up (YANGBool):

			- primary_active (YANGBool):

			- lsp_has_secondary (YANGBool):

			- secondary_up (YANGBool):

			- secondary_active (YANGBool):

			- lsp_has_selected_secondary (YANGBool):

			- selected_secondary_up (YANGBool):

			- selected_secondary_active (YANGBool):

			- primary_is_selected (YANGBool):

			- lsp_has_frr (YANGBool):

			- frr_up (YANGBool):

			- frr_active (YANGBool):

			- up_down_count (long):
				range - ['0..4294967295']

			- retry_count (long):
				range - ['0..4294967295']

			- down_reason (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_type_bypass=lsp_type_bypass, lsp_type_dynamic=lsp_type_dynamic, from_address_configured=from_address_configured, from_address=from_address, to_address=to_address, admin_up=admin_up, operational_status=operational_status, lsp_is_active=lsp_is_active, lsp_has_primary_path=lsp_has_primary_path, path_name=path_name, out_label=out_label, out_interface_name=out_interface_name, primary_up=primary_up, primary_active=primary_active, lsp_has_secondary=lsp_has_secondary, secondary_up=secondary_up, secondary_active=secondary_active, lsp_has_selected_secondary=lsp_has_selected_secondary, selected_secondary_up=selected_secondary_up, selected_secondary_active=selected_secondary_active, primary_is_selected=primary_is_selected, lsp_has_frr=lsp_has_frr, frr_up=frr_up, frr_active=frr_active, up_down_count=up_down_count, retry_count=retry_count, down_reason=down_reason)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_basic_admin_up_update(self, lsp=None, tunnel_vif_index=None, lsp_type_bypass=None, lsp_type_dynamic=None, from_address_configured=None, from_address=None, to_address=None, admin_up=None, operational_status=None, lsp_is_active=None, lsp_has_primary_path=None, path_name=None, out_label=None, out_interface_name=None, primary_up=None, primary_active=None, lsp_has_secondary=None, secondary_up=None, secondary_active=None, lsp_has_selected_secondary=None, selected_secondary_up=None, selected_secondary_active=None, primary_is_selected=None, lsp_has_frr=None, frr_up=None, frr_active=None, up_down_count=None, retry_count=None, down_reason=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- tunnel_vif_index (long):
				range - ['0..4294967295']

			- lsp_type_bypass (YANGBool):

			- lsp_type_dynamic (YANGBool):

			- from_address_configured (YANGBool):

			- from_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- to_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- admin_up (YANGBool):

			- operational_status (unicode):
				enum - [u'operational-up', u'operational-down']

			- lsp_is_active (YANGBool):

			- lsp_has_primary_path (YANGBool):

			- path_name (unicode):

			- out_label (long):
				range - ['0..4294967295']

			- out_interface_name (unicode):

			- primary_up (YANGBool):

			- primary_active (YANGBool):

			- lsp_has_secondary (YANGBool):

			- secondary_up (YANGBool):

			- secondary_active (YANGBool):

			- lsp_has_selected_secondary (YANGBool):

			- selected_secondary_up (YANGBool):

			- selected_secondary_active (YANGBool):

			- primary_is_selected (YANGBool):

			- lsp_has_frr (YANGBool):

			- frr_up (YANGBool):

			- frr_active (YANGBool):

			- up_down_count (long):
				range - ['0..4294967295']

			- retry_count (long):
				range - ['0..4294967295']

			- down_reason (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_type_bypass=lsp_type_bypass, lsp_type_dynamic=lsp_type_dynamic, from_address_configured=from_address_configured, from_address=from_address, to_address=to_address, admin_up=admin_up, operational_status=operational_status, lsp_is_active=lsp_is_active, lsp_has_primary_path=lsp_has_primary_path, path_name=path_name, out_label=out_label, out_interface_name=out_interface_name, primary_up=primary_up, primary_active=primary_active, lsp_has_secondary=lsp_has_secondary, secondary_up=secondary_up, secondary_active=secondary_active, lsp_has_selected_secondary=lsp_has_selected_secondary, selected_secondary_up=selected_secondary_up, selected_secondary_active=selected_secondary_active, primary_is_selected=primary_is_selected, lsp_has_frr=lsp_has_frr, frr_up=frr_up, frr_active=frr_active, up_down_count=up_down_count, retry_count=retry_count, down_reason=down_reason)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_forwarding_update(self, lsp=None, tunnel_vif_index=None, lsp_id=None, forwarding_up=None, primary_active=None, primary_up=None, secondary_active=None, secondary_up=None, selected_secondary_active=None, selected_secondary_up=None, frr_active=None, frr_up=None, instance_id=None, out_port_id=None, out_port_name=None, out_label=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- tunnel_vif_index (long):
				range - ['0..4294967295']

			- lsp_id (long):
				range - ['0..4294967295']

			- forwarding_up (YANGBool):

			- primary_active (YANGBool):

			- primary_up (YANGBool):

			- secondary_active (YANGBool):

			- secondary_up (YANGBool):

			- selected_secondary_active (YANGBool):

			- selected_secondary_up (YANGBool):

			- frr_active (YANGBool):

			- frr_up (YANGBool):

			- instance_id (long):
				range - ['0..4294967295']

			- out_port_id (long):
				range - ['0..4294967295']

			- out_port_name (unicode):

			- out_label (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_id=lsp_id, forwarding_up=forwarding_up, primary_active=primary_active, primary_up=primary_up, secondary_active=secondary_active, secondary_up=secondary_up, selected_secondary_active=selected_secondary_active, selected_secondary_up=selected_secondary_up, frr_active=frr_active, frr_up=frr_up, instance_id=instance_id, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_forwarding_forwarding_up_update(self, lsp=None, tunnel_vif_index=None, lsp_id=None, forwarding_up=None, primary_active=None, primary_up=None, secondary_active=None, secondary_up=None, selected_secondary_active=None, selected_secondary_up=None, frr_active=None, frr_up=None, instance_id=None, out_port_id=None, out_port_name=None, out_label=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- tunnel_vif_index (long):
				range - ['0..4294967295']

			- lsp_id (long):
				range - ['0..4294967295']

			- forwarding_up (YANGBool):

			- primary_active (YANGBool):

			- primary_up (YANGBool):

			- secondary_active (YANGBool):

			- secondary_up (YANGBool):

			- selected_secondary_active (YANGBool):

			- selected_secondary_up (YANGBool):

			- frr_active (YANGBool):

			- frr_up (YANGBool):

			- instance_id (long):
				range - ['0..4294967295']

			- out_port_id (long):
				range - ['0..4294967295']

			- out_port_name (unicode):

			- out_label (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_id=lsp_id, forwarding_up=forwarding_up, primary_active=primary_active, primary_up=primary_up, secondary_active=secondary_active, secondary_up=secondary_up, selected_secondary_active=selected_secondary_active, selected_secondary_up=selected_secondary_up, frr_active=frr_active, frr_up=frr_up, instance_id=instance_id, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_update(self, lsp=None, configured=None, one_to_one=None, one_to_many=None, protection_type=None, frr_up=None, active=None, priority_configured=None, setup_priority=None, holding_priority=None, hop_limit_configured=None, hop_limit=None, bandwidth_configured=None, bandwidth=None, down_reason=None, computation_mode=None, group_computation_mode_default=None, group_computation_mode_add_penalty=None, group_computation_mode_exclude_groups=None, group_computation_mode_high_cost=None, out_port_id=None, out_port_name=None, out_label=None, path_cost=None, bypass_name=None, has_secondary_swithover_time=None, secondary_swithover_time=None, hold_time=None, global_revertive=None, revertive_timer_expired=None, fwdg_state_primary_up=None, fwdg_state_primary_active=None, fwdg_state_primary_down=None, fwdg_state_secondary_up=None, fwdg_state_secondary_active=None, fwdg_state_secondary_down=None, fwdg_state_detour_up=None, fwdg_state_detour_active=None, fwdg_state_detour_down=None, admin_group_configured=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- configured (YANGBool):

			- one_to_one (YANGBool):

			- one_to_many (YANGBool):

			- protection_type (unicode):
				enum - [u'node-protection', u'link-protection']

			- frr_up (YANGBool):

			- active (YANGBool):

			- priority_configured (YANGBool):

			- setup_priority (int):
				range - ['0..255']

			- holding_priority (int):
				range - ['0..255']

			- hop_limit_configured (YANGBool):

			- hop_limit (int):
				range - ['0..255']

			- bandwidth_configured (YANGBool):

			- bandwidth (long):
				range - ['0..4294967295']

			- down_reason (unicode):

			- computation_mode (unicode):
				enum - [u'cspf-computation-mode-use-igp-metric-global', u'cspf-computation-mode-use-bypass-metric', u'cspf-computation-mode-default', u'cspf-computation-mode-use-igp-metric', u'cspf-computation-mode-use-te-metric', u'cspf-computation-mode-use-bypass-liberal', u'cspf-computation-mode-use-te-metric-global']

			- group_computation_mode_default (YANGBool):

			- group_computation_mode_add_penalty (YANGBool):

			- group_computation_mode_exclude_groups (YANGBool):

			- group_computation_mode_high_cost (YANGBool):

			- out_port_id (long):
				range - ['0..4294967295']

			- out_port_name (unicode):

			- out_label (long):
				range - ['0..4294967295']

			- path_cost (long):
				range - ['0..4294967295']

			- bypass_name (unicode):

			- has_secondary_swithover_time (long):
				range - ['0..4294967295']

			- secondary_swithover_time (long):
				range - ['0..4294967295']

			- hold_time (long):
				range - ['0..4294967295']

			- global_revertive (long):
				range - ['0..4294967295']

			- revertive_timer_expired (long):
				range - ['0..4294967295']

			- fwdg_state_primary_up (YANGBool):

			- fwdg_state_primary_active (YANGBool):

			- fwdg_state_primary_down (YANGBool):

			- fwdg_state_secondary_up (YANGBool):

			- fwdg_state_secondary_active (YANGBool):

			- fwdg_state_secondary_down (YANGBool):

			- fwdg_state_detour_up (YANGBool):

			- fwdg_state_detour_active (YANGBool):

			- fwdg_state_detour_down (YANGBool):

			- admin_group_configured (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, configured=configured, one_to_one=one_to_one, one_to_many=one_to_many, protection_type=protection_type, frr_up=frr_up, active=active, priority_configured=priority_configured, setup_priority=setup_priority, holding_priority=holding_priority, hop_limit_configured=hop_limit_configured, hop_limit=hop_limit, bandwidth_configured=bandwidth_configured, bandwidth=bandwidth, down_reason=down_reason, computation_mode=computation_mode, group_computation_mode_default=group_computation_mode_default, group_computation_mode_add_penalty=group_computation_mode_add_penalty, group_computation_mode_exclude_groups=group_computation_mode_exclude_groups, group_computation_mode_high_cost=group_computation_mode_high_cost, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label, path_cost=path_cost, bypass_name=bypass_name, has_secondary_swithover_time=has_secondary_swithover_time, secondary_swithover_time=secondary_swithover_time, hold_time=hold_time, global_revertive=global_revertive, revertive_timer_expired=revertive_timer_expired, fwdg_state_primary_up=fwdg_state_primary_up, fwdg_state_primary_active=fwdg_state_primary_active, fwdg_state_primary_down=fwdg_state_primary_down, fwdg_state_secondary_up=fwdg_state_secondary_up, fwdg_state_secondary_active=fwdg_state_secondary_active, fwdg_state_secondary_down=fwdg_state_secondary_down, fwdg_state_detour_up=fwdg_state_detour_up, fwdg_state_detour_active=fwdg_state_detour_active, fwdg_state_detour_down=fwdg_state_detour_down, admin_group_configured=admin_group_configured)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_active_update(self, lsp=None, configured=None, one_to_one=None, one_to_many=None, protection_type=None, frr_up=None, active=None, priority_configured=None, setup_priority=None, holding_priority=None, hop_limit_configured=None, hop_limit=None, bandwidth_configured=None, bandwidth=None, down_reason=None, computation_mode=None, group_computation_mode_default=None, group_computation_mode_add_penalty=None, group_computation_mode_exclude_groups=None, group_computation_mode_high_cost=None, out_port_id=None, out_port_name=None, out_label=None, path_cost=None, bypass_name=None, has_secondary_swithover_time=None, secondary_swithover_time=None, hold_time=None, global_revertive=None, revertive_timer_expired=None, fwdg_state_primary_up=None, fwdg_state_primary_active=None, fwdg_state_primary_down=None, fwdg_state_secondary_up=None, fwdg_state_secondary_active=None, fwdg_state_secondary_down=None, fwdg_state_detour_up=None, fwdg_state_detour_active=None, fwdg_state_detour_down=None, admin_group_configured=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- configured (YANGBool):

			- one_to_one (YANGBool):

			- one_to_many (YANGBool):

			- protection_type (unicode):
				enum - [u'node-protection', u'link-protection']

			- frr_up (YANGBool):

			- active (YANGBool):

			- priority_configured (YANGBool):

			- setup_priority (int):
				range - ['0..255']

			- holding_priority (int):
				range - ['0..255']

			- hop_limit_configured (YANGBool):

			- hop_limit (int):
				range - ['0..255']

			- bandwidth_configured (YANGBool):

			- bandwidth (long):
				range - ['0..4294967295']

			- down_reason (unicode):

			- computation_mode (unicode):
				enum - [u'cspf-computation-mode-use-igp-metric-global', u'cspf-computation-mode-use-bypass-metric', u'cspf-computation-mode-default', u'cspf-computation-mode-use-igp-metric', u'cspf-computation-mode-use-te-metric', u'cspf-computation-mode-use-bypass-liberal', u'cspf-computation-mode-use-te-metric-global']

			- group_computation_mode_default (YANGBool):

			- group_computation_mode_add_penalty (YANGBool):

			- group_computation_mode_exclude_groups (YANGBool):

			- group_computation_mode_high_cost (YANGBool):

			- out_port_id (long):
				range - ['0..4294967295']

			- out_port_name (unicode):

			- out_label (long):
				range - ['0..4294967295']

			- path_cost (long):
				range - ['0..4294967295']

			- bypass_name (unicode):

			- has_secondary_swithover_time (long):
				range - ['0..4294967295']

			- secondary_swithover_time (long):
				range - ['0..4294967295']

			- hold_time (long):
				range - ['0..4294967295']

			- global_revertive (long):
				range - ['0..4294967295']

			- revertive_timer_expired (long):
				range - ['0..4294967295']

			- fwdg_state_primary_up (YANGBool):

			- fwdg_state_primary_active (YANGBool):

			- fwdg_state_primary_down (YANGBool):

			- fwdg_state_secondary_up (YANGBool):

			- fwdg_state_secondary_active (YANGBool):

			- fwdg_state_secondary_down (YANGBool):

			- fwdg_state_detour_up (YANGBool):

			- fwdg_state_detour_active (YANGBool):

			- fwdg_state_detour_down (YANGBool):

			- admin_group_configured (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, configured=configured, one_to_one=one_to_one, one_to_many=one_to_many, protection_type=protection_type, frr_up=frr_up, active=active, priority_configured=priority_configured, setup_priority=setup_priority, holding_priority=holding_priority, hop_limit_configured=hop_limit_configured, hop_limit=hop_limit, bandwidth_configured=bandwidth_configured, bandwidth=bandwidth, down_reason=down_reason, computation_mode=computation_mode, group_computation_mode_default=group_computation_mode_default, group_computation_mode_add_penalty=group_computation_mode_add_penalty, group_computation_mode_exclude_groups=group_computation_mode_exclude_groups, group_computation_mode_high_cost=group_computation_mode_high_cost, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label, path_cost=path_cost, bypass_name=bypass_name, has_secondary_swithover_time=has_secondary_swithover_time, secondary_swithover_time=secondary_swithover_time, hold_time=hold_time, global_revertive=global_revertive, revertive_timer_expired=revertive_timer_expired, fwdg_state_primary_up=fwdg_state_primary_up, fwdg_state_primary_active=fwdg_state_primary_active, fwdg_state_primary_down=fwdg_state_primary_down, fwdg_state_secondary_up=fwdg_state_secondary_up, fwdg_state_secondary_active=fwdg_state_secondary_active, fwdg_state_secondary_down=fwdg_state_secondary_down, fwdg_state_detour_up=fwdg_state_detour_up, fwdg_state_detour_active=fwdg_state_detour_active, fwdg_state_detour_down=fwdg_state_detour_down, admin_group_configured=admin_group_configured)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_exclude_any_create(self, lsp=None, exclude_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, exclude_any=exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_exclude_any_delete(self, lsp=None, exclude_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, exclude_any=exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_exclude_any_update(self, lsp=None, exclude_any=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, exclude_any=exclude_any, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_exclude_any_get(self, lsp=None, exclude_any=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, exclude_any=exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_frr_include_all_create(self, lsp=None, include_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, include_all=include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_include_all_delete(self, lsp=None, include_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, include_all=include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_include_all_update(self, lsp=None, include_all=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, include_all=include_all, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_include_all_get(self, lsp=None, include_all=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, include_all=include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_frr_include_any_create(self, lsp=None, include_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, include_any=include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_include_any_delete(self, lsp=None, include_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, include_any=include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_include_any_update(self, lsp=None, include_any=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, include_any=include_any, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_frr_include_any_get(self, lsp=None, include_any=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, include_any=include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_create(self, lsp=None, instances=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_delete(self, lsp=None, instances=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_update(self, lsp=None, instances=None, current_instance=None, new_instance=None, old_instance=None, is_primary=None, is_current_secondary=None, is_selected_secondary=None, instance_admin_up=None, instance_is_up=None, instance_is_active=None, is_adaptive=None, is_bypass=None, is_dynamic_bypass=None, config_admin_up=None, config_from_address_configured=None, config_from_address=None, config_to_address=None, config_type_bypass=None, config_type_dynamic=None, config_adaptive=None, config_ospf_area=None, config_isis_level=None, config_number_of_retries_configured=None, config_number_of_retries=None, config_path_select_mode=None, config_path_selected_path=None, config_path_selected_secondary_name=None, config_revert_time_configured=None, config_revert_time=None, config_retry_count_configured=None, config_retry_count=None, config_enable_ldp_tunnelling=None, config_shortcut_ospf=None, config_shortcut_area_configured=None, config_shortcut_area=None, config_notify_ospf=None, config_shortcut_isis=None, config_isis_shortcut_level_configured=None, config_isis_shortcut_level=None, config_notify_isis=None, config_metric_configured=None, config_metric=None, config_ospf_ignore_metric=None, config_ospf_relative_metric=None, config_ospf_announce_metric=None, config_ospf_aaf=None, config_isis_ignore_metric=None, config_isis_relative_metric=None, config_isis_announce_configured=None, config_isis_announce_metric=None, config_path_configured=None, config_path=None, config_reoptimize_timer_configured=None, config_reoptimize_time=None, config_tspec_mtu_configured=None, config_tspec_mtu=None, config_cos_configured=None, config_cos=None, config_mtu_configured=None, config_mtu=None, config_tie_breaking_configured=None, config_tie_break_random=None, config_tie_break_least_fill=None, config_tie_break_most_fill=None, config_cspf_disabled=None, config_rro_disabled=None, config_hot_standby=None, config_pinned=None, config_persistenct=None, config_frr_global_revertive=None, config_frr_hold_time=None, config_soft_prempt=None, config_exclude_interface_change=None, config_prority_configured=None, config_setup_prority=None, config_holding_prority=None, config_hop_limit_configured=None, config_hop_limit=None, config_traffic_eng_rate_configured=None, config_traffic_eng_mean_rate=None, config_traffic_eng_max_rate=None, config_traffic_eng_max_burst=None, config_abw_configured=None, config_bfd_configured=None, config_admin_group_configured=None, config_cspf_computation_mode=None, path_computed_by_cspf=None, path_computed_by_interface_constraint=None, cspf_computation_mode=None, cspf_group_computation_mode_default=None, cspf_group_computation_mode_add_penalty=None, cspf_group_computation_mode_exclude_groups=None, cspf_group_computation_mode_high_cost=None, cspf_path_cost=None, cspf_path_area=None, cspf_computation_error=None, cspf_exclude_hops_present=None, rsvp_session_present=None, rsvp_session_state_up=None, rsvp_session_state=None, rsvp_session_path_error_code=None, rsvp_session_path_error_value=None, rsvp_session_path_error_node_address=None, rsvp_session_rro_hops_present=None, config_exclude_interface_configured=None, maximum_bandwidth=None, unreserved_priority_0_bandwidth=None, unreserved_priority_1_bandwidth=None, unreserved_priority_2_bandwidth=None, unreserved_priority_3_bandwidth=None, unreserved_priority_4_bandwidth=None, unreserved_priority_5_bandwidth=None, unreserved_priority_6_bandwidth=None, unreserved_priority_7_bandwidth=None, config_frr_configured=None, config_frr_one_to_one=None, config_frr_one_to_many=None, config_frr_priority_configured=None, config_frr_setup_priority=None, config_frr_holding_priority=None, config_frr_hop_limit_configured=None, config_frr_hop_limit=None, config_frr_bandwidth_configured=None, config_frr_bandwidth=None, config_frr_admin_group_configured=None, reoptimize_ignore_count=None, reoptimize_time_count=None, instance_frr_configured=None, instance_frr_up=None, instance_frr_active=None, instance_out_port_id=None, instance_out_port_name=None, instance_out_label=None, instance_revert_time=None, instance_retry_count=None, instance_up_down_count=None, instance_metric=None, instance_down_reason=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- current_instance (YANGBool):

			- new_instance (YANGBool):

			- old_instance (YANGBool):

			- is_primary (YANGBool):

			- is_current_secondary (YANGBool):

			- is_selected_secondary (YANGBool):

			- instance_admin_up (YANGBool):

			- instance_is_up (YANGBool):

			- instance_is_active (YANGBool):

			- is_adaptive (YANGBool):

			- is_bypass (YANGBool):

			- is_dynamic_bypass (YANGBool):

			- config_admin_up (YANGBool):

			- config_from_address_configured (YANGBool):

			- config_from_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- config_to_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- config_type_bypass (YANGBool):

			- config_type_dynamic (YANGBool):

			- config_adaptive (YANGBool):

			- config_ospf_area (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- config_isis_level (long):
				range - ['0..4294967295']

			- config_number_of_retries_configured (YANGBool):

			- config_number_of_retries (long):
				range - ['0..4294967295']

			- config_path_select_mode (unicode):
				enum - [u'manual', u'unconditional']

			- config_path_selected_path (unicode):
				enum - [u'primary-path', u'secondary-path']

			- config_path_selected_secondary_name (unicode):

			- config_revert_time_configured (YANGBool):

			- config_revert_time (long):
				range - ['0..4294967295']

			- config_retry_count_configured (YANGBool):

			- config_retry_count (long):
				range - ['0..4294967295']

			- config_enable_ldp_tunnelling (YANGBool):

			- config_shortcut_ospf (YANGBool):

			- config_shortcut_area_configured (YANGBool):

			- config_shortcut_area (long):
				range - ['0..4294967295']

			- config_notify_ospf (YANGBool):

			- config_shortcut_isis (YANGBool):

			- config_isis_shortcut_level_configured (YANGBool):

			- config_isis_shortcut_level (long):
				range - ['0..4294967295']

			- config_notify_isis (YANGBool):

			- config_metric_configured (YANGBool):

			- config_metric (long):
				range - ['0..4294967295']

			- config_ospf_ignore_metric (YANGBool):

			- config_ospf_relative_metric (long):
				range - ['0..4294967295']

			- config_ospf_announce_metric (YANGBool):

			- config_ospf_aaf (long):
				range - ['0..4294967295']

			- config_isis_ignore_metric (YANGBool):

			- config_isis_relative_metric (long):
				range - ['0..4294967295']

			- config_isis_announce_configured (YANGBool):

			- config_isis_announce_metric (long):
				range - ['0..4294967295']

			- config_path_configured (YANGBool):

			- config_path (unicode):

			- config_reoptimize_timer_configured (YANGBool):

			- config_reoptimize_time (long):
				range - ['0..4294967295']

			- config_tspec_mtu_configured (YANGBool):

			- config_tspec_mtu (long):
				range - ['0..4294967295']

			- config_cos_configured (YANGBool):

			- config_cos (int):
				range - ['0..255']

			- config_mtu_configured (YANGBool):

			- config_mtu (long):
				range - ['0..4294967295']

			- config_tie_breaking_configured (YANGBool):

			- config_tie_break_random (YANGBool):

			- config_tie_break_least_fill (YANGBool):

			- config_tie_break_most_fill (YANGBool):

			- config_cspf_disabled (YANGBool):

			- config_rro_disabled (YANGBool):

			- config_hot_standby (YANGBool):

			- config_pinned (YANGBool):

			- config_persistenct (YANGBool):

			- config_frr_global_revertive (YANGBool):

			- config_frr_hold_time (long):
				range - ['0..4294967295']

			- config_soft_prempt (YANGBool):

			- config_exclude_interface_change (YANGBool):

			- config_prority_configured (YANGBool):

			- config_setup_prority (int):
				range - ['0..255']

			- config_holding_prority (int):
				range - ['0..255']

			- config_hop_limit_configured (YANGBool):

			- config_hop_limit (int):
				range - ['0..255']

			- config_traffic_eng_rate_configured (YANGBool):

			- config_traffic_eng_mean_rate (long):
				range - ['0..4294967295']

			- config_traffic_eng_max_rate (long):
				range - ['0..4294967295']

			- config_traffic_eng_max_burst (long):
				range - ['0..4294967295']

			- config_abw_configured (YANGBool):

			- config_bfd_configured (YANGBool):

			- config_admin_group_configured (YANGBool):

			- config_cspf_computation_mode (unicode):
				enum - [u'cspf-computation-mode-use-igp-metric-global', u'cspf-computation-mode-use-bypass-metric', u'cspf-computation-mode-default', u'cspf-computation-mode-use-igp-metric', u'cspf-computation-mode-use-te-metric', u'cspf-computation-mode-use-bypass-liberal', u'cspf-computation-mode-use-te-metric-global']

			- path_computed_by_cspf (YANGBool):

			- path_computed_by_interface_constraint (YANGBool):

			- cspf_computation_mode (unicode):
				enum - [u'cspf-computation-mode-use-igp-metric-global', u'cspf-computation-mode-use-bypass-metric', u'cspf-computation-mode-default', u'cspf-computation-mode-use-igp-metric', u'cspf-computation-mode-use-te-metric', u'cspf-computation-mode-use-bypass-liberal', u'cspf-computation-mode-use-te-metric-global']

			- cspf_group_computation_mode_default (YANGBool):

			- cspf_group_computation_mode_add_penalty (YANGBool):

			- cspf_group_computation_mode_exclude_groups (YANGBool):

			- cspf_group_computation_mode_high_cost (YANGBool):

			- cspf_path_cost (long):
				range - ['0..4294967295']

			- cspf_path_area (long):
				range - ['0..4294967295']

			- cspf_computation_error (long):
				range - ['0..4294967295']

			- cspf_exclude_hops_present (YANGBool):

			- rsvp_session_present (YANGBool):

			- rsvp_session_state_up (YANGBool):

			- rsvp_session_state (int):
				range - ['0..255']

			- rsvp_session_path_error_code (long):
				range - ['0..4294967295']

			- rsvp_session_path_error_value (long):
				range - ['0..4294967295']

			- rsvp_session_path_error_node_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- rsvp_session_rro_hops_present (YANGBool):

			- config_exclude_interface_configured (YANGBool):

			- maximum_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_0_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_1_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_2_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_3_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_4_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_5_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_6_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_7_bandwidth (long):
				range - ['0..4294967295']

			- config_frr_configured (YANGBool):

			- config_frr_one_to_one (YANGBool):

			- config_frr_one_to_many (YANGBool):

			- config_frr_priority_configured (YANGBool):

			- config_frr_setup_priority (int):
				range - ['0..255']

			- config_frr_holding_priority (int):
				range - ['0..255']

			- config_frr_hop_limit_configured (YANGBool):

			- config_frr_hop_limit (int):
				range - ['0..255']

			- config_frr_bandwidth_configured (YANGBool):

			- config_frr_bandwidth (long):
				range - ['0..4294967295']

			- config_frr_admin_group_configured (YANGBool):

			- reoptimize_ignore_count (long):
				range - ['0..4294967295']

			- reoptimize_time_count (long):
				range - ['0..4294967295']

			- instance_frr_configured (long):
				range - ['0..4294967295']

			- instance_frr_up (long):
				range - ['0..4294967295']

			- instance_frr_active (long):
				range - ['0..4294967295']

			- instance_out_port_id (long):
				range - ['0..4294967295']

			- instance_out_port_name (unicode):

			- instance_out_label (long):
				range - ['0..4294967295']

			- instance_revert_time (long):
				range - ['0..4294967295']

			- instance_retry_count (long):
				range - ['0..4294967295']

			- instance_up_down_count (long):
				range - ['0..4294967295']

			- instance_metric (int):
				range - ['0..255']

			- instance_down_reason (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, current_instance=current_instance, new_instance=new_instance, old_instance=old_instance, is_primary=is_primary, is_current_secondary=is_current_secondary, is_selected_secondary=is_selected_secondary, instance_admin_up=instance_admin_up, instance_is_up=instance_is_up, instance_is_active=instance_is_active, is_adaptive=is_adaptive, is_bypass=is_bypass, is_dynamic_bypass=is_dynamic_bypass, config_admin_up=config_admin_up, config_from_address_configured=config_from_address_configured, config_from_address=config_from_address, config_to_address=config_to_address, config_type_bypass=config_type_bypass, config_type_dynamic=config_type_dynamic, config_adaptive=config_adaptive, config_ospf_area=config_ospf_area, config_isis_level=config_isis_level, config_number_of_retries_configured=config_number_of_retries_configured, config_number_of_retries=config_number_of_retries, config_path_select_mode=config_path_select_mode, config_path_selected_path=config_path_selected_path, config_path_selected_secondary_name=config_path_selected_secondary_name, config_revert_time_configured=config_revert_time_configured, config_revert_time=config_revert_time, config_retry_count_configured=config_retry_count_configured, config_retry_count=config_retry_count, config_enable_ldp_tunnelling=config_enable_ldp_tunnelling, config_shortcut_ospf=config_shortcut_ospf, config_shortcut_area_configured=config_shortcut_area_configured, config_shortcut_area=config_shortcut_area, config_notify_ospf=config_notify_ospf, config_shortcut_isis=config_shortcut_isis, config_isis_shortcut_level_configured=config_isis_shortcut_level_configured, config_isis_shortcut_level=config_isis_shortcut_level, config_notify_isis=config_notify_isis, config_metric_configured=config_metric_configured, config_metric=config_metric, config_ospf_ignore_metric=config_ospf_ignore_metric, config_ospf_relative_metric=config_ospf_relative_metric, config_ospf_announce_metric=config_ospf_announce_metric, config_ospf_aaf=config_ospf_aaf, config_isis_ignore_metric=config_isis_ignore_metric, config_isis_relative_metric=config_isis_relative_metric, config_isis_announce_configured=config_isis_announce_configured, config_isis_announce_metric=config_isis_announce_metric, config_path_configured=config_path_configured, config_path=config_path, config_reoptimize_timer_configured=config_reoptimize_timer_configured, config_reoptimize_time=config_reoptimize_time, config_tspec_mtu_configured=config_tspec_mtu_configured, config_tspec_mtu=config_tspec_mtu, config_cos_configured=config_cos_configured, config_cos=config_cos, config_mtu_configured=config_mtu_configured, config_mtu=config_mtu, config_tie_breaking_configured=config_tie_breaking_configured, config_tie_break_random=config_tie_break_random, config_tie_break_least_fill=config_tie_break_least_fill, config_tie_break_most_fill=config_tie_break_most_fill, config_cspf_disabled=config_cspf_disabled, config_rro_disabled=config_rro_disabled, config_hot_standby=config_hot_standby, config_pinned=config_pinned, config_persistenct=config_persistenct, config_frr_global_revertive=config_frr_global_revertive, config_frr_hold_time=config_frr_hold_time, config_soft_prempt=config_soft_prempt, config_exclude_interface_change=config_exclude_interface_change, config_prority_configured=config_prority_configured, config_setup_prority=config_setup_prority, config_holding_prority=config_holding_prority, config_hop_limit_configured=config_hop_limit_configured, config_hop_limit=config_hop_limit, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate, config_traffic_eng_max_rate=config_traffic_eng_max_rate, config_traffic_eng_max_burst=config_traffic_eng_max_burst, config_abw_configured=config_abw_configured, config_bfd_configured=config_bfd_configured, config_admin_group_configured=config_admin_group_configured, config_cspf_computation_mode=config_cspf_computation_mode, path_computed_by_cspf=path_computed_by_cspf, path_computed_by_interface_constraint=path_computed_by_interface_constraint, cspf_computation_mode=cspf_computation_mode, cspf_group_computation_mode_default=cspf_group_computation_mode_default, cspf_group_computation_mode_add_penalty=cspf_group_computation_mode_add_penalty, cspf_group_computation_mode_exclude_groups=cspf_group_computation_mode_exclude_groups, cspf_group_computation_mode_high_cost=cspf_group_computation_mode_high_cost, cspf_path_cost=cspf_path_cost, cspf_path_area=cspf_path_area, cspf_computation_error=cspf_computation_error, cspf_exclude_hops_present=cspf_exclude_hops_present, rsvp_session_present=rsvp_session_present, rsvp_session_state_up=rsvp_session_state_up, rsvp_session_state=rsvp_session_state, rsvp_session_path_error_code=rsvp_session_path_error_code, rsvp_session_path_error_value=rsvp_session_path_error_value, rsvp_session_path_error_node_address=rsvp_session_path_error_node_address, rsvp_session_rro_hops_present=rsvp_session_rro_hops_present, config_exclude_interface_configured=config_exclude_interface_configured, maximum_bandwidth=maximum_bandwidth, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth, config_frr_configured=config_frr_configured, config_frr_one_to_one=config_frr_one_to_one, config_frr_one_to_many=config_frr_one_to_many, config_frr_priority_configured=config_frr_priority_configured, config_frr_setup_priority=config_frr_setup_priority, config_frr_holding_priority=config_frr_holding_priority, config_frr_hop_limit_configured=config_frr_hop_limit_configured, config_frr_hop_limit=config_frr_hop_limit, config_frr_bandwidth_configured=config_frr_bandwidth_configured, config_frr_bandwidth=config_frr_bandwidth, config_frr_admin_group_configured=config_frr_admin_group_configured, reoptimize_ignore_count=reoptimize_ignore_count, reoptimize_time_count=reoptimize_time_count, instance_frr_configured=instance_frr_configured, instance_frr_up=instance_frr_up, instance_frr_active=instance_frr_active, instance_out_port_id=instance_out_port_id, instance_out_port_name=instance_out_port_name, instance_out_label=instance_out_label, instance_revert_time=instance_revert_time, instance_retry_count=instance_retry_count, instance_up_down_count=instance_up_down_count, instance_metric=instance_metric, instance_down_reason=instance_down_reason)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_get(self, lsp=None, instances=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_config_exclude_any_create(self, lsp=None, instances=None, config_exclude_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_exclude_any=config_exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_exclude_any_delete(self, lsp=None, instances=None, config_exclude_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_exclude_any=config_exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_exclude_any_update(self, lsp=None, instances=None, config_exclude_any=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_exclude_any_get(self, lsp=None, instances=None, config_exclude_any=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_exclude_any=config_exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_config_exclude_interfaces_create(self, lsp=None, instances=None, config_exclude_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_exclude_interfaces (exclude_interface_name):
				exclude_interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_interfaces', 'keyval': 'exclude_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_exclude_interfaces=config_exclude_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_exclude_interfaces_delete(self, lsp=None, instances=None, config_exclude_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_exclude_interfaces (exclude_interface_name):
				exclude_interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_interfaces', 'keyval': 'exclude_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_exclude_interfaces=config_exclude_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_exclude_interfaces_get(self, lsp=None, instances=None, config_exclude_interfaces=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_exclude_interfaces (exclude_interface_name):
				exclude_interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_interfaces', 'keyval': 'exclude_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_exclude_interfaces=config_exclude_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_exclude_any_create(self, lsp=None, instances=None, config_frr_exclude_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_exclude_any=config_frr_exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_exclude_any_delete(self, lsp=None, instances=None, config_frr_exclude_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_exclude_any=config_frr_exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_exclude_any_update(self, lsp=None, instances=None, config_frr_exclude_any=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_exclude_any=config_frr_exclude_any, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_exclude_any_get(self, lsp=None, instances=None, config_frr_exclude_any=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_exclude_any=config_frr_exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_include_all_create(self, lsp=None, instances=None, config_frr_include_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_include_all=config_frr_include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_include_all_delete(self, lsp=None, instances=None, config_frr_include_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_include_all=config_frr_include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_include_all_update(self, lsp=None, instances=None, config_frr_include_all=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_include_all=config_frr_include_all, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_include_all_get(self, lsp=None, instances=None, config_frr_include_all=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_include_all=config_frr_include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_include_any_create(self, lsp=None, instances=None, config_frr_include_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_include_any=config_frr_include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_include_any_delete(self, lsp=None, instances=None, config_frr_include_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_include_any=config_frr_include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_include_any_update(self, lsp=None, instances=None, config_frr_include_any=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_include_any=config_frr_include_any, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_frr_include_any_get(self, lsp=None, instances=None, config_frr_include_any=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_frr_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_frr_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_include_any=config_frr_include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_config_include_all_create(self, lsp=None, instances=None, config_include_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_include_all=config_include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_include_all_delete(self, lsp=None, instances=None, config_include_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_include_all=config_include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_include_all_update(self, lsp=None, instances=None, config_include_all=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_include_all=config_include_all, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_include_all_get(self, lsp=None, instances=None, config_include_all=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_include_all=config_include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_config_include_any_create(self, lsp=None, instances=None, config_include_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_include_any=config_include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_include_any_delete(self, lsp=None, instances=None, config_include_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_include_any=config_include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_include_any_update(self, lsp=None, instances=None, config_include_any=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_include_any=config_include_any, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_config_include_any_get(self, lsp=None, instances=None, config_include_any=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- config_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_include_any=config_include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_cspf_exclude_hops_create(self, lsp=None, instances=None, cspf_exclude_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- cspf_exclude_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_cspf_exclude_hops_delete(self, lsp=None, instances=None, cspf_exclude_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- cspf_exclude_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_cspf_exclude_hops_update(self, lsp=None, instances=None, cspf_exclude_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- cspf_exclude_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- type (unicode):
				enum - [u'strict', u'loose']

			- hop_is_router_id (YANGBool):

			- protection (YANGBool):

			- node_protection (YANGBool):

			- bandwidth_protection (YANGBool):

			- protection_in_use (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_cspf_exclude_hops_get(self, lsp=None, instances=None, cspf_exclude_hops=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- cspf_exclude_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_cspf_path_hops_create(self, lsp=None, instances=None, cspf_path_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- cspf_path_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_cspf_path_hops_delete(self, lsp=None, instances=None, cspf_path_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- cspf_path_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_cspf_path_hops_update(self, lsp=None, instances=None, cspf_path_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- cspf_path_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- type (unicode):
				enum - [u'strict', u'loose']

			- hop_is_router_id (YANGBool):

			- protection (YANGBool):

			- node_protection (YANGBool):

			- bandwidth_protection (YANGBool):

			- protection_in_use (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_cspf_path_hops_get(self, lsp=None, instances=None, cspf_path_hops=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- cspf_path_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_instances_rsvp_session_rro_hops_create(self, lsp=None, instances=None, rsvp_session_rro_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rsvp_session_rro_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_rsvp_session_rro_hops_delete(self, lsp=None, instances=None, rsvp_session_rro_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rsvp_session_rro_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_rsvp_session_rro_hops_update(self, lsp=None, instances=None, rsvp_session_rro_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rsvp_session_rro_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- type (unicode):
				enum - [u'strict', u'loose']

			- hop_is_router_id (YANGBool):

			- protection (YANGBool):

			- node_protection (YANGBool):

			- bandwidth_protection (YANGBool):

			- protection_in_use (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_instances_rsvp_session_rro_hops_get(self, lsp=None, instances=None, rsvp_session_rro_hops=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- instances (instance_id, lsp_id):
				instance_id (long):
					range - ['0..4294967295']

				lsp_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rsvp_session_rro_hops (hop_index, hop_address):
				hop_index (long):
					range - ['0..4294967295']

				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_create(self, lsp=None, secondary_path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- secondary_path (path_name):
				path_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_delete(self, lsp=None, secondary_path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- secondary_path (path_name):
				path_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_update(self, lsp=None, secondary_path=None, path_up=None, active=None, instance_id=None, committed=None, is_new_instance=None, is_current_secondary=None, is_selected_secondary=None, config_adaptive=None, config_reoptimize_timer_configured=None, config_reoptimize_timer=None, config_reoptimize_timer_count=None, config_tspec_mtu_configured=None, config_tspec_mtu=None, config_cos_configured=None, config_cos=None, config_mtu_configured=None, config_mtu=None, config_tie_breaking_configured=None, config_tie_break_random=None, config_tie_break_least_fill=None, config_tie_break_most_fill=None, config_cspf_disabled=None, config_rro_disabled=None, config_hot_standby=None, config_pinned=None, config_persistent=None, config_soft_prempt=None, config_priority_configured=None, config_setup_prority=None, config_holding_prority=None, config_hop_limit_configured=None, config_hop_limit=None, config_traffic_eng_rate_configured=None, config_traffic_eng_mean_rate=None, config_traffic_eng_max_rate=None, config_traffic_eng_max_burst=None, config_abw_configured=None, config_cspf_computation_mode=None, config_admin_group_configured=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- secondary_path (path_name):
				path_name (unicode):

		This Instance Arg(s):
			- path_up (YANGBool):

			- active (YANGBool):

			- instance_id (YANGBool):

			- committed (YANGBool):

			- is_new_instance (YANGBool):

			- is_current_secondary (YANGBool):

			- is_selected_secondary (YANGBool):

			- config_adaptive (YANGBool):

			- config_reoptimize_timer_configured (YANGBool):

			- config_reoptimize_timer (long):
				range - ['0..4294967295']

			- config_reoptimize_timer_count (long):
				range - ['0..4294967295']

			- config_tspec_mtu_configured (YANGBool):

			- config_tspec_mtu (long):
				range - ['0..4294967295']

			- config_cos_configured (YANGBool):

			- config_cos (long):
				range - ['0..4294967295']

			- config_mtu_configured (YANGBool):

			- config_mtu (long):
				range - ['0..4294967295']

			- config_tie_breaking_configured (YANGBool):

			- config_tie_break_random (YANGBool):

			- config_tie_break_least_fill (YANGBool):

			- config_tie_break_most_fill (YANGBool):

			- config_cspf_disabled (YANGBool):

			- config_rro_disabled (YANGBool):

			- config_hot_standby (YANGBool):

			- config_pinned (YANGBool):

			- config_persistent (YANGBool):

			- config_soft_prempt (YANGBool):

			- config_priority_configured (YANGBool):

			- config_setup_prority (int):
				range - ['0..255']

			- config_holding_prority (int):
				range - ['0..255']

			- config_hop_limit_configured (YANGBool):

			- config_hop_limit (int):
				range - ['0..255']

			- config_traffic_eng_rate_configured (YANGBool):

			- config_traffic_eng_mean_rate (long):
				range - ['0..4294967295']

			- config_traffic_eng_max_rate (long):
				range - ['0..4294967295']

			- config_traffic_eng_max_burst (long):
				range - ['0..4294967295']

			- config_abw_configured (YANGBool):

			- config_cspf_computation_mode (unicode):
				enum - [u'cspf-computation-mode-use-igp-metric-global', u'cspf-computation-mode-use-bypass-metric', u'cspf-computation-mode-default', u'cspf-computation-mode-use-igp-metric', u'cspf-computation-mode-use-te-metric', u'cspf-computation-mode-use-bypass-liberal', u'cspf-computation-mode-use-te-metric-global']

			- config_admin_group_configured (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, path_up=path_up, active=active, instance_id=instance_id, committed=committed, is_new_instance=is_new_instance, is_current_secondary=is_current_secondary, is_selected_secondary=is_selected_secondary, config_adaptive=config_adaptive, config_reoptimize_timer_configured=config_reoptimize_timer_configured, config_reoptimize_timer=config_reoptimize_timer, config_reoptimize_timer_count=config_reoptimize_timer_count, config_tspec_mtu_configured=config_tspec_mtu_configured, config_tspec_mtu=config_tspec_mtu, config_cos_configured=config_cos_configured, config_cos=config_cos, config_mtu_configured=config_mtu_configured, config_mtu=config_mtu, config_tie_breaking_configured=config_tie_breaking_configured, config_tie_break_random=config_tie_break_random, config_tie_break_least_fill=config_tie_break_least_fill, config_tie_break_most_fill=config_tie_break_most_fill, config_cspf_disabled=config_cspf_disabled, config_rro_disabled=config_rro_disabled, config_hot_standby=config_hot_standby, config_pinned=config_pinned, config_persistent=config_persistent, config_soft_prempt=config_soft_prempt, config_priority_configured=config_priority_configured, config_setup_prority=config_setup_prority, config_holding_prority=config_holding_prority, config_hop_limit_configured=config_hop_limit_configured, config_hop_limit=config_hop_limit, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate, config_traffic_eng_max_rate=config_traffic_eng_max_rate, config_traffic_eng_max_burst=config_traffic_eng_max_burst, config_abw_configured=config_abw_configured, config_cspf_computation_mode=config_cspf_computation_mode, config_admin_group_configured=config_admin_group_configured)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_get(self, lsp=None, secondary_path=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

		This Instance Keyword Arg Tuple:
			- secondary_path (path_name):
				path_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_exclude_any_create(self, lsp=None, secondary_path=None, config_exclude_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_exclude_any=config_exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_exclude_any_delete(self, lsp=None, secondary_path=None, config_exclude_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_exclude_any=config_exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_exclude_any_update(self, lsp=None, secondary_path=None, config_exclude_any=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_exclude_any_get(self, lsp=None, secondary_path=None, config_exclude_any=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_exclude_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_exclude_any=config_exclude_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_include_all_create(self, lsp=None, secondary_path=None, config_include_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_include_all=config_include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_include_all_delete(self, lsp=None, secondary_path=None, config_include_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_include_all=config_include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_include_all_update(self, lsp=None, secondary_path=None, config_include_all=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_include_all=config_include_all, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_include_all_get(self, lsp=None, secondary_path=None, config_include_all=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_include_all (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_include_all=config_include_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_include_any_create(self, lsp=None, secondary_path=None, config_include_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_include_any=config_include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_include_any_delete(self, lsp=None, secondary_path=None, config_include_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_include_any=config_include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_include_any_update(self, lsp=None, secondary_path=None, config_include_any=None, admin_group_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- admin_group_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_include_any=config_include_any, admin_group_name=admin_group_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_lsp_secondary_path_config_include_any_get(self, lsp=None, secondary_path=None, config_include_any=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):

			- secondary_path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- config_include_any (admin_group_id):
				admin_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_include_any=config_include_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_memory_update(self, total_non_pool_memory=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- total_non_pool_memory (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_non_pool_memory=total_non_pool_memory)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_memory_pools_create(self, pools=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pools (pool_index):
				pool_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'pools', 'keyval': 'pool_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pools=pools)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_memory_pools_delete(self, pools=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pools (pool_index):
				pool_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'pools', 'keyval': 'pool_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pools=pools)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_memory_pools_get(self, pools=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pools (pool_index):
				pool_index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'pools', 'keyval': 'pool_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pools=pools)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_memory_pools_sub_pools_create(self, pools=None, sub_pools=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pools (pool_index):
				pool_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- sub_pools (sub_pool_index):
				sub_pool_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pools=pools, sub_pools=sub_pools)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_memory_pools_sub_pools_delete(self, pools=None, sub_pools=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pools (pool_index):
				pool_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- sub_pools (sub_pool_index):
				sub_pool_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pools=pools, sub_pools=sub_pools)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_memory_pools_sub_pools_update(self, pools=None, sub_pools=None, gen_size=None, block_size=None, gen_blocks=None, current_gens=None, current_blocks=None, free_blocks=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pools (pool_index):
				pool_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- sub_pools (sub_pool_index):
				sub_pool_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- gen_size (long):
				range - ['0..4294967295']

			- block_size (long):
				range - ['0..4294967295']

			- gen_blocks (long):
				range - ['0..4294967295']

			- current_gens (long):
				range - ['0..4294967295']

			- current_blocks (long):
				range - ['0..4294967295']

			- free_blocks (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pools=pools, sub_pools=sub_pools, gen_size=gen_size, block_size=block_size, gen_blocks=gen_blocks, current_gens=current_gens, current_blocks=current_blocks, free_blocks=free_blocks)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_memory_pools_sub_pools_get(self, pools=None, sub_pools=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pools (pool_index):
				pool_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- sub_pools (sub_pool_index):
				sub_pool_index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pools=pools, sub_pools=sub_pools)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_memory_stats_create(self, stats=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- stats (mem_stats_index):
				mem_stats_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, stats=stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_memory_stats_delete(self, stats=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- stats (mem_stats_index):
				mem_stats_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, stats=stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_memory_stats_update(self, stats=None, mem_type=None, num_alloc=None, total_bytes=None, total_allocs=None, total_frees=None, peak_alloc=None, alloc_fails=None, free_fails=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- stats (mem_stats_index):
				mem_stats_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mem_type (unicode):

			- num_alloc (long):
				range - ['0..4294967295']

			- total_bytes (long):
				range - ['0..4294967295']

			- total_allocs (long):
				range - ['0..4294967295']

			- total_frees (long):
				range - ['0..4294967295']

			- peak_alloc (long):
				range - ['0..4294967295']

			- alloc_fails (long):
				range - ['0..4294967295']

			- free_fails (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, stats=stats, mem_type=mem_type, num_alloc=num_alloc, total_bytes=total_bytes, total_allocs=total_allocs, total_frees=total_frees, peak_alloc=peak_alloc, alloc_fails=alloc_fails, free_fails=free_fails)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_memory_stats_get(self, stats=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- stats (mem_stats_index):
				mem_stats_index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, stats=stats)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_memory_total_non_pool_memory_update(self, total_non_pool_memory=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- total_non_pool_memory (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_non_pool_memory=total_non_pool_memory)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_path_create(self, path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- path (path_name):
				path_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_path_delete(self, path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- path (path_name):
				path_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_path_update(self, path=None, usage_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- path (path_name):
				path_name (unicode):

		This Instance Arg(s):
			- usage_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, usage_count=usage_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_path_get(self, path=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- path (path_name):
				path_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_path_path_hops_create(self, path=None, path_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- path_hops (hop_address):
				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_hops', 'keyval': 'hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_hops=path_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_path_path_hops_delete(self, path=None, path_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- path_hops (hop_address):
				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_hops', 'keyval': 'hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_hops=path_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_path_path_hops_update(self, path=None, path_hops=None, hop_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- path_hops (hop_address):
				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hop_type (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_hops', 'keyval': 'hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_hops=path_hops, hop_type=hop_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_path_path_hops_get(self, path=None, path_hops=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- path_hops (hop_address):
				hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_hops', 'keyval': 'hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_hops=path_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_path_path_lsps_create(self, path=None, path_lsps=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- path_lsps (lsp_name):
				lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_lsps', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_lsps', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_lsps=path_lsps)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_path_path_lsps_delete(self, path=None, path_lsps=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- path_lsps (lsp_name):
				lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_lsps', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_lsps', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_lsps=path_lsps)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_path_path_lsps_update(self, path=None, path_lsps=None, lsp_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- path_lsps (lsp_name):
				lsp_name (unicode):

		This Instance Arg(s):
			- lsp_type (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_lsps', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_lsps', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_lsps=path_lsps, lsp_type=lsp_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_path_path_lsps_get(self, path=None, path_lsps=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- path_lsps (lsp_name):
				lsp_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_lsps', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_lsps', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_lsps=path_lsps)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_policy_update(self, cspf_intf=None, cspf_group_computation_mode=None, cspf_comp_mode=None, cspf_comp_ignore_overload_bit=None, implicit_commit_value=None, propagate_ttl=None, label_propagate_ttl=None, vrf_propagate_ttl=None, rtm_route_filter_enabled=None, rtm_route_filter_all_ibgp_enabled=None, ingress_tnnl_actg=None, transit_session_actg=None, load_interval=None, te_policy_protocol=None, te_policy_flags=None, te_policy_area=None, handle_isis_nbr_down=None, handle_ospf_nbr_down=None, max_lsp_retries=None, fast_retry_on=None, lsp_retry_interval=None, frr_backup_retry_interval=None, auto_bandwidth_enabled=None, autobw_sample_interval=None, autobw_num_sample_record=None, soft_preempt_cleanup_timer=None, rsvp_periodic_flooding_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cspf_intf (int):
				range - ['0..255']

			- cspf_group_computation_mode (unicode):
				enum - [u'mpls-cspf-grp-comp-mode-default', u'mpls-cspf-grp-comp-mode-exclude-groups', u'mpls-cspf-grp-comp-mode-high-cost', u'mpls-cspf-grp-comp-mode-add-penalty', u'mpls-cspf-grp-comp-mode-max']

			- cspf_comp_mode (long):
				range - ['0..4294967295']

			- cspf_comp_ignore_overload_bit (int):
				range - ['0..255']

			- implicit_commit_value (long):
				range - ['0..4294967295']

			- propagate_ttl (int):
				range - ['0..255']

			- label_propagate_ttl (int):
				range - ['0..255']

			- vrf_propagate_ttl (int):
				range - ['0..255']

			- rtm_route_filter_enabled (YANGBool):

			- rtm_route_filter_all_ibgp_enabled (YANGBool):

			- ingress_tnnl_actg (int):
				range - ['0..255']

			- transit_session_actg (int):
				range - ['0..255']

			- load_interval (int):
				range - ['0..65535']

			- te_policy_protocol (unicode):
				enum - [u'mpls-te-none', u'mpls-te-ospf', u'mpls-te-isis']

			- te_policy_flags (int):
				range - ['0..65535']

			- te_policy_area (long):
				range - ['0..4294967295']

			- handle_isis_nbr_down (int):
				range - ['0..255']

			- handle_ospf_nbr_down (int):
				range - ['0..255']

			- max_lsp_retries (int):
				range - ['0..65535']

			- fast_retry_on (int):
				range - ['0..255']

			- lsp_retry_interval (int):
				range - ['0..65535']

			- frr_backup_retry_interval (long):
				range - ['0..4294967295']

			- auto_bandwidth_enabled (int):
				range - ['0..255']

			- autobw_sample_interval (long):
				range - ['0..4294967295']

			- autobw_num_sample_record (long):
				range - ['0..4294967295']

			- soft_preempt_cleanup_timer (int):
				range - ['0..65535']

			- rsvp_periodic_flooding_timer (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_intf=cspf_intf, cspf_group_computation_mode=cspf_group_computation_mode, cspf_comp_mode=cspf_comp_mode, cspf_comp_ignore_overload_bit=cspf_comp_ignore_overload_bit, implicit_commit_value=implicit_commit_value, propagate_ttl=propagate_ttl, label_propagate_ttl=label_propagate_ttl, vrf_propagate_ttl=vrf_propagate_ttl, rtm_route_filter_enabled=rtm_route_filter_enabled, rtm_route_filter_all_ibgp_enabled=rtm_route_filter_all_ibgp_enabled, ingress_tnnl_actg=ingress_tnnl_actg, transit_session_actg=transit_session_actg, load_interval=load_interval, te_policy_protocol=te_policy_protocol, te_policy_flags=te_policy_flags, te_policy_area=te_policy_area, handle_isis_nbr_down=handle_isis_nbr_down, handle_ospf_nbr_down=handle_ospf_nbr_down, max_lsp_retries=max_lsp_retries, fast_retry_on=fast_retry_on, lsp_retry_interval=lsp_retry_interval, frr_backup_retry_interval=frr_backup_retry_interval, auto_bandwidth_enabled=auto_bandwidth_enabled, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record, soft_preempt_cleanup_timer=soft_preempt_cleanup_timer, rsvp_periodic_flooding_timer=rsvp_periodic_flooding_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_policy_admin_groups_create(self, admin_groups=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- admin_groups (name):
				name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.admin_groups', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'admin_groups', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_groups=admin_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_policy_admin_groups_delete(self, admin_groups=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- admin_groups (name):
				name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.admin_groups', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'admin_groups', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_groups=admin_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_policy_admin_groups_update(self, admin_groups=None, group_number=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- admin_groups (name):
				name (unicode):

		This Instance Arg(s):
			- group_number (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.admin_groups', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'admin_groups', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_groups=admin_groups, group_number=group_number)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_policy_admin_groups_get(self, admin_groups=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- admin_groups (name):
				name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.admin_groups', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'admin_groups', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_groups=admin_groups)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_policy_auto_bandwidth_enabled_update(self, cspf_intf=None, cspf_group_computation_mode=None, cspf_comp_mode=None, cspf_comp_ignore_overload_bit=None, implicit_commit_value=None, propagate_ttl=None, label_propagate_ttl=None, vrf_propagate_ttl=None, rtm_route_filter_enabled=None, rtm_route_filter_all_ibgp_enabled=None, ingress_tnnl_actg=None, transit_session_actg=None, load_interval=None, te_policy_protocol=None, te_policy_flags=None, te_policy_area=None, handle_isis_nbr_down=None, handle_ospf_nbr_down=None, max_lsp_retries=None, fast_retry_on=None, lsp_retry_interval=None, frr_backup_retry_interval=None, auto_bandwidth_enabled=None, autobw_sample_interval=None, autobw_num_sample_record=None, soft_preempt_cleanup_timer=None, rsvp_periodic_flooding_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cspf_intf (int):
				range - ['0..255']

			- cspf_group_computation_mode (unicode):
				enum - [u'mpls-cspf-grp-comp-mode-default', u'mpls-cspf-grp-comp-mode-exclude-groups', u'mpls-cspf-grp-comp-mode-high-cost', u'mpls-cspf-grp-comp-mode-add-penalty', u'mpls-cspf-grp-comp-mode-max']

			- cspf_comp_mode (long):
				range - ['0..4294967295']

			- cspf_comp_ignore_overload_bit (int):
				range - ['0..255']

			- implicit_commit_value (long):
				range - ['0..4294967295']

			- propagate_ttl (int):
				range - ['0..255']

			- label_propagate_ttl (int):
				range - ['0..255']

			- vrf_propagate_ttl (int):
				range - ['0..255']

			- rtm_route_filter_enabled (YANGBool):

			- rtm_route_filter_all_ibgp_enabled (YANGBool):

			- ingress_tnnl_actg (int):
				range - ['0..255']

			- transit_session_actg (int):
				range - ['0..255']

			- load_interval (int):
				range - ['0..65535']

			- te_policy_protocol (unicode):
				enum - [u'mpls-te-none', u'mpls-te-ospf', u'mpls-te-isis']

			- te_policy_flags (int):
				range - ['0..65535']

			- te_policy_area (long):
				range - ['0..4294967295']

			- handle_isis_nbr_down (int):
				range - ['0..255']

			- handle_ospf_nbr_down (int):
				range - ['0..255']

			- max_lsp_retries (int):
				range - ['0..65535']

			- fast_retry_on (int):
				range - ['0..255']

			- lsp_retry_interval (int):
				range - ['0..65535']

			- frr_backup_retry_interval (long):
				range - ['0..4294967295']

			- auto_bandwidth_enabled (int):
				range - ['0..255']

			- autobw_sample_interval (long):
				range - ['0..4294967295']

			- autobw_num_sample_record (long):
				range - ['0..4294967295']

			- soft_preempt_cleanup_timer (int):
				range - ['0..65535']

			- rsvp_periodic_flooding_timer (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_intf=cspf_intf, cspf_group_computation_mode=cspf_group_computation_mode, cspf_comp_mode=cspf_comp_mode, cspf_comp_ignore_overload_bit=cspf_comp_ignore_overload_bit, implicit_commit_value=implicit_commit_value, propagate_ttl=propagate_ttl, label_propagate_ttl=label_propagate_ttl, vrf_propagate_ttl=vrf_propagate_ttl, rtm_route_filter_enabled=rtm_route_filter_enabled, rtm_route_filter_all_ibgp_enabled=rtm_route_filter_all_ibgp_enabled, ingress_tnnl_actg=ingress_tnnl_actg, transit_session_actg=transit_session_actg, load_interval=load_interval, te_policy_protocol=te_policy_protocol, te_policy_flags=te_policy_flags, te_policy_area=te_policy_area, handle_isis_nbr_down=handle_isis_nbr_down, handle_ospf_nbr_down=handle_ospf_nbr_down, max_lsp_retries=max_lsp_retries, fast_retry_on=fast_retry_on, lsp_retry_interval=lsp_retry_interval, frr_backup_retry_interval=frr_backup_retry_interval, auto_bandwidth_enabled=auto_bandwidth_enabled, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record, soft_preempt_cleanup_timer=soft_preempt_cleanup_timer, rsvp_periodic_flooding_timer=rsvp_periodic_flooding_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_policy_rsvp_flooding_thresholds_create(self, rsvp_flooding_thresholds=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rsvp_flooding_thresholds (threshold_type):
				threshold_type (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.rsvp_flooding_thresholds', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rsvp_flooding_thresholds', 'keyval': 'threshold_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rsvp_flooding_thresholds=rsvp_flooding_thresholds)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_policy_rsvp_flooding_thresholds_delete(self, rsvp_flooding_thresholds=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rsvp_flooding_thresholds (threshold_type):
				threshold_type (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.rsvp_flooding_thresholds', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rsvp_flooding_thresholds', 'keyval': 'threshold_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rsvp_flooding_thresholds=rsvp_flooding_thresholds)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_policy_rsvp_flooding_thresholds_get(self, rsvp_flooding_thresholds=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rsvp_flooding_thresholds (threshold_type):
				threshold_type (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.rsvp_flooding_thresholds', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rsvp_flooding_thresholds', 'keyval': 'threshold_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rsvp_flooding_thresholds=rsvp_flooding_thresholds)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_route_create(self, route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (entry_index):
				entry_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_route_delete(self, route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (entry_index):
				entry_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_route_update(self, route=None, outseg_index=None, dest_ip_prefix=None, gateway_ip_addr=None, out_interface_name=None, out_label=None, protocol=None, vif_index=None, metric=None, use_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (entry_index):
				entry_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- outseg_index (long):
				range - ['0..4294967295']

			- dest_ip_prefix (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- gateway_ip_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- out_interface_name (unicode):

			- out_label (long):
				range - ['0..4294967295']

			- protocol (unicode):
				enum - [u'mpls-protocol-none', u'mpls-protocol-ldp', u'mpls-protocol-rsvp']

			- vif_index (long):
				range - ['0..4294967295']

			- metric (long):
				range - ['0..4294967295']

			- use_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, outseg_index=outseg_index, dest_ip_prefix=dest_ip_prefix, gateway_ip_addr=gateway_ip_addr, out_interface_name=out_interface_name, out_label=out_label, protocol=protocol, vif_index=vif_index, metric=metric, use_count=use_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_route_get(self, route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (entry_index):
				entry_index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_update(self, protocol_status=None, refresh_interval=None, refresh_multiple=None, transport_address=None, delay_resv_sending=None, backup_bandwidth_requirement=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- protocol_status (YANGBool):

			- refresh_interval (int):
				range - ['0..65535']

			- refresh_multiple (int):
				range - ['0..65535']

			- transport_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- delay_resv_sending (YANGBool):

			- backup_bandwidth_requirement (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, transport_address=transport_address, delay_resv_sending=delay_resv_sending, backup_bandwidth_requirement=backup_bandwidth_requirement)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_backup_bandwidth_requirement_update(self, protocol_status=None, refresh_interval=None, refresh_multiple=None, transport_address=None, delay_resv_sending=None, backup_bandwidth_requirement=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- protocol_status (YANGBool):

			- refresh_interval (int):
				range - ['0..65535']

			- refresh_multiple (int):
				range - ['0..65535']

			- transport_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- delay_resv_sending (YANGBool):

			- backup_bandwidth_requirement (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, transport_address=transport_address, delay_resv_sending=delay_resv_sending, backup_bandwidth_requirement=backup_bandwidth_requirement)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_update(self, isis_nbr_down_enabled=None, ospf_nbr_down_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- isis_nbr_down_enabled (YANGBool):

			- ospf_nbr_down_enabled (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_nbr_down_enabled=isis_nbr_down_enabled, ospf_nbr_down_enabled=ospf_nbr_down_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_isis_nbr_down_enabled_update(self, isis_nbr_down_enabled=None, ospf_nbr_down_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- isis_nbr_down_enabled (YANGBool):

			- ospf_nbr_down_enabled (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_nbr_down_enabled=isis_nbr_down_enabled, ospf_nbr_down_enabled=ospf_nbr_down_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_create(self, link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_delete(self, link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_update(self, link=None, remote_ip=None, lsp_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- remote_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, remote_ip=remote_ip, lsp_count=lsp_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_get(self, link=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_create(self, link=None, lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_delete(self, link=None, lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_update(self, link=None, lsp=None, cspf_enabled=None, rro_enabled=None, frr_enabled=None, nbr_down_enabled=None, link_count=None, nbr_down_inprogress=None, cspf_hop_count=None, rro_hop_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Arg(s):
			- cspf_enabled (YANGBool):

			- rro_enabled (YANGBool):

			- frr_enabled (YANGBool):

			- nbr_down_enabled (YANGBool):

			- link_count (long):
				range - ['0..4294967295']

			- nbr_down_inprogress (YANGBool):

			- cspf_hop_count (long):
				range - ['0..4294967295']

			- rro_hop_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, cspf_enabled=cspf_enabled, rro_enabled=rro_enabled, frr_enabled=frr_enabled, nbr_down_enabled=nbr_down_enabled, link_count=link_count, nbr_down_inprogress=nbr_down_inprogress, cspf_hop_count=cspf_hop_count, rro_hop_count=rro_hop_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_get(self, link=None, lsp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_cspf_hop_create(self, link=None, lsp=None, cspf_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- cspf_hop (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, cspf_hop=cspf_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_cspf_hop_delete(self, link=None, lsp=None, cspf_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- cspf_hop (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, cspf_hop=cspf_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_cspf_hop_update(self, link=None, lsp=None, cspf_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- cspf_hop (index):
				index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- nbr_ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_cspf_hop_get(self, link=None, lsp=None, cspf_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- cspf_hop (index):
				index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, cspf_hop=cspf_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_link_create(self, link=None, lsp=None, link_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- link_ (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link_', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, link_=link_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_link_delete(self, link=None, lsp=None, link_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- link_ (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link_', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, link_=link_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_link_update(self, link=None, lsp=None, link_=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- link_ (index):
				index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- nbr_ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link_', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, link_=link_, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_link_get(self, link=None, lsp=None, link_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- link_ (index):
				index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link_', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, link_=link_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_rro_hop_create(self, link=None, lsp=None, rro_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- rro_hop (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, rro_hop=rro_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_rro_hop_delete(self, link=None, lsp=None, rro_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- rro_hop (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, rro_hop=rro_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_rro_hop_update(self, link=None, lsp=None, rro_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- rro_hop (index):
				index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- nbr_ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_link_lsp_rro_hop_get(self, link=None, lsp=None, rro_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- link (ip_address, nbr_ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				nbr_ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- rro_hop (index):
				index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, rro_hop=rro_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_create(self, lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_delete(self, lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_update(self, lsp=None, cspf_enabled=None, rro_enabled=None, frr_enabled=None, nbr_down_enabled=None, link_count=None, nbr_down_inprogress=None, cspf_hop_count=None, rro_hop_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Arg(s):
			- cspf_enabled (YANGBool):

			- rro_enabled (YANGBool):

			- frr_enabled (YANGBool):

			- nbr_down_enabled (YANGBool):

			- link_count (long):
				range - ['0..4294967295']

			- nbr_down_inprogress (YANGBool):

			- cspf_hop_count (long):
				range - ['0..4294967295']

			- rro_hop_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, cspf_enabled=cspf_enabled, rro_enabled=rro_enabled, frr_enabled=frr_enabled, nbr_down_enabled=nbr_down_enabled, link_count=link_count, nbr_down_inprogress=nbr_down_inprogress, cspf_hop_count=cspf_hop_count, rro_hop_count=rro_hop_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_get(self, lsp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_cspf_hop_create(self, lsp=None, cspf_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- cspf_hop (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, cspf_hop=cspf_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_cspf_hop_delete(self, lsp=None, cspf_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- cspf_hop (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, cspf_hop=cspf_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_cspf_hop_update(self, lsp=None, cspf_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- cspf_hop (index):
				index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- nbr_ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_cspf_hop_get(self, lsp=None, cspf_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- cspf_hop (index):
				index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, cspf_hop=cspf_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_link_create(self, lsp=None, link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- link (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, link=link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_link_delete(self, lsp=None, link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- link (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, link=link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_link_update(self, lsp=None, link=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- link (index):
				index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- nbr_ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, link=link, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_link_get(self, lsp=None, link=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- link (index):
				index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, link=link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_rro_hop_create(self, lsp=None, rro_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- rro_hop (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, rro_hop=rro_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_rro_hop_delete(self, lsp=None, rro_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- rro_hop (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, rro_hop=rro_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_rro_hop_update(self, lsp=None, rro_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- rro_hop (index):
				index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- nbr_ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_igp_sync_lsp_rro_hop_get(self, lsp=None, rro_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name, path_name):
				lsp_name (unicode):

				path_name (unicode):

		This Instance Keyword Arg Tuple:
			- rro_hop (index):
				index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, rro_hop=rro_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_interfaces_create(self, interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interfaces (interface_index):
				interface_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_interfaces_delete(self, interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interfaces (interface_index):
				interface_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_interfaces_update(self, interfaces=None, interface_name=None, interface_type=None, admin_status=None, oper_status=None, is_tunnel_interface=None, hello_interval=None, hello_tolerance=None, hello_status=None, is_md5_auth_enabled=None, reliable_messages=None, bundle_messages=None, summary_refresh=None, active_outsegs=None, inactive_outsegs=None, bandwith_resv_outsegs=None, active_backup_outsegs=None, inactive_backup_outsegs=None, interface_preempts=None, interface_resv_soft_preempts=None, interface_flooding_up_threshold=None, interface_flooding_down_threshold=None, duplicate_preempts_dropped=None, bypass_interface=None, interface_tunnel_name=None, bypass_tunnel_interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interfaces (interface_index):
				interface_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_name (unicode):

			- interface_type (unicode):
				enum - [u'dcm-interface-type-unknown', u'dcm-interface-type-loopback', u'dcm-interface-type-ethernet', u'dcm-interface-type-ve', u'dcm-interface-type-fiber-channel', u'dcm-interface-type-port-channel']

			- admin_status (YANGBool):

			- oper_status (YANGBool):

			- is_tunnel_interface (YANGBool):

			- hello_interval (long):
				range - ['0..4294967295']

			- hello_tolerance (long):
				range - ['0..4294967295']

			- hello_status (unicode):
				enum - [u'disabled', u'enabled-local', u'disabled-global', u'disabled-local', u'enabled-global']

			- is_md5_auth_enabled (YANGBool):

			- reliable_messages (unicode):
				enum - [u'disabled', u'enabled-local', u'disabled-global', u'disabled-local', u'enabled-global']

			- bundle_messages (unicode):
				enum - [u'disabled', u'enabled-local', u'disabled-global', u'disabled-local', u'enabled-global']

			- summary_refresh (unicode):
				enum - [u'disabled', u'enabled-local', u'disabled-global', u'disabled-local', u'enabled-global']

			- active_outsegs (long):
				range - ['0..4294967295']

			- inactive_outsegs (long):
				range - ['0..4294967295']

			- bandwith_resv_outsegs (long):
				range - ['0..4294967295']

			- active_backup_outsegs (long):
				range - ['0..4294967295']

			- inactive_backup_outsegs (long):
				range - ['0..4294967295']

			- interface_preempts (long):
				range - ['0..4294967295']

			- interface_resv_soft_preempts (long):
				range - ['0..4294967295']

			- interface_flooding_up_threshold (unicode):
				enum - [u'local-config', u'default-config', u'global-config']

			- interface_flooding_down_threshold (unicode):
				enum - [u'local-config', u'default-config', u'global-config']

			- duplicate_preempts_dropped (long):
				range - ['0..4294967295']

			- bypass_interface (YANGBool):

			- interface_tunnel_name (unicode):

			- bypass_tunnel_interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, interface_name=interface_name, interface_type=interface_type, admin_status=admin_status, oper_status=oper_status, is_tunnel_interface=is_tunnel_interface, hello_interval=hello_interval, hello_tolerance=hello_tolerance, hello_status=hello_status, is_md5_auth_enabled=is_md5_auth_enabled, reliable_messages=reliable_messages, bundle_messages=bundle_messages, summary_refresh=summary_refresh, active_outsegs=active_outsegs, inactive_outsegs=inactive_outsegs, bandwith_resv_outsegs=bandwith_resv_outsegs, active_backup_outsegs=active_backup_outsegs, inactive_backup_outsegs=inactive_backup_outsegs, interface_preempts=interface_preempts, interface_resv_soft_preempts=interface_resv_soft_preempts, interface_flooding_up_threshold=interface_flooding_up_threshold, interface_flooding_down_threshold=interface_flooding_down_threshold, duplicate_preempts_dropped=duplicate_preempts_dropped, bypass_interface=bypass_interface, interface_tunnel_name=interface_tunnel_name, bypass_tunnel_interface_name=bypass_tunnel_interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_interfaces_get(self, interfaces=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interfaces (interface_index):
				interface_index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_interfaces_error_counters_update(self, interfaces=None, recv_md5_auth_errors=None, pkt_with_msgid_drop=None, pkt_with_sref_drop=None, nackobject_errors=None, recv_md5_auth_errors_since_last_clear=None, pkt_with_msgid_drop_since_last_clear=None, pkt_with_sref_drop_since_last_clear=None, nackobject_errors_since_last_clear=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- interfaces (interface_index):
				interface_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- recv_md5_auth_errors (long):
				range - ['0..18446744073709551615']

			- pkt_with_msgid_drop (long):
				range - ['0..18446744073709551615']

			- pkt_with_sref_drop (long):
				range - ['0..18446744073709551615']

			- nackobject_errors (long):
				range - ['0..18446744073709551615']

			- recv_md5_auth_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pkt_with_msgid_drop_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pkt_with_sref_drop_since_last_clear (long):
				range - ['0..18446744073709551615']

			- nackobject_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, recv_md5_auth_errors=recv_md5_auth_errors, pkt_with_msgid_drop=pkt_with_msgid_drop, pkt_with_sref_drop=pkt_with_sref_drop, nackobject_errors=nackobject_errors, recv_md5_auth_errors_since_last_clear=recv_md5_auth_errors_since_last_clear, pkt_with_msgid_drop_since_last_clear=pkt_with_msgid_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_interfaces_error_counters_nackobject_errors_update(self, interfaces=None, recv_md5_auth_errors=None, pkt_with_msgid_drop=None, pkt_with_sref_drop=None, nackobject_errors=None, recv_md5_auth_errors_since_last_clear=None, pkt_with_msgid_drop_since_last_clear=None, pkt_with_sref_drop_since_last_clear=None, nackobject_errors_since_last_clear=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- interfaces (interface_index):
				interface_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- recv_md5_auth_errors (long):
				range - ['0..18446744073709551615']

			- pkt_with_msgid_drop (long):
				range - ['0..18446744073709551615']

			- pkt_with_sref_drop (long):
				range - ['0..18446744073709551615']

			- nackobject_errors (long):
				range - ['0..18446744073709551615']

			- recv_md5_auth_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pkt_with_msgid_drop_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pkt_with_sref_drop_since_last_clear (long):
				range - ['0..18446744073709551615']

			- nackobject_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, recv_md5_auth_errors=recv_md5_auth_errors, pkt_with_msgid_drop=pkt_with_msgid_drop, pkt_with_sref_drop=pkt_with_sref_drop, nackobject_errors=nackobject_errors, recv_md5_auth_errors_since_last_clear=recv_md5_auth_errors_since_last_clear, pkt_with_msgid_drop_since_last_clear=pkt_with_msgid_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_interfaces_packet_counters_update(self, interfaces=None, path_tx=None, resv_tx=None, patherr_tx=None, resverr_tx=None, pathtear_tx=None, resvtear_tx=None, resvconf_tx=None, bundle_tx=None, ack_tx=None, sumrefresh_tx=None, hello_tx=None, path_rx=None, resv_rx=None, patherr_rx=None, resverr_rx=None, pathtear_rx=None, resvtear_rx=None, resvconf_rx=None, bundle_rx=None, ack_rx=None, sumrefresh_rx=None, hello_rx=None, path_tx_since_last_clear=None, resv_tx_since_last_clear=None, patherr_tx_since_last_clear=None, resverr_tx_since_last_clear=None, pathtear_tx_since_last_clear=None, resvtear_tx_since_last_clear=None, resvconf_tx_since_last_clear=None, bundle_tx_since_last_clear=None, ack_tx_since_last_clear=None, sumrefresh_tx_since_last_clear=None, hello_tx_since_last_clear=None, path_rx_since_last_clear=None, resv_rx_since_last_clear=None, patherr_rx_since_last_clear=None, resverr_rx_since_last_clear=None, pathtear_rx_since_last_clear=None, resvtear_rx_since_last_clear=None, resvconf_rx_since_last_clear=None, bundle_rx_since_last_clear=None, ack_rx_since_last_clear=None, sumrefresh_rx_since_last_clear=None, hello_rx_since_last_clear=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- interfaces (interface_index):
				interface_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- path_tx (long):
				range - ['0..18446744073709551615']

			- resv_tx (long):
				range - ['0..18446744073709551615']

			- patherr_tx (long):
				range - ['0..18446744073709551615']

			- resverr_tx (long):
				range - ['0..18446744073709551615']

			- pathtear_tx (long):
				range - ['0..18446744073709551615']

			- resvtear_tx (long):
				range - ['0..18446744073709551615']

			- resvconf_tx (long):
				range - ['0..18446744073709551615']

			- bundle_tx (long):
				range - ['0..18446744073709551615']

			- ack_tx (long):
				range - ['0..18446744073709551615']

			- sumrefresh_tx (long):
				range - ['0..18446744073709551615']

			- hello_tx (long):
				range - ['0..18446744073709551615']

			- path_rx (long):
				range - ['0..18446744073709551615']

			- resv_rx (long):
				range - ['0..18446744073709551615']

			- patherr_rx (long):
				range - ['0..18446744073709551615']

			- resverr_rx (long):
				range - ['0..18446744073709551615']

			- pathtear_rx (long):
				range - ['0..18446744073709551615']

			- resvtear_rx (long):
				range - ['0..18446744073709551615']

			- resvconf_rx (long):
				range - ['0..18446744073709551615']

			- bundle_rx (long):
				range - ['0..18446744073709551615']

			- ack_rx (long):
				range - ['0..18446744073709551615']

			- sumrefresh_rx (long):
				range - ['0..18446744073709551615']

			- hello_rx (long):
				range - ['0..18446744073709551615']

			- path_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- patherr_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resverr_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pathtear_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvtear_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvconf_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- bundle_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- ack_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- sumrefresh_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- hello_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- path_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- patherr_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resverr_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pathtear_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvtear_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvconf_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- bundle_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- ack_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- sumrefresh_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- hello_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_interfaces_packet_counters_ack_rx_update(self, interfaces=None, path_tx=None, resv_tx=None, patherr_tx=None, resverr_tx=None, pathtear_tx=None, resvtear_tx=None, resvconf_tx=None, bundle_tx=None, ack_tx=None, sumrefresh_tx=None, hello_tx=None, path_rx=None, resv_rx=None, patherr_rx=None, resverr_rx=None, pathtear_rx=None, resvtear_rx=None, resvconf_rx=None, bundle_rx=None, ack_rx=None, sumrefresh_rx=None, hello_rx=None, path_tx_since_last_clear=None, resv_tx_since_last_clear=None, patherr_tx_since_last_clear=None, resverr_tx_since_last_clear=None, pathtear_tx_since_last_clear=None, resvtear_tx_since_last_clear=None, resvconf_tx_since_last_clear=None, bundle_tx_since_last_clear=None, ack_tx_since_last_clear=None, sumrefresh_tx_since_last_clear=None, hello_tx_since_last_clear=None, path_rx_since_last_clear=None, resv_rx_since_last_clear=None, patherr_rx_since_last_clear=None, resverr_rx_since_last_clear=None, pathtear_rx_since_last_clear=None, resvtear_rx_since_last_clear=None, resvconf_rx_since_last_clear=None, bundle_rx_since_last_clear=None, ack_rx_since_last_clear=None, sumrefresh_rx_since_last_clear=None, hello_rx_since_last_clear=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- interfaces (interface_index):
				interface_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- path_tx (long):
				range - ['0..18446744073709551615']

			- resv_tx (long):
				range - ['0..18446744073709551615']

			- patherr_tx (long):
				range - ['0..18446744073709551615']

			- resverr_tx (long):
				range - ['0..18446744073709551615']

			- pathtear_tx (long):
				range - ['0..18446744073709551615']

			- resvtear_tx (long):
				range - ['0..18446744073709551615']

			- resvconf_tx (long):
				range - ['0..18446744073709551615']

			- bundle_tx (long):
				range - ['0..18446744073709551615']

			- ack_tx (long):
				range - ['0..18446744073709551615']

			- sumrefresh_tx (long):
				range - ['0..18446744073709551615']

			- hello_tx (long):
				range - ['0..18446744073709551615']

			- path_rx (long):
				range - ['0..18446744073709551615']

			- resv_rx (long):
				range - ['0..18446744073709551615']

			- patherr_rx (long):
				range - ['0..18446744073709551615']

			- resverr_rx (long):
				range - ['0..18446744073709551615']

			- pathtear_rx (long):
				range - ['0..18446744073709551615']

			- resvtear_rx (long):
				range - ['0..18446744073709551615']

			- resvconf_rx (long):
				range - ['0..18446744073709551615']

			- bundle_rx (long):
				range - ['0..18446744073709551615']

			- ack_rx (long):
				range - ['0..18446744073709551615']

			- sumrefresh_rx (long):
				range - ['0..18446744073709551615']

			- hello_rx (long):
				range - ['0..18446744073709551615']

			- path_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- patherr_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resverr_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pathtear_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvtear_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvconf_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- bundle_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- ack_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- sumrefresh_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- hello_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- path_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- patherr_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resverr_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pathtear_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvtear_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvconf_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- bundle_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- ack_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- sumrefresh_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- hello_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_neighbors_create(self, neighbors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbors (neighbor_ip_addr):
				neighbor_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbors=neighbors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_neighbors_delete(self, neighbors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbors (neighbor_ip_addr):
				neighbor_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbors=neighbors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_neighbors_update(self, neighbors=None, neighbor_interface=None, neighbor_status=None, neighbor_last_status_change=None, rsvp_hello_tx=None, rsvp_hello_rx=None, refresh_reduction_support=None, msg_id_support=None, active_lsps=None, rsvp_hello_interval=None, rsvp_hello_tolerance=None, neighbor_remote_instance=None, neighbor_local_instance=None, last_hello_rx=None, next_hello_req_tx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbors (neighbor_ip_addr):
				neighbor_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_interface (unicode):

			- neighbor_status (unicode):

			- neighbor_last_status_change (unicode):

			- rsvp_hello_tx (long):
				range - ['0..4294967295']

			- rsvp_hello_rx (long):
				range - ['0..4294967295']

			- refresh_reduction_support (YANGBool):

			- msg_id_support (YANGBool):

			- active_lsps (long):
				range - ['0..4294967295']

			- rsvp_hello_interval (long):
				range - ['0..4294967295']

			- rsvp_hello_tolerance (long):
				range - ['0..4294967295']

			- neighbor_remote_instance (long):
				range - ['0..4294967295']

			- neighbor_local_instance (long):
				range - ['0..4294967295']

			- last_hello_rx (long):
				range - ['0..4294967295']

			- next_hello_req_tx (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbors=neighbors, neighbor_interface=neighbor_interface, neighbor_status=neighbor_status, neighbor_last_status_change=neighbor_last_status_change, rsvp_hello_tx=rsvp_hello_tx, rsvp_hello_rx=rsvp_hello_rx, refresh_reduction_support=refresh_reduction_support, msg_id_support=msg_id_support, active_lsps=active_lsps, rsvp_hello_interval=rsvp_hello_interval, rsvp_hello_tolerance=rsvp_hello_tolerance, neighbor_remote_instance=neighbor_remote_instance, neighbor_local_instance=neighbor_local_instance, last_hello_rx=last_hello_rx, next_hello_req_tx=next_hello_req_tx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_neighbors_get(self, neighbors=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbors (neighbor_ip_addr):
				neighbor_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbors=neighbors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_sessions_create(self, sessions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'sessions', 'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_delete(self, sessions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'sessions', 'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_update(self, sessions=None, session_operational_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

		This Instance Arg(s):
			- session_operational_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'sessions', 'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, session_operational_status=session_operational_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_get(self, sessions=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'sessions', 'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_create(self, sessions=None, psbs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

		This Instance Keyword Arg Tuple:
			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_delete(self, sessions=None, psbs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

		This Instance Keyword Arg Tuple:
			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_update(self, sessions=None, psbs=None, session_name=None, session_type=None, path_operational_status=None, session_in_label=None, session_out_label=None, session_out_interface=None, lsp_id=None, flap_lock=None, path_refresh=None, path_refresh_ttd=None, resv_refresh=None, resv_refresh_ttd=None, tspec_peak=None, tspec_rate=None, tspec_size=None, tspec_minimum=None, tspec_m=None, psb_setup_priority=None, psb_hold_priority=None, session_attribute_all_flags=None, sa_flag_label_recording=None, sa_flag_soft_preemption_desired=None, sa_flag_se_style=None, sa_flag_local_protect=None, sa_flag_bandwidth_protect=None, sa_flag_session_protection_type=None, session_soft_preemption_wait_timer=None, session_preemption_wait_timer=None, frr_detour=None, frr_facility=None, frr_unknown_backup_mode_desired=None, frr_unknown_flags=None, frr_psb_setup_priority=None, frr_psb_hold_priority=None, frr_bandwidth=None, frr_hoplimit=None, frr_facility_method=None, frr_nh_node_protection_available=None, frr_nh_node_protection_in_use=None, frr_nh_link_protection_available=None, frr_nh_link_protection_in_use=None, frr_bandwidth_protection_available=None, frr_lsp_bringup_abandoned=None, frr_updown_transitions=None, frr_retries=None, frr_session_protection_available=None, frr_next_retry=None, frr_cost=None, frr_cspf_group_computation_mode=None, frr_cspf_group_computation_mode_use_bypass_liberal=None, is_downstream_backup_psb=None, is_backup_psb=None, is_upstream_psb=None, is_ps_frr_detour_sent=None, is_ps_frr_backup_sent=None, is_ps_frr_detour_received=None, is_ps_frr_backup_received=None, path_received_from_ip=None, path_received_interface=None, path_received_auth_on=None, path_received_message_id=None, path_downstream_only=None, path_sent_to_ip=None, path_sent_interface=None, path_sent_auth_on=None, path_sent_message_id=None, resv_received_from_ip=None, resv_received_interface=None, resv_received_auth_on=None, resv_received_message_id=None, session_riding_bypass_name=None, session_style=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

		This Instance Keyword Arg Tuple:
			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- session_name (unicode):

			- session_type (unicode):
				enum - [u'egress-detour', u'merged-detour', u'transit-detour', u'bypass-ingress', u'session-type-none', u'merged-backup', u'ingress-detour', u'egress-backup', u'ingress-backup', u'repaired-session']

			- path_operational_status (YANGBool):

			- session_in_label (long):
				range - ['0..4294967295']

			- session_out_label (long):
				range - ['0..4294967295']

			- session_out_interface (unicode):

			- lsp_id (long):
				range - ['0..4294967295']

			- flap_lock (long):
				range - ['0..4294967295']

			- path_refresh (long):
				range - ['0..4294967295']

			- path_refresh_ttd (long):
				range - ['0..4294967295']

			- resv_refresh (long):
				range - ['0..4294967295']

			- resv_refresh_ttd (long):
				range - ['0..4294967295']

			- tspec_peak (long):
				range - ['0..4294967295']

			- tspec_rate (long):
				range - ['0..4294967295']

			- tspec_size (long):
				range - ['0..4294967295']

			- tspec_minimum (long):
				range - ['0..4294967295']

			- tspec_m (long):
				range - ['0..4294967295']

			- psb_setup_priority (int):
				range - ['0..255']

			- psb_hold_priority (int):
				range - ['0..255']

			- session_attribute_all_flags (int):
				range - ['0..255']

			- sa_flag_label_recording (YANGBool):

			- sa_flag_soft_preemption_desired (YANGBool):

			- sa_flag_se_style (YANGBool):

			- sa_flag_local_protect (YANGBool):

			- sa_flag_bandwidth_protect (YANGBool):

			- sa_flag_session_protection_type (unicode):
				enum - [u'session-protection-type-link', u'session-protection-type-node']

			- session_soft_preemption_wait_timer (long):
				range - ['0..4294967295']

			- session_preemption_wait_timer (long):
				range - ['0..4294967295']

			- frr_detour (YANGBool):

			- frr_facility (YANGBool):

			- frr_unknown_backup_mode_desired (YANGBool):

			- frr_unknown_flags (int):
				range - ['0..255']

			- frr_psb_setup_priority (int):
				range - ['0..255']

			- frr_psb_hold_priority (int):
				range - ['0..255']

			- frr_bandwidth (long):
				range - ['0..4294967295']

			- frr_hoplimit (int):
				range - ['0..255']

			- frr_facility_method (unicode):
				enum - [u'frr-method-detour-lsps', u'frr-method-backup-lsps']

			- frr_nh_node_protection_available (YANGBool):

			- frr_nh_node_protection_in_use (YANGBool):

			- frr_nh_link_protection_available (YANGBool):

			- frr_nh_link_protection_in_use (YANGBool):

			- frr_bandwidth_protection_available (YANGBool):

			- frr_lsp_bringup_abandoned (YANGBool):

			- frr_updown_transitions (long):
				range - ['0..4294967295']

			- frr_retries (long):
				range - ['0..4294967295']

			- frr_session_protection_available (YANGBool):

			- frr_next_retry (long):
				range - ['0..4294967295']

			- frr_cost (long):
				range - ['0..4294967295']

			- frr_cspf_group_computation_mode (unicode):
				enum - [u'frr-cspf-group-comp-mode-high-penalty', u'frr-cspf-group-comp-mode-disabled', u'frr-cspf-group-comp-mode-exclude-groups', u'frr-cspf-group-comp-mode-add-penalty']

			- frr_cspf_group_computation_mode_use_bypass_liberal (YANGBool):

			- is_downstream_backup_psb (YANGBool):

			- is_backup_psb (YANGBool):

			- is_upstream_psb (YANGBool):

			- is_ps_frr_detour_sent (YANGBool):

			- is_ps_frr_backup_sent (YANGBool):

			- is_ps_frr_detour_received (YANGBool):

			- is_ps_frr_backup_received (YANGBool):

			- path_received_from_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- path_received_interface (unicode):

			- path_received_auth_on (YANGBool):

			- path_received_message_id (long):
				range - ['0..4294967295']

			- path_downstream_only (YANGBool):

			- path_sent_to_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- path_sent_interface (unicode):

			- path_sent_auth_on (YANGBool):

			- path_sent_message_id (long):
				range - ['0..4294967295']

			- resv_received_from_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resv_received_interface (unicode):

			- resv_received_auth_on (YANGBool):

			- resv_received_message_id (long):
				range - ['0..4294967295']

			- session_riding_bypass_name (unicode):

			- session_style (unicode):
				enum - [u'reservation-style-shared-explicit', u'reservation-style-wildcard-filter', u'reservation-style-unknown', u'reservation-style-fixed-filter']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_name=session_name, session_type=session_type, path_operational_status=path_operational_status, session_in_label=session_in_label, session_out_label=session_out_label, session_out_interface=session_out_interface, lsp_id=lsp_id, flap_lock=flap_lock, path_refresh=path_refresh, path_refresh_ttd=path_refresh_ttd, resv_refresh=resv_refresh, resv_refresh_ttd=resv_refresh_ttd, tspec_peak=tspec_peak, tspec_rate=tspec_rate, tspec_size=tspec_size, tspec_minimum=tspec_minimum, tspec_m=tspec_m, psb_setup_priority=psb_setup_priority, psb_hold_priority=psb_hold_priority, session_attribute_all_flags=session_attribute_all_flags, sa_flag_label_recording=sa_flag_label_recording, sa_flag_soft_preemption_desired=sa_flag_soft_preemption_desired, sa_flag_se_style=sa_flag_se_style, sa_flag_local_protect=sa_flag_local_protect, sa_flag_bandwidth_protect=sa_flag_bandwidth_protect, sa_flag_session_protection_type=sa_flag_session_protection_type, session_soft_preemption_wait_timer=session_soft_preemption_wait_timer, session_preemption_wait_timer=session_preemption_wait_timer, frr_detour=frr_detour, frr_facility=frr_facility, frr_unknown_backup_mode_desired=frr_unknown_backup_mode_desired, frr_unknown_flags=frr_unknown_flags, frr_psb_setup_priority=frr_psb_setup_priority, frr_psb_hold_priority=frr_psb_hold_priority, frr_bandwidth=frr_bandwidth, frr_hoplimit=frr_hoplimit, frr_facility_method=frr_facility_method, frr_nh_node_protection_available=frr_nh_node_protection_available, frr_nh_node_protection_in_use=frr_nh_node_protection_in_use, frr_nh_link_protection_available=frr_nh_link_protection_available, frr_nh_link_protection_in_use=frr_nh_link_protection_in_use, frr_bandwidth_protection_available=frr_bandwidth_protection_available, frr_lsp_bringup_abandoned=frr_lsp_bringup_abandoned, frr_updown_transitions=frr_updown_transitions, frr_retries=frr_retries, frr_session_protection_available=frr_session_protection_available, frr_next_retry=frr_next_retry, frr_cost=frr_cost, frr_cspf_group_computation_mode=frr_cspf_group_computation_mode, frr_cspf_group_computation_mode_use_bypass_liberal=frr_cspf_group_computation_mode_use_bypass_liberal, is_downstream_backup_psb=is_downstream_backup_psb, is_backup_psb=is_backup_psb, is_upstream_psb=is_upstream_psb, is_ps_frr_detour_sent=is_ps_frr_detour_sent, is_ps_frr_backup_sent=is_ps_frr_backup_sent, is_ps_frr_detour_received=is_ps_frr_detour_received, is_ps_frr_backup_received=is_ps_frr_backup_received, path_received_from_ip=path_received_from_ip, path_received_interface=path_received_interface, path_received_auth_on=path_received_auth_on, path_received_message_id=path_received_message_id, path_downstream_only=path_downstream_only, path_sent_to_ip=path_sent_to_ip, path_sent_interface=path_sent_interface, path_sent_auth_on=path_sent_auth_on, path_sent_message_id=path_sent_message_id, resv_received_from_ip=resv_received_from_ip, resv_received_interface=resv_received_interface, resv_received_auth_on=resv_received_auth_on, resv_received_message_id=resv_received_message_id, session_riding_bypass_name=session_riding_bypass_name, session_style=session_style)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_get(self, sessions=None, psbs=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

		This Instance Keyword Arg Tuple:
			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_session_ero_hops_create(self, sessions=None, psbs=None, session_ero_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- session_ero_hops (ip_addr):
				ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_ero_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'session_ero_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_ero_hops=session_ero_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_session_ero_hops_delete(self, sessions=None, psbs=None, session_ero_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- session_ero_hops (ip_addr):
				ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_ero_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'session_ero_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_ero_hops=session_ero_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_session_ero_hops_update(self, sessions=None, psbs=None, session_ero_hops=None, ero_flag_is_strict_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- session_ero_hops (ip_addr):
				ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ero_flag_is_strict_hop (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_ero_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'session_ero_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_ero_hops=session_ero_hops, ero_flag_is_strict_hop=ero_flag_is_strict_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_session_ero_hops_get(self, sessions=None, psbs=None, session_ero_hops=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- session_ero_hops (ip_addr):
				ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_ero_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'session_ero_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_ero_hops=session_ero_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_session_rro_hops_create(self, sessions=None, psbs=None, session_rro_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- session_rro_hops (ip_addr):
				ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_session_rro_hops_delete(self, sessions=None, psbs=None, session_rro_hops=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- session_rro_hops (ip_addr):
				ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_session_rro_hops_update(self, sessions=None, psbs=None, session_rro_hops=None, rro_flag_is_local_protect_available=None, rro_flag_is_local_protect_in_use=None, rro_flag_rro_is_router_id=None, rro_flag_rro_node_protect=None, rro_flag_rro_bandwidth_protect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- session_rro_hops (ip_addr):
				ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- rro_flag_is_local_protect_available (YANGBool):

			- rro_flag_is_local_protect_in_use (YANGBool):

			- rro_flag_rro_is_router_id (YANGBool):

			- rro_flag_rro_node_protect (YANGBool):

			- rro_flag_rro_bandwidth_protect (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_is_local_protect_available=rro_flag_is_local_protect_available, rro_flag_is_local_protect_in_use=rro_flag_is_local_protect_in_use, rro_flag_rro_is_router_id=rro_flag_rro_is_router_id, rro_flag_rro_node_protect=rro_flag_rro_node_protect, rro_flag_rro_bandwidth_protect=rro_flag_rro_bandwidth_protect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_sessions_psbs_session_rro_hops_get(self, sessions=None, psbs=None, session_rro_hops=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- sessions (dest_ip_addr, src_ip_addr, tunnel_id, session_role):
				dest_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				tunnel_id (int):
					range - ['0..65535']

				session_role (unicode):
					enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

			- psbs (path_index):
				path_index (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- session_rro_hops (ip_addr):
				ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_rsvp_statistics_packet_counters_update(self, path_tx=None, resv_tx=None, patherr_tx=None, resverr_tx=None, pathtear_tx=None, resvtear_tx=None, resvconf_tx=None, bundle_tx=None, ack_tx=None, sumrefresh_tx=None, hello_tx=None, path_rx=None, resv_rx=None, patherr_rx=None, resverr_rx=None, pathtear_rx=None, resvtear_rx=None, resvconf_rx=None, bundle_rx=None, ack_rx=None, sumrefresh_rx=None, hello_rx=None, path_tx_since_last_clear=None, resv_tx_since_last_clear=None, patherr_tx_since_last_clear=None, resverr_tx_since_last_clear=None, pathtear_tx_since_last_clear=None, resvtear_tx_since_last_clear=None, resvconf_tx_since_last_clear=None, bundle_tx_since_last_clear=None, ack_tx_since_last_clear=None, sumrefresh_tx_since_last_clear=None, hello_tx_since_last_clear=None, path_rx_since_last_clear=None, resv_rx_since_last_clear=None, patherr_rx_since_last_clear=None, resverr_rx_since_last_clear=None, pathtear_rx_since_last_clear=None, resvtear_rx_since_last_clear=None, resvconf_rx_since_last_clear=None, bundle_rx_since_last_clear=None, ack_rx_since_last_clear=None, sumrefresh_rx_since_last_clear=None, hello_rx_since_last_clear=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_tx (long):
				range - ['0..18446744073709551615']

			- resv_tx (long):
				range - ['0..18446744073709551615']

			- patherr_tx (long):
				range - ['0..18446744073709551615']

			- resverr_tx (long):
				range - ['0..18446744073709551615']

			- pathtear_tx (long):
				range - ['0..18446744073709551615']

			- resvtear_tx (long):
				range - ['0..18446744073709551615']

			- resvconf_tx (long):
				range - ['0..18446744073709551615']

			- bundle_tx (long):
				range - ['0..18446744073709551615']

			- ack_tx (long):
				range - ['0..18446744073709551615']

			- sumrefresh_tx (long):
				range - ['0..18446744073709551615']

			- hello_tx (long):
				range - ['0..18446744073709551615']

			- path_rx (long):
				range - ['0..18446744073709551615']

			- resv_rx (long):
				range - ['0..18446744073709551615']

			- patherr_rx (long):
				range - ['0..18446744073709551615']

			- resverr_rx (long):
				range - ['0..18446744073709551615']

			- pathtear_rx (long):
				range - ['0..18446744073709551615']

			- resvtear_rx (long):
				range - ['0..18446744073709551615']

			- resvconf_rx (long):
				range - ['0..18446744073709551615']

			- bundle_rx (long):
				range - ['0..18446744073709551615']

			- ack_rx (long):
				range - ['0..18446744073709551615']

			- sumrefresh_rx (long):
				range - ['0..18446744073709551615']

			- hello_rx (long):
				range - ['0..18446744073709551615']

			- path_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- patherr_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resverr_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pathtear_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvtear_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvconf_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- bundle_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- ack_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- sumrefresh_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- hello_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- path_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- patherr_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resverr_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pathtear_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvtear_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvconf_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- bundle_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- ack_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- sumrefresh_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- hello_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_statistics_packet_counters_ack_rx_update(self, path_tx=None, resv_tx=None, patherr_tx=None, resverr_tx=None, pathtear_tx=None, resvtear_tx=None, resvconf_tx=None, bundle_tx=None, ack_tx=None, sumrefresh_tx=None, hello_tx=None, path_rx=None, resv_rx=None, patherr_rx=None, resverr_rx=None, pathtear_rx=None, resvtear_rx=None, resvconf_rx=None, bundle_rx=None, ack_rx=None, sumrefresh_rx=None, hello_rx=None, path_tx_since_last_clear=None, resv_tx_since_last_clear=None, patherr_tx_since_last_clear=None, resverr_tx_since_last_clear=None, pathtear_tx_since_last_clear=None, resvtear_tx_since_last_clear=None, resvconf_tx_since_last_clear=None, bundle_tx_since_last_clear=None, ack_tx_since_last_clear=None, sumrefresh_tx_since_last_clear=None, hello_tx_since_last_clear=None, path_rx_since_last_clear=None, resv_rx_since_last_clear=None, patherr_rx_since_last_clear=None, resverr_rx_since_last_clear=None, pathtear_rx_since_last_clear=None, resvtear_rx_since_last_clear=None, resvconf_rx_since_last_clear=None, bundle_rx_since_last_clear=None, ack_rx_since_last_clear=None, sumrefresh_rx_since_last_clear=None, hello_rx_since_last_clear=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_tx (long):
				range - ['0..18446744073709551615']

			- resv_tx (long):
				range - ['0..18446744073709551615']

			- patherr_tx (long):
				range - ['0..18446744073709551615']

			- resverr_tx (long):
				range - ['0..18446744073709551615']

			- pathtear_tx (long):
				range - ['0..18446744073709551615']

			- resvtear_tx (long):
				range - ['0..18446744073709551615']

			- resvconf_tx (long):
				range - ['0..18446744073709551615']

			- bundle_tx (long):
				range - ['0..18446744073709551615']

			- ack_tx (long):
				range - ['0..18446744073709551615']

			- sumrefresh_tx (long):
				range - ['0..18446744073709551615']

			- hello_tx (long):
				range - ['0..18446744073709551615']

			- path_rx (long):
				range - ['0..18446744073709551615']

			- resv_rx (long):
				range - ['0..18446744073709551615']

			- patherr_rx (long):
				range - ['0..18446744073709551615']

			- resverr_rx (long):
				range - ['0..18446744073709551615']

			- pathtear_rx (long):
				range - ['0..18446744073709551615']

			- resvtear_rx (long):
				range - ['0..18446744073709551615']

			- resvconf_rx (long):
				range - ['0..18446744073709551615']

			- bundle_rx (long):
				range - ['0..18446744073709551615']

			- ack_rx (long):
				range - ['0..18446744073709551615']

			- sumrefresh_rx (long):
				range - ['0..18446744073709551615']

			- hello_rx (long):
				range - ['0..18446744073709551615']

			- path_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- patherr_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resverr_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pathtear_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvtear_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvconf_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- bundle_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- ack_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- sumrefresh_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- hello_tx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- path_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- patherr_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resverr_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pathtear_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvtear_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvconf_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- bundle_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- ack_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- sumrefresh_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- hello_rx_since_last_clear (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_statistics_packet_error_counters_update(self, rx_pkt_bad_length=None, rx_pkt_unknown_type=None, rx_pkt_bad_version=None, rx_pkt_bad_checksum=None, mem_alloc_fail=None, rx_md5_auth_error=None, path_state_timeout=None, resv_state_timeout=None, pkt_with_msg_id_drop=None, pkt_with_sref_drop=None, rx_pkt_bad_length_since_last_clear=None, rx_pkt_unknown_type_since_last_clear=None, rx_pkt_bad_version_since_last_clear=None, rx_pkt_bad_checksum_since_last_clear=None, mem_alloc_fail_since_last_clear=None, rx_md5_auth_error_since_last_clear=None, path_state_timeout_since_last_clear=None, resv_state_timeout_since_last_clear=None, pkt_with_msg_id_drop_since_last_clear=None, pkt_with_sref_drop_since_last_clear=None, path_errors=None, resv_errors=None, patherr_errors=None, resverr_errors=None, pathtear_errors=None, resvtear_errors=None, resvconf_errors=None, bundle_errors=None, ack_errors=None, sumrefresh_errors=None, hello_errors=None, nackobject_errors=None, path_errors_since_last_clear=None, resv_errors_since_last_clear=None, patherr_errors_since_last_clear=None, resverr_errors_since_last_clear=None, pathtear_errors_since_last_clear=None, resvtear_errors_since_last_clear=None, resvconf_errors_since_last_clear=None, bundle_errors_since_last_clear=None, ack_errors_since_last_clear=None, sumrefresh_errors_since_last_clear=None, hello_errors_since_last_clear=None, nackobject_errors_since_last_clear=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rx_pkt_bad_length (long):
				range - ['0..18446744073709551615']

			- rx_pkt_unknown_type (long):
				range - ['0..18446744073709551615']

			- rx_pkt_bad_version (long):
				range - ['0..18446744073709551615']

			- rx_pkt_bad_checksum (long):
				range - ['0..18446744073709551615']

			- mem_alloc_fail (long):
				range - ['0..18446744073709551615']

			- rx_md5_auth_error (long):
				range - ['0..18446744073709551615']

			- path_state_timeout (long):
				range - ['0..18446744073709551615']

			- resv_state_timeout (long):
				range - ['0..18446744073709551615']

			- pkt_with_msg_id_drop (long):
				range - ['0..18446744073709551615']

			- pkt_with_sref_drop (long):
				range - ['0..18446744073709551615']

			- rx_pkt_bad_length_since_last_clear (long):
				range - ['0..18446744073709551615']

			- rx_pkt_unknown_type_since_last_clear (long):
				range - ['0..18446744073709551615']

			- rx_pkt_bad_version_since_last_clear (long):
				range - ['0..18446744073709551615']

			- rx_pkt_bad_checksum_since_last_clear (long):
				range - ['0..18446744073709551615']

			- mem_alloc_fail_since_last_clear (long):
				range - ['0..18446744073709551615']

			- rx_md5_auth_error_since_last_clear (long):
				range - ['0..18446744073709551615']

			- path_state_timeout_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_state_timeout_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pkt_with_msg_id_drop_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pkt_with_sref_drop_since_last_clear (long):
				range - ['0..18446744073709551615']

			- path_errors (long):
				range - ['0..18446744073709551615']

			- resv_errors (long):
				range - ['0..18446744073709551615']

			- patherr_errors (long):
				range - ['0..18446744073709551615']

			- resverr_errors (long):
				range - ['0..18446744073709551615']

			- pathtear_errors (long):
				range - ['0..18446744073709551615']

			- resvtear_errors (long):
				range - ['0..18446744073709551615']

			- resvconf_errors (long):
				range - ['0..18446744073709551615']

			- bundle_errors (long):
				range - ['0..18446744073709551615']

			- ack_errors (long):
				range - ['0..18446744073709551615']

			- sumrefresh_errors (long):
				range - ['0..18446744073709551615']

			- hello_errors (long):
				range - ['0..18446744073709551615']

			- nackobject_errors (long):
				range - ['0..18446744073709551615']

			- path_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- patherr_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resverr_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pathtear_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvtear_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvconf_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- bundle_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- ack_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- sumrefresh_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- hello_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- nackobject_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx_pkt_bad_length=rx_pkt_bad_length, rx_pkt_unknown_type=rx_pkt_unknown_type, rx_pkt_bad_version=rx_pkt_bad_version, rx_pkt_bad_checksum=rx_pkt_bad_checksum, mem_alloc_fail=mem_alloc_fail, rx_md5_auth_error=rx_md5_auth_error, path_state_timeout=path_state_timeout, resv_state_timeout=resv_state_timeout, pkt_with_msg_id_drop=pkt_with_msg_id_drop, pkt_with_sref_drop=pkt_with_sref_drop, rx_pkt_bad_length_since_last_clear=rx_pkt_bad_length_since_last_clear, rx_pkt_unknown_type_since_last_clear=rx_pkt_unknown_type_since_last_clear, rx_pkt_bad_version_since_last_clear=rx_pkt_bad_version_since_last_clear, rx_pkt_bad_checksum_since_last_clear=rx_pkt_bad_checksum_since_last_clear, mem_alloc_fail_since_last_clear=mem_alloc_fail_since_last_clear, rx_md5_auth_error_since_last_clear=rx_md5_auth_error_since_last_clear, path_state_timeout_since_last_clear=path_state_timeout_since_last_clear, resv_state_timeout_since_last_clear=resv_state_timeout_since_last_clear, pkt_with_msg_id_drop_since_last_clear=pkt_with_msg_id_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, path_errors=path_errors, resv_errors=resv_errors, patherr_errors=patherr_errors, resverr_errors=resverr_errors, pathtear_errors=pathtear_errors, resvtear_errors=resvtear_errors, resvconf_errors=resvconf_errors, bundle_errors=bundle_errors, ack_errors=ack_errors, sumrefresh_errors=sumrefresh_errors, hello_errors=hello_errors, nackobject_errors=nackobject_errors, path_errors_since_last_clear=path_errors_since_last_clear, resv_errors_since_last_clear=resv_errors_since_last_clear, patherr_errors_since_last_clear=patherr_errors_since_last_clear, resverr_errors_since_last_clear=resverr_errors_since_last_clear, pathtear_errors_since_last_clear=pathtear_errors_since_last_clear, resvtear_errors_since_last_clear=resvtear_errors_since_last_clear, resvconf_errors_since_last_clear=resvconf_errors_since_last_clear, bundle_errors_since_last_clear=bundle_errors_since_last_clear, ack_errors_since_last_clear=ack_errors_since_last_clear, sumrefresh_errors_since_last_clear=sumrefresh_errors_since_last_clear, hello_errors_since_last_clear=hello_errors_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_rsvp_statistics_packet_error_counters_ack_errors_update(self, rx_pkt_bad_length=None, rx_pkt_unknown_type=None, rx_pkt_bad_version=None, rx_pkt_bad_checksum=None, mem_alloc_fail=None, rx_md5_auth_error=None, path_state_timeout=None, resv_state_timeout=None, pkt_with_msg_id_drop=None, pkt_with_sref_drop=None, rx_pkt_bad_length_since_last_clear=None, rx_pkt_unknown_type_since_last_clear=None, rx_pkt_bad_version_since_last_clear=None, rx_pkt_bad_checksum_since_last_clear=None, mem_alloc_fail_since_last_clear=None, rx_md5_auth_error_since_last_clear=None, path_state_timeout_since_last_clear=None, resv_state_timeout_since_last_clear=None, pkt_with_msg_id_drop_since_last_clear=None, pkt_with_sref_drop_since_last_clear=None, path_errors=None, resv_errors=None, patherr_errors=None, resverr_errors=None, pathtear_errors=None, resvtear_errors=None, resvconf_errors=None, bundle_errors=None, ack_errors=None, sumrefresh_errors=None, hello_errors=None, nackobject_errors=None, path_errors_since_last_clear=None, resv_errors_since_last_clear=None, patherr_errors_since_last_clear=None, resverr_errors_since_last_clear=None, pathtear_errors_since_last_clear=None, resvtear_errors_since_last_clear=None, resvconf_errors_since_last_clear=None, bundle_errors_since_last_clear=None, ack_errors_since_last_clear=None, sumrefresh_errors_since_last_clear=None, hello_errors_since_last_clear=None, nackobject_errors_since_last_clear=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rx_pkt_bad_length (long):
				range - ['0..18446744073709551615']

			- rx_pkt_unknown_type (long):
				range - ['0..18446744073709551615']

			- rx_pkt_bad_version (long):
				range - ['0..18446744073709551615']

			- rx_pkt_bad_checksum (long):
				range - ['0..18446744073709551615']

			- mem_alloc_fail (long):
				range - ['0..18446744073709551615']

			- rx_md5_auth_error (long):
				range - ['0..18446744073709551615']

			- path_state_timeout (long):
				range - ['0..18446744073709551615']

			- resv_state_timeout (long):
				range - ['0..18446744073709551615']

			- pkt_with_msg_id_drop (long):
				range - ['0..18446744073709551615']

			- pkt_with_sref_drop (long):
				range - ['0..18446744073709551615']

			- rx_pkt_bad_length_since_last_clear (long):
				range - ['0..18446744073709551615']

			- rx_pkt_unknown_type_since_last_clear (long):
				range - ['0..18446744073709551615']

			- rx_pkt_bad_version_since_last_clear (long):
				range - ['0..18446744073709551615']

			- rx_pkt_bad_checksum_since_last_clear (long):
				range - ['0..18446744073709551615']

			- mem_alloc_fail_since_last_clear (long):
				range - ['0..18446744073709551615']

			- rx_md5_auth_error_since_last_clear (long):
				range - ['0..18446744073709551615']

			- path_state_timeout_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_state_timeout_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pkt_with_msg_id_drop_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pkt_with_sref_drop_since_last_clear (long):
				range - ['0..18446744073709551615']

			- path_errors (long):
				range - ['0..18446744073709551615']

			- resv_errors (long):
				range - ['0..18446744073709551615']

			- patherr_errors (long):
				range - ['0..18446744073709551615']

			- resverr_errors (long):
				range - ['0..18446744073709551615']

			- pathtear_errors (long):
				range - ['0..18446744073709551615']

			- resvtear_errors (long):
				range - ['0..18446744073709551615']

			- resvconf_errors (long):
				range - ['0..18446744073709551615']

			- bundle_errors (long):
				range - ['0..18446744073709551615']

			- ack_errors (long):
				range - ['0..18446744073709551615']

			- sumrefresh_errors (long):
				range - ['0..18446744073709551615']

			- hello_errors (long):
				range - ['0..18446744073709551615']

			- nackobject_errors (long):
				range - ['0..18446744073709551615']

			- path_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resv_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- patherr_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resverr_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- pathtear_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvtear_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- resvconf_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- bundle_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- ack_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- sumrefresh_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- hello_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- nackobject_errors_since_last_clear (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx_pkt_bad_length=rx_pkt_bad_length, rx_pkt_unknown_type=rx_pkt_unknown_type, rx_pkt_bad_version=rx_pkt_bad_version, rx_pkt_bad_checksum=rx_pkt_bad_checksum, mem_alloc_fail=mem_alloc_fail, rx_md5_auth_error=rx_md5_auth_error, path_state_timeout=path_state_timeout, resv_state_timeout=resv_state_timeout, pkt_with_msg_id_drop=pkt_with_msg_id_drop, pkt_with_sref_drop=pkt_with_sref_drop, rx_pkt_bad_length_since_last_clear=rx_pkt_bad_length_since_last_clear, rx_pkt_unknown_type_since_last_clear=rx_pkt_unknown_type_since_last_clear, rx_pkt_bad_version_since_last_clear=rx_pkt_bad_version_since_last_clear, rx_pkt_bad_checksum_since_last_clear=rx_pkt_bad_checksum_since_last_clear, mem_alloc_fail_since_last_clear=mem_alloc_fail_since_last_clear, rx_md5_auth_error_since_last_clear=rx_md5_auth_error_since_last_clear, path_state_timeout_since_last_clear=path_state_timeout_since_last_clear, resv_state_timeout_since_last_clear=resv_state_timeout_since_last_clear, pkt_with_msg_id_drop_since_last_clear=pkt_with_msg_id_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, path_errors=path_errors, resv_errors=resv_errors, patherr_errors=patherr_errors, resverr_errors=resverr_errors, pathtear_errors=pathtear_errors, resvtear_errors=resvtear_errors, resvconf_errors=resvconf_errors, bundle_errors=bundle_errors, ack_errors=ack_errors, sumrefresh_errors=sumrefresh_errors, hello_errors=hello_errors, nackobject_errors=nackobject_errors, path_errors_since_last_clear=path_errors_since_last_clear, resv_errors_since_last_clear=resv_errors_since_last_clear, patherr_errors_since_last_clear=patherr_errors_since_last_clear, resverr_errors_since_last_clear=resverr_errors_since_last_clear, pathtear_errors_since_last_clear=pathtear_errors_since_last_clear, resvtear_errors_since_last_clear=resvtear_errors_since_last_clear, resvconf_errors_since_last_clear=resvconf_errors_since_last_clear, bundle_errors_since_last_clear=bundle_errors_since_last_clear, ack_errors_since_last_clear=ack_errors_since_last_clear, sumrefresh_errors_since_last_clear=sumrefresh_errors_since_last_clear, hello_errors_since_last_clear=hello_errors_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_statistics_oam_update(self, usr_ping_count=None, usr_traceroute_count=None, echo_req_sent_count=None, echo_req_received_count=None, echo_req_timeout_count=None, echo_resp_sent_count=None, echo_resp_received_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- usr_ping_count (long):
				range - ['0..4294967295']

			- usr_traceroute_count (long):
				range - ['0..4294967295']

			- echo_req_sent_count (long):
				range - ['0..4294967295']

			- echo_req_received_count (long):
				range - ['0..4294967295']

			- echo_req_timeout_count (long):
				range - ['0..4294967295']

			- echo_resp_sent_count (long):
				range - ['0..4294967295']

			- echo_resp_received_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, usr_ping_count=usr_ping_count, usr_traceroute_count=usr_traceroute_count, echo_req_sent_count=echo_req_sent_count, echo_req_received_count=echo_req_received_count, echo_req_timeout_count=echo_req_timeout_count, echo_resp_sent_count=echo_resp_sent_count, echo_resp_received_count=echo_resp_received_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_statistics_oam_echo_req_received_count_update(self, usr_ping_count=None, usr_traceroute_count=None, echo_req_sent_count=None, echo_req_received_count=None, echo_req_timeout_count=None, echo_resp_sent_count=None, echo_resp_received_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- usr_ping_count (long):
				range - ['0..4294967295']

			- usr_traceroute_count (long):
				range - ['0..4294967295']

			- echo_req_sent_count (long):
				range - ['0..4294967295']

			- echo_req_received_count (long):
				range - ['0..4294967295']

			- echo_req_timeout_count (long):
				range - ['0..4294967295']

			- echo_resp_sent_count (long):
				range - ['0..4294967295']

			- echo_resp_received_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, usr_ping_count=usr_ping_count, usr_traceroute_count=usr_traceroute_count, echo_req_sent_count=echo_req_sent_count, echo_req_received_count=echo_req_received_count, echo_req_timeout_count=echo_req_timeout_count, echo_resp_sent_count=echo_resp_sent_count, echo_resp_received_count=echo_resp_received_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_statistics_oam_return_codes_create(self, return_codes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- return_codes (number):
				number (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'return_codes', 'keyval': 'number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, return_codes=return_codes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_statistics_oam_return_codes_delete(self, return_codes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- return_codes (number):
				number (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'return_codes', 'keyval': 'number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, return_codes=return_codes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_statistics_oam_return_codes_update(self, return_codes=None, name=None, tx_count=None, rx_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- return_codes (number):
				number (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- name (unicode):

			- tx_count (long):
				range - ['0..4294967295']

			- rx_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'return_codes', 'keyval': 'number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, return_codes=return_codes, name=name, tx_count=tx_count, rx_count=rx_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_statistics_oam_return_codes_get(self, return_codes=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- return_codes (number):
				number (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'return_codes', 'keyval': 'number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, return_codes=return_codes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_summary_update(self, paths_configured=None, lsps_configured=None, lsps_enabled=None, lsps_operational=None, detour_lsps_up=None, backup_lsps_up=None, bypass_lsps=None, bypass_lsps_up=None, bypass_lsps_enabled=None, ldp_lsps_operational=None, transit_lsps_configured=None, transit_lsps_enabled=None, transit_lsps_operational=None, cspf_groups_configured=None, tunnels_supported=None, tunnels_allocated=None, cross_connects_supported=None, cross_connects_allocated=None, auto_bw_templates_supported=None, auto_bw_templates_configured=None, times_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- paths_configured (long):
				range - ['0..4294967295']

			- lsps_configured (long):
				range - ['0..4294967295']

			- lsps_enabled (long):
				range - ['0..4294967295']

			- lsps_operational (long):
				range - ['0..4294967295']

			- detour_lsps_up (long):
				range - ['0..4294967295']

			- backup_lsps_up (long):
				range - ['0..4294967295']

			- bypass_lsps (long):
				range - ['0..4294967295']

			- bypass_lsps_up (long):
				range - ['0..4294967295']

			- bypass_lsps_enabled (long):
				range - ['0..4294967295']

			- ldp_lsps_operational (long):
				range - ['0..4294967295']

			- transit_lsps_configured (long):
				range - ['0..4294967295']

			- transit_lsps_enabled (long):
				range - ['0..4294967295']

			- transit_lsps_operational (long):
				range - ['0..4294967295']

			- cspf_groups_configured (long):
				range - ['0..4294967295']

			- tunnels_supported (long):
				range - ['0..4294967295']

			- tunnels_allocated (long):
				range - ['0..4294967295']

			- cross_connects_supported (long):
				range - ['0..4294967295']

			- cross_connects_allocated (long):
				range - ['0..4294967295']

			- auto_bw_templates_supported (long):
				range - ['0..4294967295']

			- auto_bw_templates_configured (long):
				range - ['0..4294967295']

			- times_enabled (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lsps_up=bypass_lsps_up, bypass_lsps_enabled=bypass_lsps_enabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, auto_bw_templates_supported=auto_bw_templates_supported, auto_bw_templates_configured=auto_bw_templates_configured, times_enabled=times_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_summary_auto_bw_templates_configured_update(self, paths_configured=None, lsps_configured=None, lsps_enabled=None, lsps_operational=None, detour_lsps_up=None, backup_lsps_up=None, bypass_lsps=None, bypass_lsps_up=None, bypass_lsps_enabled=None, ldp_lsps_operational=None, transit_lsps_configured=None, transit_lsps_enabled=None, transit_lsps_operational=None, cspf_groups_configured=None, tunnels_supported=None, tunnels_allocated=None, cross_connects_supported=None, cross_connects_allocated=None, auto_bw_templates_supported=None, auto_bw_templates_configured=None, times_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- paths_configured (long):
				range - ['0..4294967295']

			- lsps_configured (long):
				range - ['0..4294967295']

			- lsps_enabled (long):
				range - ['0..4294967295']

			- lsps_operational (long):
				range - ['0..4294967295']

			- detour_lsps_up (long):
				range - ['0..4294967295']

			- backup_lsps_up (long):
				range - ['0..4294967295']

			- bypass_lsps (long):
				range - ['0..4294967295']

			- bypass_lsps_up (long):
				range - ['0..4294967295']

			- bypass_lsps_enabled (long):
				range - ['0..4294967295']

			- ldp_lsps_operational (long):
				range - ['0..4294967295']

			- transit_lsps_configured (long):
				range - ['0..4294967295']

			- transit_lsps_enabled (long):
				range - ['0..4294967295']

			- transit_lsps_operational (long):
				range - ['0..4294967295']

			- cspf_groups_configured (long):
				range - ['0..4294967295']

			- tunnels_supported (long):
				range - ['0..4294967295']

			- tunnels_allocated (long):
				range - ['0..4294967295']

			- cross_connects_supported (long):
				range - ['0..4294967295']

			- cross_connects_allocated (long):
				range - ['0..4294967295']

			- auto_bw_templates_supported (long):
				range - ['0..4294967295']

			- auto_bw_templates_configured (long):
				range - ['0..4294967295']

			- times_enabled (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lsps_up=bypass_lsps_up, bypass_lsps_enabled=bypass_lsps_enabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, auto_bw_templates_supported=auto_bw_templates_supported, auto_bw_templates_configured=auto_bw_templates_configured, times_enabled=times_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_update(self, ospf_te_enabled=None, isis_te_enabled=None, ospf_area_id=None, isis_level_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_te_enabled (YANGBool):

			- isis_te_enabled (YANGBool):

			- ospf_area_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- isis_level_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_te_enabled=ospf_te_enabled, isis_te_enabled=isis_te_enabled, ospf_area_id=ospf_area_id, isis_level_id=isis_level_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_update(self, router_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- router_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id=router_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_create(self, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_delete(self, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_update(self, area=None, igp_isis=None, igp_ospf=None, host_name=None, router_id=None, total_network_nodes=None, total_router_nodes=None, total_p2p_links=None, total_p2mp_links=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- igp_isis (YANGBool):

			- igp_ospf (YANGBool):

			- host_name (unicode):

			- router_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- total_network_nodes (long):
				range - ['0..4294967295']

			- total_router_nodes (long):
				range - ['0..4294967295']

			- total_p2p_links (long):
				range - ['0..4294967295']

			- total_p2mp_links (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, igp_isis=igp_isis, igp_ospf=igp_ospf, host_name=host_name, router_id=router_id, total_network_nodes=total_network_nodes, total_router_nodes=total_router_nodes, total_p2p_links=total_p2p_links, total_p2mp_links=total_p2mp_links)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_get(self, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_te_database_area_node_create(self, area=None, node=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_delete(self, area=None, node=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_update(self, area=None, node=None, igp_isis=None, igp_ospf=None, area_id=None, level_id=None, router=None, network=None, host_name=None, gen_code=None, lsa_id=None, total_p2p_links=None, total_p2mp_links=None, overloaded=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- igp_isis (YANGBool):

			- igp_ospf (YANGBool):

			- area_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- level_id (long):
				range - ['0..4294967295']

			- router (YANGBool):

			- network (YANGBool):

			- host_name (unicode):

			- gen_code (long):
				range - ['0..4294967295']

			- lsa_id (long):
				range - ['0..4294967295']

			- total_p2p_links (long):
				range - ['0..4294967295']

			- total_p2mp_links (long):
				range - ['0..4294967295']

			- overloaded (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, igp_isis=igp_isis, igp_ospf=igp_ospf, area_id=area_id, level_id=level_id, router=router, network=network, host_name=host_name, gen_code=gen_code, lsa_id=lsa_id, total_p2p_links=total_p2p_links, total_p2mp_links=total_p2mp_links, overloaded=overloaded)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_get(self, area=None, node=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_te_database_area_node_link_create(self, area=None, node=None, link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- link (local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip):
				local_node_id (unicode):

				remote_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				local_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, link=link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_link_delete(self, area=None, node=None, link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- link (local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip):
				local_node_id (unicode):

				remote_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				local_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, link=link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_link_update(self, area=None, node=None, link=None, igp_isis=None, igp_ospf=None, area_id=None, level_id=None, local_host_name=None, remote_host_name=None, router=None, network=None, p2p=None, p2mp=None, gen_code=None, lsa_id=None, pending_delete=None, igp_metric=None, te_metric=None, admin_group=None, max_bandwidth=None, max_reservable_bandwidth=None, unreserved_priority_0_bandwidth=None, unreserved_priority_1_bandwidth=None, unreserved_priority_2_bandwidth=None, unreserved_priority_3_bandwidth=None, unreserved_priority_4_bandwidth=None, unreserved_priority_5_bandwidth=None, unreserved_priority_6_bandwidth=None, unreserved_priority_7_bandwidth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- link (local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip):
				local_node_id (unicode):

				remote_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				local_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- igp_isis (YANGBool):

			- igp_ospf (YANGBool):

			- area_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- level_id (long):
				range - ['0..4294967295']

			- local_host_name (unicode):

			- remote_host_name (unicode):

			- router (YANGBool):

			- network (YANGBool):

			- p2p (YANGBool):

			- p2mp (YANGBool):

			- gen_code (long):
				range - ['0..4294967295']

			- lsa_id (long):
				range - ['0..4294967295']

			- pending_delete (long):
				range - ['0..4294967295']

			- igp_metric (long):
				range - ['0..4294967295']

			- te_metric (long):
				range - ['0..4294967295']

			- admin_group (long):
				range - ['0..4294967295']

			- max_bandwidth (long):
				range - ['0..4294967295']

			- max_reservable_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_0_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_1_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_2_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_3_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_4_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_5_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_6_bandwidth (long):
				range - ['0..4294967295']

			- unreserved_priority_7_bandwidth (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, link=link, igp_isis=igp_isis, igp_ospf=igp_ospf, area_id=area_id, level_id=level_id, local_host_name=local_host_name, remote_host_name=remote_host_name, router=router, network=network, p2p=p2p, p2mp=p2mp, gen_code=gen_code, lsa_id=lsa_id, pending_delete=pending_delete, igp_metric=igp_metric, te_metric=te_metric, admin_group=admin_group, max_bandwidth=max_bandwidth, max_reservable_bandwidth=max_reservable_bandwidth, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_link_get(self, area=None, node=None, link=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- link (local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip):
				local_node_id (unicode):

				remote_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				local_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, link=link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_te_database_area_node_link_srlg_create(self, area=None, node=None, link=None, srlg=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- link (local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip):
				local_node_id (unicode):

				remote_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				local_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- srlg (name):
				name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', u'link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, link=link, srlg=srlg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_link_srlg_delete(self, area=None, node=None, link=None, srlg=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- link (local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip):
				local_node_id (unicode):

				remote_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				local_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- srlg (name):
				name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', u'link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, link=link, srlg=srlg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_link_srlg_update(self, area=None, node=None, link=None, srlg=None, penalty=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- link (local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip):
				local_node_id (unicode):

				remote_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				local_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- srlg (name):
				name (unicode):

		This Instance Arg(s):
			- penalty (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', u'link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, link=link, srlg=srlg, penalty=penalty)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_link_srlg_get(self, area=None, node=None, link=None, srlg=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- link (local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip):
				local_node_id (unicode):

				remote_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				local_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				remote_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- srlg (name):
				name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', u'link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, link=link, srlg=srlg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_te_database_area_node_srlg_create(self, area=None, node=None, srlg=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- srlg (name):
				name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, srlg=srlg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_srlg_delete(self, area=None, node=None, srlg=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- srlg (name):
				name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, srlg=srlg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_srlg_update(self, area=None, node=None, srlg=None, penalty=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- srlg (name):
				name (unicode):

		This Instance Arg(s):
			- penalty (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, srlg=srlg, penalty=penalty)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_database_area_node_srlg_get(self, area=None, node=None, srlg=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- area (area_id, level_id):
				area_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				level_id (long):
					range - ['0..4294967295']

			- node (local_node_id, local_router_id):
				local_node_id (unicode):

				local_router_id (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- srlg (name):
				name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, srlg=srlg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_te_database_router_id_update(self, router_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- router_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id=router_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_isis_level_id_update(self, ospf_te_enabled=None, isis_te_enabled=None, ospf_area_id=None, isis_level_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_te_enabled (YANGBool):

			- isis_te_enabled (YANGBool):

			- ospf_area_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- isis_level_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_te_enabled=ospf_te_enabled, isis_te_enabled=isis_te_enabled, ospf_area_id=ospf_area_id, isis_level_id=isis_level_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_router_id_map_create(self, router_id_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- router_id_map (ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id_map=router_id_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_router_id_map_delete(self, router_id_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- router_id_map (ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id_map=router_id_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_router_id_map_update(self, router_id_map=None, router_id=None, resolved=None, igp_isis=None, igp_ospf=None, isis_level=None, ospf_area=None, origin_ted=None, origin_path=None, origin_lsp=None, origin_other=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- router_id_map (ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- router_id (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resolved (YANGBool):

			- igp_isis (YANGBool):

			- igp_ospf (YANGBool):

			- isis_level (long):
				range - ['0..4294967295']

			- ospf_area (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- origin_ted (YANGBool):

			- origin_path (long):
				range - ['0..4294967295']

			- origin_lsp (long):
				range - ['0..4294967295']

			- origin_other (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id_map=router_id_map, router_id=router_id, resolved=resolved, igp_isis=igp_isis, igp_ospf=igp_ospf, isis_level=isis_level, ospf_area=ospf_area, origin_ted=origin_ted, origin_path=origin_path, origin_lsp=origin_lsp, origin_other=origin_other)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_te_router_id_map_get(self, router_id_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- router_id_map (ip_address):
				ip_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id_map=router_id_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_transit_traffic_statistics_create(self, transit_traffic_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- transit_traffic_statistics (in_label):
				in_label (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'transit_traffic_statistics', 'keyval': 'in_label', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, transit_traffic_statistics=transit_traffic_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_transit_traffic_statistics_delete(self, transit_traffic_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- transit_traffic_statistics (in_label):
				in_label (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'transit_traffic_statistics', 'keyval': 'in_label', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, transit_traffic_statistics=transit_traffic_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_transit_traffic_statistics_update(self, transit_traffic_statistics=None, protocol=None, statistics_valid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- transit_traffic_statistics (in_label):
				in_label (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- protocol (unicode):
				enum - [u'mpls-protocol-none', u'mpls-protocol-ldp', u'mpls-protocol-rsvp']

			- statistics_valid (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'transit_traffic_statistics', 'keyval': 'in_label', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, transit_traffic_statistics=transit_traffic_statistics, protocol=protocol, statistics_valid=statistics_valid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_transit_traffic_statistics_get(self, transit_traffic_statistics=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- transit_traffic_statistics (in_label):
				in_label (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'transit_traffic_statistics', 'keyval': 'in_label', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, transit_traffic_statistics=transit_traffic_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_transit_traffic_statistics_statistics_update(self, transit_traffic_statistics=None, number_of_packets=None, number_of_packets_since_clear=None, number_of_bytes=None, number_of_bytes_since_clear=None, packets_per_second=None, bytes_per_second=None, averaging_interval_seconds=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- transit_traffic_statistics (in_label):
				in_label (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- number_of_packets (long):
				range - ['0..18446744073709551615']

			- number_of_packets_since_clear (long):
				range - ['0..18446744073709551615']

			- number_of_bytes (long):
				range - ['0..18446744073709551615']

			- number_of_bytes_since_clear (long):
				range - ['0..18446744073709551615']

			- packets_per_second (long):
				range - ['0..18446744073709551615']

			- bytes_per_second (long):
				range - ['0..18446744073709551615']

			- averaging_interval_seconds (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, transit_traffic_statistics=transit_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_transit_traffic_statistics_statistics_averaging_interval_seconds_update(self, transit_traffic_statistics=None, number_of_packets=None, number_of_packets_since_clear=None, number_of_bytes=None, number_of_bytes_since_clear=None, packets_per_second=None, bytes_per_second=None, averaging_interval_seconds=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- transit_traffic_statistics (in_label):
				in_label (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- number_of_packets (long):
				range - ['0..18446744073709551615']

			- number_of_packets_since_clear (long):
				range - ['0..18446744073709551615']

			- number_of_bytes (long):
				range - ['0..18446744073709551615']

			- number_of_bytes_since_clear (long):
				range - ['0..18446744073709551615']

			- packets_per_second (long):
				range - ['0..18446744073709551615']

			- bytes_per_second (long):
				range - ['0..18446744073709551615']

			- averaging_interval_seconds (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, transit_traffic_statistics=transit_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_tunnel_traffic_statistics_create(self, tunnel_traffic_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tunnel_traffic_statistics (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel_traffic_statistics=tunnel_traffic_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_tunnel_traffic_statistics_delete(self, tunnel_traffic_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tunnel_traffic_statistics (index):
				index (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel_traffic_statistics=tunnel_traffic_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_tunnel_traffic_statistics_update(self, tunnel_traffic_statistics=None, protocol=None, name=None, is_bypass=None, statistics_valid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tunnel_traffic_statistics (index):
				index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- protocol (unicode):
				enum - [u'mpls-protocol-none', u'mpls-protocol-ldp', u'mpls-protocol-rsvp']

			- name (unicode):

			- is_bypass (YANGBool):

			- statistics_valid (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel_traffic_statistics=tunnel_traffic_statistics, protocol=protocol, name=name, is_bypass=is_bypass, statistics_valid=statistics_valid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_tunnel_traffic_statistics_get(self, tunnel_traffic_statistics=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tunnel_traffic_statistics (index):
				index (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel_traffic_statistics=tunnel_traffic_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def mpls_state_tunnel_traffic_statistics_statistics_update(self, tunnel_traffic_statistics=None, number_of_packets=None, number_of_packets_since_clear=None, number_of_bytes=None, number_of_bytes_since_clear=None, packets_per_second=None, bytes_per_second=None, averaging_interval_seconds=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel_traffic_statistics (index):
				index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- number_of_packets (long):
				range - ['0..18446744073709551615']

			- number_of_packets_since_clear (long):
				range - ['0..18446744073709551615']

			- number_of_bytes (long):
				range - ['0..18446744073709551615']

			- number_of_bytes_since_clear (long):
				range - ['0..18446744073709551615']

			- packets_per_second (long):
				range - ['0..18446744073709551615']

			- bytes_per_second (long):
				range - ['0..18446744073709551615']

			- averaging_interval_seconds (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mpls_state_tunnel_traffic_statistics_statistics_averaging_interval_seconds_update(self, tunnel_traffic_statistics=None, number_of_packets=None, number_of_packets_since_clear=None, number_of_bytes=None, number_of_bytes_since_clear=None, packets_per_second=None, bytes_per_second=None, averaging_interval_seconds=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- tunnel_traffic_statistics (index):
				index (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- number_of_packets (long):
				range - ['0..18446744073709551615']

			- number_of_packets_since_clear (long):
				range - ['0..18446744073709551615']

			- number_of_bytes (long):
				range - ['0..18446744073709551615']

			- number_of_bytes_since_clear (long):
				range - ['0..18446744073709551615']

			- packets_per_second (long):
				range - ['0..18446744073709551615']

			- bytes_per_second (long):
				range - ['0..18446744073709551615']

			- averaging_interval_seconds (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def mtu_update(self, global_l2_mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- global_l2_mtu (long):
				yang info - Set L2 mtu value to all interfaces of this cluster
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.global_mtu_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.global_mtu_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_l2_mtu=global_l2_mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nas_auto_qos_set_update(self, cos=None, dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cos (long):
				yang info - Class Of Service
				range - ['0..4294967295']

			- dscp (long):
				yang info - Differentiated Services Code Point
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.nas.auto_qos.set_', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.auto_qos.set_', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.auto_qos.set_', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.auto_qos.set_', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos=cos, dscp=dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nas_auto_qos_set_cos_update(self, cos=None, dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cos (long):
				yang info - Class Of Service
				range - ['0..4294967295']

			- dscp (long):
				yang info - Differentiated Services Code Point
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.nas.auto_qos.set_', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.auto_qos.set_', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.auto_qos.set_', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.auto_qos.set_', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos=cos, dscp=dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nas_server_ip_create(self, server_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- server_ip (server_ip):
				server_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.nas.server_ip', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.server_ip', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.server_ip', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'server_ip', 'keyval': 'server_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_ip=server_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nas_server_ip_delete(self, server_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- server_ip (server_ip):
				server_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.nas.server_ip', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.server_ip', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.server_ip', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'server_ip', 'keyval': 'server_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_ip=server_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nas_server_ip_get(self, server_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- server_ip (server_ip):
				server_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.nas.server_ip', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.server_ip', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.server_ip', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'server_ip', 'keyval': 'server_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_ip=server_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def nas_server_ip_vlan_create(self, server_ip=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- server_ip (server_ip):
				server_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Keyword Arg Tuple:
			- vlan (vlan_number):
				vlan_number (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.nas.server_ip', u'server_ip'), ('pybind.nos.v6_0_2b.nas.server_ip', u'server_ip'), ('pybind.nos.v7_0_1a.nas.server_ip', u'server_ip'), ('pybind.nos.v7_1_0.nas.server_ip', u'server_ip')]
        bindings_list = [('pybind.nos.v6_0_2b.nas.server_ip.vlan', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.server_ip.vlan', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.server_ip.vlan', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip.vlan', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'vlan_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_ip=server_ip, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nas_server_ip_vlan_delete(self, server_ip=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- server_ip (server_ip):
				server_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Keyword Arg Tuple:
			- vlan (vlan_number):
				vlan_number (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.nas.server_ip', u'server_ip'), ('pybind.nos.v6_0_2b.nas.server_ip', u'server_ip'), ('pybind.nos.v7_0_1a.nas.server_ip', u'server_ip'), ('pybind.nos.v7_1_0.nas.server_ip', u'server_ip')]
        bindings_list = [('pybind.nos.v6_0_2b.nas.server_ip.vlan', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.server_ip.vlan', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.server_ip.vlan', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip.vlan', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'vlan_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_ip=server_ip, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nas_server_ip_vlan_get(self, server_ip=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- server_ip (server_ip):
				server_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Keyword Arg Tuple:
			- vlan (vlan_number):
				vlan_number (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.nas.server_ip', u'server_ip'), ('pybind.nos.v6_0_2b.nas.server_ip', u'server_ip'), ('pybind.nos.v7_0_1a.nas.server_ip', u'server_ip'), ('pybind.nos.v7_1_0.nas.server_ip', u'server_ip')]
        bindings_list = [('pybind.nos.v6_0_2b.nas.server_ip.vlan', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.server_ip.vlan', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.server_ip.vlan', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip.vlan', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'vlan_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_ip=server_ip, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def nas_server_ip_vrf_create(self, server_ip=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- server_ip (server_ip):
				server_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.nas.server_ip', u'server_ip'), ('pybind.nos.v7_1_0.nas.server_ip', u'server_ip'), ('pybind.nos.v7_0_1a.nas.server_ip', u'server_ip'), ('pybind.nos.v6_0_2b.nas.server_ip', u'server_ip')]
        bindings_list = [('pybind.nos.v6_0_2b.nas.server_ip.vrf', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.server_ip.vrf', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.server_ip.vrf', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip.vrf', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_ip=server_ip, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nas_server_ip_vrf_delete(self, server_ip=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- server_ip (server_ip):
				server_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.nas.server_ip', u'server_ip'), ('pybind.nos.v7_1_0.nas.server_ip', u'server_ip'), ('pybind.nos.v7_0_1a.nas.server_ip', u'server_ip'), ('pybind.nos.v6_0_2b.nas.server_ip', u'server_ip')]
        bindings_list = [('pybind.nos.v6_0_2b.nas.server_ip.vrf', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.server_ip.vrf', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.server_ip.vrf', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip.vrf', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_ip=server_ip, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nas_server_ip_vrf_get(self, server_ip=None, vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- server_ip (server_ip):
				server_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					length - [u'1..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.nas.server_ip', u'server_ip'), ('pybind.nos.v7_1_0.nas.server_ip', u'server_ip'), ('pybind.nos.v7_0_1a.nas.server_ip', u'server_ip'), ('pybind.nos.v6_0_2b.nas.server_ip', u'server_ip')]
        bindings_list = [('pybind.nos.v6_0_2b.nas.server_ip.vrf', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.server_ip.vrf', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.server_ip.vrf', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip.vrf', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_ip=server_ip, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def nsx_controller_create(self, nsx_controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- nsx_controller (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.nsx_controller', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nsx_controller', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nsx_controller', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'nsx_controller', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsx_controller=nsx_controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nsx_controller_delete(self, nsx_controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- nsx_controller (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.nsx_controller', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nsx_controller', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nsx_controller', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'nsx_controller', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsx_controller=nsx_controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nsx_controller_update(self, nsx_controller=None, reconnect_interval=None, activate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- nsx_controller (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- reconnect_interval (long):
				yang info - Reconnect interval
				range - ['0..4294967295']

			- activate (YANGBool):
				yang info - Activate the connection

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.nsx_controller', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nsx_controller', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nsx_controller', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'nsx_controller', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsx_controller=nsx_controller, reconnect_interval=reconnect_interval, activate=activate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nsx_controller_get(self, nsx_controller=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- nsx_controller (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.nsx_controller', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nsx_controller', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nsx_controller', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'nsx_controller', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsx_controller=nsx_controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def nsx_controller_ip_update(self, nsx_controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- nsx_controller (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_1_0.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_0_1a.nsx_controller', 'nsx_controller'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'nsx_controller')]
        bindings_list = [('pybind.nos.v6_0_2b.nsx_controller.connection_addr', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nsx_controller.connection_addr', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nsx_controller.connection_addr', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller.connection_addr', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'address, port, method'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsx_controller=nsx_controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def nsx_controller_ip_address_update(self, nsx_controller=None, address=None, port=None, method=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- nsx_controller (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- address (unicode):
				yang info - IP address of NSX controller
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- port (long):
				yang info - NSX controller port number
				range - ['0..4294967295']

			- method (unicode):
				yang info - Connection method
				enum - [u'ssl', u'tcp']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_1_0.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_0_1a.nsx_controller', 'nsx_controller'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'nsx_controller')]
        bindings_list = [('pybind.nos.v6_0_2b.nsx_controller.connection_addr', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nsx_controller.connection_addr', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nsx_controller.connection_addr', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller.connection_addr', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsx_controller=nsx_controller, address=address, port=port, method=method)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ntp_update(self, source_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- source_ip (unicode):
				yang info - Configure the source ip to be used for NTP
				enum - [u'chassis-ip', u'mm-ip']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ntp', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, source_ip=source_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ntp_authentication_key_create(self, authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- authentication_key (keyid, md5, sha1, encryption_level):
				keyid (long):
					range - ['0..4294967295']

				md5 (unicode):
					yang info - MD5 Encryption
					length - [u'1 .. max']

				sha1 (unicode):
					yang info - SHA1 Encryption
					length - [u'1 .. max']

				encryption_level (unicode):
					yang info - Level of encryption of the md5 key (default=7)
					enum - [u'0', u'7']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ntp.authentication_key', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp.authentication_key', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp.authentication_key', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.authentication_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'authentication_key', 'keyval': 'keyid', 'extra_keyval': 'keyid, md5, sha1, encryption_level'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, authentication_key=authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ntp_authentication_key_delete(self, authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- authentication_key (keyid, md5, sha1, encryption_level):
				keyid (long):
					range - ['0..4294967295']

				md5 (unicode):
					yang info - MD5 Encryption
					length - [u'1 .. max']

				sha1 (unicode):
					yang info - SHA1 Encryption
					length - [u'1 .. max']

				encryption_level (unicode):
					yang info - Level of encryption of the md5 key (default=7)
					enum - [u'0', u'7']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ntp.authentication_key', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp.authentication_key', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp.authentication_key', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.authentication_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'authentication_key', 'keyval': 'keyid', 'extra_keyval': 'keyid, md5, sha1, encryption_level'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, authentication_key=authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ntp_authentication_key_update(self, authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- authentication_key (keyid, md5, sha1, encryption_level):
				keyid (long):
					range - ['0..4294967295']

				md5 (unicode):
					yang info - MD5 Encryption
					length - [u'1 .. max']

				sha1 (unicode):
					yang info - SHA1 Encryption
					length - [u'1 .. max']

				encryption_level (unicode):
					yang info - Level of encryption of the md5 key (default=7)
					enum - [u'0', u'7']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ntp.authentication_key', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp.authentication_key', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp.authentication_key', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.authentication_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'authentication_key', 'keyval': 'keyid', 'extra_keyval': 'keyid, md5, sha1, encryption_level'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, authentication_key=authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ntp_authentication_key_get(self, authentication_key=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- authentication_key (keyid, md5, sha1, encryption_level):
				keyid (long):
					range - ['0..4294967295']

				md5 (unicode):
					yang info - MD5 Encryption
					length - [u'1 .. max']

				sha1 (unicode):
					yang info - SHA1 Encryption
					length - [u'1 .. max']

				encryption_level (unicode):
					yang info - Level of encryption of the md5 key (default=7)
					enum - [u'0', u'7']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ntp.authentication_key', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp.authentication_key', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp.authentication_key', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.authentication_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'authentication_key', 'keyval': 'keyid', 'extra_keyval': 'keyid, md5, sha1, encryption_level'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, authentication_key=authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ntp_server_create(self, server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- server (ip):
				ip (unicode):
					yang info - Network Time Protocol server ip address(es)
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ntp.server', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp.server', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp.server', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.server', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'ip, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server=server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ntp_server_delete(self, server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- server (ip):
				ip (unicode):
					yang info - Network Time Protocol server ip address(es)
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ntp.server', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp.server', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp.server', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.server', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'ip, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server=server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ntp_server_update(self, server=None, key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- server (ip):
				ip (unicode):
					yang info - Network Time Protocol server ip address(es)
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- key (long):
				yang info - authentication key
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ntp.server', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp.server', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp.server', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.server', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'ip, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server=server, key=key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ntp_server_get(self, server=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- server (ip):
				ip (unicode):
					yang info - Network Time Protocol server ip address(es)
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ntp.server', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp.server', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp.server', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.server', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'ip, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server=server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ntp_server_key_update(self, server=None, key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- server (ip, use_vrf):
				ip (unicode):
					yang info - Network Time Protocol server ip address(es)
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				use_vrf (unicode):
					yang info - VRF to use for synchronizing the time with server.
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- key (long):
				yang info - authentication key
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.ntp.server', u'server')]
        bindings_list = [('pybind.slxos.v16r_1_00b.ntp.server.server_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip, use_vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server=server, key=key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ntp_source_ip_update(self, source_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- source_ip (unicode):
				yang info - Configure the source ip to be used for NTP
				enum - [u'chassis-ip', u'mm-ip']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ntp', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, source_ip=source_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_controller_create(self, openflow_controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- openflow_controller (controller_name):
				controller_name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.openflow_controller', 'pybind.nos.v6_0_2b.brocade_openflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.openflow_controller', 'pybind.nos.v7_0_1a.brocade_openflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.openflow_controller', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'controller_name', 'extra_keyval': 'controller_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, openflow_controller=openflow_controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_controller_delete(self, openflow_controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- openflow_controller (controller_name):
				controller_name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.openflow_controller', 'pybind.nos.v6_0_2b.brocade_openflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.openflow_controller', 'pybind.nos.v7_0_1a.brocade_openflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.openflow_controller', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'controller_name', 'extra_keyval': 'controller_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, openflow_controller=openflow_controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_controller_get(self, openflow_controller=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- openflow_controller (controller_name):
				controller_name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.openflow_controller', 'pybind.nos.v6_0_2b.brocade_openflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.openflow_controller', 'pybind.nos.v7_0_1a.brocade_openflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.openflow_controller', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'controller_name', 'extra_keyval': 'controller_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, openflow_controller=openflow_controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_controller_ip_update(self, openflow_controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- openflow_controller (controller_name):
				controller_name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.openflow_controller', 'openflow_controller'), ('pybind.nos.v7_1_0.openflow_controller', 'openflow_controller'), ('pybind.nos.v7_0_1a.openflow_controller', 'openflow_controller')]
        bindings_list = [('pybind.nos.v6_0_2b.openflow_controller.connection_address', 'pybind.nos.v6_0_2b.brocade_openflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.openflow_controller.connection_address', 'pybind.nos.v7_0_1a.brocade_openflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.openflow_controller.connection_address', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'controller_address, connection_method, connection_port, active_controller_vrf'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, openflow_controller=openflow_controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_controller_ip_method_update(self, openflow_controller=None, controller_address=None, connection_method=None, connection_port=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
        
		Parent Instance Keyword Arg Tuple(s):
			- openflow_controller (controller_name):
				controller_name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- controller_address (unicode):
				yang info - IP address of OpenFlow controller
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- connection_method (unicode):
				yang info - Connection method
				enum - [u'ssl', u'no-ssl']

			- connection_port (long):
				yang info - OpenFlow controller port number
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.openflow_controller', 'openflow_controller')]
        bindings_list = [('pybind.nos.v6_0_2b.openflow_controller.connection_address', 'pybind.nos.v6_0_2b.brocade_openflow', 'pybind.nos.v6_0_2b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, openflow_controller=openflow_controller, controller_address=controller_address, connection_method=connection_method, connection_port=connection_port)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_controller_ip_use_vrf_update(self, openflow_controller=None, controller_address=None, connection_method=None, connection_port=None, active_controller_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- openflow_controller (controller_name):
				controller_name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- controller_address (unicode):
				yang info - IP address of OpenFlow controller
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- connection_method (unicode):
				yang info - Connection method
				enum - [u'ssl', u'no-ssl']

			- connection_port (long):
				yang info - OpenFlow controller port number
				range - ['0..4294967295']

			- active_controller_vrf (unicode):
				yang info - Name of VRF (Default = mgmt-vrf)
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.openflow_controller', 'openflow_controller'), ('pybind.nos.v7_0_1a.openflow_controller', 'openflow_controller')]
        bindings_list = [('pybind.nos.v7_0_1a.openflow_controller.connection_address', 'pybind.nos.v7_0_1a.brocade_openflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.openflow_controller.connection_address', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, openflow_controller=openflow_controller, controller_address=controller_address, connection_method=connection_method, connection_port=connection_port, active_controller_vrf=active_controller_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_controller_passive_update(self, controller=None, passive_connection_method=None, passive_controller_address=None, passive_connection_port=None, passive_controller_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- controller (controller_name):
				controller_name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- passive_connection_method (unicode):
				yang info - Connection method
				enum - [u'no-ssl']

			- passive_controller_address (unicode):
				yang info - Set the IPv4 listening address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- passive_connection_port (long):
				yang info - listening Port
				range - ['0..4294967295']

			- passive_controller_vrf (unicode):
				yang info - Name of VRF (Default = mgmt-vrf)
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.passive', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller=controller, passive_connection_method=passive_connection_method, passive_controller_address=passive_controller_address, passive_connection_port=passive_connection_port, passive_controller_vrf=passive_controller_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_controller_use_vrf_update(self, controller=None, controller_address=None, connection_method=None, connection_port=None, active_controller_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- controller (controller_name):
				controller_name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- controller_address (unicode):
				yang info - IP address active of OpenFlow controller
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- connection_method (unicode):
				yang info - Connection method
				enum - [u'ssl', u'no-ssl']

			- connection_port (long):
				yang info - OpenFlow controller port number
				range - ['0..4294967295']

			- active_controller_vrf (unicode):
				yang info - Name of VRF (Default = mgmt-vrf)
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.active_controller', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller=controller, controller_address=controller_address, connection_method=connection_method, connection_port=connection_port, active_controller_vrf=active_controller_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_default_behavior_update(self, send_to_controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- send_to_controller (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.default_behavior', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, send_to_controller=send_to_controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_default_behavior_send_to_controller_update(self, send_to_controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- send_to_controller (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.default_behavior', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, send_to_controller=send_to_controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_enable_update(self, ofVerType=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ofVerType (unicode):
				yang info - Enable OF Version
				enum - [u'ofv13']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.enable', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ofVerType=ofVerType)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_controller_create(self, controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- controller (name):
				name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller=controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_controller_delete(self, controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- controller (name):
				name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller=controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_controller_update(self, controller=None, mode=None, type=None, connection_type=None, ip_addr=None, port=None, vrf_name=None, status=None, role=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- controller (name):
				name (unicode):

		This Instance Arg(s):
			- mode (unicode):
				enum - [u'dcm-connection-mode-active', u'dcm-connection-mode-passive']

			- type (unicode):
				enum - [u'ofv100', u'ofv130']

			- connection_type (unicode):
				enum - [u'dcm-connection-type-tcp', u'dcm-connection-type-ssl']

			- ip_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- port (long):
				range - ['0..4294967295']

			- vrf_name (unicode):

			- status (unicode):
				enum - [u'dcm-ctrlr-status-close', u'dcm-ctrlr-status-tcp-connecting', u'dcm-ctrlr-status-tcp-listening', u'dcm-ctrlr-status-openf-established', u'dcm-ctrlr-status-max', u'dcm-ctrlr-status-openf-handshake', u'dcm-ctrlr-status-init', u'dcm-ctrlr-status-tcp-established', u'dcm-ctrlr-status-unknown']

			- role (unicode):
				enum - [u'dcm-ctrlr-role-invalid', u'dcm-ctrlr-role-equal', u'dcm-ctrlr-role-slave', u'dcm-ctrlr-role-master']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller=controller, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_controller_get(self, controller=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- controller (name):
				name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller=controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_detail_update(self, admin_status=None, ssl_status=None, num_controllers=None, data_path=None, l2_match=None, l3_match=None, max_l2_flows=None, active_flows=None, enabled_ports=None, default_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- admin_status (YANGBool):

			- ssl_status (YANGBool):

			- num_controllers (long):
				range - ['0..4294967295']

			- data_path (unicode):

			- l2_match (unicode):

			- l3_match (unicode):

			- max_l2_flows (long):
				range - ['0..4294967295']

			- active_flows (long):
				range - ['0..4294967295']

			- enabled_ports (unicode):

			- default_action (unicode):
				enum - [u'dcm-action-drop', u'dcm-action-invalid', u'dcm-action-send-to-controller']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_status=admin_status, ssl_status=ssl_status, num_controllers=num_controllers, data_path=data_path, l2_match=l2_match, l3_match=l3_match, max_l2_flows=max_l2_flows, active_flows=active_flows, enabled_ports=enabled_ports, default_action=default_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_active_flows_update(self, admin_status=None, ssl_status=None, num_controllers=None, data_path=None, l2_match=None, l3_match=None, max_l2_flows=None, active_flows=None, enabled_ports=None, default_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- admin_status (YANGBool):

			- ssl_status (YANGBool):

			- num_controllers (long):
				range - ['0..4294967295']

			- data_path (unicode):

			- l2_match (unicode):

			- l3_match (unicode):

			- max_l2_flows (long):
				range - ['0..4294967295']

			- active_flows (long):
				range - ['0..4294967295']

			- enabled_ports (unicode):

			- default_action (unicode):
				enum - [u'dcm-action-drop', u'dcm-action-invalid', u'dcm-action-send-to-controller']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_status=admin_status, ssl_status=ssl_status, num_controllers=num_controllers, data_path=data_path, l2_match=l2_match, l3_match=l3_match, max_l2_flows=max_l2_flows, active_flows=active_flows, enabled_ports=enabled_ports, default_action=default_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_controller_detail_list_create(self, controller_detail_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- controller_detail_list (controller_idx):
				controller_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'controller_detail_list', 'keyval': 'controller_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_controller_detail_list_delete(self, controller_detail_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- controller_detail_list (controller_idx):
				controller_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'controller_detail_list', 'keyval': 'controller_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_controller_detail_list_get(self, controller_detail_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- controller_detail_list (controller_idx):
				controller_idx (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'controller_detail_list', 'keyval': 'controller_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_detail_controller_detail_list_controller_async_list_create(self, controller_detail_list=None, controller_async_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- controller_detail_list (controller_idx):
				controller_idx (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- controller_async_list (async_type):
				async_type (unicode):
					enum - [u'dcm-async-invalid', u'dcm-packet-in', u'dcm-port-status', u'dcm-flow-removed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_async_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'controller_async_list', 'keyval': 'async_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list, controller_async_list=controller_async_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_controller_detail_list_controller_async_list_delete(self, controller_detail_list=None, controller_async_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- controller_detail_list (controller_idx):
				controller_idx (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- controller_async_list (async_type):
				async_type (unicode):
					enum - [u'dcm-async-invalid', u'dcm-packet-in', u'dcm-port-status', u'dcm-flow-removed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_async_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'controller_async_list', 'keyval': 'async_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list, controller_async_list=controller_async_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_controller_detail_list_controller_async_list_update(self, controller_detail_list=None, controller_async_list=None, config_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- controller_detail_list (controller_idx):
				controller_idx (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- controller_async_list (async_type):
				async_type (unicode):
					enum - [u'dcm-async-invalid', u'dcm-packet-in', u'dcm-port-status', u'dcm-flow-removed']

		This Instance Arg(s):
			- config_data (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_async_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'controller_async_list', 'keyval': 'async_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list, controller_async_list=controller_async_list, config_data=config_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_controller_detail_list_controller_async_list_get(self, controller_detail_list=None, controller_async_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- controller_detail_list (controller_idx):
				controller_idx (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- controller_async_list (async_type):
				async_type (unicode):
					enum - [u'dcm-async-invalid', u'dcm-packet-in', u'dcm-port-status', u'dcm-flow-removed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_async_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'controller_async_list', 'keyval': 'async_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list, controller_async_list=controller_async_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_detail_controller_detail_list_controller_info_update(self, controller_detail_list=None, name=None, mode=None, type=None, connection_type=None, ip_addr=None, port=None, vrf_name=None, status=None, role=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- controller_detail_list (controller_idx):
				controller_idx (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- name (unicode):

			- mode (unicode):
				enum - [u'dcm-connection-mode-active', u'dcm-connection-mode-passive']

			- type (unicode):
				enum - [u'ofv100', u'ofv130']

			- connection_type (unicode):
				enum - [u'dcm-connection-type-tcp', u'dcm-connection-type-ssl']

			- ip_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- port (long):
				range - ['0..4294967295']

			- vrf_name (unicode):

			- status (unicode):
				enum - [u'dcm-ctrlr-status-close', u'dcm-ctrlr-status-tcp-connecting', u'dcm-ctrlr-status-tcp-listening', u'dcm-ctrlr-status-openf-established', u'dcm-ctrlr-status-max', u'dcm-ctrlr-status-openf-handshake', u'dcm-ctrlr-status-init', u'dcm-ctrlr-status-tcp-established', u'dcm-ctrlr-status-unknown']

			- role (unicode):
				enum - [u'dcm-ctrlr-role-invalid', u'dcm-ctrlr-role-equal', u'dcm-ctrlr-role-slave', u'dcm-ctrlr-role-master']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list, name=name, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_controller_detail_list_controller_info_connection_type_update(self, controller_detail_list=None, name=None, mode=None, type=None, connection_type=None, ip_addr=None, port=None, vrf_name=None, status=None, role=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- controller_detail_list (controller_idx):
				controller_idx (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- name (unicode):

			- mode (unicode):
				enum - [u'dcm-connection-mode-active', u'dcm-connection-mode-passive']

			- type (unicode):
				enum - [u'ofv100', u'ofv130']

			- connection_type (unicode):
				enum - [u'dcm-connection-type-tcp', u'dcm-connection-type-ssl']

			- ip_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- port (long):
				range - ['0..4294967295']

			- vrf_name (unicode):

			- status (unicode):
				enum - [u'dcm-ctrlr-status-close', u'dcm-ctrlr-status-tcp-connecting', u'dcm-ctrlr-status-tcp-listening', u'dcm-ctrlr-status-openf-established', u'dcm-ctrlr-status-max', u'dcm-ctrlr-status-openf-handshake', u'dcm-ctrlr-status-init', u'dcm-ctrlr-status-tcp-established', u'dcm-ctrlr-status-unknown']

			- role (unicode):
				enum - [u'dcm-ctrlr-role-invalid', u'dcm-ctrlr-role-equal', u'dcm-ctrlr-role-slave', u'dcm-ctrlr-role-master']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list, name=name, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_hybrid_interfaces_create(self, hybrid_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- hybrid_interfaces (hybrid_interface):
				hybrid_interface (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.hybrid_interfaces', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'hybrid_interfaces', 'keyval': 'hybrid_interface', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hybrid_interfaces=hybrid_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_hybrid_interfaces_delete(self, hybrid_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- hybrid_interfaces (hybrid_interface):
				hybrid_interface (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.hybrid_interfaces', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'hybrid_interfaces', 'keyval': 'hybrid_interface', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hybrid_interfaces=hybrid_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_hybrid_interfaces_update(self, hybrid_interfaces=None, protected_vlans=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- hybrid_interfaces (hybrid_interface):
				hybrid_interface (unicode):

		This Instance Arg(s):
			- protected_vlans (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.hybrid_interfaces', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'hybrid_interfaces', 'keyval': 'hybrid_interface', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hybrid_interfaces=hybrid_interfaces, protected_vlans=protected_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_detail_hybrid_interfaces_get(self, hybrid_interfaces=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- hybrid_interfaces (hybrid_interface):
				hybrid_interface (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.hybrid_interfaces', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'hybrid_interfaces', 'keyval': 'hybrid_interface', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hybrid_interfaces=hybrid_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_flow_update(self, data_packets_sent=None, data_bytes_sent=None, port_based_flows=None, hw_generic_flows=None, l2_interfaces=None, l3_interfaces=None, l23_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- data_packets_sent (long):
				range - ['0..4294967295']

			- data_bytes_sent (long):
				range - ['0..4294967295']

			- port_based_flows (long):
				range - ['0..4294967295']

			- hw_generic_flows (long):
				range - ['0..4294967295']

			- l2_interfaces (long):
				range - ['0..4294967295']

			- l3_interfaces (long):
				range - ['0..4294967295']

			- l23_interfaces (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, data_packets_sent=data_packets_sent, data_bytes_sent=data_bytes_sent, port_based_flows=port_based_flows, hw_generic_flows=hw_generic_flows, l2_interfaces=l2_interfaces, l3_interfaces=l3_interfaces, l23_interfaces=l23_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_data_bytes_sent_update(self, data_packets_sent=None, data_bytes_sent=None, port_based_flows=None, hw_generic_flows=None, l2_interfaces=None, l3_interfaces=None, l23_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- data_packets_sent (long):
				range - ['0..4294967295']

			- data_bytes_sent (long):
				range - ['0..4294967295']

			- port_based_flows (long):
				range - ['0..4294967295']

			- hw_generic_flows (long):
				range - ['0..4294967295']

			- l2_interfaces (long):
				range - ['0..4294967295']

			- l3_interfaces (long):
				range - ['0..4294967295']

			- l23_interfaces (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, data_packets_sent=data_packets_sent, data_bytes_sent=data_bytes_sent, port_based_flows=port_based_flows, hw_generic_flows=hw_generic_flows, l2_interfaces=l2_interfaces, l3_interfaces=l3_interfaces, l23_interfaces=l23_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_flow_info_list_create(self, flow_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_info_list=flow_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_flow_info_list_delete(self, flow_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_info_list=flow_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_flow_info_list_update(self, flow_info_list=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- priority (long):
				range - ['0..4294967295']

			- status (unicode):
				enum - [u'dcm-flow-pending-add', u'dcm-flow-not-programmed', u'dcm-flow-pending-modify', u'dcm-flow-pending-delete', u'dcm-flow-programmed']

			- in_port (unicode):

			- in_vlan (unicode):

			- source_mac (unicode):

			- destination_mac (unicode):

			- ether_type (unicode):

			- ip_protocol (long):
				range - ['0..4294967295']

			- ip_protocol_source_port (long):
				range - ['0..4294967295']

			- ip_protocol_destination_port (long):
				range - ['0..4294967295']

			- source_ip (unicode):

			- destination_ip (unicode):

			- instructions (unicode):

			- action_data (unicode):

			- meter_id (long):
				range - ['0..4294967295']

			- vlan_upbits (long):
				range - ['0..4294967295']

			- nw_tos (long):
				range - ['0..4294967295']

			- source_ip_mask (unicode):

			- destination_ip_mask (unicode):

			- total_packets (long):
				range - ['0..4294967295']

			- total_bytes (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_info_list=flow_info_list, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_flow_info_list_get(self, flow_info_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_info_list=flow_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_flow_flow_info_list_flow_action_list_create(self, flow_info_list=None, flow_action_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_info_list=flow_info_list, flow_action_list=flow_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_flow_info_list_flow_action_list_delete(self, flow_info_list=None, flow_action_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_info_list=flow_info_list, flow_action_list=flow_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_flow_info_list_flow_action_list_update(self, flow_info_list=None, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- group_id (long):
				range - ['0..4294967295']

			- queue_id (long):
				range - ['0..4294967295']

			- out_ports (unicode):

			- vlan_id (long):
				range - ['0..4294967295']

			- action_vlan_upbits (long):
				range - ['0..4294967295']

			- out_vlan_tag (unicode):
				enum - [u'dcm-vlan-action-pop', u'dcm-vlan-action-push', u'dcm-vlan-action-set']

			- out_vlan_etype (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_flow_info_list_flow_action_list_get(self, flow_info_list=None, flow_action_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_info_list=flow_info_list, flow_action_list=flow_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_flow_id_update(self, flow_id=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- flow_id (long):
				range - ['0..4294967295']

			- priority (long):
				range - ['0..4294967295']

			- status (unicode):
				enum - [u'dcm-flow-pending-add', u'dcm-flow-not-programmed', u'dcm-flow-pending-modify', u'dcm-flow-pending-delete', u'dcm-flow-programmed']

			- in_port (unicode):

			- in_vlan (unicode):

			- source_mac (unicode):

			- destination_mac (unicode):

			- ether_type (unicode):

			- ip_protocol (long):
				range - ['0..4294967295']

			- ip_protocol_source_port (long):
				range - ['0..4294967295']

			- ip_protocol_destination_port (long):
				range - ['0..4294967295']

			- source_ip (unicode):

			- destination_ip (unicode):

			- instructions (unicode):

			- action_data (unicode):

			- meter_id (long):
				range - ['0..4294967295']

			- vlan_upbits (long):
				range - ['0..4294967295']

			- nw_tos (long):
				range - ['0..4294967295']

			- source_ip_mask (unicode):

			- destination_ip_mask (unicode):

			- total_packets (long):
				range - ['0..4294967295']

			- total_bytes (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_id=flow_id, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_id_action_data_update(self, flow_id=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- flow_id (long):
				range - ['0..4294967295']

			- priority (long):
				range - ['0..4294967295']

			- status (unicode):
				enum - [u'dcm-flow-pending-add', u'dcm-flow-not-programmed', u'dcm-flow-pending-modify', u'dcm-flow-pending-delete', u'dcm-flow-programmed']

			- in_port (unicode):

			- in_vlan (unicode):

			- source_mac (unicode):

			- destination_mac (unicode):

			- ether_type (unicode):

			- ip_protocol (long):
				range - ['0..4294967295']

			- ip_protocol_source_port (long):
				range - ['0..4294967295']

			- ip_protocol_destination_port (long):
				range - ['0..4294967295']

			- source_ip (unicode):

			- destination_ip (unicode):

			- instructions (unicode):

			- action_data (unicode):

			- meter_id (long):
				range - ['0..4294967295']

			- vlan_upbits (long):
				range - ['0..4294967295']

			- nw_tos (long):
				range - ['0..4294967295']

			- source_ip_mask (unicode):

			- destination_ip_mask (unicode):

			- total_packets (long):
				range - ['0..4294967295']

			- total_bytes (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_id=flow_id, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_id_flow_action_list_create(self, flow_action_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_action_list=flow_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_id_flow_action_list_delete(self, flow_action_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_action_list=flow_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_id_flow_action_list_update(self, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- group_id (long):
				range - ['0..4294967295']

			- queue_id (long):
				range - ['0..4294967295']

			- out_ports (unicode):

			- vlan_id (long):
				range - ['0..4294967295']

			- action_vlan_upbits (long):
				range - ['0..4294967295']

			- out_vlan_tag (unicode):
				enum - [u'dcm-vlan-action-pop', u'dcm-vlan-action-push', u'dcm-vlan-action-set']

			- out_vlan_etype (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_id_flow_action_list_get(self, flow_action_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_action_list=flow_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_flow_interface_create(self, flow_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_interface', 'keyval': 'interface_type, interface_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_interface_delete(self, flow_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_interface', 'keyval': 'interface_type, interface_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_interface_get(self, flow_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'flow_interface', 'keyval': 'interface_type, interface_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_flow_interface_flow_info_list_create(self, flow_interface=None, flow_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

		This Instance Keyword Arg Tuple:
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface, flow_info_list=flow_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_interface_flow_info_list_delete(self, flow_interface=None, flow_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

		This Instance Keyword Arg Tuple:
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface, flow_info_list=flow_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_interface_flow_info_list_update(self, flow_interface=None, flow_info_list=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

		This Instance Keyword Arg Tuple:
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- priority (long):
				range - ['0..4294967295']

			- status (unicode):
				enum - [u'dcm-flow-pending-add', u'dcm-flow-not-programmed', u'dcm-flow-pending-modify', u'dcm-flow-pending-delete', u'dcm-flow-programmed']

			- in_port (unicode):

			- in_vlan (unicode):

			- source_mac (unicode):

			- destination_mac (unicode):

			- ether_type (unicode):

			- ip_protocol (long):
				range - ['0..4294967295']

			- ip_protocol_source_port (long):
				range - ['0..4294967295']

			- ip_protocol_destination_port (long):
				range - ['0..4294967295']

			- source_ip (unicode):

			- destination_ip (unicode):

			- instructions (unicode):

			- action_data (unicode):

			- meter_id (long):
				range - ['0..4294967295']

			- vlan_upbits (long):
				range - ['0..4294967295']

			- nw_tos (long):
				range - ['0..4294967295']

			- source_ip_mask (unicode):

			- destination_ip_mask (unicode):

			- total_packets (long):
				range - ['0..4294967295']

			- total_bytes (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface, flow_info_list=flow_info_list, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_interface_flow_info_list_get(self, flow_interface=None, flow_info_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

		This Instance Keyword Arg Tuple:
			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface, flow_info_list=flow_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_flow_interface_flow_info_list_flow_action_list_create(self, flow_interface=None, flow_info_list=None, flow_action_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_interface_flow_info_list_flow_action_list_delete(self, flow_interface=None, flow_info_list=None, flow_action_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_interface_flow_info_list_flow_action_list_update(self, flow_interface=None, flow_info_list=None, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- group_id (long):
				range - ['0..4294967295']

			- queue_id (long):
				range - ['0..4294967295']

			- out_ports (unicode):

			- vlan_id (long):
				range - ['0..4294967295']

			- action_vlan_upbits (long):
				range - ['0..4294967295']

			- out_vlan_tag (unicode):
				enum - [u'dcm-vlan-action-pop', u'dcm-vlan-action-push', u'dcm-vlan-action-set']

			- out_vlan_etype (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_flow_interface_flow_info_list_flow_action_list_get(self, flow_interface=None, flow_info_list=None, flow_action_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- flow_interface (interface_type, interface_value):
				interface_type (long):
					range - ['0..4294967295']

				interface_value (unicode):

			- flow_info_list (flow_id):
				flow_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- flow_action_list (action_idx):
				action_idx (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_group_update(self, max_groups=None, max_bkts_per_group=None, max_actions_per_bucket=None, total_groups_all=None, total_groups_select=None, total_groups_indirect=None, total_groups_fast_failover=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- max_groups (long):
				range - ['0..4294967295']

			- max_bkts_per_group (long):
				range - ['0..4294967295']

			- max_actions_per_bucket (long):
				range - ['0..4294967295']

			- total_groups_all (long):
				range - ['0..4294967295']

			- total_groups_select (long):
				range - ['0..4294967295']

			- total_groups_indirect (long):
				range - ['0..4294967295']

			- total_groups_fast_failover (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_groups=max_groups, max_bkts_per_group=max_bkts_per_group, max_actions_per_bucket=max_actions_per_bucket, total_groups_all=total_groups_all, total_groups_select=total_groups_select, total_groups_indirect=total_groups_indirect, total_groups_fast_failover=total_groups_fast_failover)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_group_info_list_create(self, group_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_group_info_list_delete(self, group_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_group_info_list_update(self, group_info_list=None, transaction_id=None, group_type=None, packet_count=None, byte_count=None, flow_count=None, num_of_bkts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- transaction_id (unicode):

			- group_type (unicode):
				enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

			- packet_count (long):
				range - ['0..4294967295']

			- byte_count (long):
				range - ['0..4294967295']

			- flow_count (long):
				range - ['0..4294967295']

			- num_of_bkts (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_group_info_list_get(self, group_info_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_group_group_info_list_group_bucket_list_create(self, group_info_list=None, group_bucket_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, group_bucket_list=group_bucket_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_group_info_list_group_bucket_list_delete(self, group_info_list=None, group_bucket_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, group_bucket_list=group_bucket_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_group_info_list_group_bucket_list_update(self, group_info_list=None, group_bucket_list=None, weight=None, watch_port=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- weight (long):
				range - ['0..4294967295']

			- watch_port (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, group_bucket_list=group_bucket_list, weight=weight, watch_port=watch_port)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_group_info_list_group_bucket_list_get(self, group_info_list=None, group_bucket_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, group_bucket_list=group_bucket_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_group_group_info_list_group_bucket_list_group_action_list_create(self, group_info_list=None, group_bucket_list=None, group_action_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_action_list (action_id):
				action_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_group_info_list_group_bucket_list_group_action_list_delete(self, group_info_list=None, group_bucket_list=None, group_action_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_action_list (action_id):
				action_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_group_info_list_group_bucket_list_group_action_list_update(self, group_info_list=None, group_bucket_list=None, group_action_list=None, out_port=None, vlan_id=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_action_list (action_id):
				action_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- out_port (unicode):

			- vlan_id (long):
				range - ['0..4294967295']

			- out_vlan_tag (unicode):
				enum - [u'dcm-vlan-action-pop', u'dcm-vlan-action-push', u'dcm-vlan-action-set']

			- out_vlan_etype (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port, vlan_id=vlan_id, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_group_info_list_group_bucket_list_group_action_list_get(self, group_info_list=None, group_bucket_list=None, group_action_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_info_list (group_id):
				group_id (long):
					range - ['0..4294967295']

			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_action_list (action_id):
				action_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_group_id_update(self, group_id=None, transaction_id=None, group_type=None, packet_count=None, byte_count=None, flow_count=None, num_of_bkts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- group_id (long):
				range - ['0..4294967295']

			- transaction_id (unicode):

			- group_type (unicode):
				enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

			- packet_count (long):
				range - ['0..4294967295']

			- byte_count (long):
				range - ['0..4294967295']

			- flow_count (long):
				range - ['0..4294967295']

			- num_of_bkts (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_id=group_id, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_id_byte_count_update(self, group_id=None, transaction_id=None, group_type=None, packet_count=None, byte_count=None, flow_count=None, num_of_bkts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- group_id (long):
				range - ['0..4294967295']

			- transaction_id (unicode):

			- group_type (unicode):
				enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

			- packet_count (long):
				range - ['0..4294967295']

			- byte_count (long):
				range - ['0..4294967295']

			- flow_count (long):
				range - ['0..4294967295']

			- num_of_bkts (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_id=group_id, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_id_group_bucket_list_create(self, group_bucket_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_bucket_list=group_bucket_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_id_group_bucket_list_delete(self, group_bucket_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_bucket_list=group_bucket_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_id_group_bucket_list_update(self, group_bucket_list=None, weight=None, watch_port=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- weight (long):
				range - ['0..4294967295']

			- watch_port (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_bucket_list=group_bucket_list, weight=weight, watch_port=watch_port)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_id_group_bucket_list_get(self, group_bucket_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_bucket_list=group_bucket_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_group_id_group_bucket_list_group_action_list_create(self, group_bucket_list=None, group_action_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_action_list (action_id):
				action_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_id_group_bucket_list_group_action_list_delete(self, group_bucket_list=None, group_action_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_action_list (action_id):
				action_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_id_group_bucket_list_group_action_list_update(self, group_bucket_list=None, group_action_list=None, out_port=None, vlan_id=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_action_list (action_id):
				action_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- out_port (unicode):

			- vlan_id (long):
				range - ['0..4294967295']

			- out_vlan_tag (unicode):
				enum - [u'dcm-vlan-action-pop', u'dcm-vlan-action-push', u'dcm-vlan-action-set']

			- out_vlan_etype (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port, vlan_id=vlan_id, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_group_id_group_bucket_list_group_action_list_get(self, group_bucket_list=None, group_action_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- group_bucket_list (bucket_id):
				bucket_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- group_action_list (action_id):
				action_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_group_max_actions_per_bucket_update(self, max_groups=None, max_bkts_per_group=None, max_actions_per_bucket=None, total_groups_all=None, total_groups_select=None, total_groups_indirect=None, total_groups_fast_failover=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- max_groups (long):
				range - ['0..4294967295']

			- max_bkts_per_group (long):
				range - ['0..4294967295']

			- max_actions_per_bucket (long):
				range - ['0..4294967295']

			- total_groups_all (long):
				range - ['0..4294967295']

			- total_groups_select (long):
				range - ['0..4294967295']

			- total_groups_indirect (long):
				range - ['0..4294967295']

			- total_groups_fast_failover (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_groups=max_groups, max_bkts_per_group=max_bkts_per_group, max_actions_per_bucket=max_actions_per_bucket, total_groups_all=total_groups_all, total_groups_select=total_groups_select, total_groups_indirect=total_groups_indirect, total_groups_fast_failover=total_groups_fast_failover)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_interface_create(self, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interface (port):
				port (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_interface_delete(self, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interface (port):
				port (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_interface_update(self, interface=None, link=None, port_state=None, speed=None, mac=None, port_id=None, mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interface (port):
				port (unicode):

		This Instance Arg(s):
			- link (YANGBool):

			- port_state (unicode):
				enum - [u'dcm-port-state-invalid', u'dcm-port-state-forward', u'dcm-port-state-live', u'dcm-port-state-blocked', u'dcm-port-state-link-down']

			- speed (unicode):
				enum - [u'dcm-port-speed-gig', u'dcm-port-speed-hundredgig', u'dcm-port-speed-tengig', u'dcm-port-speed-fortygig', u'dcm-port-speed-unknown']

			- mac (unicode):

			- port_id (long):
				range - ['0..4294967295']

			- mode (unicode):
				enum - [u'dcm-port-mode-unknown', u'dcm-port-mode-hybrid-l3', u'dcm-port-mode-hybrid-l2', u'dcm-port-mode-l23', u'dcm-port-mode-hybrid-l23', u'dcm-port-mode-l3', u'dcm-port-mode-l2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface=interface, link=link, port_state=port_state, speed=speed, mac=mac, port_id=port_id, mode=mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_interface_get(self, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interface (port):
				port (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_meter_update(self, num_of_meters=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- num_of_meters (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_of_meters=num_of_meters)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_id_update(self, meter_id=None, transaction_id=None, meterflags_type=None, flow_count=None, num_of_bands=None, in_packet_count=None, in_byte_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- meter_id (long):
				range - ['0..4294967295']

			- transaction_id (unicode):

			- meterflags_type (unicode):

			- flow_count (long):
				range - ['0..4294967295']

			- num_of_bands (long):
				range - ['0..4294967295']

			- in_packet_count (long):
				range - ['0..4294967295']

			- in_byte_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_id=meter_id, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_id_flow_count_update(self, meter_id=None, transaction_id=None, meterflags_type=None, flow_count=None, num_of_bands=None, in_packet_count=None, in_byte_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- meter_id (long):
				range - ['0..4294967295']

			- transaction_id (unicode):

			- meterflags_type (unicode):

			- flow_count (long):
				range - ['0..4294967295']

			- num_of_bands (long):
				range - ['0..4294967295']

			- in_packet_count (long):
				range - ['0..4294967295']

			- in_byte_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_id=meter_id, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_id_meterband_info_list_create(self, meterband_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- meterband_info_list (band_type):
				band_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meterband_info_list=meterband_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_id_meterband_info_list_delete(self, meterband_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- meterband_info_list (band_type):
				band_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meterband_info_list=meterband_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_id_meterband_info_list_update(self, meterband_info_list=None, rate=None, burst_size=None, in_packet_band_count=None, in_byte_band_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- meterband_info_list (band_type):
				band_type (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rate (long):
				range - ['0..4294967295']

			- burst_size (long):
				range - ['0..4294967295']

			- in_packet_band_count (long):
				range - ['0..4294967295']

			- in_byte_band_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meterband_info_list=meterband_info_list, rate=rate, burst_size=burst_size, in_packet_band_count=in_packet_band_count, in_byte_band_count=in_byte_band_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_id_meterband_info_list_get(self, meterband_info_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- meterband_info_list (band_type):
				band_type (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meterband_info_list=meterband_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_meter_meter_info_list_create(self, meter_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- meter_info_list (meter_id):
				meter_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_info_list=meter_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_meter_info_list_delete(self, meter_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- meter_info_list (meter_id):
				meter_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_info_list=meter_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_meter_info_list_update(self, meter_info_list=None, transaction_id=None, meterflags_type=None, flow_count=None, num_of_bands=None, in_packet_count=None, in_byte_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- meter_info_list (meter_id):
				meter_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- transaction_id (unicode):

			- meterflags_type (unicode):

			- flow_count (long):
				range - ['0..4294967295']

			- num_of_bands (long):
				range - ['0..4294967295']

			- in_packet_count (long):
				range - ['0..4294967295']

			- in_byte_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_info_list=meter_info_list, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_meter_info_list_get(self, meter_info_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- meter_info_list (meter_id):
				meter_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_info_list=meter_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_meter_meter_info_list_meterband_info_list_create(self, meter_info_list=None, meterband_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- meter_info_list (meter_id):
				meter_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- meterband_info_list (band_type):
				band_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_meter_info_list_meterband_info_list_delete(self, meter_info_list=None, meterband_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- meter_info_list (meter_id):
				meter_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- meterband_info_list (band_type):
				band_type (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_meter_info_list_meterband_info_list_update(self, meter_info_list=None, meterband_info_list=None, rate=None, burst_size=None, in_packet_band_count=None, in_byte_band_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- meter_info_list (meter_id):
				meter_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- meterband_info_list (band_type):
				band_type (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rate (long):
				range - ['0..4294967295']

			- burst_size (long):
				range - ['0..4294967295']

			- in_packet_band_count (long):
				range - ['0..4294967295']

			- in_byte_band_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, rate=rate, burst_size=burst_size, in_packet_band_count=in_packet_band_count, in_byte_band_count=in_byte_band_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_meter_meter_info_list_meterband_info_list_get(self, meter_info_list=None, meterband_info_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- meter_info_list (meter_id):
				meter_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- meterband_info_list (band_type):
				band_type (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_meter_num_of_meters_update(self, num_of_meters=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- num_of_meters (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_of_meters=num_of_meters)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_queues_interface_update(self, interface_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_value (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_value=interface_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_queues_interface_interface_value_update(self, interface_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_value (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_value=interface_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_queues_interface_queue_info_list_create(self, queue_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue_info_list (interface, num):
				interface (unicode):

				num (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_info_list=queue_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_queues_interface_queue_info_list_delete(self, queue_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue_info_list (interface, num):
				interface (unicode):

				num (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_info_list=queue_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_queues_interface_queue_info_list_update(self, queue_info_list=None, tx_packets=None, tx_bytes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue_info_list (interface, num):
				interface (unicode):

				num (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- tx_packets (long):
				range - ['0..18446744073709551615']

			- tx_bytes (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_info_list=queue_info_list, tx_packets=tx_packets, tx_bytes=tx_bytes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_queues_interface_queue_info_list_get(self, queue_info_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue_info_list (interface, num):
				interface (unicode):

				num (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_info_list=queue_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_resources_update(self, meter_max=None, meter_used=None, meter_free=None, tcam_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- meter_max (long):
				range - ['0..4294967295']

			- meter_used (long):
				range - ['0..4294967295']

			- meter_free (long):
				range - ['0..4294967295']

			- tcam_profile (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_max=meter_max, meter_used=meter_used, meter_free=meter_free, tcam_profile=tcam_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_group_resouces_list_create(self, group_resouces_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_resouces_list (group_type):
				group_type (unicode):
					enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.group_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_resouces_list', 'keyval': 'group_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_resouces_list=group_resouces_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_group_resouces_list_delete(self, group_resouces_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_resouces_list (group_type):
				group_type (unicode):
					enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.group_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_resouces_list', 'keyval': 'group_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_resouces_list=group_resouces_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_group_resouces_list_update(self, group_resouces_list=None, max_=None, used=None, free=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_resouces_list (group_type):
				group_type (unicode):
					enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

		This Instance Arg(s):
			- max_ (long):
				range - ['0..4294967295']

			- used (long):
				range - ['0..4294967295']

			- free (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.group_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_resouces_list', 'keyval': 'group_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_resouces_list=group_resouces_list, max_=max_, used=used, free=free)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_group_resouces_list_get(self, group_resouces_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group_resouces_list (group_type):
				group_type (unicode):
					enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.group_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group_resouces_list', 'keyval': 'group_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_resouces_list=group_resouces_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_resources_meter_free_update(self, meter_max=None, meter_used=None, meter_free=None, tcam_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- meter_max (long):
				range - ['0..4294967295']

			- meter_used (long):
				range - ['0..4294967295']

			- meter_free (long):
				range - ['0..4294967295']

			- tcam_profile (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_max=meter_max, meter_used=meter_used, meter_free=meter_free, tcam_profile=tcam_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_create(self, slot_resouces_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'slot_resouces_list', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_delete(self, slot_resouces_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'slot_resouces_list', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_update(self, slot_resouces_list=None, module=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- module (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'slot_resouces_list', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, module=module)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_get(self, slot_resouces_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'slot_resouces_list', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_slot_match_profile_list_create(self, slot_resouces_list=None, slot_match_profile_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- slot_match_profile_list (slot_match_profile_idx):
				slot_match_profile_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'slot_match_profile_list', 'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_slot_match_profile_list_delete(self, slot_resouces_list=None, slot_match_profile_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- slot_match_profile_list (slot_match_profile_idx):
				slot_match_profile_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'slot_match_profile_list', 'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_slot_match_profile_list_update(self, slot_resouces_list=None, slot_match_profile_list=None, max_flows=None, used_flows=None, free_flows=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- slot_match_profile_list (slot_match_profile_idx):
				slot_match_profile_idx (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- max_flows (long):
				range - ['0..4294967295']

			- used_flows (long):
				range - ['0..4294967295']

			- free_flows (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'slot_match_profile_list', 'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, max_flows=max_flows, used_flows=used_flows, free_flows=free_flows)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_slot_match_profile_list_get(self, slot_resouces_list=None, slot_match_profile_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- slot_match_profile_list (slot_match_profile_idx):
				slot_match_profile_idx (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'slot_match_profile_list', 'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_slot_match_profile_list_slot_chip_resource_list_create(self, slot_resouces_list=None, slot_match_profile_list=None, slot_chip_resource_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

			- slot_match_profile_list (slot_match_profile_idx):
				slot_match_profile_idx (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- slot_chip_resource_list (slot_chip_idx):
				slot_chip_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'slot_chip_resource_list', 'keyval': 'slot_chip_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_slot_match_profile_list_slot_chip_resource_list_delete(self, slot_resouces_list=None, slot_match_profile_list=None, slot_chip_resource_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

			- slot_match_profile_list (slot_match_profile_idx):
				slot_match_profile_idx (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- slot_chip_resource_list (slot_chip_idx):
				slot_chip_idx (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'slot_chip_resource_list', 'keyval': 'slot_chip_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_slot_match_profile_list_slot_chip_resource_list_update(self, slot_resouces_list=None, slot_match_profile_list=None, slot_chip_resource_list=None, max_flows=None, used_flows=None, free_flows=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

			- slot_match_profile_list (slot_match_profile_idx):
				slot_match_profile_idx (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- slot_chip_resource_list (slot_chip_idx):
				slot_chip_idx (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- max_flows (long):
				range - ['0..4294967295']

			- used_flows (long):
				range - ['0..4294967295']

			- free_flows (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'slot_chip_resource_list', 'keyval': 'slot_chip_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, max_flows=max_flows, used_flows=used_flows, free_flows=free_flows)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def openflow_state_resources_slot_resouces_list_slot_match_profile_list_slot_chip_resource_list_get(self, slot_resouces_list=None, slot_match_profile_list=None, slot_chip_resource_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot_resouces_list (slot_id):
				slot_id (long):
					range - ['0..4294967295']

			- slot_match_profile_list (slot_match_profile_idx):
				slot_match_profile_idx (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- slot_chip_resource_list (slot_chip_idx):
				slot_chip_idx (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'slot_chip_resource_list', 'keyval': 'slot_chip_idx', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def opstest_state_arpentries_arpe_create(self, arpe=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- arpe (ip, ifname):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ifname (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.arpentries.arpe', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'arpe', 'keyval': 'ip, ifname', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arpe=arpe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_arpentries_arpe_delete(self, arpe=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- arpe (ip, ifname):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ifname (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.arpentries.arpe', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'arpe', 'keyval': 'ip, ifname', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arpe=arpe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_arpentries_arpe_update(self, arpe=None, hwaddr=None, permanent=None, published=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- arpe (ip, ifname):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ifname (unicode):

		This Instance Arg(s):
			- hwaddr (unicode):

			- permanent (YANGBool):

			- published (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.arpentries.arpe', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'arpe', 'keyval': 'ip, ifname', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arpe=arpe, hwaddr=hwaddr, permanent=permanent, published=published)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_arpentries_arpe_get(self, arpe=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- arpe (ip, ifname):
				ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ifname (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.arpentries.arpe', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'arpe', 'keyval': 'ip, ifname', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arpe=arpe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def opstest_state_routes_route_create(self, route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_routes_route_delete(self, route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_routes_route_update(self, route=None, entryMultipathIndex=None, prefixLength=None, gateway=None, outInterfaceName=None, outLabel=None, protocol=None, vifIndex=None, metric=None, useCount=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- entryMultipathIndex (long):
				range - ['0..4294967295']

			- prefixLength (long):
				range - ['0..4294967295']

			- gateway (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- outInterfaceName (unicode):

			- outLabel (long):
				range - ['0..4294967295']

			- protocol (unicode):

			- vifIndex (long):
				range - ['0..4294967295']

			- metric (long):
				range - ['0..4294967295']

			- useCount (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, entryMultipathIndex=entryMultipathIndex, prefixLength=prefixLength, gateway=gateway, outInterfaceName=outInterfaceName, outLabel=outLabel, protocol=protocol, vifIndex=vifIndex, metric=metric, useCount=useCount)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_routes_route_get(self, route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def opstest_state_routes_route_children_create(self, route=None, children=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- children (keyid):
				keyid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route')]
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'children', 'keyval': 'keyid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, children=children)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_routes_route_children_delete(self, route=None, children=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- children (keyid):
				keyid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route')]
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'children', 'keyval': 'keyid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, children=children)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_routes_route_children_update(self, route=None, children=None, parentKey=None, attr1=None, attr2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- children (keyid):
				keyid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- parentKey (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- attr1 (long):
				range - ['0..4294967295']

			- attr2 (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route')]
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'children', 'keyval': 'keyid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, children=children, parentKey=parentKey, attr1=attr1, attr2=attr2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_routes_route_children_get(self, route=None, children=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- children (keyid):
				keyid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route')]
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'children', 'keyval': 'keyid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, children=children)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def opstest_state_routes_route_children_layer2_create(self, route=None, children=None, layer2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- children (keyid):
				keyid (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- layer2 (layer2id):
				layer2id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, children=children, layer2=layer2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_routes_route_children_layer2_delete(self, route=None, children=None, layer2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- children (keyid):
				keyid (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- layer2 (layer2id):
				layer2id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, children=children, layer2=layer2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_routes_route_children_layer2_update(self, route=None, children=None, layer2=None, parentkeyid=None, grandparentKey=None, attr3=None, attr4=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- children (keyid):
				keyid (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- layer2 (layer2id):
				layer2id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- parentkeyid (long):
				range - ['0..4294967295']

			- grandparentKey (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- attr3 (long):
				range - ['0..4294967295']

			- attr4 (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, children=children, layer2=layer2, parentkeyid=parentkeyid, grandparentKey=grandparentKey, attr3=attr3, attr4=attr4)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_routes_route_children_layer2_get(self, route=None, children=None, layer2=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route (destPrefix):
				destPrefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- children (keyid):
				keyid (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- layer2 (layer2id):
				layer2id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, children=children, layer2=layer2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def opstest_state_summary_update(self, paths_configured=None, lsps_configured=None, lsps_enabled=None, lsps_operational=None, detour_lsps_up=None, backup_lsps_up=None, bypass_lsps=None, bypass_lspsUp=None, bypass_lspsEnabled=None, ldp_lsps_operational=None, transit_lsps_configured=None, transit_lsps_enabled=None, transit_lsps_operational=None, cspf_groups_configured=None, tunnels_supported=None, tunnels_allocated=None, cross_connects_supported=None, cross_connects_allocated=None, autobw_templates_supported=None, autobw_templates_configured=None, times_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- paths_configured (long):
				range - ['0..4294967295']

			- lsps_configured (long):
				range - ['0..4294967295']

			- lsps_enabled (long):
				range - ['0..4294967295']

			- lsps_operational (long):
				range - ['0..4294967295']

			- detour_lsps_up (long):
				range - ['0..4294967295']

			- backup_lsps_up (long):
				range - ['0..4294967295']

			- bypass_lsps (long):
				range - ['0..4294967295']

			- bypass_lspsUp (long):
				range - ['0..4294967295']

			- bypass_lspsEnabled (long):
				range - ['0..4294967295']

			- ldp_lsps_operational (long):
				range - ['0..4294967295']

			- transit_lsps_configured (long):
				range - ['0..4294967295']

			- transit_lsps_enabled (long):
				range - ['0..4294967295']

			- transit_lsps_operational (long):
				range - ['0..4294967295']

			- cspf_groups_configured (long):
				range - ['0..4294967295']

			- tunnels_supported (long):
				range - ['0..4294967295']

			- tunnels_allocated (long):
				range - ['0..4294967295']

			- cross_connects_supported (long):
				range - ['0..4294967295']

			- cross_connects_allocated (long):
				range - ['0..4294967295']

			- autobw_templates_supported (long):
				range - ['0..4294967295']

			- autobw_templates_configured (long):
				range - ['0..4294967295']

			- times_enabled (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lspsUp=bypass_lspsUp, bypass_lspsEnabled=bypass_lspsEnabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, autobw_templates_supported=autobw_templates_supported, autobw_templates_configured=autobw_templates_configured, times_enabled=times_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def opstest_state_summary_autobw_templates_configured_update(self, paths_configured=None, lsps_configured=None, lsps_enabled=None, lsps_operational=None, detour_lsps_up=None, backup_lsps_up=None, bypass_lsps=None, bypass_lspsUp=None, bypass_lspsEnabled=None, ldp_lsps_operational=None, transit_lsps_configured=None, transit_lsps_enabled=None, transit_lsps_operational=None, cspf_groups_configured=None, tunnels_supported=None, tunnels_allocated=None, cross_connects_supported=None, cross_connects_allocated=None, autobw_templates_supported=None, autobw_templates_configured=None, times_enabled=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- paths_configured (long):
				range - ['0..4294967295']

			- lsps_configured (long):
				range - ['0..4294967295']

			- lsps_enabled (long):
				range - ['0..4294967295']

			- lsps_operational (long):
				range - ['0..4294967295']

			- detour_lsps_up (long):
				range - ['0..4294967295']

			- backup_lsps_up (long):
				range - ['0..4294967295']

			- bypass_lsps (long):
				range - ['0..4294967295']

			- bypass_lspsUp (long):
				range - ['0..4294967295']

			- bypass_lspsEnabled (long):
				range - ['0..4294967295']

			- ldp_lsps_operational (long):
				range - ['0..4294967295']

			- transit_lsps_configured (long):
				range - ['0..4294967295']

			- transit_lsps_enabled (long):
				range - ['0..4294967295']

			- transit_lsps_operational (long):
				range - ['0..4294967295']

			- cspf_groups_configured (long):
				range - ['0..4294967295']

			- tunnels_supported (long):
				range - ['0..4294967295']

			- tunnels_allocated (long):
				range - ['0..4294967295']

			- cross_connects_supported (long):
				range - ['0..4294967295']

			- cross_connects_allocated (long):
				range - ['0..4294967295']

			- autobw_templates_supported (long):
				range - ['0..4294967295']

			- autobw_templates_configured (long):
				range - ['0..4294967295']

			- times_enabled (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lspsUp=bypass_lspsUp, bypass_lspsEnabled=bypass_lspsEnabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, autobw_templates_supported=autobw_templates_supported, autobw_templates_configured=autobw_templates_configured, times_enabled=times_enabled)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_extended_create(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (ext_user_acl_name):
				ext_user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'ext_user_acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_extended_delete(self, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (ext_user_acl_name):
				ext_user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'ext_user_acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_extended_get(self, extended=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended (ext_user_acl_name):
				ext_user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'ext_user_acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_access_list_type_vxlan_extended_seq_create(self, extended=None, ext_seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (ext_user_acl_name):
				ext_user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- ext_seq (ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any):
				ext_seq_num (long):
					range - ['0..4294967295']

				ext_permit_deny (unicode):
					enum - [u'deny', u'permit']

				ext_dst_vtep_ip (unicode):
					yang info - dst vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ext_dst_vtep_ip_any (YANGBool):
					yang info - dst vtep ip address: any

				ext_src_vtep_ip (unicode):
					yang info - src vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ext_src_vtep_ip_any (YANGBool):
					yang info - src vtep ip address: any

				ext_vni (long):
					yang info - vni number: 1..16777215
					range - ['0..4294967295']

				ext_vni_any (YANGBool):
					yang info - vni any

				ext_vni_mask (unicode):
					yang info - vni mask:Hexadecimal 0..FFFFFF
					pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

				ext_count (YANGBool):
					yang info - count

				ext_mirror (unicode):
					yang info - mirror <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				ext_redirect (unicode):
					yang info - redirect <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				ext_sflow (YANGBool):
					yang info - sflow

				native (YANGBool):

				tag (unicode):
					enum - [u'none', u'single', u'any']

				dst_ip_host (unicode):
					yang info - dst ip host: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_ip (unicode):
					yang info - dst ip: A.B.C.D/mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				dst_ip_any (YANGBool):
					yang info - dst ip address: any

				src_ip_host (unicode):
					yang info - src ip host: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip (unicode):
					yang info - src ip: A.B.C.D/mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				src_ip_any (YANGBool):
					yang info - src ip address: any

				dst_port (long):
					range - ['0..4294967295']

				dst_port_any (YANGBool):
					yang info - dst-port-any

				src_port (long):
					range - ['0..4294967295']

				src_port_any (YANGBool):
					yang info - src-port-any

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': 'ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, ext_seq=ext_seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_extended_seq_delete(self, extended=None, ext_seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (ext_user_acl_name):
				ext_user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- ext_seq (ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any):
				ext_seq_num (long):
					range - ['0..4294967295']

				ext_permit_deny (unicode):
					enum - [u'deny', u'permit']

				ext_dst_vtep_ip (unicode):
					yang info - dst vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ext_dst_vtep_ip_any (YANGBool):
					yang info - dst vtep ip address: any

				ext_src_vtep_ip (unicode):
					yang info - src vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ext_src_vtep_ip_any (YANGBool):
					yang info - src vtep ip address: any

				ext_vni (long):
					yang info - vni number: 1..16777215
					range - ['0..4294967295']

				ext_vni_any (YANGBool):
					yang info - vni any

				ext_vni_mask (unicode):
					yang info - vni mask:Hexadecimal 0..FFFFFF
					pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

				ext_count (YANGBool):
					yang info - count

				ext_mirror (unicode):
					yang info - mirror <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				ext_redirect (unicode):
					yang info - redirect <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				ext_sflow (YANGBool):
					yang info - sflow

				native (YANGBool):

				tag (unicode):
					enum - [u'none', u'single', u'any']

				dst_ip_host (unicode):
					yang info - dst ip host: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_ip (unicode):
					yang info - dst ip: A.B.C.D/mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				dst_ip_any (YANGBool):
					yang info - dst ip address: any

				src_ip_host (unicode):
					yang info - src ip host: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip (unicode):
					yang info - src ip: A.B.C.D/mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				src_ip_any (YANGBool):
					yang info - src ip address: any

				dst_port (long):
					range - ['0..4294967295']

				dst_port_any (YANGBool):
					yang info - dst-port-any

				src_port (long):
					range - ['0..4294967295']

				src_port_any (YANGBool):
					yang info - src-port-any

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': 'ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, ext_seq=ext_seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_extended_seq_update(self, extended=None, ext_seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (ext_user_acl_name):
				ext_user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- ext_seq (ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any):
				ext_seq_num (long):
					range - ['0..4294967295']

				ext_permit_deny (unicode):
					enum - [u'deny', u'permit']

				ext_dst_vtep_ip (unicode):
					yang info - dst vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ext_dst_vtep_ip_any (YANGBool):
					yang info - dst vtep ip address: any

				ext_src_vtep_ip (unicode):
					yang info - src vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ext_src_vtep_ip_any (YANGBool):
					yang info - src vtep ip address: any

				ext_vni (long):
					yang info - vni number: 1..16777215
					range - ['0..4294967295']

				ext_vni_any (YANGBool):
					yang info - vni any

				ext_vni_mask (unicode):
					yang info - vni mask:Hexadecimal 0..FFFFFF
					pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

				ext_count (YANGBool):
					yang info - count

				ext_mirror (unicode):
					yang info - mirror <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				ext_redirect (unicode):
					yang info - redirect <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				ext_sflow (YANGBool):
					yang info - sflow

				native (YANGBool):

				tag (unicode):
					enum - [u'none', u'single', u'any']

				dst_ip_host (unicode):
					yang info - dst ip host: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_ip (unicode):
					yang info - dst ip: A.B.C.D/mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				dst_ip_any (YANGBool):
					yang info - dst ip address: any

				src_ip_host (unicode):
					yang info - src ip host: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip (unicode):
					yang info - src ip: A.B.C.D/mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				src_ip_any (YANGBool):
					yang info - src ip address: any

				dst_port (long):
					range - ['0..4294967295']

				dst_port_any (YANGBool):
					yang info - dst-port-any

				src_port (long):
					range - ['0..4294967295']

				src_port_any (YANGBool):
					yang info - src-port-any

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': 'ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, ext_seq=ext_seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_extended_seq_get(self, extended=None, ext_seq=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- extended (ext_user_acl_name):
				ext_user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- ext_seq (ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any):
				ext_seq_num (long):
					range - ['0..4294967295']

				ext_permit_deny (unicode):
					enum - [u'deny', u'permit']

				ext_dst_vtep_ip (unicode):
					yang info - dst vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ext_dst_vtep_ip_any (YANGBool):
					yang info - dst vtep ip address: any

				ext_src_vtep_ip (unicode):
					yang info - src vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				ext_src_vtep_ip_any (YANGBool):
					yang info - src vtep ip address: any

				ext_vni (long):
					yang info - vni number: 1..16777215
					range - ['0..4294967295']

				ext_vni_any (YANGBool):
					yang info - vni any

				ext_vni_mask (unicode):
					yang info - vni mask:Hexadecimal 0..FFFFFF
					pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

				ext_count (YANGBool):
					yang info - count

				ext_mirror (unicode):
					yang info - mirror <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				ext_redirect (unicode):
					yang info - redirect <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				ext_sflow (YANGBool):
					yang info - sflow

				native (YANGBool):

				tag (unicode):
					enum - [u'none', u'single', u'any']

				dst_ip_host (unicode):
					yang info - dst ip host: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_ip (unicode):
					yang info - dst ip: A.B.C.D/mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				dst_ip_any (YANGBool):
					yang info - dst ip address: any

				src_ip_host (unicode):
					yang info - src ip host: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_ip (unicode):
					yang info - src ip: A.B.C.D/mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				src_ip_any (YANGBool):
					yang info - src ip address: any

				dst_port (long):
					range - ['0..4294967295']

				dst_port_any (YANGBool):
					yang info - dst-port-any

				src_port (long):
					range - ['0..4294967295']

				src_port_any (YANGBool):
					yang info - src-port-any

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': 'ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, ext_seq=ext_seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_access_list_type_vxlan_standard_create(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (user_acl_name):
				user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'user_acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_standard_delete(self, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (user_acl_name):
				user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'user_acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_standard_get(self, standard=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- standard (user_acl_name):
				user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'user_acl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_access_list_type_vxlan_standard_seq_create(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (user_acl_name):
				user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow):
				seq_num (long):
					range - ['0..4294967295']

				permit_deny (unicode):
					enum - [u'deny', u'permit']

				dst_vtep_ip (unicode):
					yang info - dst vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_vtep_ip_any (YANGBool):
					yang info - dst vtep ip address: any

				src_vtep_ip (unicode):
					yang info - src vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_vtep_ip_any (YANGBool):
					yang info - src vtep ip address: any

				vni (long):
					yang info - vni number: 1..16777215
					range - ['0..4294967295']

				vni_any (YANGBool):
					yang info - vni any

				vni_mask (unicode):
					yang info - vni mask:Hexadecimal 0..FFFFFF
					pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

				count (YANGBool):
					yang info - count

				redirect (unicode):
					yang info - redirect <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				sflow (YANGBool):
					yang info - sflow

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': 'seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_standard_seq_delete(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (user_acl_name):
				user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow):
				seq_num (long):
					range - ['0..4294967295']

				permit_deny (unicode):
					enum - [u'deny', u'permit']

				dst_vtep_ip (unicode):
					yang info - dst vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_vtep_ip_any (YANGBool):
					yang info - dst vtep ip address: any

				src_vtep_ip (unicode):
					yang info - src vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_vtep_ip_any (YANGBool):
					yang info - src vtep ip address: any

				vni (long):
					yang info - vni number: 1..16777215
					range - ['0..4294967295']

				vni_any (YANGBool):
					yang info - vni any

				vni_mask (unicode):
					yang info - vni mask:Hexadecimal 0..FFFFFF
					pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

				count (YANGBool):
					yang info - count

				redirect (unicode):
					yang info - redirect <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				sflow (YANGBool):
					yang info - sflow

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': 'seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_standard_seq_update(self, standard=None, seq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (user_acl_name):
				user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow):
				seq_num (long):
					range - ['0..4294967295']

				permit_deny (unicode):
					enum - [u'deny', u'permit']

				dst_vtep_ip (unicode):
					yang info - dst vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_vtep_ip_any (YANGBool):
					yang info - dst vtep ip address: any

				src_vtep_ip (unicode):
					yang info - src vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_vtep_ip_any (YANGBool):
					yang info - src vtep ip address: any

				vni (long):
					yang info - vni number: 1..16777215
					range - ['0..4294967295']

				vni_any (YANGBool):
					yang info - vni any

				vni_mask (unicode):
					yang info - vni mask:Hexadecimal 0..FFFFFF
					pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

				count (YANGBool):
					yang info - count

				redirect (unicode):
					yang info - redirect <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				sflow (YANGBool):
					yang info - sflow

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': 'seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_access_list_type_vxlan_standard_seq_get(self, standard=None, seq=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- standard (user_acl_name):
				user_acl_name (unicode):
					yang info - Access List Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- seq (seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow):
				seq_num (long):
					range - ['0..4294967295']

				permit_deny (unicode):
					enum - [u'deny', u'permit']

				dst_vtep_ip (unicode):
					yang info - dst vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				dst_vtep_ip_any (YANGBool):
					yang info - dst vtep ip address: any

				src_vtep_ip (unicode):
					yang info - src vtep ip address: A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				src_vtep_ip_any (YANGBool):
					yang info - src vtep ip address: any

				vni (long):
					yang info - vni number: 1..16777215
					range - ['0..4294967295']

				vni_any (YANGBool):
					yang info - vni any

				vni_mask (unicode):
					yang info - vni mask:Hexadecimal 0..FFFFFF
					pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

				count (YANGBool):
					yang info - count

				redirect (unicode):
					yang info - redirect <interface-name>
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				sflow (YANGBool):
					yang info - sflow

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': 'seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_gateway_create(self, overlay_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'overlay_gateway', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_delete(self, overlay_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'overlay_gateway', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_update(self, overlay_gateway=None, gw_type=None, activate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- gw_type (unicode):
				yang info - Configure the type of Overlay Gateway.
				enum - [u'nsx', u'layer2-extension']

			- activate (YANGBool):
				yang info - Activate the Overlay Gateway instance

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'overlay_gateway', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, gw_type=gw_type, activate=activate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_get(self, overlay_gateway=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'overlay_gateway', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_gateway_attach_rbridge_id_update(self, overlay_gateway=None, rb_add=None, rb_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- rb_add (unicode):
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- rb_remove (unicode):
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.attach.rbridge_id', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, rb_add=rb_add, rb_remove=rb_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_attach_rbridge_id_add_update(self, overlay_gateway=None, rb_add=None, rb_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- rb_add (unicode):
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- rb_remove (unicode):
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.attach.rbridge_id', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, rb_add=rb_add, rb_remove=rb_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_attach_vlan_create(self, overlay_gateway=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- vlan (vid, mac):
				vid (long):
					range - ['0..4294967295']

				mac (unicode):
					yang info - Configure VLAN-MAC attachment

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.attach.vlan', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.attach.vlan', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.attach.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.attach.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'vid, mac', 'extra_keyval': 'vid, mac'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_attach_vlan_delete(self, overlay_gateway=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- vlan (vid, mac):
				vid (long):
					range - ['0..4294967295']

				mac (unicode):
					yang info - Configure VLAN-MAC attachment

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.attach.vlan', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.attach.vlan', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.attach.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.attach.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'vid, mac', 'extra_keyval': 'vid, mac'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_attach_vlan_get(self, overlay_gateway=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- vlan (vid, mac):
				vid (long):
					range - ['0..4294967295']

				mac (unicode):
					yang info - Configure VLAN-MAC attachment

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.attach.vlan', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.attach.vlan', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.attach.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.attach.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'vid, mac', 'extra_keyval': 'vid, mac'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_gateway_enable_statistics_update(self, overlay_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.enable.statistics', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.enable.statistics', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.enable.statistics', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.enable.statistics', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stats_direction, vlan_action, vlan_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_enable_statistics_direction_update(self, overlay_gateway=None, stats_direction=None, vlan_action=None, vlan_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- stats_direction (unicode):
				yang info - Specify flow direction
				enum - [u'both', u'rx', u'tx']

			- vlan_action (unicode):
				yang info - Target VLANs
				enum - [u'add', u'remove']

			- vlan_list (unicode):
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.enable.statistics', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.enable.statistics', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.enable.statistics', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.enable.statistics', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, stats_direction=stats_direction, vlan_action=vlan_action, vlan_list=vlan_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_ip_update(self, overlay_gateway=None, ipv4_acl_in_name=None, ipv4_acl_in_dir=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- ipv4_acl_in_name (unicode):
				yang info - Configure IPv4 access-group name
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- ipv4_acl_in_dir (YANGBool):
				yang info - Configure IPv4 access-group in ingress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.overlay_gateway.ip', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.overlay_gateway.ip', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.overlay_gateway.ip', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv4_acl_in_name=ipv4_acl_in_name, ipv4_acl_in_dir=ipv4_acl_in_dir)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_ip_in_update(self, overlay_gateway=None, ipv4_acl_in_name=None, ipv4_acl_in_dir=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- ipv4_acl_in_name (unicode):
				yang info - Configure IPv4 access-group name
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- ipv4_acl_in_dir (YANGBool):
				yang info - Configure IPv4 access-group in ingress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv4_acl_in_name=ipv4_acl_in_name, ipv4_acl_in_dir=ipv4_acl_in_dir)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_ip_interface_loopback_update(self, overlay_gateway=None, loopback_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- loopback_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.ip.interface.loopback', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.ip.interface.loopback', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.ip.interface.loopback', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip.interface.loopback', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, loopback_id=loopback_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_ip_interface_ve_update(self, overlay_gateway=None, ve_id=None, vrrp_extended_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- ve_id (long):
				range - ['0..4294967295']

			- vrrp_extended_group (int):
				yang info - VRRP-E group id
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.ip.interface.ve', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.ip.interface.ve', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.ip.interface.ve', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ve_id=ve_id, vrrp_extended_group=vrrp_extended_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_ip_out_update(self, overlay_gateway=None, ipv4_acl_out_name=None, ipv4_acl_out_dir=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- ipv4_acl_out_name (unicode):
				yang info - Configure IPv4 access-group name
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- ipv4_acl_out_dir (YANGBool):
				yang info - Configure IPv4 access-group in egress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv4_acl_out_name=ipv4_acl_out_name, ipv4_acl_out_dir=ipv4_acl_out_dir)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_ipv6_update(self, overlay_gateway=None, ipv6_acl_in_name=None, ipv6_acl_in_dir=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- ipv6_acl_in_name (unicode):
				yang info - Configure IPv6 access-group name
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- ipv6_acl_in_dir (YANGBool):
				yang info - Configure IPv6 access-group in ingress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv6_acl_in_name=ipv6_acl_in_name, ipv6_acl_in_dir=ipv6_acl_in_dir)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_ipv6_in_update(self, overlay_gateway=None, ipv6_acl_in_name=None, ipv6_acl_in_dir=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- ipv6_acl_in_name (unicode):
				yang info - Configure IPv6 access-group name
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- ipv6_acl_in_dir (YANGBool):
				yang info - Configure IPv6 access-group in ingress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv6_acl_in_name=ipv6_acl_in_name, ipv6_acl_in_dir=ipv6_acl_in_dir)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_ipv6_out_update(self, overlay_gateway=None, ipv6_acl_out_name=None, ipv6_acl_out_dir=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- ipv6_acl_out_name (unicode):
				yang info - Configure IPv6 access-group name
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- ipv6_acl_out_dir (YANGBool):
				yang info - Configure IPv6 access-group in egress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv6_acl_out_name=ipv6_acl_out_name, ipv6_acl_out_dir=ipv6_acl_out_dir)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_mac_update(self, overlay_gateway=None, mac_acl_in_name=None, mac_acl_in_dir=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- mac_acl_in_name (unicode):
				yang info - Configure MAC access-group name
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- mac_acl_in_dir (YANGBool):
				yang info - Configure MAC access-group in ingress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.overlay_gateway.access_lists.mac.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, mac_acl_in_name=mac_acl_in_name, mac_acl_in_dir=mac_acl_in_dir)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_mac_in_update(self, overlay_gateway=None, mac_acl_in_name=None, mac_acl_in_dir=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- mac_acl_in_name (unicode):
				yang info - Configure MAC access-group name
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- mac_acl_in_dir (YANGBool):
				yang info - Configure MAC access-group in ingress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, mac_acl_in_name=mac_acl_in_name, mac_acl_in_dir=mac_acl_in_dir)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_mac_out_update(self, overlay_gateway=None, mac_acl_out_name=None, mac_acl_out_dir=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- mac_acl_out_name (unicode):
				yang info - Configure MAC access-group name
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- mac_acl_out_dir (YANGBool):
				yang info - Configure MAC access-group in egress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.mac.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, mac_acl_out_name=mac_acl_out_name, mac_acl_out_dir=mac_acl_out_dir)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_map_create(self, overlay_gateway=None, vlan_vni_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- vlan_vni_mapping (vid):
				vid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan_vni_mapping', 'keyval': 'vid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, vlan_vni_mapping=vlan_vni_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_map_delete(self, overlay_gateway=None, vlan_vni_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- vlan_vni_mapping (vid):
				vid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan_vni_mapping', 'keyval': 'vid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, vlan_vni_mapping=vlan_vni_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_map_update(self, overlay_gateway=None, vlan_vni_mapping=None, vni=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- vlan_vni_mapping (vid):
				vid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vni (long):
				yang info - Specify VNI mapping for the VLAN.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan_vni_mapping', 'keyval': 'vid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, vlan_vni_mapping=vlan_vni_mapping, vni=vni)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_map_get(self, overlay_gateway=None, vlan_vni_mapping=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- vlan_vni_mapping (vid):
				vid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan_vni_mapping', 'keyval': 'vid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, vlan_vni_mapping=vlan_vni_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_gateway_map_vlan_vni_update(self, overlay_gateway=None, auto=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- auto (YANGBool):
				yang info - Specify auto vlan to vni mapping.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.map_.vlan.vni', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan.vni', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, auto=auto)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_map_vlan_vni_auto_update(self, overlay_gateway=None, auto=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- auto (YANGBool):
				yang info - Specify auto vlan to vni mapping.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.map_.vlan.vni', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan.vni', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, auto=auto)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_monitor_create(self, overlay_gateway=None, monitor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- monitor (session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range):
				session (long):
					yang info - Session number
					range - ['0..4294967295']

				direction (unicode):
					yang info - Specify flow direction
					enum - [u'both', u'rx', u'tx']

				remote_endpoint (unicode):
					yang info - Tunnel destination end point address
					enum - [u'any']

				vlan_leaf (unicode):
					yang info - Target VLAN IDs
					enum - [u'vlan']

				vlan_add_remove (unicode):
					enum - [u'add', u'remove']

				vlan_range (unicode):
					pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.monitor', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.monitor', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': 'session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, monitor=monitor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_monitor_delete(self, overlay_gateway=None, monitor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- monitor (session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range):
				session (long):
					yang info - Session number
					range - ['0..4294967295']

				direction (unicode):
					yang info - Specify flow direction
					enum - [u'both', u'rx', u'tx']

				remote_endpoint (unicode):
					yang info - Tunnel destination end point address
					enum - [u'any']

				vlan_leaf (unicode):
					yang info - Target VLAN IDs
					enum - [u'vlan']

				vlan_add_remove (unicode):
					enum - [u'add', u'remove']

				vlan_range (unicode):
					pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.monitor', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.monitor', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': 'session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, monitor=monitor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_monitor_update(self, overlay_gateway=None, monitor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- monitor (session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range):
				session (long):
					yang info - Session number
					range - ['0..4294967295']

				direction (unicode):
					yang info - Specify flow direction
					enum - [u'both', u'rx', u'tx']

				remote_endpoint (unicode):
					yang info - Tunnel destination end point address
					enum - [u'any']

				vlan_leaf (unicode):
					yang info - Target VLAN IDs
					enum - [u'vlan']

				vlan_add_remove (unicode):
					enum - [u'add', u'remove']

				vlan_range (unicode):
					pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.monitor', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.monitor', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': 'session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, monitor=monitor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_monitor_get(self, overlay_gateway=None, monitor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- monitor (session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range):
				session (long):
					yang info - Session number
					range - ['0..4294967295']

				direction (unicode):
					yang info - Specify flow direction
					enum - [u'both', u'rx', u'tx']

				remote_endpoint (unicode):
					yang info - Tunnel destination end point address
					enum - [u'any']

				vlan_leaf (unicode):
					yang info - Target VLAN IDs
					enum - [u'vlan']

				vlan_add_remove (unicode):
					enum - [u'add', u'remove']

				vlan_range (unicode):
					pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.monitor', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.monitor', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': 'session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, monitor=monitor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_gateway_sflow_create(self, overlay_gateway=None, sflow=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- sflow (sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range):
				sflow_profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				sflow_remote_endpoint (unicode):
					yang info - Tunnel destination end point address
					enum - [u'any']

				sflow_vlan_action (unicode):
					yang info - Target VLAN IDs
					enum - [u'add', u'remove']

				sflow_vlan_range (unicode):
					pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.sflow', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.sflow', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.sflow', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.sflow', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sflow', 'keyval': 'sflow_profile_name', 'extra_keyval': 'sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, sflow=sflow)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_sflow_delete(self, overlay_gateway=None, sflow=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- sflow (sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range):
				sflow_profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				sflow_remote_endpoint (unicode):
					yang info - Tunnel destination end point address
					enum - [u'any']

				sflow_vlan_action (unicode):
					yang info - Target VLAN IDs
					enum - [u'add', u'remove']

				sflow_vlan_range (unicode):
					pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.sflow', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.sflow', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.sflow', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.sflow', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sflow', 'keyval': 'sflow_profile_name', 'extra_keyval': 'sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, sflow=sflow)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_sflow_update(self, overlay_gateway=None, sflow=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- sflow (sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range):
				sflow_profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				sflow_remote_endpoint (unicode):
					yang info - Tunnel destination end point address
					enum - [u'any']

				sflow_vlan_action (unicode):
					yang info - Target VLAN IDs
					enum - [u'add', u'remove']

				sflow_vlan_range (unicode):
					pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.sflow', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.sflow', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.sflow', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.sflow', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sflow', 'keyval': 'sflow_profile_name', 'extra_keyval': 'sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, sflow=sflow)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_sflow_get(self, overlay_gateway=None, sflow=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- sflow (sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range):
				sflow_profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				sflow_remote_endpoint (unicode):
					yang info - Tunnel destination end point address
					enum - [u'any']

				sflow_vlan_action (unicode):
					yang info - Target VLAN IDs
					enum - [u'add', u'remove']

				sflow_vlan_range (unicode):
					pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.sflow', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.sflow', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.sflow', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.sflow', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'sflow', 'keyval': 'sflow_profile_name', 'extra_keyval': 'sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, sflow=sflow)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_gateway_site_create(self, overlay_gateway=None, site=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'site', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_delete(self, overlay_gateway=None, site=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'site', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_update(self, overlay_gateway=None, site=None, bfd_enable=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Create BFD session for the tunnels to the remote site.

			- shutdown (YANGBool):
				yang info - Admin disable tunnels to the remote site

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'site', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, bfd_enable=bfd_enable, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_get(self, overlay_gateway=None, site=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Keyword Arg Tuple:
			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'site', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_gateway_site_bfd_update(self, overlay_gateway=None, site=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session for the tunnels 
to the remote site.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.bfd.params', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.bfd.params', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_bfd_interval_update(self, overlay_gateway=None, site=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_bfd_interval_min_rx_update(self, overlay_gateway=None, site=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_bfd_shutdown_update(self, overlay_gateway=None, site=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session for the tunnels 
to the remote site.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.bfd.params', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.bfd.params', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_extend_vlan_update(self, overlay_gateway=None, site=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Arg(s):
			- add_ (unicode):
				yang info - VLAN IDs to add
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- remove_ (unicode):
				yang info - VLAN IDs to remove
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.extend.vlan', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.extend.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_extend_vlan_add_update(self, overlay_gateway=None, site=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Arg(s):
			- add_ (unicode):
				yang info - VLAN IDs to add
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- remove_ (unicode):
				yang info - VLAN IDs to remove
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.extend.vlan', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.extend.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_ip_create(self, overlay_gateway=None, site=None, tunnel_dst=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Keyword Arg Tuple:
			- tunnel_dst (address):
				address (unicode):
					yang info - Tunnel destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.tunnel_dst', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.tunnel_dst', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.tunnel_dst', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.tunnel_dst', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'tunnel_dst', 'keyval': 'address', 'extra_keyval': 'address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, tunnel_dst=tunnel_dst)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_ip_delete(self, overlay_gateway=None, site=None, tunnel_dst=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Keyword Arg Tuple:
			- tunnel_dst (address):
				address (unicode):
					yang info - Tunnel destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.tunnel_dst', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.tunnel_dst', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.tunnel_dst', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.tunnel_dst', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'tunnel_dst', 'keyval': 'address', 'extra_keyval': 'address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, tunnel_dst=tunnel_dst)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_ip_get(self, overlay_gateway=None, site=None, tunnel_dst=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Keyword Arg Tuple:
			- tunnel_dst (address):
				address (unicode):
					yang info - Tunnel destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.tunnel_dst', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.tunnel_dst', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.tunnel_dst', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.tunnel_dst', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'tunnel_dst', 'keyval': 'address', 'extra_keyval': 'address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, tunnel_dst=tunnel_dst)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_gateway_site_mac_learning_update(self, overlay_gateway=None, site=None, protocol=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Arg(s):
			- protocol (unicode):
				yang info - Configure control plane MAC learning protocol
				enum - [u'bgp']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v7_0_1a.overlay_gateway.site.mac_learning', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.mac_learning', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, protocol=protocol)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_gateway_site_mac_learning_protocol_update(self, overlay_gateway=None, site=None, protocol=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_gateway (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,32}

			- site (name):
				name (unicode):
					pattern - [-_a-zA-Z0-9]{1,63}

		This Instance Arg(s):
			- protocol (unicode):
				yang info - Configure control plane MAC learning protocol
				enum - [u'bgp']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
        bindings_list = [('pybind.nos.v7_0_1a.overlay_gateway.site.mac_learning', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.mac_learning', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, protocol=protocol)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_transit_create(self, overlay_transit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- overlay_transit (user_transit_name):
				user_transit_name (unicode):
					yang info - User Transit Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'overlay_transit', 'keyval': 'user_transit_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_transit=overlay_transit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_transit_delete(self, overlay_transit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- overlay_transit (user_transit_name):
				user_transit_name (unicode):
					yang info - User Transit Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'overlay_transit', 'keyval': 'user_transit_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_transit=overlay_transit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_transit_get(self, overlay_transit=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- overlay_transit (user_transit_name):
				user_transit_name (unicode):
					yang info - User Transit Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'overlay_transit', 'keyval': 'user_transit_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_transit=overlay_transit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_transit_overlay_create(self, overlay_transit=None, transit_overlay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_transit (user_transit_name):
				user_transit_name (unicode):
					yang info - User Transit Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- transit_overlay (access_group, in_out):
				access_group (unicode):
					yang info - Access Group Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

				in_out (unicode):
					enum - [u'in', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_transit', 'overlay_transit')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit.transit_overlay', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'user_transit_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'transit_overlay', 'keyval': 'access_group, in_out', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_transit=overlay_transit, transit_overlay=transit_overlay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_transit_overlay_delete(self, overlay_transit=None, transit_overlay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_transit (user_transit_name):
				user_transit_name (unicode):
					yang info - User Transit Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- transit_overlay (access_group, in_out):
				access_group (unicode):
					yang info - Access Group Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

				in_out (unicode):
					enum - [u'in', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_transit', 'overlay_transit')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit.transit_overlay', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'user_transit_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'transit_overlay', 'keyval': 'access_group, in_out', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_transit=overlay_transit, transit_overlay=transit_overlay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_transit_overlay_get(self, overlay_transit=None, transit_overlay=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- overlay_transit (user_transit_name):
				user_transit_name (unicode):
					yang info - User Transit Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

		This Instance Keyword Arg Tuple:
			- transit_overlay (access_group, in_out):
				access_group (unicode):
					yang info - Access Group Name (Max 63)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

				in_out (unicode):
					enum - [u'in', u'out']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.overlay_transit', 'overlay_transit')]
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit.transit_overlay', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'user_transit_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'transit_overlay', 'keyval': 'access_group, in_out', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_transit=overlay_transit, transit_overlay=transit_overlay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_transit_state_update(self, overlay_transit_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- overlay_transit_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_transit_name=overlay_transit_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_transit_state_extended_data_create(self, extended_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended_data=extended_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_transit_state_extended_data_delete(self, extended_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended_data=extended_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_transit_state_extended_data_update(self, extended_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, transit_name=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- permit_deny (unicode):

			- dst_vtep_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- src_vtep_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- vni (unicode):

			- vni_mask (unicode):

			- native_tag (unicode):

			- dst_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- dst_ip_mask (int):
				range - ['0..65535']

			- src_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- src_ip_mask (int):
				range - ['0..65535']

			- dst_port (int):
				range - ['0..65535']

			- src_port (int):
				range - ['0..65535']

			- count (long):
				range - ['0..18446744073709551615']

			- byte_count (long):
				range - ['0..18446744073709551615']

			- transit_name (unicode):

			- sflow (YANGBool):

			- redir_interface (unicode):

			- mirror_interface (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended_data=extended_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def overlay_transit_state_extended_data_get(self, extended_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended_data=extended_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def overlay_transit_state_overlay_transit_name_update(self, overlay_transit_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- overlay_transit_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_transit_name=overlay_transit_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ovsdb_server_create(self, ovsdb_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- ovsdb_server (name):
				name (unicode):
					yang info - Ovsdb server name
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.ovsdb_server', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ovsdb_server', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'ovsdb_server', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ovsdb_server=ovsdb_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ovsdb_server_delete(self, ovsdb_server=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- ovsdb_server (name):
				name (unicode):
					yang info - Ovsdb server name
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.ovsdb_server', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ovsdb_server', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'ovsdb_server', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ovsdb_server=ovsdb_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ovsdb_server_update(self, ovsdb_server=None, port=None, activate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- ovsdb_server (name):
				name (unicode):
					yang info - Ovsdb server name
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- port (long):
				yang info - OVSDB server port number
				range - ['0..4294967295']

			- activate (YANGBool):
				yang info - Activate the server

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.ovsdb_server', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ovsdb_server', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'ovsdb_server', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ovsdb_server=ovsdb_server, port=port, activate=activate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ovsdb_server_get(self, ovsdb_server=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- ovsdb_server (name):
				name (unicode):
					yang info - Ovsdb server name
					pattern - [-_a-zA-Z0-9]{1,32}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.ovsdb_server', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ovsdb_server', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'ovsdb_server', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ovsdb_server=ovsdb_server)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ovsdb_server_ip_update(self, ovsdb_server=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ovsdb_server (name):
				name (unicode):
					yang info - Ovsdb server name
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- address (unicode):
				yang info - IPv4 address of the OVSDB server or client to connect.
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.ovsdb_server', 'ovsdb_server')]
        bindings_list = [('pybind.nos.v7_1_0.ovsdb_server.ip', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ovsdb_server=ovsdb_server, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ovsdb_server_ip_address_update(self, ovsdb_server=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- ovsdb_server (name):
				name (unicode):
					yang info - Ovsdb server name
					pattern - [-_a-zA-Z0-9]{1,32}

		This Instance Arg(s):
			- address (unicode):
				yang info - IPv4 address of the OVSDB server or client to connect.
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.ovsdb_server', 'ovsdb_server')]
        bindings_list = [('pybind.nos.v7_1_0.ovsdb_server.ip', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ovsdb_server=ovsdb_server, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def password_attributes_update(self, min_length=None, max_retry=None, max_lockout_duration=None, admin_lockout_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- min_length (long):
				yang info - Minimum length of the password. (default=8)
				range - ['0..4294967295']

			- max_retry (long):
				yang info - Maximum number of login retries before which
 the user account is locked. 0 for unlimited
 login retries. (default=0)
				range - ['0..4294967295']

			- max_lockout_duration (long):
				yang info - Maximum number of minutes after which 
 the user account is unlocked. (default=0)
				range - ['0..4294967295']

			- admin_lockout_enable (YANGBool):
				yang info - Enable lockout for admin role accounts after
max retry failed login attempts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.password_attributes', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.password_attributes', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.password_attributes', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, min_length=min_length, max_retry=max_retry, max_lockout_duration=max_lockout_duration, admin_lockout_enable=admin_lockout_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def password_attributes_admin_lockout_update(self, min_length=None, max_retry=None, max_lockout_duration=None, admin_lockout_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- min_length (long):
				yang info - Minimum length of the password. (default=8)
				range - ['0..4294967295']

			- max_retry (long):
				yang info - Maximum number of login retries before which
 the user account is locked. 0 for unlimited
 login retries. (default=0)
				range - ['0..4294967295']

			- max_lockout_duration (long):
				yang info - Maximum number of minutes after which 
 the user account is unlocked. (default=0)
				range - ['0..4294967295']

			- admin_lockout_enable (YANGBool):
				yang info - Enable lockout for admin role accounts after
max retry failed login attempts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.password_attributes', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.password_attributes', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.password_attributes', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, min_length=min_length, max_retry=max_retry, max_lockout_duration=max_lockout_duration, admin_lockout_enable=admin_lockout_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def password_attributes_character_restriction_update(self, upper=None, lower=None, numeric=None, special_char=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- upper (long):
				yang info - Minimum number of upper-case alphabet
 (default=0)
				range - ['0..4294967295']

			- lower (long):
				yang info - Minimum number of lower-case alphabet
 (default=0)
				range - ['0..4294967295']

			- numeric (long):
				yang info - Minimum number of numeric characters
 (default=0)
				range - ['0..4294967295']

			- special_char (long):
				yang info - Minimum number of special characters
 (default=0)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.password_attributes.character_restriction', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.password_attributes.character_restriction', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.password_attributes.character_restriction', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes.character_restriction', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, upper=upper, lower=lower, numeric=numeric, special_char=special_char)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def password_attributes_character_restriction_lower_update(self, upper=None, lower=None, numeric=None, special_char=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- upper (long):
				yang info - Minimum number of upper-case alphabet
 (default=0)
				range - ['0..4294967295']

			- lower (long):
				yang info - Minimum number of lower-case alphabet
 (default=0)
				range - ['0..4294967295']

			- numeric (long):
				yang info - Minimum number of numeric characters
 (default=0)
				range - ['0..4294967295']

			- special_char (long):
				yang info - Minimum number of special characters
 (default=0)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.password_attributes.character_restriction', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.password_attributes.character_restriction', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.password_attributes.character_restriction', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes.character_restriction', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, upper=upper, lower=lower, numeric=numeric, special_char=special_char)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_anycast_state_create(self, pim_anycast_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pim_anycast_state (anycast_rp):
				anycast_rp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pim_anycast_state', 'keyval': 'anycast_rp', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_anycast_state=pim_anycast_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_anycast_state_delete(self, pim_anycast_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pim_anycast_state (anycast_rp):
				anycast_rp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pim_anycast_state', 'keyval': 'anycast_rp', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_anycast_state=pim_anycast_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_anycast_state_update(self, pim_anycast_state=None, prefix_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pim_anycast_state (anycast_rp):
				anycast_rp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pim_anycast_state', 'keyval': 'anycast_rp', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_anycast_state=pim_anycast_state, prefix_name=prefix_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_anycast_state_get(self, pim_anycast_state=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pim_anycast_state (anycast_rp):
				anycast_rp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pim_anycast_state', 'keyval': 'anycast_rp', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_anycast_state=pim_anycast_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def pim_anycast_state_peer_list_create(self, pim_anycast_state=None, peer_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_anycast_state (anycast_rp):
				anycast_rp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- peer_list (ipv4_addr):
				ipv4_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pim_anycast_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state.peer_list', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'anycast_rp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer_list', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_anycast_state=pim_anycast_state, peer_list=peer_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_anycast_state_peer_list_delete(self, pim_anycast_state=None, peer_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_anycast_state (anycast_rp):
				anycast_rp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- peer_list (ipv4_addr):
				ipv4_addr (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pim_anycast_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state.peer_list', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'anycast_rp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer_list', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_anycast_state=pim_anycast_state, peer_list=peer_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_anycast_state_peer_list_get(self, pim_anycast_state=None, peer_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_anycast_state (anycast_rp):
				anycast_rp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- peer_list (ipv4_addr):
				ipv4_addr (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pim_anycast_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state.peer_list', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'anycast_rp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'peer_list', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_anycast_state=pim_anycast_state, peer_list=peer_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def pim_ecmp_state_create(self, pim_ecmp_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pim_ecmp_state (addr_filter):
				addr_filter (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pim_ecmp_state', 'keyval': 'addr_filter', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_ecmp_state=pim_ecmp_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_ecmp_state_delete(self, pim_ecmp_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pim_ecmp_state (addr_filter):
				addr_filter (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pim_ecmp_state', 'keyval': 'addr_filter', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_ecmp_state=pim_ecmp_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_ecmp_state_get(self, pim_ecmp_state=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pim_ecmp_state (addr_filter):
				addr_filter (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pim_ecmp_state', 'keyval': 'addr_filter', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_ecmp_state=pim_ecmp_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def pim_ecmp_state_pim_ecmp_create(self, pim_ecmp_state=None, pim_ecmp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_ecmp_state (addr_filter):
				addr_filter (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- pim_ecmp (src_ip, rp_addr):
				src_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pim_ecmp_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'addr_filter', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_ecmp', 'keyval': 'src_ip, rp_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_ecmp_state_pim_ecmp_delete(self, pim_ecmp_state=None, pim_ecmp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_ecmp_state (addr_filter):
				addr_filter (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- pim_ecmp (src_ip, rp_addr):
				src_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pim_ecmp_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'addr_filter', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_ecmp', 'keyval': 'src_ip, rp_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_ecmp_state_pim_ecmp_update(self, pim_ecmp_state=None, pim_ecmp=None, upstream_nbr=None, interface_name=None, interface_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_ecmp_state (addr_filter):
				addr_filter (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- pim_ecmp (src_ip, rp_addr):
				src_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- upstream_nbr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- interface_name (unicode):

			- interface_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pim_ecmp_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'addr_filter', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_ecmp', 'keyval': 'src_ip, rp_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, upstream_nbr=upstream_nbr, interface_name=interface_name, interface_count=interface_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_ecmp_state_pim_ecmp_get(self, pim_ecmp_state=None, pim_ecmp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pim_ecmp_state (addr_filter):
				addr_filter (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Keyword Arg Tuple:
			- pim_ecmp (src_ip, rp_addr):
				src_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pim_ecmp_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'addr_filter', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_ecmp', 'keyval': 'src_ip, rp_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def pim_global_state_update(self, enable_status=None, max_mcache=None, current_count=None, hello_interval=None, nbr_timeout=None, jp_interval=None, inact_interval=None, hw_drop_status=None, prune_wait_interval=None, reg_suppress_time=None, reg_probe_time=None, reg_stop_delay=None, reg_suppress_interval=None, ssm_status=None, spt_threshold=None, ssm_default_prefix=None, ssm_prefix_name=None, route_precedence=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable_status (YANGBool):

			- max_mcache (long):
				range - ['0..4294967295']

			- current_count (long):
				range - ['0..4294967295']

			- hello_interval (int):
				range - ['0..65535']

			- nbr_timeout (int):
				range - ['0..65535']

			- jp_interval (long):
				range - ['0..4294967295']

			- inact_interval (int):
				range - ['0..65535']

			- hw_drop_status (YANGBool):

			- prune_wait_interval (int):
				range - ['0..255']

			- reg_suppress_time (int):
				range - ['0..65535']

			- reg_probe_time (int):
				range - ['0..65535']

			- reg_stop_delay (int):
				range - ['0..65535']

			- reg_suppress_interval (int):
				range - ['0..65535']

			- ssm_status (YANGBool):

			- spt_threshold (long):
				range - ['0..4294967295']

			- ssm_default_prefix (unicode):

			- ssm_prefix_name (unicode):

			- route_precedence (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_status=enable_status, max_mcache=max_mcache, current_count=current_count, hello_interval=hello_interval, nbr_timeout=nbr_timeout, jp_interval=jp_interval, inact_interval=inact_interval, hw_drop_status=hw_drop_status, prune_wait_interval=prune_wait_interval, reg_suppress_time=reg_suppress_time, reg_probe_time=reg_probe_time, reg_stop_delay=reg_stop_delay, reg_suppress_interval=reg_suppress_interval, ssm_status=ssm_status, spt_threshold=spt_threshold, ssm_default_prefix=ssm_default_prefix, ssm_prefix_name=ssm_prefix_name, route_precedence=route_precedence)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_global_state_current_count_update(self, enable_status=None, max_mcache=None, current_count=None, hello_interval=None, nbr_timeout=None, jp_interval=None, inact_interval=None, hw_drop_status=None, prune_wait_interval=None, reg_suppress_time=None, reg_probe_time=None, reg_stop_delay=None, reg_suppress_interval=None, ssm_status=None, spt_threshold=None, ssm_default_prefix=None, ssm_prefix_name=None, route_precedence=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable_status (YANGBool):

			- max_mcache (long):
				range - ['0..4294967295']

			- current_count (long):
				range - ['0..4294967295']

			- hello_interval (int):
				range - ['0..65535']

			- nbr_timeout (int):
				range - ['0..65535']

			- jp_interval (long):
				range - ['0..4294967295']

			- inact_interval (int):
				range - ['0..65535']

			- hw_drop_status (YANGBool):

			- prune_wait_interval (int):
				range - ['0..255']

			- reg_suppress_time (int):
				range - ['0..65535']

			- reg_probe_time (int):
				range - ['0..65535']

			- reg_stop_delay (int):
				range - ['0..65535']

			- reg_suppress_interval (int):
				range - ['0..65535']

			- ssm_status (YANGBool):

			- spt_threshold (long):
				range - ['0..4294967295']

			- ssm_default_prefix (unicode):

			- ssm_prefix_name (unicode):

			- route_precedence (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_status=enable_status, max_mcache=max_mcache, current_count=current_count, hello_interval=hello_interval, nbr_timeout=nbr_timeout, jp_interval=jp_interval, inact_interval=inact_interval, hw_drop_status=hw_drop_status, prune_wait_interval=prune_wait_interval, reg_suppress_time=reg_suppress_time, reg_probe_time=reg_probe_time, reg_stop_delay=reg_stop_delay, reg_suppress_interval=reg_suppress_interval, ssm_status=ssm_status, spt_threshold=spt_threshold, ssm_default_prefix=ssm_default_prefix, ssm_prefix_name=ssm_prefix_name, route_precedence=route_precedence)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_global_state_interfaces_create(self, interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interfaces (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_global_state_interfaces_delete(self, interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interfaces (interface_name):
				interface_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_global_state_interfaces_get(self, interfaces=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- interfaces (interface_name):
				interface_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def pim_global_state_interfaces_pim_interface_data_create(self, interfaces=None, pim_interface_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- pim_interface_data (interface_name, interface_type):
				interface_name (unicode):

				interface_type (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'interface_name, interface_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, pim_interface_data=pim_interface_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_global_state_interfaces_pim_interface_data_delete(self, interfaces=None, pim_interface_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- pim_interface_data (interface_name, interface_type):
				interface_name (unicode):

				interface_type (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'interface_name, interface_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, pim_interface_data=pim_interface_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_global_state_interfaces_pim_interface_data_update(self, interfaces=None, pim_interface_data=None, enable_status=None, local_ip_addr=None, pim_version=None, mode=None, dr_info=None, ttl_threshold=None, multicast_boundry=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- pim_interface_data (interface_name, interface_type):
				interface_name (unicode):

				interface_type (unicode):

		This Instance Arg(s):
			- enable_status (YANGBool):

			- local_ip_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- pim_version (int):
				range - ['0..255']

			- mode (unicode):

			- dr_info (unicode):

			- ttl_threshold (int):
				range - ['0..255']

			- multicast_boundry (unicode):

			- dr_priority (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'interface_name, interface_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, pim_interface_data=pim_interface_data, enable_status=enable_status, local_ip_addr=local_ip_addr, pim_version=pim_version, mode=mode, dr_info=dr_info, ttl_threshold=ttl_threshold, multicast_boundry=multicast_boundry, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pim_global_state_interfaces_pim_interface_data_get(self, interfaces=None, pim_interface_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- interfaces (interface_name):
				interface_name (unicode):

		This Instance Keyword Arg Tuple:
			- pim_interface_data (interface_name, interface_type):
				interface_name (unicode):

				interface_type (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'interface_name, interface_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, pim_interface_data=pim_interface_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def police_priority_map_create(self, police_priority_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- police_priority_map (name):
				name (unicode):
					yang info - Policer Priority Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.police_priority_map', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.police_priority_map', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.police_priority_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'police_priority_map', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, police_priority_map=police_priority_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def police_priority_map_delete(self, police_priority_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- police_priority_map (name):
				name (unicode):
					yang info - Policer Priority Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.police_priority_map', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.police_priority_map', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.police_priority_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'police_priority_map', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, police_priority_map=police_priority_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def police_priority_map_get(self, police_priority_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- police_priority_map (name):
				name (unicode):
					yang info - Policer Priority Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.police_priority_map', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.police_priority_map', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.police_priority_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'police_priority_map', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, police_priority_map=police_priority_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def police_priority_map_conform_update(self, police_priority_map=None, map_pri0_conform=None, map_pri1_conform=None, map_pri2_conform=None, map_pri3_conform=None, map_pri4_conform=None, map_pri5_conform=None, map_pri6_conform=None, map_pri7_conform=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- police_priority_map (name):
				name (unicode):
					yang info - Policer Priority Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- map_pri0_conform (long):
				yang info - Mapping Priority Number 0
				range - ['0..4294967295']

			- map_pri1_conform (long):
				yang info - Mapping Priority Number 1
				range - ['0..4294967295']

			- map_pri2_conform (long):
				yang info - Mapping Priority Number 2
				range - ['0..4294967295']

			- map_pri3_conform (long):
				yang info - Mapping Priority Number 3
				range - ['0..4294967295']

			- map_pri4_conform (long):
				yang info - Mapping Priority Number 4
				range - ['0..4294967295']

			- map_pri5_conform (long):
				yang info - Mapping Priority Number 5
				range - ['0..4294967295']

			- map_pri6_conform (long):
				yang info - Mapping Priority Number 6
				range - ['0..4294967295']

			- map_pri7_conform (long):
				yang info - Mapping Priority Number 7
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1a.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
        bindings_list = [('pybind.nos.v6_0_2b.police_priority_map.conform', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.police_priority_map.conform', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, police_priority_map=police_priority_map, map_pri0_conform=map_pri0_conform, map_pri1_conform=map_pri1_conform, map_pri2_conform=map_pri2_conform, map_pri3_conform=map_pri3_conform, map_pri4_conform=map_pri4_conform, map_pri5_conform=map_pri5_conform, map_pri6_conform=map_pri6_conform, map_pri7_conform=map_pri7_conform)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def police_priority_map_exceed_update(self, police_priority_map=None, map_pri0_exceed=None, map_pri1_exceed=None, map_pri2_exceed=None, map_pri3_exceed=None, map_pri4_exceed=None, map_pri5_exceed=None, map_pri6_exceed=None, map_pri7_exceed=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- police_priority_map (name):
				name (unicode):
					yang info - Policer Priority Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- map_pri0_exceed (long):
				yang info - Mapping Priority Number 0
				range - ['0..4294967295']

			- map_pri1_exceed (long):
				yang info - Mapping Priority Number 1
				range - ['0..4294967295']

			- map_pri2_exceed (long):
				yang info - Mapping Priority Number 2
				range - ['0..4294967295']

			- map_pri3_exceed (long):
				yang info - Mapping Priority Number 3
				range - ['0..4294967295']

			- map_pri4_exceed (long):
				yang info - Mapping Priority Number 4
				range - ['0..4294967295']

			- map_pri5_exceed (long):
				yang info - Mapping Priority Number 5
				range - ['0..4294967295']

			- map_pri6_exceed (long):
				yang info - Mapping Priority Number 6
				range - ['0..4294967295']

			- map_pri7_exceed (long):
				yang info - Mapping Priority Number 7
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2b.police_priority_map', 'police_priority_map')]
        bindings_list = [('pybind.nos.v6_0_2b.police_priority_map.exceed', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.police_priority_map.exceed', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, police_priority_map=police_priority_map, map_pri0_exceed=map_pri0_exceed, map_pri1_exceed=map_pri1_exceed, map_pri2_exceed=map_pri2_exceed, map_pri3_exceed=map_pri3_exceed, map_pri4_exceed=map_pri4_exceed, map_pri5_exceed=map_pri5_exceed, map_pri6_exceed=map_pri6_exceed, map_pri7_exceed=map_pri7_exceed)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_create(self, policy_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.policy_map', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'policy_map', 'keyval': 'po_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_delete(self, policy_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.policy_map', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'policy_map', 'keyval': 'po_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_get(self, policy_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.policy_map', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'policy_map', 'keyval': 'po_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def policy_map_class_create(self, policy_map=None, class_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'class_', 'keyval': 'cl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_delete(self, policy_map=None, class_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'class_', 'keyval': 'cl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_get(self, policy_map=None, class_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'class_', 'keyval': 'cl_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def policy_map_class_map_update(self, policy_map=None, class_=None, cos_mutation=None, cos_traffic_class=None, dscp_cos=None, dscp_traffic_class=None, dscp_mutation=None, sflow=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation map
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map 
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure Dscp-to-CoS map 
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure Dscp-to-Traffic class map
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure Dscp-to-Dscp mutation map  
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- sflow (unicode):
				yang info - Configure sflow profile map 
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.map_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.map_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.map_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_cos=dscp_cos, dscp_traffic_class=dscp_traffic_class, dscp_mutation=dscp_mutation, sflow=sflow)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_map_cos_mutation_update(self, policy_map=None, class_=None, cos_mutation=None, cos_traffic_class=None, dscp_cos=None, dscp_traffic_class=None, dscp_mutation=None, sflow=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation map
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map 
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_cos (unicode):
				yang info - Configure Dscp-to-CoS map 
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_traffic_class (unicode):
				yang info - Configure Dscp-to-Traffic class map
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_mutation (unicode):
				yang info - Configure Dscp-to-Dscp mutation map  
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- sflow (unicode):
				yang info - Configure sflow profile map 
(Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.map_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.map_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.map_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_cos=dscp_cos, dscp_traffic_class=dscp_traffic_class, dscp_mutation=dscp_mutation, sflow=sflow)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_police_update(self, policy_map=None, class_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.police', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.police', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.police', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'cir, cbs, eir, ebs'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_police_cbs_update(self, policy_map=None, class_=None, cir=None, cbs=None, eir=None, ebs=None, set_priority=None, conform_set_dscp=None, conform_set_prec=None, conform_set_tc=None, exceed_set_dscp=None, exceed_set_prec=None, exceed_set_tc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- cir (long):
				yang info - Committed Information Rate.
				range - ['0..18446744073709551615']

			- cbs (long):
				yang info - Comitted Burst Size.
				range - ['0..18446744073709551615']

			- eir (long):
				yang info - Exceeded Information Rate.
				range - ['0..18446744073709551615']

			- ebs (long):
				yang info - Exceeded Burst Size.
				range - ['0..18446744073709551615']

			- set_priority (unicode):
				yang info - Police Priority Map Name
				length - [u'1..64']

			- conform_set_dscp (long):
				yang info - DCSP Priority for conformant traffic.
				range - ['0..4294967295']

			- conform_set_prec (long):
				yang info - IP Precedence value for conformant traffic.
				range - ['0..4294967295']

			- conform_set_tc (long):
				yang info - Traffic Class value for conformant traffic.
				range - ['0..4294967295']

			- exceed_set_dscp (long):
				yang info - DCSP Priority for exceeded traffic.
				range - ['0..4294967295']

			- exceed_set_prec (long):
				yang info - IP Precedence value for exceeded traffic.
				range - ['0..4294967295']

			- exceed_set_tc (long):
				yang info - Traffic Class value for exceeded traffic.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.police', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.police', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.police', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cir=cir, cbs=cbs, eir=eir, ebs=ebs, set_priority=set_priority, conform_set_dscp=conform_set_dscp, conform_set_prec=conform_set_prec, conform_set_tc=conform_set_tc, exceed_set_dscp=exceed_set_dscp, exceed_set_prec=exceed_set_prec, exceed_set_tc=exceed_set_tc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_priority_mapping_table_import_update(self, policy_map=None, class_=None, cee=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- cee (unicode):
				yang info - Import cee priority mapping table from a
cee map (Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.priority_mapping_table.import_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cee=cee)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_priority_mapping_table_import_cee_update(self, policy_map=None, class_=None, cee=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- cee (unicode):
				yang info - Import cee priority mapping table from a
cee map (Max Size - 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.priority_mapping_table.import_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cee=cee)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_scheduler_strict_priority_update(self, policy_map=None, class_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'priority_number, scheduler_type, dwrr_traffic_class0, dwrr_traffic_class1, dwrr_traffic_class2, dwrr_traffic_class3, dwrr_traffic_class4, dwrr_traffic_class5, dwrr_traffic_class6, dwrr_traffic_class_last, TC1, TC2, TC3, TC4, TC5, TC6, TC7'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_scheduler_strict_priority_tc1_update(self, policy_map=None, class_=None, priority_number=None, scheduler_type=None, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class_last=None, TC1=None, TC2=None, TC3=None, TC4=None, TC5=None, TC6=None, TC7=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- priority_number (int):
				range - ['0..255']

			- scheduler_type (unicode):
				enum - [u'dwrr']

			- dwrr_traffic_class0 (long):
				range - ['0..4294967295']

			- dwrr_traffic_class1 (long):
				range - ['0..4294967295']

			- dwrr_traffic_class2 (long):
				range - ['0..4294967295']

			- dwrr_traffic_class3 (long):
				range - ['0..4294967295']

			- dwrr_traffic_class4 (long):
				range - ['0..4294967295']

			- dwrr_traffic_class5 (long):
				range - ['0..4294967295']

			- dwrr_traffic_class6 (long):
				range - ['0..4294967295']

			- dwrr_traffic_class_last (long):
				range - ['0..4294967295']

			- TC1 (long):
				range - ['0..18446744073709551615']

			- TC2 (long):
				range - ['0..18446744073709551615']

			- TC3 (long):
				range - ['0..18446744073709551615']

			- TC4 (long):
				range - ['0..18446744073709551615']

			- TC5 (long):
				range - ['0..18446744073709551615']

			- TC6 (long):
				range - ['0..18446744073709551615']

			- TC7 (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last, TC1=TC1, TC2=TC2, TC3=TC3, TC4=TC4, TC5=TC5, TC6=TC6, TC7=TC7)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_set_update(self, policy_map=None, class_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.policy_map.class_.set_.set_dscp', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_cos_tc', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'cos, traffic_class'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_set_cos_update(self, policy_map=None, class_=None, cos=None, traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- cos (int):
				yang info - Class of Service
				range - ['0..255']

			- traffic_class (int):
				yang info - Traffic Class
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_cos_tc', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cos=cos, traffic_class=traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_set_dscp_update(self, policy_map=None, class_=None, dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- dscp (int):
				yang info - Differentiated Services Code Point
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.set_.set_dscp', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, dscp=dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_shape_update(self, policy_map=None, class_=None, shaping_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- shaping_rate (long):
				yang info - Shaping rate
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.shape', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.shape', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.shape', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.shape', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, shaping_rate=shaping_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_span_update(self, policy_map=None, class_=None, session=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- session (long):
				yang info - Session-id
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.span', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.span', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.span', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.span', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, session=session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def policy_map_class_span_session_update(self, policy_map=None, class_=None, session=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy_map (po_name):
				po_name (unicode):
					yang info - Policy Map Name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- class_ (cl_name):
				cl_name (unicode):
					yang info - Policy Map Class Name (Max Size -64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- session (long):
				yang info - Session-id
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_')]
        bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.span', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.span', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.span', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.span', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, session=session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_channel_redundancy_group_create(self, port_channel_redundancy_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_channel_redundancy_group (group_id):
				group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_channel_redundancy_group', 'pybind.nos.v6_0_2b.brocade_lag', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_channel_redundancy_group', 'pybind.nos.v7_0_1a.brocade_lag', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'port_channel_redundancy_group', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel_redundancy_group=port_channel_redundancy_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_channel_redundancy_group_delete(self, port_channel_redundancy_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_channel_redundancy_group (group_id):
				group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_channel_redundancy_group', 'pybind.nos.v6_0_2b.brocade_lag', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_channel_redundancy_group', 'pybind.nos.v7_0_1a.brocade_lag', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'port_channel_redundancy_group', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel_redundancy_group=port_channel_redundancy_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_channel_redundancy_group_update(self, port_channel_redundancy_group=None, activate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_channel_redundancy_group (group_id):
				group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- activate (YANGBool):
				yang info - Activate the port-channel redundancy group

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_channel_redundancy_group', 'pybind.nos.v6_0_2b.brocade_lag', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_channel_redundancy_group', 'pybind.nos.v7_0_1a.brocade_lag', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'port_channel_redundancy_group', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel_redundancy_group=port_channel_redundancy_group, activate=activate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_channel_redundancy_group_get(self, port_channel_redundancy_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_channel_redundancy_group (group_id):
				group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_channel_redundancy_group', 'pybind.nos.v6_0_2b.brocade_lag', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_channel_redundancy_group', 'pybind.nos.v7_0_1a.brocade_lag', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'port_channel_redundancy_group', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel_redundancy_group=port_channel_redundancy_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def port_channel_redundancy_group_port_channel_create(self, port_channel_redundancy_group=None, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel_redundancy_group (group_id):
				group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel (name, port_channel_active):
				name (long):
					range - ['0..4294967295']

				port_channel_active (YANGBool):
					yang info - Select port-channel as active in port-channel redundancy group.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v6_0_2b.port_channel_redundancy_group', 'port_channel_redundancy_group')]
        bindings_list = [('pybind.nos.v6_0_2b.port_channel_redundancy_group.port_channel', 'pybind.nos.v6_0_2b.brocade_lag', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_0_1a.brocade_lag', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group.port_channel', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': 'name, port_channel_active'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel_redundancy_group=port_channel_redundancy_group, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_channel_redundancy_group_port_channel_delete(self, port_channel_redundancy_group=None, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel_redundancy_group (group_id):
				group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel (name, port_channel_active):
				name (long):
					range - ['0..4294967295']

				port_channel_active (YANGBool):
					yang info - Select port-channel as active in port-channel redundancy group.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v6_0_2b.port_channel_redundancy_group', 'port_channel_redundancy_group')]
        bindings_list = [('pybind.nos.v6_0_2b.port_channel_redundancy_group.port_channel', 'pybind.nos.v6_0_2b.brocade_lag', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_0_1a.brocade_lag', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group.port_channel', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': 'name, port_channel_active'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel_redundancy_group=port_channel_redundancy_group, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_channel_redundancy_group_port_channel_update(self, port_channel_redundancy_group=None, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel_redundancy_group (group_id):
				group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel (name, port_channel_active):
				name (long):
					range - ['0..4294967295']

				port_channel_active (YANGBool):
					yang info - Select port-channel as active in port-channel redundancy group.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v6_0_2b.port_channel_redundancy_group', 'port_channel_redundancy_group')]
        bindings_list = [('pybind.nos.v6_0_2b.port_channel_redundancy_group.port_channel', 'pybind.nos.v6_0_2b.brocade_lag', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_0_1a.brocade_lag', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group.port_channel', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': 'name, port_channel_active'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel_redundancy_group=port_channel_redundancy_group, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_channel_redundancy_group_port_channel_get(self, port_channel_redundancy_group=None, port_channel=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_channel_redundancy_group (group_id):
				group_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel (name, port_channel_active):
				name (long):
					range - ['0..4294967295']

				port_channel_active (YANGBool):
					yang info - Select port-channel as active in port-channel redundancy group.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v6_0_2b.port_channel_redundancy_group', 'port_channel_redundancy_group')]
        bindings_list = [('pybind.nos.v6_0_2b.port_channel_redundancy_group.port_channel', 'pybind.nos.v6_0_2b.brocade_lag', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_0_1a.brocade_lag', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group.port_channel', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': 'name, port_channel_active'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel_redundancy_group=port_channel_redundancy_group, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def port_profile_create(self, port_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_global.port_profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_global.port_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_profile', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_delete(self, port_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_global.port_profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_global.port_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_profile', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_update(self, port_profile=None, activate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- activate (YANGBool):
				yang info - Activate the profile

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_global.port_profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_global.port_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_profile', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, activate=activate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_get(self, port_profile=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_global.port_profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_global.port_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'port_profile', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def port_profile_allow_update(self, port_profile=None, nonprofiledmacs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- nonprofiledmacs (YANGBool):
				yang info - non-profiled macs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.allow', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.allow', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.allow', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.allow', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, nonprofiledmacs=nonprofiledmacs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_allow_non_profiled_macs_update(self, port_profile=None, nonprofiledmacs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- nonprofiledmacs (YANGBool):
				yang info - non-profiled macs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.allow', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.allow', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.allow', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.allow', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, nonprofiledmacs=nonprofiledmacs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_domain_create(self, port_profile_domain=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_profile_domain (port_profile_domain_name):
				port_profile_domain_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_domain', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_domain', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_domain', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_domain', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'port_profile_domain', 'keyval': 'port_profile_domain_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile_domain=port_profile_domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_domain_delete(self, port_profile_domain=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_profile_domain (port_profile_domain_name):
				port_profile_domain_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_domain', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_domain', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_domain', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_domain', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'port_profile_domain', 'keyval': 'port_profile_domain_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile_domain=port_profile_domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_domain_get(self, port_profile_domain=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- port_profile_domain (port_profile_domain_name):
				port_profile_domain_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_domain', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_domain', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_domain', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_domain', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'port_profile_domain', 'keyval': 'port_profile_domain_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile_domain=port_profile_domain)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def port_profile_domain_port_profile_create(self, port_profile_domain=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile_domain (port_profile_domain_name):
				port_profile_domain_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- profile (profile_name):
				profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v7_1_0.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v6_0_2b.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v7_0_1a.port_profile_domain', 'port_profile_domain')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_domain.profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_domain.profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_domain.profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_domain.profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile_domain=port_profile_domain, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_domain_port_profile_delete(self, port_profile_domain=None, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile_domain (port_profile_domain_name):
				port_profile_domain_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- profile (profile_name):
				profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v7_1_0.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v6_0_2b.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v7_0_1a.port_profile_domain', 'port_profile_domain')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_domain.profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_domain.profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_domain.profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_domain.profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile_domain=port_profile_domain, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_domain_port_profile_get(self, port_profile_domain=None, profile=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile_domain (port_profile_domain_name):
				port_profile_domain_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- profile (profile_name):
				profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v7_1_0.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v6_0_2b.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v7_0_1a.port_profile_domain', 'port_profile_domain')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_domain.profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_domain.profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_domain.profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_domain.profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile_domain=port_profile_domain, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def port_profile_fcoe_profile_fcoeport_update(self, port_profile=None, fcoe_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- fcoe_map_name (unicode):
				length - [u'1..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.fcoe_profile.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, fcoe_map_name=fcoe_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_update(self, port_profile=None, cee=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- cee (unicode):
				yang info - Configure QoS CEE map (Max Size - 32)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, cee=cee)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_cee_update(self, port_profile=None, cee=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- cee (unicode):
				yang info - Configure QoS CEE map (Max Size - 32)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, cee=cee)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_qos_update(self, port_profile=None, cos=None, cos_mutation=None, cos_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation (Max Size - 32)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map 
(Max Size - 32)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, cos=cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_qos_cos_update(self, port_profile=None, cos=None, cos_mutation=None, cos_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- cos (long):
				yang info - Configure default Class of Service (CoS)
				range - ['-2147483648..2147483647']

			- cos_mutation (unicode):
				yang info - Configure CoS-to-CoS mutation (Max Size - 32)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- cos_traffic_class (unicode):
				yang info - Configure CoS-to-Traffic Class map 
(Max Size - 32)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, cos=cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_qos_flowcontrol_update(self, port_profile=None, tx=None, rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, tx=tx, rx=rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_qos_flowcontrol_pfc_create(self, port_profile=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - CoS value
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_qos_flowcontrol_pfc_delete(self, port_profile=None, pfc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - CoS value
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_qos_flowcontrol_pfc_update(self, port_profile=None, pfc=None, pfc_tx=None, pfc_rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - CoS value
					range - ['-2147483648..2147483647']

		This Instance Arg(s):
			- pfc_tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- pfc_rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, pfc=pfc, pfc_tx=pfc_tx, pfc_rx=pfc_rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_qos_flowcontrol_pfc_get(self, port_profile=None, pfc=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- pfc (pfc_cos):
				pfc_cos (long):
					yang info - CoS value
					range - ['-2147483648..2147483647']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, pfc=pfc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def port_profile_qos_profile_qos_flowcontrol_rx_update(self, port_profile=None, tx=None, rx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- tx (unicode):
				yang info - Configure Pause generation
				enum - [u'on', u'off']

			- rx (unicode):
				yang info - Configure Pause reception
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, tx=tx, rx=rx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_qos_trust_update(self, port_profile=None, trust_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for 
deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.trust', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, trust_cos=trust_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_qos_profile_qos_trust_cos_update(self, port_profile=None, trust_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- trust_cos (YANGBool):
				yang info - Trust L2 CoS field in incoming packets for 
deriving internal Traffic Class

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.trust', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, trust_cos=trust_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_restrict_flooding_update(self, port_profile=None, restrict_flooding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- restrict_flooding (YANGBool):
				yang info - Restrict flooding

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.restrict_flooding_container', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.restrict_flooding_container', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.restrict_flooding_container', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.restrict_flooding_container', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, restrict_flooding=restrict_flooding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_security_profile_ip_access_group_update(self, port_profile=None, ipv4_access_group_name=None, ipv4_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- ipv4_access_group_name (unicode):
				yang info - Access list name (Max 64)
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- ipv4_in (YANGBool):
				yang info - Ingress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.security_profile.ip.access_group', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.security_profile.ip.access_group', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.security_profile.ip.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, ipv4_access_group_name=ipv4_access_group_name, ipv4_in=ipv4_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_security_profile_ipv6_access_group_update(self, port_profile=None, ipv6_access_group_name=None, ipv6_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- ipv6_access_group_name (unicode):
				yang info - Access list name (Max 64)
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- ipv6_in (YANGBool):
				yang info - Ingress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, ipv6_access_group_name=ipv6_access_group_name, ipv6_in=ipv6_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_security_profile_mac_access_group_update(self, port_profile=None, access_group_name=None, in_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- access_group_name (unicode):
				yang info - Access list name (Max 64)
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- in_ (YANGBool):
				yang info - Ingress direction

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.security_profile.mac.access_group', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.security_profile.mac.access_group', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.security_profile.mac.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, access_group_name=access_group_name, in_=in_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_static_create(self, port_profile=None, static=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- static (mac_address):
				mac_address (unicode):
					yang info - mac address in HHHH.HHHH.HHHH format

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.port_profile_global.port_profile', u'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', u'port_profile'), ('pybind.nos.v6_0_2b.port_profile_global.port_profile', u'port_profile'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile', u'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_global.port_profile.static', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile.static', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_global.port_profile.static', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile.static', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static', 'keyval': 'mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, static=static)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_static_delete(self, port_profile=None, static=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- static (mac_address):
				mac_address (unicode):
					yang info - mac address in HHHH.HHHH.HHHH format

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.port_profile_global.port_profile', u'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', u'port_profile'), ('pybind.nos.v6_0_2b.port_profile_global.port_profile', u'port_profile'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile', u'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_global.port_profile.static', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile.static', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_global.port_profile.static', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile.static', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static', 'keyval': 'mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, static=static)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_static_get(self, port_profile=None, static=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- static (mac_address):
				mac_address (unicode):
					yang info - mac address in HHHH.HHHH.HHHH format

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.port_profile_global.port_profile', u'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', u'port_profile'), ('pybind.nos.v6_0_2b.port_profile_global.port_profile', u'port_profile'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile', u'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile_global.port_profile.static', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile.static', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_global.port_profile.static', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile.static', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static', 'keyval': 'mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, static=static)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def port_profile_vlan_profile_update(self, port_profile=None, basic=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- basic (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, basic=basic)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_update(self, port_profile=None, basic=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- basic (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, basic=basic)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_access_vlan_create(self, port_profile=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_access_vlan_delete(self, port_profile=None, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_access_vlan_get(self, port_profile=None, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- vlan (access_vlan_id, access_mac_group):
				access_vlan_id (long):
					yang info - Set the default VLAN for the interface
					range - ['0..4294967295']

				access_mac_group (long):
					yang info - Associate a Mac group with a vlan
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_mode_update(self, port_profile=None, vlan_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- vlan_mode (unicode):
				enum - [u'access', u'trunk']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, vlan_mode=vlan_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_trunk_update(self, port_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id, native_vlan_ctag_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_trunk_allowed_vlan_update(self, port_profile=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Allow all VLANs to Xmit/Rx through the Layer2 
interface

			- none (YANGBool):
				yang info - Allow no VLANs to Xmit/Rx through the Layer2 
interface

			- add_ (unicode):
				yang info - Allow these VLANs to Xmit/Rx through the 
Layer2 interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- except_ (unicode):
				yang info - Allow all VLANs except this vlan range to 
Xmit/Rx through the Layer2 interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- remove_ (unicode):
				yang info - Remove a VLAN range that Xmit/Rx through the 
Layer2 interface
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_trunk_allowed_vlan_add_create(self, port_profile=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_trunk_allowed_vlan_add_delete(self, port_profile=None, add=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_trunk_allowed_vlan_add_get(self, port_profile=None, add=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- add (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, add=add)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_trunk_allowed_vlan_remove_create(self, port_profile=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_trunk_allowed_vlan_remove_delete(self, port_profile=None, remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_trunk_allowed_vlan_remove_get(self, port_profile=None, remove=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Keyword Arg Tuple:
			- remove (trunk_vlan_id, trunk_ctag_id):
				trunk_vlan_id (long):
					range - ['0..4294967295']

				trunk_ctag_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, remove=remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_trunk_ctag_update(self, port_profile=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- native_vlan_id (long):
				range - ['0..4294967295']

			- native_vlan_ctag_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def port_profile_vlan_profile_switchport_trunk_native_vlan_update(self, port_profile=None, native_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- port_profile (name):
				name (unicode):
					yang info - Port-profile name (Max Size - 128)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		This Instance Arg(s):
			- native_vlan (long):
				yang info - Set the native VLAN to classify
untagged traffic.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
        bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, native_vlan=native_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def preprovision_rbridge_id_create(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id, wwn):
				rbridge_id (long):
					range - ['0..4294967295']

				wwn (unicode):
					yang info - World Wide Name (WWN)
					pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.preprovision.rbridge_id', 'pybind.nos.v6_0_2b.brocade_preprovision', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.preprovision.rbridge_id', 'pybind.nos.v7_0_1a.brocade_preprovision', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.preprovision.rbridge_id', 'pybind.nos.v7_1_0.brocade_preprovision', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.preprovision.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_preprovision', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id, wwn', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def preprovision_rbridge_id_delete(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id, wwn):
				rbridge_id (long):
					range - ['0..4294967295']

				wwn (unicode):
					yang info - World Wide Name (WWN)
					pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.preprovision.rbridge_id', 'pybind.nos.v6_0_2b.brocade_preprovision', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.preprovision.rbridge_id', 'pybind.nos.v7_0_1a.brocade_preprovision', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.preprovision.rbridge_id', 'pybind.nos.v7_1_0.brocade_preprovision', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.preprovision.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_preprovision', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id, wwn', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def preprovision_rbridge_id_get(self, rbridge_id=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id, wwn):
				rbridge_id (long):
					range - ['0..4294967295']

				wwn (unicode):
					yang info - World Wide Name (WWN)
					pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.preprovision.rbridge_id', 'pybind.nos.v6_0_2b.brocade_preprovision', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.preprovision.rbridge_id', 'pybind.nos.v7_0_1a.brocade_preprovision', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.preprovision.rbridge_id', 'pybind.nos.v7_1_0.brocade_preprovision', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.preprovision.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_preprovision', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id, wwn', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def protocol_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.protocol.hide_vrrp_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_create(self, domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain_name', 'keyval': 'domain_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_delete(self, domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain_name', 'keyval': 'domain_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_update(self, domain_name=None, domain_level=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Arg(s):
			- domain_level (long):
				yang info - Maintanance Domain Level
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain_name', 'keyval': 'domain_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, domain_level=domain_level)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_get(self, domain_name=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'domain_name', 'keyval': 'domain_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_create(self, domain_name=None, ma_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Keyword Arg Tuple:
			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_delete(self, domain_name=None, ma_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Keyword Arg Tuple:
			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_update(self, domain_name=None, ma_name=None, ma_id=None, ma_vlan_vid=None, ma_bd_vid=None, ma_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Keyword Arg Tuple:
			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Arg(s):
			- ma_id (long):
				yang info - MA ID used for short-MAID
				range - ['0..4294967295']

			- ma_vlan_vid (long):
				yang info - Vlan association
				range - ['0..4294967295']

			- ma_bd_vid (long):
				yang info - bridge-domain association
				range - ['0..4294967295']

			- ma_priority (long):
				yang info - Set Priority for this MA
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, ma_id=ma_id, ma_vlan_vid=ma_vlan_vid, ma_bd_vid=ma_bd_vid, ma_priority=ma_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_get(self, domain_name=None, ma_name=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Keyword Arg Tuple:
			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_ccm_interval_update(self, domain_name=None, ma_name=None, ccm_interval=None, mip_policy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Arg(s):
			- ccm_interval (unicode):
				yang info - set CCM interval
				enum - [u'100-ms', u'10-seconds', u'1-second', u'3-ms', u'10-ms']

			- mip_policy (unicode):
				yang info - Set MIP policy
				enum - [u'default', u'explicit']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, ccm_interval=ccm_interval, mip_policy=mip_policy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_mep_create(self, domain_name=None, ma_name=None, mep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, mep=mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_mep_delete(self, domain_name=None, ma_name=None, mep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, mep=mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_mep_update(self, domain_name=None, ma_name=None, mep=None, mep_down_up=None, vlan=None, mep_intf_type=None, mep_intf_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

		This Instance Arg(s):
			- mep_down_up (unicode):
				enum - [u'down', u'up']

			- vlan (long):
				yang info - Enter Vlan-id
				range - ['0..4294967295']

			- mep_intf_type (unicode):
				enum - [u'ethernet', u'port-channel']

			- mep_intf_name (unicode):
				length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_down_up=mep_down_up, vlan=vlan, mep_intf_type=mep_intf_type, mep_intf_name=mep_intf_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_mep_get(self, domain_name=None, ma_name=None, mep=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

		This Instance Keyword Arg Tuple:
			- mep (mep_id):
				mep_id (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, mep=mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_mep_remote_mep_create(self, domain_name=None, ma_name=None, mep=None, remote_mep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- mep (mep_id):
				mep_id (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remote_mep (remote_mep):
				remote_mep (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands.remote_mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remote_mep', 'keyval': 'remote_mep', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, mep=mep, remote_mep=remote_mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_mep_remote_mep_delete(self, domain_name=None, ma_name=None, mep=None, remote_mep=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- mep (mep_id):
				mep_id (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remote_mep (remote_mep):
				remote_mep (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands.remote_mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remote_mep', 'keyval': 'remote_mep', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, mep=mep, remote_mep=remote_mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_mep_remote_mep_get(self, domain_name=None, ma_name=None, mep=None, remote_mep=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- mep (mep_id):
				mep_id (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- remote_mep (remote_mep):
				remote_mep (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands.remote_mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'remote_mep', 'keyval': 'remote_mep', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, mep=mep, remote_mep=remote_mep)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def protocol_cfm_domain_name_ma_name_mep_tlv_type_update(self, domain_name=None, ma_name=None, mep=None, tlv_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- domain_name (domain_name):
				domain_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- ma_name (ma_name):
				ma_name (unicode):
					yang info - String length 21 char
					length - [u'1..21']

			- mep (mep_id):
				mep_id (long):
					yang info - DECIMAL :: <1-8191>
					range - ['0..4294967295']

		This Instance Arg(s):
			- tlv_type (unicode):
				yang info - set TLV
				enum - [u'port-status-tlv']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', u'mep')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, mep=mep, tlv_type=tlv_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_edge_loop_detection_update(self, pdu_rx_limit=None, hello_interval=None, shutdown_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- pdu_rx_limit (long):
				yang info - Sets bpdu-rx-limit
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Sets hello-interval-limit
				range - ['0..4294967295']

			- shutdown_time (long):
				yang info - Sets shutdown-time-limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pdu_rx_limit=pdu_rx_limit, hello_interval=hello_interval, shutdown_time=shutdown_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_edge_loop_detection_hello_interval_update(self, pdu_rx_limit=None, hello_interval=None, shutdown_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- pdu_rx_limit (long):
				yang info - Sets bpdu-rx-limit
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Sets hello-interval-limit
				range - ['0..4294967295']

			- shutdown_time (long):
				yang info - Sets shutdown-time-limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pdu_rx_limit=pdu_rx_limit, hello_interval=hello_interval, shutdown_time=shutdown_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_edge_loop_detection_mac_refresh_update(self, mac_refresh_time=None, mac_refresh_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mac_refresh_time (long):
				yang info - mac-refresh-time
				range - ['0..4294967295']

			- mac_refresh_type (unicode):
				yang info - Mac refresh type.
				enum - [u'all', u'port']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_refresh_time=mac_refresh_time, mac_refresh_type=mac_refresh_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_update(self, description=None, hello=None, mode=None, multiplier=None, system_name=None, system_description=None, iscsi_priority=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - The User description
				length - [u'1 .. 50']

			- hello (long):
				yang info - The Hello Transmit interval.
				range - ['0..4294967295']

			- mode (unicode):
				yang info - The LLDP mode.
				enum - [u'rx', u'tx']

			- multiplier (long):
				yang info - The Timeout Multiplier
				range - ['0..4294967295']

			- system_name (unicode):
				yang info - The System Name
				length - [u'0..32']
				pattern - (([a-zA-Z]{1}([-a-zA-Z0-9\s\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31}))|(\s)*)

			- system_description (unicode):
				yang info - The System Description.
				length - [u'1..50']

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI
				range - ['0..4294967295']

			- disable (YANGBool):
				yang info - Disable LLDP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, hello=hello, mode=mode, multiplier=multiplier, system_name=system_name, system_description=system_description, iscsi_priority=iscsi_priority, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_advertise_update(self, dcbx_fcoe_app_tlv=None, dcbx_fcoe_logical_link_tlv=None, dcbx_iscsi_app_tlv=None, dcbx_tlv=None, dot1_tlv=None, dot3_tlv=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- dcbx_fcoe_app_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange FCoE Application
TLV.

			- dcbx_fcoe_logical_link_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange FCoE Logical 
Link TLV

			- dcbx_iscsi_app_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange iSCSI Application
TLV.

			- dcbx_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange TLV.

			- dot1_tlv (YANGBool):
				yang info - IEEE 802.1 Organizationally Specific TLV

			- dot3_tlv (YANGBool):
				yang info - IEEE 802.3 Organizationally Specific TLV

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.advertise', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.advertise', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_advertise_dcbx_fcoe_app_tlv_update(self, dcbx_fcoe_app_tlv=None, dcbx_fcoe_logical_link_tlv=None, dcbx_iscsi_app_tlv=None, dcbx_tlv=None, dot1_tlv=None, dot3_tlv=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- dcbx_fcoe_app_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange FCoE Application
TLV.

			- dcbx_fcoe_logical_link_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange FCoE Logical 
Link TLV

			- dcbx_iscsi_app_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange iSCSI Application
TLV.

			- dcbx_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange TLV.

			- dot1_tlv (YANGBool):
				yang info - IEEE 802.1 Organizationally Specific TLV

			- dot3_tlv (YANGBool):
				yang info - IEEE 802.3 Organizationally Specific TLV

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.advertise', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.advertise', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_advertise_optional_tlv_update(self, management_address=None, port_description=None, system_capabilities=None, adv_tlv_system_description=None, adv_tlv_system_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- management_address (YANGBool):
				yang info - Management Address TLV

			- port_description (YANGBool):
				yang info - Port-Description TLV

			- system_capabilities (YANGBool):
				yang info - System Capabilities TLV

			- adv_tlv_system_description (YANGBool):
				yang info - System Description

			- adv_tlv_system_name (YANGBool):
				yang info - System Name TLV

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_advertise_optional_tlv_system_description_update(self, management_address=None, port_description=None, system_capabilities=None, adv_tlv_system_description=None, adv_tlv_system_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- management_address (YANGBool):
				yang info - Management Address TLV

			- port_description (YANGBool):
				yang info - Port-Description TLV

			- system_capabilities (YANGBool):
				yang info - System Capabilities TLV

			- adv_tlv_system_description (YANGBool):
				yang info - System Description

			- adv_tlv_system_name (YANGBool):
				yang info - System Name TLV

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_description_update(self, description=None, hello=None, mode=None, multiplier=None, system_name=None, system_description=None, iscsi_priority=None, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - The User description
				length - [u'1 .. 50']

			- hello (long):
				yang info - The Hello Transmit interval.
				range - ['0..4294967295']

			- mode (unicode):
				yang info - The LLDP mode.
				enum - [u'rx', u'tx']

			- multiplier (long):
				yang info - The Timeout Multiplier
				range - ['0..4294967295']

			- system_name (unicode):
				yang info - The System Name
				length - [u'0..32']
				pattern - (([a-zA-Z]{1}([-a-zA-Z0-9\s\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31}))|(\s)*)

			- system_description (unicode):
				yang info - The System Description.
				length - [u'1..50']

			- iscsi_priority (long):
				yang info - Configure the Ethernet priority to advertise for iSCSI
				range - ['0..4294967295']

			- disable (YANGBool):
				yang info - Disable LLDP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, hello=hello, mode=mode, multiplier=multiplier, system_name=system_name, system_description=system_description, iscsi_priority=iscsi_priority, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_profile_create(self, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- profile (profile_name):
				profile_name (unicode):
					length - [u'1..32']
					pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_profile_delete(self, profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- profile (profile_name):
				profile_name (unicode):
					length - [u'1..32']
					pattern - (\S)+

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_profile_update(self, profile=None, description=None, hello=None, mode=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- profile (profile_name):
				profile_name (unicode):
					length - [u'1..32']
					pattern - (\S)+

		This Instance Arg(s):
			- description (unicode):
				yang info - The User description
				length - [u'1 .. 50']

			- hello (long):
				yang info - The Hello Transmit interval.
				range - ['0..4294967295']

			- mode (unicode):
				yang info - The LLDP mode.
				enum - [u'rx', u'tx']

			- multiplier (long):
				yang info - The Timeout Multiplier
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile, description=description, hello=hello, mode=mode, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_profile_get(self, profile=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- profile (profile_name):
				profile_name (unicode):
					length - [u'1..32']
					pattern - (\S)+

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def protocol_lldp_profile_advertise_update(self, profile=None, dcbx_fcoe_app_tlv=None, dcbx_fcoe_logical_link_tlv=None, dcbx_iscsi_app_tlv=None, dcbx_tlv=None, dot1_tlv=None, dot3_tlv=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- profile (profile_name):
				profile_name (unicode):
					length - [u'1..32']
					pattern - (\S)+

		This Instance Arg(s):
			- dcbx_fcoe_app_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange FCoE Application
TLV.

			- dcbx_fcoe_logical_link_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange FCoE Logical 
Link TLV

			- dcbx_iscsi_app_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange iSCSI Application
TLV.

			- dcbx_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange TLV.

			- dot1_tlv (YANGBool):
				yang info - IEEE 802.1 Organizationally Specific TLV

			- dot3_tlv (YANGBool):
				yang info - IEEE 802.3 Organizationally Specific TLV

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2b.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', u'profile')]
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_profile_advertise_dcbx_fcoe_app_tlv_update(self, profile=None, dcbx_fcoe_app_tlv=None, dcbx_fcoe_logical_link_tlv=None, dcbx_iscsi_app_tlv=None, dcbx_tlv=None, dot1_tlv=None, dot3_tlv=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- profile (profile_name):
				profile_name (unicode):
					length - [u'1..32']
					pattern - (\S)+

		This Instance Arg(s):
			- dcbx_fcoe_app_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange FCoE Application
TLV.

			- dcbx_fcoe_logical_link_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange FCoE Logical 
Link TLV

			- dcbx_iscsi_app_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange iSCSI Application
TLV.

			- dcbx_tlv (YANGBool):
				yang info - IEEE Data Center Bridging eXchange TLV.

			- dot1_tlv (YANGBool):
				yang info - IEEE 802.1 Organizationally Specific TLV

			- dot3_tlv (YANGBool):
				yang info - IEEE 802.3 Organizationally Specific TLV

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2b.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', u'profile')]
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_profile_advertise_optional_tlv_update(self, profile=None, management_address=None, port_description=None, system_capabilities=None, adv_tlv_system_description=None, adv_tlv_system_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- profile (profile_name):
				profile_name (unicode):
					length - [u'1..32']
					pattern - (\S)+

		This Instance Arg(s):
			- management_address (YANGBool):
				yang info - Management Address TLV

			- port_description (YANGBool):
				yang info - Port-Description TLV

			- system_capabilities (YANGBool):
				yang info - System Capabilities TLV

			- adv_tlv_system_description (YANGBool):
				yang info - System Description

			- adv_tlv_system_name (YANGBool):
				yang info - System Name TLV

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile')]
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_lldp_profile_advertise_optional_tlv_system_description_update(self, profile=None, management_address=None, port_description=None, system_capabilities=None, adv_tlv_system_description=None, adv_tlv_system_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- profile (profile_name):
				profile_name (unicode):
					length - [u'1..32']
					pattern - (\S)+

		This Instance Arg(s):
			- management_address (YANGBool):
				yang info - Management Address TLV

			- port_description (YANGBool):
				yang info - Port-Description TLV

			- system_capabilities (YANGBool):
				yang info - System Capabilities TLV

			- adv_tlv_system_description (YANGBool):
				yang info - System Description

			- adv_tlv_system_name (YANGBool):
				yang info - System Name TLV

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile')]
        bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, cisco_interoperability=None, region=None, revision=None, max_hops=None, transmit_holdcount=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - Spanning tree description
				length - [u'0..64']

			- bridge_priority (long):
				yang info - Bridge priority commands
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- hello_time (long):
				yang info - Set the hello interval for the spanning 
tree
				range - ['0..4294967295']

			- cisco_interoperability (unicode):
				yang info - Configure Cisco Interoperability
				enum - [u'enable', u'disable']

			- region (unicode):
				yang info - MST Region
				length - [u'0..32']

			- revision (int):
				yang info - Revision Number for configuration information
				range - ['0..65535']

			- max_hops (long):
				yang info - MST max hop count
				range - ['0..4294967295']

			- transmit_holdcount (long):
				yang info - Set Transmit hold count of the bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, cisco_interoperability=cisco_interoperability, region=region, revision=revision, max_hops=max_hops, transmit_holdcount=transmit_holdcount)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_bridge_priority_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, cisco_interoperability=None, region=None, revision=None, max_hops=None, transmit_holdcount=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - Spanning tree description
				length - [u'0..64']

			- bridge_priority (long):
				yang info - Bridge priority commands
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- hello_time (long):
				yang info - Set the hello interval for the spanning 
tree
				range - ['0..4294967295']

			- cisco_interoperability (unicode):
				yang info - Configure Cisco Interoperability
				enum - [u'enable', u'disable']

			- region (unicode):
				yang info - MST Region
				length - [u'0..32']

			- revision (int):
				yang info - Revision Number for configuration information
				range - ['0..65535']

			- max_hops (long):
				yang info - MST max hop count
				range - ['0..4294967295']

			- transmit_holdcount (long):
				yang info - Set Transmit hold count of the bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, cisco_interoperability=cisco_interoperability, region=region, revision=revision, max_hops=max_hops, transmit_holdcount=transmit_holdcount)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable the timeout mechanism for the port to be enabled back

			- interval (long):
				yang info - Interval after which port shall be enabled
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_error_disable_timeout_enable_update(self, enable=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable the timeout mechanism for the port to be enabled back

			- interval (long):
				yang info - Interval after which port shall be enabled
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_forward_delay_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_instance_create(self, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_instance_delete(self, instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_instance_update(self, instance=None, vlan=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

		This Instance Arg(s):
			- vlan (unicode):
				yang info - Vlan
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- priority (long):
				yang info - Priority - bridge priority for the 
common instance
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, instance=instance, vlan=vlan, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_instance_get(self, instance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- instance (id):
				id (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, instance=instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def protocol_spanning_tree_mstp_port_channel_update(self, path_cost=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_cost (unicode):
				yang info - Sets the path-cost behaviour
				enum - [u'custom', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_cost (unicode):
				yang info - Sets the path-cost behaviour
				enum - [u'custom', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_system_id_update(self, oui=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- oui (unicode):
				yang info - Modify the system ID OUI
				enum - [u'00.e0.52', u'01.e0.52']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_mstp_system_id_oui_update(self, oui=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- oui (unicode):
				yang info - Modify the system ID OUI
				enum - [u'00.e0.52', u'01.e0.52']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - Spanning tree description
				length - [u'0..64']

			- bridge_priority (long):
				yang info - Bridge priority commands
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_time, forward_delay, max_age'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_bridge_priority_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - Spanning tree description
				length - [u'0..64']

			- bridge_priority (long):
				yang info - Bridge priority commands
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable the timeout mechanism for the port to be enabled back

			- interval (long):
				yang info - Interval after which port shall be enabled
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_error_disable_timeout_enable_update(self, enable=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable the timeout mechanism for the port to be enabled back

			- interval (long):
				yang info - Interval after which port shall be enabled
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_forward_delay_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_port_channel_update(self, path_cost=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_cost (unicode):
				yang info - Sets the path-cost behaviour
				enum - [u'custom', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_cost (unicode):
				yang info - Sets the path-cost behaviour
				enum - [u'custom', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_system_id_update(self, oui=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- oui (unicode):
				yang info - Modify the system ID OUI
				enum - [u'00.e0.52', u'01.e0.52']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_system_id_oui_update(self, oui=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- oui (unicode):
				yang info - Modify the system ID OUI
				enum - [u'00.e0.52', u'01.e0.52']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_vlan_create(self, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_vlan_delete(self, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_vlan_update(self, vlan=None, priority=None, forward_delay=None, max_age=None, hello_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- priority (long):
				yang info - Bridge priority in increments of 4096
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, priority=priority, forward_delay=forward_delay, max_age=max_age, hello_time=hello_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_pvst_vlan_get(self, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def protocol_spanning_tree_pvst_vlan_forward_delay_update(self, vlan=None, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, transmit_holdcount=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - Spanning tree description
				length - [u'0..64']

			- bridge_priority (long):
				yang info - Bridge priority commands
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- transmit_holdcount (long):
				yang info - Set Transmit hold count of the bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_time, forward_delay, max_age'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, transmit_holdcount=transmit_holdcount)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_bridge_priority_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, transmit_holdcount=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - Spanning tree description
				length - [u'0..64']

			- bridge_priority (long):
				yang info - Bridge priority commands
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- transmit_holdcount (long):
				yang info - Set Transmit hold count of the bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, transmit_holdcount=transmit_holdcount)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable the timeout mechanism for the port to be enabled back

			- interval (long):
				yang info - Interval after which port shall be enabled
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_error_disable_timeout_enable_update(self, enable=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable the timeout mechanism for the port to be enabled back

			- interval (long):
				yang info - Interval after which port shall be enabled
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_forward_delay_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_port_channel_update(self, path_cost=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_cost (unicode):
				yang info - Sets the path-cost behaviour
				enum - [u'custom', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_cost (unicode):
				yang info - Sets the path-cost behaviour
				enum - [u'custom', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_system_id_update(self, oui=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- oui (unicode):
				yang info - Modify the system ID OUI
				enum - [u'00.e0.52', u'01.e0.52']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_system_id_oui_update(self, oui=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- oui (unicode):
				yang info - Modify the system ID OUI
				enum - [u'00.e0.52', u'01.e0.52']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_vlan_create(self, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_vlan_delete(self, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_vlan_update(self, vlan=None, priority=None, forward_delay=None, max_age=None, hello_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- priority (long):
				yang info - Bridge priority in increments of 4096
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, priority=priority, forward_delay=forward_delay, max_age=max_age, hello_time=hello_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_vlan_get(self, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (id):
				id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def protocol_spanning_tree_rpvst_vlan_forward_delay_update(self, vlan=None, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rstp_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, transmit_holdcount=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - Spanning tree description
				length - [u'0..64']

			- bridge_priority (long):
				yang info - Bridge priority commands
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- hello_time (long):
				yang info - Set the hello interval for the spanning 
tree
				range - ['0..4294967295']

			- transmit_holdcount (long):
				yang info - Set Transmit hold count of the bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, transmit_holdcount=transmit_holdcount)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rstp_bridge_priority_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, transmit_holdcount=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - Spanning tree description
				length - [u'0..64']

			- bridge_priority (long):
				yang info - Bridge priority commands
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- hello_time (long):
				yang info - Set the hello interval for the spanning 
tree
				range - ['0..4294967295']

			- transmit_holdcount (long):
				yang info - Set Transmit hold count of the bridge
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, transmit_holdcount=transmit_holdcount)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rstp_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable the timeout mechanism for the port to be enabled back

			- interval (long):
				yang info - Interval after which port shall be enabled
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rstp_error_disable_timeout_enable_update(self, enable=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable the timeout mechanism for the port to be enabled back

			- interval (long):
				yang info - Interval after which port shall be enabled
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rstp_forward_delay_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rstp_port_channel_update(self, path_cost=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_cost (unicode):
				yang info - Sets the path-cost behaviour
				enum - [u'custom', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rstp_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_cost (unicode):
				yang info - Sets the path-cost behaviour
				enum - [u'custom', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rstp_system_id_update(self, oui=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- oui (unicode):
				yang info - Modify the system ID OUI
				enum - [u'00.e0.52', u'01.e0.52']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_rstp_system_id_oui_update(self, oui=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- oui (unicode):
				yang info - Modify the system ID OUI
				enum - [u'00.e0.52', u'01.e0.52']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_stp_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - Spanning tree description
				length - [u'0..64']

			- bridge_priority (long):
				yang info - Bridge priority commands
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- hello_time (long):
				yang info - Set the hello interval for the spanning 
tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_stp_bridge_priority_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- description (unicode):
				yang info - Spanning tree description
				length - [u'0..64']

			- bridge_priority (long):
				yang info - Bridge priority commands
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- hello_time (long):
				yang info - Set the hello interval for the spanning 
tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_stp_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable the timeout mechanism for the port to be enabled back

			- interval (long):
				yang info - Interval after which port shall be enabled
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_stp_error_disable_timeout_enable_update(self, enable=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable the timeout mechanism for the port to be enabled back

			- interval (long):
				yang info - Interval after which port shall be enabled
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_stp_forward_delay_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello_time (long):
				yang info - Set the hello interval for the spanning tree
				range - ['0..4294967295']

			- forward_delay (long):
				yang info - Set the forward delay for the spanning tree
				range - ['0..4294967295']

			- max_age (long):
				yang info - Set the max age for the spanning tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_stp_port_channel_update(self, path_cost=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_cost (unicode):
				yang info - Sets the path-cost behaviour
				enum - [u'custom', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_stp_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- path_cost (unicode):
				yang info - Sets the path-cost behaviour
				enum - [u'custom', u'standard']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_stp_system_id_update(self, oui=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- oui (unicode):
				yang info - Modify the system ID OUI
				enum - [u'00.e0.52', u'01.e0.52']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_spanning_tree_stp_system_id_oui_update(self, oui=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- oui (unicode):
				yang info - Modify the system ID OUI
				enum - [u'00.e0.52', u'01.e0.52']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_udld_update(self, hello=None, multiplier=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello (long):
				yang info - Hello transmit interval
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Timeout multiplier
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Disable UDLD protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello=hello, multiplier=multiplier, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_udld_hello_update(self, hello=None, multiplier=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello (long):
				yang info - Hello transmit interval
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Timeout multiplier
				range - ['0..4294967295']

			- shutdown (YANGBool):
				yang info - Disable UDLD protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.protocol.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello=hello, multiplier=multiplier, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def protocol_vrrp_update(self, vrrp=None, vrrp_extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vrrp (YANGBool):
				yang info - Virtual Router Redundacy Protocol (VRRP)

			- vrrp_extended (YANGBool):
				yang info - Virtual Router Redundacy Protocol Extended (VRRP-E)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.protocol.hide_vrrp_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrrp=vrrp, vrrp_extended=vrrp_extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pw_profile_create(self, pw_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pw_profile (pw_profile_name):
				pw_profile_name (unicode):
					yang info - Pw-profile name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pw_profile', 'keyval': 'pw_profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pw_profile=pw_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pw_profile_delete(self, pw_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pw_profile (pw_profile_name):
				pw_profile_name (unicode):
					yang info - Pw-profile name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pw_profile', 'keyval': 'pw_profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pw_profile=pw_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pw_profile_update(self, pw_profile=None, mtu_enforce=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pw_profile (pw_profile_name):
				pw_profile_name (unicode):
					yang info - Pw-profile name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		This Instance Arg(s):
			- mtu_enforce (YANGBool):
				yang info - Whether to enforce mtu check during PW signalling

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pw_profile', 'keyval': 'pw_profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pw_profile=pw_profile, mtu_enforce=mtu_enforce)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pw_profile_get(self, pw_profile=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- pw_profile (pw_profile_name):
				pw_profile_name (unicode):
					yang info - Pw-profile name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'pw_profile', 'keyval': 'pw_profile_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pw_profile=pw_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def pw_profile_mtu_update(self, pw_profile=None, mtu_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pw_profile (pw_profile_name):
				pw_profile_name (unicode):
					yang info - Pw-profile name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		This Instance Arg(s):
			- mtu_value (long):
				yang info - MTU value is used during Psuedo Wire setup signalling
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pw_profile')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile.mtu', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'pw_profile_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pw_profile=pw_profile, mtu_value=mtu_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def pw_profile_vc_mode_update(self, pw_profile=None, vc_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- pw_profile (pw_profile_name):
				pw_profile_name (unicode):
					yang info - Pw-profile name (Max Size - 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		This Instance Arg(s):
			- vc_mode (unicode):
				yang info - The mode will be used during Psuedo Wire setup signalling process
				enum - [u'raw-passthrough', u'raw', u'tag']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pw_profile')]
        bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile.vc_mode', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'pw_profile_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pw_profile=pw_profile, vc_mode=vc_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_create(self, slot=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'slot', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_delete(self, slot=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'slot', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_get(self, slot=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'slot', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_cpu_slot_group_create(self, slot=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

		This Instance Keyword Arg Tuple:
			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_delete(self, slot=None, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

		This Instance Keyword Arg Tuple:
			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_get(self, slot=None, group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

		This Instance Keyword Arg Tuple:
			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_cpu_slot_group_prio_create(self, slot=None, group=None, group_prio=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

		This Instance Keyword Arg Tuple:
			- group_prio (group_prio_id):
				group_prio_id (unicode):
					length - [u'1..3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_prio', 'keyval': 'group_prio_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_prio_delete(self, slot=None, group=None, group_prio=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

		This Instance Keyword Arg Tuple:
			- group_prio (group_prio_id):
				group_prio_id (unicode):
					length - [u'1..3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_prio', 'keyval': 'group_prio_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_prio_get(self, slot=None, group=None, group_prio=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

		This Instance Keyword Arg Tuple:
			- group_prio (group_prio_id):
				group_prio_id (unicode):
					length - [u'1..3']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'group_prio', 'keyval': 'group_prio_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_cpu_slot_group_prio_shaper_update(self, slot=None, group=None, group_prio=None, group_prio_shaper_rate=None, group_prio_shaper_burst_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

			- group_prio (group_prio_id):
				group_prio_id (unicode):
					length - [u'1..3']

		This Instance Arg(s):
			- group_prio_shaper_rate (long):
				yang info - Configure CPU group priority shaper rate
				range - ['0..4294967295']

			- group_prio_shaper_burst_size (int):
				yang info - Configure CPU group priority shaper burst size
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio, group_prio_shaper_rate=group_prio_shaper_rate, group_prio_shaper_burst_size=group_prio_shaper_burst_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_prio_shaper_burst_update(self, slot=None, group=None, group_prio=None, group_prio_shaper_rate=None, group_prio_shaper_burst_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

			- group_prio (group_prio_id):
				group_prio_id (unicode):
					length - [u'1..3']

		This Instance Arg(s):
			- group_prio_shaper_rate (long):
				yang info - Configure CPU group priority shaper rate
				range - ['0..4294967295']

			- group_prio_shaper_burst_size (int):
				yang info - Configure CPU group priority shaper burst size
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio, group_prio_shaper_rate=group_prio_shaper_rate, group_prio_shaper_burst_size=group_prio_shaper_burst_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_prio_wfq_update(self, slot=None, group=None, group_prio=None, group_prio_wfq_weight=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

			- group_prio (group_prio_id):
				group_prio_id (unicode):
					length - [u'1..3']

		This Instance Arg(s):
			- group_prio_wfq_weight (int):
				yang info - Configure CPU group priority wfq weight
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio, group_prio_wfq_weight=group_prio_wfq_weight)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_prio_wfq_weight_update(self, slot=None, group=None, group_prio=None, group_prio_wfq_weight=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

			- group_prio (group_prio_id):
				group_prio_id (unicode):
					length - [u'1..3']

		This Instance Arg(s):
			- group_prio_wfq_weight (int):
				yang info - Configure CPU group priority wfq weight
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio, group_prio_wfq_weight=group_prio_wfq_weight)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_shaper_update(self, slot=None, group=None, group_shaper_rate=None, group_shaper_burst_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

		This Instance Arg(s):
			- group_shaper_rate (long):
				yang info - Configure CPU group shaper rate
				range - ['0..4294967295']

			- group_shaper_burst_size (int):
				yang info - Configure CPU group shaper burst size
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_shaper_rate=group_shaper_rate, group_shaper_burst_size=group_shaper_burst_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_shaper_burst_update(self, slot=None, group=None, group_shaper_rate=None, group_shaper_burst_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

		This Instance Arg(s):
			- group_shaper_rate (long):
				yang info - Configure CPU group shaper rate
				range - ['0..4294967295']

			- group_shaper_burst_size (int):
				yang info - Configure CPU group shaper burst size
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_shaper_rate=group_shaper_rate, group_shaper_burst_size=group_shaper_burst_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_wfq_update(self, slot=None, group=None, group_wfq_weight=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

		This Instance Arg(s):
			- group_wfq_weight (int):
				yang info - Configure CPU group wfq weight
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_wfq_weight=group_wfq_weight)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_group_wfq_weight_update(self, slot=None, group=None, group_wfq_weight=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

			- group (group_id):
				group_id (unicode):
					length - [u'1..3']

		This Instance Arg(s):
			- group_wfq_weight (int):
				yang info - Configure CPU group wfq weight
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_wfq_weight=group_wfq_weight)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_port_shaper_update(self, slot=None, port_shaper_rate=None, port_shaper_burst_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

		This Instance Arg(s):
			- port_shaper_rate (long):
				yang info - Configure CPU port shaper rate
				range - ['0..4294967295']

			- port_shaper_burst_size (int):
				yang info - Configure CPU port shaper burst size
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.port.port_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, port_shaper_rate=port_shaper_rate, port_shaper_burst_size=port_shaper_burst_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_cpu_slot_port_shaper_burst_update(self, slot=None, port_shaper_rate=None, port_shaper_burst_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- slot (slot_id):
				slot_id (unicode):
					length - [u'1..3']

		This Instance Arg(s):
			- port_shaper_rate (long):
				yang info - Configure CPU port shaper rate
				range - ['0..4294967295']

			- port_shaper_burst_size (int):
				yang info - Configure CPU port shaper burst size
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.port.port_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, port_shaper_rate=port_shaper_rate, port_shaper_burst_size=port_shaper_burst_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_mutation_create(self, cos_mutation=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cos_mutation (name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				cos0 (long):
					range - ['-2147483648..2147483647']

				cos1 (long):
					range - ['-2147483648..2147483647']

				cos2 (long):
					range - ['-2147483648..2147483647']

				cos3 (long):
					range - ['-2147483648..2147483647']

				cos4 (long):
					range - ['-2147483648..2147483647']

				cos5 (long):
					range - ['-2147483648..2147483647']

				cos6 (long):
					range - ['-2147483648..2147483647']

				cos7 (long):
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.cos_mutation', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.cos_mutation', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_mutation=cos_mutation)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_mutation_delete(self, cos_mutation=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cos_mutation (name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				cos0 (long):
					range - ['-2147483648..2147483647']

				cos1 (long):
					range - ['-2147483648..2147483647']

				cos2 (long):
					range - ['-2147483648..2147483647']

				cos3 (long):
					range - ['-2147483648..2147483647']

				cos4 (long):
					range - ['-2147483648..2147483647']

				cos5 (long):
					range - ['-2147483648..2147483647']

				cos6 (long):
					range - ['-2147483648..2147483647']

				cos7 (long):
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.cos_mutation', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.cos_mutation', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_mutation=cos_mutation)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_mutation_get(self, cos_mutation=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cos_mutation (name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				cos0 (long):
					range - ['-2147483648..2147483647']

				cos1 (long):
					range - ['-2147483648..2147483647']

				cos2 (long):
					range - ['-2147483648..2147483647']

				cos3 (long):
					range - ['-2147483648..2147483647']

				cos4 (long):
					range - ['-2147483648..2147483647']

				cos5 (long):
					range - ['-2147483648..2147483647']

				cos6 (long):
					range - ['-2147483648..2147483647']

				cos7 (long):
					range - ['-2147483648..2147483647']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.cos_mutation', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.cos_mutation', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_mutation=cos_mutation)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_cos_mutation_map_create(self, cos_mutation=None, cos_to_cos_mappings=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cos_mutation (name):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- cos_to_cos_mappings (from_cos):
				from_cos (int):
					yang info - In CoS
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', u'cos_mutation')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cos_to_cos_mappings', 'keyval': 'from_cos', 'extra_keyval': 'from_cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_mutation_map_delete(self, cos_mutation=None, cos_to_cos_mappings=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cos_mutation (name):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- cos_to_cos_mappings (from_cos):
				from_cos (int):
					yang info - In CoS
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', u'cos_mutation')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cos_to_cos_mappings', 'keyval': 'from_cos', 'extra_keyval': 'from_cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_mutation_map_get(self, cos_mutation=None, cos_to_cos_mappings=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cos_mutation (name):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- cos_to_cos_mappings (from_cos):
				from_cos (int):
					yang info - In CoS
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', u'cos_mutation')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cos_to_cos_mappings', 'keyval': 'from_cos', 'extra_keyval': 'from_cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_cos_mutation_map_to_update(self, cos_mutation=None, cos_to_cos_mappings=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cos_mutation (name):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_to_cos_mappings (from_cos):
				from_cos (int):
					yang info - In CoS
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', u'cos_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings', u'cos_to_cos_mappings')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_mutation_map_to_cos_update(self, cos_mutation=None, cos_to_cos_mappings=None, to_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cos_mutation (name):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_to_cos_mappings (from_cos):
				from_cos (int):
					yang info - In CoS
					range - ['0..255']

		This Instance Arg(s):
			- to_cos (int):
				yang info - Out CoS
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', u'cos_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings', u'cos_to_cos_mappings')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings, to_cos=to_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_traffic_class_create(self, cos_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cos_traffic_class (name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				cos0 (long):
					range - ['-2147483648..2147483647']

				cos1 (long):
					range - ['-2147483648..2147483647']

				cos2 (long):
					range - ['-2147483648..2147483647']

				cos3 (long):
					range - ['-2147483648..2147483647']

				cos4 (long):
					range - ['-2147483648..2147483647']

				cos5 (long):
					range - ['-2147483648..2147483647']

				cos6 (long):
					range - ['-2147483648..2147483647']

				cos7 (long):
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_traffic_class_delete(self, cos_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cos_traffic_class (name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				cos0 (long):
					range - ['-2147483648..2147483647']

				cos1 (long):
					range - ['-2147483648..2147483647']

				cos2 (long):
					range - ['-2147483648..2147483647']

				cos3 (long):
					range - ['-2147483648..2147483647']

				cos4 (long):
					range - ['-2147483648..2147483647']

				cos5 (long):
					range - ['-2147483648..2147483647']

				cos6 (long):
					range - ['-2147483648..2147483647']

				cos7 (long):
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_traffic_class_update(self, cos_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cos_traffic_class (name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				cos0 (long):
					range - ['-2147483648..2147483647']

				cos1 (long):
					range - ['-2147483648..2147483647']

				cos2 (long):
					range - ['-2147483648..2147483647']

				cos3 (long):
					range - ['-2147483648..2147483647']

				cos4 (long):
					range - ['-2147483648..2147483647']

				cos5 (long):
					range - ['-2147483648..2147483647']

				cos6 (long):
					range - ['-2147483648..2147483647']

				cos7 (long):
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_traffic_class_get(self, cos_traffic_class=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cos_traffic_class (name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				cos0 (long):
					range - ['-2147483648..2147483647']

				cos1 (long):
					range - ['-2147483648..2147483647']

				cos2 (long):
					range - ['-2147483648..2147483647']

				cos3 (long):
					range - ['-2147483648..2147483647']

				cos4 (long):
					range - ['-2147483648..2147483647']

				cos5 (long):
					range - ['-2147483648..2147483647']

				cos6 (long):
					range - ['-2147483648..2147483647']

				cos7 (long):
					range - ['-2147483648..2147483647']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_cos_traffic_class_map_create(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cos_traffic_class (name):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- cos_to_tc_dp_mappings (from_cos):
				from_cos (int):
					yang info - In CoS
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cos_to_tc_dp_mappings', 'keyval': 'from_cos', 'extra_keyval': 'from_cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_traffic_class_map_delete(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cos_traffic_class (name):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- cos_to_tc_dp_mappings (from_cos):
				from_cos (int):
					yang info - In CoS
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cos_to_tc_dp_mappings', 'keyval': 'from_cos', 'extra_keyval': 'from_cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_traffic_class_map_get(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cos_traffic_class (name):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- cos_to_tc_dp_mappings (from_cos):
				from_cos (int):
					yang info - In CoS
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cos_to_tc_dp_mappings', 'keyval': 'from_cos', 'extra_keyval': 'from_cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_cos_traffic_class_map_to_update(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cos_traffic_class (name):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_to_tc_dp_mappings (from_cos):
				from_cos (int):
					yang info - In CoS
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', u'cos_to_tc_dp_mappings')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_traffic_class, to_drop_precedence'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_cos_traffic_class_map_to_drop_precedence_update(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, to_traffic_class=None, to_drop_precedence=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cos_traffic_class (name):
				name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- cos_to_tc_dp_mappings (from_cos):
				from_cos (int):
					yang info - In CoS
					range - ['0..255']

		This Instance Arg(s):
			- to_traffic_class (int):
				yang info - Out Traffic-Class
				range - ['0..255']

			- to_drop_precedence (int):
				yang info - Out Drop-Precedence
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', u'cos_to_tc_dp_mappings')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings, to_traffic_class=to_traffic_class, to_drop_precedence=to_drop_precedence)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_cos_create(self, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_cos', 'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_cos_delete(self, dscp_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_cos', 'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_cos_get(self, dscp_cos=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_cos', 'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_dscp_cos_map_create(self, dscp_cos=None, dscp_to_cos_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp_to_cos_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', u'dscp_cos')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp_to_cos_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_cos_map_delete(self, dscp_cos=None, dscp_to_cos_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp_to_cos_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', u'dscp_cos')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp_to_cos_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_cos_map_get(self, dscp_cos=None, dscp_to_cos_mapping=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp_to_cos_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', u'dscp_cos')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp_to_cos_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_dscp_cos_map_to_update(self, dscp_cos=None, dscp_to_cos_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_to_cos_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping', u'dscp_to_cos_mapping')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_value'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_cos_map_to_cos_update(self, dscp_cos=None, dscp_to_cos_mapping=None, to_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_to_cos_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

		This Instance Arg(s):
			- to_value (int):
				yang info - Out CoS
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping', u'dscp_to_cos_mapping')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping, to_value=to_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_cos_mark_create(self, dscp_cos=None, mark=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos', u'dscp_cos')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, mark=mark)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_cos_mark_delete(self, dscp_cos=None, mark=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos', u'dscp_cos')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, mark=mark)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_cos_mark_update(self, dscp_cos=None, mark=None, to=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

		This Instance Arg(s):
			- to (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos', u'dscp_cos')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, mark=mark, to=to)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_cos_mark_get(self, dscp_cos=None, mark=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_cos (dscp_cos_map_name):
				dscp_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos', u'dscp_cos')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, mark=mark)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_dscp_mutation_create(self, dscp_mutation=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_mutation', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_mutation', 'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_mutation_delete(self, dscp_mutation=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_mutation', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_mutation', 'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_mutation_get(self, dscp_mutation=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_mutation', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_mutation', 'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_dscp_mutation_map_create(self, dscp_mutation=None, dscp_to_dscp_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp_to_dscp_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', u'dscp_mutation')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp_to_dscp_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_mutation_map_delete(self, dscp_mutation=None, dscp_to_dscp_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp_to_dscp_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', u'dscp_mutation')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp_to_dscp_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_mutation_map_get(self, dscp_mutation=None, dscp_to_dscp_mapping=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp_to_dscp_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', u'dscp_mutation')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp_to_dscp_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_dscp_mutation_map_to_update(self, dscp_mutation=None, dscp_to_dscp_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_to_dscp_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping', u'dscp_to_dscp_mapping')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_value'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_mutation_map_to_dscp_update(self, dscp_mutation=None, dscp_to_dscp_mapping=None, to_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_to_dscp_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

		This Instance Arg(s):
			- to_value (int):
				yang info - Out DSCP
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping', u'dscp_to_dscp_mapping')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping, to_value=to_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_mutation_mark_create(self, dscp_mutation=None, mark=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v6_0_2b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation', u'dscp_mutation')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_mutation.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, mark=mark)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_mutation_mark_delete(self, dscp_mutation=None, mark=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v6_0_2b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation', u'dscp_mutation')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_mutation.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, mark=mark)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_mutation_mark_update(self, dscp_mutation=None, mark=None, to=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

		This Instance Arg(s):
			- to (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v6_0_2b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation', u'dscp_mutation')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_mutation.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, mark=mark, to=to)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_mutation_mark_get(self, dscp_mutation=None, mark=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_mutation (dscp_mutation_map_name):
				dscp_mutation_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v6_0_2b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation', u'dscp_mutation')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_mutation.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, mark=mark)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_dscp_traffic_class_create(self, dscp_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_traffic_class', 'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_traffic_class_delete(self, dscp_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_traffic_class', 'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_traffic_class_get(self, dscp_traffic_class=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_traffic_class', 'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_dscp_traffic_class_map_create(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp_to_tc_dp_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp_to_tc_dp_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_traffic_class_map_delete(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp_to_tc_dp_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp_to_tc_dp_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_traffic_class_map_get(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp_to_tc_dp_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp_to_tc_dp_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_dscp_traffic_class_map_to_update(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_to_tc_dp_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', u'dscp_to_tc_dp_mapping')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_value, to_drop_precedence'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_traffic_class_map_to_drop_precedence_update(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, to_value=None, to_drop_precedence=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp_to_tc_dp_mapping (dscp_in_values):
				dscp_in_values (unicode):
					yang info - In DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

		This Instance Arg(s):
			- to_value (int):
				yang info - Out Traffic-Class
				range - ['0..255']

			- to_drop_precedence (int):
				yang info - Out Drop-Precedence
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', u'dscp_to_tc_dp_mapping')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping, to_value=to_value, to_drop_precedence=to_drop_precedence)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_traffic_class_mark_create(self, dscp_traffic_class=None, mark=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, mark=mark)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_traffic_class_mark_delete(self, dscp_traffic_class=None, mark=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, mark=mark)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_traffic_class_mark_update(self, dscp_traffic_class=None, mark=None, to=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

		This Instance Arg(s):
			- to (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, mark=mark, to=to)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_dscp_traffic_class_mark_get(self, dscp_traffic_class=None, mark=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_traffic_class (dscp_traffic_class_map_name):
				dscp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- mark (dscp_in_values):
				dscp_in_values (unicode):
					yang info - 0-63;;Incoming DSCP
					pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
        bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, mark=mark)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_traffic_class_cos_create(self, traffic_class_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- traffic_class_cos (traffic_class_cos_map_name):
				traffic_class_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'traffic_class_cos', 'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_cos=traffic_class_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_traffic_class_cos_delete(self, traffic_class_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- traffic_class_cos (traffic_class_cos_map_name):
				traffic_class_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'traffic_class_cos', 'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_cos=traffic_class_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_traffic_class_cos_get(self, traffic_class_cos=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- traffic_class_cos (traffic_class_cos_map_name):
				traffic_class_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'traffic_class_cos', 'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_cos=traffic_class_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_traffic_class_cos_map_create(self, traffic_class_cos=None, tc_dp_to_cos_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- traffic_class_cos (traffic_class_cos_map_name):
				traffic_class_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- tc_dp_to_cos_mapping (from_traffic_class, from_drop_precedence):
				from_traffic_class (int):
					yang info - In Traffic-Class
					range - ['0..255']

				from_drop_precedence (int):
					yang info - In Drop-Precedence
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', u'traffic_class_cos')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'tc_dp_to_cos_mapping', 'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_traffic_class_cos_map_delete(self, traffic_class_cos=None, tc_dp_to_cos_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- traffic_class_cos (traffic_class_cos_map_name):
				traffic_class_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- tc_dp_to_cos_mapping (from_traffic_class, from_drop_precedence):
				from_traffic_class (int):
					yang info - In Traffic-Class
					range - ['0..255']

				from_drop_precedence (int):
					yang info - In Drop-Precedence
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', u'traffic_class_cos')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'tc_dp_to_cos_mapping', 'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_traffic_class_cos_map_get(self, traffic_class_cos=None, tc_dp_to_cos_mapping=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- traffic_class_cos (traffic_class_cos_map_name):
				traffic_class_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- tc_dp_to_cos_mapping (from_traffic_class, from_drop_precedence):
				from_traffic_class (int):
					yang info - In Traffic-Class
					range - ['0..255']

				from_drop_precedence (int):
					yang info - In Drop-Precedence
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', u'traffic_class_cos')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'tc_dp_to_cos_mapping', 'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_map_traffic_class_cos_map_to_update(self, traffic_class_cos=None, tc_dp_to_cos_mapping=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- traffic_class_cos (traffic_class_cos_map_name):
				traffic_class_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- tc_dp_to_cos_mapping (from_traffic_class, from_drop_precedence):
				from_traffic_class (int):
					yang info - In Traffic-Class
					range - ['0..255']

				from_drop_precedence (int):
					yang info - In Drop-Precedence
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', u'traffic_class_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', u'tc_dp_to_cos_mapping')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}, {'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_cos'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_map_traffic_class_cos_map_to_cos_update(self, traffic_class_cos=None, tc_dp_to_cos_mapping=None, to_cos=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- traffic_class_cos (traffic_class_cos_map_name):
				traffic_class_cos_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- tc_dp_to_cos_mapping (from_traffic_class, from_drop_precedence):
				from_traffic_class (int):
					yang info - In Traffic-Class
					range - ['0..255']

				from_drop_precedence (int):
					yang info - In Drop-Precedence
					range - ['0..255']

		This Instance Arg(s):
			- to_cos (int):
				yang info - Out CoS
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', u'traffic_class_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', u'tc_dp_to_cos_mapping')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}, {'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping, to_cos=to_cos)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_apply_dscp_exp_update(self, map_name_cmd3=None, all_zero_map_cmd3=None, default_map_cmd3=None, All_cmd3=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- map_name_cmd3 (unicode):
				yang info - <MAP NAME>;;Name for the MAP(Max 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- all_zero_map_cmd3 (YANGBool):
				yang info - Map DSCP value to EXP 0

			- default_map_cmd3 (YANGBool):
				yang info - Map DSCP value to EXP based on default map

			- All_cmd3 (YANGBool):
				yang info - Apply globally on all interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd3=map_name_cmd3, all_zero_map_cmd3=all_zero_map_cmd3, default_map_cmd3=default_map_cmd3, All_cmd3=All_cmd3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_apply_dscp_exp_all_update(self, map_name_cmd3=None, all_zero_map_cmd3=None, default_map_cmd3=None, All_cmd3=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- map_name_cmd3 (unicode):
				yang info - <MAP NAME>;;Name for the MAP(Max 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- all_zero_map_cmd3 (YANGBool):
				yang info - Map DSCP value to EXP 0

			- default_map_cmd3 (YANGBool):
				yang info - Map DSCP value to EXP based on default map

			- All_cmd3 (YANGBool):
				yang info - Apply globally on all interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd3=map_name_cmd3, all_zero_map_cmd3=all_zero_map_cmd3, default_map_cmd3=default_map_cmd3, All_cmd3=All_cmd3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_apply_exp_dscp_update(self, map_name_cmd4=None, all_zero_map_cmd4=None, default_map_cmd4=None, All_cmd4=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- map_name_cmd4 (unicode):
				yang info - <MAP NAME>;;Name for the MAP(Max 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- all_zero_map_cmd4 (YANGBool):
				yang info - Map EXP value to DSCP 0

			- default_map_cmd4 (YANGBool):
				yang info - Map EXP value to DSCP based on default map

			- All_cmd4 (YANGBool):
				yang info - Apply globally on all interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd4=map_name_cmd4, all_zero_map_cmd4=all_zero_map_cmd4, default_map_cmd4=default_map_cmd4, All_cmd4=All_cmd4)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_apply_exp_dscp_all_update(self, map_name_cmd4=None, all_zero_map_cmd4=None, default_map_cmd4=None, All_cmd4=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- map_name_cmd4 (unicode):
				yang info - <MAP NAME>;;Name for the MAP(Max 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- all_zero_map_cmd4 (YANGBool):
				yang info - Map EXP value to DSCP 0

			- default_map_cmd4 (YANGBool):
				yang info - Map EXP value to DSCP based on default map

			- All_cmd4 (YANGBool):
				yang info - Apply globally on all interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd4=map_name_cmd4, all_zero_map_cmd4=all_zero_map_cmd4, default_map_cmd4=default_map_cmd4, All_cmd4=All_cmd4)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_apply_exp_traffic_class_update(self, map_name_cmd1=None, all_zero_map_cmd1=None, default_map_cmd1=None, All_cmd1=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- map_name_cmd1 (unicode):
				yang info - <MAP NAME>;;Name for the MAP(Max 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- all_zero_map_cmd1 (YANGBool):
				yang info - Map EXP value to internal traffic-class 0 and drop-prec 0

			- default_map_cmd1 (YANGBool):
				yang info - Map EXP value to internal traffic-class and drop-prec based on default map

			- All_cmd1 (YANGBool):
				yang info - Apply globally on all interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd1=map_name_cmd1, all_zero_map_cmd1=all_zero_map_cmd1, default_map_cmd1=default_map_cmd1, All_cmd1=All_cmd1)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_apply_exp_traffic_class_all_update(self, map_name_cmd1=None, all_zero_map_cmd1=None, default_map_cmd1=None, All_cmd1=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- map_name_cmd1 (unicode):
				yang info - <MAP NAME>;;Name for the MAP(Max 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- all_zero_map_cmd1 (YANGBool):
				yang info - Map EXP value to internal traffic-class 0 and drop-prec 0

			- default_map_cmd1 (YANGBool):
				yang info - Map EXP value to internal traffic-class and drop-prec based on default map

			- All_cmd1 (YANGBool):
				yang info - Apply globally on all interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd1=map_name_cmd1, all_zero_map_cmd1=all_zero_map_cmd1, default_map_cmd1=default_map_cmd1, All_cmd1=All_cmd1)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_apply_inexp_outexp_update(self, map_name_cmd5=None, all_zero_map_cmd5=None, default_map_cmd5=None, All_cmd5=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- map_name_cmd5 (unicode):
				yang info - <MAP NAME>;;Name for the MAP(Max 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- all_zero_map_cmd5 (YANGBool):
				yang info - Map EXP value to internal priority 0 and drop-prec 0

			- default_map_cmd5 (YANGBool):
				yang info - Map EXP value to internal priority and drop-prec based on default map

			- All_cmd5 (YANGBool):
				yang info - Apply globally on all interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd5=map_name_cmd5, all_zero_map_cmd5=all_zero_map_cmd5, default_map_cmd5=default_map_cmd5, All_cmd5=All_cmd5)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_apply_inexp_outexp_all_update(self, map_name_cmd5=None, all_zero_map_cmd5=None, default_map_cmd5=None, All_cmd5=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- map_name_cmd5 (unicode):
				yang info - <MAP NAME>;;Name for the MAP(Max 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- all_zero_map_cmd5 (YANGBool):
				yang info - Map EXP value to internal priority 0 and drop-prec 0

			- default_map_cmd5 (YANGBool):
				yang info - Map EXP value to internal priority and drop-prec based on default map

			- All_cmd5 (YANGBool):
				yang info - Apply globally on all interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd5=map_name_cmd5, all_zero_map_cmd5=all_zero_map_cmd5, default_map_cmd5=default_map_cmd5, All_cmd5=All_cmd5)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_apply_traffic_class_exp_update(self, map_name_cmd2=None, all_zero_map_cmd2=None, default_map_cmd2=None, All_cmd2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- map_name_cmd2 (unicode):
				yang info - <MAP NAME>;;Name for the MAP(Max 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- all_zero_map_cmd2 (YANGBool):
				yang info - Map traffic-class and drop prec to EXP 0

			- default_map_cmd2 (YANGBool):
				yang info - Map traffic-class and drop prec to EXP based on default map

			- All_cmd2 (YANGBool):
				yang info - Apply globally on all interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd2=map_name_cmd2, all_zero_map_cmd2=all_zero_map_cmd2, default_map_cmd2=default_map_cmd2, All_cmd2=All_cmd2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_apply_traffic_class_exp_all_update(self, map_name_cmd2=None, all_zero_map_cmd2=None, default_map_cmd2=None, All_cmd2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- map_name_cmd2 (unicode):
				yang info - <MAP NAME>;;Name for the MAP(Max 64)
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- all_zero_map_cmd2 (YANGBool):
				yang info - Map traffic-class and drop prec to EXP 0

			- default_map_cmd2 (YANGBool):
				yang info - Map traffic-class and drop prec to EXP based on default map

			- All_cmd2 (YANGBool):
				yang info - Apply globally on all interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd2=map_name_cmd2, all_zero_map_cmd2=all_zero_map_cmd2, default_map_cmd2=default_map_cmd2, All_cmd2=All_cmd2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_dscp_exp_create(self, dscp_exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_exp (dscp_exp_map_name):
				dscp_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_exp', 'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_exp=dscp_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_dscp_exp_delete(self, dscp_exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_exp (dscp_exp_map_name):
				dscp_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_exp', 'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_exp=dscp_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_dscp_exp_get(self, dscp_exp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- dscp_exp (dscp_exp_map_name):
				dscp_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'dscp_exp', 'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_exp=dscp_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_mpls_map_dscp_exp_dscp_create(self, dscp_exp=None, dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_exp (dscp_exp_map_name):
				dscp_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp (dscp_in_values):
				dscp_in_values (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', u'dscp_exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_exp=dscp_exp, dscp=dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_dscp_exp_dscp_delete(self, dscp_exp=None, dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_exp (dscp_exp_map_name):
				dscp_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp (dscp_in_values):
				dscp_in_values (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', u'dscp_exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_exp=dscp_exp, dscp=dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_dscp_exp_dscp_get(self, dscp_exp=None, dscp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_exp (dscp_exp_map_name):
				dscp_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- dscp (dscp_in_values):
				dscp_in_values (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', u'dscp_exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'dscp', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_exp=dscp_exp, dscp=dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_mpls_map_dscp_exp_dscp_to_update(self, dscp_exp=None, dscp=None, exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_exp (dscp_exp_map_name):
				dscp_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp (dscp_in_values):
				dscp_in_values (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- exp (long):
				yang info - exp value 0-7
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', u'dscp_exp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp', u'dscp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_exp=dscp_exp, dscp=dscp, exp=exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_dscp_exp_dscp_to_exp_update(self, dscp_exp=None, dscp=None, exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- dscp_exp (dscp_exp_map_name):
				dscp_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- dscp (dscp_in_values):
				dscp_in_values (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- exp (long):
				yang info - exp value 0-7
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', u'dscp_exp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp', u'dscp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_exp=dscp_exp, dscp=dscp, exp=exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_dscp_create(self, exp_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- exp_dscp (exp_dscp_map_name):
				exp_dscp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'exp_dscp', 'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_dscp=exp_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_dscp_delete(self, exp_dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- exp_dscp (exp_dscp_map_name):
				exp_dscp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'exp_dscp', 'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_dscp=exp_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_dscp_get(self, exp_dscp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- exp_dscp (exp_dscp_map_name):
				exp_dscp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'exp_dscp', 'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_dscp=exp_dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_mpls_map_exp_dscp_exp_create(self, exp_dscp=None, exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- exp_dscp (exp_dscp_map_name):
				exp_dscp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- exp (exp_in_values):
				exp_in_values (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', u'exp_dscp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exp', 'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_dscp=exp_dscp, exp=exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_dscp_exp_delete(self, exp_dscp=None, exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- exp_dscp (exp_dscp_map_name):
				exp_dscp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- exp (exp_in_values):
				exp_in_values (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', u'exp_dscp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exp', 'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_dscp=exp_dscp, exp=exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_dscp_exp_get(self, exp_dscp=None, exp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- exp_dscp (exp_dscp_map_name):
				exp_dscp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- exp (exp_in_values):
				exp_in_values (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', u'exp_dscp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exp', 'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_dscp=exp_dscp, exp=exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_mpls_map_exp_dscp_exp_to_update(self, exp_dscp=None, exp=None, dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- exp_dscp (exp_dscp_map_name):
				exp_dscp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- exp (exp_in_values):
				exp_in_values (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- dscp (long):
				yang info - dscp value 0-63
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', u'exp_dscp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp', u'exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_dscp=exp_dscp, exp=exp, dscp=dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_dscp_exp_to_dscp_update(self, exp_dscp=None, exp=None, dscp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- exp_dscp (exp_dscp_map_name):
				exp_dscp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- exp (exp_in_values):
				exp_in_values (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- dscp (long):
				yang info - dscp value 0-63
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', u'exp_dscp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp', u'exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_dscp=exp_dscp, exp=exp, dscp=dscp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_traffic_class_create(self, exp_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- exp_traffic_class (exp_traffic_class_map_name):
				exp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'exp_traffic_class', 'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_traffic_class=exp_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_traffic_class_delete(self, exp_traffic_class=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- exp_traffic_class (exp_traffic_class_map_name):
				exp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'exp_traffic_class', 'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_traffic_class=exp_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_traffic_class_get(self, exp_traffic_class=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- exp_traffic_class (exp_traffic_class_map_name):
				exp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'exp_traffic_class', 'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_traffic_class=exp_traffic_class)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_mpls_map_exp_traffic_class_exp_create(self, exp_traffic_class=None, exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- exp_traffic_class (exp_traffic_class_map_name):
				exp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- exp (exp_in_values):
				exp_in_values (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exp', 'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_traffic_class=exp_traffic_class, exp=exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_traffic_class_exp_delete(self, exp_traffic_class=None, exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- exp_traffic_class (exp_traffic_class_map_name):
				exp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- exp (exp_in_values):
				exp_in_values (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exp', 'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_traffic_class=exp_traffic_class, exp=exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_traffic_class_exp_get(self, exp_traffic_class=None, exp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- exp_traffic_class (exp_traffic_class_map_name):
				exp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- exp (exp_in_values):
				exp_in_values (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exp', 'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_traffic_class=exp_traffic_class, exp=exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_mpls_map_exp_traffic_class_exp_to_update(self, exp_traffic_class=None, exp=None, priority=None, drop_precedence=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- exp_traffic_class (exp_traffic_class_map_name):
				exp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- exp (exp_in_values):
				exp_in_values (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- priority (long):
				yang info - Traffic class 0-7
				range - ['0..4294967295']

			- drop_precedence (long):
				yang info - drop-precedence value 0-3
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', u'exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_traffic_class=exp_traffic_class, exp=exp, priority=priority, drop_precedence=drop_precedence)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_exp_traffic_class_exp_to_drop_precedence_update(self, exp_traffic_class=None, exp=None, priority=None, drop_precedence=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- exp_traffic_class (exp_traffic_class_map_name):
				exp_traffic_class_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- exp (exp_in_values):
				exp_in_values (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- priority (long):
				yang info - Traffic class 0-7
				range - ['0..4294967295']

			- drop_precedence (long):
				yang info - drop-precedence value 0-3
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', u'exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_traffic_class=exp_traffic_class, exp=exp, priority=priority, drop_precedence=drop_precedence)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_inexp_outexp_create(self, inexp_outexp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- inexp_outexp (inexp_outexp_map_name):
				inexp_outexp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'inexp_outexp', 'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, inexp_outexp=inexp_outexp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_inexp_outexp_delete(self, inexp_outexp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- inexp_outexp (inexp_outexp_map_name):
				inexp_outexp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'inexp_outexp', 'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, inexp_outexp=inexp_outexp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_inexp_outexp_get(self, inexp_outexp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- inexp_outexp (inexp_outexp_map_name):
				inexp_outexp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'inexp_outexp', 'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, inexp_outexp=inexp_outexp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_mpls_map_inexp_outexp_in_exp_create(self, inexp_outexp=None, in_exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- inexp_outexp (inexp_outexp_map_name):
				inexp_outexp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- in_exp (in_exp_in_values):
				in_exp_in_values (long):
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', u'inexp_outexp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'in_exp', 'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, inexp_outexp=inexp_outexp, in_exp=in_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_inexp_outexp_in_exp_delete(self, inexp_outexp=None, in_exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- inexp_outexp (inexp_outexp_map_name):
				inexp_outexp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- in_exp (in_exp_in_values):
				in_exp_in_values (long):
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', u'inexp_outexp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'in_exp', 'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, inexp_outexp=inexp_outexp, in_exp=in_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_inexp_outexp_in_exp_get(self, inexp_outexp=None, in_exp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- inexp_outexp (inexp_outexp_map_name):
				inexp_outexp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- in_exp (in_exp_in_values):
				in_exp_in_values (long):
					range - ['-2147483648..2147483647']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', u'inexp_outexp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'in_exp', 'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, inexp_outexp=inexp_outexp, in_exp=in_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_mpls_map_inexp_outexp_in_exp_to_update(self, inexp_outexp=None, in_exp=None, out_exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- inexp_outexp (inexp_outexp_map_name):
				inexp_outexp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- in_exp (in_exp_in_values):
				in_exp_in_values (long):
					range - ['-2147483648..2147483647']

		This Instance Arg(s):
			- out_exp (long):
				yang info - out-exp value 0-7
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', u'inexp_outexp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp', u'in_exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}, {'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, inexp_outexp=inexp_outexp, in_exp=in_exp, out_exp=out_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_inexp_outexp_in_exp_to_out_exp_update(self, inexp_outexp=None, in_exp=None, out_exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- inexp_outexp (inexp_outexp_map_name):
				inexp_outexp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- in_exp (in_exp_in_values):
				in_exp_in_values (long):
					range - ['-2147483648..2147483647']

		This Instance Arg(s):
			- out_exp (long):
				yang info - out-exp value 0-7
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', u'inexp_outexp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp', u'in_exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}, {'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, inexp_outexp=inexp_outexp, in_exp=in_exp, out_exp=out_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_traffic_class_exp_create(self, traffic_class_exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- traffic_class_exp (traffic_class_exp_map_name):
				traffic_class_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'traffic_class_exp', 'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_exp=traffic_class_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_traffic_class_exp_delete(self, traffic_class_exp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- traffic_class_exp (traffic_class_exp_map_name):
				traffic_class_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'traffic_class_exp', 'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_exp=traffic_class_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_traffic_class_exp_get(self, traffic_class_exp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- traffic_class_exp (traffic_class_exp_map_name):
				traffic_class_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'traffic_class_exp', 'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_exp=traffic_class_exp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_mpls_map_traffic_class_exp_traffic_class_create(self, traffic_class_exp=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- traffic_class_exp (traffic_class_exp_map_name):
				traffic_class_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- priority (priority_in_values, drop_precedence, to, exp):
				priority_in_values (long):
					range - ['0..4294967295']

				drop_precedence (long):
					yang info - drop-precedence value 0-3
					range - ['0..4294967295']

				to (YANGBool):
					yang info - to

				exp (long):
					yang info - exp value 0-7
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'priority', 'keyval': 'priority_in_values', 'extra_keyval': 'priority_in_values, drop_precedence, to, exp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_exp=traffic_class_exp, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_traffic_class_exp_traffic_class_delete(self, traffic_class_exp=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- traffic_class_exp (traffic_class_exp_map_name):
				traffic_class_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- priority (priority_in_values, drop_precedence, to, exp):
				priority_in_values (long):
					range - ['0..4294967295']

				drop_precedence (long):
					yang info - drop-precedence value 0-3
					range - ['0..4294967295']

				to (YANGBool):
					yang info - to

				exp (long):
					yang info - exp value 0-7
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'priority', 'keyval': 'priority_in_values', 'extra_keyval': 'priority_in_values, drop_precedence, to, exp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_exp=traffic_class_exp, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_traffic_class_exp_traffic_class_update(self, traffic_class_exp=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- traffic_class_exp (traffic_class_exp_map_name):
				traffic_class_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- priority (priority_in_values, drop_precedence, to, exp):
				priority_in_values (long):
					range - ['0..4294967295']

				drop_precedence (long):
					yang info - drop-precedence value 0-3
					range - ['0..4294967295']

				to (YANGBool):
					yang info - to

				exp (long):
					yang info - exp value 0-7
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'priority', 'keyval': 'priority_in_values', 'extra_keyval': 'priority_in_values, drop_precedence, to, exp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_exp=traffic_class_exp, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_mpls_map_traffic_class_exp_traffic_class_get(self, traffic_class_exp=None, priority=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- traffic_class_exp (traffic_class_exp_map_name):
				traffic_class_exp_map_name (unicode):
					yang info - Name for the MAP(Max 64)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- priority (priority_in_values, drop_precedence, to, exp):
				priority_in_values (long):
					range - ['0..4294967295']

				drop_precedence (long):
					yang info - drop-precedence value 0-3
					range - ['0..4294967295']

				to (YANGBool):
					yang info - to

				exp (long):
					yang info - exp value 0-7
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'priority', 'keyval': 'priority_in_values', 'extra_keyval': 'priority_in_values, drop_precedence, to, exp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_exp=traffic_class_exp, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_queue_multicast_scheduler_dwrr_update(self, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class7=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- dwrr_traffic_class0 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class1 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class2 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class3 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class4 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class5 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class6 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class7 (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class7=dwrr_traffic_class7)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_queue_scheduler_strict_priority_update(self, priority_number=None, scheduler_type=None, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class_last=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- priority_number (long):
				range - ['-2147483648..2147483647']

			- scheduler_type (unicode):
				enum - [u'dwrr']

			- dwrr_traffic_class0 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class1 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class2 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class3 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class4 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class5 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class6 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class_last (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_rcv_queue_multicast_rate_limit_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'limit, burst'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_rcv_queue_multicast_rate_limit_burst_update(self, limit=None, burst=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- limit (long):
				range - ['-2147483648..2147483647']

			- burst (long):
				yang info - Burst limit (packets)
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, limit=limit, burst=burst)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_rcv_queue_multicast_threshold_update(self, traffic_class0=None, traffic_class1=None, traffic_class2=None, traffic_class3=None, traffic_class4=None, traffic_class5=None, traffic_class6=None, traffic_class7=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- traffic_class0 (long):
				range - ['-2147483648..2147483647']

			- traffic_class1 (long):
				range - ['-2147483648..2147483647']

			- traffic_class2 (long):
				range - ['-2147483648..2147483647']

			- traffic_class3 (long):
				range - ['-2147483648..2147483647']

			- traffic_class4 (long):
				range - ['-2147483648..2147483647']

			- traffic_class5 (long):
				range - ['-2147483648..2147483647']

			- traffic_class6 (long):
				range - ['-2147483648..2147483647']

			- traffic_class7 (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class0=traffic_class0, traffic_class1=traffic_class1, traffic_class2=traffic_class2, traffic_class3=traffic_class3, traffic_class4=traffic_class4, traffic_class5=traffic_class5, traffic_class6=traffic_class6, traffic_class7=traffic_class7)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_red_profile_create(self, red_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- red_profile (profile_id, min_threshold, max_threshold, drop_probability):
				profile_id (long):
					yang info - 0-383;;Profile Id
					range - ['-2147483648..2147483647']

				min_threshold (long):
					yang info - Minimum Threshold in Percentage
					range - ['-2147483648..2147483647']

				max_threshold (long):
					yang info - Maximum Threshold in Percentage
					range - ['-2147483648..2147483647']

				drop_probability (long):
					yang info - Drop Probability in Percentage
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.red_profile', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.red_profile', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.red_profile', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.red_profile', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'red_profile', 'keyval': 'profile_id', 'extra_keyval': 'profile_id, min_threshold, max_threshold, drop_probability'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, red_profile=red_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_red_profile_delete(self, red_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- red_profile (profile_id, min_threshold, max_threshold, drop_probability):
				profile_id (long):
					yang info - 0-383;;Profile Id
					range - ['-2147483648..2147483647']

				min_threshold (long):
					yang info - Minimum Threshold in Percentage
					range - ['-2147483648..2147483647']

				max_threshold (long):
					yang info - Maximum Threshold in Percentage
					range - ['-2147483648..2147483647']

				drop_probability (long):
					yang info - Drop Probability in Percentage
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.red_profile', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.red_profile', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.red_profile', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.red_profile', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'red_profile', 'keyval': 'profile_id', 'extra_keyval': 'profile_id, min_threshold, max_threshold, drop_probability'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, red_profile=red_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_red_profile_update(self, red_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- red_profile (profile_id, min_threshold, max_threshold, drop_probability):
				profile_id (long):
					yang info - 0-383;;Profile Id
					range - ['-2147483648..2147483647']

				min_threshold (long):
					yang info - Minimum Threshold in Percentage
					range - ['-2147483648..2147483647']

				max_threshold (long):
					yang info - Maximum Threshold in Percentage
					range - ['-2147483648..2147483647']

				drop_probability (long):
					yang info - Drop Probability in Percentage
					range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.red_profile', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.red_profile', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.red_profile', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.red_profile', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'red_profile', 'keyval': 'profile_id', 'extra_keyval': 'profile_id, min_threshold, max_threshold, drop_probability'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, red_profile=red_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_red_profile_get(self, red_profile=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- red_profile (profile_id, min_threshold, max_threshold, drop_probability):
				profile_id (long):
					yang info - 0-383;;Profile Id
					range - ['-2147483648..2147483647']

				min_threshold (long):
					yang info - Minimum Threshold in Percentage
					range - ['-2147483648..2147483647']

				max_threshold (long):
					yang info - Maximum Threshold in Percentage
					range - ['-2147483648..2147483647']

				drop_probability (long):
					yang info - Drop Probability in Percentage
					range - ['-2147483648..2147483647']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.qos.red_profile', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.red_profile', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.red_profile', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.red_profile', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'red_profile', 'keyval': 'profile_id', 'extra_keyval': 'profile_id, min_threshold, max_threshold, drop_probability'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, red_profile=red_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_rx_queue_update(self, rx_queue_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rx_queue_limit (long):
				yang info - Configure Ingress Queue Limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.rx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx_queue_limit=rx_queue_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_rx_queue_limit_update(self, rx_queue_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rx_queue_limit (long):
				yang info - Configure Ingress Queue Limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.rx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx_queue_limit=rx_queue_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_service_policy_create(self, service_policy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- service_policy (direction, policy_map_name):
				direction (unicode):
					enum - [u'in']

				policy_map_name (unicode):
					yang info - MAP_NAME;;Qos Policy map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_qos.qos.service_policy', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_qos.qos.service_policy', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'service_policy', 'keyval': 'direction, policy_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, service_policy=service_policy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_service_policy_delete(self, service_policy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- service_policy (direction, policy_map_name):
				direction (unicode):
					enum - [u'in']

				policy_map_name (unicode):
					yang info - MAP_NAME;;Qos Policy map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_qos.qos.service_policy', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_qos.qos.service_policy', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'service_policy', 'keyval': 'direction, policy_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, service_policy=service_policy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_service_policy_get(self, service_policy=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- service_policy (direction, policy_map_name):
				direction (unicode):
					enum - [u'in']

				policy_map_name (unicode):
					yang info - MAP_NAME;;Qos Policy map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_qos.qos.service_policy', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_qos.qos.service_policy', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'service_policy', 'keyval': 'direction, policy_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, service_policy=service_policy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def qos_service_policy_attach_rbridge_id_add_update(self, service_policy=None, rb_add_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- service_policy (direction, policy_map_name):
				direction (unicode):
					enum - [u'in']

				policy_map_name (unicode):
					yang info - MAP_NAME;;Qos Policy map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- rb_add_range (unicode):
				yang info - RANGE;;Range of rbridge ids to add
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v6_0_2b.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy', u'service_policy')]
        bindings_list = [('pybind.nos.v6_0_2b.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, service_policy=service_policy, rb_add_range=rb_add_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_service_policy_attach_rbridge_id_remove_update(self, service_policy=None, rb_remove_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- service_policy (direction, policy_map_name):
				direction (unicode):
					enum - [u'in']

				policy_map_name (unicode):
					yang info - MAP_NAME;;Qos Policy map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- rb_remove_range (unicode):
				yang info - RANGE;;Range of rbridge ids to remove
				pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v6_0_2b.system_qos.qos.service_policy', u'service_policy')]
        bindings_list = [('pybind.nos.v6_0_2b.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, service_policy=service_policy, rb_remove_range=rb_remove_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_tx_queue_update(self, tx_queue_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tx_queue_limit (long):
				yang info - Configure Egress Queue Limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tx_queue_limit=tx_queue_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_tx_queue_limit_update(self, tx_queue_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tx_queue_limit (long):
				yang info - Configure Egress Queue Limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tx_queue_limit=tx_queue_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def qos_tx_queue_scheduler_strict_priority_update(self, priority_number=None, scheduler_type=None, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class_last=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- priority_number (long):
				range - ['-2147483648..2147483647']

			- scheduler_type (unicode):
				enum - [u'dwrr']

			- dwrr_traffic_class0 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class1 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class2 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class3 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class4 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class5 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class6 (long):
				range - ['-2147483648..2147483647']

			- dwrr_traffic_class_last (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def queues_state_queue_interface_list_create(self, queue_interface_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue_interface_list (interface_value):
				interface_value (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue_interface_list', 'keyval': 'interface_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_interface_list=queue_interface_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def queues_state_queue_interface_list_delete(self, queue_interface_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue_interface_list (interface_value):
				interface_value (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue_interface_list', 'keyval': 'interface_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_interface_list=queue_interface_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def queues_state_queue_interface_list_get(self, queue_interface_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue_interface_list (interface_value):
				interface_value (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue_interface_list', 'keyval': 'interface_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_interface_list=queue_interface_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def queues_state_queue_interface_list_queue_info_list_create(self, queue_interface_list=None, queue_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- queue_interface_list (interface_value):
				interface_value (unicode):

		This Instance Keyword Arg Tuple:
			- queue_info_list (interface, num):
				interface (unicode):

				num (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', u'queue_interface_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def queues_state_queue_interface_list_queue_info_list_delete(self, queue_interface_list=None, queue_info_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- queue_interface_list (interface_value):
				interface_value (unicode):

		This Instance Keyword Arg Tuple:
			- queue_info_list (interface, num):
				interface (unicode):

				num (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', u'queue_interface_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def queues_state_queue_interface_list_queue_info_list_update(self, queue_interface_list=None, queue_info_list=None, tx_packets=None, tx_bytes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- queue_interface_list (interface_value):
				interface_value (unicode):

		This Instance Keyword Arg Tuple:
			- queue_info_list (interface, num):
				interface (unicode):

				num (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- tx_packets (long):
				range - ['0..18446744073709551615']

			- tx_bytes (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', u'queue_interface_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list, tx_packets=tx_packets, tx_bytes=tx_bytes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def queues_state_queue_interface_list_queue_info_list_get(self, queue_interface_list=None, queue_info_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- queue_interface_list (interface_value):
				interface_value (unicode):

		This Instance Keyword Arg Tuple:
			- queue_info_list (interface, num):
				interface (unicode):

				num (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', u'queue_interface_list')]
        bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def radius_server_host_create(self, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this RADIUS server
					length - [u'0..max']
					pattern - \p{IsBasicLatin}{0,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.radius_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.radius_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': 'hostname, use_vrf, auth_port, protocol, key, encryption_level, retries, timeout'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def radius_server_host_delete(self, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this RADIUS server
					length - [u'0..max']
					pattern - \p{IsBasicLatin}{0,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.radius_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.radius_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': 'hostname, use_vrf, auth_port, protocol, key, encryption_level, retries, timeout'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def radius_server_host_update(self, host=None, auth_port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this RADIUS server
					length - [u'0..max']
					pattern - \p{IsBasicLatin}{0,255}

		This Instance Arg(s):
			- auth_port (int):
				yang info - UDP Port for Authentication (default=1812)
				range - ['0..65535']

			- protocol (unicode):
				yang info - Authentication protocol to be used
 (default=CHAP)
				enum - [u'pap', u'chap', u'peap-mschap']

			- key (unicode):
				yang info - Secret shared with this server
 (default='sharedsecret')
				length - [u'8 .. max']

			- encryption_level (unicode):
				yang info - Level of encryption of the key (default=7)
				enum - [u'0', u'7']

			- retries (long):
				yang info - Number of retries for this server connection
 (default=5)
				range - ['0..4294967295']

			- timeout (long):
				yang info - Wait time for this server to respond
 (default=5 sec)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.radius_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.radius_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': 'hostname, use_vrf, auth_port, protocol, key, encryption_level, retries, timeout'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, auth_port=auth_port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def radius_server_host_get(self, host=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this RADIUS server
					length - [u'0..max']
					pattern - \p{IsBasicLatin}{0,255}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.radius_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.radius_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': 'hostname, use_vrf, auth_port, protocol, key, encryption_level, retries, timeout'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def radius_server_host_auth_port_update(self, host=None, auth_port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- host (hostname, use_vrf):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
this RADIUS server
					length - [u'0..max']
					pattern - \p{IsBasicLatin}{0,255}

				use_vrf (unicode):
					yang info - VRF to choose for server connection
(Default=mgmt-vrf)
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- auth_port (int):
				yang info - UDP Port for Authentication (default=1812)
				range - ['0..65535']

			- protocol (unicode):
				yang info - Authentication protocol to be used
 (default=CHAP)
				enum - [u'pap', u'chap', u'peap-mschap']

			- key (unicode):
				yang info - Secret shared with this server
 (default='sharedsecret')
				length - [u'8 .. max']

			- encryption_level (unicode):
				yang info - Level of encryption of the key (default=7)
				enum - [u'0', u'7']

			- retries (long):
				yang info - Number of retries for this server connection
 (default=5)
				range - ['0..4294967295']

			- timeout (long):
				yang info - Wait time for this server to respond
 (default=5 sec)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.radius_server.host', u'host')]
        bindings_list = [('pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, auth_port=auth_port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_get(self, rbridge_id=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ag_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable/Disable AG mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ag_counter_update(self, rbridge_id=None, reliabilitycountervalue=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- reliabilitycountervalue (long):
				yang info - Value for reliability counter
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.counter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.counter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.counter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.counter', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, reliabilitycountervalue=reliabilitycountervalue)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ag_counter_reliability_update(self, rbridge_id=None, reliabilitycountervalue=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- reliabilitycountervalue (long):
				yang info - Value for reliability counter
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.counter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.counter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.counter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.counter', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, reliabilitycountervalue=reliabilitycountervalue)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ag_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable/Disable AG mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ag_nport_interface_fiberchannel_create(self, rbridge_id=None, nport=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- nport (agNPortNb):
				agNPortNb (unicode):
					length - [u'1..250']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nport', 'keyval': 'agNPortNb', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, nport=nport)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ag_nport_interface_fiberchannel_delete(self, rbridge_id=None, nport=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- nport (agNPortNb):
				agNPortNb (unicode):
					length - [u'1..250']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nport', 'keyval': 'agNPortNb', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, nport=nport)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ag_nport_interface_fiberchannel_get(self, rbridge_id=None, nport=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- nport (agNPortNb):
				agNPortNb (unicode):
					length - [u'1..250']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'nport', 'keyval': 'agNPortNb', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, nport=nport)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ag_pg_create(self, rbridge_id=None, pg=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pg (pgid):
				pgid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.pg', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.pg', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.pg', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.pg', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pg', 'keyval': 'pgid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, pg=pg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ag_pg_delete(self, rbridge_id=None, pg=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pg (pgid):
				pgid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.pg', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.pg', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.pg', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.pg', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pg', 'keyval': 'pgid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, pg=pg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ag_pg_update(self, rbridge_id=None, pg=None, rename=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pg (pgid):
				pgid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rename (unicode):
				yang info - Renames the PG

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.pg', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.pg', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.pg', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.pg', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pg', 'keyval': 'pgid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, pg=pg, rename=rename)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ag_pg_get(self, rbridge_id=None, pg=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- pg (pgid):
				pgid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.pg', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.pg', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.pg', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.pg', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'pg', 'keyval': 'pgid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, pg=pg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ag_timeout_update(self, rbridge_id=None, fnmtovalue=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- fnmtovalue (long):
				yang info - Value for time out
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.timeout', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.timeout', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.timeout', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.timeout', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fnmtovalue=fnmtovalue)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ag_timeout_fnm_update(self, rbridge_id=None, fnmtovalue=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- fnmtovalue (long):
				yang info - Value for time out
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.timeout', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.timeout', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.timeout', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.timeout', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fnmtovalue=fnmtovalue)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_arp_create(self, rbridge_id=None, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.arp_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.arp_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_arp_delete(self, rbridge_id=None, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.arp_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.arp_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_arp_update(self, rbridge_id=None, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.arp_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.arp_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_arp_get(self, rbridge_id=None, arp_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.arp_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.arp_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_bfd_session_setup_delay_update(self, rbridge_id=None, delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- delay (long):
				yang info - Configure BFD desired session setup delay in seconds.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.bfd_session_setup_delay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bfd_session_setup_delay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, delay=delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_bp_rate_limit_heavy_module_update(self, rbridge_id=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- add_ (unicode):
				yang info - slot/module range
				pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- remove_ (unicode):
				yang info - slot/module range
				pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_bp_rate_limit_heavy_module_add_update(self, rbridge_id=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- add_ (unicode):
				yang info - slot/module range
				pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- remove_ (unicode):
				yang info - slot/module range
				pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_bp_rate_limit_queue_create(self, rbridge_id=None, queue=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- queue (queue_id):
				queue_id (long):
					yang info - BP queue number (only queue 0 is supported)
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, queue=queue)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_bp_rate_limit_queue_delete(self, rbridge_id=None, queue=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- queue (queue_id):
				queue_id (long):
					yang info - BP queue number (only queue 0 is supported)
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, queue=queue)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_bp_rate_limit_queue_update(self, rbridge_id=None, queue=None, limit_percent=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- queue (queue_id):
				queue_id (long):
					yang info - BP queue number (only queue 0 is supported)
					range - ['0..4294967295']

		This Instance Arg(s):
			- limit_percent (long):
				yang info - BP queue limit in percentage
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, queue=queue, limit_percent=limit_percent)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_bp_rate_limit_queue_get(self, rbridge_id=None, queue=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- queue (queue_id):
				queue_id (long):
					yang info - BP queue number (only queue 0 is supported)
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, queue=queue)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_chassis_update(self, rbridge_id=None, virtual_oper_Vip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- virtual_oper_Vip_address (unicode):
				yang info - Show virtual-ip address
				pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.chassis.oper_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.chassis.oper_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_chassis_virtual_ip_update(self, rbridge_id=None, virtual_oper_Vip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- virtual_oper_Vip_address (unicode):
				yang info - Show virtual-ip address
				pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.chassis.oper_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.chassis.oper_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_chassis_virtual_ip_v4_update(self, rbridge_id=None, virtual_oper_Vip_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- virtual_oper_Vip_address (unicode):
				pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.chassis.oper_address', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_clock_update(self, rbridge_id=None, timezone=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- timezone (unicode):
				yang info - timezone region/city (regions are Africa,
America, Antarctica, Arctic, Asia, Atlantic,
Australia, Europe, Indian, Pacific)
				enum - [u'Atlantic/Canary', u'Australia/Melbourne', u'Antarctica/Mawson', u'America/Nipigon', u'America/Miquelon', u'Indian/Reunion', u'Antarctica/Davis', u'Asia/Dhaka', u'America/St_Lucia', u'Asia/Kashgar', u'America/Phoenix', u'Asia/Kuwait', u'Asia/Hong_Kong', u'Arctic/Longyearbyen', u'Europe/Guernsey', u'Antarctica/Rothera', u'Europe/Stockholm', u'Pacific/Fiji', u'Pacific/Apia', u'Pacific/Pago_Pago', u'Asia/Rangoon', u'America/Mexico_City', u'America/Puerto_Rico', u'Indian/Mauritius', u'Europe/Berlin', u'Europe/Zurich', u'America/Belem', u'Europe/Skopje', u'Asia/Krasnoyarsk', u'Atlantic/Bermuda', u'Australia/Currie', u'Asia/Tehran', u'Asia/Baku', u'America/St_Barthelemy', u'America/Santarem', u'America/Danmarkshavn', u'America/Scoresbysund', u'America/Eirunepe', u'America/Caracas', u'Asia/Baghdad', u'Africa/Monrovia', u'America/St_Vincent', u'America/Vancouver', u'Asia/Ho_Chi_Minh', u'Asia/Thimphu', u'Africa/Accra', u'America/Belize', u'America/Port_of_Spain', u'Asia/Tashkent', u'Asia/Tokyo', u'Pacific/Kiritimati', u'Australia/Sydney', u'Europe/Riga', u'Asia/Dili', u'Africa/Mbabane', u'Asia/Oral', u'Asia/Aden', u'Europe/Isle_of_Man', u'Europe/Istanbul', u'Africa/Abidjan', u'Australia/Lindeman', u'Pacific/Galapagos', u'America/Bogota', u'Africa/Asmara', u'America/Chicago', u'Pacific/Kwajalein', u'America/Cuiaba', u'Indian/Christmas', u'Asia/Jayapura', u'Europe/Brussels', u'Europe/Lisbon', u'Asia/Chongqing', u'America/Argentina/Cordoba', u'America/Noronha', u'Europe/Madrid', u'Africa/Algiers', u'Africa/Harare', u'Africa/Ndjamena', u'America/Costa_Rica', u'Europe/Ljubljana', u'Indian/Mayotte', u'Asia/Phnom_Penh', u'America/Managua', u'Asia/Brunei', u'America/Tijuana', u'Pacific/Fakaofo', u'America/Adak', u'America/Antigua', u'America/Indiana/Indianapolis', u'America/Argentina/La_Rioja', u'Pacific/Tahiti', u'America/Pangnirtung', u'Europe/Zagreb', u'America/Asuncion', u'Europe/Vienna', u'Australia/Hobart', u'America/Juneau', u'America/Inuvik', u'America/Montreal', u'Asia/Seoul', u'Indian/Comoro', u'Europe/Paris', u'Europe/Tallinn', u'Indian/Mahe', u'America/Argentina/Jujuy', u'America/Martinique', u'Asia/Singapore', u'Africa/Nairobi', u'America/Maceio', u'Africa/Cairo', u'Europe/Moscow', u'Asia/Ulaanbaatar', u'America/Rainy_River', u'Indian/Maldives', u'Asia/Colombo', u'Australia/Adelaide', u'America/Cambridge_Bay', u'Africa/Luanda', u'Pacific/Chatham', u'America/Indiana/Winamac', u'Asia/Tbilisi', u'Europe/Gibraltar', u'Asia/Karachi', u'Asia/Harbin', u'Australia/Lord_Howe', u'America/Boa_Vista', u'Africa/Tripoli', u'Pacific/Wallis', u'Atlantic/Stanley', u'Asia/Srednekolymsk', u'America/Blanc-Sablon', u'America/Santo_Domingo', u'Antarctica/Syowa', u'America/Jamaica', u'Europe/Kiev', u'Europe/Budapest', u'Pacific/Midway', u'America/Goose_Bay', u'Asia/Amman', u'Asia/Sakhalin', u'Africa/Windhoek', u'Asia/Katmandu', u'America/Guyana', u'America/Sao_Paulo', u'Australia/Perth', u'Africa/Djibouti', u'Asia/Jakarta', u'Asia/Pyongyang', u'Africa/Johannesburg', u'Asia/Irkutsk', u'Africa/Niamey', u'Africa/Casablanca', u'Asia/Bishkek', u'Africa/Nouakchott', u'Europe/Vilnius', u'America/Cayenne', u'Europe/Greenwich', u'Africa/Mogadishu', u'America/Kentucky/Monticello', u'America/Rio_Branco', u'America/Cancun', u'America/Havana', u'Pacific/Guam', u'Asia/Makassar', u'Atlantic/Azores', u'Australia/Eucla', u'Asia/Shanghai', u'America/Rankin_Inlet', u'America/Iqaluit', u'Africa/Maputo', u'Asia/Bahrain', u'Asia/Ashgabat', u'Asia/Riyadh', u'Europe/London', u'Europe/Warsaw', u'America/Anguilla', u'Asia/Damascus', u'America/North_Dakota/Center', u'America/Indiana/Vevay', u'Atlantic/St_Helena', u'America/Barbados', u'Europe/Vatican', u'America/Indiana/Vincennes', u'Asia/Almaty', u'Africa/Lome', u'Africa/Brazzaville', u'America/Nome', u'Europe/Dublin', u'America/Yakutat', u'America/Argentina/Mendoza', u'America/Araguaina', u'Europe/Vaduz', u'Europe/Minsk', u'Asia/Kolkata', u'Africa/Maseru', u'Asia/Kuching', u'Africa/Libreville', u'Africa/Freetown', u'Africa/Bissau', u'Europe/Samara', u'Europe/Amsterdam', u'Europe/Tirane', u'Pacific/Saipan', u'Asia/Magadan', u'Europe/Zaporozhye', u'America/El_Salvador', u'Europe/Podgorica', u'America/Santiago', u'America/Argentina/Buenos_Aires', u'America/Argentina/San_Luis', u'America/Aruba', u'America/Regina', u'Pacific/Truk', u'Pacific/Funafuti', u'America/Merida', u'America/Guatemala', u'Africa/Sao_Tome', u'Pacific/Kosrae', u'Africa/Bujumbura', u'Europe/Chisinau', u'America/Monterrey', u'Asia/Yekaterinburg', u'Antarctica/Casey', u'Pacific/Enderbury', u'America/Thule', u'America/St_Johns', u'America/Moncton', u'Europe/Helsinki', u'Atlantic/Cape_Verde', u'America/Tegucigalpa', u'Indian/Cocos', u'America/Boise', u'America/Guadeloupe', u'America/Nassau', u'Europe/Prague', u'America/Halifax', u'Asia/Hovd', u'America/Manaus', u'America/Godthab', u'America/Chihuahua', u'Asia/Beirut', u'America/Argentina/Rio_Gallegos', u'Pacific/Gambier', u'Europe/Volgograd', u'Africa/Bamako', u'Europe/Uzhgorod', u'Africa/Banjul', u'Asia/Aqtau', u'Africa/Malabo', u'Atlantic/Madeira', u'Pacific/Noumea', u'Africa/Kinshasa', u'Europe/Malta', u'America/Argentina/Ushuaia', u'Asia/Bangkok', u'Pacific/Niue', u'Australia/Brisbane', u'America/Recife', u'Asia/Yerevan', u'America/La_Paz', u'Asia/Urumqi', u'Africa/Lusaka', u'Pacific/Guadalcanal', u'America/Yellowknife', u'Asia/Vientiane', u'Europe/Kaliningrad', u'Africa/Conakry', u'America/Argentina/Tucuman', u'Europe/Oslo', u'America/St_Kitts', u'America/Panama', u'America/Hermosillo', u'Pacific/Palau', u'America/Guayaquil', u'Asia/Kuala_Lumpur', u'America/Menominee', u'Asia/Kamchatka', u'Asia/Vladivostok', u'Asia/Qatar', u'Asia/Dubai', u'Asia/Yakutsk', u'Asia/Omsk', u'Africa/Bangui', u'America/Paramaribo', u'Africa/Lubumbashi', u'Pacific/Marquesas', u'Europe/Bratislava', u'Asia/Anadyr', u'America/New_York', u'Pacific/Norfolk', u'Pacific/Rarotonga', u'America/Dominica', u'Africa/Porto-Novo', u'Asia/Samarkand', u'Asia/Dushanbe', u'America/Toronto', u'America/Bahia', u'Africa/Kampala', u'Africa/Ouagadougou', u'Antarctica/South_Pole', u'Asia/Muscat', u'America/Edmonton', u'Pacific/Wake', u'America/Indiana/Tell_City', u'Australia/Darwin', u'America/Whitehorse', u'America/Swift_Current', u'Europe/Copenhagen', u'America/Montserrat', u'Europe/Simferopol', u'Africa/Blantyre', u'America/Detroit', u'America/Shiprock', u'America/Grenada', u'Atlantic/Faroe', u'America/Indiana/Petersburg', u'Asia/Pontianak', u'Europe/Athens', u'America/Port-au-Prince', u'America/Cayman', u'Africa/Dar_es_Salaam', u'America/Curacao', u'Indian/Kerguelen', u'Africa/Khartoum', u'Asia/Manila', u'Europe/Sarajevo', u'Africa/Douala', u'Europe/Rome', u'America/Argentina/San_Juan', u'America/North_Dakota/New_Salem', u'Pacific/Port_Moresby', u'Europe/Jersey', u'Europe/Andorra', u'Europe/Luxembourg', u'Pacific/Honolulu', u'America/St_Thomas', u'Pacific/Majuro', u'America/Mazatlan', u'Asia/Macau', u'Europe/Belgrade', u'Asia/Choibalsan', u'Europe/Mariehamn', u'Antarctica/McMurdo', u'America/Thunder_Bay', u'America/Los_Angeles', u'Asia/Kabul', u'Indian/Antananarivo', u'Atlantic/Reykjavik', u'Asia/Nicosia', u'Pacific/Ponape', u'Pacific/Tongatapu', u'America/Marigot', u'Pacific/Pitcairn', u'Pacific/Easter', u'Atlantic/South_Georgia', u'Africa/El_Aaiun', u'America/Campo_Grande', u'America/Dawson_Creek', u'Antarctica/Vostok', u'Europe/Bucharest', u'America/Porto_Velho', u'Europe/Monaco', u'America/Indiana/Marengo', u'Africa/Ceuta', u'America/Winnipeg', u'Asia/Aqtobe', u'Africa/Dakar', u'America/Fortaleza', u'Pacific/Tarawa', u'America/Dawson', u'Africa/Addis_Ababa', u'Pacific/Efate', u'Pacific/Johnston', u'Asia/Qyzylorda', u'Europe/San_Marino', u'Asia/Jerusalem', u'Pacific/Auckland', u'America/Tortola', u'America/Denver', u'Indian/Chagos', u'America/Glace_Bay', u'Africa/Gaborone', u'Africa/Tunis', u'America/Montevideo', u'America/Resolute', u'Etc/GMT', u'Asia/Gaza', u'Asia/Taipei', u'Antarctica/DumontDUrville', u'America/Argentina/Catamarca', u'America/Indiana/Knox', u'Asia/Novosibirsk', u'Africa/Kigali', u'America/Grand_Turk', u'Africa/Lagos', u'Europe/Sofia', u'America/Lima', u'America/Anchorage', u'Pacific/Nauru']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.clock', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.clock', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.clock', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, timezone=timezone)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_clock_timezone_update(self, rbridge_id=None, timezone=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- timezone (unicode):
				yang info - timezone region/city (regions are Africa,
America, Antarctica, Arctic, Asia, Atlantic,
Australia, Europe, Indian, Pacific)
				enum - [u'Atlantic/Canary', u'Australia/Melbourne', u'Antarctica/Mawson', u'America/Nipigon', u'America/Miquelon', u'Indian/Reunion', u'Antarctica/Davis', u'Asia/Dhaka', u'America/St_Lucia', u'Asia/Kashgar', u'America/Phoenix', u'Asia/Kuwait', u'Asia/Hong_Kong', u'Arctic/Longyearbyen', u'Europe/Guernsey', u'Antarctica/Rothera', u'Europe/Stockholm', u'Pacific/Fiji', u'Pacific/Apia', u'Pacific/Pago_Pago', u'Asia/Rangoon', u'America/Mexico_City', u'America/Puerto_Rico', u'Indian/Mauritius', u'Europe/Berlin', u'Europe/Zurich', u'America/Belem', u'Europe/Skopje', u'Asia/Krasnoyarsk', u'Atlantic/Bermuda', u'Australia/Currie', u'Asia/Tehran', u'Asia/Baku', u'America/St_Barthelemy', u'America/Santarem', u'America/Danmarkshavn', u'America/Scoresbysund', u'America/Eirunepe', u'America/Caracas', u'Asia/Baghdad', u'Africa/Monrovia', u'America/St_Vincent', u'America/Vancouver', u'Asia/Ho_Chi_Minh', u'Asia/Thimphu', u'Africa/Accra', u'America/Belize', u'America/Port_of_Spain', u'Asia/Tashkent', u'Asia/Tokyo', u'Pacific/Kiritimati', u'Australia/Sydney', u'Europe/Riga', u'Asia/Dili', u'Africa/Mbabane', u'Asia/Oral', u'Asia/Aden', u'Europe/Isle_of_Man', u'Europe/Istanbul', u'Africa/Abidjan', u'Australia/Lindeman', u'Pacific/Galapagos', u'America/Bogota', u'Africa/Asmara', u'America/Chicago', u'Pacific/Kwajalein', u'America/Cuiaba', u'Indian/Christmas', u'Asia/Jayapura', u'Europe/Brussels', u'Europe/Lisbon', u'Asia/Chongqing', u'America/Argentina/Cordoba', u'America/Noronha', u'Europe/Madrid', u'Africa/Algiers', u'Africa/Harare', u'Africa/Ndjamena', u'America/Costa_Rica', u'Europe/Ljubljana', u'Indian/Mayotte', u'Asia/Phnom_Penh', u'America/Managua', u'Asia/Brunei', u'America/Tijuana', u'Pacific/Fakaofo', u'America/Adak', u'America/Antigua', u'America/Indiana/Indianapolis', u'America/Argentina/La_Rioja', u'Pacific/Tahiti', u'America/Pangnirtung', u'Europe/Zagreb', u'America/Asuncion', u'Europe/Vienna', u'Australia/Hobart', u'America/Juneau', u'America/Inuvik', u'America/Montreal', u'Asia/Seoul', u'Indian/Comoro', u'Europe/Paris', u'Europe/Tallinn', u'Indian/Mahe', u'America/Argentina/Jujuy', u'America/Martinique', u'Asia/Singapore', u'Africa/Nairobi', u'America/Maceio', u'Africa/Cairo', u'Europe/Moscow', u'Asia/Ulaanbaatar', u'America/Rainy_River', u'Indian/Maldives', u'Asia/Colombo', u'Australia/Adelaide', u'America/Cambridge_Bay', u'Africa/Luanda', u'Pacific/Chatham', u'America/Indiana/Winamac', u'Asia/Tbilisi', u'Europe/Gibraltar', u'Asia/Karachi', u'Asia/Harbin', u'Australia/Lord_Howe', u'America/Boa_Vista', u'Africa/Tripoli', u'Pacific/Wallis', u'Atlantic/Stanley', u'Asia/Srednekolymsk', u'America/Blanc-Sablon', u'America/Santo_Domingo', u'Antarctica/Syowa', u'America/Jamaica', u'Europe/Kiev', u'Europe/Budapest', u'Pacific/Midway', u'America/Goose_Bay', u'Asia/Amman', u'Asia/Sakhalin', u'Africa/Windhoek', u'Asia/Katmandu', u'America/Guyana', u'America/Sao_Paulo', u'Australia/Perth', u'Africa/Djibouti', u'Asia/Jakarta', u'Asia/Pyongyang', u'Africa/Johannesburg', u'Asia/Irkutsk', u'Africa/Niamey', u'Africa/Casablanca', u'Asia/Bishkek', u'Africa/Nouakchott', u'Europe/Vilnius', u'America/Cayenne', u'Europe/Greenwich', u'Africa/Mogadishu', u'America/Kentucky/Monticello', u'America/Rio_Branco', u'America/Cancun', u'America/Havana', u'Pacific/Guam', u'Asia/Makassar', u'Atlantic/Azores', u'Australia/Eucla', u'Asia/Shanghai', u'America/Rankin_Inlet', u'America/Iqaluit', u'Africa/Maputo', u'Asia/Bahrain', u'Asia/Ashgabat', u'Asia/Riyadh', u'Europe/London', u'Europe/Warsaw', u'America/Anguilla', u'Asia/Damascus', u'America/North_Dakota/Center', u'America/Indiana/Vevay', u'Atlantic/St_Helena', u'America/Barbados', u'Europe/Vatican', u'America/Indiana/Vincennes', u'Asia/Almaty', u'Africa/Lome', u'Africa/Brazzaville', u'America/Nome', u'Europe/Dublin', u'America/Yakutat', u'America/Argentina/Mendoza', u'America/Araguaina', u'Europe/Vaduz', u'Europe/Minsk', u'Asia/Kolkata', u'Africa/Maseru', u'Asia/Kuching', u'Africa/Libreville', u'Africa/Freetown', u'Africa/Bissau', u'Europe/Samara', u'Europe/Amsterdam', u'Europe/Tirane', u'Pacific/Saipan', u'Asia/Magadan', u'Europe/Zaporozhye', u'America/El_Salvador', u'Europe/Podgorica', u'America/Santiago', u'America/Argentina/Buenos_Aires', u'America/Argentina/San_Luis', u'America/Aruba', u'America/Regina', u'Pacific/Truk', u'Pacific/Funafuti', u'America/Merida', u'America/Guatemala', u'Africa/Sao_Tome', u'Pacific/Kosrae', u'Africa/Bujumbura', u'Europe/Chisinau', u'America/Monterrey', u'Asia/Yekaterinburg', u'Antarctica/Casey', u'Pacific/Enderbury', u'America/Thule', u'America/St_Johns', u'America/Moncton', u'Europe/Helsinki', u'Atlantic/Cape_Verde', u'America/Tegucigalpa', u'Indian/Cocos', u'America/Boise', u'America/Guadeloupe', u'America/Nassau', u'Europe/Prague', u'America/Halifax', u'Asia/Hovd', u'America/Manaus', u'America/Godthab', u'America/Chihuahua', u'Asia/Beirut', u'America/Argentina/Rio_Gallegos', u'Pacific/Gambier', u'Europe/Volgograd', u'Africa/Bamako', u'Europe/Uzhgorod', u'Africa/Banjul', u'Asia/Aqtau', u'Africa/Malabo', u'Atlantic/Madeira', u'Pacific/Noumea', u'Africa/Kinshasa', u'Europe/Malta', u'America/Argentina/Ushuaia', u'Asia/Bangkok', u'Pacific/Niue', u'Australia/Brisbane', u'America/Recife', u'Asia/Yerevan', u'America/La_Paz', u'Asia/Urumqi', u'Africa/Lusaka', u'Pacific/Guadalcanal', u'America/Yellowknife', u'Asia/Vientiane', u'Europe/Kaliningrad', u'Africa/Conakry', u'America/Argentina/Tucuman', u'Europe/Oslo', u'America/St_Kitts', u'America/Panama', u'America/Hermosillo', u'Pacific/Palau', u'America/Guayaquil', u'Asia/Kuala_Lumpur', u'America/Menominee', u'Asia/Kamchatka', u'Asia/Vladivostok', u'Asia/Qatar', u'Asia/Dubai', u'Asia/Yakutsk', u'Asia/Omsk', u'Africa/Bangui', u'America/Paramaribo', u'Africa/Lubumbashi', u'Pacific/Marquesas', u'Europe/Bratislava', u'Asia/Anadyr', u'America/New_York', u'Pacific/Norfolk', u'Pacific/Rarotonga', u'America/Dominica', u'Africa/Porto-Novo', u'Asia/Samarkand', u'Asia/Dushanbe', u'America/Toronto', u'America/Bahia', u'Africa/Kampala', u'Africa/Ouagadougou', u'Antarctica/South_Pole', u'Asia/Muscat', u'America/Edmonton', u'Pacific/Wake', u'America/Indiana/Tell_City', u'Australia/Darwin', u'America/Whitehorse', u'America/Swift_Current', u'Europe/Copenhagen', u'America/Montserrat', u'Europe/Simferopol', u'Africa/Blantyre', u'America/Detroit', u'America/Shiprock', u'America/Grenada', u'Atlantic/Faroe', u'America/Indiana/Petersburg', u'Asia/Pontianak', u'Europe/Athens', u'America/Port-au-Prince', u'America/Cayman', u'Africa/Dar_es_Salaam', u'America/Curacao', u'Indian/Kerguelen', u'Africa/Khartoum', u'Asia/Manila', u'Europe/Sarajevo', u'Africa/Douala', u'Europe/Rome', u'America/Argentina/San_Juan', u'America/North_Dakota/New_Salem', u'Pacific/Port_Moresby', u'Europe/Jersey', u'Europe/Andorra', u'Europe/Luxembourg', u'Pacific/Honolulu', u'America/St_Thomas', u'Pacific/Majuro', u'America/Mazatlan', u'Asia/Macau', u'Europe/Belgrade', u'Asia/Choibalsan', u'Europe/Mariehamn', u'Antarctica/McMurdo', u'America/Thunder_Bay', u'America/Los_Angeles', u'Asia/Kabul', u'Indian/Antananarivo', u'Atlantic/Reykjavik', u'Asia/Nicosia', u'Pacific/Ponape', u'Pacific/Tongatapu', u'America/Marigot', u'Pacific/Pitcairn', u'Pacific/Easter', u'Atlantic/South_Georgia', u'Africa/El_Aaiun', u'America/Campo_Grande', u'America/Dawson_Creek', u'Antarctica/Vostok', u'Europe/Bucharest', u'America/Porto_Velho', u'Europe/Monaco', u'America/Indiana/Marengo', u'Africa/Ceuta', u'America/Winnipeg', u'Asia/Aqtobe', u'Africa/Dakar', u'America/Fortaleza', u'Pacific/Tarawa', u'America/Dawson', u'Africa/Addis_Ababa', u'Pacific/Efate', u'Pacific/Johnston', u'Asia/Qyzylorda', u'Europe/San_Marino', u'Asia/Jerusalem', u'Pacific/Auckland', u'America/Tortola', u'America/Denver', u'Indian/Chagos', u'America/Glace_Bay', u'Africa/Gaborone', u'Africa/Tunis', u'America/Montevideo', u'America/Resolute', u'Etc/GMT', u'Asia/Gaza', u'Asia/Taipei', u'Antarctica/DumontDUrville', u'America/Argentina/Catamarca', u'America/Indiana/Knox', u'Asia/Novosibirsk', u'Africa/Kigali', u'America/Grand_Turk', u'Africa/Lagos', u'Europe/Sofia', u'America/Lima', u'America/Anchorage', u'Pacific/Nauru']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.clock', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.clock', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.clock', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, timezone=timezone)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_crypto_ca_create(self, rbridge_id=None, ca=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ca (trustpoint):
				trustpoint (unicode):
					yang info - Trustpoint name
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.crypto.ca', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.crypto.ca', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.crypto.ca', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ca=ca)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_crypto_ca_delete(self, rbridge_id=None, ca=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ca (trustpoint):
				trustpoint (unicode):
					yang info - Trustpoint name
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.crypto.ca', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.crypto.ca', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.crypto.ca', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ca=ca)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_crypto_ca_update(self, rbridge_id=None, ca=None, keypair=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ca (trustpoint):
				trustpoint (unicode):
					yang info - Trustpoint name
					length - [u'1..64']

		This Instance Arg(s):
			- keypair (unicode):
				yang info - Key pair association
				length - [u'0..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.crypto.ca', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.crypto.ca', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.crypto.ca', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ca=ca, keypair=keypair)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_crypto_ca_get(self, rbridge_id=None, ca=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ca (trustpoint):
				trustpoint (unicode):
					yang info - Trustpoint name
					length - [u'1..64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.crypto.ca', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.crypto.ca', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.crypto.ca', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ca=ca)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_crypto_key_create(self, rbridge_id=None, key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- key (label, type, modulus):
				label (unicode):
					yang info - Key Label
					length - [u'1..64']

				type (unicode):
					yang info - Key Type
					enum - [u'dsa', u'rsa', u'ecdsa']

				modulus (long):
					yang info - Key Size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.crypto.key', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.crypto.key', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.crypto.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, key=key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_crypto_key_delete(self, rbridge_id=None, key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- key (label, type, modulus):
				label (unicode):
					yang info - Key Label
					length - [u'1..64']

				type (unicode):
					yang info - Key Type
					enum - [u'dsa', u'rsa', u'ecdsa']

				modulus (long):
					yang info - Key Size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.crypto.key', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.crypto.key', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.crypto.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, key=key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_crypto_key_update(self, rbridge_id=None, key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- key (label, type, modulus):
				label (unicode):
					yang info - Key Label
					length - [u'1..64']

				type (unicode):
					yang info - Key Type
					enum - [u'dsa', u'rsa', u'ecdsa']

				modulus (long):
					yang info - Key Size
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.crypto.key', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.crypto.key', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.crypto.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, key=key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_crypto_key_get(self, rbridge_id=None, key=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- key (label, type, modulus):
				label (unicode):
					yang info - Key Label
					length - [u'1..64']

				type (unicode):
					yang info - Key Type
					enum - [u'dsa', u'rsa', u'ecdsa']

				modulus (long):
					yang info - Key Size
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.crypto.key', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.crypto.key', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.crypto.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, key=key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_default_config_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable/Disable default config mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.default_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.default_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.default_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.default_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_default_config_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable/Disable default config mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.default_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.default_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.default_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.default_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_dhcpd_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Configure dhcpd

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.dhcpd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_dhcpd_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Configure dhcpd

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.dhcpd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_event_handler_activate_create(self, rbridge_id=None, name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_event_handler_activate_delete(self, rbridge_id=None, name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_event_handler_activate_update(self, rbridge_id=None, name=None, delay=None, iterations=None, interval=None, run_mode=None, trigger_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- delay (long):
				yang info - Delay (in seconds) that the event-handler will wait, for the initial launch of the action after the trigger has been received (default = 0).
				range - ['0..4294967295']

			- iterations (long):
				yang info - Number of times to launch the action after the initial trigger has been received (default = 1).
				range - ['0..4294967295']

			- interval (long):
				yang info - Time (in seconds) that the event-handler will wait between iterations of completing the previous action (default = 0).
				range - ['0..4294967295']

			- run_mode (unicode):
				yang info - Run-mode controls how the action is launched with cluster formation (default = non-exclusive).
				enum - [u'exclusive', u'non-exclusive']

			- trigger_mode (unicode):
				yang info - Trigger-mode controls how the action is launched with the configured event trigger (default = each-instance).
				enum - [u'each-instance', u'only-once', u'on-first-instance']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name, delay=delay, iterations=iterations, interval=interval, run_mode=run_mode, trigger_mode=trigger_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_event_handler_activate_get(self, rbridge_id=None, name=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_event_handler_activate_time_window_update(self, rbridge_id=None, name=None, trigger_function=None, time_window=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- trigger_function (unicode):
				yang info - Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).
				enum - [u'AND', u'OR']

			- time_window (long):
				yang info - Number of seconds that is valid for all triggers to be received in order to launch the action.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.event_handler.activate.name', u'name'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.event_handler.activate.name', u'name')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.event_handler.activate.name.trigger_function_container', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.event_handler.activate.name.trigger_function_container', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name, trigger_function=trigger_function, time_window=time_window)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_event_handler_activate_trigger_function_update(self, rbridge_id=None, name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', u'name')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name.trigger_function', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'trigger_function, time_window'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_event_handler_activate_trigger_function_time_window_update(self, rbridge_id=None, name=None, trigger_function=None, time_window=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- name (name):
				name (unicode):
					yang info - Event handler name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- trigger_function (unicode):
				yang info - ENUM:AND|OR;; Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).
				enum - [u'AND', u'OR']

			- time_window (long):
				yang info - Number of seconds that is valid for all triggers to be received in order to launch the action.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', u'name')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name.trigger_function', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name, trigger_function=trigger_function, time_window=time_window)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_create(self, rbridge_id=None, evpn_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_instance', 'keyval': 'instance_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_delete(self, rbridge_id=None, evpn_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_instance', 'keyval': 'instance_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_update(self, rbridge_id=None, evpn_instance=None, df_delay_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- df_delay_timer (long):
				yang info - DF delay timer
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_instance', 'keyval': 'instance_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, df_delay_timer=df_delay_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_get(self, rbridge_id=None, evpn_instance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_instance', 'keyval': 'instance_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_evpn_instance_duplicate_mac_timer_update(self, rbridge_id=None, evpn_instance=None, duplicate_mac_timer_value=None, max_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- duplicate_mac_timer_value (long):
				yang info - Duplicate mac timer value in seconds
				range - ['0..4294967295']

			- max_count (long):
				yang info - Max count.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.duplicate_mac_timer', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.duplicate_mac_timer', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, duplicate_mac_timer_value=duplicate_mac_timer_value, max_count=max_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_rd_update(self, rbridge_id=None, evpn_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'auto'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_rd_auto_update(self, rbridge_id=None, evpn_instance=None, auto=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- auto (YANGBool):
				yang info - Auto generation of RD

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, auto=auto)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_both_create(self, rbridge_id=None, evpn_instance=None, both=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- both (target_community):
				target_community (unicode):
					yang info - auto;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, both=both)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_both_delete(self, rbridge_id=None, evpn_instance=None, both=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- both (target_community):
				target_community (unicode):
					yang info - auto;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, both=both)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_both_update(self, rbridge_id=None, evpn_instance=None, both=None, ignore_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- both (target_community):
				target_community (unicode):
					yang info - auto;; Target VPN Extended Community

		This Instance Arg(s):
			- ignore_as (YANGBool):
				yang info - Ignore-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, both=both, ignore_as=ignore_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_both_get(self, rbridge_id=None, evpn_instance=None, both=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- both (target_community):
				target_community (unicode):
					yang info - auto;; Target VPN Extended Community

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, both=both)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_export_create(self, rbridge_id=None, evpn_instance=None, export=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- export (target_community):
				target_community (unicode):
					yang info - auto;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.export', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'export', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, export=export)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_export_delete(self, rbridge_id=None, evpn_instance=None, export=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- export (target_community):
				target_community (unicode):
					yang info - auto;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.export', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'export', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, export=export)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_export_get(self, rbridge_id=None, evpn_instance=None, export=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- export (target_community):
				target_community (unicode):
					yang info - auto;; Target VPN Extended Community

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.export', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'export', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, export=export)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_import_create(self, rbridge_id=None, evpn_instance=None, import_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- import_ (target_community):
				target_community (unicode):
					yang info - auto ;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, import_=import_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_import_delete(self, rbridge_id=None, evpn_instance=None, import_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- import_ (target_community):
				target_community (unicode):
					yang info - auto ;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, import_=import_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_import_update(self, rbridge_id=None, evpn_instance=None, import_=None, ignore_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- import_ (target_community):
				target_community (unicode):
					yang info - auto ;; Target VPN Extended Community

		This Instance Arg(s):
			- ignore_as (YANGBool):
				yang info - Ignore-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, import_=import_, ignore_as=ignore_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_route_target_import_get(self, rbridge_id=None, evpn_instance=None, import_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- import_ (target_community):
				target_community (unicode):
					yang info - auto ;; Target VPN Extended Community

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, import_=import_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_create(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_vni', 'keyval': 'vni_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_delete(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_vni', 'keyval': 'vni_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_update(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, rd=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rd (unicode):
				yang info - Configure RD for the VNI.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_vni', 'keyval': 'vni_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, rd=rd)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_get(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Keyword Arg Tuple:
			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_vni', 'keyval': 'vni_number', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_add_update(self, rbridge_id=None, evpn_instance=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		This Instance Arg(s):
			- add_ (unicode):
				yang info - Add VNIs to the EVPN Instance.
				pattern - (([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5])))?(,(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5])))?)*

			- remove_ (unicode):
				yang info - Remove VNIs to the EVPN Instance.
				pattern - (([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5])))?(,(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5])))?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.vni_add', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.vni_add', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_route_target_both_create(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, both=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- both (target_community):
				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - (((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni.route_target.both', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, both=both)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_route_target_both_delete(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, both=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- both (target_community):
				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - (((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni.route_target.both', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, both=both)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_route_target_both_get(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, both=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- both (target_community):
				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - (((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni.route_target.both', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, both=both)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_route_target_export_create(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, export=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- export (target_community):
				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - (((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni.route_target.export', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'export', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, export=export)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_route_target_export_delete(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, export=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- export (target_community):
				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - (((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni.route_target.export', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'export', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, export=export)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_route_target_export_get(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, export=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- export (target_community):
				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - (((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni.route_target.export', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'export', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, export=export)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_route_target_import_create(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, import_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- import_ (target_community):
				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - (((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni.route_target.import_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, import_=import_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_route_target_import_delete(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, import_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- import_ (target_community):
				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - (((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni.route_target.import_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, import_=import_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_evpn_instance_vni_route_target_import_get(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, import_=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_instance (instance_name):
				instance_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

			- evpn_vni (vni_number):
				vni_number (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- import_ (target_community):
				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - (((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni.route_target.import_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, import_=import_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_fabric_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fabric_ecmp_update(self, rbridge_id=None, ecmp_load_balance=None, load_balance_hash_swap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ecmp_load_balance (unicode):
				yang info - Configure load balancing parameters
				enum - [u'src-dst-ip-port', u'src-mac-vid', u'src-dst-ip', u'src-dst-ip-mac-vid', u'dst-mac-vid', u'src-dst-mac-vid', u'src-dst-ip-mac-vid-port']

			- load_balance_hash_swap (long):
				yang info - Configure Hash-Swap value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.ecmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.ecmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.ecmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.ecmp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ecmp_load_balance=ecmp_load_balance, load_balance_hash_swap=load_balance_hash_swap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fabric_ecmp_load_balance_update(self, rbridge_id=None, ecmp_load_balance=None, load_balance_hash_swap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ecmp_load_balance (unicode):
				yang info - Configure load balancing parameters
				enum - [u'src-dst-ip-port', u'src-mac-vid', u'src-dst-ip', u'src-dst-ip-mac-vid', u'dst-mac-vid', u'src-dst-mac-vid', u'src-dst-ip-mac-vid-port']

			- load_balance_hash_swap (long):
				yang info - Configure Hash-Swap value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.ecmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.ecmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.ecmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.ecmp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ecmp_load_balance=ecmp_load_balance, load_balance_hash_swap=load_balance_hash_swap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fabric_login_policy_duplicatewwn_update(self, rbridge_id=None, precedence=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- precedence (unicode):
				yang info - Configure device login precedence.
				enum - [u'new-login', u'old-login']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, precedence=precedence)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fabric_login_policy_duplicatewwn_precedence_update(self, rbridge_id=None, precedence=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- precedence (unicode):
				yang info - Configure device login precedence.
				enum - [u'new-login', u'old-login']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, precedence=precedence)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fabric_neighbor_discovery_update(self, rbridge_id=None, neighbor_discovery=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_discovery (YANGBool):
				yang info - Enable neighbor discovery to form VCS cluster

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.fabric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_discovery=neighbor_discovery)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fabric_port_channel_create(self, rbridge_id=None, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel (po_id):
				po_id (long):
					yang info - Port-channel id
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.port_channel', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.port_channel', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.port_channel', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.port_channel', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'po_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fabric_port_channel_delete(self, rbridge_id=None, port_channel=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel (po_id):
				po_id (long):
					yang info - Port-channel id
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.port_channel', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.port_channel', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.port_channel', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.port_channel', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'po_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fabric_port_channel_update(self, rbridge_id=None, port_channel=None, vlag_load_balance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel (po_id):
				po_id (long):
					yang info - Port-channel id
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlag_load_balance (unicode):
				yang info - Load balancing Commands
				enum - [u'src-dst-ip-port', u'src-mac-vid', u'src-dst-ip', u'src-dst-ip-mac-vid', u'dst-mac-vid', u'src-dst-mac-vid', u'src-dst-ip-mac-vid-port']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.port_channel', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.port_channel', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.port_channel', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.port_channel', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'po_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, port_channel=port_channel, vlag_load_balance=vlag_load_balance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fabric_port_channel_get(self, rbridge_id=None, port_channel=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_channel (po_id):
				po_id (long):
					yang info - Port-channel id
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.port_channel', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.port_channel', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.port_channel', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.port_channel', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'po_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, port_channel=port_channel)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_fabric_route_mcast_update(self, rbridge_id=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- priority (long):
				yang info - Syntax: priority [priority] (default 1)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.route.mcast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.route.mcast', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fabric_route_mcast_priority_update(self, rbridge_id=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- priority (long):
				yang info - Syntax: priority [priority] (default 1)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.route.mcast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.route.mcast', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fcoe_update(self, rbridge_id=None, fcoe_max_enode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- fcoe_max_enode (long):
				yang info - Configure the fcoe enodes for the FCoE Fabric-map
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcoe_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcoe_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcoe_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fcoe_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fcoe_max_enode=fcoe_max_enode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fcoe_fabric_map_create(self, rbridge_id=None, fcoe_enode_fabric_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- fcoe_enode_fabric_map (fcoe_enode_fabric_map_name):
				fcoe_enode_fabric_map_name (unicode):
					yang info - Configure an FCoE Fabric-map 
					length - [u'1..32']
					pattern - default

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fcoe_enode_fabric_map', 'keyval': 'fcoe_enode_fabric_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fcoe_enode_fabric_map=fcoe_enode_fabric_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fcoe_fabric_map_delete(self, rbridge_id=None, fcoe_enode_fabric_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- fcoe_enode_fabric_map (fcoe_enode_fabric_map_name):
				fcoe_enode_fabric_map_name (unicode):
					yang info - Configure an FCoE Fabric-map 
					length - [u'1..32']
					pattern - default

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fcoe_enode_fabric_map', 'keyval': 'fcoe_enode_fabric_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fcoe_enode_fabric_map=fcoe_enode_fabric_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fcoe_fabric_map_get(self, rbridge_id=None, fcoe_enode_fabric_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- fcoe_enode_fabric_map (fcoe_enode_fabric_map_name):
				fcoe_enode_fabric_map_name (unicode):
					yang info - Configure an FCoE Fabric-map 
					length - [u'1..32']
					pattern - default

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'fcoe_enode_fabric_map', 'keyval': 'fcoe_enode_fabric_map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fcoe_enode_fabric_map=fcoe_enode_fabric_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_fcoe_fcoe_enodes_update(self, rbridge_id=None, fcoe_max_enode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- fcoe_max_enode (long):
				yang info - Configure the fcoe enodes for the FCoE Fabric-map
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcoe_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcoe_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcoe_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fcoe_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fcoe_max_enode=fcoe_max_enode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fcsp_auth_update(self, rbridge_id=None, auth_type=None, group=None, hash=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- auth_type (unicode):
				yang info - The authentication type
				enum - [u'dh-chap']

			- group (unicode):
				yang info - The group value
				pattern - [0-4\*]

			- hash (unicode):
				yang info - The hash type
				enum - [u'all', u'sha1', u'md5']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcsp.auth.proto', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, auth_type=auth_type, group=group, hash=hash)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fcsp_auth_auth_type_update(self, rbridge_id=None, auth_type=None, group=None, hash=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- auth_type (unicode):
				yang info - The authentication type
				enum - [u'dh-chap']

			- group (unicode):
				yang info - The group value
				pattern - [0-4\*]

			- hash (unicode):
				yang info - The hash type
				enum - [u'all', u'sha1', u'md5']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcsp.auth.proto', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, auth_type=auth_type, group=group, hash=hash)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fcsp_auth_policy_update(self, rbridge_id=None, switch=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- switch (unicode):
				yang info - Enable switch policy
				enum - [u'active', u'on', u'off', u'passive']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcsp.auth.policy', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, switch=switch)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_fcsp_auth_policy_switch_update(self, rbridge_id=None, switch=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- switch (unicode):
				yang info - Enable switch policy
				enum - [u'active', u'on', u'off', u'passive']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcsp.auth.policy', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, switch=switch)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_filter_change_update_delay_create(self, rbridge_id=None, filter_change_update_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- filter_change_update_delay (filter_delay_value):
				filter_delay_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.filter_change_update_delay', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.filter_change_update_delay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.filter_change_update_delay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filter_change_update_delay', 'keyval': 'filter_delay_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, filter_change_update_delay=filter_change_update_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_filter_change_update_delay_delete(self, rbridge_id=None, filter_change_update_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- filter_change_update_delay (filter_delay_value):
				filter_delay_value (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.filter_change_update_delay', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.filter_change_update_delay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.filter_change_update_delay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filter_change_update_delay', 'keyval': 'filter_delay_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, filter_change_update_delay=filter_change_update_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_filter_change_update_delay_get(self, rbridge_id=None, filter_change_update_delay=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- filter_change_update_delay (filter_delay_value):
				filter_delay_value (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.filter_change_update_delay', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.filter_change_update_delay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.filter_change_update_delay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'filter_change_update_delay', 'keyval': 'filter_delay_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, filter_change_update_delay=filter_change_update_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_hardware_profile_kap_update(self, rbridge_id=None, kap_profiletype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- kap_profiletype (unicode):
				enum - [u'default']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, kap_profiletype=kap_profiletype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_hardware_profile_kap_custom_profile_update(self, rbridge_id=None, kap_profilename=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- kap_profilename (unicode):
				yang info - Profile name [length 1-64]
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, kap_profilename=kap_profilename)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_hardware_profile_route_table_update(self, rbridge_id=None, routing_profiletype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- routing_profiletype (unicode):
				enum - [u'ipv4-max-arp', u'ipv6-max-route', u'default', u'ipv4-min-v6', u'ipv6-max-nd', u'ipv4-max-route']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, routing_profiletype=routing_profiletype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_hardware_profile_route_table_maximum_paths_update(self, rbridge_id=None, maximum_paths=None, openflow_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- maximum_paths (unicode):
				yang info - Maximum number of load-sharing paths
				enum - [u'8', u'16', u'32']

			- openflow_enable (unicode):
				yang info - Enable/disable openflow support in profile
				enum - [u'on', u'off']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, maximum_paths=maximum_paths, openflow_enable=openflow_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_hardware_profile_tcam_update(self, rbridge_id=None, tcam_profiletype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- tcam_profiletype (unicode):
				enum - [u'openflow', u'ipv4-v6-mcast', u'ipv4-v6-qos', u'dyn-arp-insp', u'default', u'ipv4-v6-pbr', u'l2-acl-qos', u'l2-ipv4-acl']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, tcam_profiletype=tcam_profiletype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_hardware_profile_vlan_classification_update(self, rbridge_id=None, vlan_profiletype=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_profiletype (unicode):
				enum - [u'tor-vxlan-gw', u'default', u'aggregator-basic', u'aggregator-vxlan-gw', u'aggregator-virtualfabric', u'tor-virtualfabric']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vlan_profiletype=vlan_profiletype)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_host_table_aging_mode_update(self, rbridge_id=None, conversational=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- conversational (YANGBool):
				yang info - Age hardware entries based on conversation

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, conversational=conversational)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_host_table_aging_mode_conversational_update(self, rbridge_id=None, conversational=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- conversational (YANGBool):
				yang info - Age hardware entries based on conversation

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, conversational=conversational)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_host_table_aging_time_update(self, rbridge_id=None, conversational_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- conversational_timeout (long):
				yang info - Conversational Aging time in seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.host_table.aging_time', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_time', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, conversational_timeout=conversational_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_host_table_aging_time_conversational_update(self, rbridge_id=None, conversational_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- conversational_timeout (long):
				yang info - Conversational Aging time in seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.host_table.aging_time', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_time', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, conversational_timeout=conversational_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_http_server_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shutdown HTTP Server

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.http.server', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.http.server.http_vrf_cont', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_http_server_shutdown_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shutdown HTTP Server

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.http.server', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.http.server', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.http.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_http_server_use_vrf_create(self, rbridge_id=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, http_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0..max']

				http_vrf_shutdown (YANGBool):
					yang info - Shutdown HTTP/HTTPS server on the given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_http_server_use_vrf_delete(self, rbridge_id=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, http_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0..max']

				http_vrf_shutdown (YANGBool):
					yang info - Shutdown HTTP/HTTPS server on the given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_http_server_use_vrf_update(self, rbridge_id=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, http_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0..max']

				http_vrf_shutdown (YANGBool):
					yang info - Shutdown HTTP/HTTPS server on the given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_http_server_use_vrf_get(self, rbridge_id=None, use_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, http_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0..max']

				http_vrf_shutdown (YANGBool):
					yang info - Shutdown HTTP/HTTPS server on the given vrf

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_loopback_create(self, rbridge_id=None, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'loopback', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_delete(self, rbridge_id=None, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'loopback', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_get(self, rbridge_id=None, loopback=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'loopback', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_update(self, rbridge_id=None, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_address_create(self, rbridge_id=None, loopback=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/32

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_address_delete(self, rbridge_id=None, loopback=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/32

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_address_get(self, rbridge_id=None, loopback=None, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/32

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_multicast_boundary_update(self, rbridge_id=None, loopback=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pim_sparse (YANGBool):
				yang info - Sparse Mode (PIM-SM)

			- mcast_bdry_prefix_list (unicode):
				yang info - Prefix list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_update(self, rbridge_id=None, loopback=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_active_update(self, rbridge_id=None, loopback=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_authentication_key_update(self, rbridge_id=None, loopback=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_bfd_update(self, rbridge_id=None, loopback=None, intf_bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- intf_bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, intf_bfd_enable=intf_bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_database_filter_update(self, rbridge_id=None, loopback=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_database_filter_all_external_update(self, rbridge_id=None, loopback=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_md5_authentication_update(self, rbridge_id=None, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_update(self, rbridge_id=None, loopback=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_activation_wait_time_update(self, rbridge_id=None, loopback=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_id_update(self, rbridge_id=None, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_id_key_update(self, rbridge_id=None, loopback=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_pim_update(self, rbridge_id=None, loopback=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_pim_dr_priority_update(self, rbridge_id=None, loopback=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_pim_multinet_update(self, rbridge_id=None, loopback=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ip_pim_multinet_enable_update(self, rbridge_id=None, loopback=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_address_create(self, rbridge_id=None, loopback=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, eui64, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				eui64 (YANGBool):
					yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_address_delete(self, rbridge_id=None, loopback=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, eui64, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				eui64 (YANGBool):
					yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_address_update(self, rbridge_id=None, loopback=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, eui64, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				eui64 (YANGBool):
					yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_address_get(self, rbridge_id=None, loopback=None, ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, eui64, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				eui64 (YANGBool):
					yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_address_link_local_update(self, rbridge_id=None, loopback=None, link_local_address=None, link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_local_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- link_local (YANGBool):
				yang info - Configure ipv6 address to override automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, link_local_address=link_local_address, link_local=link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_address_use_link_local_only_update(self, rbridge_id=None, loopback=None, use_link_local_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- use_link_local_only (YANGBool):
				yang info - Configure automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, use_link_local_only=use_link_local_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_ospf_update(self, rbridge_id=None, loopback=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_ospf_active_update(self, rbridge_id=None, loopback=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_area (unicode):
				yang info - OSPF area
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- instance (long):
				yang info - Instance of OSPFv3 protocol on this interface
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPFv3 MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'point-to-point']

			- priority (long):
				yang info - Interface priority
				range - ['0..4294967295']

			- suppress_linklsa (YANGBool):
				yang info - Suppress link LSA advertisements

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_ospf_authentication_update(self, rbridge_id=None, loopback=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_ospf_authentication_ah_update(self, rbridge_id=None, loopback=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_ospf_authentication_ipsec_update(self, rbridge_id=None, loopback=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, rbridge_id=None, loopback=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_ospf_bfd_update(self, rbridge_id=None, loopback=None, bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, bfd_enable=bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_ipv6_ospf_dead_interval_update(self, rbridge_id=None, loopback=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_shutdown_update(self, rbridge_id=None, loopback=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shut down interface loopback port

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.intf_loopback', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.intf_loopback', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.intf_loopback', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_snmp_trap_update(self, rbridge_id=None, loopback=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_snmp_trap_link_status_update(self, rbridge_id=None, loopback=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_vrf_update(self, rbridge_id=None, loopback=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_loopback_vrf_forwarding_update(self, rbridge_id=None, loopback=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- loopback (id):
				id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_nodespecific_update(self, rbridge_id=None, ns_vlan=None, ns_ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ns_vlan (long):
				range - ['-2147483648..2147483647']

			- ns_ethernet (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface_nodespecific', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface_nodespecific', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface_nodespecific', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.interface_nodespecific', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ns_vlan=ns_vlan, ns_ethernet=ns_ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_nodespecific_ns_ethernet_update(self, rbridge_id=None, ns_vlan=None, ns_ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ns_vlan (long):
				range - ['-2147483648..2147483647']

			- ns_ethernet (long):
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface_nodespecific', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface_nodespecific', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface_nodespecific', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.interface_nodespecific', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ns_vlan=ns_vlan, ns_ethernet=ns_ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_create(self, rbridge_id=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_delete(self, rbridge_id=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_update(self, rbridge_id=None, ve=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shutdown the selected interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_get(self, rbridge_id=None, ve=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ve (name):
				name (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_bfd_update(self, rbridge_id=None, ve=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_bfd_interval_update(self, rbridge_id=None, ve=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_bfd_interval_min_rx_update(self, rbridge_id=None, ve=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_bfd_shutdown_update(self, rbridge_id=None, ve=None, bfd_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_shutdown (YANGBool):
				yang info - Administratively shutdown the BFD session.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, bfd_shutdown=bfd_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_update(self, rbridge_id=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_pbr_interface.ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_access_group_create(self, rbridge_id=None, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_access_group_delete(self, rbridge_id=None, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_access_group_update(self, rbridge_id=None, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_access_group_get(self, rbridge_id=None, ve=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ip_access_list, ip_direction, traffic_type):
				ip_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_address_create(self, rbridge_id=None, ve=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_address_delete(self, rbridge_id=None, ve=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_address_update(self, rbridge_id=None, ve=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_address_get(self, rbridge_id=None, ve=None, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- address (address, secondary, ospf_passive, ospf_ignore):
				address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

				secondary (YANGBool):
					yang info - Secondary ip address on the specific interface

				ospf_passive (YANGBool):
					yang info - ospf pasive address on the specific interface

				ospf_ignore (YANGBool):
					yang info - ospf active address on the specific interface

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_anycast_address_create(self, rbridge_id=None, ve=None, ip_anycast_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_anycast_address (ip_address):
				ip_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_anycast_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_anycast_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_anycast_address', 'keyval': 'ip_address', 'extra_keyval': 'ip_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_anycast_address=ip_anycast_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_anycast_address_delete(self, rbridge_id=None, ve=None, ip_anycast_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_anycast_address (ip_address):
				ip_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_anycast_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_anycast_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_anycast_address', 'keyval': 'ip_address', 'extra_keyval': 'ip_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_anycast_address=ip_anycast_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_anycast_address_get(self, rbridge_id=None, ve=None, ip_anycast_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_anycast_address (ip_address):
				ip_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_anycast_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_anycast_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_anycast_address', 'keyval': 'ip_address', 'extra_keyval': 'ip_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_anycast_address=ip_anycast_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_arp_update(self, rbridge_id=None, ve=None, learn_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- learn_any (YANGBool):
				yang info - Learn ARP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, learn_any=learn_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_arp_aging_timeout_update(self, rbridge_id=None, ve=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ip mtu value to interface
				range - ['0..4294967295']

			- directed_broadcast (YANGBool):
				yang info - Enable directed IP broadcasts forwarding

			- proxy_arp (YANGBool):
				yang info - Proxy-Arp on the interface

			- arp_aging_timeout (long):
				yang info - Set arp age timeout value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_arp_learn_any_update(self, rbridge_id=None, ve=None, learn_any=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- learn_any (YANGBool):
				yang info - Learn ARP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, learn_any=learn_any)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_dhcp_relay_create(self, rbridge_id=None, ve=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_dhcp_relay_delete(self, rbridge_id=None, ve=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_dhcp_relay_get(self, rbridge_id=None, ve=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - A.B.C.D;; IP address of the DHCP server
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCP server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_dhcp_relay_gateway_update(self, rbridge_id=None, ve=None, gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- gateway (unicode):
				yang info - Gateway address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, gateway=gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_create(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_local_anycast_gateway', 'keyval': 'local_ip_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_delete(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_local_anycast_gateway', 'keyval': 'local_ip_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, enable_local=None, disable_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable_local (YANGBool):
				yang info - Enable Fabric Virtual Gateway

			- disable_local (YANGBool):
				yang info - Disable Fabric Virtual Gateway

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_local_anycast_gateway', 'keyval': 'local_ip_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, enable_local=enable_local, disable_local=disable_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_get(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ip_local_anycast_gateway', 'keyval': 'local_ip_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_load_balancing_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- basic (YANGBool):

			- threshold_priority (long):
				yang info - Threshold Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_interface_create(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_interface_delete(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_interface_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, interface=None, interface_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_interface_get(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_network_create(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_network_delete(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_network_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, network=None, network_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		This Instance Arg(s):
			- network_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_network_get(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_next_hop_create(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop_address):
				next_hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_next_hop_delete(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop_address):
				next_hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_next_hop_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, next_hop=None, next_hop_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop_address):
				next_hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_next_hop_get(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, next_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ip_local_anycast_gateway (local_ip_gw_id):
				local_ip_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop_address):
				next_hop_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_icmp_update(self, rbridge_id=None, ve=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_icmp_address_mask_update(self, rbridge_id=None, ve=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- address_mask (YANGBool):
				yang info - Enables ICMP address mask

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_igmp_update(self, rbridge_id=None, ve=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_igmp_immediate_leave_update(self, rbridge_id=None, ve=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- immediate_leave (YANGBool):
				yang info - Immediate Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_igmp_static_group_create(self, rbridge_id=None, ve=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_igmp_static_group_delete(self, rbridge_id=None, ve=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_igmp_static_group_get(self, rbridge_id=None, ve=None, static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (sg_addr):
				sg_addr (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_multicast_boundary_update(self, rbridge_id=None, ve=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- pim_sparse (YANGBool):
				yang info - Sparse Mode (PIM-SM)

			- mcast_bdry_prefix_list (unicode):
				yang info - Prefix list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_update(self, rbridge_id=None, ve=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_active_update(self, rbridge_id=None, ve=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- area (unicode):
				yang info - OSPF areas
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- auth_change_wait_time (long):
				yang info - Authentication Change Wait time (MD5 and non MD5)
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPF MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'non-broadcast', u'point-to-point']

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- priority (long):
				yang info - Router priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_authentication_key_update(self, rbridge_id=None, ve=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_bfd_update(self, rbridge_id=None, ve=None, intf_bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- intf_bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, intf_bfd_enable=intf_bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_database_filter_update(self, rbridge_id=None, ve=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_database_filter_all_external_update(self, rbridge_id=None, ve=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all_out (YANGBool):
				yang info - filter all LSAs

			- all_external (unicode):
				yang info - Filter all external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- all_summary_external (unicode):
				yang info - Filter all summary external LSAs
				enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_md5_authentication_update(self, rbridge_id=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_update(self, rbridge_id=None, ve=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_activation_wait_time_update(self, rbridge_id=None, ve=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_id_update(self, rbridge_id=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_id_key_update(self, rbridge_id=None, ve=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_pim_update(self, rbridge_id=None, ve=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_pim_dr_priority_update(self, rbridge_id=None, ve=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- neighbor_filter (unicode):
				yang info - Set prefix list name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- dr_priority (long):
				yang info - Set DR priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_pim_multinet_update(self, rbridge_id=None, ve=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_pim_multinet_enable_update(self, rbridge_id=None, ve=None, multinet_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multinet_enable (YANGBool):
				yang info - Enable/Disable Multinet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, multinet_enable=multinet_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ip_policy_route_map_update(self, rbridge_id=None, ve=None, route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, route_map_name=route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_update(self, rbridge_id=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_access_group_create(self, rbridge_id=None, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_access_group_delete(self, rbridge_id=None, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_access_group_update(self, rbridge_id=None, ve=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_access_group_get(self, rbridge_id=None, ve=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (ipv6_access_list, ip_direction, traffic_type):
				ipv6_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				ip_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_address_create(self, rbridge_id=None, ve=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_address_delete(self, rbridge_id=None, ve=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_address_update(self, rbridge_id=None, ve=None, ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_address_get(self, rbridge_id=None, ve=None, ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_address_eui_64_update(self, rbridge_id=None, ve=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_address (address, secondary, anycast):
				address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				secondary (YANGBool):
					yang info - Configure Secondary ipv6 address on an interface

				anycast (YANGBool):
					yang info - Configure ipv6 address as anycast

		This Instance Arg(s):
			- eui64 (YANGBool):
				yang info - Configure ipv6 address with an automatically computed EUI-64 interface Id

			- eui_secondary (YANGBool):
				yang info - Configure Secondary eui-64 ipv6 address on an interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_address_link_local_update(self, rbridge_id=None, ve=None, link_local_address=None, link_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_local_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- link_local (YANGBool):
				yang info - Configure ipv6 address to override automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, link_local_address=link_local_address, link_local=link_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_address_use_link_local_only_update(self, rbridge_id=None, ve=None, use_link_local_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- use_link_local_only (YANGBool):
				yang info - Configure automatically computed link-local address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, use_link_local_only=use_link_local_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_anycast_address_create(self, rbridge_id=None, ve=None, ipv6_anycast_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_anycast_address (ipv6_address):
				ipv6_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_anycast_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_anycast_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_address', 'keyval': 'ipv6_address', 'extra_keyval': 'ipv6_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_anycast_address=ipv6_anycast_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_anycast_address_delete(self, rbridge_id=None, ve=None, ipv6_anycast_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_anycast_address (ipv6_address):
				ipv6_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_anycast_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_anycast_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_address', 'keyval': 'ipv6_address', 'extra_keyval': 'ipv6_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_anycast_address=ipv6_anycast_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_anycast_address_get(self, rbridge_id=None, ve=None, ipv6_anycast_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_anycast_address (ipv6_address):
				ipv6_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_anycast_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_anycast_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_address', 'keyval': 'ipv6_address', 'extra_keyval': 'ipv6_address'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_anycast_address=ipv6_anycast_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_dhcp_relay_create(self, rbridge_id=None, ve=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_dhcp_relay_delete(self, rbridge_id=None, ve=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_dhcp_relay_update(self, rbridge_id=None, ve=None, servers=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_dhcp_relay_get(self, rbridge_id=None, ve=None, servers=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, servers=servers)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_dhcp_relay_interface_update(self, rbridge_id=None, ve=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- servers (relay_ip_addr, server_vrf_name):
				relay_ip_addr (unicode):
					yang info - IPv6 address of the DHCPv6 server
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				server_vrf_name (unicode):
					yang info - VRF name of the DHCPv6 server
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- interface_type (unicode):
				yang info - Interface type
				enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'Ve']

			- interface_name (unicode):
				yang info - Interface name
				pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, servers=servers, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_create(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_local_anycast_gateway', 'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_delete(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_local_anycast_gateway', 'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, enable_local=None, disable_local=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable_local (YANGBool):
				yang info - Enable Fabric Virtual Gateway

			- disable_local (YANGBool):
				yang info - Disable Fabric Virtual Gateway

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_local_anycast_gateway', 'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, enable_local=enable_local, disable_local=disable_local)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_get(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_local_anycast_gateway', 'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_load_balancing_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- basic (YANGBool):

			- threshold_priority (long):
				yang info - Threshold Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_interface_create(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_interface (ipv6_interface_type, ipv6_interface_name):
				ipv6_interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				ipv6_interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_interface_delete(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_interface (ipv6_interface_type, ipv6_interface_name):
				ipv6_interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				ipv6_interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_interface_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, ipv6_interface_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_interface (ipv6_interface_type, ipv6_interface_name):
				ipv6_interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				ipv6_interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- ipv6_interface_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_interface_get(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_interface (ipv6_interface_type, ipv6_interface_name):
				ipv6_interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				ipv6_interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_network_create(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_network (ipv6_network_address):
				ipv6_network_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_network_delete(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_network (ipv6_network_address):
				ipv6_network_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_network_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, ipv6_network_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_network (ipv6_network_address):
				ipv6_network_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- ipv6_network_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_network_get(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_network (ipv6_network_address):
				ipv6_network_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_create(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_next_hop (ipv6_next_hop_address):
				ipv6_next_hop_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_delete(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_next_hop (ipv6_next_hop_address):
				ipv6_next_hop_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, ipv6_next_hop_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_next_hop (ipv6_next_hop_address):
				ipv6_next_hop_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ipv6_next_hop_priority (long):
				yang info - Track Priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_get(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- ipv6_local_anycast_gateway (local_ipv6_gw_id):
				local_ipv6_gw_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ipv6_next_hop (ipv6_next_hop_address):
				ipv6_next_hop_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_hop_by_hop_trap_update(self, rbridge_id=None, ve=None, hop_by_hop_trap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hop_by_hop_trap (YANGBool):
				yang info - Enable hop-by-hop trap on an Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, hop_by_hop_trap=hop_by_hop_trap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_icmpv6_update(self, rbridge_id=None, ve=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_icmpv6_echo_reply_update(self, rbridge_id=None, ve=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- echo_reply (YANGBool):
				yang info - Enable echo-reply

			- rate_limiting (long):
				yang info - Rate limit ICMP error messages
				range - ['0..4294967295']

			- unreachable (YANGBool):
				yang info - Enable destination unreachable messages

			- redirect (YANGBool):
				yang info - Enable redirect

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_mtu_update(self, rbridge_id=None, ve=None, mtu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mtu (long):
				yang info - Set ipv6 mtu value to interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, mtu=mtu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_update(self, rbridge_id=None, ve=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_broadcast_mac_trap_update(self, rbridge_id=None, ve=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- managed_config_flag (YANGBool):
				yang info - Set managed config flag in router advertisement

			- other_config_flag (YANGBool):
				yang info - Set other config flag in router advertisement

			- broadcast_mac_trap (YANGBool):
				yang info - Enable the trap for all the ipv6 packets with broadcast mac

			- ra_lifetime (long):
				yang info - Set router lifetime in router advertisement
				range - ['0..4294967295']

			- reachable_time (long):
				yang info - the duration node is considered reachable, Sent in RA messages
				range - ['0..4294967295']

			- mtu (long):
				yang info -  MTU to be advertised in RA
				range - ['0..4294967295']

			- retrans_timer (long):
				yang info - Configure RA retransmission timer, Sent in RA messages
				range - ['0..4294967295']

			- hoplimit (long):
				yang info -  Configfure Hop Limit to be advertised in RA
				range - ['0..4294967295']

			- ns_interval (long):
				yang info - Interval between Neighbor solicitations
				range - ['0..4294967295']

			- proxy (YANGBool):
				yang info - Enable proxy flag

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_cache_update(self, rbridge_id=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_cache_expire_update(self, rbridge_id=None, ve=None, expire=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- expire (long):
				yang info - Configures the time-interval after which the cache is deleted or refreshed.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, expire=expire)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_dad_update(self, rbridge_id=None, ve=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_dad_attempts_update(self, rbridge_id=None, ve=None, attempts=None, time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- attempts (long):
				yang info - number of Neighbor solicitations to send as part of duplicate address detection
				range - ['0..4294967295']

			- time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, attempts=attempts, time=time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_nud_retry_update(self, rbridge_id=None, ve=None, base=None, interval=None, max_attempts=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- base (long):
				yang info - base value
				range - ['-2147483648..2147483647']

			- interval (long):
				yang info - Time interval between neighbor solicitations in milliseconds
				range - ['0..4294967295']

			- max_attempts (long):
				yang info - Max number of retry attempts.
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, base=base, interval=interval, max_attempts=max_attempts)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_prefix_create(self, rbridge_id=None, ve=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_prefix_delete(self, rbridge_id=None, ve=None, prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_prefix_get(self, rbridge_id=None, ve=None, prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, prefix=prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_prefix_infinite_update(self, rbridge_id=None, ve=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- preferred_lifetime (long):
				yang info - Configures preferred lifetime
				range - ['0..4294967295']

			- preferred_infinite (YANGBool):
				yang info - Infinite preferred lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_prefix_no_advertise_update(self, rbridge_id=None, ve=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_advertise (YANGBool):
				yang info - Do not advertise prefix

			- valid_lifetime (long):
				yang info - Configures valid lifetime
				range - ['0..4294967295']

			- valid_infinite (YANGBool):
				yang info - Infinite valid lifetime

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_prefix_no_autoconfig_update(self, rbridge_id=None, ve=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- prefix (prefix_ipv6_address):
				prefix_ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- no_autoconfig (YANGBool):
				yang info - Do not use prefix for autoconfiguration

			- no_onlink (YANGBool):
				yang info - Do not use prefix for onlink determination

			- off_link (YANGBool):
				yang info - Prefix is offlink

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_ra_interval_update(self, rbridge_id=None, ve=None, max_interval=None, min_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- max_interval (long):
				yang info - Maximum interval in seconds
				range - ['0..4294967295']

			- min_ (long):
				yang info - Minimum interval between sending RA messages
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, max_interval=max_interval, min_=min_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_suppress_ra_update(self, rbridge_id=None, ve=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_nd_suppress_ra_all_update(self, rbridge_id=None, ve=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- suppress_ra_flag (YANGBool):

			- suppress_ra_mtu (YANGBool):
				yang info - Disable sending MTU in Router-Advertisement messages

			- suppress_ra_all (YANGBool):
				yang info - Suppress response to RS in addition to not sending Ras

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_neighbor_create(self, rbridge_id=None, ve=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_neighbor_delete(self, rbridge_id=None, ve=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_neighbor_update(self, rbridge_id=None, ve=None, neighbor=None, hardware_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hardware_address (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, neighbor=neighbor, hardware_address=hardware_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_neighbor_get(self, rbridge_id=None, ve=None, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor (ipv6_address):
				ipv6_address (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_ospf_update(self, rbridge_id=None, ve=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_ospf_active_update(self, rbridge_id=None, ve=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- interface_area (unicode):
				yang info - OSPF area
				pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- active (YANGBool):
				yang info - Active information

			- passive (YANGBool):
				yang info - Passive information

			- cost (long):
				yang info - Interface cost
				range - ['0..4294967295']

			- instance (long):
				yang info - Instance of OSPFv3 protocol on this interface
				range - ['0..4294967295']

			- mtu_ignore (YANGBool):
				yang info - To disable OSPFv3 MTU mismatch detection

			- network (unicode):
				yang info - Interface type
				enum - [u'broadcast', u'point-to-point']

			- priority (long):
				yang info - Interface priority
				range - ['0..4294967295']

			- suppress_linklsa (YANGBool):
				yang info - Suppress link LSA advertisements

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_ospf_authentication_update(self, rbridge_id=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_ospf_authentication_ah_update(self, rbridge_id=None, ve=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_ospf_authentication_ipsec_update(self, rbridge_id=None, ve=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, rbridge_id=None, ve=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipsec_authentication_disable (YANGBool):
				yang info - Disable ipsec authentication

			- ifc_key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_ospf_bfd_update(self, rbridge_id=None, ve=None, bfd_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bfd_enable (YANGBool):
				yang info - Enable bfd on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, bfd_enable=bfd_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_ospf_dead_interval_update(self, rbridge_id=None, ve=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_policy_route_map_update(self, rbridge_id=None, ve=None, ipv6_route_map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipv6_route_map_name (unicode):
				yang info - Word:1-63;;Route map name
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_route_map_name=ipv6_route_map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_create(self, rbridge_id=None, ve=None, vrrpv3e=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_delete(self, rbridge_id=None, ve=None, vrrpv3e=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_update(self, rbridge_id=None, ve=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- advertise_backup (YANGBool):
				yang info - Enable periodic backup advertisement messages

			- nd_advertisement_timer (long):
				range - ['0..4294967295']

			- advertisement_interval_scale (long):
				yang info - Ipv6 session advertisement interval scale factor <1|2|5|10>
				range - ['0..4294967295']

			- backup_advertisement_interval (long):
				yang info - Set Backup advertisement interval
				range - ['0..4294967295']

			- vrrpe_advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_get(self, rbridge_id=None, ve=None, vrrpv3e=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_short_path_forwarding_update(self, rbridge_id=None, ve=None, vrrpv3e=None, basic=None, revert_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- basic (YANGBool):

			- revert_priority (int):
				yang info - Set revert priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_create(self, rbridge_id=None, ve=None, vrrpv3e=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_delete(self, rbridge_id=None, ve=None, vrrpv3e=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_update(self, rbridge_id=None, ve=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_get(self, rbridge_id=None, ve=None, vrrpv3e=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_network_create(self, rbridge_id=None, ve=None, vrrpv3e=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_network_delete(self, rbridge_id=None, ve=None, vrrpv3e=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_network_update(self, rbridge_id=None, ve=None, vrrpv3e=None, network=None, network_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- network_priority (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_network_get(self, rbridge_id=None, ve=None, vrrpv3e=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_virtual_ip_create(self, rbridge_id=None, ve=None, vrrpv3e=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_virtual_ip_delete(self, rbridge_id=None, ve=None, vrrpv3e=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_virtual_ip_get(self, rbridge_id=None, ve=None, vrrpv3e=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_virtual_mac_update(self, rbridge_id=None, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- vmac (YANGBool):
				yang info - Virtual MAC address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_extended_group_virtual_mac_02e0_5200_00xx_update(self, rbridge_id=None, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3e (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- vmac (YANGBool):
				yang info - Virtual MAC address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_create(self, rbridge_id=None, ve=None, vrrpv3=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_delete(self, rbridge_id=None, ve=None, vrrpv3=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_update(self, rbridge_id=None, ve=None, vrrpv3=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Use v2 checksum

			- advertisement_interval (long):
				yang info - Set advertisement interval
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_get(self, rbridge_id=None, ve=None, vrrpv3=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_track_create(self, rbridge_id=None, ve=None, vrrpv3=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_track_delete(self, rbridge_id=None, ve=None, vrrpv3=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_track_update(self, rbridge_id=None, ve=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_track_get(self, rbridge_id=None, ve=None, vrrpv3=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_virtual_ip_create(self, rbridge_id=None, ve=None, vrrpv3=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_virtual_ip_delete(self, rbridge_id=None, ve=None, vrrpv3=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_group_virtual_ip_get(self, rbridge_id=None, ve=None, vrrpv3=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpv3 (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_ipv6_vrrp_suppress_interface_ra_update(self, rbridge_id=None, ve=None, vrrp_suppress_interface_ra=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vrrp_suppress_interface_ra (YANGBool):
				yang info - Suppress interface RA for vrrpv3

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_snmp_trap_update(self, rbridge_id=None, ve=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_snmp_trap_link_status_update(self, rbridge_id=None, ve=None, link_snmp_trap_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- link_snmp_trap_status (YANGBool):
				yang info - Enable/disable SNMP traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, link_snmp_trap_status=link_snmp_trap_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrf_update(self, rbridge_id=None, ve=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrf_forwarding_update(self, rbridge_id=None, ve=None, forwarding=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- forwarding (unicode):
				yang info - Enable VRF forwarding on this interface
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, forwarding=forwarding)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_create(self, rbridge_id=None, ve=None, vrrpe=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_delete(self, rbridge_id=None, ve=None, vrrpe=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_update(self, rbridge_id=None, ve=None, vrrpe=None, virtual_mac=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, vrrpe_garp_timer=None, backup_advertisement_interval=None, advertisement_interval_scale=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- virtual_mac (unicode):
				yang info - Virtual MAC
				enum - [u'02e0.5200.00xx']

			- advertisement_interval (long):
				yang info - 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- advertise_backup (YANGBool):
				yang info - Enable periodic backup advertisement messages

			- vrrpe_garp_timer (long):
				range - ['0..4294967295']

			- backup_advertisement_interval (long):
				yang info - Set Backup advertisement interval
				range - ['0..4294967295']

			- advertisement_interval_scale (long):
				yang info - Ipv4 session advertisement interval scale factor
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, vrrpe_garp_timer=vrrpe_garp_timer, backup_advertisement_interval=backup_advertisement_interval, advertisement_interval_scale=advertisement_interval_scale)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_get(self, rbridge_id=None, ve=None, vrrpe=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_arp_unicast_request_update(self, rbridge_id=None, ve=None, vrrpe=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_arp_unicast_request_receive_update(self, rbridge_id=None, ve=None, vrrpe=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_short_path_forwarding_update(self, rbridge_id=None, ve=None, vrrpe=None, basic=None, revert_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Arg(s):
			- basic (YANGBool):

			- revert_priority (int):
				yang info - Set revert priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, basic=basic, revert_priority=revert_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_track_create(self, rbridge_id=None, ve=None, vrrpe=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_track_delete(self, rbridge_id=None, ve=None, vrrpe=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_track_update(self, rbridge_id=None, ve=None, vrrpe=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_track_get(self, rbridge_id=None, ve=None, vrrpe=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_track_network_create(self, rbridge_id=None, ve=None, vrrpe=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - IPv4 global address
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_track_network_delete(self, rbridge_id=None, ve=None, vrrpe=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - IPv4 global address
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_track_network_update(self, rbridge_id=None, ve=None, vrrpe=None, network=None, network_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - IPv4 global address
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		This Instance Arg(s):
			- network_priority (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_track_network_get(self, rbridge_id=None, ve=None, vrrpe=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- network (network_address):
				network_address (unicode):
					yang info - IPv4 global address
					pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_virtual_ip_create(self, rbridge_id=None, ve=None, vrrpe=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_virtual_ip_delete(self, rbridge_id=None, ve=None, vrrpe=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_extended_group_virtual_ip_get(self, rbridge_id=None, ve=None, vrrpe=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrpe (vrid):
				vrid (int):
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_create(self, rbridge_id=None, ve=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_delete(self, rbridge_id=None, ve=None, vrrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_update(self, rbridge_id=None, ve=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- use_v2_checksum (YANGBool):
				yang info - Enables v2 checksum computation method for VRRPv3 session

			- advertisement_interval (long):
				yang info - 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
				range - ['0..4294967295']

			- enable (YANGBool):
				yang info - Enable Session

			- hold_time (long):
				yang info - Configure hold time for this session
				range - ['0..4294967295']

			- preempt_mode (YANGBool):
				yang info - Set preempt mode for the session

			- priority (int):
				yang info - Set router priority within virtual router
				range - ['0..255']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_get(self, rbridge_id=None, ve=None, vrrp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_arp_unicast_request_update(self, rbridge_id=None, ve=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_arp_unicast_request_receive_update(self, rbridge_id=None, ve=None, vrrp=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Arg(s):
			- receive (YANGBool):
				yang info - Receive unicast ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_track_create(self, rbridge_id=None, ve=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_track_delete(self, rbridge_id=None, ve=None, vrrp=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_track_update(self, rbridge_id=None, ve=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- track_priority (int):
				yang info - Track Priority
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_track_get(self, rbridge_id=None, ve=None, vrrp=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

				interface_name (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_virtual_ip_create(self, rbridge_id=None, ve=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_virtual_ip_delete(self, rbridge_id=None, ve=None, vrrp=None, virtual_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_interface_ve_vrrp_group_virtual_ip_get(self, rbridge_id=None, ve=None, vrrp=None, virtual_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ve (name):
				name (long):
					range - ['0..4294967295']

			- vrrp (vrid, version):
				vrid (int):
					range - ['0..255']

				version (int):
					yang info - Set VRRP version 2/3
					range - ['0..255']

		This Instance Keyword Arg Tuple:
			- virtual_ip (virtual_ipaddr):
				virtual_ipaddr (unicode):
					yang info - Virtual IPv4 address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, virtual_ip=virtual_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ip_update(self, rbridge_id=None, router_id=None, load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- router_id (unicode):
				yang info - Change the router ID already in use
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- load_sharing (long):
				yang info - Enable IP load sharing
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ip.static_ag_ip_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ip.static_ag_ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, router_id=router_id, load_sharing=load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_anycast_gateway_mac_update(self, rbridge_id=None, ip_anycast_gateway_mac=None, ip_anycast_default_mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip_anycast_gateway_mac (unicode):

			- ip_anycast_default_mac (YANGBool):
				yang info - Anycast gateway default MAC.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ip_anycast_gateway_mac=ip_anycast_gateway_mac, ip_anycast_default_mac=ip_anycast_default_mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_anycast_gateway_mac_default_mac_update(self, rbridge_id=None, ip_anycast_gateway_mac=None, ip_anycast_default_mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip_anycast_gateway_mac (unicode):

			- ip_anycast_default_mac (YANGBool):
				yang info - Anycast gateway default MAC.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ip_anycast_gateway_mac=ip_anycast_gateway_mac, ip_anycast_default_mac=ip_anycast_default_mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_as_path_access_list_create(self, rbridge_id=None, access_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_list (name, seq_keyword, instance, ip_action, ip_reg_expr):
				name (unicode):
					length - [u'1..32']

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.as_path.access_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_as_path_access_list_delete(self, rbridge_id=None, access_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_list (name, seq_keyword, instance, ip_action, ip_reg_expr):
				name (unicode):
					length - [u'1..32']

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.as_path.access_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_as_path_access_list_update(self, rbridge_id=None, access_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_list (name, seq_keyword, instance, ip_action, ip_reg_expr):
				name (unicode):
					length - [u'1..32']

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.as_path.access_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_as_path_access_list_get(self, rbridge_id=None, access_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_list (name, seq_keyword, instance, ip_action, ip_reg_expr):
				name (unicode):
					length - [u'1..32']

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_reg_expr (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.as_path.access_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, access_list=access_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ip_community_list_extended_create(self, rbridge_id=None, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- extended (name, seq_keyword, instance, ip_action, ip_community_reg_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_community_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.community_list.extended', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_community_list_extended_delete(self, rbridge_id=None, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- extended (name, seq_keyword, instance, ip_action, ip_community_reg_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_community_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.community_list.extended', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_community_list_extended_update(self, rbridge_id=None, extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- extended (name, seq_keyword, instance, ip_action, ip_community_reg_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_community_reg_expr (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.community_list.extended', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_community_list_extended_get(self, rbridge_id=None, extended=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- extended (name, seq_keyword, instance, ip_action, ip_community_reg_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				ip_community_reg_expr (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.community_list.extended', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, extended=extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ip_community_list_standard_create(self, rbridge_id=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- standard (name, seq_keyword, instance, ip_action, std_community_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				std_community_expr (unicode):
					pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.community_list.standard', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_community_list_standard_delete(self, rbridge_id=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- standard (name, seq_keyword, instance, ip_action, std_community_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				std_community_expr (unicode):
					pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.community_list.standard', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_community_list_standard_update(self, rbridge_id=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- standard (name, seq_keyword, instance, ip_action, std_community_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				std_community_expr (unicode):
					pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.community_list.standard', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_community_list_standard_get(self, rbridge_id=None, standard=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- standard (name, seq_keyword, instance, ip_action, std_community_expr):
				name (unicode):

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				ip_action (unicode):
					enum - [u'receive', u'send']

				std_community_expr (unicode):
					pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.community_list.standard', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ip_dhcp_relay_information_update(self, rbridge_id=None, option=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- option (YANGBool):
				yang info - Configure DHCP Relay Information Option

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, option=option)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_dhcp_relay_information_option_update(self, rbridge_id=None, option=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- option (YANGBool):
				yang info - Configure DHCP Relay Information Option

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, option=option)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_extcommunity_list_create(self, rbridge_id=None, extcommunity_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- extcommunity_list (extcommunity_list_num, ext_community_action, ext_community_expr):
				extcommunity_list_num (int):
					range - ['0..65535']

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.extcommunity_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_regex, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_extcommunity_list_delete(self, rbridge_id=None, extcommunity_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- extcommunity_list (extcommunity_list_num, ext_community_action, ext_community_expr):
				extcommunity_list_num (int):
					range - ['0..65535']

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.extcommunity_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_regex, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_extcommunity_list_update(self, rbridge_id=None, extcommunity_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- extcommunity_list (extcommunity_list_num, ext_community_action, ext_community_expr):
				extcommunity_list_num (int):
					range - ['0..65535']

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.extcommunity_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_regex, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_extcommunity_list_get(self, rbridge_id=None, extcommunity_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- extcommunity_list (extcommunity_list_num, ext_community_action, ext_community_expr):
				extcommunity_list_num (int):
					range - ['0..65535']

				ext_community_action (unicode):
					enum - [u'receive', u'send']

				ext_community_expr (unicode):
					yang info - Ext-community-list
					pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.extcommunity_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_regex, ext_community_expr'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ip_import_routes_create(self, rbridge_id=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_import_routes_delete(self, rbridge_id=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_import_routes_get(self, rbridge_id=None, routes=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ip_load_sharing_update(self, rbridge_id=None, router_id=None, load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- router_id (unicode):
				yang info - Change the router ID already in use
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- load_sharing (long):
				yang info - Enable IP load sharing
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, router_id=router_id, load_sharing=load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_prefix_list_create(self, rbridge_id=None, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				prefix_ipp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				ge_ipp (long):
					yang info - Minimum IP prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IP prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_prefix_list_delete(self, rbridge_id=None, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				prefix_ipp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				ge_ipp (long):
					yang info - Minimum IP prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IP prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_prefix_list_update(self, rbridge_id=None, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				prefix_ipp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				ge_ipp (long):
					yang info - Minimum IP prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IP prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_prefix_list_get(self, rbridge_id=None, prefix_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				prefix_ipp (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				ge_ipp (long):
					yang info - Minimum IP prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IP prefix length.
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ip_receive_access_group_update(self, rbridge_id=None, ip_access_list=None, ip_direction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ip_access_list (unicode):
				yang info - ACL_NAME;; Access List Name (Max 63)
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- ip_direction (unicode):
				enum - [u'in']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.receive.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.receive.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.receive.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ip_access_list=ip_access_list, ip_direction=ip_direction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_route_create(self, rbridge_id=None, static_route_nh_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_route_delete(self, rbridge_id=None, static_route_nh_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_route_get(self, rbridge_id=None, static_route_nh_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ip_route_distance_update(self, rbridge_id=None, static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- static_route_nh (static_route_dest, static_route_next_hop):
				static_route_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- metric (long):
				yang info - Cost metric
				range - ['0..4294967295']

			- distance (long):
				yang info - Route distance
				range - ['0..4294967295']

			- tag (long):
				yang info - Tag value for this route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, static_route_nh=static_route_nh, metric=metric, distance=distance, tag=tag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_route_static_bfd_create(self, rbridge_id=None, bfd_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_route_static_bfd_delete(self, rbridge_id=None, bfd_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_route_static_bfd_get(self, rbridge_id=None, bfd_static_route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ip_route_static_bfd_holdover_interval_update(self, rbridge_id=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- holdover_interval (int):
				yang info - Holdover interval
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ip_route_static_bfd_interval_update(self, rbridge_id=None, bfd_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- interval (int):
				yang info - Transmit interval
				range - ['0..65535']

			- min_rx (int):
				yang info - Receive interval
				range - ['0..65535']

			- multiplier (int):
				yang info - Multiplier value
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_anycast_gateway_mac_update(self, rbridge_id=None, ipv6_anycast_gateway_mac=None, ipv6_anycast_default_mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipv6_anycast_gateway_mac (unicode):

			- ipv6_anycast_default_mac (YANGBool):
				yang info - Anycast gateway default MAC.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ipv6_anycast_gateway_mac=ipv6_anycast_gateway_mac, ipv6_anycast_default_mac=ipv6_anycast_default_mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_anycast_gateway_mac_default_mac_update(self, rbridge_id=None, ipv6_anycast_gateway_mac=None, ipv6_anycast_default_mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipv6_anycast_gateway_mac (unicode):

			- ipv6_anycast_default_mac (YANGBool):
				yang info - Anycast gateway default MAC.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ipv6_anycast_gateway_mac=ipv6_anycast_gateway_mac, ipv6_anycast_default_mac=ipv6_anycast_default_mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_import_routes_create(self, rbridge_id=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_import_routes_delete(self, rbridge_id=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_import_routes_get(self, rbridge_id=None, routes=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ipv6_nd_dad_update(self, rbridge_id=None, global_dad_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- global_dad_time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, global_dad_time=global_dad_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_nd_dad_time_update(self, rbridge_id=None, global_dad_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- global_dad_time (long):
				yang info - retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, global_dad_time=global_dad_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_prefix_list_create(self, rbridge_id=None, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				ipv6_prefix_ipp (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				ge_ipp (long):
					yang info - Minimum IPv6 prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IPv6 prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_prefix_list_delete(self, rbridge_id=None, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				ipv6_prefix_ipp (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				ge_ipp (long):
					yang info - Minimum IPv6 prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IPv6 prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_prefix_list_update(self, rbridge_id=None, prefix_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				ipv6_prefix_ipp (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				ge_ipp (long):
					yang info - Minimum IPv6 prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IPv6 prefix length.
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_prefix_list_get(self, rbridge_id=None, prefix_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- prefix_list (name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp):
				name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

				seq_keyword (unicode):
					enum - [u'seq']

				instance (int):
					range - ['0..65535']

				action_ipp (unicode):
					enum - [u'receive', u'send']

				ipv6_prefix_ipp (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				ge_ipp (long):
					yang info - Minimum IPv6 prefix length.
					range - ['0..4294967295']

				le_ipp (long):
					yang info - Maximum IPv6 prefix length.
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, prefix_list=prefix_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ipv6_protocol_update(self, rbridge_id=None, vrrp=None, vrrp_extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vrrp (YANGBool):
				yang info - Virtual Router Redundacy Protocol IPv6 (VRRPv3)

			- vrrp_extended (YANGBool):
				yang info - Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_protocol_vrrp_update(self, rbridge_id=None, vrrp=None, vrrp_extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vrrp (YANGBool):
				yang info - Virtual Router Redundacy Protocol IPv6 (VRRPv3)

			- vrrp_extended (YANGBool):
				yang info - Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_receive_access_group_update(self, rbridge_id=None, ipv6_access_list=None, ip_direction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipv6_access_list (unicode):
				yang info - ACL_NAME;; Access List Name (Max 63)
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- ip_direction (unicode):
				enum - [u'in']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ipv6_access_list=ipv6_access_list, ip_direction=ip_direction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_route_create(self, rbridge_id=None, route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- route (dest):
				dest (unicode):
					yang info - IPv6Address/prefix.;; Destination IPv6 address-prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_route_delete(self, rbridge_id=None, route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- route (dest):
				dest (unicode):
					yang info - IPv6Address/prefix.;; Destination IPv6 address-prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_route_update(self, rbridge_id=None, route=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- route (dest):
				dest (unicode):
					yang info - IPv6Address/prefix.;; Destination IPv6 address-prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- next_hop (unicode):
				yang info - IPv6 address.;; Next hop IPv6 address
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route=route, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_route_get(self, rbridge_id=None, route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- route (dest):
				dest (unicode):
					yang info - IPv6Address/prefix.;; Destination IPv6 address-prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route=route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ipv6_route_distance_update(self, rbridge_id=None, link_local_static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- link_local_static_route_nh (link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name):
				link_local_static_route_dest (unicode):
					yang info - A:B::C:D/LEN ;; Destination IPv6 Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				link_local_nexthop (unicode):
					yang info - A:B::C:D ;; Next hop IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				link_local_route_oif_type (unicode):
					yang info - Outgoing interface type
					enum - [u'management', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

				link_local_route_oif_name (unicode):
					length - [u'1..16']

		This Instance Arg(s):
			- metric (long):
				yang info - Cost metric
				range - ['0..4294967295']

			- distance (long):
				yang info - Route distance
				range - ['0..4294967295']

			- tag (long):
				yang info - Tag value for this route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, link_local_static_route_nh=link_local_static_route_nh, metric=metric, distance=distance, tag=tag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_route_static_bfd_create(self, rbridge_id=None, bfd_ipv6_link_local_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_route_static_bfd_delete(self, rbridge_id=None, bfd_ipv6_link_local_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_route_static_bfd_get(self, rbridge_id=None, bfd_ipv6_link_local_static_route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ipv6_route_static_bfd_holdover_interval_update(self, rbridge_id=None, ipv6_holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ipv6_holdover_interval (int):
				yang info - Holdover interval
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ipv6_holdover_interval=ipv6_holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_route_static_bfd_interval_update(self, rbridge_id=None, bfd_ipv6_link_local_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

				bfd_interface_name (unicode):
					length - [u'1..16']

		This Instance Arg(s):
			- interval (int):
				yang info - Transmit interval
				range - ['0..65535']

			- min_rx (int):
				yang info - Receive interval
				range - ['0..65535']

			- multiplier (int):
				yang info - Multiplier value
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_create(self, rbridge_id=None, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_delete(self, rbridge_id=None, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_update(self, rbridge_id=None, ospf=None, database_overflow_interval=None, default_metric=None, default_passive_interface=None, external_lsdb_limit=None, key_add_remove_interval=None, key_rollover_interval=None, log_status_change=None, global_metric_type=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- database_overflow_interval (long):
				yang info - Set how often the router checks whether OSPF external LSDB overflow is eliminated.
				range - ['0..4294967295']

			- default_metric (long):
				yang info - Set OSPF default metric
				range - ['0..4294967295']

			- default_passive_interface (YANGBool):
				yang info - Set OSPF interface passive

			- external_lsdb_limit (long):
				yang info - Set maximum number of external LSAs.
				range - ['0..4294967295']

			- key_add_remove_interval (long):
				yang info - Configure OSPFv3 authentication key add/remove interval
				range - ['0..4294967295']

			- key_rollover_interval (long):
				yang info - Configure OSPFv3 authentication key rollover interval
				range - ['0..4294967295']

			- log_status_change (YANGBool):
				yang info - Log status change

			- global_metric_type (unicode):
				yang info - OSPFv3 metric type for redistributed routes
				enum - [u'type1', u'type2']

			- nonstop_routing (YANGBool):
				yang info - Enable nonstop-routing capability

			- maximum_paths (long):
				yang info - Set the maximum number of paths to a destination.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval, default_metric=default_metric, default_passive_interface=default_passive_interface, external_lsdb_limit=external_lsdb_limit, key_add_remove_interval=key_add_remove_interval, key_rollover_interval=key_rollover_interval, log_status_change=log_status_change, global_metric_type=global_metric_type, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_get(self, rbridge_id=None, ospf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_create(self, rbridge_id=None, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_delete(self, rbridge_id=None, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_update(self, rbridge_id=None, ospf=None, area=None, normal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- normal (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_get(self, rbridge_id=None, ospf=None, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_authentication_update(self, rbridge_id=None, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_authentication_ah_update(self, rbridge_id=None, ospf=None, area=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_nssa_update(self, rbridge_id=None, ospf=None, area=None, nssa_area_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- nssa_area_metric (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_nssa_default_information_originate_update(self, rbridge_id=None, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'area_default_information_originate_metric, area_default_information_originate_metric_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_nssa_default_information_originate_metric_update(self, rbridge_id=None, ospf=None, area=None, area_default_information_originate_metric=None, area_default_information_originate_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- area_default_information_originate_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- area_default_information_originate_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric, area_default_information_originate_metric_type=area_default_information_originate_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_nssa_no_redistribution_update(self, rbridge_id=None, ospf=None, area=None, no_redistribution=None, nssa_area_no_summary=None, translator_always=None, translator_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- no_redistribution (YANGBool):
				yang info - Do not send redistributed LSA into nssa area

			- nssa_area_no_summary (YANGBool):
				yang info - Do not send summary LSA into nssa area

			- translator_always (YANGBool):
				yang info - Set nssa translator role

			- translator_interval (long):
				yang info - Set nssa translator stability interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, no_redistribution=no_redistribution, nssa_area_no_summary=nssa_area_no_summary, translator_always=translator_always, translator_interval=translator_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_range_create(self, rbridge_id=None, ospf=None, area=None, area_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- area_range (range_address, range_effect, range_cost):
				range_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 address to match
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				range_effect (unicode):
					yang info - Advertise/Do not advertise this type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_range_delete(self, rbridge_id=None, ospf=None, area=None, area_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- area_range (range_address, range_effect, range_cost):
				range_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 address to match
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				range_effect (unicode):
					yang info - Advertise/Do not advertise this type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_range_update(self, rbridge_id=None, ospf=None, area=None, area_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- area_range (range_address, range_effect, range_cost):
				range_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 address to match
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				range_effect (unicode):
					yang info - Advertise/Do not advertise this type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_range_get(self, rbridge_id=None, ospf=None, area=None, area_range=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- area_range (range_address, range_effect, range_cost):
				range_address (unicode):
					yang info - A:B::C:D/LEN;; IPv6 address to match
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				range_effect (unicode):
					yang info - Advertise/Do not advertise this type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_stub_update(self, rbridge_id=None, ospf=None, area=None, stub_area_no_summary=None, stub_area_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- stub_area_no_summary (YANGBool):
				yang info - Do not send summary LSA into stub area

			- stub_area_metric (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary, stub_area_metric=stub_area_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_virtual_link_create(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_virtual_link_delete(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_virtual_link_get(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_ah_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- spi (long):
				yang info - Security Parameter Index
				range - ['0..4294967295']

			- ah (unicode):
				yang info - Specify the authentication algorithm to use
				enum - [u'hmac-sha1', u'hmac-md5']

			- ah_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- ah_key (unicode):
				yang info - Key used for ah
				length - [u'0..80']

			- esp (unicode):
				yang info - Specify Encapsulating Security Payload (ESP)
				enum - [u'NULL']

			- esp_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_key (unicode):
				yang info - Hexadecimal key string for ESP
				length - [u'0..80']

			- esp_auth (unicode):
				yang info - Use Authentication Algorithm
				enum - [u'hmac-sha1', u'hmac-md5']

			- esp_auth_no_encrypt (YANGBool):
				yang info - Do not encrypt the key 

			- esp_auth_key (unicode):
				yang info - Hexadecimal key string for authentication algorithm
				length - [u'0..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_area_virtual_link_dead_interval_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virtual_link_neighbor):
				virtual_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_jitter (long):
				yang info - Allowed jitter between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state advertisements.
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_auto_cost_update(self, rbridge_id=None, ospf=None, reference_bandwidth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- reference_bandwidth (long):
				yang info - Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, reference_bandwidth=reference_bandwidth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_auto_cost_reference_bandwidth_update(self, rbridge_id=None, ospf=None, reference_bandwidth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- reference_bandwidth (long):
				yang info - Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, reference_bandwidth=reference_bandwidth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_bfd_update(self, rbridge_id=None, ospf=None, bfd_enable=None, bfd_holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- bfd_enable (YANGBool):

			- bfd_holdover_interval (long):
				yang info - The time by which the BFD session DOWN notification to Ospf is delayed
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable, bfd_holdover_interval=bfd_holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_default_information_originate_update(self, rbridge_id=None, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'global_default_information_originate_always, global_default_information_originate_metric, global_default_information_originate_metric_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_default_information_originate_always_update(self, rbridge_id=None, ospf=None, global_default_information_originate_always=None, global_default_information_originate_metric=None, global_default_information_originate_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- global_default_information_originate_always (YANGBool):
				yang info - Always advertise default route

			- global_default_information_originate_metric (long):
				yang info - OSPF metric for default route
				range - ['0..4294967295']

			- global_default_information_originate_metric_type (unicode):
				yang info - OSPF metric type for default route
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always, global_default_information_originate_metric=global_default_information_originate_metric, global_default_information_originate_metric_type=global_default_information_originate_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_distance_create(self, rbridge_id=None, ospf=None, distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propagation
					enum - [u'intra-area', u'external', u'inter-area']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_distance_delete(self, rbridge_id=None, ospf=None, distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propagation
					enum - [u'intra-area', u'external', u'inter-area']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_distance_update(self, rbridge_id=None, ospf=None, distance=None, distance_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propagation
					enum - [u'intra-area', u'external', u'inter-area']

		This Instance Arg(s):
			- distance_value (long):
				yang info - The distance for a given type of route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distance=distance, distance_value=distance_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_distance_get(self, rbridge_id=None, ospf=None, distance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propagation
					enum - [u'intra-area', u'external', u'inter-area']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_distribute_list_prefix_list_update(self, rbridge_id=None, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_prefix_list_name, distribute_list_prefix_list_in'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_distribute_list_prefix_list_in_update(self, rbridge_id=None, ospf=None, distribute_list_prefix_list_name=None, distribute_list_prefix_list_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- distribute_list_prefix_list_name (unicode):
				yang info - Prefix list  name.
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- distribute_list_prefix_list_in (YANGBool):
				yang info - Inbound Filtering

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name, distribute_list_prefix_list_in=distribute_list_prefix_list_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_distribute_list_route_map_update(self, rbridge_id=None, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_route_map_name, distribute_list_route_map_in'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_distribute_list_route_map_in_update(self, rbridge_id=None, ospf=None, distribute_list_route_map_name=None, distribute_list_route_map_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- distribute_list_route_map_name (unicode):
				yang info - Route-map name.
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- distribute_list_route_map_in (YANGBool):
				yang info - Inbound Filtering

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name, distribute_list_route_map_in=distribute_list_route_map_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_graceful_restart_helper_update(self, rbridge_id=None, ospf=None, graceful_restart_helper_disable=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- graceful_restart_helper_disable (YANGBool):
				yang info - Disable graceful restart helper capability

			- graceful_restart_helper_strict_lsa_checking (YANGBool):
				yang info - Set strict LSA checking

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_graceful_restart_helper_disable_update(self, rbridge_id=None, ospf=None, graceful_restart_helper_disable=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- graceful_restart_helper_disable (YANGBool):
				yang info - Disable graceful restart helper capability

			- graceful_restart_helper_strict_lsa_checking (YANGBool):
				yang info - Set strict LSA checking

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_log_update(self, rbridge_id=None, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_all (YANGBool):
				yang info - Logging everything

			- log_database (YANGBool):
				yang info - Logging LSA activity

			- log_retransmit (YANGBool):
				yang info - Logging retransmit activity

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_log_adjacency_update(self, rbridge_id=None, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_adjacency_dr_only (YANGBool):
				yang info - Logging only Designated Router interfaces' adjacency changes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_log_adjacency_dr_only_update(self, rbridge_id=None, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_adjacency_dr_only (YANGBool):
				yang info - Logging only Designated Router interfaces' adjacency changes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_log_all_update(self, rbridge_id=None, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_all (YANGBool):
				yang info - Logging everything

			- log_database (YANGBool):
				yang info - Logging LSA activity

			- log_retransmit (YANGBool):
				yang info - Logging retransmit activity

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_log_bad_packet_update(self, rbridge_id=None, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_bad_packet_checksum (YANGBool):
				yang info - Logging bad checksum packets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_log_bad_packet_checksum_update(self, rbridge_id=None, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- log_bad_packet_checksum (YANGBool):
				yang info - Logging bad checksum packets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_update(self, rbridge_id=None, ospf=None, all_lsas=None, include_stub=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- all_lsas (YANGBool):
				yang info - Replace Metric in all External and Summary LSAs with default max metric value

			- include_stub (YANGBool):
				yang info - Configure include-stub for max-metric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_lsas=all_lsas, include_stub=include_stub)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_all_lsas_update(self, rbridge_id=None, ospf=None, all_lsas=None, include_stub=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- all_lsas (YANGBool):
				yang info - Replace Metric in all External and Summary LSAs with default max metric value

			- include_stub (YANGBool):
				yang info - Configure include-stub for max-metric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_lsas=all_lsas, include_stub=include_stub)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_external_lsa_update(self, rbridge_id=None, ospf=None, external_lsa_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- external_lsa_value (long):
				yang info - Indicates the metric of all external type 5 and type 7 LSA's
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, external_lsa_value=external_lsa_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_on_startup_update(self, rbridge_id=None, ospf=None, on_startup_time=None, wait_for_bgp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- on_startup_time (long):
				yang info - DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
				range - ['0..4294967295']

			- wait_for_bgp (YANGBool):
				yang info - Advertise maximum metric until BGP has converged or 600 seconds

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, on_startup_time=on_startup_time, wait_for_bgp=wait_for_bgp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_summary_lsa_update(self, rbridge_id=None, ospf=None, summary_lsa_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- summary_lsa_value (long):
				yang info - Metric of all summary type 3 and type 4 LSAs
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_value=summary_lsa_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_redistribute_bgp_update(self, rbridge_id=None, ospf=None, bgp_route_map=None, redistribute_bgp_metric=None, redistribute_bgp_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_bgp_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_bgp_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map, redistribute_bgp_metric=redistribute_bgp_metric, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_redistribute_bgp_route_map_update(self, rbridge_id=None, ospf=None, bgp_route_map=None, redistribute_bgp_metric=None, redistribute_bgp_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_bgp_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_bgp_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map, redistribute_bgp_metric=redistribute_bgp_metric, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_redistribute_connected_update(self, rbridge_id=None, ospf=None, connected_route_map=None, redistribute_connected_metric=None, redistribute_connected_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- connected_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_connected_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_connected_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map, redistribute_connected_metric=redistribute_connected_metric, redistribute_connected_metric_type=redistribute_connected_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_redistribute_connected_route_map_update(self, rbridge_id=None, ospf=None, connected_route_map=None, redistribute_connected_metric=None, redistribute_connected_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- connected_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_connected_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_connected_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map, redistribute_connected_metric=redistribute_connected_metric, redistribute_connected_metric_type=redistribute_connected_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_redistribute_ospf_update(self, rbridge_id=None, ospf=None, ospf_route_map=None, redistribute_ospf_metric=None, redistribute_ospf_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- ospf_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_ospf_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_ospf_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map, redistribute_ospf_metric=redistribute_ospf_metric, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_redistribute_ospf_route_map_update(self, rbridge_id=None, ospf=None, ospf_route_map=None, redistribute_ospf_metric=None, redistribute_ospf_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- ospf_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_ospf_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_ospf_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map, redistribute_ospf_metric=redistribute_ospf_metric, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_redistribute_static_update(self, rbridge_id=None, ospf=None, static_route_map=None, redistribute_static_metric=None, redistribute_static_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- static_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_static_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_static_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map, redistribute_static_metric=redistribute_static_metric, redistribute_static_metric_type=redistribute_static_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_redistribute_static_metric_update(self, rbridge_id=None, ospf=None, static_route_map=None, redistribute_static_metric=None, redistribute_static_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- static_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- redistribute_static_metric (long):
				yang info - Route metric
				range - ['0..4294967295']

			- redistribute_static_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map, redistribute_static_metric=redistribute_static_metric, redistribute_static_metric_type=redistribute_static_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_summary_address_create(self, rbridge_id=None, ospf=None, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- summary_address (summary_address_value):
				summary_address_value (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_address_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_summary_address_delete(self, rbridge_id=None, ospf=None, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- summary_address (summary_address_value):
				summary_address_value (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_address_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_summary_address_get(self, rbridge_id=None, ospf=None, summary_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- summary_address (summary_address_value):
				summary_address_value (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_address_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_timers_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- lsa_group_pacing (long):
				yang info - OSPFv3 LSA group pacing timer
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_timers_lsa_group_pacing_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- lsa_group_pacing (long):
				yang info - OSPFv3 LSA group pacing timer
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ipv6_router_ospf_timers_spf_update(self, rbridge_id=None, ospf=None, spf_delay=None, spf_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - OSPF instance for the VRF 
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- spf_delay (long):
				range - ['0..4294967295']

			- spf_hold_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, spf_delay=spf_delay, spf_hold_time=spf_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_linecard_create(self, rbridge_id=None, linecards=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- linecards (linecardName, linecardType):
				linecardName (unicode):
					pattern - ([1-9]|[1][0-6])

				linecardType (unicode):
					enum - [u'LC27X40G', u'LC48X10G', u'LC6X100G', u'LC48X10GT', u'LC12X40G', u'LC48X1G']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, linecards=linecards)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_linecard_delete(self, rbridge_id=None, linecards=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- linecards (linecardName, linecardType):
				linecardName (unicode):
					pattern - ([1-9]|[1][0-6])

				linecardType (unicode):
					enum - [u'LC27X40G', u'LC48X10G', u'LC6X100G', u'LC48X10GT', u'LC12X40G', u'LC48X1G']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, linecards=linecards)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_linecard_update(self, rbridge_id=None, linecards=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- linecards (linecardName, linecardType):
				linecardName (unicode):
					pattern - ([1-9]|[1][0-6])

				linecardType (unicode):
					enum - [u'LC27X40G', u'LC48X10G', u'LC6X100G', u'LC48X10GT', u'LC12X40G', u'LC48X1G']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, linecards=linecards)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_linecard_get(self, rbridge_id=None, linecards=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- linecards (linecardName, linecardType):
				linecardName (unicode):
					pattern - ([1-9]|[1][0-6])

				linecardType (unicode):
					enum - [u'LC27X40G', u'LC48X10G', u'LC6X100G', u'LC48X10GT', u'LC12X40G', u'LC48X1G']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, linecards=linecards)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_logical_chassis_update(self, rbridge_id=None, principal_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- principal_priority (long):
				yang info - Syntax: principal-priority <priority-value <1-128>>
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.logical_chassis', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.logical_chassis', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.logical_chassis', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.logical_chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, principal_priority=principal_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_logical_chassis_principal_priority_update(self, rbridge_id=None, principal_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- principal_priority (long):
				yang info - Syntax: principal-priority <priority-value <1-128>>
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.logical_chassis', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.logical_chassis', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.logical_chassis', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.logical_chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, principal_priority=principal_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_email_create(self, rbridge_id=None, email_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for MAPS alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.email.email_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.email.email_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.email.email_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.email.email_list', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_email_delete(self, rbridge_id=None, email_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for MAPS alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.email.email_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.email.email_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.email.email_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.email.email_list', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_email_get(self, rbridge_id=None, email_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for MAPS alerts

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.email.email_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.email.email_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.email.email_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.email.email_list', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_maps_enable_update(self, rbridge_id=None, policy=None, actions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- policy (unicode):
				yang info - Configure MAPS policy name

			- actions (unicode):
				yang info - Configure MAPS actions
				enum - [u'SW_CRITICAL', u'NONE', u'SFP_MARGINAL', u'FENCE', u'SNMP', u'EMAIL', u'RASLOG', u'SW_MARGINAL']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.enable', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.enable', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.enable', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.enable', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, actions=actions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_enable_actions_update(self, rbridge_id=None, policy=None, actions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- policy (unicode):
				yang info - Configure MAPS policy name

			- actions (unicode):
				yang info - Configure MAPS actions
				enum - [u'SW_CRITICAL', u'NONE', u'SFP_MARGINAL', u'FENCE', u'SNMP', u'EMAIL', u'RASLOG', u'SW_MARGINAL']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.enable', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.enable', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.enable', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.enable', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, actions=actions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_group_create(self, rbridge_id=None, logicalgroup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- logicalgroup (logicalgroupname, elementtype, members):
				logicalgroupname (unicode):
					yang info - Configure group name

				elementtype (unicode):
					enum - [u'interface', u'sfp']

				members (unicode):
					yang info - Configure memberlist
					length - [u'1..253']
					pattern - (((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'logicalgroup', 'keyval': 'logicalgroupname', 'extra_keyval': 'logicalgroupname, elementtype, members'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logicalgroup=logicalgroup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_group_delete(self, rbridge_id=None, logicalgroup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- logicalgroup (logicalgroupname, elementtype, members):
				logicalgroupname (unicode):
					yang info - Configure group name

				elementtype (unicode):
					enum - [u'interface', u'sfp']

				members (unicode):
					yang info - Configure memberlist
					length - [u'1..253']
					pattern - (((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'logicalgroup', 'keyval': 'logicalgroupname', 'extra_keyval': 'logicalgroupname, elementtype, members'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logicalgroup=logicalgroup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_group_update(self, rbridge_id=None, logicalgroup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- logicalgroup (logicalgroupname, elementtype, members):
				logicalgroupname (unicode):
					yang info - Configure group name

				elementtype (unicode):
					enum - [u'interface', u'sfp']

				members (unicode):
					yang info - Configure memberlist
					length - [u'1..253']
					pattern - (((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'logicalgroup', 'keyval': 'logicalgroupname', 'extra_keyval': 'logicalgroupname, elementtype, members'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logicalgroup=logicalgroup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_group_get(self, rbridge_id=None, logicalgroup=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- logicalgroup (logicalgroupname, elementtype, members):
				logicalgroupname (unicode):
					yang info - Configure group name

				elementtype (unicode):
					enum - [u'interface', u'sfp']

				members (unicode):
					yang info - Configure memberlist
					length - [u'1..253']
					pattern - (((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*))*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'logicalgroup', 'keyval': 'logicalgroupname', 'extra_keyval': 'logicalgroupname, elementtype, members'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logicalgroup=logicalgroup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_maps_policy_create(self, rbridge_id=None, policy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- policy (policyname):
				policyname (unicode):
					yang info - Configure policy name

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.policy', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'policy', 'keyval': 'policyname', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_policy_delete(self, rbridge_id=None, policy=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- policy (policyname):
				policyname (unicode):
					yang info - Configure policy name

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.policy', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'policy', 'keyval': 'policyname', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_policy_get(self, rbridge_id=None, policy=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- policy (policyname):
				policyname (unicode):
					yang info - Configure policy name

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.policy', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'policy', 'keyval': 'policyname', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_maps_policy_rule_create(self, rbridge_id=None, policy=None, ruleaction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policyname):
				policyname (unicode):
					yang info - Configure policy name

		This Instance Keyword Arg Tuple:
			- ruleaction (policyrule, policyaction):
				policyrule (unicode):
					yang info - rule name

				policyaction (unicode):
					yang info - rule actions
					enum - [u'NONE', u'SNMP', u'RASLOG', u'SW_CRITICAL', u'SFP_MARGINAL', u'EMAIL', u'SW_MARGINAL']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.maps.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', u'policy')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ruleaction', 'keyval': 'policyrule', 'extra_keyval': 'policyrule, policyaction'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, ruleaction=ruleaction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_policy_rule_delete(self, rbridge_id=None, policy=None, ruleaction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policyname):
				policyname (unicode):
					yang info - Configure policy name

		This Instance Keyword Arg Tuple:
			- ruleaction (policyrule, policyaction):
				policyrule (unicode):
					yang info - rule name

				policyaction (unicode):
					yang info - rule actions
					enum - [u'NONE', u'SNMP', u'RASLOG', u'SW_CRITICAL', u'SFP_MARGINAL', u'EMAIL', u'SW_MARGINAL']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.maps.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', u'policy')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ruleaction', 'keyval': 'policyrule', 'extra_keyval': 'policyrule, policyaction'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, ruleaction=ruleaction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_policy_rule_update(self, rbridge_id=None, policy=None, ruleaction=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policyname):
				policyname (unicode):
					yang info - Configure policy name

		This Instance Keyword Arg Tuple:
			- ruleaction (policyrule, policyaction):
				policyrule (unicode):
					yang info - rule name

				policyaction (unicode):
					yang info - rule actions
					enum - [u'NONE', u'SNMP', u'RASLOG', u'SW_CRITICAL', u'SFP_MARGINAL', u'EMAIL', u'SW_MARGINAL']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.maps.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', u'policy')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ruleaction', 'keyval': 'policyrule', 'extra_keyval': 'policyrule, policyaction'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, ruleaction=ruleaction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_policy_rule_get(self, rbridge_id=None, policy=None, ruleaction=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policyname):
				policyname (unicode):
					yang info - Configure policy name

		This Instance Keyword Arg Tuple:
			- ruleaction (policyrule, policyaction):
				policyrule (unicode):
					yang info - rule name

				policyaction (unicode):
					yang info - rule actions
					enum - [u'NONE', u'SNMP', u'RASLOG', u'SW_CRITICAL', u'SFP_MARGINAL', u'EMAIL', u'SW_MARGINAL']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.maps.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', u'policy')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ruleaction', 'keyval': 'policyrule', 'extra_keyval': 'policyrule, policyaction'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, ruleaction=ruleaction)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_maps_relay_create(self, rbridge_id=None, relay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- relay (hostip):
				hostip (unicode):
					yang info - <IP:Address> IP address of Relay Host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.relay', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.relay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.relay', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'hostip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, relay=relay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_relay_delete(self, rbridge_id=None, relay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- relay (hostip):
				hostip (unicode):
					yang info - <IP:Address> IP address of Relay Host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.relay', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.relay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.relay', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'hostip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, relay=relay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_relay_update(self, rbridge_id=None, relay=None, domainname=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- relay (hostip):
				hostip (unicode):
					yang info - <IP:Address> IP address of Relay Host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- domainname (unicode):
				yang info - Domain name server

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.relay', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.relay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.relay', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'hostip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, relay=relay, domainname=domainname)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_relay_get(self, rbridge_id=None, relay=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- relay (hostip):
				hostip (unicode):
					yang info - <IP:Address> IP address of Relay Host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.relay', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.relay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.relay', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'hostip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, relay=relay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_maps_rule_create(self, rbridge_id=None, rule=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rule (rulename, targetgroup, monitor, timebase, op, threshold):
				rulename (unicode):
					yang info - Configure rule name

				targetgroup (unicode):
					yang info - target group for rule

				monitor (unicode):
					enum - [u'MEMORY_USAGE', u'FLASH_USAGE', u'HA_SYNC', u'BAD_PWR', u'ETH_MGMT_PORT_STATE', u'BAD_FAN', u'CPU', u'SFP_TEMP', u'SEC_TELNET', u'TXP', u'TEMP', u'RX_SYM_ERR', u'CRCALN', u'VOLTAGE', u'SFP_STATE', u'WWN_DOWN', u'FAN_STATE', u'CURRENT', u'RX_ABN_FRAME', u'RXP', u'FAULTY_BLADE', u'WWN', u'BAD_TEMP', u'PS_STATE', u'SEC_LV', u'BLADE_STATE', u'DOWN_SFM']

				timebase (unicode):
					enum - [u'none', u'day', u'hour', u'min']

				op (unicode):
					enum - [u'gt', u'lt', u'le', u'eq', u'ge']

				threshold (unicode):
					yang info - threshold value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.rule', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': 'rulename, targetgroup, monitor, timebase, op, threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_rule_delete(self, rbridge_id=None, rule=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rule (rulename, targetgroup, monitor, timebase, op, threshold):
				rulename (unicode):
					yang info - Configure rule name

				targetgroup (unicode):
					yang info - target group for rule

				monitor (unicode):
					enum - [u'MEMORY_USAGE', u'FLASH_USAGE', u'HA_SYNC', u'BAD_PWR', u'ETH_MGMT_PORT_STATE', u'BAD_FAN', u'CPU', u'SFP_TEMP', u'SEC_TELNET', u'TXP', u'TEMP', u'RX_SYM_ERR', u'CRCALN', u'VOLTAGE', u'SFP_STATE', u'WWN_DOWN', u'FAN_STATE', u'CURRENT', u'RX_ABN_FRAME', u'RXP', u'FAULTY_BLADE', u'WWN', u'BAD_TEMP', u'PS_STATE', u'SEC_LV', u'BLADE_STATE', u'DOWN_SFM']

				timebase (unicode):
					enum - [u'none', u'day', u'hour', u'min']

				op (unicode):
					enum - [u'gt', u'lt', u'le', u'eq', u'ge']

				threshold (unicode):
					yang info - threshold value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.rule', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': 'rulename, targetgroup, monitor, timebase, op, threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_rule_update(self, rbridge_id=None, rule=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rule (rulename, targetgroup, monitor, timebase, op, threshold):
				rulename (unicode):
					yang info - Configure rule name

				targetgroup (unicode):
					yang info - target group for rule

				monitor (unicode):
					enum - [u'MEMORY_USAGE', u'FLASH_USAGE', u'HA_SYNC', u'BAD_PWR', u'ETH_MGMT_PORT_STATE', u'BAD_FAN', u'CPU', u'SFP_TEMP', u'SEC_TELNET', u'TXP', u'TEMP', u'RX_SYM_ERR', u'CRCALN', u'VOLTAGE', u'SFP_STATE', u'WWN_DOWN', u'FAN_STATE', u'CURRENT', u'RX_ABN_FRAME', u'RXP', u'FAULTY_BLADE', u'WWN', u'BAD_TEMP', u'PS_STATE', u'SEC_LV', u'BLADE_STATE', u'DOWN_SFM']

				timebase (unicode):
					enum - [u'none', u'day', u'hour', u'min']

				op (unicode):
					enum - [u'gt', u'lt', u'le', u'eq', u'ge']

				threshold (unicode):
					yang info - threshold value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.rule', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': 'rulename, targetgroup, monitor, timebase, op, threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_maps_rule_get(self, rbridge_id=None, rule=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rule (rulename, targetgroup, monitor, timebase, op, threshold):
				rulename (unicode):
					yang info - Configure rule name

				targetgroup (unicode):
					yang info - target group for rule

				monitor (unicode):
					enum - [u'MEMORY_USAGE', u'FLASH_USAGE', u'HA_SYNC', u'BAD_PWR', u'ETH_MGMT_PORT_STATE', u'BAD_FAN', u'CPU', u'SFP_TEMP', u'SEC_TELNET', u'TXP', u'TEMP', u'RX_SYM_ERR', u'CRCALN', u'VOLTAGE', u'SFP_STATE', u'WWN_DOWN', u'FAN_STATE', u'CURRENT', u'RX_ABN_FRAME', u'RXP', u'FAULTY_BLADE', u'WWN', u'BAD_TEMP', u'PS_STATE', u'SEC_LV', u'BLADE_STATE', u'DOWN_SFM']

				timebase (unicode):
					enum - [u'none', u'day', u'hour', u'min']

				op (unicode):
					enum - [u'gt', u'lt', u'le', u'eq', u'ge']

				threshold (unicode):
					yang info - threshold value

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.rule', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': 'rulename, targetgroup, monitor, timebase, op, threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_create(self, rbridge_id=None, logical_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'logical_instance', 'keyval': 'instance_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_delete(self, rbridge_id=None, logical_instance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'logical_instance', 'keyval': 'instance_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_update(self, rbridge_id=None, logical_instance=None, default_forwarding_action=None, activate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- default_forwarding_action (unicode):
				yang info - Default MISS behavior for this logical instance
				enum - [u'send-to-controller', u'drop']

			- activate (YANGBool):
				yang info - Activate this logical instance

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'logical_instance', 'keyval': 'instance_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance, default_forwarding_action=default_forwarding_action, activate=activate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_get(self, rbridge_id=None, logical_instance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'logical_instance', 'keyval': 'instance_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_controller_create(self, rbridge_id=None, logical_instance=None, controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- controller (controller_name):
				controller_name (unicode):
					yang info - OpenFlow controller name
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', u'logical_instance')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'controller_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance, controller=controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_controller_delete(self, rbridge_id=None, logical_instance=None, controller=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- controller (controller_name):
				controller_name (unicode):
					yang info - OpenFlow controller name
					pattern - [-_a-zA-Z0-9]{1,32}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', u'logical_instance')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'controller_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance, controller=controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_controller_get(self, rbridge_id=None, logical_instance=None, controller=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- controller (controller_name):
				controller_name (unicode):
					yang info - OpenFlow controller name
					pattern - [-_a-zA-Z0-9]{1,32}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', u'logical_instance')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'controller_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance, controller=controller)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_passive_no_ssl_update(self, rbridge_id=None, logical_instance=None, passive_controller_flag=None, passive_controller_ip_address=None, passive_controller_port=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- passive_controller_flag (YANGBool):

			- passive_controller_ip_address (unicode):
				yang info - IP address of OpenFlow controller
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- passive_controller_port (long):
				yang info - Passive controller port
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_flag=passive_controller_flag, passive_controller_ip_address=passive_controller_ip_address, passive_controller_port=passive_controller_port)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_version_create(self, rbridge_id=None, logical_instance=None, version=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- version (version_name):
				version_name (unicode):
					enum - [u'ofv130']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', u'logical_instance')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'version', 'keyval': 'version_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance, version=version)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_version_delete(self, rbridge_id=None, logical_instance=None, version=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- version (version_name):
				version_name (unicode):
					enum - [u'ofv130']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', u'logical_instance')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'version', 'keyval': 'version_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance, version=version)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_openflow_logical_instance_version_get(self, rbridge_id=None, logical_instance=None, version=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- logical_instance (instance_id):
				instance_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- version (version_name):
				version_name (unicode):
					enum - [u'ofv130']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', u'logical_instance')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'version', 'keyval': 'version_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance, version=version)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_protocol_update(self, rbridge_id=None, vrrp=None, vrrp_extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vrrp (YANGBool):
				yang info - Virtual Router Redundacy Protocol (VRRP)

			- vrrp_extended (YANGBool):
				yang info - Virtual Router Redundacy Protocol Extended (VRRP-E)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_protocol_vrrp_update(self, rbridge_id=None, vrrp=None, vrrp_extended=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vrrp (YANGBool):
				yang info - Virtual Router Redundacy Protocol (VRRP)

			- vrrp_extended (YANGBool):
				yang info - Virtual Router Redundacy Protocol Extended (VRRP-E)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_qos_rcv_queue_update(self, rbridge_id=None, rcv_queue_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rcv_queue_limit (long):
				yang info - Configure qos ingress queue limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.rcv_queue', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rcv_queue_limit=rcv_queue_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_qos_rcv_queue_limit_update(self, rbridge_id=None, rcv_queue_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rcv_queue_limit (long):
				yang info - Configure qos ingress queue limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.rcv_queue', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rcv_queue_limit=rcv_queue_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_qos_rcv_queue_multicast_update(self, rbridge_id=None, rx_queue_bum_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rx_queue_bum_mode (unicode):
				enum - [u'cut-through']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rx_queue_bum_mode=rx_queue_bum_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_qos_rcv_queue_multicast_mode_update(self, rbridge_id=None, rx_queue_bum_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rx_queue_bum_mode (unicode):
				enum - [u'cut-through']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rx_queue_bum_mode=rx_queue_bum_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_qos_tx_queue_update(self, rbridge_id=None, tx_queue_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- tx_queue_limit (long):
				yang info - Configure qos egress queue limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.tx_queue', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.tx_queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.tx_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, tx_queue_limit=tx_queue_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_qos_tx_queue_limit_update(self, rbridge_id=None, tx_queue_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- tx_queue_limit (long):
				yang info - Configure qos egress queue limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.tx_queue', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.tx_queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.tx_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, tx_queue_limit=tx_queue_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_resource_monitor_cpu_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable_cpu, threshold_cpu, action_cpu, sample_rate_cpu, logging_rate_cpu, grace_period_cpu, offset_cpu'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_resource_monitor_cpu_action_update(self, rbridge_id=None, enable_cpu=None, threshold_cpu=None, action_cpu=None, sample_rate_cpu=None, logging_rate_cpu=None, grace_period_cpu=None, offset_cpu=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable_cpu (YANGBool):
				yang info - Enable monitoring CPU usage

			- threshold_cpu (long):
				yang info - Threshold for high CPU usage
				range - ['0..4294967295']

			- action_cpu (unicode):
				yang info - Action to take when CPU usage exceeds threshold
				enum - [u'raslog']

			- sample_rate_cpu (long):
				yang info - Sampling rate for CPU usage monitoring
				range - ['0..4294967295']

			- logging_rate_cpu (long):
				yang info - Logging rate for CPU usage monitoring
				range - ['0..4294967295']

			- grace_period_cpu (long):
				yang info - Grace period after CPU usage threshold exceeded
				range - ['0..4294967295']

			- offset_cpu (long):
				yang info - Offset to CPU threshold for testing
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable_cpu=enable_cpu, threshold_cpu=threshold_cpu, action_cpu=action_cpu, sample_rate_cpu=sample_rate_cpu, logging_rate_cpu=logging_rate_cpu, grace_period_cpu=grace_period_cpu, offset_cpu=offset_cpu)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_resource_monitor_memory_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable_memory, threshold_memory, action_memory, sample_rate_memory, logging_rate_memory, grace_period_memory, offset_memory'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_resource_monitor_memory_action_update(self, rbridge_id=None, enable_memory=None, threshold_memory=None, action_memory=None, sample_rate_memory=None, logging_rate_memory=None, grace_period_memory=None, offset_memory=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable_memory (YANGBool):
				yang info - Enable monitoring memory usage

			- threshold_memory (long):
				yang info - Threshold for free low memory
				range - ['0..4294967295']

			- action_memory (unicode):
				yang info - Action to take when memory usage exceeds threshold
				enum - [u'raslog']

			- sample_rate_memory (long):
				yang info - Sampling rate for memory usage monitoring
				range - ['0..4294967295']

			- logging_rate_memory (long):
				yang info - Logging rate for CPU usage monitoring
				range - ['0..4294967295']

			- grace_period_memory (long):
				yang info - Grace period after memory usage threshold exceeded
				range - ['0..4294967295']

			- offset_memory (long):
				yang info - Offset to memory threshold for testing
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable_memory=enable_memory, threshold_memory=threshold_memory, action_memory=action_memory, sample_rate_memory=sample_rate_memory, logging_rate_memory=logging_rate_memory, grace_period_memory=grace_period_memory, offset_memory=offset_memory)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_resource_monitor_process_memory_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.process.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable_process, thresh_mem_alarm, thresh_mem_critic'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_resource_monitor_process_memory_enable_update(self, rbridge_id=None, enable_process=None, thresh_mem_alarm=None, thresh_mem_critic=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable_process (YANGBool):
				yang info - Enable monitoring process memory usage

			- thresh_mem_alarm (long):
				yang info - Alarm threshold for memory usage
				range - ['0..4294967295']

			- thresh_mem_critic (long):
				yang info - Critical threshold for memory usage
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.process.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable_process=enable_process, thresh_mem_alarm=thresh_mem_alarm, thresh_mem_critic=thresh_mem_critic)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_root_update(self, rbridge_id=None, enable=None, access=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Configure root account

			- access (unicode):
				yang info - Configure root access
				enum - [u'console']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.root', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.root', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.root', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable, access=access)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_root_access_update(self, rbridge_id=None, enable=None, access=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Configure root account

			- access (unicode):
				yang info - Configure root access
				enum - [u'console']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.root', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.root', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.root', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable, access=access)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_create(self, rbridge_id=None, route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_map', 'keyval': 'name, action_rm, instance', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_delete(self, rbridge_id=None, route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_map', 'keyval': 'name, action_rm, instance', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_get(self, rbridge_id=None, route_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_map', 'keyval': 'name, action_rm, instance', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_route_map_continue_update(self, rbridge_id=None, route_map=None, continue_=None, continue_val=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- continue_ (YANGBool):
				yang info - Continue clause with optional route map instance number.

			- continue_val (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, continue_=continue_, continue_val=continue_val)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_update(self, rbridge_id=None, route_map=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- vrf (unicode):
				yang info - VRF name
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_as_path_update(self, rbridge_id=None, route_map=None, as_path_access_list_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- as_path_access_list_name (unicode):
				yang info - Access-list name.
				length - [u'1..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, as_path_access_list_name=as_path_access_list_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_community_update(self, rbridge_id=None, route_map=None, community_access_list_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- community_access_list_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, community_access_list_name=community_access_list_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_extcommunity_update(self, rbridge_id=None, route_map=None, extcommunity_num=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- extcommunity_num (unicode):
				yang info - Extcommunity numbers
				pattern - ((0|[1-9][0-9]{0,1})(\s+(0|[1-9][0-9]{0,1}))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, extcommunity_num=extcommunity_num)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ip_address_update(self, rbridge_id=None, route_map=None, prefix_list_rmm=None, acl_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmm (unicode):
				yang info - IP prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- acl_rmm (unicode):
				yang info - IP ACL
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ip_address_acl_update(self, rbridge_id=None, route_map=None, prefix_list_rmm=None, acl_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmm (unicode):
				yang info - IP prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- acl_rmm (unicode):
				yang info - IP ACL
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ip_next_hop_update(self, rbridge_id=None, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmm_n (unicode):
				yang info - IP prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ip_next_hop_prefix_list_update(self, rbridge_id=None, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmm_n (unicode):
				yang info - IP prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ip_route_source_update(self, rbridge_id=None, route_map=None, prefix_list_rmrs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmrs (unicode):
				yang info - IP prefix-list
				pattern - (\s*([a-zA-Z0-9_-]+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ip_route_source_prefix_list_update(self, rbridge_id=None, route_map=None, prefix_list_rmrs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmrs (unicode):
				yang info - IP prefix-list
				pattern - (\s*([a-zA-Z0-9_-]+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ipv6_address_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm=None, ipv6_acl_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmm (unicode):
				yang info - IPv6 prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- ipv6_acl_rmm (unicode):
				yang info - IPv6 ACL
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ipv6_address_acl_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm=None, ipv6_acl_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmm (unicode):
				yang info - IPv6 prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- ipv6_acl_rmm (unicode):
				yang info - IPv6 ACL
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ipv6_next_hop_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmm_n (unicode):
				yang info - IPv6 prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ipv6_next_hop_prefix_list_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmm_n (unicode):
				yang info - IPv6 prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ipv6_route_source_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmrs (unicode):
				yang info - IPv6 prefix-list
				pattern - (\s*([a-zA-Z0-9_-]+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_ipv6_route_source_prefix_list_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmrs (unicode):
				yang info - IPv6 prefix-list
				pattern - (\s*([a-zA-Z0-9_-]+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_metric_update(self, rbridge_id=None, route_map=None, metric_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- metric_rmm (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, metric_rmm=metric_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_next_hop_update(self, rbridge_id=None, route_map=None, next_hop_filter_val=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- next_hop_filter_val (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_hop_filter_val=next_hop_filter_val)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_protocol_update(self, rbridge_id=None, route_map=None, protocol_bgp=None, bgp_route_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- protocol_bgp (YANGBool):
				yang info - BGP protocol.

			- bgp_route_type (unicode):
				enum - [u'internal', u'external', u'static-network']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, protocol_bgp=protocol_bgp, bgp_route_type=bgp_route_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_protocol_static_update(self, rbridge_id=None, route_map=None, static=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- static (YANGBool):
				yang info - static

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, static=static)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_route_type_update(self, rbridge_id=None, route_map=None, route_type_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- route_type_rmm (unicode):
				enum - [u'type-1', u'internal', u'type-2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, route_type_rmm=route_type_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_match_vrf_update(self, rbridge_id=None, route_map=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- vrf (unicode):
				yang info - VRF name
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_as_path_update(self, rbridge_id=None, route_map=None, aspath_tag=None, prepend=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- aspath_tag (YANGBool):
				yang info - Tag as an AS-path attribute

			- prepend (unicode):
				yang info - Prepend to the AS-path
				pattern - (\s*(\d+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_as_path_tag_update(self, rbridge_id=None, route_map=None, aspath_tag=None, prepend=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- aspath_tag (YANGBool):
				yang info - Tag as an AS-path attribute

			- prepend (unicode):
				yang info - Prepend to the AS-path
				pattern - (\s*(\d+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_automatic_tag_update(self, rbridge_id=None, route_map=None, tag_empty=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- tag_empty (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, tag_empty=tag_empty)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_comm_list_update(self, rbridge_id=None, route_map=None, comm_list_name=None, match_comm_delete=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- comm_list_name (unicode):

			- match_comm_delete (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, comm_list_name=comm_list_name, match_comm_delete=match_comm_delete)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_community_update(self, rbridge_id=None, route_map=None, set_community_expr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- set_community_expr (unicode):
				pattern - ((\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)(( (additive))?))|(none)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, set_community_expr=set_community_expr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_dampening_update(self, rbridge_id=None, route_map=None, half_life=None, reuse=None, suppress=None, max_suppress_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- half_life (long):
				range - ['0..4294967295']

			- reuse (long):
				range - ['0..4294967295']

			- suppress (long):
				range - ['0..4294967295']

			- max_suppress_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, half_life=half_life, reuse=reuse, suppress=suppress, max_suppress_time=max_suppress_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_distance_update(self, rbridge_id=None, route_map=None, dist_rms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- dist_rms (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, dist_rms=dist_rms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_extcommunity_rt_update(self, rbridge_id=None, route_map=None, ASN_NN_rt=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ASN_NN_rt (unicode):
				pattern - ((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)(( (additive))?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_rt=ASN_NN_rt)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_extcommunity_soo_update(self, rbridge_id=None, route_map=None, ASN_NN_soo=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ASN_NN_soo (unicode):
				pattern - ((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_soo=ASN_NN_soo)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_create(self, rbridge_id=None, route_map=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_vrf_list', 'keyval': 'vrf, next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_delete(self, rbridge_id=None, route_map=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_vrf_list', 'keyval': 'vrf, next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_get(self, rbridge_id=None, route_map=None, next_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_vrf_list', 'keyval': 'vrf, next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_dscp_update(self, rbridge_id=None, route_map=None, dscp_rms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- dscp_rms (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, dscp_rms=dscp_rms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_global_create(self, rbridge_id=None, route_map=None, next_global_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_global_delete(self, rbridge_id=None, route_map=None, next_global_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_global_get(self, rbridge_id=None, route_map=None, next_global_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_interface_update(self, rbridge_id=None, route_map=None, null0=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- null0 (YANGBool):
				yang info - Sending traffic to a Null0 Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, null0=null0)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_interface_null0_update(self, rbridge_id=None, route_map=None, null0=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- null0 (YANGBool):
				yang info - Sending traffic to a Null0 Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, null0=null0)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_next_hop_update(self, rbridge_id=None, route_map=None, peer_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- peer_address (YANGBool):
				yang info - BGP peer IP address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, peer_address=peer_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ip_next_hop_peer_address_update(self, rbridge_id=None, route_map=None, peer_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- peer_address (YANGBool):
				yang info - BGP peer IP address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, peer_address=peer_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ipv6_create(self, rbridge_id=None, route_map=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ipv6_delete(self, rbridge_id=None, route_map=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ipv6_get(self, rbridge_id=None, route_map=None, next_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_route_map_set_ipv6_global_create(self, rbridge_id=None, route_map=None, next_global_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ipv6_global_delete(self, rbridge_id=None, route_map=None, next_global_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ipv6_global_get(self, rbridge_id=None, route_map=None, next_global_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_route_map_set_ipv6_interface_update(self, rbridge_id=None, route_map=None, ipv6_null0=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_null0 (YANGBool):
				yang info - Sending traffic to a Null0 Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_null0=ipv6_null0)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_ipv6_interface_null0_update(self, rbridge_id=None, route_map=None, ipv6_null0=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_null0 (YANGBool):
				yang info - Sending traffic to a Null0 Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_null0=ipv6_null0)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_local_preference_update(self, rbridge_id=None, route_map=None, local_preference_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- local_preference_value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, local_preference_value=local_preference_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_metric_update(self, rbridge_id=None, route_map=None, delta_rms=None, metric_rms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- delta_rms (unicode):
				enum - [u'add', u'assign', u'none', u'sub']

			- metric_rms (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, delta_rms=delta_rms, metric_rms=metric_rms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_metric_type_update(self, rbridge_id=None, route_map=None, external=None, internal=None, type_1=None, type_2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- external (YANGBool):
				yang info - IS-IS external metric

			- internal (YANGBool):
				yang info - IGP internal metric to BGP MED

			- type_1 (YANGBool):
				yang info - OSPF external type 1 metric

			- type_2 (YANGBool):
				yang info - OSPF external type 2 metric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_metric_type_external_update(self, rbridge_id=None, route_map=None, external=None, internal=None, type_1=None, type_2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- external (YANGBool):
				yang info - IS-IS external metric

			- internal (YANGBool):
				yang info - IGP internal metric to BGP MED

			- type_1 (YANGBool):
				yang info - OSPF external type 1 metric

			- type_2 (YANGBool):
				yang info - OSPF external type 2 metric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_origin_update(self, rbridge_id=None, route_map=None, origin_igp=None, origin_incomplete=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- origin_igp (YANGBool):
				yang info - local IGP

			- origin_incomplete (YANGBool):
				yang info - unknown heritage

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_origin_igp_update(self, rbridge_id=None, route_map=None, origin_igp=None, origin_incomplete=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- origin_igp (YANGBool):
				yang info - local IGP

			- origin_incomplete (YANGBool):
				yang info - unknown heritage

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_route_type_update(self, rbridge_id=None, route_map=None, route_type_rms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- route_type_rms (unicode):
				enum - [u'type-1', u'internal', u'type-2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, route_type_rms=route_type_rms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_tag_update(self, rbridge_id=None, route_map=None, tag_rms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- tag_rms (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, tag_rms=tag_rms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_route_map_set_weight_update(self, rbridge_id=None, route_map=None, weight_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- weight_value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, weight_value=weight_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_update(self, rbridge_id=None, local_as=None, always_compare_med=None, compare_med_empty_aspath=None, med_missing_as_worst=None, as_path_ignore=None, compare_routerid=None, install_igp_cost=None, default_local_preference=None, enforce_first_as=None, fast_external_fallover=None, log_dampening_debug=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- local_as (unicode):
				yang info - Configure local AS number
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- always_compare_med (YANGBool):
				yang info - Allow comparing MED from different neighbors

			- compare_med_empty_aspath (YANGBool):
				yang info - Allow comparing MED from different neighbors even with empty as-path
attribute

			- med_missing_as_worst (YANGBool):
				yang info - Consider routes missing MED attribute as least desirable

			- as_path_ignore (YANGBool):
				yang info - Ignore AS_PATH length for best route selection

			- compare_routerid (YANGBool):
				yang info - Compare router-id for identical BGP paths

			- install_igp_cost (YANGBool):
				yang info - Install igp cost to nexthop instead of MED value as BGP route cost

			- default_local_preference (long):
				yang info - Configure default local preference value
				range - ['0..4294967295']

			- enforce_first_as (YANGBool):
				yang info - Enforce the first AS for EBGP routes

			- fast_external_fallover (YANGBool):
				yang info - Reset session if link to EBGP peer goes down

			- log_dampening_debug (YANGBool):
				yang info - Log dampening debug messages

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_update(self, rbridge_id=None, default_vrf_selected=None, next_hop_recursion=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- default_vrf_selected (YANGBool):

			- next_hop_recursion (YANGBool):
				yang info - Perform next-hop recursive lookup for BGP route

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected, next_hop_recursion=next_hop_recursion)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_create(self, rbridge_id=None, aggregate_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_delete(self, rbridge_id=None, aggregate_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_update(self, rbridge_id=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- advertise_map (unicode):
				yang info - Route map to control attribute advertisement
				length - [u'1..63']

			- as_set (YANGBool):
				yang info - Generate AS set path information

			- attribute_map (unicode):
				yang info - Route map for parameter control
				length - [u'1..63']

			- summary_only (YANGBool):
				yang info - Filter more specific routes from updates

			- suppress_map (unicode):
				yang info - Conditionally filter more specific routes from updates
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_get(self, rbridge_id=None, aggregate_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_always_propagate_update(self, rbridge_id=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- always_propagate (YANGBool):
				yang info - Allow readvertisement of best BGP routes not in IP Forwarding table

			- default_information_originate (YANGBool):
				yang info - Originate Default Information

			- rib_route_limit (long):
				yang info - Limit BGP rib count in routing table
				range - ['0..4294967295']

			- client_to_client_reflection (YANGBool):
				yang info - Configure client to client route reflection

			- default_metric (long):
				yang info - Set metric of redistributed routes
				range - ['0..4294967295']

			- next_hop_enable_default (YANGBool):
				yang info - Enable default route for BGP next-hop lookup

			- update_time (long):
				yang info - Configure igp route update interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_bgp_redistribute_internal_update(self, rbridge_id=None, bgp_redistribute_internal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bgp_redistribute_internal (YANGBool):
				yang info - Allow redistribution of iBGP routes into IGPs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_dampening_update(self, rbridge_id=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- half_time (long):
				range - ['0..4294967295']

			- reuse_value (long):
				range - ['0..4294967295']

			- start_suppress_time (long):
				range - ['0..4294967295']

			- max_suppress_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_graceful_restart_update(self, rbridge_id=None, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- graceful_restart_status (YANGBool):

			- restart_time (long):
				yang info - Maximum restart wait time advertised to neighbors (1-3600s), default 120
				range - ['0..4294967295']

			- purge_time (long):
				yang info - Maximum time before restarting router clean up stale (1-3600s), default 600
				range - ['0..4294967295']

			- stale_routes_time (long):
				yang info - Maximum time before helper router clean up stale routes (1-3600s), default 360
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_maximum_paths_update(self, rbridge_id=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_maximum_paths_ebgp_update(self, rbridge_id=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_multipath_update(self, rbridge_id=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_multipath_multi_as_update(self, rbridge_id=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_create(self, rbridge_id=None, af_ipv4_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_delete(self, rbridge_id=None, af_ipv4_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- allowas_in (long):
				yang info - Disables the AS_PATH check of the routes learned from the AS
				range - ['0..4294967295']

			- activate (YANGBool):
				yang info - Allow exchange of route in the current family mode

			- route_reflector_client (YANGBool):
				yang info - Configure a neighbor as Route Reflector client

			- af_nei_weight (long):
				yang info - Set default weight for routes from this neighbor
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_get(self, rbridge_id=None, af_ipv4_neighbor_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_additional_paths_advertise_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, best=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- best (long):
				yang info - Select best no of paths
				range - ['0..4294967295']

			- all (YANGBool):
				yang info - Select all best paths

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, best=best, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, best=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- best (long):
				yang info - Select best no of paths
				range - ['0..4294967295']

			- all (YANGBool):
				yang info - Select all best paths

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, best=best, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_capability_additional_paths_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, add_path_both=None, send=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- add_path_both (YANGBool):

			- send (YANGBool):
				yang info - Capability to send additional paths

			- receive (YANGBool):
				yang info - Capability to receive additional paths.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, add_path_both=add_path_both, send=send, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_default_originate_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_default_originate_route_map_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- default_originate_status (YANGBool):

			- default_originate_route_map (unicode):
				yang info - Route-map to specify criteria to originate default
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_filter_list_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- filter_list_direction_in_acl_name (unicode):
				length - [u'1..63']

			- filter_list_name_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_maximum_prefix_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- max_prefix_limit (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- threshold (long):
				range - ['0..4294967295']

			- teardown (YANGBool):
				yang info - Terminate the peering when limit is exceeded

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold, teardown=teardown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_in_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_out_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_out (YANGBool):
				yang info - Filter outgoing routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_route_map_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_in (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_route_map_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_out (unicode):
				yang info - Apply route map to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_send_community_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_send_community_both_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_unsuppress_map_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- map_name (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_network_create(self, rbridge_id=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_network_delete(self, rbridge_id=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_network_update(self, rbridge_id=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- network_weight (long):
				yang info - Set BGP weight for network
				range - ['0..4294967295']

			- backdoor (YANGBool):
				yang info - Specify a BGP backdoor route

			- network_route_map (unicode):
				yang info - Route-map to modify the attributes
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_network_get(self, rbridge_id=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_bgp_update(self, rbridge_id=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_bgp_metric_update(self, rbridge_id=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_connected_update(self, rbridge_id=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_connected (YANGBool):

			- unicast_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- redistribute_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_update(self, rbridge_id=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_update(self, rbridge_id=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_external1_update(self, rbridge_id=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_metric_update(self, rbridge_id=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_static_update(self, rbridge_id=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_static (YANGBool):

			- unicast_static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_static_network_create(self, rbridge_id=None, static_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_static_network_delete(self, rbridge_id=None, static_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_static_network_update(self, rbridge_id=None, static_network=None, static_network_distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- static_network_distance (long):
				yang info - Define an administrative distance for this local network
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, static_network=static_network, static_network_distance=static_network_distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_static_network_get(self, rbridge_id=None, static_network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_table_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_table_map_route_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_create(self, rbridge_id=None, af_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_delete(self, rbridge_id=None, af_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_update(self, rbridge_id=None, af_vrf=None, local_as=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- local_as (unicode):
				yang info - Configure local AS number
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- next_hop_recursion (YANGBool):
				yang info - Perform next-hop recursive lookup for BGP route

			- graceful_restart_status (YANGBool):
				yang info - Enables the BGP graceful restart capability

			- always_propagate (YANGBool):
				yang info - Allow readvertisement of best BGP routes not in IP Forwarding table

			- default_information_originate (YANGBool):
				yang info - Originate Default Information

			- rib_route_limit (long):
				yang info - Limit BGP rib count in routing table
				range - ['0..4294967295']

			- client_to_client_reflection (YANGBool):
				yang info - Configure client to client route reflection

			- default_metric (long):
				yang info - Set metric of redistributed routes
				range - ['0..4294967295']

			- next_hop_enable_default (YANGBool):
				yang info - Enable default route for BGP next-hop lookup

			- update_time (long):
				yang info - Configure igp route update interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, local_as=local_as, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_get(self, rbridge_id=None, af_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_create(self, rbridge_id=None, af_vrf=None, aggregate_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_delete(self, rbridge_id=None, af_vrf=None, aggregate_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_update(self, rbridge_id=None, af_vrf=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- advertise_map (unicode):
				yang info - Route map to control attribute advertisement
				length - [u'1..63']

			- as_set (YANGBool):
				yang info - Generate AS set path information

			- attribute_map (unicode):
				yang info - Route map for parameter control
				length - [u'1..63']

			- summary_only (YANGBool):
				yang info - Filter more specific routes from updates

			- suppress_map (unicode):
				yang info - Conditionally filter more specific routes from updates
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_get(self, rbridge_id=None, af_vrf=None, aggregate_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_bgp_redistribute_internal_update(self, rbridge_id=None, af_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- bgp_redistribute_internal (YANGBool):
				yang info - Allow redistribution of iBGP routes into IGPs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_dampening_update(self, rbridge_id=None, af_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- half_time (long):
				range - ['0..4294967295']

			- reuse_value (long):
				range - ['0..4294967295']

			- start_suppress_time (long):
				range - ['0..4294967295']

			- max_suppress_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_listen_range_create(self, rbridge_id=None, af_vrf=None, listen_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- listen_range (listen_range_prefix, peer_group, limit):
				listen_range_prefix (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				peer_group (unicode):
					yang info - Peer group name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				limit (long):
					yang info - Limit the neighbor
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, listen_range=listen_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_listen_range_delete(self, rbridge_id=None, af_vrf=None, listen_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- listen_range (listen_range_prefix, peer_group, limit):
				listen_range_prefix (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				peer_group (unicode):
					yang info - Peer group name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				limit (long):
					yang info - Limit the neighbor
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, listen_range=listen_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_listen_range_update(self, rbridge_id=None, af_vrf=None, listen_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- listen_range (listen_range_prefix, peer_group, limit):
				listen_range_prefix (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				peer_group (unicode):
					yang info - Peer group name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				limit (long):
					yang info - Limit the neighbor
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, listen_range=listen_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_listen_range_get(self, rbridge_id=None, af_vrf=None, listen_range=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- listen_range (listen_range_prefix, peer_group, limit):
				listen_range_prefix (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				peer_group (unicode):
					yang info - Peer group name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				limit (long):
					yang info - Limit the neighbor
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, listen_range=listen_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maxas_limit_in_update(self, rbridge_id=None, af_vrf=None, num_as_in_path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- num_as_in_path (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, num_as_in_path=num_as_in_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_update(self, rbridge_id=None, af_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_ebgp_update(self, rbridge_id=None, af_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_multipath_update(self, rbridge_id=None, af_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_multipath_multi_as_update(self, rbridge_id=None, af_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_create(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_delete(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, associate_peer_group=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- associate_peer_group (unicode):
				yang info - Assign peer-group to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- remote_as (unicode):
				yang info - Specify a BGP neighbor
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- allowas_in (long):
				yang info - Disables the AS_PATH check of the routes learned from the AS
				range - ['0..4294967295']

			- activate (YANGBool):
				yang info - Allow exchange of route in the current family mode

			- route_reflector_client (YANGBool):
				yang info - Configure a neighbor as Route Reflector client

			- af_nei_weight (long):
				yang info - Set default weight for routes from this neighbor
				range - ['0..4294967295']

			- description (unicode):
				yang info - Neighbor by description
				length - [u'1..220']

			- ebgp_btsh (YANGBool):
				yang info - Enable EBGP TTL Security Hack Protection

			- password (unicode):
				yang info - Enable TCP-MD5 password protection

			- remove_private_as (YANGBool):
				yang info - Remove private AS number from outbound updates

			- as_override (YANGBool):
				yang info - Override matching AS-number while sending update

			- static_network_edge (YANGBool):
				yang info - Neighbor as special service edge, static-network
shall not be advertised if installed as DROP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, associate_peer_group=associate_peer_group, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_get(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_additional_paths_advertise_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, best=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- best (long):
				yang info - Select best no of paths
				range - ['0..4294967295']

			- all (YANGBool):
				yang info - Select all best paths

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, best=best, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_additional_paths_advertise_all_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, best=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- best (long):
				yang info - Select best no of paths
				range - ['0..4294967295']

			- all (YANGBool):
				yang info - Select all best paths

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, best=best, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_advertisement_interval_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- bfd_enable (YANGBool):

			- holdover_interval (long):
				yang info - BFD holdover interval configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_interval_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_interval_min_rx_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_additional_paths_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, add_path_both=None, send=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- add_path_both (YANGBool):

			- send (YANGBool):
				yang info - Capability to send additional paths

			- receive (YANGBool):
				yang info - Capability to receive additional paths.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, add_path_both=add_path_both, send=send, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_as4_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_as4_disable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_orf_prefixlist_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_default_originate_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_default_originate_route_map_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- default_originate_status (YANGBool):

			- default_originate_route_map (unicode):
				yang info - Route-map to specify criteria to originate default
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_ebgp_multihop_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ebgp_multihop_flag (YANGBool):

			- ebgp_multihop_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_enforce_first_as_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_enforce_first_as_enable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_filter_list_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- filter_list_direction_in_acl_name (unicode):
				length - [u'1..63']

			- filter_list_name_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_local_as_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_as_value (unicode):
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- no_prepend (YANGBool):
				yang info - Do not prepend local-as to updates from ebgp peers

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_maxas_limit_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_maxas_limit_in_disable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- num_as_in_as_path (long):
				range - ['0..4294967295']

			- maxas_limit_disable (YANGBool):
				yang info - Disable maxas-limit

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_maximum_prefix_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- max_prefix_limit (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_maximum_prefix_teardown_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- threshold (long):
				range - ['0..4294967295']

			- teardown (YANGBool):
				yang info - Terminate the peering when limit is exceeded

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold, teardown=teardown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_next_hop_self_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_next_hop_self_always_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_in_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_out_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_out (YANGBool):
				yang info - Filter outgoing routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_route_map_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_in (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_route_map_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_out (unicode):
				yang info - Apply route map to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_send_community_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_send_community_both_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_shutdown_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_shutdown_generate_rib_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- shutdown_status (YANGBool):

			- generate_rib_out (YANGBool):
				yang info - Generate rib-out routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_soft_reconfiguration_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_soft_reconfiguration_inbound_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_timers_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_timers_hold_time_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_keep_alive (long):
				yang info - Keepalive interval
				range - ['0..4294967295']

			- nei_hold_time (long):
				yang info - Hold-time value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_unsuppress_map_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- map_name (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_update_source_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, interface_type=None, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- interface_type (unicode):
				enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet']

			- ethernet (unicode):
				yang info - Ethernet Interface
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_update_source_loopback_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- sip_ipv4_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- loopback (unicode):
				yang info - Loopback Interface
				length - [u'1..63']

			- ve_interface (long):
				yang info - Virtual Interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_network_create(self, rbridge_id=None, af_vrf=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_network_delete(self, rbridge_id=None, af_vrf=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_network_update(self, rbridge_id=None, af_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- network_weight (long):
				yang info - Set BGP weight for network
				range - ['0..4294967295']

			- backdoor (YANGBool):
				yang info - Specify a BGP backdoor route

			- network_route_map (unicode):
				yang info - Route-map to modify the attributes
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_network_get(self, rbridge_id=None, af_vrf=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_update(self, rbridge_id=None, af_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_metric_update(self, rbridge_id=None, af_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_update(self, rbridge_id=None, af_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_connected (YANGBool):

			- unicast_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- redistribute_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_update(self, rbridge_id=None, af_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_update(self, rbridge_id=None, af_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_external1_update(self, rbridge_id=None, af_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_metric_update(self, rbridge_id=None, af_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_update(self, rbridge_id=None, af_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_static (YANGBool):

			- unicast_static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_static_network_create(self, rbridge_id=None, af_vrf=None, static_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_static_network_delete(self, rbridge_id=None, af_vrf=None, static_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_static_network_update(self, rbridge_id=None, af_vrf=None, static_network=None, static_network_distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- static_network_distance (long):
				yang info - Define an administrative distance for this local network
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_static_network_get(self, rbridge_id=None, af_vrf=None, static_network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_table_map_update(self, rbridge_id=None, af_vrf=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_table_map_route_map_update(self, rbridge_id=None, af_vrf=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_update(self, rbridge_id=None, default_vrf_selected=None, ipv6_ucast_next_hop_recursion=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- default_vrf_selected (YANGBool):

			- ipv6_ucast_next_hop_recursion (YANGBool):
				yang info - Perform next-hop recursive lookup for BGP route

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_create(self, rbridge_id=None, aggregate_ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_delete(self, rbridge_id=None, aggregate_ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_update(self, rbridge_id=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- advertise_map (unicode):
				yang info - Route map to control attribute advertisement
				length - [u'1..63']

			- as_set (YANGBool):
				yang info - Generate AS set path information

			- attribute_map (unicode):
				yang info - Route map for parameter control
				length - [u'1..63']

			- summary_only (YANGBool):
				yang info - Filter more specific routes from updates

			- suppress_map (unicode):
				yang info - Conditionally filter more specific routes from updates
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_get(self, rbridge_id=None, aggregate_ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_always_propagate_update(self, rbridge_id=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- always_propagate (YANGBool):
				yang info - Allow readvertisement of best BGP routes not in IP Forwarding table

			- default_information_originate (YANGBool):
				yang info - Originate Default Information

			- rib_route_limit (long):
				yang info - Limit BGP rib count in routing table
				range - ['0..4294967295']

			- client_to_client_reflection (YANGBool):
				yang info - Configure client to client route reflection

			- default_metric (long):
				yang info - Set metric of redistributed routes
				range - ['0..4294967295']

			- next_hop_enable_default (YANGBool):
				yang info - Enable default route for BGP next-hop lookup

			- update_time (long):
				yang info - Configure igp route update interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_bgp_redistribute_internal_update(self, rbridge_id=None, bgp_redistribute_internal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- bgp_redistribute_internal (YANGBool):
				yang info - Allow redistribution of iBGP routes into IGPs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_dampening_update(self, rbridge_id=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- half_time (long):
				range - ['0..4294967295']

			- reuse_value (long):
				range - ['0..4294967295']

			- start_suppress_time (long):
				range - ['0..4294967295']

			- max_suppress_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_graceful_restart_update(self, rbridge_id=None, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- graceful_restart_status (YANGBool):

			- restart_time (long):
				yang info - Maximum restart wait time advertised to neighbors (1-3600s), default 120
				range - ['0..4294967295']

			- purge_time (long):
				yang info - Maximum time before restarting router clean up stale (1-3600s), default 600
				range - ['0..4294967295']

			- stale_routes_time (long):
				yang info - Maximum time before helper router clean up stale routes (1-3600s), default 360
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_maximum_paths_update(self, rbridge_id=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_maximum_paths_ebgp_update(self, rbridge_id=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_multipath_update(self, rbridge_id=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_multipath_multi_as_update(self, rbridge_id=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_create(self, rbridge_id=None, af_ipv6_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_delete(self, rbridge_id=None, af_ipv6_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- allowas_in (long):
				yang info - Disables the AS_PATH check of the routes learned from the AS
				range - ['0..4294967295']

			- activate (YANGBool):
				yang info - Allow exchange of route in the current family mode

			- route_reflector_client (YANGBool):
				yang info - Configure a neighbor as Route Reflector client

			- af_nei_weight (long):
				yang info - Set default weight for routes from this neighbor
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_get(self, rbridge_id=None, af_ipv6_neighbor_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_additional_paths_advertise_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, best=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- best (long):
				yang info - Select best no of paths
				range - ['0..4294967295']

			- all (YANGBool):
				yang info - Select all best paths

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, best=best, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, best=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- best (long):
				yang info - Select best no of paths
				range - ['0..4294967295']

			- all (YANGBool):
				yang info - Select all best paths

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, best=best, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_capability_additional_paths_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, add_path_both=None, send=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- add_path_both (YANGBool):

			- send (YANGBool):
				yang info - Capability to send additional paths

			- receive (YANGBool):
				yang info - Capability to receive additional paths.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, add_path_both=add_path_both, send=send, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_default_originate_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_default_originate_route_map_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- default_originate_status (YANGBool):

			- default_originate_route_map (unicode):
				yang info - Route-map to specify criteria to originate default
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_filter_list_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- filter_list_direction_in_acl_name (unicode):
				length - [u'1..63']

			- filter_list_name_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_maximum_prefix_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- max_prefix_limit (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- threshold (long):
				range - ['0..4294967295']

			- teardown (YANGBool):
				yang info - Terminate the peering when limit is exceeded

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold, teardown=teardown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_in_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_out_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_out (YANGBool):
				yang info - Filter outgoing routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_route_map_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_in (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_route_map_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_out (unicode):
				yang info - Apply route map to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_send_community_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_send_community_both_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_unsuppress_map_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- map_name (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_network_create(self, rbridge_id=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_network_delete(self, rbridge_id=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_network_update(self, rbridge_id=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- network_weight (long):
				yang info - Set BGP weight for network
				range - ['0..4294967295']

			- backdoor (YANGBool):
				yang info - Specify a BGP backdoor route

			- network_route_map (unicode):
				yang info - Route-map to modify the attributes
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_network_get(self, rbridge_id=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_bgp_update(self, rbridge_id=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_bgp_metric_update(self, rbridge_id=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_connected_update(self, rbridge_id=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_connected (YANGBool):

			- unicast_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- redistribute_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_update(self, rbridge_id=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_update(self, rbridge_id=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_external1_update(self, rbridge_id=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_metric_update(self, rbridge_id=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_static_update(self, rbridge_id=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- redistribute_static (YANGBool):

			- unicast_static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_table_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_table_map_route_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_create(self, rbridge_id=None, af_ipv6_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_delete(self, rbridge_id=None, af_ipv6_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_update(self, rbridge_id=None, af_ipv6_vrf=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- next_hop_recursion (YANGBool):
				yang info - Perform next-hop recursive lookup for BGP route

			- graceful_restart_status (YANGBool):
				yang info - Enables the BGP graceful restart capability

			- always_propagate (YANGBool):
				yang info - Allow readvertisement of best BGP routes not in IP Forwarding table

			- default_information_originate (YANGBool):
				yang info - Originate Default Information

			- rib_route_limit (long):
				yang info - Limit BGP rib count in routing table
				range - ['0..4294967295']

			- client_to_client_reflection (YANGBool):
				yang info - Configure client to client route reflection

			- default_metric (long):
				yang info - Set metric of redistributed routes
				range - ['0..4294967295']

			- next_hop_enable_default (YANGBool):
				yang info - Enable default route for BGP next-hop lookup

			- update_time (long):
				yang info - Configure igp route update interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_get(self, rbridge_id=None, af_ipv6_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_create(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_delete(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_update(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- advertise_map (unicode):
				yang info - Route map to control attribute advertisement
				length - [u'1..63']

			- as_set (YANGBool):
				yang info - Generate AS set path information

			- attribute_map (unicode):
				yang info - Route map for parameter control
				length - [u'1..63']

			- summary_only (YANGBool):
				yang info - Filter more specific routes from updates

			- suppress_map (unicode):
				yang info - Conditionally filter more specific routes from updates
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_get(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_bgp_redistribute_internal_update(self, rbridge_id=None, af_ipv6_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- bgp_redistribute_internal (YANGBool):
				yang info - Allow redistribution of iBGP routes into IGPs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_dampening_update(self, rbridge_id=None, af_ipv6_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- half_time (long):
				range - ['0..4294967295']

			- reuse_value (long):
				range - ['0..4294967295']

			- start_suppress_time (long):
				range - ['0..4294967295']

			- max_suppress_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_update(self, rbridge_id=None, af_ipv6_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_ebgp_update(self, rbridge_id=None, af_ipv6_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_multipath_update(self, rbridge_id=None, af_ipv6_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_multipath_multi_as_update(self, rbridge_id=None, af_ipv6_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_create(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_delete(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, associate_peer_group=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- associate_peer_group (unicode):
				yang info - Assign peer-group to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- remote_as (unicode):
				yang info - Specify a BGP neighbor
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- allowas_in (long):
				yang info - Disables the AS_PATH check of the routes learned from the AS
				range - ['0..4294967295']

			- activate (YANGBool):
				yang info - Allow exchange of route in the current family mode

			- route_reflector_client (YANGBool):
				yang info - Configure a neighbor as Route Reflector client

			- af_nei_weight (long):
				yang info - Set default weight for routes from this neighbor
				range - ['0..4294967295']

			- description (unicode):
				yang info - Neighbor by description
				length - [u'1..220']

			- ebgp_btsh (YANGBool):
				yang info - Enable EBGP TTL Security Hack Protection

			- password (unicode):
				yang info - Enable TCP-MD5 password protection

			- remove_private_as (YANGBool):
				yang info - Remove private AS number from outbound updates

			- as_override (YANGBool):
				yang info - Override matching AS-number while sending update

			- static_network_edge (YANGBool):
				yang info - Neighbor as special service edge, static-network
shall not be advertised if installed as DROP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, associate_peer_group=associate_peer_group, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_get(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_additional_paths_advertise_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, best=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- best (long):
				yang info - Select best no of paths
				range - ['0..4294967295']

			- all (YANGBool):
				yang info - Select all best paths

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, best=best, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, best=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- best (long):
				yang info - Select best no of paths
				range - ['0..4294967295']

			- all (YANGBool):
				yang info - Select all best paths

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, best=best, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_advertisement_interval_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- bfd_enable (YANGBool):

			- holdover_interval (long):
				yang info - BFD holdover interval configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_interval_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_interval_min_rx_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_additional_paths_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, add_path_both=None, send=None, receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- add_path_both (YANGBool):

			- send (YANGBool):
				yang info - Capability to send additional paths

			- receive (YANGBool):
				yang info - Capability to receive additional paths.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, add_path_both=add_path_both, send=send, receive=receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_as4_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_as4_disable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_default_originate_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_default_originate_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- default_originate_status (YANGBool):

			- default_originate_route_map (unicode):
				yang info - Route-map to specify criteria to originate default
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_ebgp_multihop_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ebgp_multihop_flag (YANGBool):

			- ebgp_multihop_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_enforce_first_as_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_enforce_first_as_enable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_filter_list_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- filter_list_direction_in_acl_name (unicode):
				length - [u'1..63']

			- filter_list_name_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_local_as_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_as_value (unicode):
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- no_prepend (YANGBool):
				yang info - Do not prepend local-as to updates from ebgp peers

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_maxas_limit_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_maxas_limit_in_disable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- num_as_in_as_path (long):
				range - ['0..4294967295']

			- maxas_limit_disable (YANGBool):
				yang info - Disable maxas-limit

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_maximum_prefix_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- max_prefix_limit (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- threshold (long):
				range - ['0..4294967295']

			- teardown (YANGBool):
				yang info - Terminate the peering when limit is exceeded

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold, teardown=teardown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_next_hop_self_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_next_hop_self_always_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_in_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_out_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_out (YANGBool):
				yang info - Filter outgoing routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_route_map_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_in (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_route_map_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_out (unicode):
				yang info - Apply route map to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_send_community_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_send_community_both_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_shutdown_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_shutdown_generate_rib_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- shutdown_status (YANGBool):

			- generate_rib_out (YANGBool):
				yang info - Generate rib-out routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_soft_reconfiguration_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_soft_reconfiguration_inbound_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_timers_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_timers_hold_time_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_keep_alive (long):
				yang info - Keepalive interval
				range - ['0..4294967295']

			- nei_hold_time (long):
				yang info - Hold-time value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_unsuppress_map_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- map_name (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_update_source_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, interface_type=None, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- interface_type (unicode):
				enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

			- ethernet (unicode):
				yang info - Ethernet Interface
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_update_source_loopback_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, sip_ipv6_address=None, loopback=None, ve_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- sip_ipv6_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- loopback (unicode):
				yang info - Loopback Interface
				length - [u'1..63']

			- ve_interface (long):
				yang info - Virtual Interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_network_create(self, rbridge_id=None, af_ipv6_vrf=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_network_delete(self, rbridge_id=None, af_ipv6_vrf=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_network_update(self, rbridge_id=None, af_ipv6_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- network_weight (long):
				yang info - Set BGP weight for network
				range - ['0..4294967295']

			- backdoor (YANGBool):
				yang info - Specify a BGP backdoor route

			- network_route_map (unicode):
				yang info - Route-map to modify the attributes
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_network_get(self, rbridge_id=None, af_ipv6_vrf=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_metric_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_connected (YANGBool):

			- unicast_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- redistribute_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_update(self, rbridge_id=None, af_ipv6_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_external1_update(self, rbridge_id=None, af_ipv6_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_metric_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_static (YANGBool):

			- unicast_static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_table_map_update(self, rbridge_id=None, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_table_map_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_update(self, rbridge_id=None, client_to_client_reflection=None, vtep_discovery=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- client_to_client_reflection (YANGBool):
				yang info - Configure client to client route reflection

			- vtep_discovery (YANGBool):
				yang info - Enable VTEP discovery

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection, vtep_discovery=vtep_discovery)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_client_to_client_reflection_update(self, rbridge_id=None, client_to_client_reflection=None, vtep_discovery=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- client_to_client_reflection (YANGBool):
				yang info - Configure client to client route reflection

			- vtep_discovery (YANGBool):
				yang info - Enable VTEP discovery

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection, vtep_discovery=vtep_discovery)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_graceful_restart_update(self, rbridge_id=None, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- graceful_restart_status (YANGBool):

			- restart_time (long):
				yang info - Maximum restart wait time advertised to neighbors (1-3600s), default 120
				range - ['0..4294967295']

			- purge_time (long):
				yang info - Maximum time before restarting router clean up stale (1-3600s), default 600
				range - ['0..4294967295']

			- stale_routes_time (long):
				yang info - Maximum time before helper router clean up stale routes (1-3600s), default 360
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_create(self, rbridge_id=None, evpn_neighbor_ipv4=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- evpn_neighbor_ipv4 (evpn_neighbor_ipv4_address):
				evpn_neighbor_ipv4_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_delete(self, rbridge_id=None, evpn_neighbor_ipv4=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- evpn_neighbor_ipv4 (evpn_neighbor_ipv4_address):
				evpn_neighbor_ipv4_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, activate=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- evpn_neighbor_ipv4 (evpn_neighbor_ipv4_address):
				evpn_neighbor_ipv4_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- activate (YANGBool):
				yang info - Allow exchange of route in the current family mode

			- maximum_prefix (long):
				range - ['0..4294967295']

			- route_reflector_client (YANGBool):
				yang info - Configure a neighbor as Route Reflector client

			- allowas_in (long):
				yang info - Disables the AS_PATH check of the routes learned from the AS
				range - ['0..4294967295']

			- next_hop_unchanged (YANGBool):
				yang info - Next hop unchanged

			- enable_peer_as_check (YANGBool):
				yang info - Disable routes advertise between peers in same AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_get(self, rbridge_id=None, evpn_neighbor_ipv4=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- evpn_neighbor_ipv4 (evpn_neighbor_ipv4_address):
				evpn_neighbor_ipv4_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_route_map_in_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, route_map_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_neighbor_ipv4 (evpn_neighbor_ipv4_address):
				evpn_neighbor_ipv4_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- route_map_name_direction_in (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_in=route_map_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_route_map_out_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, route_map_name_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_neighbor_ipv4 (evpn_neighbor_ipv4_address):
				evpn_neighbor_ipv4_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- route_map_name_direction_out (unicode):
				yang info - Apply route map to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_out=route_map_name_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_send_community_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_neighbor_ipv4 (evpn_neighbor_ipv4_address):
				evpn_neighbor_ipv4_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_send_community_both_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- evpn_neighbor_ipv4 (evpn_neighbor_ipv4_address):
				evpn_neighbor_ipv4_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_retain_route_target_update(self, rbridge_id=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Retain all route targets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_address_family_l2vpn_evpn_retain_route_target_all_update(self, rbridge_id=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Retain all route targets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_always_compare_med_update(self, rbridge_id=None, local_as=None, always_compare_med=None, compare_med_empty_aspath=None, med_missing_as_worst=None, as_path_ignore=None, compare_routerid=None, install_igp_cost=None, default_local_preference=None, enforce_first_as=None, fast_external_fallover=None, log_dampening_debug=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- local_as (unicode):
				yang info - Configure local AS number
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- always_compare_med (YANGBool):
				yang info - Allow comparing MED from different neighbors

			- compare_med_empty_aspath (YANGBool):
				yang info - Allow comparing MED from different neighbors even with empty as-path
attribute

			- med_missing_as_worst (YANGBool):
				yang info - Consider routes missing MED attribute as least desirable

			- as_path_ignore (YANGBool):
				yang info - Ignore AS_PATH length for best route selection

			- compare_routerid (YANGBool):
				yang info - Compare router-id for identical BGP paths

			- install_igp_cost (YANGBool):
				yang info - Install igp cost to nexthop instead of MED value as BGP route cost

			- default_local_preference (long):
				yang info - Configure default local preference value
				range - ['0..4294967295']

			- enforce_first_as (YANGBool):
				yang info - Enforce the first AS for EBGP routes

			- fast_external_fallover (YANGBool):
				yang info - Reset session if link to EBGP peer goes down

			- log_dampening_debug (YANGBool):
				yang info - Log dampening debug messages

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_bfd_update(self, rbridge_id=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- holdover_interval (long):
				yang info - BFD holdover interval configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_bfd_holdover_interval_update(self, rbridge_id=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- holdover_interval (long):
				yang info - BFD holdover interval configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_bfd_interval_update(self, rbridge_id=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_bfd_interval_min_rx_update(self, rbridge_id=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_capability_update(self, rbridge_id=None, as4_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, as4_enable=as4_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_capability_as4_enable_update(self, rbridge_id=None, as4_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, as4_enable=as4_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_cluster_id_update(self, rbridge_id=None, cluster_id_value=None, cluster_id_ipv4_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cluster_id_value (long):
				yang info - Route-Reflector Cluster-ID as 32 bit quantity
				range - ['0..4294967295']

			- cluster_id_ipv4_address (unicode):
				yang info - Route-Reflector Cluster-ID as IP address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_cluster_id_ipv4_address_update(self, rbridge_id=None, cluster_id_value=None, cluster_id_ipv4_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cluster_id_value (long):
				yang info - Route-Reflector Cluster-ID as 32 bit quantity
				range - ['0..4294967295']

			- cluster_id_ipv4_address (unicode):
				yang info - Route-Reflector Cluster-ID as IP address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_confederation_update(self, rbridge_id=None, identifier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- identifier (long):
				yang info - Confederation AS number
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, identifier=identifier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_confederation_identifier_update(self, rbridge_id=None, identifier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- identifier (long):
				yang info - Confederation AS number
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, identifier=identifier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_distance_update(self, rbridge_id=None, ext_route_distance=None, int_route_distance=None, lcl_route_distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ext_route_distance (long):
				range - ['0..4294967295']

			- int_route_distance (long):
				range - ['0..4294967295']

			- lcl_route_distance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ext_route_distance=ext_route_distance, int_route_distance=int_route_distance, lcl_route_distance=lcl_route_distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_listen_range_create(self, rbridge_id=None, listen_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- listen_range (listen_range_prefix, peer_group, limit):
				listen_range_prefix (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				peer_group (unicode):
					yang info - Peer group name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				limit (long):
					yang info - Limit the neighbor
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, listen_range=listen_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_listen_range_delete(self, rbridge_id=None, listen_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- listen_range (listen_range_prefix, peer_group, limit):
				listen_range_prefix (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				peer_group (unicode):
					yang info - Peer group name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				limit (long):
					yang info - Limit the neighbor
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, listen_range=listen_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_listen_range_update(self, rbridge_id=None, listen_range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- listen_range (listen_range_prefix, peer_group, limit):
				listen_range_prefix (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				peer_group (unicode):
					yang info - Peer group name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				limit (long):
					yang info - Limit the neighbor
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, listen_range=listen_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_listen_range_get(self, rbridge_id=None, listen_range=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- listen_range (listen_range_prefix, peer_group, limit):
				listen_range_prefix (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				peer_group (unicode):
					yang info - Peer group name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				limit (long):
					yang info - Limit the neighbor
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, listen_range=listen_range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_maxas_limit_in_update(self, rbridge_id=None, num_as_in_path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- num_as_in_path (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, num_as_in_path=num_as_in_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_create(self, rbridge_id=None, neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_delete(self, rbridge_id=None, neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_update(self, rbridge_id=None, neighbor_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- remote_as (unicode):
				yang info - Specify a BGP neighbor
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- associate_peer_group (unicode):
				yang info - Assign peer-group to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- description (unicode):
				yang info - Neighbor by description
				length - [u'1..220']

			- ebgp_btsh (YANGBool):
				yang info - Enable EBGP TTL Security Hack Protection

			- password (unicode):
				yang info - Enable TCP-MD5 password protection

			- remove_private_as (YANGBool):
				yang info - Remove private AS number from outbound updates

			- as_override (YANGBool):
				yang info - Override matching AS-number while sending update

			- static_network_edge (YANGBool):
				yang info - Neighbor as special service edge, static-network
shall not be advertised if installed as DROP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_get(self, rbridge_id=None, neighbor_addr=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_advertisement_interval_update(self, rbridge_id=None, neighbor_addr=None, value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, value=value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_alternate_as_update(self, rbridge_id=None, neighbor_peer_grp=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_peer_grp (router_bgp_neighbor_peer_grp):
				router_bgp_neighbor_peer_grp (unicode):
					yang info - 
Word:1-63;;Peer Group Name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		This Instance Arg(s):
			- add_ (unicode):
				yang info - Add AS to alternate-as range.
				pattern - (((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?)*

			- remove_ (unicode):
				yang info - Remove AS to alternate-as range.
				pattern - (((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.alternate_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_alternate_as_add_update(self, rbridge_id=None, neighbor_peer_grp=None, add_=None, remove_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_peer_grp (router_bgp_neighbor_peer_grp):
				router_bgp_neighbor_peer_grp (unicode):
					yang info - 
Word:1-63;;Peer Group Name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		This Instance Arg(s):
			- add_ (unicode):
				yang info - Add AS to alternate-as range.
				pattern - (((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?)*

			- remove_ (unicode):
				yang info - Remove AS to alternate-as range.
				pattern - (((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.alternate_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, add_=add_, remove_=remove_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_bfd_update(self, rbridge_id=None, neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- bfd_enable (YANGBool):

			- holdover_interval (long):
				yang info - BFD holdover interval configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_bfd_interval_update(self, rbridge_id=None, neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_bfd_interval_min_rx_update(self, rbridge_id=None, neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_capability_as4_update(self, rbridge_id=None, neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_capability_as4_disable_update(self, rbridge_id=None, neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_ebgp_multihop_update(self, rbridge_id=None, neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ebgp_multihop_flag (YANGBool):

			- ebgp_multihop_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_enforce_first_as_update(self, rbridge_id=None, neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_enforce_first_as_enable_update(self, rbridge_id=None, neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_local_as_update(self, rbridge_id=None, neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_as_value (unicode):
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- no_prepend (YANGBool):
				yang info - Do not prepend local-as to updates from ebgp peers

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_maxas_limit_in_update(self, rbridge_id=None, neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_maxas_limit_in_disable_update(self, rbridge_id=None, neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- num_as_in_as_path (long):
				range - ['0..4294967295']

			- maxas_limit_disable (YANGBool):
				yang info - Disable maxas-limit

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_next_hop_self_update(self, rbridge_id=None, neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_next_hop_self_always_update(self, rbridge_id=None, neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_shutdown_update(self, rbridge_id=None, neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_shutdown_generate_rib_out_update(self, rbridge_id=None, neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- shutdown_status (YANGBool):

			- generate_rib_out (YANGBool):
				yang info - Generate rib-out routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_soft_reconfiguration_update(self, rbridge_id=None, neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_soft_reconfiguration_inbound_update(self, rbridge_id=None, neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_timers_update(self, rbridge_id=None, neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_timers_hold_time_update(self, rbridge_id=None, neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_keep_alive (long):
				yang info - Keepalive interval
				range - ['0..4294967295']

			- nei_hold_time (long):
				yang info - Hold-time value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_update_source_update(self, rbridge_id=None, neighbor_addr=None, interface_type=None, ethernet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- interface_type (unicode):
				enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

			- ethernet (unicode):
				yang info - Ethernet Interface
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, interface_type=interface_type, ethernet=ethernet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_neighbor_update_source_loopback_update(self, rbridge_id=None, neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- sip_ipv4_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- loopback (unicode):
				yang info - Loopback Interface
				length - [u'1..63']

			- ve_interface (long):
				yang info - Virtual Interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_timers_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'keep_alive, hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_bgp_timers_hold_time_update(self, rbridge_id=None, keep_alive=None, hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- keep_alive (long):
				yang info - Keepalive interval
				range - ['0..4294967295']

			- hold_time (long):
				yang info - Hold-time value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, keep_alive=keep_alive, hold_time=hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_create(self, rbridge_id=None, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_delete(self, rbridge_id=None, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_update(self, rbridge_id=None, ospf=None, database_overflow_interval=None, default_passive_interface=None, default_metric=None, external_lsdb_limit=None, ospf_metric_type=None, vrf_lite_capability=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- database_overflow_interval (long):
				yang info - Set how often the router checks whether OSPF 
external LSDB overflow is eliminated
				range - ['0..4294967295']

			- default_passive_interface (YANGBool):
				yang info - Set OSPF interface passive

			- default_metric (long):
				yang info - Set OSPF default metric
				range - ['0..4294967295']

			- external_lsdb_limit (long):
				yang info - Set maximum number of external LSAs
				range - ['0..4294967295']

			- ospf_metric_type (unicode):
				yang info - Set Type 1 or Type 2
				enum - [u'type1', u'type2']

			- vrf_lite_capability (YANGBool):
				yang info - Configure vrf-lite-capability (disable DN bit checks)

			- nonstop_routing (YANGBool):
				yang info - Enable OSPF nonstop routing capability

			- maximum_paths (int):
				yang info - The maximum number of paths to a destination.
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval, default_passive_interface=default_passive_interface, default_metric=default_metric, external_lsdb_limit=external_lsdb_limit, ospf_metric_type=ospf_metric_type, vrf_lite_capability=vrf_lite_capability, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_get(self, rbridge_id=None, ospf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_ospf_area_create(self, rbridge_id=None, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_delete(self, rbridge_id=None, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_update(self, rbridge_id=None, ospf=None, area=None, normal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- normal (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_get(self, rbridge_id=None, ospf=None, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_ospf_area_nssa_update(self, rbridge_id=None, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nssa_value, nssa_no_summary'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_nssa_default_information_metric_update(self, rbridge_id=None, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_information_metric_value, default_information_metric_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_nssa_default_information_metric_metric_type_update(self, rbridge_id=None, ospf=None, area=None, default_information_metric_value=None, default_information_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- default_information_metric_value (long):
				yang info - Route metric
				range - ['0..4294967295']

			- default_information_metric_type (unicode):
				yang info - Type of the metric
				enum - [u'type1', u'type2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_metric_value=default_information_metric_value, default_information_metric_type=default_information_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_nssa_default_information_originate_update(self, rbridge_id=None, ospf=None, area=None, default_information_originate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- default_information_originate (YANGBool):
				yang info - Originate default-information

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_originate=default_information_originate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_nssa_no_summary_update(self, rbridge_id=None, ospf=None, area=None, nssa_value=None, nssa_no_summary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- nssa_value (long):
				yang info - NSSA's advertised external route metric.
				range - ['0..4294967295']

			- nssa_no_summary (YANGBool):
				yang info - Do not send summary LSA into nssa area

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_value=nssa_value, nssa_no_summary=nssa_no_summary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_prefix_list_update(self, rbridge_id=None, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_prefix_list_in_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- prefix_list_direction_in_prefix_name (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- prefix_list_direction_in (YANGBool):
				yang info - Apply Type3 LSA prefix filtering on inbound

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_prefix_list_out_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- prefix_list_direction_out_prefix_name (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- prefix_list_direction_out (YANGBool):
				yang info - Apply Type3 LSA prefix filtering on outbound

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_range_create(self, rbridge_id=None, ospf=None, area=None, range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- range (range_address, range_mask, range_effect, range_cost):
				range_address (unicode):
					yang info - A.B.C.D   IP address to match
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_mask (unicode):
					yang info - A.B.C.D   IP mask for address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_effect (unicode):
					yang info - Advertise/Do not advertise this 
type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.range', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_range_delete(self, rbridge_id=None, ospf=None, area=None, range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- range (range_address, range_mask, range_effect, range_cost):
				range_address (unicode):
					yang info - A.B.C.D   IP address to match
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_mask (unicode):
					yang info - A.B.C.D   IP mask for address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_effect (unicode):
					yang info - Advertise/Do not advertise this 
type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.range', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_range_update(self, rbridge_id=None, ospf=None, area=None, range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- range (range_address, range_mask, range_effect, range_cost):
				range_address (unicode):
					yang info - A.B.C.D   IP address to match
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_mask (unicode):
					yang info - A.B.C.D   IP mask for address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_effect (unicode):
					yang info - Advertise/Do not advertise this 
type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.range', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_range_get(self, rbridge_id=None, ospf=None, area=None, range=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- range (range_address, range_mask, range_effect, range_cost):
				range_address (unicode):
					yang info - A.B.C.D   IP address to match
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_mask (unicode):
					yang info - A.B.C.D   IP mask for address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_effect (unicode):
					yang info - Advertise/Do not advertise this 
type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.range', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_ospf_area_stub_update(self, rbridge_id=None, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stub_value, no_summary'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_stub_no_summary_update(self, rbridge_id=None, ospf=None, area=None, stub_value=None, no_summary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- stub_value (long):
				yang info - Stub's advertised external route metric.
				range - ['0..4294967295']

			- no_summary (YANGBool):
				yang info - Do not send summary LSA into stub area

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_value=stub_value, no_summary=no_summary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_virtual_link_create(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_virtual_link_delete(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_virtual_link_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_virtual_link_get(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_ospf_area_virtual_link_authentication_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_virtual_link_md5_authentication_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_activation_wait_time_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_id_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_id_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_auto_cost_reference_bandwidth_update(self, rbridge_id=None, ospf=None, ref_bandwidth=None, use_active_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- ref_bandwidth (long):
				range - ['0..4294967295']

			- use_active_ports (YANGBool):
				yang info - Dynamic change of BW will reflect cost change

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, ref_bandwidth=ref_bandwidth, use_active_ports=use_active_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_bfd_update(self, rbridge_id=None, ospf=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- bfd_enable (YANGBool):

			- holdover_interval (int):
				yang info - Holdover-interval in seconds
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_default_information_originate_update(self, rbridge_id=None, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'always, def_orig_metric, def_orig_metric_type, def_orig_route_map'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_default_information_originate_always_update(self, rbridge_id=None, ospf=None, always=None, def_orig_metric=None, def_orig_metric_type=None, def_orig_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- always (YANGBool):
				yang info - Always advertise default route

			- def_orig_metric (long):
				yang info - OSPF metric for default route
				range - ['0..4294967295']

			- def_orig_metric_type (unicode):
				yang info - OSPF metric type for default route
				enum - [u'type1', u'type2']

			- def_orig_route_map (unicode):
				yang info - Route-map reference

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, always=always, def_orig_metric=def_orig_metric, def_orig_metric_type=def_orig_metric_type, def_orig_route_map=def_orig_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_deny_redistribute_create(self, rbridge_id=None, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_deny_redistribute_delete(self, rbridge_id=None, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_deny_redistribute_update(self, rbridge_id=None, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_deny_redistribute_get(self, rbridge_id=None, ospf=None, redistribute=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_ospf_distance_create(self, rbridge_id=None, ospf=None, distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propogation
					enum - [u'intra-area', u'external', u'inter-area']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_distance_delete(self, rbridge_id=None, ospf=None, distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propogation
					enum - [u'intra-area', u'external', u'inter-area']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_distance_update(self, rbridge_id=None, ospf=None, distance=None, dist_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propogation
					enum - [u'intra-area', u'external', u'inter-area']

		This Instance Arg(s):
			- dist_value (long):
				yang info - The distance for a given type of route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distance=distance, dist_value=dist_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_distance_get(self, rbridge_id=None, ospf=None, distance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propogation
					enum - [u'intra-area', u'external', u'inter-area']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_ospf_distribute_list_route_map_update(self, rbridge_id=None, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'route_map, direction_in'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_distribute_list_route_map_in_update(self, rbridge_id=None, ospf=None, route_map=None, in_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- route_map (unicode):
				yang info - Route-map name.
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- in_ (YANGBool):
				yang info - Apply filter for incoming Routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, route_map=route_map, in_=in_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_graceful_restart_update(self, rbridge_id=None, ospf=None, graceful_restart_enable=None, helper_disable=None, restart_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- graceful_restart_enable (YANGBool):

			- helper_disable (YANGBool):
				yang info - Disable Helper Mode

			- restart_time (long):
				yang info - Set the maximum restart wait time advertised to neighbors
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_enable=graceful_restart_enable, helper_disable=helper_disable, restart_time=restart_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_log_update(self, rbridge_id=None, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- log_all (YANGBool):
				yang info - Logging everything

			- log_database (YANGBool):
				yang info - Logging LSA activity

			- log_retransmit (YANGBool):
				yang info - Logging retransmit activity

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_log_adjacency_update(self, rbridge_id=None, ospf=None, dr_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- dr_only (YANGBool):
				yang info - Logging only Designated Router interfaces' 
adjacency changes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, dr_only=dr_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_log_adjacency_dr_only_update(self, rbridge_id=None, ospf=None, dr_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- dr_only (YANGBool):
				yang info - Logging only Designated Router interfaces' 
adjacency changes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, dr_only=dr_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_log_all_update(self, rbridge_id=None, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- log_all (YANGBool):
				yang info - Logging everything

			- log_database (YANGBool):
				yang info - Logging LSA activity

			- log_retransmit (YANGBool):
				yang info - Logging retransmit activity

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_log_bad_packet_update(self, rbridge_id=None, ospf=None, log_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- log_checksum (YANGBool):
				yang info - Logging bad checksum packets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_checksum=log_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_log_bad_packet_checksum_update(self, rbridge_id=None, ospf=None, log_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- log_checksum (YANGBool):
				yang info - Logging bad checksum packets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_checksum=log_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_update(self, rbridge_id=None, ospf=None, all_vrfs=None, all_lsas=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all_vrfs (YANGBool):
				yang info - Apply this to all the current OSPF instances

			- all_lsas (YANGBool):
				yang info - Replace Metric in all External and Summary
LSAs with default max metric value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_vrfs=all_vrfs, all_lsas=all_lsas)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_all_lsas_update(self, rbridge_id=None, ospf=None, all_vrfs=None, all_lsas=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all_vrfs (YANGBool):
				yang info - Apply this to all the current OSPF instances

			- all_lsas (YANGBool):
				yang info - Replace Metric in all External and Summary
LSAs with default max metric value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_vrfs=all_vrfs, all_lsas=all_lsas)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_external_lsa_update(self, rbridge_id=None, ospf=None, external_lsa_val=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- external_lsa_val (long):
				yang info - Indicates the metric of all external type 5 LSA's
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, external_lsa_val=external_lsa_val)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_link_update(self, rbridge_id=None, ospf=None, all=None, ptp=None, stub=None, transit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp,stub and transit links

			- ptp (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp links

			- stub (YANGBool):
				yang info - Advertise maximum metric in Router LSA for stub links

			- transit (YANGBool):
				yang info - Advertise maximum metric in Router LSA for transit links

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_link_all_update(self, rbridge_id=None, ospf=None, all=None, ptp=None, stub=None, transit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp,stub and transit links

			- ptp (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp links

			- stub (YANGBool):
				yang info - Advertise maximum metric in Router LSA for stub links

			- transit (YANGBool):
				yang info - Advertise maximum metric in Router LSA for transit links

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_update(self, rbridge_id=None, ospf=None, time=None, wait_for_bgp=None, all_lsas_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- time (long):
				yang info - DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
				range - ['0..4294967295']

			- wait_for_bgp (YANGBool):
				yang info - Advertise maximum metric until BGP has converged or 600 seconds

			- all_lsas_onstartup (YANGBool):
				yang info - Replace Metric in all External and Summary
LSAs with default max metric value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_all_lsas_update(self, rbridge_id=None, ospf=None, time=None, wait_for_bgp=None, all_lsas_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- time (long):
				yang info - DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
				range - ['0..4294967295']

			- wait_for_bgp (YANGBool):
				yang info - Advertise maximum metric until BGP has converged or 600 seconds

			- all_lsas_onstartup (YANGBool):
				yang info - Replace Metric in all External and Summary
LSAs with default max metric value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_external_lsa_update(self, rbridge_id=None, ospf=None, external_lsa_val_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- external_lsa_val_onstartup (long):
				yang info - Indicates the metric of all external type 5 LSA's
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, external_lsa_val_onstartup=external_lsa_val_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_link_update(self, rbridge_id=None, ospf=None, all_link_onstartup=None, ptp_link_onstartup=None, stub_link_onstartup=None, transit_link_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp,stub and transit links

			- ptp_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp links

			- stub_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for stub links

			- transit_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for transit links

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_link_all_update(self, rbridge_id=None, ospf=None, all_link_onstartup=None, ptp_link_onstartup=None, stub_link_onstartup=None, transit_link_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp,stub and transit links

			- ptp_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp links

			- stub_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for stub links

			- transit_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for transit links

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_summary_lsa_update(self, rbridge_id=None, ospf=None, summary_lsa_val_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- summary_lsa_val_onstartup (long):
				yang info - Metric of all summary type 3 and type 4 LSAs
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_val_onstartup=summary_lsa_val_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_max_metric_router_lsa_summary_lsa_update(self, rbridge_id=None, ospf=None, summary_lsa_val=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- summary_lsa_val (long):
				yang info - Metric of all summary type 3 and type 4 LSAs
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_val=summary_lsa_val)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_neighbor_create(self, rbridge_id=None, ospf=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- neighbor (neighbor_addr):
				neighbor_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.neighbor', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.neighbor', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_neighbor_delete(self, rbridge_id=None, ospf=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- neighbor (neighbor_addr):
				neighbor_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.neighbor', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.neighbor', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_neighbor_get(self, rbridge_id=None, ospf=None, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- neighbor (neighbor_addr):
				neighbor_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.neighbor', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.neighbor', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_ospf_permit_redistribute_create(self, rbridge_id=None, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_permit_redistribute_delete(self, rbridge_id=None, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_permit_redistribute_update(self, rbridge_id=None, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_permit_redistribute_get(self, rbridge_id=None, ospf=None, redistribute=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_ospf_redistribute_bgp_update(self, rbridge_id=None, ospf=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_redistribute_bgp_route_map_update(self, rbridge_id=None, ospf=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_redistribute_connected_update(self, rbridge_id=None, ospf=None, connected_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- connected_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_redistribute_connected_route_map_update(self, rbridge_id=None, ospf=None, connected_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- connected_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_redistribute_ospf_update(self, rbridge_id=None, ospf=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- ospf_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_redistribute_ospf_route_map_update(self, rbridge_id=None, ospf=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- ospf_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_redistribute_static_update(self, rbridge_id=None, ospf=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- static_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_redistribute_static_route_map_update(self, rbridge_id=None, ospf=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- static_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_rfc1583_compatibility_update(self, rbridge_id=None, ospf=None, rfc1583_compatibility_flag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- rfc1583_compatibility_flag (YANGBool):
				yang info - Enable RFC 1583 OSPF v2 compatibility

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, rfc1583_compatibility_flag=rfc1583_compatibility_flag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_summary_address_create(self, rbridge_id=None, ospf=None, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- summary_address (sum_address, sum_address_mask):
				sum_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sum_address_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.summary_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.summary_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.summary_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'sum_address, sum_address_mask', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_summary_address_delete(self, rbridge_id=None, ospf=None, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- summary_address (sum_address, sum_address_mask):
				sum_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sum_address_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.summary_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.summary_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.summary_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'sum_address, sum_address_mask', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_summary_address_get(self, rbridge_id=None, ospf=None, summary_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- summary_address (sum_address, sum_address_mask):
				sum_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sum_address_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.summary_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.summary_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.summary_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'sum_address, sum_address_mask', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_ospf_timers_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- lsa_group_pacing (long):
				yang info - OSPF LSA group pacing timer
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_timers_lsa_group_pacing_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- lsa_group_pacing (long):
				yang info - OSPF LSA group pacing timer
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_ospf_timers_throttle_spf_update(self, rbridge_id=None, ospf=None, init_delay=None, hold_time=None, max_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- init_delay (long):
				range - ['0..4294967295']

			- hold_time (long):
				yang info - Hold time (msec) between two SPF 
calculations, default is 5000 msec
				range - ['0..4294967295']

			- max_hold_time (long):
				yang info - Max hold time (msec) between two SPF 
calculations, default is 10000 msec
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, init_delay=init_delay, hold_time=hold_time, max_hold_time=max_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_update(self, rbridge_id=None, max_mcache=None, hello_interval=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- max_mcache (long):
				yang info - Set maximum PIM mcache
				range - ['0..4294967295']

			- hello_interval (int):
				yang info - Set hello message interval
				range - ['-32768..32767']

			- nbr_timeout (int):
				yang info - Set neighbor timeout
				range - ['-32768..32767']

			- inactivity_timer (int):
				yang info - Set inactivity interval
				range - ['-32768..32767']

			- message_interval (long):
				yang info - Set periodic join/prune message interval
				range - ['0..4294967295']

			- spt_threshold (long):
				yang info - Set threshold for switching to shortest-path-tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, max_mcache=max_mcache, hello_interval=hello_interval, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_bsr_candidate_interface_create(self, rbridge_id=None, bsr_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bsr_cand_interface (bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority):
				bsr_cand_intf_type (unicode):
					enum - [u'port-channel', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

				bsr_cand_intf_id (unicode):
					yang info - String;;Interface ID

				hash_mask_length (int):
					yang info - BSR hash mask
					range - ['0..65535']

				bsr_cand_priority (long):
					yang info - BSR priority
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_bsr_candidate_interface_delete(self, rbridge_id=None, bsr_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bsr_cand_interface (bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority):
				bsr_cand_intf_type (unicode):
					enum - [u'port-channel', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

				bsr_cand_intf_id (unicode):
					yang info - String;;Interface ID

				hash_mask_length (int):
					yang info - BSR hash mask
					range - ['0..65535']

				bsr_cand_priority (long):
					yang info - BSR priority
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_bsr_candidate_interface_update(self, rbridge_id=None, bsr_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bsr_cand_interface (bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority):
				bsr_cand_intf_type (unicode):
					enum - [u'port-channel', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

				bsr_cand_intf_id (unicode):
					yang info - String;;Interface ID

				hash_mask_length (int):
					yang info - BSR hash mask
					range - ['0..65535']

				bsr_cand_priority (long):
					yang info - BSR priority
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_bsr_candidate_interface_get(self, rbridge_id=None, bsr_cand_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- bsr_cand_interface (bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority):
				bsr_cand_intf_type (unicode):
					enum - [u'port-channel', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

				bsr_cand_intf_id (unicode):
					yang info - String;;Interface ID

				hash_mask_length (int):
					yang info - BSR hash mask
					range - ['0..65535']

				bsr_cand_priority (long):
					yang info - BSR priority
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_pim_bsr_msg_interval_update(self, rbridge_id=None, reset_tracking_bit=None, max_mcache=None, hello_interval=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, bsr_msg_interval=None, rp_adv_interval=None, spt_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- reset_tracking_bit (YANGBool):
				yang info - Set tracking bit

			- max_mcache (long):
				yang info - Set maximum PIM mcache
				range - ['0..4294967295']

			- hello_interval (int):
				yang info - Set hello message interval
				range - ['-32768..32767']

			- nbr_timeout (int):
				yang info - Set neighbor timeout
				range - ['-32768..32767']

			- inactivity_timer (int):
				yang info - Set inactivity interval
				range - ['-32768..32767']

			- message_interval (long):
				yang info - Set periodic join/prune message interval
				range - ['0..4294967295']

			- bsr_msg_interval (long):
				yang info - Set Bootstrap message interval
				range - ['0..4294967295']

			- rp_adv_interval (long):
				yang info - Set RP candidate advertisement message interval
				range - ['0..4294967295']

			- spt_threshold (long):
				yang info - Set threshold for switching to shortest-path-tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, reset_tracking_bit=reset_tracking_bit, max_mcache=max_mcache, hello_interval=hello_interval, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, bsr_msg_interval=bsr_msg_interval, rp_adv_interval=rp_adv_interval, spt_threshold=spt_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_hello_interval_update(self, rbridge_id=None, max_mcache=None, hello_interval=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- max_mcache (long):
				yang info - Set maximum PIM mcache
				range - ['0..4294967295']

			- hello_interval (int):
				yang info - Set hello message interval
				range - ['-32768..32767']

			- nbr_timeout (int):
				yang info - Set neighbor timeout
				range - ['-32768..32767']

			- inactivity_timer (int):
				yang info - Set inactivity interval
				range - ['-32768..32767']

			- message_interval (long):
				yang info - Set periodic join/prune message interval
				range - ['0..4294967295']

			- spt_threshold (long):
				yang info - Set threshold for switching to shortest-path-tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, max_mcache=max_mcache, hello_interval=hello_interval, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_address_create(self, rbridge_id=None, rp_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_address (rp_ip_addr, prefix_list):
				rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_list (unicode):
					yang info - Prefix list
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_address=rp_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_address_delete(self, rbridge_id=None, rp_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_address (rp_ip_addr, prefix_list):
				rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_list (unicode):
					yang info - Prefix list
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_address=rp_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_address_update(self, rbridge_id=None, rp_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_address (rp_ip_addr, prefix_list):
				rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_list (unicode):
					yang info - Prefix list
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_address=rp_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_address_get(self, rbridge_id=None, rp_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_address (rp_ip_addr, prefix_list):
				rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				prefix_list (unicode):
					yang info - Prefix list
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_address=rp_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_pim_rp_candidate_create(self, rbridge_id=None, rp_cand_grp_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_cand_grp_prefix (rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length):
				rp_cand_grp_prefix_action (unicode):
					enum - [u'add', u'delete']

				rp_cand_grp_prefix_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_cand_grp_prefix_length (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length', 'extra_keyval': 'rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_grp_prefix=rp_cand_grp_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_candidate_delete(self, rbridge_id=None, rp_cand_grp_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_cand_grp_prefix (rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length):
				rp_cand_grp_prefix_action (unicode):
					enum - [u'add', u'delete']

				rp_cand_grp_prefix_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_cand_grp_prefix_length (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length', 'extra_keyval': 'rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_grp_prefix=rp_cand_grp_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_candidate_get(self, rbridge_id=None, rp_cand_grp_prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_cand_grp_prefix (rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length):
				rp_cand_grp_prefix_action (unicode):
					enum - [u'add', u'delete']

				rp_cand_grp_prefix_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_cand_grp_prefix_length (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length', 'extra_keyval': 'rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_grp_prefix=rp_cand_grp_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_pim_rp_candidate_group_range_create(self, rbridge_id=None, rp_cand_grp_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_cand_grp_prefix (rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length):
				rp_cand_grp_prefix_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_cand_grp_prefix_length (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length', 'extra_keyval': 'rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_grp_prefix=rp_cand_grp_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_candidate_group_range_delete(self, rbridge_id=None, rp_cand_grp_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_cand_grp_prefix (rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length):
				rp_cand_grp_prefix_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_cand_grp_prefix_length (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length', 'extra_keyval': 'rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_grp_prefix=rp_cand_grp_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_candidate_group_range_get(self, rbridge_id=None, rp_cand_grp_prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_cand_grp_prefix (rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length):
				rp_cand_grp_prefix_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_cand_grp_prefix_length (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length', 'extra_keyval': 'rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_grp_prefix=rp_cand_grp_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_router_pim_rp_candidate_interface_create(self, rbridge_id=None, rp_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_cand_interface (rp_cand_intf_type, rp_cand_intf_id):
				rp_cand_intf_type (unicode):
					enum - [u'port-channel', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

				rp_cand_intf_id (unicode):
					yang info - Interface ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_interface=rp_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_candidate_interface_delete(self, rbridge_id=None, rp_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_cand_interface (rp_cand_intf_type, rp_cand_intf_id):
				rp_cand_intf_type (unicode):
					enum - [u'port-channel', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

				rp_cand_intf_id (unicode):
					yang info - Interface ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_interface=rp_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_candidate_interface_update(self, rbridge_id=None, rp_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_cand_interface (rp_cand_intf_type, rp_cand_intf_id):
				rp_cand_intf_type (unicode):
					enum - [u'port-channel', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

				rp_cand_intf_id (unicode):
					yang info - Interface ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_interface=rp_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_router_pim_rp_candidate_interface_get(self, rbridge_id=None, rp_cand_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- rp_cand_interface (rp_cand_intf_type, rp_cand_intf_id):
				rp_cand_intf_type (unicode):
					enum - [u'port-channel', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

				rp_cand_intf_id (unicode):
					yang info - Interface ID

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_interface=rp_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_secpolicy_active_policy_create(self, rbridge_id=None, policies=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_secpolicy_active_policy_delete(self, rbridge_id=None, policies=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_secpolicy_active_policy_get(self, rbridge_id=None, policies=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_secpolicy_active_policy_member_entry_create(self, rbridge_id=None, policies=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.active_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_secpolicy_active_policy_member_entry_delete(self, rbridge_id=None, policies=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.active_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_secpolicy_active_policy_member_entry_get(self, rbridge_id=None, policies=None, member_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.active_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_secpolicy_defined_policy_create(self, rbridge_id=None, policies=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_secpolicy_defined_policy_delete(self, rbridge_id=None, policies=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_secpolicy_defined_policy_get(self, rbridge_id=None, policies=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_secpolicy_defined_policy_member_entry_create(self, rbridge_id=None, policies=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_secpolicy_defined_policy_member_entry_delete(self, rbridge_id=None, policies=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_secpolicy_defined_policy_member_entry_get(self, rbridge_id=None, policies=None, member_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_snmp_server_engineid_update(self, rbridge_id=None, local_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- local_ (unicode):
				yang info - Agent's (Local) engine Id
				pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.engineID', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, local_=local_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_engineid_local_update(self, rbridge_id=None, local_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- local_ (unicode):
				yang info - Agent's (Local) engine Id
				pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.engineID', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, local_=local_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_offline_if_update(self, rbridge_id=None, offline_if_display_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- offline_if_display_enable (YANGBool):
				yang info - Enable SNMP to display offline interfaces when linecard powered-off

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.offline_if', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, offline_if_display_enable=offline_if_display_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_offline_if_enable_update(self, rbridge_id=None, offline_if_display_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- offline_if_display_enable (YANGBool):
				yang info - Enable SNMP to display offline interfaces when linecard powered-off

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.offline_if', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, offline_if_display_enable=offline_if_display_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_three_tuple_if_update(self, rbridge_id=None, three_tuple_if_display_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- three_tuple_if_display_enable (YANGBool):
				yang info - Enable SNMP to display ifDescr and ifName in 3-tuple format

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, three_tuple_if_display_enable=three_tuple_if_display_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_three_tuple_if_enable_update(self, rbridge_id=None, three_tuple_if_display_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- three_tuple_if_display_enable (YANGBool):
				yang info - Enable SNMP to display ifDescr and ifName in 3-tuple format

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, three_tuple_if_display_enable=three_tuple_if_display_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_user_create(self, rbridge_id=None, user=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- user (username, groupname, auth, auth_password, priv, priv_password, encrypted):
				username (unicode):
					length - [u'1 .. 25']

				groupname (unicode):

				auth (unicode):
					yang info - Authorization protocol for username
(Default=noauth)
					enum - [u'sha', u'noauth', u'md5']

				auth_password (unicode):
					yang info - Authorization password associated with
username

				priv (unicode):
					yang info - Privacy protocol for username (Default=nopriv)
					enum - [u'AES128', u'DES', u'nopriv']

				priv_password (unicode):
					yang info - Privacy password associated with username

				encrypted (YANGBool):
					yang info - This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_user_delete(self, rbridge_id=None, user=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- user (username, groupname, auth, auth_password, priv, priv_password, encrypted):
				username (unicode):
					length - [u'1 .. 25']

				groupname (unicode):

				auth (unicode):
					yang info - Authorization protocol for username
(Default=noauth)
					enum - [u'sha', u'noauth', u'md5']

				auth_password (unicode):
					yang info - Authorization password associated with
username

				priv (unicode):
					yang info - Privacy protocol for username (Default=nopriv)
					enum - [u'AES128', u'DES', u'nopriv']

				priv_password (unicode):
					yang info - Privacy password associated with username

				encrypted (YANGBool):
					yang info - This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_user_update(self, rbridge_id=None, user=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- user (username, groupname, auth, auth_password, priv, priv_password, encrypted):
				username (unicode):
					length - [u'1 .. 25']

				groupname (unicode):

				auth (unicode):
					yang info - Authorization protocol for username
(Default=noauth)
					enum - [u'sha', u'noauth', u'md5']

				auth_password (unicode):
					yang info - Authorization password associated with
username

				priv (unicode):
					yang info - Privacy protocol for username (Default=nopriv)
					enum - [u'AES128', u'DES', u'nopriv']

				priv_password (unicode):
					yang info - Privacy password associated with username

				encrypted (YANGBool):
					yang info - This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_user_get(self, rbridge_id=None, user=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- user (username, groupname, auth, auth_password, priv, priv_password, encrypted):
				username (unicode):
					length - [u'1 .. 25']

				groupname (unicode):

				auth (unicode):
					yang info - Authorization protocol for username
(Default=noauth)
					enum - [u'sha', u'noauth', u'md5']

				auth_password (unicode):
					yang info - Authorization password associated with
username

				priv (unicode):
					yang info - Privacy protocol for username (Default=nopriv)
					enum - [u'AES128', u'DES', u'nopriv']

				priv_password (unicode):
					yang info - Privacy password associated with username

				encrypted (YANGBool):
					yang info - This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_snmp_server_v3host_create(self, rbridge_id=None, v3host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- v3host (hostip, username):
				hostip (unicode):
					yang info - ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				username (unicode):
					yang info - Username associated with notification type.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, v3host=v3host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_v3host_delete(self, rbridge_id=None, v3host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- v3host (hostip, username):
				hostip (unicode):
					yang info - ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				username (unicode):
					yang info - Username associated with notification type.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, v3host=v3host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_v3host_update(self, rbridge_id=None, v3host=None, udp_port=None, notifytype=None, engineid=None, severity_level=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- v3host (hostip, username):
				hostip (unicode):
					yang info - ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				username (unicode):
					yang info - Username associated with notification type.

		This Instance Arg(s):
			- udp_port (long):
				yang info - Port number used to send notifications.
(Default=162)
				range - ['0..4294967295']

			- notifytype (unicode):
				yang info - Type of notification sent to host.
(Default=traps)
				enum - [u'informs', u'traps']

			- engineid (unicode):
				yang info - Manager's (Remote) engine Id.

			- severity_level (unicode):
				yang info - Severity level associated with traps
				enum - [u'Info', u'None', u'Critical', u'Warning', u'Error', u'Debug']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, v3host=v3host, udp_port=udp_port, notifytype=notifytype, engineid=engineid, severity_level=severity_level)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_snmp_server_v3host_get(self, rbridge_id=None, v3host=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- v3host (hostip, username):
				hostip (unicode):
					yang info - ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				username (unicode):
					yang info - Username associated with notification type.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, v3host=v3host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_spanning_tree_ieee_bpdu_update(self, rbridge_id=None, limit_vlan_flood=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- limit_vlan_flood (YANGBool):
				yang info - Limits flooding of IEEE BPDU within same VLAN

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, limit_vlan_flood=limit_vlan_flood)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_spanning_tree_ieee_bpdu_limit_vlan_flood_update(self, rbridge_id=None, limit_vlan_flood=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- limit_vlan_flood (YANGBool):
				yang info - Limits flooding of IEEE BPDU within same VLAN

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, limit_vlan_flood=limit_vlan_flood)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_client_update(self, rbridge_id=None, cipher=None, mac=None, key_exchange=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cipher (unicode):
				yang info - Configure Cipher(s)

			- mac (unicode):
				yang info - Configure MAC algorithm(s)

			- key_exchange (unicode):
				yang info - Configure Key-exchange algorithm

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.client', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.client', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.client', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, cipher=cipher, mac=mac, key_exchange=key_exchange)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_client_cipher_update(self, rbridge_id=None, cipher=None, mac=None, key_exchange=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- cipher (unicode):
				yang info - Configure Cipher(s)

			- mac (unicode):
				yang info - Configure MAC algorithm(s)

			- key_exchange (unicode):
				yang info - Configure Key-exchange algorithm

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.client', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.client', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.client', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, cipher=cipher, mac=mac, key_exchange=key_exchange)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_server_cipher_update(self, rbridge_id=None, shutdown=None, key_exchange=None, rekey_interval=None, cipher=None, mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shutdown SSH Server

			- key_exchange (unicode):
				yang info - Configure Key Exchange algorithm(s))

			- rekey_interval (long):
				yang info - Time interval for session rekeying
				range - ['0..4294967295']

			- cipher (unicode):
				yang info - Configure Cipher(s)

			- mac (unicode):
				yang info - Configure MAC algorithm(s)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, shutdown=shutdown, key_exchange=key_exchange, rekey_interval=rekey_interval, cipher=cipher, mac=mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_server_key_update(self, rbridge_id=None, rsa=None, ecdsa=None, dsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rsa (unicode):
				yang info - RSA Algorithm type
				enum - [u'1024', u'2048']

			- ecdsa (unicode):
				yang info - ECDSA Algorithm type
				enum - [u'256']

			- dsa (YANGBool):
				yang info - DSA Algorithm type

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.key', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.key', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rsa=rsa, ecdsa=ecdsa, dsa=dsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_server_key_dsa_update(self, rbridge_id=None, rsa=None, ecdsa=None, dsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rsa (unicode):
				yang info - RSA Algorithm type
				enum - [u'1024', u'2048']

			- ecdsa (unicode):
				yang info - ECDSA Algorithm type
				enum - [u'256']

			- dsa (YANGBool):
				yang info - DSA Algorithm type

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.key', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.key', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rsa=rsa, ecdsa=ecdsa, dsa=dsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_server_standby_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable standby SSH

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.standby', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.standby', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_server_standby_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable standby SSH

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.standby', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.standby', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_server_use_vrf_create(self, rbridge_id=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, ssh_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				ssh_vrf_shutdown (YANGBool):
					yang info - Shutdown SSH server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_server_use_vrf_delete(self, rbridge_id=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, ssh_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				ssh_vrf_shutdown (YANGBool):
					yang info - Shutdown SSH server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_server_use_vrf_update(self, rbridge_id=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, ssh_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				ssh_vrf_shutdown (YANGBool):
					yang info - Shutdown SSH server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_ssh_server_use_vrf_get(self, rbridge_id=None, use_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, ssh_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				ssh_vrf_shutdown (YANGBool):
					yang info - Shutdown SSH server on given vrf

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_switch_attributes_update(self, rbridge_id=None, chassis_name=None, host_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- chassis_name (unicode):
				yang info - Chassis name
				length - [u'1..30']

			- host_name (unicode):
				yang info - Host name
				length - [u'1..30']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.switch_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.switch_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.switch_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_switch_attributes_chassis_name_update(self, rbridge_id=None, chassis_name=None, host_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- chassis_name (unicode):
				yang info - Chassis name
				length - [u'1..30']

			- host_name (unicode):
				yang info - Host name
				length - [u'1..30']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.switch_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.switch_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.switch_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_max_update(self, rbridge_id=None, arp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- arp (long):
				yang info - Maximum number of arps system will allocate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_max', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_max', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_max', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, arp=arp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_max_arp_update(self, rbridge_id=None, arp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- arp (long):
				yang info - Maximum number of arps system will allocate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_max', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_max', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_max', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, arp=arp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_mode_update(self, rbridge_id=None, maintenance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- maintenance (YANGBool):
				yang info - Enable maintenance mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.system_mode', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, maintenance=maintenance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_mode_maintenance_update(self, rbridge_id=None, maintenance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- maintenance (YANGBool):
				yang info - Enable maintenance mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.system_mode', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, maintenance=maintenance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_cid_card_alert_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_cid_card_alert_action_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- state (unicode):
				yang info - Supported states for component:CID-CARD
that may be monitored
				enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

			- action (unicode):
				yang info - Action that may be taken when
component:CID-CARD changes configured state
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_cid_card_threshold_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_cid_card_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to MARGINAL
state of component:CID-CARD
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to DOWN
state of component:CID-CARD
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_compact_flash_threshold_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_compact_flash_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to MARGINAL
state of component:COMPACT-FLASH
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to DOWN
state of component:COMPACT-FLASH
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_fan_alert_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_fan_alert_action_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- state (unicode):
				yang info - Supported states for component:FAN 
that may be monitored
				enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

			- action (unicode):
				yang info - Action that may be taken when 
component:FAN changes configured state
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_fan_threshold_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_fan_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to 
MARGINAL state of component:FAN
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to 
 DOWN state of component:FAN
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_linecard_alert_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_linecard_alert_action_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- state (unicode):
				yang info - Supported states for component:LINECARD
that may be monitored
				enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

			- action (unicode):
				yang info - Action that may be taken when
component:LINECARD changes configured state
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_linecard_threshold_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_linecard_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to 
MARGINAL state of component:LineCard
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to 
 DOWN state of component:LineCard
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_mm_threshold_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_mm_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to 
MARGINAL state of component:MM
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to 
 DOWN state of component:MM
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_power_alert_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.power.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_power_alert_action_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- state (unicode):
				yang info - Supported states for component:
POWER-SUPPLY that may be monitored
				enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

			- action (unicode):
				yang info - Action that may be taken when
component:POWER SUPPLY changes configured state
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.power.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_power_threshold_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_power_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to 
MARGINAL state of component:POWER SUPPLY
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to 
DOWN state of component:POWER SUPPLY
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_sfm_threshold_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_sfm_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to 
MARGINAL state of component:SFM
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to 
 DOWN state of component:SFM
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_sfp_alert_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_sfp_alert_action_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- state (unicode):
				yang info - Supported states for component:
SFP that may be monitored
				enum - [u'none', u'removed', u'inserted', u'faulty', u'all']

			- action (unicode):
				yang info - Action that may be taken when
component:SFP changes configured state
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_temp_threshold_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_system_monitor_temp_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to MARGINAL 
state of component:TEMPERATURE SENSOR
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to DOWN
state of component:TEMPERATURE SENSOR
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_telnet_server_shutdown_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shutdown Telnet Server

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_telnet_server_standby_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Standby Telnet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server.standby', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server.standby', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_telnet_server_standby_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Standby Telnet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server.standby', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server.standby', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_telnet_server_use_vrf_create(self, rbridge_id=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, telnet_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				telnet_vrf_shutdown (YANGBool):
					yang info - Shutdown telnet server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_telnet_server_use_vrf_delete(self, rbridge_id=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, telnet_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				telnet_vrf_shutdown (YANGBool):
					yang info - Shutdown telnet server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_telnet_server_use_vrf_update(self, rbridge_id=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, telnet_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				telnet_vrf_shutdown (YANGBool):
					yang info - Shutdown telnet server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_telnet_server_use_vrf_get(self, rbridge_id=None, use_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, telnet_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				telnet_vrf_shutdown (YANGBool):
					yang info - Shutdown telnet server on given vrf

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_threshold_monitor_buffer_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_buffer_actions_update(self, rbridge_id=None, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- poll (long):
				yang info - NUMBER:10-3600 Polling interval
				range - ['0..4294967295']

			- retry (long):
				yang info - NUMBER:1-100 Number of retries
				range - ['0..4294967295']

			- limit (long):
				yang info - PERCENT:0-80 Percent threshold usage for component:Buffer
				range - ['0..4294967295']

			- actions (unicode):
				yang info - Action to be taken when usage exceeds limit
				enum - [u'loginfo', u'none', u'raslog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, actions=actions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_cpu_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_cpu_actions_update(self, rbridge_id=None, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- poll (long):
				yang info - NUMBER:10-3600 Polling interval
				range - ['0..4294967295']

			- retry (long):
				yang info - NUMBER:1-100 Number of retries
				range - ['0..4294967295']

			- limit (long):
				yang info - PERCENT:0-80 Percent threshold usage for component:CPU
				range - ['0..4294967295']

			- actions (unicode):
				yang info - Action to be taken when usage exceeds limit
				enum - [u'none', u'raslog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, actions=actions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_apply_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_policy_create(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_policy_delete(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_policy_get(self, rbridge_id=None, policy=None, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_policy_alert_above_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, above_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

		This Instance Arg(s):
			- above_highthresh_action (unicode):
				enum - [u'raslog', u'none', u'all', u'fence', u'email']

			- above_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_policy_alert_above_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, above_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

		This Instance Arg(s):
			- above_highthresh_action (unicode):
				enum - [u'raslog', u'none', u'all', u'fence', u'email']

			- above_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_policy_alert_below_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

		This Instance Arg(s):
			- below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_policy_alert_below_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

		This Instance Arg(s):
			- below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_policy_threshold_update(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'timebase_value, high_threshold, low_threshold, buffer'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_interface_policy_threshold_buffer_update(self, rbridge_id=None, policy=None, area=None, timebase_value=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

		This Instance Arg(s):
			- timebase_value (unicode):
				yang info - Configure timebase for monitoring
				enum - [u'none', u'minute', u'hour', u'day']

			- high_threshold (long):
				yang info - High threshold value
				range - ['-2147483648..2147483647']

			- low_threshold (long):
				yang info - Low threshold value
				range - ['-2147483648..2147483647']

			- buffer (long):
				yang info - Buffer threshold value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, timebase_value=timebase_value, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_memory_update(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, high_limit, low_limit, actions'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_memory_actions_update(self, rbridge_id=None, poll=None, retry=None, limit=None, high_limit=None, low_limit=None, actions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- poll (long):
				yang info - Polling interval
				range - ['0..4294967295']

			- retry (long):
				yang info - NUMBER:0-100: Number of retries for component:MEMORY
				range - ['0..4294967295']

			- limit (long):
				yang info - PERCENT:0-80 : Percent threshold usage for component:MEMORY
				range - ['0..4294967295']

			- high_limit (long):
				yang info - PERCENT:0-80 : Percent high threshold usage for component:MEMORY
				range - ['0..4294967295']

			- low_limit (long):
				yang info - PERCENT:0-80 : Percent low threshold usage for component:MEMORY
				range - ['0..4294967295']

			- actions (unicode):
				yang info - Action to be taken when usage exceeds limit
				enum - [u'none', u'raslog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, high_limit=high_limit, low_limit=low_limit, actions=actions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_apply_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_policy_create(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (sec_policy_name):
				sec_policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_policy_delete(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (sec_policy_name):
				sec_policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_policy_update(self, rbridge_id=None, policy=None, area=None, timebase=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (sec_policy_name):
				sec_policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- timebase (unicode):
				yang info - Configure timebase for monitoring
				enum - [u'none', u'minute', u'hour', u'day']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, timebase=timebase)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_policy_get(self, rbridge_id=None, policy=None, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (sec_policy_name):
				sec_policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_policy_alert_above_update(self, rbridge_id=None, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- sec_above_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_policy_alert_above_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- sec_above_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_policy_alert_below_update(self, rbridge_id=None, policy=None, area=None, sec_below_highthresh_action=None, sec_below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- sec_below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- sec_below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_policy_alert_below_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, sec_below_highthresh_action=None, sec_below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- sec_below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- sec_below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_policy_threshold_update(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'sec_high_threshold, sec_low_threshold, sec_buffer'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_security_policy_threshold_buffer_update(self, rbridge_id=None, policy=None, area=None, sec_high_threshold=None, sec_low_threshold=None, sec_buffer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- sec_high_threshold (long):
				yang info - High threshold value
				range - ['-2147483648..2147483647']

			- sec_low_threshold (long):
				yang info - Low threshold value
				range - ['-2147483648..2147483647']

			- sec_buffer (long):
				yang info - Buffer threshold value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_high_threshold=sec_high_threshold, sec_low_threshold=sec_low_threshold, sec_buffer=sec_buffer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_apply_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_policy_create(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_policy_delete(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_policy_get(self, rbridge_id=None, policy=None, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_policy_alert_above_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

		This Instance Arg(s):
			- above_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_policy_alert_above_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

		This Instance Arg(s):
			- above_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_policy_alert_below_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

		This Instance Arg(s):
			- below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_policy_alert_below_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

		This Instance Arg(s):
			- below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_policy_threshold_update(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'high_threshold, low_threshold, buffer'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_threshold_monitor_sfp_policy_threshold_buffer_update(self, rbridge_id=None, policy=None, area=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

		This Instance Arg(s):
			- high_threshold (long):
				yang info - High threshold value
				range - ['-2147483648..2147483647']

			- low_threshold (long):
				yang info - Low threshold value
				range - ['-2147483648..2147483647']

			- buffer (long):
				yang info - Buffer threshold value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vcs_auto_shut_update(self, rbridge_id=None, lag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- lag (YANGBool):
				yang info - Enable auto-shut of lag in case of fabric segmentation

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vcs.auto_shut', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.vcs.auto_shut', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, lag=lag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vcs_auto_shut_lag_update(self, rbridge_id=None, lag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- lag (YANGBool):
				yang info - Enable auto-shut of lag in case of fabric segmentation

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vcs.auto_shut', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.vcs.auto_shut', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, lag=lag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_create(self, rbridge_id=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_delete(self, rbridge_id=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_update(self, rbridge_id=None, vrf=None, route_distiniguisher=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- route_distiniguisher (unicode):
				yang info - Configure Route Distinguisher

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_distiniguisher=route_distiniguisher)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_get(self, rbridge_id=None, vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_update(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- max_route (long):
				yang info - Maximum number of routes allowed in this routing table
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_arp_create(self, rbridge_id=None, vrf=None, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_arp_delete(self, rbridge_id=None, vrf=None, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_arp_update(self, rbridge_id=None, vrf=None, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_arp_get(self, rbridge_id=None, vrf=None, arp_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				GigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				TenGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				FortyGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				HundredGigabitEthernet (unicode):
					length - [u'3..16']
					pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_export_update(self, rbridge_id=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_export, evpn_export'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_export_evpn_update(self, rbridge_id=None, vrf=None, map_export=None, evpn_export=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- map_export (unicode):
				yang info - Route-map filter to be applied on export route
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- evpn_export (YANGBool):
				yang info - Filter routes from EVPN

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export, evpn_export=evpn_export)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_import_update(self, rbridge_id=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_import, evpn_import'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_import_evpn_update(self, rbridge_id=None, vrf=None, map_import=None, evpn_import=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- map_import (unicode):
				yang info - Route-map filter to be applied on import route
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- evpn_import (YANGBool):
				yang info - Filter routes from EVPN

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import, evpn_import=evpn_import)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_import_routes_create(self, rbridge_id=None, vrf=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_import_routes_delete(self, rbridge_id=None, vrf=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_import_routes_get(self, rbridge_id=None, vrf=None, routes=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_create(self, rbridge_id=None, vrf=None, static_route_nh_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_delete(self, rbridge_id=None, vrf=None, static_route_nh_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_get(self, rbridge_id=None, vrf=None, static_route_nh_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_distance_update(self, rbridge_id=None, vrf=None, static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- static_route_nh (static_route_dest, static_route_next_hop):
				static_route_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- metric (long):
				yang info - Cost metric
				range - ['0..4294967295']

			- distance (long):
				yang info - Route distance
				range - ['0..4294967295']

			- tag (long):
				yang info - Tag value for this route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, metric=metric, distance=distance, tag=tag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_bfd_create(self, rbridge_id=None, vrf=None, bfd_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_bfd_delete(self, rbridge_id=None, vrf=None, bfd_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_bfd_get(self, rbridge_id=None, vrf=None, bfd_static_route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_bfd_interval_update(self, rbridge_id=None, vrf=None, bfd_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- interval (int):
				yang info - Transmit interval
				range - ['0..65535']

			- min_rx (int):
				yang info - Receive interval
				range - ['0..65535']

			- multiplier (int):
				yang info - Multiplier value
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_max_route_update(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- max_route (long):
				yang info - Maximum number of routes allowed in this routing table
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_route_target_create(self, rbridge_id=None, vrf=None, route_target=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_route_target_delete(self, rbridge_id=None, vrf=None, route_target=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_route_target_update(self, rbridge_id=None, vrf=None, route_target=None, evpn=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

		This Instance Arg(s):
			- evpn (YANGBool):
				yang info - EVPN Route target

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv4_unicast_route_target_get(self, rbridge_id=None, vrf=None, route_target=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_update(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- max_route (long):
				yang info - Maximum number of routes allowed in this routing table
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_export_update(self, rbridge_id=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_export, evpn_export'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_export_evpn_update(self, rbridge_id=None, vrf=None, map_export=None, evpn_export=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- map_export (unicode):
				yang info - Route-map filter to be applied on export route
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- evpn_export (YANGBool):
				yang info - Filter routes from EVPN

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export, evpn_export=evpn_export)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_import_update(self, rbridge_id=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_import, evpn_import'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_import_evpn_update(self, rbridge_id=None, vrf=None, map_import=None, evpn_import=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- map_import (unicode):
				yang info - Route-map filter to be applied on import route
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- evpn_import (YANGBool):
				yang info - Filter routes from EVPN

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import, evpn_import=evpn_import)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_import_routes_create(self, rbridge_id=None, vrf=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_import_routes_delete(self, rbridge_id=None, vrf=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_import_routes_get(self, rbridge_id=None, vrf=None, routes=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_create(self, rbridge_id=None, vrf=None, ipv6_static_route_oif_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- ipv6_static_route_oif_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name):
				static_route_next_vrf_dest (unicode):
					yang info - A:B::C:D/LEN ;; Destination IPv6 Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_oif_type (unicode):
					yang info - Outgoing interface type
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u've']

				static_route_oif_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, ipv6_static_route_oif_vrf=ipv6_static_route_oif_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_delete(self, rbridge_id=None, vrf=None, ipv6_static_route_oif_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- ipv6_static_route_oif_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name):
				static_route_next_vrf_dest (unicode):
					yang info - A:B::C:D/LEN ;; Destination IPv6 Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_oif_type (unicode):
					yang info - Outgoing interface type
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u've']

				static_route_oif_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, ipv6_static_route_oif_vrf=ipv6_static_route_oif_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_get(self, rbridge_id=None, vrf=None, ipv6_static_route_oif_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- ipv6_static_route_oif_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name):
				static_route_next_vrf_dest (unicode):
					yang info - A:B::C:D/LEN ;; Destination IPv6 Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name

				static_route_oif_type (unicode):
					yang info - Outgoing interface type
					enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u've']

				static_route_oif_name (unicode):
					length - [u'1..16']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, ipv6_static_route_oif_vrf=ipv6_static_route_oif_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_distance_update(self, rbridge_id=None, vrf=None, link_local_static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- link_local_static_route_nh (link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name):
				link_local_static_route_dest (unicode):
					yang info - A:B::C:D/LEN ;; Destination IPv6 Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				link_local_nexthop (unicode):
					yang info - A:B::C:D ;; Next hop IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				link_local_route_oif_type (unicode):
					yang info - Outgoing interface type
					enum - [u'management', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

				link_local_route_oif_name (unicode):
					length - [u'1..16']

		This Instance Arg(s):
			- metric (long):
				yang info - Cost metric
				range - ['0..4294967295']

			- distance (long):
				yang info - Route distance
				range - ['0..4294967295']

			- tag (long):
				yang info - Tag value for this route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, metric=metric, distance=distance, tag=tag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_create(self, rbridge_id=None, vrf=None, bfd_ipv6_link_local_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_delete(self, rbridge_id=None, vrf=None, bfd_ipv6_link_local_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_get(self, rbridge_id=None, vrf=None, bfd_ipv6_link_local_static_route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_interval_update(self, rbridge_id=None, vrf=None, bfd_ipv6_link_local_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

				bfd_interface_name (unicode):
					length - [u'1..16']

		This Instance Arg(s):
			- interval (int):
				yang info - Transmit interval
				range - ['0..65535']

			- min_rx (int):
				yang info - Receive interval
				range - ['0..65535']

			- multiplier (int):
				yang info - Multiplier value
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_max_route_update(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- max_route (long):
				yang info - Maximum number of routes allowed in this routing table
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_route_target_create(self, rbridge_id=None, vrf=None, route_target=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_route_target_delete(self, rbridge_id=None, vrf=None, route_target=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_route_target_update(self, rbridge_id=None, vrf=None, route_target=None, evpn=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

		This Instance Arg(s):
			- evpn (YANGBool):
				yang info - EVPN Route target

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_address_family_ipv6_unicast_route_target_get(self, rbridge_id=None, vrf=None, route_target=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrf_ip_update(self, rbridge_id=None, vrf=None, vrf_router_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- vrf_router_id (unicode):
				yang info - Change the router ID already in use
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, vrf_router_id=vrf_router_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_ip_router_id_update(self, rbridge_id=None, vrf=None, vrf_router_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- vrf_router_id (unicode):
				yang info - Change the router ID already in use
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, vrf_router_id=vrf_router_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_route_target_create(self, rbridge_id=None, vrf=None, route_target=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.route_target', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_route_target_delete(self, rbridge_id=None, vrf=None, route_target=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.route_target', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrf_route_target_get(self, rbridge_id=None, vrf=None, route_target=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.route_target', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rbridge_id_vrrp_update(self, rbridge_id=None, early_startup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- early_startup (YANGBool):
				yang info - Specific use only - launch VRRP daemon earlier than default settings.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrrp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrrp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, early_startup=early_startup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrrp_acceptmode_disable_update(self, rbridge_id=None, vrrp_acceptmode_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vrrp_acceptmode_disable (YANGBool):
				yang info - Disable accept mode  for the non owner vrrp vip

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrrp_acceptmode_disable=vrrp_acceptmode_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rbridge_id_vrrp_early_startup_update(self, rbridge_id=None, early_startup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rbridge_id (rbridge_id):
				rbridge_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- early_startup (YANGBool):
				yang info - Specific use only - launch VRRP daemon earlier than default settings.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
        bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrrp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrrp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, early_startup=early_startup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def redundancy_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- rbridge_id (unicode):
				yang info - Please enter 'all' or an individual rbridge-id in the range 1-239
				length - [u'1..3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.brocade_ha_rpc.redundancy.input', 'pybind.nos.v7_0_1a.brocade_ha_rpc.brocade_ha', 'pybind.nos.v7_0_1a.brocade_ha_rpc'), ('pybind.nos.v7_1_0.brocade_ha_rpc.redundancy.input', 'pybind.nos.v7_1_0.brocade_ha_rpc.brocade_ha', 'pybind.nos.v7_1_0.brocade_ha_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def reload_rpc(self, rbridge_id=None, system=None, standby=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (unicode):
				yang info - Rbridge-id (use only with  reload system)
				length - [u'1..3']

			- system (YANGBool):
				yang info - Reboots the chassis

			- standby (YANGBool):
				yang info - Reboots the standby MM

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_ha_rpc.reload.input', 'pybind.nos.v6_0_2b.brocade_ha_rpc.brocade_ha', 'pybind.nos.v6_0_2b.brocade_ha_rpc'), ('pybind.nos.v7_0_1a.brocade_ha_rpc.reload.input', 'pybind.nos.v7_0_1a.brocade_ha_rpc.brocade_ha', 'pybind.nos.v7_0_1a.brocade_ha_rpc'), ('pybind.nos.v7_1_0.brocade_ha_rpc.reload.input', 'pybind.nos.v7_1_0.brocade_ha_rpc.brocade_ha', 'pybind.nos.v7_1_0.brocade_ha_rpc'), ('pybind.slxos.v16r_1_00b.brocade_ha_rpc.reload.input', 'pybind.slxos.v16r_1_00b.brocade_ha_rpc.brocade_ha', 'pybind.slxos.v16r_1_00b.brocade_ha_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, system=system, standby=standby)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def reserved_vlan_update(self, reserved_vlan_start=None, reserved_vlan_end=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- reserved_vlan_start (long):
				range - ['0..4294967295']

			- reserved_vlan_end (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.reserved_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.reserved_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.reserved_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, reserved_vlan_start=reserved_vlan_start, reserved_vlan_end=reserved_vlan_end)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rmon_alarm_create(self, alarm_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alarm_entry (alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner):
				alarm_index (long):
					range - ['-2147483648..2147483647']

				snmp_oid (unicode):
					length - [u'min .. 35']

				alarm_interval (long):
					yang info - Alarm sample interval
					range - ['0..4294967295']

				alarm_sample (unicode):
					enum - [u'absolute', u'delta']

				alarm_rising_threshold (long):
					yang info - Alarm rising threshold
					range - ['0..4294967295']

				alarm_rising_event_index (long):
					yang info - Event for rising alarm
					range - ['-2147483648..2147483647']

				alarm_falling_threshold (long):
					yang info - Alarm falling threshold
					range - ['0..4294967295']

				alarm_falling_event_index (long):
					yang info - Event for falling alarm
					range - ['-2147483648..2147483647']

				alarm_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rmon.alarm_entry', 'pybind.nos.v6_0_2b.brocade_rmon', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rmon.alarm_entry', 'pybind.nos.v7_0_1a.brocade_rmon', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': 'alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alarm_entry=alarm_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rmon_alarm_delete(self, alarm_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alarm_entry (alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner):
				alarm_index (long):
					range - ['-2147483648..2147483647']

				snmp_oid (unicode):
					length - [u'min .. 35']

				alarm_interval (long):
					yang info - Alarm sample interval
					range - ['0..4294967295']

				alarm_sample (unicode):
					enum - [u'absolute', u'delta']

				alarm_rising_threshold (long):
					yang info - Alarm rising threshold
					range - ['0..4294967295']

				alarm_rising_event_index (long):
					yang info - Event for rising alarm
					range - ['-2147483648..2147483647']

				alarm_falling_threshold (long):
					yang info - Alarm falling threshold
					range - ['0..4294967295']

				alarm_falling_event_index (long):
					yang info - Event for falling alarm
					range - ['-2147483648..2147483647']

				alarm_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rmon.alarm_entry', 'pybind.nos.v6_0_2b.brocade_rmon', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rmon.alarm_entry', 'pybind.nos.v7_0_1a.brocade_rmon', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': 'alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alarm_entry=alarm_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rmon_alarm_update(self, alarm_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alarm_entry (alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner):
				alarm_index (long):
					range - ['-2147483648..2147483647']

				snmp_oid (unicode):
					length - [u'min .. 35']

				alarm_interval (long):
					yang info - Alarm sample interval
					range - ['0..4294967295']

				alarm_sample (unicode):
					enum - [u'absolute', u'delta']

				alarm_rising_threshold (long):
					yang info - Alarm rising threshold
					range - ['0..4294967295']

				alarm_rising_event_index (long):
					yang info - Event for rising alarm
					range - ['-2147483648..2147483647']

				alarm_falling_threshold (long):
					yang info - Alarm falling threshold
					range - ['0..4294967295']

				alarm_falling_event_index (long):
					yang info - Event for falling alarm
					range - ['-2147483648..2147483647']

				alarm_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rmon.alarm_entry', 'pybind.nos.v6_0_2b.brocade_rmon', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rmon.alarm_entry', 'pybind.nos.v7_0_1a.brocade_rmon', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': 'alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alarm_entry=alarm_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rmon_alarm_get(self, alarm_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alarm_entry (alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner):
				alarm_index (long):
					range - ['-2147483648..2147483647']

				snmp_oid (unicode):
					length - [u'min .. 35']

				alarm_interval (long):
					yang info - Alarm sample interval
					range - ['0..4294967295']

				alarm_sample (unicode):
					enum - [u'absolute', u'delta']

				alarm_rising_threshold (long):
					yang info - Alarm rising threshold
					range - ['0..4294967295']

				alarm_rising_event_index (long):
					yang info - Event for rising alarm
					range - ['-2147483648..2147483647']

				alarm_falling_threshold (long):
					yang info - Alarm falling threshold
					range - ['0..4294967295']

				alarm_falling_event_index (long):
					yang info - Event for falling alarm
					range - ['-2147483648..2147483647']

				alarm_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rmon.alarm_entry', 'pybind.nos.v6_0_2b.brocade_rmon', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rmon.alarm_entry', 'pybind.nos.v7_0_1a.brocade_rmon', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': 'alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alarm_entry=alarm_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rmon_event_create(self, event_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- event_entry (event_index, event_description, log, event_community, event_owner):
				event_index (long):
					range - ['-2147483648..2147483647']

				event_description (unicode):
					yang info - Event description
					length - [u'min .. 127']

				log (YANGBool):
					yang info - Log the event

				event_community (unicode):
					yang info - Send trap for the event
					length - [u'1 .. 127']

				event_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rmon.event_entry', 'pybind.nos.v6_0_2b.brocade_rmon', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rmon.event_entry', 'pybind.nos.v7_0_1a.brocade_rmon', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': 'event_index, event_description, log, event_community, event_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_entry=event_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rmon_event_delete(self, event_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- event_entry (event_index, event_description, log, event_community, event_owner):
				event_index (long):
					range - ['-2147483648..2147483647']

				event_description (unicode):
					yang info - Event description
					length - [u'min .. 127']

				log (YANGBool):
					yang info - Log the event

				event_community (unicode):
					yang info - Send trap for the event
					length - [u'1 .. 127']

				event_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rmon.event_entry', 'pybind.nos.v6_0_2b.brocade_rmon', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rmon.event_entry', 'pybind.nos.v7_0_1a.brocade_rmon', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': 'event_index, event_description, log, event_community, event_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_entry=event_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rmon_event_update(self, event_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- event_entry (event_index, event_description, log, event_community, event_owner):
				event_index (long):
					range - ['-2147483648..2147483647']

				event_description (unicode):
					yang info - Event description
					length - [u'min .. 127']

				log (YANGBool):
					yang info - Log the event

				event_community (unicode):
					yang info - Send trap for the event
					length - [u'1 .. 127']

				event_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rmon.event_entry', 'pybind.nos.v6_0_2b.brocade_rmon', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rmon.event_entry', 'pybind.nos.v7_0_1a.brocade_rmon', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': 'event_index, event_description, log, event_community, event_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_entry=event_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rmon_event_get(self, event_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- event_entry (event_index, event_description, log, event_community, event_owner):
				event_index (long):
					range - ['-2147483648..2147483647']

				event_description (unicode):
					yang info - Event description
					length - [u'min .. 127']

				log (YANGBool):
					yang info - Log the event

				event_community (unicode):
					yang info - Send trap for the event
					length - [u'1 .. 127']

				event_owner (unicode):
					yang info - Owner identity
					length - [u'1 .. 15']
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rmon.event_entry', 'pybind.nos.v6_0_2b.brocade_rmon', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rmon.event_entry', 'pybind.nos.v7_0_1a.brocade_rmon', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': 'event_index, event_description, log, event_community, event_owner'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_entry=event_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def role_name_create(self, name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name (name, desc):
				name (unicode):
					length - [u'4 .. 32']

				desc (unicode):
					yang info - Description of the role (default='')
					length - [u'0 .. 64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.role.name', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.role.name', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.role.name', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.role.name', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': 'name, desc'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def role_name_delete(self, name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name (name, desc):
				name (unicode):
					length - [u'4 .. 32']

				desc (unicode):
					yang info - Description of the role (default='')
					length - [u'0 .. 64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.role.name', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.role.name', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.role.name', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.role.name', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': 'name, desc'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def role_name_update(self, name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name (name, desc):
				name (unicode):
					length - [u'4 .. 32']

				desc (unicode):
					yang info - Description of the role (default='')
					length - [u'0 .. 64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.role.name', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.role.name', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.role.name', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.role.name', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': 'name, desc'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def role_name_get(self, name=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- name (name, desc):
				name (unicode):
					length - [u'4 .. 32']

				desc (unicode):
					yang info - Description of the role (default='')
					length - [u'0 .. 64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.role.name', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.role.name', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.role.name', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.role.name', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': 'name, desc'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def root_update(self, enable=None, access=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Configure root account

			- access (unicode):
				yang info - Configure root access
				enum - [u'console']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.root_sa.root', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.root_sa.root', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.root_sa.root', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.root_sa.root', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, access=access)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def root_access_update(self, enable=None, access=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Configure root account

			- access (unicode):
				yang info - Configure root access
				enum - [u'console']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.root_sa.root', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.root_sa.root', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.root_sa.root', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.root_sa.root', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, access=access)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_create(self, route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route_map', 'keyval': 'name, action_rm, instance', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_delete(self, route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route_map', 'keyval': 'name, action_rm, instance', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_get(self, route_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'route_map', 'keyval': 'name, action_rm, instance', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def route_map_continue_update(self, route_map=None, continue_=None, continue_val=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- continue_ (YANGBool):
				yang info - Continue clause with optional route map instance number.

			- continue_val (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.continue_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, continue_=continue_, continue_val=continue_val)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_update(self, route_map=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- vrf (unicode):
				yang info - VRF name
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_as_path_update(self, route_map=None, as_path_access_list_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- as_path_access_list_name (unicode):
				yang info - Access-list name.
				length - [u'1..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, as_path_access_list_name=as_path_access_list_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_community_update(self, route_map=None, community_access_list_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- community_access_list_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, community_access_list_name=community_access_list_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_extcommunity_update(self, route_map=None, extcommunity_num=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- extcommunity_num (unicode):
				yang info - Extcommunity numbers
				pattern - ((0|[1-9][0-9]{0,1})(\s+(0|[1-9][0-9]{0,1}))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.extcommunity', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, extcommunity_num=extcommunity_num)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ip_address_update(self, route_map=None, prefix_list_rmm=None, acl_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmm (unicode):
				yang info - IP prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- acl_rmm (unicode):
				yang info - IP ACL
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ip_address_acl_update(self, route_map=None, prefix_list_rmm=None, acl_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmm (unicode):
				yang info - IP prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- acl_rmm (unicode):
				yang info - IP ACL
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ip_next_hop_update(self, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmm_n (unicode):
				yang info - IP prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ip_next_hop_prefix_list_update(self, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmm_n (unicode):
				yang info - IP prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ip_route_source_update(self, route_map=None, prefix_list_rmrs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmrs (unicode):
				yang info - IP prefix-list
				pattern - (\s*([a-zA-Z0-9_-]+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ip_route_source_prefix_list_update(self, route_map=None, prefix_list_rmrs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- prefix_list_rmrs (unicode):
				yang info - IP prefix-list
				pattern - (\s*([a-zA-Z0-9_-]+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ipv6_address_update(self, route_map=None, ipv6_prefix_list_rmm=None, ipv6_acl_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmm (unicode):
				yang info - IPv6 prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- ipv6_acl_rmm (unicode):
				yang info - IPv6 ACL
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ipv6_address_acl_update(self, route_map=None, ipv6_prefix_list_rmm=None, ipv6_acl_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmm (unicode):
				yang info - IPv6 prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- ipv6_acl_rmm (unicode):
				yang info - IPv6 ACL
				length - [u'1..63']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ipv6_next_hop_update(self, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmm_n (unicode):
				yang info - IPv6 prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ipv6_next_hop_prefix_list_update(self, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmm_n (unicode):
				yang info - IPv6 prefix-list
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ipv6_route_source_update(self, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmrs (unicode):
				yang info - IPv6 prefix-list
				pattern - (\s*([a-zA-Z0-9_-]+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_ipv6_route_source_prefix_list_update(self, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_prefix_list_rmrs (unicode):
				yang info - IPv6 prefix-list
				pattern - (\s*([a-zA-Z0-9_-]+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_metric_update(self, route_map=None, metric_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- metric_rmm (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, metric_rmm=metric_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_next_hop_update(self, route_map=None, next_hop_filter_val=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- next_hop_filter_val (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop_filter_val=next_hop_filter_val)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_protocol_update(self, route_map=None, protocol_bgp=None, bgp_route_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- protocol_bgp (YANGBool):
				yang info - BGP protocol.

			- bgp_route_type (unicode):
				enum - [u'internal', u'external', u'static-network']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.protocol.bgp_protocol_container', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, protocol_bgp=protocol_bgp, bgp_route_type=bgp_route_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_protocol_static_update(self, route_map=None, static=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- static (YANGBool):
				yang info - static

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.protocol.protocol_static_container', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, static=static)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_route_type_update(self, route_map=None, route_type_rmm=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- route_type_rmm (unicode):
				enum - [u'type-1', u'internal', u'type-2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.route_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, route_type_rmm=route_type_rmm)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_match_vrf_update(self, route_map=None, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- vrf (unicode):
				yang info - VRF name
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_as_path_update(self, route_map=None, aspath_tag=None, prepend=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- aspath_tag (YANGBool):
				yang info - Tag as an AS-path attribute

			- prepend (unicode):
				yang info - Prepend to the AS-path
				pattern - (\s*(\d+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_as_path_tag_update(self, route_map=None, aspath_tag=None, prepend=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- aspath_tag (YANGBool):
				yang info - Tag as an AS-path attribute

			- prepend (unicode):
				yang info - Prepend to the AS-path
				pattern - (\s*(\d+))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_automatic_tag_update(self, route_map=None, tag_empty=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- tag_empty (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.automatic_tag', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, tag_empty=tag_empty)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_comm_list_update(self, route_map=None, comm_list_name=None, match_comm_delete=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- comm_list_name (unicode):

			- match_comm_delete (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.comm_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, comm_list_name=comm_list_name, match_comm_delete=match_comm_delete)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_community_update(self, route_map=None, set_community_expr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- set_community_expr (unicode):
				pattern - ((\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)(( (additive))?))|(none)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, set_community_expr=set_community_expr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_dampening_update(self, route_map=None, half_life=None, reuse=None, suppress=None, max_suppress_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- half_life (long):
				range - ['0..4294967295']

			- reuse (long):
				range - ['0..4294967295']

			- suppress (long):
				range - ['0..4294967295']

			- max_suppress_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, half_life=half_life, reuse=reuse, suppress=suppress, max_suppress_time=max_suppress_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_distance_update(self, route_map=None, dist_rms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- dist_rms (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, dist_rms=dist_rms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_extcommunity_rt_update(self, route_map=None, ASN_NN_rt=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ASN_NN_rt (unicode):
				pattern - ((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)(( (additive))?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.extcommunity.rt', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ASN_NN_rt=ASN_NN_rt)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_extcommunity_soo_update(self, route_map=None, ASN_NN_soo=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ASN_NN_soo (unicode):
				pattern - ((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.extcommunity.soo', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ASN_NN_soo=ASN_NN_soo)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ip_create(self, route_map=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ip_delete(self, route_map=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ip_get(self, route_map=None, next_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def route_map_set_ip_dscp_update(self, route_map=None, dscp_rms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- dscp_rms (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.dscp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, dscp_rms=dscp_rms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ip_global_create(self, route_map=None, next_global_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.global_.next_global_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ip_global_delete(self, route_map=None, next_global_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.global_.next_global_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ip_global_get(self, route_map=None, next_global_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.global_.next_global_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def route_map_set_ip_interface_update(self, route_map=None, null0=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- null0 (YANGBool):
				yang info - Sending traffic to a Null0 Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, null0=null0)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ip_interface_null0_update(self, route_map=None, null0=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- null0 (YANGBool):
				yang info - Sending traffic to a Null0 Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, null0=null0)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ip_next_hop_create(self, route_map=None, next_hop_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop_list (next_hop_addr):
				next_hop_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_hop.next_hop_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop_list', 'keyval': 'next_hop_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop_list=next_hop_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ip_next_hop_delete(self, route_map=None, next_hop_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop_list (next_hop_addr):
				next_hop_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_hop.next_hop_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop_list', 'keyval': 'next_hop_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop_list=next_hop_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ip_next_hop_get(self, route_map=None, next_hop_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop_list (next_hop_addr):
				next_hop_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_hop.next_hop_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_hop_list', 'keyval': 'next_hop_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop_list=next_hop_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def route_map_set_ip_next_hop_peer_address_update(self, route_map=None, peer_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- peer_address (YANGBool):
				yang info - BGP peer IP address

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, peer_address=peer_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ipv6_create(self, route_map=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_vrf_list', 'keyval': 'vrf, next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ipv6_delete(self, route_map=None, next_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_vrf_list', 'keyval': 'vrf, next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ipv6_get(self, route_map=None, next_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_vrf_list', 'keyval': 'vrf, next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop=next_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def route_map_set_ipv6_global_create(self, route_map=None, next_global_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ipv6_global_delete(self, route_map=None, next_global_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ipv6_global_get(self, route_map=None, next_global_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- next_global_hop (next_hop):
				next_hop (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_global_hop=next_global_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def route_map_set_ipv6_interface_update(self, route_map=None, ipv6_null0=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_null0 (YANGBool):
				yang info - Sending traffic to a Null0 Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_null0=ipv6_null0)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_ipv6_interface_null0_update(self, route_map=None, ipv6_null0=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ipv6_null0 (YANGBool):
				yang info - Sending traffic to a Null0 Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_null0=ipv6_null0)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_local_preference_update(self, route_map=None, local_preference_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- local_preference_value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.local_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, local_preference_value=local_preference_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_metric_update(self, route_map=None, delta_rms=None, metric_rms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- delta_rms (unicode):
				enum - [u'add', u'assign', u'none', u'sub']

			- metric_rms (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, delta_rms=delta_rms, metric_rms=metric_rms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_metric_type_update(self, route_map=None, external=None, internal=None, type_1=None, type_2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- external (YANGBool):
				yang info - IS-IS external metric

			- internal (YANGBool):
				yang info - IGP internal metric to BGP MED

			- type_1 (YANGBool):
				yang info - OSPF external type 1 metric

			- type_2 (YANGBool):
				yang info - OSPF external type 2 metric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_metric_type_external_update(self, route_map=None, external=None, internal=None, type_1=None, type_2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- external (YANGBool):
				yang info - IS-IS external metric

			- internal (YANGBool):
				yang info - IGP internal metric to BGP MED

			- type_1 (YANGBool):
				yang info - OSPF external type 1 metric

			- type_2 (YANGBool):
				yang info - OSPF external type 2 metric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_origin_update(self, route_map=None, origin_igp=None, origin_incomplete=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- origin_igp (YANGBool):
				yang info - local IGP

			- origin_incomplete (YANGBool):
				yang info - unknown heritage

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.origin', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_origin_igp_update(self, route_map=None, origin_igp=None, origin_incomplete=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- origin_igp (YANGBool):
				yang info - local IGP

			- origin_incomplete (YANGBool):
				yang info - unknown heritage

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.origin', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_route_type_update(self, route_map=None, route_type_rms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- route_type_rms (unicode):
				enum - [u'type-1', u'internal', u'type-2']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.route_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, route_type_rms=route_type_rms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_tag_update(self, route_map=None, tag_rms=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- tag_rms (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.tag', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, tag_rms=tag_rms)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def route_map_set_weight_update(self, route_map=None, weight_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- route_map (name, action_rm, instance):
				name (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

				action_rm (unicode):
					enum - [u'receive', u'send']

				instance (int):
					range - ['0..65535']

		This Instance Arg(s):
			- weight_value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map')]
        bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.weight', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, weight_value=weight_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_update(self, local_as=None, always_compare_med=None, compare_med_empty_aspath=None, med_missing_as_worst=None, as_path_ignore=None, compare_routerid=None, install_igp_cost=None, default_local_preference=None, enforce_first_as=None, fast_external_fallover=None, log_dampening_debug=None, auto_shutdown_new_neighbors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- local_as (unicode):
				yang info - Configure local AS number
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- always_compare_med (YANGBool):
				yang info - Allow comparing MED from different neighbors

			- compare_med_empty_aspath (YANGBool):
				yang info - Allow comparing MED from different neighbors even with empty as-path
attribute

			- med_missing_as_worst (YANGBool):
				yang info - Consider routes missing MED attribute as least desirable

			- as_path_ignore (YANGBool):
				yang info - Ignore AS_PATH length for best route selection

			- compare_routerid (YANGBool):
				yang info - Compare router-id for identical BGP paths

			- install_igp_cost (YANGBool):
				yang info - Install igp cost to nexthop instead of MED value as BGP route cost

			- default_local_preference (long):
				yang info - Configure default local preference value
				range - ['0..4294967295']

			- enforce_first_as (YANGBool):
				yang info - Enforce the first AS for EBGP routes

			- fast_external_fallover (YANGBool):
				yang info - Reset session if link to EBGP peer goes down

			- log_dampening_debug (YANGBool):
				yang info - Log dampening debug messages

			- auto_shutdown_new_neighbors (YANGBool):
				yang info - Auto shutdown new neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug, auto_shutdown_new_neighbors=auto_shutdown_new_neighbors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_evpn_neighbor_create(self, af_evpn_neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_evpn_neighbor (af_evpn_neighbor_address):
				af_evpn_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.evpn.af_evpn_neighbor_address_holder.af_evpn_neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_evpn_neighbor', 'keyval': 'af_evpn_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_evpn_neighbor=af_evpn_neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_evpn_neighbor_delete(self, af_evpn_neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_evpn_neighbor (af_evpn_neighbor_address):
				af_evpn_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.evpn.af_evpn_neighbor_address_holder.af_evpn_neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_evpn_neighbor', 'keyval': 'af_evpn_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_evpn_neighbor=af_evpn_neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_evpn_neighbor_update(self, af_evpn_neighbor=None, evpn_nbr_activate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_evpn_neighbor (af_evpn_neighbor_address):
				af_evpn_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- evpn_nbr_activate (YANGBool):
				yang info - Allow exchange of route in the current family mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.evpn.af_evpn_neighbor_address_holder.af_evpn_neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_evpn_neighbor', 'keyval': 'af_evpn_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_evpn_neighbor=af_evpn_neighbor, evpn_nbr_activate=evpn_nbr_activate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_evpn_neighbor_get(self, af_evpn_neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_evpn_neighbor (af_evpn_neighbor_address):
				af_evpn_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.evpn.af_evpn_neighbor_address_holder.af_evpn_neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_evpn_neighbor', 'keyval': 'af_evpn_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_evpn_neighbor=af_evpn_neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_update(self, default_vrf_selected=None, next_hop_recursion=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- default_vrf_selected (YANGBool):

			- next_hop_recursion (YANGBool):
				yang info - Perform next-hop recursive lookup for BGP route

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_vrf_selected=default_vrf_selected, next_hop_recursion=next_hop_recursion)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_aggregate_address_create(self, aggregate_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_aggregate_address_delete(self, aggregate_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_aggregate_address_update(self, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- advertise_map (unicode):
				yang info - Route map to control attribute advertisement
				length - [u'1..63']

			- as_set (YANGBool):
				yang info - Generate AS set path information

			- attribute_map (unicode):
				yang info - Route map for parameter control
				length - [u'1..63']

			- summary_only (YANGBool):
				yang info - Filter more specific routes from updates

			- suppress_map (unicode):
				yang info - Conditionally filter more specific routes from updates
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_aggregate_address_get(self, aggregate_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_always_propagate_update(self, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- always_propagate (YANGBool):
				yang info - Allow readvertisement of best BGP routes not in IP Forwarding table

			- default_information_originate (YANGBool):
				yang info - Originate Default Information

			- rib_route_limit (long):
				yang info - Limit BGP rib count in routing table
				range - ['0..4294967295']

			- client_to_client_reflection (YANGBool):
				yang info - Configure client to client route reflection

			- default_metric (long):
				yang info - Set metric of redistributed routes
				range - ['0..4294967295']

			- next_hop_enable_default (YANGBool):
				yang info - Enable default route for BGP next-hop lookup

			- update_time (long):
				yang info - Configure igp route update interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_bgp_redistribute_internal_update(self, bgp_redistribute_internal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bgp_redistribute_internal (YANGBool):
				yang info - Allow redistribution of iBGP routes into IGPs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_redistribute_internal=bgp_redistribute_internal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_dampening_update(self, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- half_time (long):
				range - ['0..4294967295']

			- reuse_value (long):
				range - ['0..4294967295']

			- start_suppress_time (long):
				range - ['0..4294967295']

			- max_suppress_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_graceful_restart_update(self, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- graceful_restart_status (YANGBool):

			- restart_time (long):
				yang info - Maximum restart wait time advertised to neighbors (1-3600s), default 120
				range - ['0..4294967295']

			- purge_time (long):
				yang info - Maximum time before restarting router clean up stale (1-3600s), default 600
				range - ['0..4294967295']

			- stale_routes_time (long):
				yang info - Maximum time before helper router clean up stale routes (1-3600s), default 360
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_maximum_paths_update(self, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_maximum_paths_ebgp_update(self, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_multipath_update(self, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_multipath_multi_as_update(self, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_create(self, af_ipv4_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_delete(self, af_ipv4_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_update(self, af_ipv4_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- allowas_in (long):
				yang info - Disables the AS_PATH check of the routes learned from the AS
				range - ['0..4294967295']

			- activate (YANGBool):
				yang info - Allow exchange of route in the current family mode

			- route_reflector_client (YANGBool):
				yang info - Configure a neighbor as Route Reflector client

			- af_nei_weight (long):
				yang info - Set default weight for routes from this neighbor
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_get(self, af_ipv4_neighbor_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_capability_orf_prefixlist_update(self, af_ipv4_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_capability_orf_prefixlist_receive_update(self, af_ipv4_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_default_originate_update(self, af_ipv4_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_default_originate_route_map_update(self, af_ipv4_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- default_originate_status (YANGBool):

			- default_originate_route_map (unicode):
				yang info - Route-map to specify criteria to originate default
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_filter_list_update(self, af_ipv4_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- filter_list_direction_in_acl_name (unicode):
				length - [u'1..63']

			- filter_list_name_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_maximum_prefix_update(self, af_ipv4_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- max_prefix_limit (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_maximum_prefix_teardown_update(self, af_ipv4_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- threshold (long):
				range - ['0..4294967295']

			- teardown (YANGBool):
				yang info - Terminate the peering when limit is exceeded

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold, teardown=teardown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_update(self, af_ipv4_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_in_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_in_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_out_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_out_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_out (YANGBool):
				yang info - Filter outgoing routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_route_map_in_update(self, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_in (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_route_map_out_update(self, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_out (unicode):
				yang info - Apply route map to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_send_community_update(self, af_ipv4_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_send_community_both_update(self, af_ipv4_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_neighbor_unsuppress_map_update(self, af_ipv4_neighbor_address=None, map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv4_neighbor_address (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- map_name (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_network_create(self, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_network_delete(self, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_network_update(self, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- network_weight (long):
				yang info - Set BGP weight for network
				range - ['0..4294967295']

			- backdoor (YANGBool):
				yang info - Specify a BGP backdoor route

			- network_route_map (unicode):
				yang info - Route-map to modify the attributes
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_network_get(self, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_next_hop_mpls_update(self, compare_lsp_metric=None, follow_igp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- compare_lsp_metric (YANGBool):
				yang info - Compare metric value among LSP ECMP paths

			- follow_igp (YANGBool):
				yang info - Use IGP metric and ignore LSP metric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.next_hop_mpls', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, compare_lsp_metric=compare_lsp_metric, follow_igp=follow_igp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_next_hop_mpls_compare_lsp_metric_update(self, compare_lsp_metric=None, follow_igp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- compare_lsp_metric (YANGBool):
				yang info - Compare metric value among LSP ECMP paths

			- follow_igp (YANGBool):
				yang info - Use IGP metric and ignore LSP metric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.next_hop_mpls', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, compare_lsp_metric=compare_lsp_metric, follow_igp=follow_igp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_redistribute_bgp_update(self, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_redistribute_bgp_metric_update(self, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_redistribute_connected_update(self, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_connected (YANGBool):

			- unicast_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- redistribute_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_redistribute_isis_update(self, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_isis_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- level_1 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 routes only

			- level_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-2 routes only

			- level_1_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 and Level-2 routes

			- redistribute_isis_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_redistribute_isis_level_1_update(self, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_isis_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- level_1 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 routes only

			- level_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-2 routes only

			- level_1_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 and Level-2 routes

			- redistribute_isis_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_redistribute_ospf_update(self, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_external1_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_redistribute_ospf_metric_update(self, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_redistribute_static_update(self, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_static (YANGBool):

			- unicast_static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_static_network_create(self, static_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_static_network_delete(self, static_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_static_network_update(self, static_network=None, static_network_distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- static_network_distance (long):
				yang info - Define an administrative distance for this local network
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_network=static_network, static_network_distance=static_network_distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_static_network_get(self, static_network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_table_map_update(self, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_table_map_route_map_update(self, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_create(self, af_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_delete(self, af_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_update(self, af_vrf=None, local_as=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- local_as (unicode):
				yang info - Configure local AS number
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- next_hop_recursion (YANGBool):
				yang info - Perform next-hop recursive lookup for BGP route

			- graceful_restart_status (YANGBool):
				yang info - Enables the BGP graceful restart capability

			- always_propagate (YANGBool):
				yang info - Allow readvertisement of best BGP routes not in IP Forwarding table

			- default_information_originate (YANGBool):
				yang info - Originate Default Information

			- rib_route_limit (long):
				yang info - Limit BGP rib count in routing table
				range - ['0..4294967295']

			- client_to_client_reflection (YANGBool):
				yang info - Configure client to client route reflection

			- default_metric (long):
				yang info - Set metric of redistributed routes
				range - ['0..4294967295']

			- next_hop_enable_default (YANGBool):
				yang info - Enable default route for BGP next-hop lookup

			- update_time (long):
				yang info - Configure igp route update interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, local_as=local_as, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_get(self, af_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_create(self, af_vrf=None, aggregate_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_delete(self, af_vrf=None, aggregate_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_update(self, af_vrf=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- advertise_map (unicode):
				yang info - Route map to control attribute advertisement
				length - [u'1..63']

			- as_set (YANGBool):
				yang info - Generate AS set path information

			- attribute_map (unicode):
				yang info - Route map for parameter control
				length - [u'1..63']

			- summary_only (YANGBool):
				yang info - Filter more specific routes from updates

			- suppress_map (unicode):
				yang info - Conditionally filter more specific routes from updates
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_get(self, af_vrf=None, aggregate_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, aggregate_address=aggregate_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_bgp_redistribute_internal_update(self, af_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- bgp_redistribute_internal (YANGBool):
				yang info - Allow redistribution of iBGP routes into IGPs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_dampening_update(self, af_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- half_time (long):
				range - ['0..4294967295']

			- reuse_value (long):
				range - ['0..4294967295']

			- start_suppress_time (long):
				range - ['0..4294967295']

			- max_suppress_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_maxas_limit_in_update(self, af_vrf=None, num_as_in_path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- num_as_in_path (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, num_as_in_path=num_as_in_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_update(self, af_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_ebgp_update(self, af_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_multipath_update(self, af_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_multipath_multi_as_update(self, af_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_create(self, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_delete(self, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- remote_as (unicode):
				yang info - Specify a BGP neighbor
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- allowas_in (long):
				yang info - Disables the AS_PATH check of the routes learned from the AS
				range - ['0..4294967295']

			- activate (YANGBool):
				yang info - Allow exchange of route in the current family mode

			- route_reflector_client (YANGBool):
				yang info - Configure a neighbor as Route Reflector client

			- af_nei_weight (long):
				yang info - Set default weight for routes from this neighbor
				range - ['0..4294967295']

			- associate_peer_group (unicode):
				yang info - Assign peer-group to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- description (unicode):
				yang info - Neighbor by description
				length - [u'1..220']

			- ebgp_btsh (YANGBool):
				yang info - Enable EBGP TTL Security Hack Protection

			- password (unicode):
				yang info - Enable TCP-MD5 password protection

			- remove_private_as (YANGBool):
				yang info - Remove private AS number from outbound updates

			- as_override (YANGBool):
				yang info - Override matching AS-number while sending update

			- static_network_edge (YANGBool):
				yang info - Neighbor as special service edge, static-network
shall not be advertised if installed as DROP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_get(self, af_vrf=None, af_ipv4_neighbor_addr=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_advertisement_interval_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- bfd_enable (YANGBool):

			- holdover_interval (long):
				yang info - BFD holdover interval configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_interval_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_interval_min_rx_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_as4_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_as4_disable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_orf_prefixlist_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_orf_prefixlist_receive_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_default_originate_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_default_originate_route_map_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- default_originate_status (YANGBool):

			- default_originate_route_map (unicode):
				yang info - Route-map to specify criteria to originate default
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_ebgp_multihop_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ebgp_multihop_flag (YANGBool):

			- ebgp_multihop_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_enforce_first_as_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_enforce_first_as_enable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_filter_list_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- filter_list_direction_in_acl_name (unicode):
				length - [u'1..63']

			- filter_list_name_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_local_as_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_as_value (unicode):
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- no_prepend (YANGBool):
				yang info - Do not prepend local-as to updates from ebgp peers

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_maxas_limit_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_maxas_limit_in_disable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- num_as_in_as_path (long):
				range - ['0..4294967295']

			- maxas_limit_disable (YANGBool):
				yang info - Disable maxas-limit

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_maximum_prefix_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- max_prefix_limit (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_maximum_prefix_teardown_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- threshold (long):
				range - ['0..4294967295']

			- teardown (YANGBool):
				yang info - Terminate the peering when limit is exceeded

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold, teardown=teardown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_next_hop_self_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_next_hop_self_always_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_in_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_out_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_out (YANGBool):
				yang info - Filter outgoing routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_route_map_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_in (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_route_map_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_out (unicode):
				yang info - Apply route map to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_send_community_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_send_community_both_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_shutdown_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_shutdown_generate_rib_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- shutdown_status (YANGBool):

			- generate_rib_out (YANGBool):
				yang info - Generate rib-out routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_soft_reconfiguration_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_soft_reconfiguration_inbound_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_timers_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_timers_hold_time_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_keep_alive (long):
				yang info - Keepalive interval
				range - ['0..4294967295']

			- nei_hold_time (long):
				yang info - Hold-time value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_unsuppress_map_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- map_name (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_update_source_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- interface_type (unicode):
				enum - [u'ethernet']

			- interface_name (unicode):
				yang info - Ethernet Interface
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_neighbor_update_source_loopback_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv4_neighbor_addr (af_ipv4_neighbor_address):
				af_ipv4_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- sip_ipv4_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- loopback (unicode):
				yang info - Loopback Interface
				length - [u'1..63']

			- ve_interface (long):
				yang info - Virtual Interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_network_create(self, af_vrf=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_network_delete(self, af_vrf=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_network_update(self, af_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- network_weight (long):
				yang info - Set BGP weight for network
				range - ['0..4294967295']

			- backdoor (YANGBool):
				yang info - Specify a BGP backdoor route

			- network_route_map (unicode):
				yang info - Route-map to modify the attributes
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_network_get(self, af_vrf=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv4_address):
				network_ipv4_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_update(self, af_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_metric_update(self, af_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_update(self, af_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_connected (YANGBool):

			- unicast_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- redistribute_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_update(self, af_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_update(self, af_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_external1_update(self, af_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_metric_update(self, af_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_update(self, af_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_static (YANGBool):

			- unicast_static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_static_network_create(self, af_vrf=None, static_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_static_network_delete(self, af_vrf=None, static_network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_static_network_update(self, af_vrf=None, static_network=None, static_network_distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- static_network_distance (long):
				yang info - Define an administrative distance for this local network
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_static_network_get(self, af_vrf=None, static_network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- static_network (static_network_address):
				static_network_address (unicode):
					yang info - A.B.C.D/M IP address in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, static_network=static_network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_table_map_update(self, af_vrf=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv4_unicast_vrf_table_map_route_map_update(self, af_vrf=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_vrf (af_vrf_name):
				af_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_update(self, default_vrf_selected=None, ipv6_ucast_next_hop_recursion=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- default_vrf_selected (YANGBool):

			- ipv6_ucast_next_hop_recursion (YANGBool):
				yang info - Perform next-hop recursive lookup for BGP route

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_vrf_selected=default_vrf_selected, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_aggregate_address_create(self, aggregate_ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_aggregate_address_delete(self, aggregate_ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_aggregate_address_update(self, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- advertise_map (unicode):
				yang info - Route map to control attribute advertisement
				length - [u'1..63']

			- as_set (YANGBool):
				yang info - Generate AS set path information

			- attribute_map (unicode):
				yang info - Route map for parameter control
				length - [u'1..63']

			- summary_only (YANGBool):
				yang info - Filter more specific routes from updates

			- suppress_map (unicode):
				yang info - Conditionally filter more specific routes from updates
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_aggregate_address_get(self, aggregate_ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_always_propagate_update(self, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- always_propagate (YANGBool):
				yang info - Allow readvertisement of best BGP routes not in IP Forwarding table

			- default_information_originate (YANGBool):
				yang info - Originate Default Information

			- rib_route_limit (long):
				yang info - Limit BGP rib count in routing table
				range - ['0..4294967295']

			- client_to_client_reflection (YANGBool):
				yang info - Configure client to client route reflection

			- default_metric (long):
				yang info - Set metric of redistributed routes
				range - ['0..4294967295']

			- next_hop_enable_default (YANGBool):
				yang info - Enable default route for BGP next-hop lookup

			- update_time (long):
				yang info - Configure igp route update interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_bgp_redistribute_internal_update(self, bgp_redistribute_internal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bgp_redistribute_internal (YANGBool):
				yang info - Allow redistribution of iBGP routes into IGPs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_redistribute_internal=bgp_redistribute_internal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_dampening_update(self, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- half_time (long):
				range - ['0..4294967295']

			- reuse_value (long):
				range - ['0..4294967295']

			- start_suppress_time (long):
				range - ['0..4294967295']

			- max_suppress_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_graceful_restart_update(self, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- graceful_restart_status (YANGBool):

			- restart_time (long):
				yang info - Maximum restart wait time advertised to neighbors (1-3600s), default 120
				range - ['0..4294967295']

			- purge_time (long):
				yang info - Maximum time before restarting router clean up stale (1-3600s), default 600
				range - ['0..4294967295']

			- stale_routes_time (long):
				yang info - Maximum time before helper router clean up stale routes (1-3600s), default 360
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_maximum_paths_update(self, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_maximum_paths_ebgp_update(self, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_multipath_update(self, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_multipath_multi_as_update(self, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_create(self, af_ipv6_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_delete(self, af_ipv6_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_update(self, af_ipv6_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- allowas_in (long):
				yang info - Disables the AS_PATH check of the routes learned from the AS
				range - ['0..4294967295']

			- activate (YANGBool):
				yang info - Allow exchange of route in the current family mode

			- route_reflector_client (YANGBool):
				yang info - Configure a neighbor as Route Reflector client

			- af_nei_weight (long):
				yang info - Set default weight for routes from this neighbor
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_get(self, af_ipv6_neighbor_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_capability_orf_prefixlist_update(self, af_ipv6_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_capability_orf_prefixlist_receive_update(self, af_ipv6_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_default_originate_update(self, af_ipv6_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_default_originate_route_map_update(self, af_ipv6_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- default_originate_status (YANGBool):

			- default_originate_route_map (unicode):
				yang info - Route-map to specify criteria to originate default
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_filter_list_update(self, af_ipv6_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- filter_list_direction_in_acl_name (unicode):
				length - [u'1..63']

			- filter_list_name_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_maximum_prefix_update(self, af_ipv6_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- max_prefix_limit (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_maximum_prefix_teardown_update(self, af_ipv6_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- threshold (long):
				range - ['0..4294967295']

			- teardown (YANGBool):
				yang info - Terminate the peering when limit is exceeded

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold, teardown=teardown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_update(self, af_ipv6_neighbor_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_in_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_in_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_out_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_out_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_out (YANGBool):
				yang info - Filter outgoing routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_route_map_in_update(self, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_in (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_route_map_out_update(self, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_out (unicode):
				yang info - Apply route map to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_send_community_update(self, af_ipv6_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_send_community_both_update(self, af_ipv6_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_neighbor_unsuppress_map_update(self, af_ipv6_neighbor_address=None, map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_neighbor_address (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor IPV6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- map_name (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_network_create(self, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_network_delete(self, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_network_update(self, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- network_weight (long):
				yang info - Set BGP weight for network
				range - ['0..4294967295']

			- backdoor (YANGBool):
				yang info - Specify a BGP backdoor route

			- network_route_map (unicode):
				yang info - Route-map to modify the attributes
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_network_get(self, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_redistribute_bgp_update(self, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_redistribute_bgp_metric_update(self, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_redistribute_connected_update(self, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_connected (YANGBool):

			- unicast_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- redistribute_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_redistribute_isis_update(self, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_isis_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- level_1 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 routes only

			- level_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-2 routes only

			- level_1_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 and Level-2 routes

			- redistribute_isis_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_redistribute_isis_level_1_update(self, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_isis_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- level_1 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 routes only

			- level_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-2 routes only

			- level_1_2 (YANGBool):
				yang info - Redistribution of IS-IS Level-1 and Level-2 routes

			- redistribute_isis_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_redistribute_ospf_update(self, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_external1_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_redistribute_ospf_metric_update(self, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_redistribute_static_update(self, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- redistribute_static (YANGBool):

			- unicast_static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_table_map_update(self, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_table_map_route_map_update(self, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_create(self, af_ipv6_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_delete(self, af_ipv6_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_update(self, af_ipv6_vrf=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- next_hop_recursion (YANGBool):
				yang info - Perform next-hop recursive lookup for BGP route

			- graceful_restart_status (YANGBool):
				yang info - Enables the BGP graceful restart capability

			- always_propagate (YANGBool):
				yang info - Allow readvertisement of best BGP routes not in IP Forwarding table

			- default_information_originate (YANGBool):
				yang info - Originate Default Information

			- rib_route_limit (long):
				yang info - Limit BGP rib count in routing table
				range - ['0..4294967295']

			- client_to_client_reflection (YANGBool):
				yang info - Configure client to client route reflection

			- default_metric (long):
				yang info - Set metric of redistributed routes
				range - ['0..4294967295']

			- next_hop_enable_default (YANGBool):
				yang info - Enable default route for BGP next-hop lookup

			- update_time (long):
				yang info - Configure igp route update interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_get(self, af_ipv6_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_create(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_delete(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_update(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- advertise_map (unicode):
				yang info - Route map to control attribute advertisement
				length - [u'1..63']

			- as_set (YANGBool):
				yang info - Generate AS set path information

			- attribute_map (unicode):
				yang info - Route map for parameter control
				length - [u'1..63']

			- summary_only (YANGBool):
				yang info - Filter more specific routes from updates

			- suppress_map (unicode):
				yang info - Conditionally filter more specific routes from updates
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_get(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- aggregate_ipv6_address (aggregate_ip_prefix):
				aggregate_ip_prefix (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_bgp_redistribute_internal_update(self, af_ipv6_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- bgp_redistribute_internal (YANGBool):
				yang info - Allow redistribution of iBGP routes into IGPs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_dampening_update(self, af_ipv6_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- half_time (long):
				range - ['0..4294967295']

			- reuse_value (long):
				range - ['0..4294967295']

			- start_suppress_time (long):
				range - ['0..4294967295']

			- max_suppress_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_update(self, af_ipv6_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_ebgp_update(self, af_ipv6_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- load_sharing_value (long):
				range - ['0..4294967295']

			- ebgp (long):
				yang info - Number of EBGP paths for load sharing
				range - ['0..4294967295']

			- ibgp (long):
				yang info - Number of IBGP paths for load sharing
				range - ['0..4294967295']

			- use_load_sharing (YANGBool):
				yang info - Number of load-sharing paths: using load-sharing value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_multipath_update(self, af_ipv6_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_multipath_multi_as_update(self, af_ipv6_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- multipath_ebgp (YANGBool):
				yang info - Allow multipath for ebgp neighbors only

			- multipath_ibgp (YANGBool):
				yang info - Allow multipath for ibgp neighbors only

			- multi_as (YANGBool):
				yang info - Enable multipath over different Neighboring AS

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_create(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_delete(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- remote_as (unicode):
				yang info - Specify a BGP neighbor
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- allowas_in (long):
				yang info - Disables the AS_PATH check of the routes learned from the AS
				range - ['0..4294967295']

			- activate (YANGBool):
				yang info - Allow exchange of route in the current family mode

			- route_reflector_client (YANGBool):
				yang info - Configure a neighbor as Route Reflector client

			- af_nei_weight (long):
				yang info - Set default weight for routes from this neighbor
				range - ['0..4294967295']

			- associate_peer_group (unicode):
				yang info - Assign peer-group to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- description (unicode):
				yang info - Neighbor by description
				length - [u'1..220']

			- ebgp_btsh (YANGBool):
				yang info - Enable EBGP TTL Security Hack Protection

			- password (unicode):
				yang info - Enable TCP-MD5 password protection

			- remove_private_as (YANGBool):
				yang info - Remove private AS number from outbound updates

			- as_override (YANGBool):
				yang info - Override matching AS-number while sending update

			- static_network_edge (YANGBool):
				yang info - Neighbor as special service edge, static-network
shall not be advertised if installed as DROP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_get(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_advertisement_interval_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- bfd_enable (YANGBool):

			- holdover_interval (long):
				yang info - BFD holdover interval configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_interval_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_interval_min_rx_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_as4_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_as4_disable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_orf_prefixlist_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_orf_prefixlist_receive_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefixlist_status (YANGBool):

			- prefixlist_send (YANGBool):
				yang info - Capability to SEND the ORF to this neighbor

			- prefixlist_receive (YANGBool):
				yang info - Capability to RECEIVE the ORF from this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_default_originate_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_default_originate_route_map_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- default_originate_status (YANGBool):

			- default_originate_route_map (unicode):
				yang info - Route-map to specify criteria to originate default
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_ebgp_multihop_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ebgp_multihop_flag (YANGBool):

			- ebgp_multihop_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_enforce_first_as_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_enforce_first_as_enable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_filter_list_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- filter_list_direction_in_acl_name (unicode):
				length - [u'1..63']

			- filter_list_name_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_local_as_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_as_value (unicode):
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- no_prepend (YANGBool):
				yang info - Do not prepend local-as to updates from ebgp peers

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_maxas_limit_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_maxas_limit_in_disable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- num_as_in_as_path (long):
				range - ['0..4294967295']

			- maxas_limit_disable (YANGBool):
				yang info - Disable maxas-limit

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_maximum_prefix_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- max_prefix_limit (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_maximum_prefix_teardown_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- threshold (long):
				range - ['0..4294967295']

			- teardown (YANGBool):
				yang info - Terminate the peering when limit is exceeded

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold, teardown=teardown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_next_hop_self_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_next_hop_self_always_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_in_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_in (YANGBool):
				yang info - Filter incoming routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- prefix_list_direction_out_prefix_name (unicode):
				length - [u'1..63']

			- prefix_list_direction_out (YANGBool):
				yang info - Filter outgoing routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_route_map_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_in (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_route_map_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_route_map_name_direction_out (unicode):
				yang info - Apply route map to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_send_community_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_send_community_both_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- send_community_status (YANGBool):

			- both (YANGBool):
				yang info - Send Standard and Extended Community attributes

			- extended (YANGBool):
				yang info - Send Extended Community attribute

			- standard (YANGBool):
				yang info - Send Standard Community attribute

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_shutdown_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_shutdown_generate_rib_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- shutdown_status (YANGBool):

			- generate_rib_out (YANGBool):
				yang info - Generate rib-out routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_soft_reconfiguration_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_soft_reconfiguration_inbound_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_timers_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_timers_hold_time_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_keep_alive (long):
				yang info - Keepalive interval
				range - ['0..4294967295']

			- nei_hold_time (long):
				yang info - Hold-time value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_unsuppress_map_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, map_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- map_name (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_update_source_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- interface_type (unicode):
				enum - [u'ethernet']

			- interface_name (unicode):
				yang info - Ethernet Interface
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_neighbor_update_source_loopback_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, sip_ipv6_address=None, loopback=None, ve_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

			- af_ipv6_neighbor_addr (af_ipv6_neighbor_address):
				af_ipv6_neighbor_address (unicode):
					yang info - A:B::C:D;;Neighbor Ipv6 Address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- sip_ipv6_address (unicode):
				pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

			- loopback (unicode):
				yang info - Loopback Interface
				length - [u'1..63']

			- ve_interface (long):
				yang info - Virtual Interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_network_create(self, af_ipv6_vrf=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_network_delete(self, af_ipv6_vrf=None, network=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_network_update(self, af_ipv6_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- network_weight (long):
				yang info - Set BGP weight for network
				range - ['0..4294967295']

			- backdoor (YANGBool):
				yang info - Specify a BGP backdoor route

			- network_route_map (unicode):
				yang info - Route-map to modify the attributes
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_network_get(self, af_ipv6_vrf=None, network=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Keyword Arg Tuple:
			- network (network_ipv6_address):
				network_ipv6_address (unicode):
					yang info - A:B::C:D/M IPV6 address in dotted decimal/Mask
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, network=network)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_update(self, af_ipv6_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_metric_update(self, af_ipv6_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_bgp (YANGBool):

			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_update(self, af_ipv6_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_connected (YANGBool):

			- unicast_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- redistribute_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_update(self, af_ipv6_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_update(self, af_ipv6_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_external1_update(self, af_ipv6_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_metric_update(self, af_ipv6_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_ospf (YANGBool):

			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_update(self, af_ipv6_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- redistribute_static (YANGBool):

			- unicast_static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_table_map_update(self, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_address_family_ipv6_unicast_vrf_table_map_route_map_update(self, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- af_ipv6_vrf (af_ipv6_vrf_name):
				af_ipv6_vrf_name (unicode):
					yang info - VRF name
					length - [u'1..255']

		This Instance Arg(s):
			- table_map_route_map (unicode):
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_always_compare_med_update(self, local_as=None, always_compare_med=None, compare_med_empty_aspath=None, med_missing_as_worst=None, as_path_ignore=None, compare_routerid=None, install_igp_cost=None, default_local_preference=None, enforce_first_as=None, fast_external_fallover=None, log_dampening_debug=None, auto_shutdown_new_neighbors=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- local_as (unicode):
				yang info - Configure local AS number
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- always_compare_med (YANGBool):
				yang info - Allow comparing MED from different neighbors

			- compare_med_empty_aspath (YANGBool):
				yang info - Allow comparing MED from different neighbors even with empty as-path
attribute

			- med_missing_as_worst (YANGBool):
				yang info - Consider routes missing MED attribute as least desirable

			- as_path_ignore (YANGBool):
				yang info - Ignore AS_PATH length for best route selection

			- compare_routerid (YANGBool):
				yang info - Compare router-id for identical BGP paths

			- install_igp_cost (YANGBool):
				yang info - Install igp cost to nexthop instead of MED value as BGP route cost

			- default_local_preference (long):
				yang info - Configure default local preference value
				range - ['0..4294967295']

			- enforce_first_as (YANGBool):
				yang info - Enforce the first AS for EBGP routes

			- fast_external_fallover (YANGBool):
				yang info - Reset session if link to EBGP peer goes down

			- log_dampening_debug (YANGBool):
				yang info - Log dampening debug messages

			- auto_shutdown_new_neighbors (YANGBool):
				yang info - Auto shutdown new neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug, auto_shutdown_new_neighbors=auto_shutdown_new_neighbors)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_bfd_update(self, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- holdover_interval (long):
				yang info - BFD holdover interval configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_bfd_holdover_interval_update(self, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- holdover_interval (long):
				yang info - BFD holdover interval configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_bfd_interval_update(self, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_bfd_interval_min_rx_update(self, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_capability_update(self, as4_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.capability', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, as4_enable=as4_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_capability_as4_enable_update(self, as4_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.capability', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, as4_enable=as4_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_cluster_id_update(self, cluster_id_value=None, cluster_id_ipv4_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cluster_id_value (long):
				yang info - Route-Reflector Cluster-ID as 32 bit quantity
				range - ['0..4294967295']

			- cluster_id_ipv4_address (unicode):
				yang info - Route-Reflector Cluster-ID as IP address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_cluster_id_ipv4_address_update(self, cluster_id_value=None, cluster_id_ipv4_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cluster_id_value (long):
				yang info - Route-Reflector Cluster-ID as 32 bit quantity
				range - ['0..4294967295']

			- cluster_id_ipv4_address (unicode):
				yang info - Route-Reflector Cluster-ID as IP address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_confederation_update(self, identifier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- identifier (long):
				yang info - Confederation AS number
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.confederation', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, identifier=identifier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_confederation_identifier_update(self, identifier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- identifier (long):
				yang info - Confederation AS number
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.confederation', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, identifier=identifier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_distance_update(self, ext_route_distance=None, int_route_distance=None, lcl_route_distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ext_route_distance (long):
				range - ['0..4294967295']

			- int_route_distance (long):
				range - ['0..4294967295']

			- lcl_route_distance (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ext_route_distance=ext_route_distance, int_route_distance=int_route_distance, lcl_route_distance=lcl_route_distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_maxas_limit_in_update(self, num_as_in_path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- num_as_in_path (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_as_in_path=num_as_in_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_create(self, neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_delete(self, neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_update(self, neighbor_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- remote_as (unicode):
				yang info - Specify a BGP neighbor
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- associate_peer_group (unicode):
				yang info - Assign peer-group to neighbor
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- description (unicode):
				yang info - Neighbor by description
				length - [u'1..220']

			- ebgp_btsh (YANGBool):
				yang info - Enable EBGP TTL Security Hack Protection

			- password (unicode):
				yang info - Enable TCP-MD5 password protection

			- remove_private_as (YANGBool):
				yang info - Remove private AS number from outbound updates

			- as_override (YANGBool):
				yang info - Override matching AS-number while sending update

			- static_network_edge (YANGBool):
				yang info - Neighbor as special service edge, static-network
shall not be advertised if installed as DROP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_get(self, neighbor_addr=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_bgp_neighbor_advertisement_interval_update(self, neighbor_addr=None, value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, value=value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_bfd_update(self, neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- bfd_enable (YANGBool):

			- holdover_interval (long):
				yang info - BFD holdover interval configuration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_bfd_interval_update(self, neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_bfd_interval_min_rx_update(self, neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- min_tx (long):
				yang info - Configure BFD desired min transmit interval in milliseconds.
				range - ['0..4294967295']

			- min_rx (long):
				yang info - Configure BFD required min receive interval in milliseconds.
				range - ['0..4294967295']

			- multiplier (long):
				yang info - Configure BFD detection time multiplier.
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_capability_as4_update(self, neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_capability_as4_disable_update(self, neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- neighbor_as4_enable (YANGBool):
				yang info - Enable AS4 capability

			- neighbor_as4_disable (YANGBool):
				yang info - Disable AS4 capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_ebgp_multihop_update(self, neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ebgp_multihop_flag (YANGBool):

			- ebgp_multihop_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_enforce_first_as_update(self, neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_enforce_first_as_enable_update(self, neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_enforce_first_as (YANGBool):
				yang info - Enable enforce-first-as

			- nei_enforce_first_as_disable (YANGBool):
				yang info - Disable enforce-first-as

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_local_as_update(self, neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- local_as_value (unicode):
				pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

			- no_prepend (YANGBool):
				yang info - Do not prepend local-as to updates from ebgp peers

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_maxas_limit_in_update(self, neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_maxas_limit_in_disable_update(self, neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- num_as_in_as_path (long):
				range - ['0..4294967295']

			- maxas_limit_disable (YANGBool):
				yang info - Disable maxas-limit

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_next_hop_self_update(self, neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_next_hop_self_always_update(self, neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- next_hop_self_always (YANGBool):
				yang info - Allow nexthopself for RR routes

			- next_hop_self_status (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_shutdown_update(self, neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_shutdown_generate_rib_out_update(self, neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- shutdown_status (YANGBool):

			- generate_rib_out (YANGBool):
				yang info - Generate rib-out routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_soft_reconfiguration_update(self, neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_soft_reconfiguration_inbound_update(self, neighbor_addr=None, inbound=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- inbound (YANGBool):
				yang info - Allow inbound soft reconfiguration for this neighbor

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, inbound=inbound)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_timers_update(self, neighbor_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_timers_hold_time_update(self, neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- nei_keep_alive (long):
				yang info - Keepalive interval
				range - ['0..4294967295']

			- nei_hold_time (long):
				yang info - Hold-time value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_update_source_update(self, neighbor_addr=None, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- interface_type (unicode):
				enum - [u'ethernet']

			- interface_name (unicode):
				yang info - Ethernet Interface
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_neighbor_update_source_loopback_update(self, neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- neighbor_addr (router_bgp_neighbor_address):
				router_bgp_neighbor_address (unicode):
					yang info - A.B.C.D;;Neighbor Address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- sip_ipv4_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- loopback (unicode):
				yang info - Loopback Interface
				length - [u'1..63']

			- ve_interface (long):
				yang info - Virtual Interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_timers_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'keep_alive, hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_bgp_timers_hold_time_update(self, keep_alive=None, hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- keep_alive (long):
				yang info - Keepalive interval
				range - ['0..4294967295']

			- hold_time (long):
				yang info - Hold-time value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, keep_alive=keep_alive, hold_time=hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_fabric_virtual_gateway_address_family_ipv4_update(self, enable_global=None, gateway_mac_address=None, accept_unicast_arp_request=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable_global (YANGBool):
				yang info - Enable Fabric virtual gateway

			- gateway_mac_address (unicode):
				yang info - Gateway MAC address for ARP requests

			- accept_unicast_arp_request (YANGBool):
				yang info - Accept Unicast Arp Request

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_global=enable_global, gateway_mac_address=gateway_mac_address, accept_unicast_arp_request=accept_unicast_arp_request)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_fabric_virtual_gateway_address_family_ipv4_accept_unicast_arp_request_update(self, enable_global=None, gateway_mac_address=None, accept_unicast_arp_request=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable_global (YANGBool):
				yang info - Enable Fabric virtual gateway

			- gateway_mac_address (unicode):
				yang info - Gateway MAC address for ARP requests

			- accept_unicast_arp_request (YANGBool):
				yang info - Accept Unicast Arp Request

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_global=enable_global, gateway_mac_address=gateway_mac_address, accept_unicast_arp_request=accept_unicast_arp_request)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_fabric_virtual_gateway_address_family_ipv4_gratuitous_arp_update(self, timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- timer (long):
				yang info - Gratuitous ARP timer value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_fabric_virtual_gateway_address_family_ipv4_gratuitous_arp_timer_update(self, timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- timer (long):
				yang info - Gratuitous ARP timer value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_fabric_virtual_gateway_address_family_ipv6_update(self, enable_global=None, gateway_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable_global (YANGBool):
				yang info - Enable Fabric virtual gateway

			- gateway_mac_address (unicode):
				yang info - Gateway MAC address for ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_global=enable_global, gateway_mac_address=gateway_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_fabric_virtual_gateway_address_family_ipv6_enable_update(self, enable_global=None, gateway_mac_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable_global (YANGBool):
				yang info - Enable Fabric virtual gateway

			- gateway_mac_address (unicode):
				yang info - Gateway MAC address for ARP requests

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_global=enable_global, gateway_mac_address=gateway_mac_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_fabric_virtual_gateway_address_family_ipv6_gratuitous_arp_update(self, timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- timer (long):
				yang info - Gratuitous ARP timer value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_fabric_virtual_gateway_address_family_ipv6_gratuitous_arp_timer_update(self, timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- timer (long):
				yang info - Gratuitous ARP timer value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_update(self, csnp_interval=None, disable_inc_stct_spf_opt=None, disable_incremental_spf_opt=None, disable_partial_spf_opt=None, is_type=None, lsp_gen_interval=None, lsp_interval=None, lsp_refresh_interval=None, max_lsp_lifetime=None, nonstop_routing=None, retransmit_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- csnp_interval (long):
				yang info - Rate of transmission of CSNPs
				range - ['0..4294967295']

			- disable_inc_stct_spf_opt (YANGBool):
				yang info - Disable Incremental Shortcut SPF Optimizations - resort to Full SPF

			- disable_incremental_spf_opt (YANGBool):
				yang info - Disable Incremental SPF Optimizations - resort to Full SPF

			- disable_partial_spf_opt (YANGBool):
				yang info - Disable Partial SPF Optimizations - resort to Full SPF

			- is_type (unicode):
				yang info - Define inter-area/intra area operation mode
				enum - [u'level-2', u'level-1-2', u'level-1']

			- lsp_gen_interval (long):
				yang info - Minimum interval between regenerating same LSP
				range - ['0..4294967295']

			- lsp_interval (long):
				yang info - Rate of transmission of LSPs
				range - ['0..4294967295']

			- lsp_refresh_interval (long):
				yang info - LSP refresh interval
				range - ['0..4294967295']

			- max_lsp_lifetime (long):
				yang info - Maximum LSP lifetime
				range - ['0..4294967295']

			- nonstop_routing (YANGBool):
				yang info - Enables the ISIS nonstop routing capability

			- retransmit_interval (long):
				yang info - Time between retransmission of LSP
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, csnp_interval=csnp_interval, disable_inc_stct_spf_opt=disable_inc_stct_spf_opt, disable_incremental_spf_opt=disable_incremental_spf_opt, disable_partial_spf_opt=disable_partial_spf_opt, is_type=is_type, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, max_lsp_lifetime=max_lsp_lifetime, nonstop_routing=nonstop_routing, retransmit_interval=retransmit_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_update(self, default_metric=None, distance=None, maximum_paths=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- default_metric (long):
				yang info - Metric for route redistribution
				range - ['0..4294967295']

			- distance (long):
				yang info - Define an administrative distance
				range - ['0..4294967295']

			- maximum_paths (long):
				yang info - Calculate multiple paths
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_default_information_originate_update(self, default_information_originate_route_map=None, default_information_originate_cr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- default_information_originate_route_map (unicode):
				yang info - Use route map
				length - [u'1..63']

			- default_information_originate_cr (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_information_originate_route_map=default_information_originate_route_map, default_information_originate_cr=default_information_originate_cr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_default_link_metric_update(self, default_link_metric_level1=None, default_link_metric_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- default_link_metric_level1 (long):
				yang info - Default Link Metric for Level-1
				range - ['0..4294967295']

			- default_link_metric_level2 (long):
				yang info - Default Link Metric for Level-2
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_link_metric_level1=default_link_metric_level1, default_link_metric_level2=default_link_metric_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_default_link_metric_level_1_update(self, default_link_metric_level1=None, default_link_metric_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- default_link_metric_level1 (long):
				yang info - Default Link Metric for Level-1
				range - ['0..4294967295']

			- default_link_metric_level2 (long):
				yang info - Default Link Metric for Level-2
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_link_metric_level1=default_link_metric_level1, default_link_metric_level2=default_link_metric_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_default_metric_update(self, default_metric=None, distance=None, maximum_paths=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- default_metric (long):
				yang info - Metric for route redistribution
				range - ['0..4294967295']

			- distance (long):
				yang info - Define an administrative distance
				range - ['0..4294967295']

			- maximum_paths (long):
				yang info - Calculate multiple paths
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_ldp_sync_update(self, ldp_sync_hold_down=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_sync_hold_down (long):
				yang info - Specify hold-down duration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_sync_hold_down=ldp_sync_hold_down)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_ldp_sync_hold_down_update(self, ldp_sync_hold_down=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_sync_hold_down (long):
				yang info - Specify hold-down duration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_sync_hold_down=ldp_sync_hold_down)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_metric_style_wide_update(self, metric_style_wide_level1=None, metric_style_wide_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- metric_style_wide_level1 (YANGBool):
				yang info - Level-1 Only

			- metric_style_wide_level2 (YANGBool):
				yang info - Level-2 Only

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.metric_style.wide', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, metric_style_wide_level1=metric_style_wide_level1, metric_style_wide_level2=metric_style_wide_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_metric_style_wide_level_1_update(self, metric_style_wide_level1=None, metric_style_wide_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- metric_style_wide_level1 (YANGBool):
				yang info - Level-1 Only

			- metric_style_wide_level2 (YANGBool):
				yang info - Level-2 Only

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.metric_style.wide', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, metric_style_wide_level1=metric_style_wide_level1, metric_style_wide_level2=metric_style_wide_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_bgp_update(self, bgp_metric=None, bgp_route_map=None, bgp_level1=None, bgp_level2=None, bgp_level12=None, bgp_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- bgp_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- bgp_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- bgp_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- bgp_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map, bgp_level1=bgp_level1, bgp_level2=bgp_level2, bgp_level12=bgp_level12, bgp_metric_type=bgp_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_bgp_level_1_update(self, bgp_metric=None, bgp_route_map=None, bgp_level1=None, bgp_level2=None, bgp_level12=None, bgp_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- bgp_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- bgp_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- bgp_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- bgp_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map, bgp_level1=bgp_level1, bgp_level2=bgp_level2, bgp_level12=bgp_level12, bgp_metric_type=bgp_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_connected_update(self, connected_metric=None, connected_route_map=None, connected_level1=None, connected_level2=None, connected_level12=None, connected_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- connected_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- connected_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- connected_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- connected_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- connected_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- connected_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connected_metric=connected_metric, connected_route_map=connected_route_map, connected_level1=connected_level1, connected_level2=connected_level2, connected_level12=connected_level12, connected_metric_type=connected_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_connected_level_1_update(self, connected_metric=None, connected_route_map=None, connected_level1=None, connected_level2=None, connected_level12=None, connected_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- connected_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- connected_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- connected_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- connected_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- connected_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- connected_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connected_metric=connected_metric, connected_route_map=connected_route_map, connected_level1=connected_level1, connected_level2=connected_level2, connected_level12=connected_level12, connected_metric_type=connected_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_isis_level_1_into_level_2_update(self, prefix_list_level1=None, level1_into_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix_list_level1 (unicode):
				yang info - Select routes using prefix-list
				length - [u'1..63']

			- level1_into_level2_disable (YANGBool):
				yang info - Disable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_isis_level_1_into_level_2_disable_update(self, prefix_list_level1=None, level1_into_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix_list_level1 (unicode):
				yang info - Select routes using prefix-list
				length - [u'1..63']

			- level1_into_level2_disable (YANGBool):
				yang info - Disable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_isis_level_2_into_level_1_update(self, prefix_list_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix_list_level2 (unicode):
				yang info - Select routes using prefix-list
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level2=prefix_list_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_isis_level_2_into_level_1_prefix_list_update(self, prefix_list_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix_list_level2 (unicode):
				yang info - Select routes using prefix-list
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level2=prefix_list_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_ospf_update(self, ospf_metric=None, ospf_route_map=None, ospf_level1=None, ospf_level2=None, ospf_level12=None, ospf_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- ospf_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- ospf_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- ospf_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- ospf_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map, ospf_level1=ospf_level1, ospf_level2=ospf_level2, ospf_level12=ospf_level12, ospf_metric_type=ospf_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_ospf_level_1_update(self, ospf_metric=None, ospf_route_map=None, ospf_level1=None, ospf_level2=None, ospf_level12=None, ospf_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- ospf_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- ospf_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- ospf_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- ospf_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map, ospf_level1=ospf_level1, ospf_level2=ospf_level2, ospf_level12=ospf_level12, ospf_metric_type=ospf_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_ospf_match_external1_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_static_update(self, static_metric=None, static_route_map=None, static_level1=None, static_level2=None, static_level12=None, static_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- static_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- static_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- static_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- static_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_metric=static_metric, static_route_map=static_route_map, static_level1=static_level1, static_level2=static_level2, static_level12=static_level12, static_metric_type=static_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_redistribute_static_level_1_update(self, static_metric=None, static_route_map=None, static_level1=None, static_level2=None, static_level12=None, static_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- static_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- static_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- static_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- static_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_metric=static_metric, static_route_map=static_route_map, static_level1=static_level1, static_level2=static_level2, static_level12=static_level12, static_metric_type=static_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_summary_address_create(self, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_address (summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2):
				summary_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				summary_ip_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				summary_ip_level1 (YANGBool):
					yang info - For Level-1

				summary_ip_level2 (YANGBool):
					yang info - For Level-2

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_ip, summary_ip_mask', 'extra_keyval': 'summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_summary_address_delete(self, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_address (summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2):
				summary_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				summary_ip_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				summary_ip_level1 (YANGBool):
					yang info - For Level-1

				summary_ip_level2 (YANGBool):
					yang info - For Level-2

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_ip, summary_ip_mask', 'extra_keyval': 'summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_summary_address_update(self, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_address (summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2):
				summary_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				summary_ip_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				summary_ip_level1 (YANGBool):
					yang info - For Level-1

				summary_ip_level2 (YANGBool):
					yang info - For Level-2

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_ip, summary_ip_mask', 'extra_keyval': 'summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv4_unicast_summary_address_get(self, summary_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_address (summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2):
				summary_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				summary_ip_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				summary_ip_level1 (YANGBool):
					yang info - For Level-1

				summary_ip_level2 (YANGBool):
					yang info - For Level-2

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_ip, summary_ip_mask', 'extra_keyval': 'summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_update(self, default_metric=None, distance=None, maximum_paths=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- default_metric (long):
				yang info - Metric for route redistribution
				range - ['0..4294967295']

			- distance (long):
				yang info - Define an administrative distance
				range - ['0..4294967295']

			- maximum_paths (long):
				yang info - Calculate multiple paths
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_default_information_originate_update(self, default_information_originate_route_map=None, default_information_originate_cr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- default_information_originate_route_map (unicode):
				yang info - Use route map
				length - [u'1..63']

			- default_information_originate_cr (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_information_originate_route_map=default_information_originate_route_map, default_information_originate_cr=default_information_originate_cr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_default_link_metric_update(self, ipv6_default_link_metric_level1=None, ipv6_default_link_metric_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ipv6_default_link_metric_level1 (long):
				yang info - Default Link Metric for Level-1
				range - ['0..4294967295']

			- ipv6_default_link_metric_level2 (long):
				yang info - Default Link Metric for Level-2
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.ipv6_default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_default_link_metric_level1=ipv6_default_link_metric_level1, ipv6_default_link_metric_level2=ipv6_default_link_metric_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_default_link_metric_level_1_update(self, ipv6_default_link_metric_level1=None, ipv6_default_link_metric_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ipv6_default_link_metric_level1 (long):
				yang info - Default Link Metric for Level-1
				range - ['0..4294967295']

			- ipv6_default_link_metric_level2 (long):
				yang info - Default Link Metric for Level-2
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.ipv6_default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_default_link_metric_level1=ipv6_default_link_metric_level1, ipv6_default_link_metric_level2=ipv6_default_link_metric_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_default_metric_update(self, default_metric=None, distance=None, maximum_paths=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- default_metric (long):
				yang info - Metric for route redistribution
				range - ['0..4294967295']

			- distance (long):
				yang info - Define an administrative distance
				range - ['0..4294967295']

			- maximum_paths (long):
				yang info - Calculate multiple paths
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_disable_adjacency_check_update(self, disable_adjacency_check=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- disable_adjacency_check (YANGBool):
				yang info - Disable IPv6 Support consistency check

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, disable_adjacency_check=disable_adjacency_check)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_multi_topology_update(self, multi_topology_transition=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- multi_topology_transition (YANGBool):
				yang info - Accept and generate both ISIS IPv6 and Multi-topology IPv6 TLVs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.multi_topology', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multi_topology_transition=multi_topology_transition)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_multi_topology_transition_update(self, multi_topology_transition=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- multi_topology_transition (YANGBool):
				yang info - Accept and generate both ISIS IPv6 and Multi-topology IPv6 TLVs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.multi_topology', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multi_topology_transition=multi_topology_transition)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_partial_spf_interval_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pspf6_max_hold_time, pspf6_init_delay, pspf6_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_partial_spf_interval_pspf_hold_time_update(self, pspf6_max_hold_time=None, pspf6_init_delay=None, pspf6_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- pspf6_max_hold_time (long):
				range - ['0..4294967295']

			- pspf6_init_delay (long):
				range - ['0..4294967295']

			- pspf6_hold_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pspf6_max_hold_time=pspf6_max_hold_time, pspf6_init_delay=pspf6_init_delay, pspf6_hold_time=pspf6_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_bgp_update(self, bgp_metric=None, bgp_route_map=None, bgp_level1=None, bgp_level2=None, bgp_level12=None, bgp_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- bgp_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- bgp_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- bgp_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- bgp_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map, bgp_level1=bgp_level1, bgp_level2=bgp_level2, bgp_level12=bgp_level12, bgp_metric_type=bgp_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_bgp_level_1_update(self, bgp_metric=None, bgp_route_map=None, bgp_level1=None, bgp_level2=None, bgp_level12=None, bgp_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bgp_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- bgp_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- bgp_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- bgp_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- bgp_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map, bgp_level1=bgp_level1, bgp_level2=bgp_level2, bgp_level12=bgp_level12, bgp_metric_type=bgp_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_connected_update(self, connected_metric=None, connected_route_map=None, connected_level1=None, connected_level2=None, connected_level12=None, connected_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- connected_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- connected_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- connected_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- connected_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- connected_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- connected_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connected_metric=connected_metric, connected_route_map=connected_route_map, connected_level1=connected_level1, connected_level2=connected_level2, connected_level12=connected_level12, connected_metric_type=connected_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_connected_level_1_update(self, connected_metric=None, connected_route_map=None, connected_level1=None, connected_level2=None, connected_level12=None, connected_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- connected_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- connected_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- connected_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- connected_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- connected_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- connected_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connected_metric=connected_metric, connected_route_map=connected_route_map, connected_level1=connected_level1, connected_level2=connected_level2, connected_level12=connected_level12, connected_metric_type=connected_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_isis_level_1_into_level_2_update(self, prefix_list_level1=None, level1_into_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix_list_level1 (unicode):
				yang info - Select routes using prefix-list
				length - [u'1..63']

			- level1_into_level2_disable (YANGBool):
				yang info - Disable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_isis_level_1_into_level_2_disable_update(self, prefix_list_level1=None, level1_into_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix_list_level1 (unicode):
				yang info - Select routes using prefix-list
				length - [u'1..63']

			- level1_into_level2_disable (YANGBool):
				yang info - Disable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_isis_level_2_into_level_1_update(self, prefix_list_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix_list_level2 (unicode):
				yang info - Select routes using prefix-list
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level2=prefix_list_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_isis_level_2_into_level_1_prefix_list_update(self, prefix_list_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix_list_level2 (unicode):
				yang info - Select routes using prefix-list
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level2=prefix_list_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_ospf_update(self, ospf_metric=None, ospf_route_map=None, ospf_level1=None, ospf_level2=None, ospf_level12=None, ospf_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- ospf_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- ospf_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- ospf_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- ospf_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map, ospf_level1=ospf_level1, ospf_level2=ospf_level2, ospf_level12=ospf_level12, ospf_metric_type=ospf_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_ospf_level_1_update(self, ospf_metric=None, ospf_route_map=None, ospf_level1=None, ospf_level2=None, ospf_level12=None, ospf_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- ospf_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- ospf_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- ospf_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- ospf_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- ospf_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map, ospf_level1=ospf_level1, ospf_level2=ospf_level2, ospf_level12=ospf_level12, ospf_metric_type=ospf_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_ospf_match_external1_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_internal (YANGBool):
				yang info - Internal routes

			- ospf_external1 (YANGBool):
				yang info - External type 1 routes

			- ospf_external2 (YANGBool):
				yang info - External type 2 routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_static_update(self, static_metric=None, static_route_map=None, static_level1=None, static_level2=None, static_level12=None, static_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- static_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- static_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- static_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- static_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_metric=static_metric, static_route_map=static_route_map, static_level1=static_level1, static_level2=static_level2, static_level12=static_level12, static_metric_type=static_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_redistribute_static_level_1_update(self, static_metric=None, static_route_map=None, static_level1=None, static_level2=None, static_level12=None, static_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- static_metric (long):
				yang info - Metric for redistributed routes
				range - ['0..4294967295']

			- static_route_map (unicode):
				yang info - Route map reference
				length - [u'1..63']

			- static_level1 (YANGBool):
				yang info - IS-IS Level-1 routes only

			- static_level2 (YANGBool):
				yang info - IS-IS Level-2 routes only

			- static_level12 (YANGBool):
				yang info - IS-IS Level-1-2 routes

			- static_metric_type (unicode):
				yang info - IS-IS metric type for redistributed routes
				enum - [u'internal', u'external']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_metric=static_metric, static_route_map=static_route_map, static_level1=static_level1, static_level2=static_level2, static_level12=static_level12, static_metric_type=static_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_spf_interval_create(self, spf6_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf6_interval (spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time):
				spf6_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				spf6_interval_max_hold_time (long):
					range - ['0..4294967295']

				spf6_interval_initial_delay (long):
					range - ['0..4294967295']

				spf6_interval_hold_time (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'spf6_interval', 'keyval': 'spf6_interval_level', 'extra_keyval': 'spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf6_interval=spf6_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_spf_interval_delete(self, spf6_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf6_interval (spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time):
				spf6_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				spf6_interval_max_hold_time (long):
					range - ['0..4294967295']

				spf6_interval_initial_delay (long):
					range - ['0..4294967295']

				spf6_interval_hold_time (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'spf6_interval', 'keyval': 'spf6_interval_level', 'extra_keyval': 'spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf6_interval=spf6_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_spf_interval_update(self, spf6_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf6_interval (spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time):
				spf6_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				spf6_interval_max_hold_time (long):
					range - ['0..4294967295']

				spf6_interval_initial_delay (long):
					range - ['0..4294967295']

				spf6_interval_hold_time (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'spf6_interval', 'keyval': 'spf6_interval_level', 'extra_keyval': 'spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf6_interval=spf6_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_spf_interval_get(self, spf6_interval=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf6_interval (spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time):
				spf6_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				spf6_interval_max_hold_time (long):
					range - ['0..4294967295']

				spf6_interval_initial_delay (long):
					range - ['0..4294967295']

				spf6_interval_hold_time (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'spf6_interval', 'keyval': 'spf6_interval_level', 'extra_keyval': 'spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf6_interval=spf6_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_summary_prefix_create(self, summary_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_prefix (summary_prefix_ipv6):
				summary_prefix_ipv6 (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_prefix', 'keyval': 'summary_prefix_ipv6', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_prefix=summary_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_summary_prefix_delete(self, summary_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_prefix (summary_prefix_ipv6):
				summary_prefix_ipv6 (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_prefix', 'keyval': 'summary_prefix_ipv6', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_prefix=summary_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_summary_prefix_update(self, summary_prefix=None, summary_prefix_level1=None, summary_prefix_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_prefix (summary_prefix_ipv6):
				summary_prefix_ipv6 (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		This Instance Arg(s):
			- summary_prefix_level1 (YANGBool):
				yang info - For Level-1

			- summary_prefix_level2 (YANGBool):
				yang info - For Level-2

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_prefix', 'keyval': 'summary_prefix_ipv6', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_prefix=summary_prefix, summary_prefix_level1=summary_prefix_level1, summary_prefix_level2=summary_prefix_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_address_family_ipv6_unicast_summary_prefix_get(self, summary_prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- summary_prefix (summary_prefix_ipv6):
				summary_prefix_ipv6 (unicode):
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'summary_prefix', 'keyval': 'summary_prefix_ipv6', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_prefix=summary_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_isis_auth_check_level_1_update(self, auth_check_level1_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_check_level1_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check_level1_disable=auth_check_level1_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_auth_check_level_1_disable_update(self, auth_check_level1_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_check_level1_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check_level1_disable=auth_check_level1_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_auth_check_level_2_update(self, auth_check_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_check_level2_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check_level2_disable=auth_check_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_auth_check_level_2_disable_update(self, auth_check_level2_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_check_level2_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check_level2_disable=auth_check_level2_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_auth_key_update(self, auth_key_level1_str=None, auth_key_level2_str=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_key_level1_str (unicode):
				yang info - Auth-key for Level-1 ISIS Router
				length - [u'1..63']

			- auth_key_level2_str (unicode):
				yang info - Auth-key for Level-2 ISIS Router
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_key_level1_str=auth_key_level1_str, auth_key_level2_str=auth_key_level2_str)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_auth_key_level_1_update(self, auth_key_level1_str=None, auth_key_level2_str=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_key_level1_str (unicode):
				yang info - Auth-key for Level-1 ISIS Router
				length - [u'1..63']

			- auth_key_level2_str (unicode):
				yang info - Auth-key for Level-2 ISIS Router
				length - [u'1..63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_key_level1_str=auth_key_level1_str, auth_key_level2_str=auth_key_level2_str)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_auth_mode_md5_update(self, auth_mode_md5_level1=None, auth_mode_md5_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_mode_md5_level1 (YANGBool):
				yang info - Authentication mode for Level-1 LSPs, CSNP, PSNP

			- auth_mode_md5_level2 (YANGBool):
				yang info - Authentication mode for Level-2 LSPs, CSNP, PSNP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_mode.md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_mode_md5_level1=auth_mode_md5_level1, auth_mode_md5_level2=auth_mode_md5_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_auth_mode_md5_level_1_update(self, auth_mode_md5_level1=None, auth_mode_md5_level2=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- auth_mode_md5_level1 (YANGBool):
				yang info - Authentication mode for Level-1 LSPs, CSNP, PSNP

			- auth_mode_md5_level2 (YANGBool):
				yang info - Authentication mode for Level-2 LSPs, CSNP, PSNP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_mode.md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_mode_md5_level1=auth_mode_md5_level1, auth_mode_md5_level2=auth_mode_md5_level2)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_bfd_update(self, bfd_all_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bfd_all_interfaces (YANGBool):
				yang info - Enable BFD on all interfaces

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_all_interfaces=bfd_all_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_bfd_all_interfaces_update(self, bfd_all_interfaces=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bfd_all_interfaces (YANGBool):
				yang info - Enable BFD on all interfaces

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_all_interfaces=bfd_all_interfaces)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_csnp_interval_update(self, csnp_interval=None, disable_inc_stct_spf_opt=None, disable_incremental_spf_opt=None, disable_partial_spf_opt=None, is_type=None, lsp_gen_interval=None, lsp_interval=None, lsp_refresh_interval=None, max_lsp_lifetime=None, nonstop_routing=None, retransmit_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- csnp_interval (long):
				yang info - Rate of transmission of CSNPs
				range - ['0..4294967295']

			- disable_inc_stct_spf_opt (YANGBool):
				yang info - Disable Incremental Shortcut SPF Optimizations - resort to Full SPF

			- disable_incremental_spf_opt (YANGBool):
				yang info - Disable Incremental SPF Optimizations - resort to Full SPF

			- disable_partial_spf_opt (YANGBool):
				yang info - Disable Partial SPF Optimizations - resort to Full SPF

			- is_type (unicode):
				yang info - Define inter-area/intra area operation mode
				enum - [u'level-2', u'level-1-2', u'level-1']

			- lsp_gen_interval (long):
				yang info - Minimum interval between regenerating same LSP
				range - ['0..4294967295']

			- lsp_interval (long):
				yang info - Rate of transmission of LSPs
				range - ['0..4294967295']

			- lsp_refresh_interval (long):
				yang info - LSP refresh interval
				range - ['0..4294967295']

			- max_lsp_lifetime (long):
				yang info - Maximum LSP lifetime
				range - ['0..4294967295']

			- nonstop_routing (YANGBool):
				yang info - Enables the ISIS nonstop routing capability

			- retransmit_interval (long):
				yang info - Time between retransmission of LSP
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, csnp_interval=csnp_interval, disable_inc_stct_spf_opt=disable_inc_stct_spf_opt, disable_incremental_spf_opt=disable_incremental_spf_opt, disable_partial_spf_opt=disable_partial_spf_opt, is_type=is_type, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, max_lsp_lifetime=max_lsp_lifetime, nonstop_routing=nonstop_routing, retransmit_interval=retransmit_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_fast_flood_update(self, fast_flood_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- fast_flood_value (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.fast_flood', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fast_flood_value=fast_flood_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_graceful_restart_update(self, gr_helper_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- gr_helper_disable (YANGBool):
				yang info - Disable Helper Mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gr_helper_disable=gr_helper_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_graceful_restart_helper_disable_update(self, gr_helper_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- gr_helper_disable (YANGBool):
				yang info - Disable Helper Mode

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gr_helper_disable=gr_helper_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_hello_padding_update(self, hello_padding_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello_padding_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_padding_disable=hello_padding_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_hello_padding_disable_update(self, hello_padding_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello_padding_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_padding_disable=hello_padding_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_hello_padding_point_to_point_update(self, hello_padding_ptp_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello_padding_ptp_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding.hello_padding_point_to_point', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_padding_ptp_disable=hello_padding_ptp_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_hello_padding_point_to_point_disable_update(self, hello_padding_ptp_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hello_padding_ptp_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding.hello_padding_point_to_point', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_padding_ptp_disable=hello_padding_ptp_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_hostname_update(self, hostname_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hostname_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hostname', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostname_disable=hostname_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_hostname_disable_update(self, hostname_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hostname_disable (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hostname', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostname_disable=hostname_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_log_update(self, adjacency=None, invalid_lsp_packets=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- adjacency (YANGBool):
				yang info - Logging Adjacency Changes

			- invalid_lsp_packets (YANGBool):
				yang info - Logging Invalid LSP Packets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adjacency=adjacency, invalid_lsp_packets=invalid_lsp_packets)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_log_adjacency_update(self, adjacency=None, invalid_lsp_packets=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- adjacency (YANGBool):
				yang info - Logging Adjacency Changes

			- invalid_lsp_packets (YANGBool):
				yang info - Logging Invalid LSP Packets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adjacency=adjacency, invalid_lsp_packets=invalid_lsp_packets)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_net_create(self, net=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- net (net_cmd):
				net_cmd (unicode):
					pattern - ([0-9a-fA-F]{2}((\.[0-9a-fA-F]{4}){3,9})\.00)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.net', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'net', 'keyval': 'net_cmd', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, net=net)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_net_delete(self, net=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- net (net_cmd):
				net_cmd (unicode):
					pattern - ([0-9a-fA-F]{2}((\.[0-9a-fA-F]{4}){3,9})\.00)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.net', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'net', 'keyval': 'net_cmd', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, net=net)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_net_get(self, net=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- net (net_cmd):
				net_cmd (unicode):
					pattern - ([0-9a-fA-F]{2}((\.[0-9a-fA-F]{4}){3,9})\.00)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.net', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'net', 'keyval': 'net_cmd', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, net=net)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_isis_partial_spf_interval_update(self, pspf_max_hold_time=None, pspf_init_delay=None, pspf_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- pspf_max_hold_time (long):
				range - ['0..4294967295']

			- pspf_init_delay (long):
				range - ['0..4294967295']

			- pspf_hold_time (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.partial_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pspf_max_hold_time=pspf_max_hold_time, pspf_init_delay=pspf_init_delay, pspf_hold_time=pspf_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_reverse_metric_update(self, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rev_metric_val (long):
				yang info - Configure IS-IS reverse metric value
				range - ['0..4294967295']

			- rev_metric_whole_lan (YANGBool):
				yang info - Change metric for whole LAN

			- rev_metric_te_def_metric (YANGBool):
				yang info - Update TE default metric sub-tlv

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.reverse_metric_tlv', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_reverse_metric_te_def_metric_update(self, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rev_metric_val (long):
				yang info - Configure IS-IS reverse metric value
				range - ['0..4294967295']

			- rev_metric_whole_lan (YANGBool):
				yang info - Change metric for whole LAN

			- rev_metric_te_def_metric (YANGBool):
				yang info - Update TE default metric sub-tlv

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_reverse_metric_tlv_type_update(self, rev_metric_tlv_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rev_metric_tlv_type (int):
				yang info - Configure reverse metric TLV type
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.reverse_metric_tlv', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rev_metric_tlv_type=rev_metric_tlv_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_set_debug_update(self, nsr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- nsr (YANGBool):
				yang info - Set nsr debug

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_debug', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsr=nsr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_set_debug_nsr_update(self, nsr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- nsr (YANGBool):
				yang info - Set nsr debug

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_debug', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsr=nsr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_set_overload_bit_on_startup_update(self, on_startup_overloadtime=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- on_startup_overloadtime (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, on_startup_overloadtime=on_startup_overloadtime)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_set_overload_bit_on_startup_wait_for_bgp_update(self, wait_for_bgp_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- wait_for_bgp_value (long):
				yang info - Set overload-bit till BGP converges on reboot
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup.wait_for_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, wait_for_bgp_value=wait_for_bgp_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_spf_interval_create(self, spf_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf_interval (spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time):
				spf_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				spf_interval_max_hold_time (long):
					range - ['0..4294967295']

				spf_interval_initial_delay (long):
					range - ['0..4294967295']

				spf_interval_hold_time (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'spf_interval', 'keyval': 'spf_interval_level', 'extra_keyval': 'spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_interval=spf_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_spf_interval_delete(self, spf_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf_interval (spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time):
				spf_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				spf_interval_max_hold_time (long):
					range - ['0..4294967295']

				spf_interval_initial_delay (long):
					range - ['0..4294967295']

				spf_interval_hold_time (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'spf_interval', 'keyval': 'spf_interval_level', 'extra_keyval': 'spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_interval=spf_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_spf_interval_update(self, spf_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf_interval (spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time):
				spf_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				spf_interval_max_hold_time (long):
					range - ['0..4294967295']

				spf_interval_initial_delay (long):
					range - ['0..4294967295']

				spf_interval_hold_time (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'spf_interval', 'keyval': 'spf_interval_level', 'extra_keyval': 'spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_interval=spf_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_isis_spf_interval_get(self, spf_interval=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf_interval (spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time):
				spf_interval_level (unicode):
					enum - [u'level-2', u'level-1']

				spf_interval_max_hold_time (long):
					range - ['0..4294967295']

				spf_interval_initial_delay (long):
					range - ['0..4294967295']

				spf_interval_hold_time (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'spf_interval', 'keyval': 'spf_interval_level', 'extra_keyval': 'spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_interval=spf_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_autobw_template_create(self, autobw_template=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_template (autobw_template_name):
				autobw_template_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_template=autobw_template)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_autobw_template_delete(self, autobw_template=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_template (autobw_template_name):
				autobw_template_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_template=autobw_template)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_autobw_template_update(self, autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_template (autobw_template_name):
				autobw_template_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- adjustment_interval (long):
				yang info - Configure Adjustment interval
				range - ['0..4294967295']

			- adjustment_threshold (long):
				yang info - Configure Adjustment threshold
				range - ['0..4294967295']

			- min_bandwidth (long):
				yang info - Configure Minimum Bandwidth
				range - ['0..4294967295']

			- max_bandwidth (long):
				yang info - Configure Maximum bandwidth
				range - ['0..4294967295']

			- overflow_limit (long):
				yang info - Configure Overflow limit
				range - ['0..4294967295']

			- mode (unicode):
				yang info - Configure Mode of autobandwidth
				enum - [u'monitor-and-signal', u'monitor-only']

			- sample_recording (unicode):
				yang info - Set sample recording for this lsp
				enum - [u'enable', u'disable']

			- underflow_limit (long):
				yang info - Configure Underflow limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_template=autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_autobw_template_get(self, autobw_template=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_template (autobw_template_name):
				autobw_template_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_template=autobw_template)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_autobw_threshold_table_bandwidth_create(self, autobw_threshold_table_bandwidth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_threshold_table_bandwidth (bandwidth_value, autobw_threshold_table_threshold):
				bandwidth_value (long):
					yang info - DECIMAL;;Bandwidth upto which threshold will apply
					range - ['0..4294967295']

				autobw_threshold_table_threshold (long):
					yang info - DECIMAL;;Absolute threshold value for the bandwidth
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.autobw_threshold_table_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_bandwidth', 'keyval': 'bandwidth_value', 'extra_keyval': 'bandwidth_value, autobw_threshold_table_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_threshold_table_bandwidth=autobw_threshold_table_bandwidth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_autobw_threshold_table_bandwidth_delete(self, autobw_threshold_table_bandwidth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_threshold_table_bandwidth (bandwidth_value, autobw_threshold_table_threshold):
				bandwidth_value (long):
					yang info - DECIMAL;;Bandwidth upto which threshold will apply
					range - ['0..4294967295']

				autobw_threshold_table_threshold (long):
					yang info - DECIMAL;;Absolute threshold value for the bandwidth
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.autobw_threshold_table_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_bandwidth', 'keyval': 'bandwidth_value', 'extra_keyval': 'bandwidth_value, autobw_threshold_table_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_threshold_table_bandwidth=autobw_threshold_table_bandwidth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_autobw_threshold_table_bandwidth_update(self, autobw_threshold_table_bandwidth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_threshold_table_bandwidth (bandwidth_value, autobw_threshold_table_threshold):
				bandwidth_value (long):
					yang info - DECIMAL;;Bandwidth upto which threshold will apply
					range - ['0..4294967295']

				autobw_threshold_table_threshold (long):
					yang info - DECIMAL;;Absolute threshold value for the bandwidth
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.autobw_threshold_table_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_bandwidth', 'keyval': 'bandwidth_value', 'extra_keyval': 'bandwidth_value, autobw_threshold_table_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_threshold_table_bandwidth=autobw_threshold_table_bandwidth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_autobw_threshold_table_bandwidth_get(self, autobw_threshold_table_bandwidth=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- autobw_threshold_table_bandwidth (bandwidth_value, autobw_threshold_table_threshold):
				bandwidth_value (long):
					yang info - DECIMAL;;Bandwidth upto which threshold will apply
					range - ['0..4294967295']

				autobw_threshold_table_threshold (long):
					yang info - DECIMAL;;Absolute threshold value for the bandwidth
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.autobw_threshold_table_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_bandwidth', 'keyval': 'bandwidth_value', 'extra_keyval': 'bandwidth_value, autobw_threshold_table_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_threshold_table_bandwidth=autobw_threshold_table_bandwidth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_autobw_threshold_table_max_bw_threshold_update(self, max_bw_threshold_absolute=None, max_bw_threshold_percentage=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- max_bw_threshold_absolute (long):
				yang info - Define threshold in absolute value
				range - ['0..4294967295']

			- max_bw_threshold_percentage (long):
				yang info - Define threshold as percentage
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_bw_threshold_absolute=max_bw_threshold_absolute, max_bw_threshold_percentage=max_bw_threshold_percentage)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_autobw_threshold_table_max_bw_threshold_absolute_update(self, max_bw_threshold_absolute=None, max_bw_threshold_percentage=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- max_bw_threshold_absolute (long):
				yang info - Define threshold in absolute value
				range - ['0..4294967295']

			- max_bw_threshold_percentage (long):
				yang info - Define threshold as percentage
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_bw_threshold_absolute=max_bw_threshold_absolute, max_bw_threshold_percentage=max_bw_threshold_percentage)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_bfd_min_tx_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'bfd_min_tx_val, bfd_min_rx, bfd_multiplier'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_bfd_min_tx_min_rx_update(self, bfd_min_tx_val=None, bfd_min_rx=None, bfd_multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bfd_min_tx_val (long):
				range - ['0..4294967295']

			- bfd_min_rx (long):
				yang info - BFD Rx rate for control packets
				range - ['0..4294967295']

			- bfd_multiplier (long):
				yang info - Number of consecutive control packets to be missed for peer to be down
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_min_tx_val=bfd_min_tx_val, bfd_min_rx=bfd_min_rx, bfd_multiplier=bfd_multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_bypass_lsp_create(self, bypass_lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bypass_lsp (bypass_lsp_name):
				bypass_lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_bypass_lsp_delete(self, bypass_lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bypass_lsp (bypass_lsp_name):
				bypass_lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_bypass_lsp_update(self, bypass_lsp=None, bypass_lsp_dest_address=None, bypass_lsp_src_address=None, bypass_lsp_tie_breaking=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, bypass_lsp_primary_path=None, bypass_lsp_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bypass_lsp (bypass_lsp_name):
				bypass_lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- bypass_lsp_dest_address (unicode):
				yang info - Define LSP destination address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- bypass_lsp_src_address (unicode):
				yang info - Define LSP source address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- bypass_lsp_tie_breaking (unicode):
				yang info - Choose the tie breaking mode for cspf
				enum - [u'most-fill', u'random', u'least-fill']

			- lsp_adaptive (YANGBool):
				yang info - Configure LSP/secpath to be adaptive

			- lsp_reoptimize_timer (long):
				yang info - Configure Reoptimization timer
				range - ['0..4294967295']

			- lsp_commit (YANGBool):
				yang info - Commit the changes to adaptive LSP

			- lsp_record (unicode):
				yang info - Enable/disable recording path routes
				enum - [u'enable', u'disable']

			- lsp_cos (long):
				yang info - Configure class of service
				range - ['0..4294967295']

			- lsp_hop_limit (int):
				yang info - Limit of hops the LSP can traverse
				range - ['0..65535']

			- lsp_cspf_computation_mode (unicode):
				yang info - Specify cspf-computation-mode
				enum - [u'use-igp-metric', u'use-te-metric']

			- bypass_lsp_primary_path (unicode):
				yang info - Set primary explicit path
				length - [u'1..64']

			- bypass_lsp_enable (YANGBool):
				yang info - Enable LSP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp, bypass_lsp_dest_address=bypass_lsp_dest_address, bypass_lsp_src_address=bypass_lsp_src_address, bypass_lsp_tie_breaking=bypass_lsp_tie_breaking, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, bypass_lsp_primary_path=bypass_lsp_primary_path, bypass_lsp_enable=bypass_lsp_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_bypass_lsp_get(self, bypass_lsp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bypass_lsp (bypass_lsp_name):
				bypass_lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_bypass_lsp_exclude_interface_create(self, bypass_lsp=None, exclude_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bypass_lsp (bypass_lsp_name):
				bypass_lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- exclude_interface (bypass_exclude_interface_type, bypass_exclude_interface_name):
				bypass_exclude_interface_type (unicode):
					enum - [u'ethernet', u've']

				bypass_exclude_interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.exclude_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exclude_interface', 'keyval': 'bypass_exclude_interface_type, bypass_exclude_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp, exclude_interface=exclude_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_bypass_lsp_exclude_interface_delete(self, bypass_lsp=None, exclude_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bypass_lsp (bypass_lsp_name):
				bypass_lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- exclude_interface (bypass_exclude_interface_type, bypass_exclude_interface_name):
				bypass_exclude_interface_type (unicode):
					enum - [u'ethernet', u've']

				bypass_exclude_interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.exclude_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exclude_interface', 'keyval': 'bypass_exclude_interface_type, bypass_exclude_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp, exclude_interface=exclude_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_bypass_lsp_exclude_interface_get(self, bypass_lsp=None, exclude_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bypass_lsp (bypass_lsp_name):
				bypass_lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- exclude_interface (bypass_exclude_interface_type, bypass_exclude_interface_name):
				bypass_exclude_interface_type (unicode):
					enum - [u'ethernet', u've']

				bypass_exclude_interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.exclude_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'exclude_interface', 'keyval': 'bypass_exclude_interface_type, bypass_exclude_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp, exclude_interface=exclude_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_bypass_lsp_priority_update(self, bypass_lsp=None, lsp_setup_priority=None, lsp_hold_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bypass_lsp (bypass_lsp_name):
				bypass_lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_setup_priority (long):
				yang info - NUMBER:0-7;;setup priority
				range - ['0..4294967295']

			- lsp_hold_priority (long):
				yang info - NUMBER:0-7;;holding priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_bypass_lsp_traffic_engineering_update(self, bypass_lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bypass_lsp (bypass_lsp_name):
				bypass_lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lsp_te_mean_rate, lsp_te_max_rate, lsp_te_max_burst'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_bypass_lsp_traffic_engineering_max_burst_update(self, bypass_lsp=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bypass_lsp (bypass_lsp_name):
				bypass_lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_te_mean_rate (long):
				yang info - 0-2147483647;;Mean rate in kbps
				range - ['0..4294967295']

			- lsp_te_max_rate (long):
				yang info - 0-2147483647;;Max-rate in kbps
				range - ['0..4294967295']

			- lsp_te_max_burst (long):
				yang info - 0-2147483647;;Max-burst in bytes
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_create(self, cspf_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cspf_group', 'keyval': 'cspf_group_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_delete(self, cspf_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cspf_group', 'keyval': 'cspf_group_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_get(self, cspf_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cspf_group', 'keyval': 'cspf_group_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_cspf_group_from_create(self, cspf_group=None, cspf_group_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_ip (cspf_group_ip_address):
				cspf_group_ip_address (unicode):
					yang info - A.B.C.D;;ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_ip', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_ip', 'keyval': 'cspf_group_ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_ip=cspf_group_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_from_delete(self, cspf_group=None, cspf_group_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_ip (cspf_group_ip_address):
				cspf_group_ip_address (unicode):
					yang info - A.B.C.D;;ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_ip', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_ip', 'keyval': 'cspf_group_ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_ip=cspf_group_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_from_get(self, cspf_group=None, cspf_group_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_ip (cspf_group_ip_address):
				cspf_group_ip_address (unicode):
					yang info - A.B.C.D;;ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_ip', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_ip', 'keyval': 'cspf_group_ip_address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_ip=cspf_group_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_cspf_group_link_create(self, cspf_group=None, cspf_group_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_link (cspf_group_link_from, cspf_group_link_to):
				cspf_group_link_from (unicode):
					yang info - A.B.C.D;;from ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				cspf_group_link_to (unicode):
					yang info - A.B.C.D;;to ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_link', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_link', 'keyval': 'cspf_group_link_from, cspf_group_link_to', 'extra_keyval': 'cspf_group_link_from, cspf_group_link_to'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_link=cspf_group_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_link_delete(self, cspf_group=None, cspf_group_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_link (cspf_group_link_from, cspf_group_link_to):
				cspf_group_link_from (unicode):
					yang info - A.B.C.D;;from ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				cspf_group_link_to (unicode):
					yang info - A.B.C.D;;to ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_link', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_link', 'keyval': 'cspf_group_link_from, cspf_group_link_to', 'extra_keyval': 'cspf_group_link_from, cspf_group_link_to'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_link=cspf_group_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_link_get(self, cspf_group=None, cspf_group_link=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_link (cspf_group_link_from, cspf_group_link_to):
				cspf_group_link_from (unicode):
					yang info - A.B.C.D;;from ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				cspf_group_link_to (unicode):
					yang info - A.B.C.D;;to ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_link', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_link', 'keyval': 'cspf_group_link_from, cspf_group_link_to', 'extra_keyval': 'cspf_group_link_from, cspf_group_link_to'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_link=cspf_group_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_cspf_group_node_create(self, cspf_group=None, cspf_group_node=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_node (cspf_group_node_ip):
				cspf_group_node_ip (unicode):
					yang info - A.B.C.D;;node ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_node', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_node', 'keyval': 'cspf_group_node_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_node=cspf_group_node)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_node_delete(self, cspf_group=None, cspf_group_node=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_node (cspf_group_node_ip):
				cspf_group_node_ip (unicode):
					yang info - A.B.C.D;;node ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_node', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_node', 'keyval': 'cspf_group_node_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_node=cspf_group_node)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_node_get(self, cspf_group=None, cspf_group_node=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_node (cspf_group_node_ip):
				cspf_group_node_ip (unicode):
					yang info - A.B.C.D;;node ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_node', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_node', 'keyval': 'cspf_group_node_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_node=cspf_group_node)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_cspf_group_penalty_update(self, cspf_group=None, cspf_group_penalty=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Arg(s):
			- cspf_group_penalty (long):
				yang info - Configure cspf group penalty value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_penalty_n', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_penalty=cspf_group_penalty)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_subnet_create(self, cspf_group=None, cspf_group_subnet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_subnet (cspf_group_subnet_ip):
				cspf_group_subnet_ip (unicode):
					yang info - A.B.C.D/M;;Subnet address (with host part zero) in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_subnet', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_subnet', 'keyval': 'cspf_group_subnet_ip', 'extra_keyval': 'cspf_group_subnet_ip'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_subnet=cspf_group_subnet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_subnet_delete(self, cspf_group=None, cspf_group_subnet=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_subnet (cspf_group_subnet_ip):
				cspf_group_subnet_ip (unicode):
					yang info - A.B.C.D/M;;Subnet address (with host part zero) in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_subnet', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_subnet', 'keyval': 'cspf_group_subnet_ip', 'extra_keyval': 'cspf_group_subnet_ip'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_subnet=cspf_group_subnet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_cspf_group_subnet_get(self, cspf_group=None, cspf_group_subnet=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cspf_group (cspf_group_name):
				cspf_group_name (unicode):
					yang info - ASCII string;;Name (up to 128 characters)
					length - [u'1..128']

		This Instance Keyword Arg Tuple:
			- cspf_group_subnet (cspf_group_subnet_ip):
				cspf_group_subnet_ip (unicode):
					yang info - A.B.C.D/M;;Subnet address (with host part zero) in dotted decimal/Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_subnet', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'cspf_group_subnet', 'keyval': 'cspf_group_subnet_ip', 'extra_keyval': 'cspf_group_subnet_ip'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_subnet=cspf_group_subnet)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_dynamic_bypass_update(self, dynamic_bypass_max_bypasses=None, dynamic_bypass_max_bypasses_per_mp=None, dynamic_bypass_enable_all_interfaces=None, dynamic_bypass_reoptimize_timer=None, dynamic_bypass_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- dynamic_bypass_max_bypasses (long):
				yang info - Router level maximum number of dynamic bypasses
				range - ['0..4294967295']

			- dynamic_bypass_max_bypasses_per_mp (long):
				yang info - Router level maximum number of dynamic bypasses per merge point
				range - ['0..4294967295']

			- dynamic_bypass_enable_all_interfaces (YANGBool):
				yang info - enable dynamic bypass on all mpls interfaces

			- dynamic_bypass_reoptimize_timer (long):
				yang info - Router level reoptimer timer value for dynamic bypasses
				range - ['0..4294967295']

			- dynamic_bypass_disable (YANGBool):
				yang info - Enable or disable dynamic bypass

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_max_bypasses=dynamic_bypass_max_bypasses, dynamic_bypass_max_bypasses_per_mp=dynamic_bypass_max_bypasses_per_mp, dynamic_bypass_enable_all_interfaces=dynamic_bypass_enable_all_interfaces, dynamic_bypass_reoptimize_timer=dynamic_bypass_reoptimize_timer, dynamic_bypass_disable=dynamic_bypass_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_dynamic_bypass_disable_update(self, dynamic_bypass_max_bypasses=None, dynamic_bypass_max_bypasses_per_mp=None, dynamic_bypass_enable_all_interfaces=None, dynamic_bypass_reoptimize_timer=None, dynamic_bypass_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- dynamic_bypass_max_bypasses (long):
				yang info - Router level maximum number of dynamic bypasses
				range - ['0..4294967295']

			- dynamic_bypass_max_bypasses_per_mp (long):
				yang info - Router level maximum number of dynamic bypasses per merge point
				range - ['0..4294967295']

			- dynamic_bypass_enable_all_interfaces (YANGBool):
				yang info - enable dynamic bypass on all mpls interfaces

			- dynamic_bypass_reoptimize_timer (long):
				yang info - Router level reoptimer timer value for dynamic bypasses
				range - ['0..4294967295']

			- dynamic_bypass_disable (YANGBool):
				yang info - Enable or disable dynamic bypass

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_max_bypasses=dynamic_bypass_max_bypasses, dynamic_bypass_max_bypasses_per_mp=dynamic_bypass_max_bypasses_per_mp, dynamic_bypass_enable_all_interfaces=dynamic_bypass_enable_all_interfaces, dynamic_bypass_reoptimize_timer=dynamic_bypass_reoptimize_timer, dynamic_bypass_disable=dynamic_bypass_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_update(self, ldp_ecmp=None, ldp_hello_interval_basic=None, ldp_hello_interval_target=None, ldp_hello_timeout_basic=None, ldp_hello_timeout_target=None, ldp_ka_int=None, ldp_ka_int_cnt=None, ldp_ka_timeout=None, ldp_fec_filter_in=None, ldp_fec_filter_out=None, ldp_advertise_label=None, ldp_fec_128_for_auto_discovered=None, ldp_lsr_id=None, ldp_rcv_label_silence_time=None, ldp_startup_time=None, ldp_tunnel_metric=None, ldp_lw_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_ecmp (long):
				yang info - Number of load-sharing paths: range 1-16, default is 1
				range - ['0..4294967295']

			- ldp_hello_interval_basic (long):
				yang info - In seconds (1-32767, default 5)
				range - ['0..4294967295']

			- ldp_hello_interval_target (long):
				yang info - In seconds (1-32767, default 15)
				range - ['0..4294967295']

			- ldp_hello_timeout_basic (long):
				yang info - In seconds (2-65535, default 15)
				range - ['0..4294967295']

			- ldp_hello_timeout_target (long):
				yang info - In seconds (2-65535, default 45)
				range - ['0..4294967295']

			- ldp_ka_int (long):
				yang info - In seconds (1-65535 default 6)
				range - ['0..4294967295']

			- ldp_ka_int_cnt (long):
				yang info - In seconds (1-65535 default 6)
				range - ['0..4294967295']

			- ldp_ka_timeout (long):
				yang info - In seconds (1-65535)
				range - ['0..4294967295']

			- ldp_fec_filter_in (unicode):
				yang info - Apply filtering on inbound FECs
				length - [u'1..64']

			- ldp_fec_filter_out (unicode):
				yang info - Apply filtering on outbound FECs
				length - [u'1..64']

			- ldp_advertise_label (unicode):
				yang info - Prefix-list specifying controls on destination prefixes
				length - [u'1..64']

			- ldp_fec_128_for_auto_discovered (YANGBool):
				yang info - Use LDP FEC 128 for auto-discovered VPLS peers

			- ldp_lsr_id (unicode):
				yang info - Set IP address to be used as LSR id for LDP
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- ldp_rcv_label_silence_time (long):
				yang info - Receive label silence time (100-60000 ms)
				range - ['0..4294967295']

			- ldp_startup_time (long):
				yang info - MPLS startup time (1000-300000 ms)
				range - ['0..4294967295']

			- ldp_tunnel_metric (long):
				yang info - LDP tunnel metric value (1-65535 default 0)
				range - ['0..4294967295']

			- ldp_lw_delay (long):
				yang info - LDP Label Withdrawal Delay (0-300, default 60) seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_ecmp=ldp_ecmp, ldp_hello_interval_basic=ldp_hello_interval_basic, ldp_hello_interval_target=ldp_hello_interval_target, ldp_hello_timeout_basic=ldp_hello_timeout_basic, ldp_hello_timeout_target=ldp_hello_timeout_target, ldp_ka_int=ldp_ka_int, ldp_ka_int_cnt=ldp_ka_int_cnt, ldp_ka_timeout=ldp_ka_timeout, ldp_fec_filter_in=ldp_fec_filter_in, ldp_fec_filter_out=ldp_fec_filter_out, ldp_advertise_label=ldp_advertise_label, ldp_fec_128_for_auto_discovered=ldp_fec_128_for_auto_discovered, ldp_lsr_id=ldp_lsr_id, ldp_rcv_label_silence_time=ldp_rcv_label_silence_time, ldp_startup_time=ldp_startup_time, ldp_tunnel_metric=ldp_tunnel_metric, ldp_lw_delay=ldp_lw_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_advertise_fec_update(self, ldp_ecmp=None, ldp_hello_interval_basic=None, ldp_hello_interval_target=None, ldp_hello_timeout_basic=None, ldp_hello_timeout_target=None, ldp_ka_int=None, ldp_ka_int_cnt=None, ldp_ka_timeout=None, ldp_fec_filter_in=None, ldp_fec_filter_out=None, ldp_advertise_label=None, ldp_fec_128_for_auto_discovered=None, ldp_lsr_id=None, ldp_rcv_label_silence_time=None, ldp_startup_time=None, ldp_tunnel_metric=None, ldp_lw_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_ecmp (long):
				yang info - Number of load-sharing paths: range 1-16, default is 1
				range - ['0..4294967295']

			- ldp_hello_interval_basic (long):
				yang info - In seconds (1-32767, default 5)
				range - ['0..4294967295']

			- ldp_hello_interval_target (long):
				yang info - In seconds (1-32767, default 15)
				range - ['0..4294967295']

			- ldp_hello_timeout_basic (long):
				yang info - In seconds (2-65535, default 15)
				range - ['0..4294967295']

			- ldp_hello_timeout_target (long):
				yang info - In seconds (2-65535, default 45)
				range - ['0..4294967295']

			- ldp_ka_int (long):
				yang info - In seconds (1-65535 default 6)
				range - ['0..4294967295']

			- ldp_ka_int_cnt (long):
				yang info - In seconds (1-65535 default 6)
				range - ['0..4294967295']

			- ldp_ka_timeout (long):
				yang info - In seconds (1-65535)
				range - ['0..4294967295']

			- ldp_fec_filter_in (unicode):
				yang info - Apply filtering on inbound FECs
				length - [u'1..64']

			- ldp_fec_filter_out (unicode):
				yang info - Apply filtering on outbound FECs
				length - [u'1..64']

			- ldp_advertise_label (unicode):
				yang info - Prefix-list specifying controls on destination prefixes
				length - [u'1..64']

			- ldp_fec_128_for_auto_discovered (YANGBool):
				yang info - Use LDP FEC 128 for auto-discovered VPLS peers

			- ldp_lsr_id (unicode):
				yang info - Set IP address to be used as LSR id for LDP
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- ldp_rcv_label_silence_time (long):
				yang info - Receive label silence time (100-60000 ms)
				range - ['0..4294967295']

			- ldp_startup_time (long):
				yang info - MPLS startup time (1000-300000 ms)
				range - ['0..4294967295']

			- ldp_tunnel_metric (long):
				yang info - LDP tunnel metric value (1-65535 default 0)
				range - ['0..4294967295']

			- ldp_lw_delay (long):
				yang info - LDP Label Withdrawal Delay (0-300, default 60) seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_ecmp=ldp_ecmp, ldp_hello_interval_basic=ldp_hello_interval_basic, ldp_hello_interval_target=ldp_hello_interval_target, ldp_hello_timeout_basic=ldp_hello_timeout_basic, ldp_hello_timeout_target=ldp_hello_timeout_target, ldp_ka_int=ldp_ka_int, ldp_ka_int_cnt=ldp_ka_int_cnt, ldp_ka_timeout=ldp_ka_timeout, ldp_fec_filter_in=ldp_fec_filter_in, ldp_fec_filter_out=ldp_fec_filter_out, ldp_advertise_label=ldp_advertise_label, ldp_fec_128_for_auto_discovered=ldp_fec_128_for_auto_discovered, ldp_lsr_id=ldp_lsr_id, ldp_rcv_label_silence_time=ldp_rcv_label_silence_time, ldp_startup_time=ldp_startup_time, ldp_tunnel_metric=ldp_tunnel_metric, ldp_lw_delay=ldp_lw_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_eol_update(self, ldp_eol_tx_silence=None, ldp_eol_notification=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_eol_tx_silence (long):
				yang info - Transmit label silence timer (100-60000 msec)
				range - ['0..4294967295']

			- ldp_eol_notification (long):
				yang info - Notification timer (100-120000 msec)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_eol', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_eol_tx_silence=ldp_eol_tx_silence, ldp_eol_notification=ldp_eol_notification)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_eol_notification_timer_update(self, ldp_eol_tx_silence=None, ldp_eol_notification=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_eol_tx_silence (long):
				yang info - Transmit label silence timer (100-60000 msec)
				range - ['0..4294967295']

			- ldp_eol_notification (long):
				yang info - Notification timer (100-120000 msec)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_eol', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_eol_tx_silence=ldp_eol_tx_silence, ldp_eol_notification=ldp_eol_notification)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_graceful_restart_update(self, ldp_gr_helper_only=None, ldp_gr_max_neighbor_reconnect_time=None, ldp_gr_max_neighbor_recovery_time=None, ldp_gr_reconnect_time=None, ldp_gr_recovery_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_gr_helper_only (YANGBool):
				yang info - Helper only mode

			- ldp_gr_max_neighbor_reconnect_time (long):
				yang info - Maximum time to wait for neighbor to reconnect (60-300 sec)
				range - ['0..4294967295']

			- ldp_gr_max_neighbor_recovery_time (long):
				yang info - Maximum time to wait for neighbor to recover (60-3600 sec)
				range - ['0..4294967295']

			- ldp_gr_reconnect_time (long):
				yang info - Session reconnect time (60-300 sec)
				range - ['0..4294967295']

			- ldp_gr_recovery_time (long):
				yang info - Recovery time (60-3600 sec)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_gr_helper_only=ldp_gr_helper_only, ldp_gr_max_neighbor_reconnect_time=ldp_gr_max_neighbor_reconnect_time, ldp_gr_max_neighbor_recovery_time=ldp_gr_max_neighbor_recovery_time, ldp_gr_reconnect_time=ldp_gr_reconnect_time, ldp_gr_recovery_time=ldp_gr_recovery_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_graceful_restart_helper_only_update(self, ldp_gr_helper_only=None, ldp_gr_max_neighbor_reconnect_time=None, ldp_gr_max_neighbor_recovery_time=None, ldp_gr_reconnect_time=None, ldp_gr_recovery_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_gr_helper_only (YANGBool):
				yang info - Helper only mode

			- ldp_gr_max_neighbor_reconnect_time (long):
				yang info - Maximum time to wait for neighbor to reconnect (60-300 sec)
				range - ['0..4294967295']

			- ldp_gr_max_neighbor_recovery_time (long):
				yang info - Maximum time to wait for neighbor to recover (60-3600 sec)
				range - ['0..4294967295']

			- ldp_gr_reconnect_time (long):
				yang info - Session reconnect time (60-300 sec)
				range - ['0..4294967295']

			- ldp_gr_recovery_time (long):
				yang info - Recovery time (60-3600 sec)
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_gr_helper_only=ldp_gr_helper_only, ldp_gr_max_neighbor_reconnect_time=ldp_gr_max_neighbor_reconnect_time, ldp_gr_max_neighbor_recovery_time=ldp_gr_max_neighbor_recovery_time, ldp_gr_reconnect_time=ldp_gr_reconnect_time, ldp_gr_recovery_time=ldp_gr_recovery_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_session_create(self, ldp_session=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_session (ldp_session_ip):
				ldp_session_ip (unicode):
					yang info - Define LDP peer ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'ldp_session_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_session_delete(self, ldp_session=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_session (ldp_session_ip):
				ldp_session_ip (unicode):
					yang info - Define LDP peer ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'ldp_session_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_session_update(self, ldp_session=None, ldp_session_fec_filter_out=None, ldp_session_auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_session (ldp_session_ip):
				ldp_session_ip (unicode):
					yang info - Define LDP peer ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- ldp_session_fec_filter_out (unicode):
				yang info - Apply filtering on outbound FECs
				length - [u'1..64']

			- ldp_session_auth_key (unicode):
				yang info - Enable TCP-MD5 authentication
				length - [u'1..80']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'ldp_session_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, ldp_session_fec_filter_out=ldp_session_fec_filter_out, ldp_session_auth_key=ldp_session_auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_session_get(self, ldp_session=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_session (ldp_session_ip):
				ldp_session_ip (unicode):
					yang info - Define LDP peer ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'ldp_session_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_ldp_targeted_peer_create(self, ldp_targeted_peer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_targeted_peer (ldp_targeted_peer_ip):
				ldp_targeted_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_targeted_peer', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_targeted_peer', 'keyval': 'ldp_targeted_peer_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_targeted_peer=ldp_targeted_peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_targeted_peer_delete(self, ldp_targeted_peer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_targeted_peer (ldp_targeted_peer_ip):
				ldp_targeted_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_targeted_peer', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_targeted_peer', 'keyval': 'ldp_targeted_peer_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_targeted_peer=ldp_targeted_peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_ldp_targeted_peer_get(self, ldp_targeted_peer=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ldp_targeted_peer (ldp_targeted_peer_ip):
				ldp_targeted_peer_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_targeted_peer', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ldp_targeted_peer', 'keyval': 'ldp_targeted_peer_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_targeted_peer=ldp_targeted_peer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_lsp_create(self, lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_delete(self, lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_update(self, lsp=None, lsp_dest_address=None, lsp_cspf=None, lsp_ipmtu=None, lsp_metric=None, lsp_revert_timer=None, lsp_tie_breaking=None, lsp_src_address=None, lsp_primary_path=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, lsp_soft_preemption=None, lsp_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_dest_address (unicode):
				yang info - Define LSP destination address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp_cspf (unicode):
				yang info - Enable/Disable cspf
				enum - [u'enable', u'disable']

			- lsp_ipmtu (long):
				yang info - IP Packet Maximum Transmission Unit
				range - ['0..4294967295']

			- lsp_metric (long):
				yang info - Set the LSP metric
				range - ['0..4294967295']

			- lsp_revert_timer (long):
				yang info - set lsp revert timer
				range - ['0..4294967295']

			- lsp_tie_breaking (unicode):
				yang info - Choose the tie breaking mode for cspf
				enum - [u'most-fill', u'random', u'least-fill']

			- lsp_src_address (unicode):
				yang info - Define LSP source address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- lsp_primary_path (unicode):
				yang info - Set primary explicit path
				length - [u'1..64']

			- lsp_adaptive (YANGBool):
				yang info - Configure LSP/secpath to be adaptive

			- lsp_reoptimize_timer (long):
				yang info - Configure Reoptimization timer
				range - ['0..4294967295']

			- lsp_commit (YANGBool):
				yang info - Commit the changes to adaptive LSP

			- lsp_record (unicode):
				yang info - Enable/disable recording path routes
				enum - [u'enable', u'disable']

			- lsp_cos (long):
				yang info - Configure class of service
				range - ['0..4294967295']

			- lsp_hop_limit (int):
				yang info - Limit of hops the LSP can traverse
				range - ['0..65535']

			- lsp_cspf_computation_mode (unicode):
				yang info - Specify cspf-computation-mode
				enum - [u'use-igp-metric', u'use-te-metric']

			- lsp_soft_preemption (YANGBool):
				yang info - Set LSP soft preemption capability

			- lsp_enable (YANGBool):
				yang info - Enable LSP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_dest_address=lsp_dest_address, lsp_cspf=lsp_cspf, lsp_ipmtu=lsp_ipmtu, lsp_metric=lsp_metric, lsp_revert_timer=lsp_revert_timer, lsp_tie_breaking=lsp_tie_breaking, lsp_src_address=lsp_src_address, lsp_primary_path=lsp_primary_path, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, lsp_soft_preemption=lsp_soft_preemption, lsp_enable=lsp_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_get(self, lsp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_lsp_autobw_update(self, lsp=None, lsp_autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_autobw_template (ReferencePathType):
				yang info - Inherit Auto-bandwidth parameters from a template

			- adjustment_interval (long):
				yang info - Configure Adjustment interval
				range - ['0..4294967295']

			- adjustment_threshold (long):
				yang info - Configure Adjustment threshold
				range - ['0..4294967295']

			- min_bandwidth (long):
				yang info - Configure Minimum Bandwidth
				range - ['0..4294967295']

			- max_bandwidth (long):
				yang info - Configure Maximum bandwidth
				range - ['0..4294967295']

			- overflow_limit (long):
				yang info - Configure Overflow limit
				range - ['0..4294967295']

			- mode (unicode):
				yang info - Configure Mode of autobandwidth
				enum - [u'monitor-and-signal', u'monitor-only']

			- sample_recording (unicode):
				yang info - Set sample recording for this lsp
				enum - [u'enable', u'disable']

			- underflow_limit (long):
				yang info - Configure Underflow limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_autobw_template=lsp_autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_autobw_adjustment_interval_update(self, lsp=None, lsp_autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_autobw_template (ReferencePathType):
				yang info - Inherit Auto-bandwidth parameters from a template

			- adjustment_interval (long):
				yang info - Configure Adjustment interval
				range - ['0..4294967295']

			- adjustment_threshold (long):
				yang info - Configure Adjustment threshold
				range - ['0..4294967295']

			- min_bandwidth (long):
				yang info - Configure Minimum Bandwidth
				range - ['0..4294967295']

			- max_bandwidth (long):
				yang info - Configure Maximum bandwidth
				range - ['0..4294967295']

			- overflow_limit (long):
				yang info - Configure Overflow limit
				range - ['0..4294967295']

			- mode (unicode):
				yang info - Configure Mode of autobandwidth
				enum - [u'monitor-and-signal', u'monitor-only']

			- sample_recording (unicode):
				yang info - Set sample recording for this lsp
				enum - [u'enable', u'disable']

			- underflow_limit (long):
				yang info - Configure Underflow limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_autobw_template=lsp_autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_frr_update(self, lsp=None, lsp_frr_hop_limit=None, lsp_frr_facility_backup=None, lsp_frr_link_protection=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_frr_hop_limit (int):
				yang info - Limit of hops the detour/backup LSP can traverse (from PLR to MP)
				range - ['0..255']

			- lsp_frr_facility_backup (YANGBool):
				yang info - Select the frr protection mode

			- lsp_frr_link_protection (YANGBool):
				yang info - Request link protection for LSP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_hop_limit=lsp_frr_hop_limit, lsp_frr_facility_backup=lsp_frr_facility_backup, lsp_frr_link_protection=lsp_frr_link_protection)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_frr_bandwidth_update(self, lsp=None, lsp_frr_bandwidth=None, lsp_frr_bandwidth_inherit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_frr_bandwidth (long):
				range - ['0..4294967295']

			- lsp_frr_bandwidth_inherit (YANGBool):
				yang info - Inherit the bandwidth for Detour/Backup LSP from the Protected LSP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_bandwidth=lsp_frr_bandwidth, lsp_frr_bandwidth_inherit=lsp_frr_bandwidth_inherit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_frr_facility_backup_update(self, lsp=None, lsp_frr_hop_limit=None, lsp_frr_facility_backup=None, lsp_frr_link_protection=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_frr_hop_limit (int):
				yang info - Limit of hops the detour/backup LSP can traverse (from PLR to MP)
				range - ['0..255']

			- lsp_frr_facility_backup (YANGBool):
				yang info - Select the frr protection mode

			- lsp_frr_link_protection (YANGBool):
				yang info - Request link protection for LSP

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_hop_limit=lsp_frr_hop_limit, lsp_frr_facility_backup=lsp_frr_facility_backup, lsp_frr_link_protection=lsp_frr_link_protection)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_frr_priority_update(self, lsp=None, lsp_frr_setup_priority=None, lsp_frr_hold_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_frr_setup_priority (long):
				yang info - NUMBER:0-7;;setup priority
				range - ['0..4294967295']

			- lsp_frr_hold_priority (long):
				yang info - NUMBER:0-7;;holding priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_setup_priority=lsp_frr_setup_priority, lsp_frr_hold_priority=lsp_frr_hold_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_frr_revertive_update(self, lsp=None, lsp_frr_revertive_holdtime=None, lsp_frr_revertive_mode_global=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_frr_revertive_holdtime (int):
				yang info - Configure revertive hold time for the LSP
				range - ['0..255']

			- lsp_frr_revertive_mode_global (unicode):
				yang info - Enable global revertive mode
				enum - [u'enable', u'disable']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_revertive', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_revertive_holdtime=lsp_frr_revertive_holdtime, lsp_frr_revertive_mode_global=lsp_frr_revertive_mode_global)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_frr_revertive_holdtime_update(self, lsp=None, lsp_frr_revertive_holdtime=None, lsp_frr_revertive_mode_global=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_frr_revertive_holdtime (int):
				yang info - Configure revertive hold time for the LSP
				range - ['0..255']

			- lsp_frr_revertive_mode_global (unicode):
				yang info - Enable global revertive mode
				enum - [u'enable', u'disable']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_revertive', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_revertive_holdtime=lsp_frr_revertive_holdtime, lsp_frr_revertive_mode_global=lsp_frr_revertive_mode_global)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_priority_update(self, lsp=None, lsp_setup_priority=None, lsp_hold_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_setup_priority (long):
				yang info - NUMBER:0-7;;setup priority
				range - ['0..4294967295']

			- lsp_hold_priority (long):
				yang info - NUMBER:0-7;;holding priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_secondary_path_create(self, lsp=None, secondary_path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- secondary_path (secpath_name):
				secpath_name (unicode):
					yang info - Set secondary explicit path
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_secondary_path_delete(self, lsp=None, secondary_path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- secondary_path (secpath_name):
				secpath_name (unicode):
					yang info - Set secondary explicit path
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_secondary_path_update(self, lsp=None, secondary_path=None, secpath_standby=None, secpath_bfd=None, secpath_cspf=None, secpath_ipmtu=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, secpath_soft_preemption=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- secondary_path (secpath_name):
				secpath_name (unicode):
					yang info - Set secondary explicit path
					length - [u'1..64']

		This Instance Arg(s):
			- secpath_standby (YANGBool):
				yang info - Make secondary-path hot standby

			- secpath_bfd (YANGBool):
				yang info - Enable bfd for secondary-path

			- secpath_cspf (unicode):
				yang info - Enable/Disable cspf
				enum - [u'enable', u'disable']

			- secpath_ipmtu (long):
				yang info - IP Packet Maximum Transmission Unit
				range - ['0..4294967295']

			- lsp_adaptive (YANGBool):
				yang info - Configure LSP/secpath to be adaptive

			- lsp_reoptimize_timer (long):
				yang info - Configure Reoptimization timer
				range - ['0..4294967295']

			- lsp_commit (YANGBool):
				yang info - Commit the changes to adaptive LSP

			- lsp_record (unicode):
				yang info - Enable/disable recording path routes
				enum - [u'enable', u'disable']

			- lsp_cos (long):
				yang info - Configure class of service
				range - ['0..4294967295']

			- lsp_hop_limit (int):
				yang info - Limit of hops the LSP can traverse
				range - ['0..65535']

			- lsp_cspf_computation_mode (unicode):
				yang info - Specify cspf-computation-mode
				enum - [u'use-igp-metric', u'use-te-metric']

			- secpath_soft_preemption (YANGBool):
				yang info - Set LSP soft preemption capability

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, secpath_standby=secpath_standby, secpath_bfd=secpath_bfd, secpath_cspf=secpath_cspf, secpath_ipmtu=secpath_ipmtu, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, secpath_soft_preemption=secpath_soft_preemption)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_secondary_path_get(self, lsp=None, secondary_path=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- secondary_path (secpath_name):
				secpath_name (unicode):
					yang info - Set secondary explicit path
					length - [u'1..64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_lsp_secondary_path_autobw_update(self, lsp=None, secondary_path=None, lsp_secpath_autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- secondary_path (secpath_name):
				secpath_name (unicode):
					yang info - Set secondary explicit path
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_secpath_autobw_template (ReferencePathType):
				yang info - Inherit Auto-bandwidth parameters from a template

			- adjustment_interval (long):
				yang info - Configure Adjustment interval
				range - ['0..4294967295']

			- adjustment_threshold (long):
				yang info - Configure Adjustment threshold
				range - ['0..4294967295']

			- min_bandwidth (long):
				yang info - Configure Minimum Bandwidth
				range - ['0..4294967295']

			- max_bandwidth (long):
				yang info - Configure Maximum bandwidth
				range - ['0..4294967295']

			- overflow_limit (long):
				yang info - Configure Overflow limit
				range - ['0..4294967295']

			- mode (unicode):
				yang info - Configure Mode of autobandwidth
				enum - [u'monitor-and-signal', u'monitor-only']

			- sample_recording (unicode):
				yang info - Set sample recording for this lsp
				enum - [u'enable', u'disable']

			- underflow_limit (long):
				yang info - Configure Underflow limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, lsp_secpath_autobw_template=lsp_secpath_autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_secondary_path_autobw_adjustment_interval_update(self, lsp=None, secondary_path=None, lsp_secpath_autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- secondary_path (secpath_name):
				secpath_name (unicode):
					yang info - Set secondary explicit path
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_secpath_autobw_template (ReferencePathType):
				yang info - Inherit Auto-bandwidth parameters from a template

			- adjustment_interval (long):
				yang info - Configure Adjustment interval
				range - ['0..4294967295']

			- adjustment_threshold (long):
				yang info - Configure Adjustment threshold
				range - ['0..4294967295']

			- min_bandwidth (long):
				yang info - Configure Minimum Bandwidth
				range - ['0..4294967295']

			- max_bandwidth (long):
				yang info - Configure Maximum bandwidth
				range - ['0..4294967295']

			- overflow_limit (long):
				yang info - Configure Overflow limit
				range - ['0..4294967295']

			- mode (unicode):
				yang info - Configure Mode of autobandwidth
				enum - [u'monitor-and-signal', u'monitor-only']

			- sample_recording (unicode):
				yang info - Set sample recording for this lsp
				enum - [u'enable', u'disable']

			- underflow_limit (long):
				yang info - Configure Underflow limit
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, lsp_secpath_autobw_template=lsp_secpath_autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_secondary_path_priority_update(self, lsp=None, secondary_path=None, lsp_setup_priority=None, lsp_hold_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- secondary_path (secpath_name):
				secpath_name (unicode):
					yang info - Set secondary explicit path
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_setup_priority (long):
				yang info - NUMBER:0-7;;setup priority
				range - ['0..4294967295']

			- lsp_hold_priority (long):
				yang info - NUMBER:0-7;;holding priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_secondary_path_traffic_engineering_update(self, lsp=None, secondary_path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- secondary_path (secpath_name):
				secpath_name (unicode):
					yang info - Set secondary explicit path
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lsp_te_mean_rate, lsp_te_max_rate, lsp_te_max_burst'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_secondary_path_traffic_engineering_max_burst_update(self, lsp=None, secondary_path=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- secondary_path (secpath_name):
				secpath_name (unicode):
					yang info - Set secondary explicit path
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_te_mean_rate (long):
				yang info - 0-2147483647;;Mean rate in kbps
				range - ['0..4294967295']

			- lsp_te_max_rate (long):
				yang info - 0-2147483647;;Max-rate in kbps
				range - ['0..4294967295']

			- lsp_te_max_burst (long):
				yang info - 0-2147483647;;Max-burst in bytes
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_select_path_update(self, lsp=None, lsp_select_path_mode=None, lsp_select_path_primary=None, lsp_select_path_secondary_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_select_path_mode (unicode):
				enum - [u'manual', u'unconditional']

			- lsp_select_path_primary (YANGBool):
				yang info - Choose the primary path as selected path

			- lsp_select_path_secondary_name (unicode):
				yang info - Choose a secondary path as selected path
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_select_path_mode=lsp_select_path_mode, lsp_select_path_primary=lsp_select_path_primary, lsp_select_path_secondary_name=lsp_select_path_secondary_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_traffic_engineering_update(self, lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lsp_te_mean_rate, lsp_te_max_rate, lsp_te_max_burst'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_traffic_engineering_max_burst_update(self, lsp=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- lsp (lsp_name):
				lsp_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Arg(s):
			- lsp_te_mean_rate (long):
				yang info - 0-2147483647;;Mean rate in kbps
				range - ['0..4294967295']

			- lsp_te_max_rate (long):
				yang info - 0-2147483647;;Max-rate in kbps
				range - ['0..4294967295']

			- lsp_te_max_burst (long):
				yang info - 0-2147483647;;Max-burst in bytes
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_xc_traps_update(self, lsp_xc_traps_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- lsp_xc_traps_enable (YANGBool):
				yang info - Enable the LSP XC up/down logging/traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp_xc_traps', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp_xc_traps_enable=lsp_xc_traps_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_lsp_xc_traps_enable_update(self, lsp_xc_traps_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- lsp_xc_traps_enable (YANGBool):
				yang info - Enable the LSP XC up/down logging/traps

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp_xc_traps', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp_xc_traps_enable=lsp_xc_traps_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_create(self, mpls_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'mpls_interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_delete(self, mpls_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'mpls_interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_update(self, mpls_interface=None, mpls_interface_ldp_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- mpls_interface_ldp_enable (YANGBool):
				yang info - Enable LDP on Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'mpls_interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, mpls_interface_ldp_enable=mpls_interface_ldp_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_get(self, mpls_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'mpls_interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_mpls_interface_dynamic_bypass_update(self, mpls_interface=None, interface_dynamic_bypass_disable=None, interface_dynamic_bypass_max_bypasses=None, interface_dynamic_bypass_max_bypasses_per_mp=None, interface_dynamic_bypass_reoptimize_timer=None, interface_dynamic_bypass_cos=None, interface_dynamic_bypass_from=None, interface_dynamic_bypass_adaptive=None, interface_dynamic_bypass_record_route=None, interface_dynamic_bypass_hop_limit=None, interface_dynamic_bypass_primary_path=None, interface_dynamic_bypass_name_prefix=None, interface_dynamic_bypass_tie_breaking=None, interface_dynamic_bypass_cspf_computation_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_dynamic_bypass_disable (YANGBool):
				yang info - Enable or disable dynamic bypass

			- interface_dynamic_bypass_max_bypasses (long):
				yang info - interface level maximum number of dynamic bypasses
				range - ['0..4294967295']

			- interface_dynamic_bypass_max_bypasses_per_mp (long):
				yang info - interface level maximum number of dynamic bypasses per merge point
				range - ['0..4294967295']

			- interface_dynamic_bypass_reoptimize_timer (long):
				yang info - interface level reoptimer timer value for dynamic bypasses
				range - ['0..4294967295']

			- interface_dynamic_bypass_cos (long):
				yang info - interface level cos value for dynamic bypasses
				range - ['0..4294967295']

			- interface_dynamic_bypass_from (unicode):
				yang info - interface level from address for dynamic bypasses
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- interface_dynamic_bypass_adaptive (unicode):
				yang info - interface level adaptiveness of dynamic bypasses
				enum - [u'enable', u'disable']

			- interface_dynamic_bypass_record_route (unicode):
				yang info - interface level record route for dynamic bypasses
				enum - [u'enable', u'disable']

			- interface_dynamic_bypass_hop_limit (int):
				yang info - interface level hop limit value for dynamic bypasses
				range - ['0..255']

			- interface_dynamic_bypass_primary_path (unicode):
				yang info - Set primary explicit path
				length - [u'1..64']

			- interface_dynamic_bypass_name_prefix (unicode):
				yang info - interface level dynamic bypass name prefix
				length - [u'1..21']

			- interface_dynamic_bypass_tie_breaking (unicode):
				yang info - interface level dynamic bypass cspf tie breaking mechanism
				enum - [u'most-fill', u'random', u'least-fill']

			- interface_dynamic_bypass_cspf_computation_mode (unicode):
				yang info - interface level dynamic bypass cspf cspf computation mode
				enum - [u'use-igp-metric', u'use-te-metric']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, interface_dynamic_bypass_disable=interface_dynamic_bypass_disable, interface_dynamic_bypass_max_bypasses=interface_dynamic_bypass_max_bypasses, interface_dynamic_bypass_max_bypasses_per_mp=interface_dynamic_bypass_max_bypasses_per_mp, interface_dynamic_bypass_reoptimize_timer=interface_dynamic_bypass_reoptimize_timer, interface_dynamic_bypass_cos=interface_dynamic_bypass_cos, interface_dynamic_bypass_from=interface_dynamic_bypass_from, interface_dynamic_bypass_adaptive=interface_dynamic_bypass_adaptive, interface_dynamic_bypass_record_route=interface_dynamic_bypass_record_route, interface_dynamic_bypass_hop_limit=interface_dynamic_bypass_hop_limit, interface_dynamic_bypass_primary_path=interface_dynamic_bypass_primary_path, interface_dynamic_bypass_name_prefix=interface_dynamic_bypass_name_prefix, interface_dynamic_bypass_tie_breaking=interface_dynamic_bypass_tie_breaking, interface_dynamic_bypass_cspf_computation_mode=interface_dynamic_bypass_cspf_computation_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_dynamic_bypass_adaptive_update(self, mpls_interface=None, interface_dynamic_bypass_disable=None, interface_dynamic_bypass_max_bypasses=None, interface_dynamic_bypass_max_bypasses_per_mp=None, interface_dynamic_bypass_reoptimize_timer=None, interface_dynamic_bypass_cos=None, interface_dynamic_bypass_from=None, interface_dynamic_bypass_adaptive=None, interface_dynamic_bypass_record_route=None, interface_dynamic_bypass_hop_limit=None, interface_dynamic_bypass_primary_path=None, interface_dynamic_bypass_name_prefix=None, interface_dynamic_bypass_tie_breaking=None, interface_dynamic_bypass_cspf_computation_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_dynamic_bypass_disable (YANGBool):
				yang info - Enable or disable dynamic bypass

			- interface_dynamic_bypass_max_bypasses (long):
				yang info - interface level maximum number of dynamic bypasses
				range - ['0..4294967295']

			- interface_dynamic_bypass_max_bypasses_per_mp (long):
				yang info - interface level maximum number of dynamic bypasses per merge point
				range - ['0..4294967295']

			- interface_dynamic_bypass_reoptimize_timer (long):
				yang info - interface level reoptimer timer value for dynamic bypasses
				range - ['0..4294967295']

			- interface_dynamic_bypass_cos (long):
				yang info - interface level cos value for dynamic bypasses
				range - ['0..4294967295']

			- interface_dynamic_bypass_from (unicode):
				yang info - interface level from address for dynamic bypasses
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- interface_dynamic_bypass_adaptive (unicode):
				yang info - interface level adaptiveness of dynamic bypasses
				enum - [u'enable', u'disable']

			- interface_dynamic_bypass_record_route (unicode):
				yang info - interface level record route for dynamic bypasses
				enum - [u'enable', u'disable']

			- interface_dynamic_bypass_hop_limit (int):
				yang info - interface level hop limit value for dynamic bypasses
				range - ['0..255']

			- interface_dynamic_bypass_primary_path (unicode):
				yang info - Set primary explicit path
				length - [u'1..64']

			- interface_dynamic_bypass_name_prefix (unicode):
				yang info - interface level dynamic bypass name prefix
				length - [u'1..21']

			- interface_dynamic_bypass_tie_breaking (unicode):
				yang info - interface level dynamic bypass cspf tie breaking mechanism
				enum - [u'most-fill', u'random', u'least-fill']

			- interface_dynamic_bypass_cspf_computation_mode (unicode):
				yang info - interface level dynamic bypass cspf cspf computation mode
				enum - [u'use-igp-metric', u'use-te-metric']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, interface_dynamic_bypass_disable=interface_dynamic_bypass_disable, interface_dynamic_bypass_max_bypasses=interface_dynamic_bypass_max_bypasses, interface_dynamic_bypass_max_bypasses_per_mp=interface_dynamic_bypass_max_bypasses_per_mp, interface_dynamic_bypass_reoptimize_timer=interface_dynamic_bypass_reoptimize_timer, interface_dynamic_bypass_cos=interface_dynamic_bypass_cos, interface_dynamic_bypass_from=interface_dynamic_bypass_from, interface_dynamic_bypass_adaptive=interface_dynamic_bypass_adaptive, interface_dynamic_bypass_record_route=interface_dynamic_bypass_record_route, interface_dynamic_bypass_hop_limit=interface_dynamic_bypass_hop_limit, interface_dynamic_bypass_primary_path=interface_dynamic_bypass_primary_path, interface_dynamic_bypass_name_prefix=interface_dynamic_bypass_name_prefix, interface_dynamic_bypass_tie_breaking=interface_dynamic_bypass_tie_breaking, interface_dynamic_bypass_cspf_computation_mode=interface_dynamic_bypass_cspf_computation_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_dynamic_bypass_priority_update(self, mpls_interface=None, interface_dynamic_bypass_setup_priority=None, interface_dynamic_bypass_holding_priority=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_dynamic_bypass_setup_priority (long):
				yang info - NUMBER:0-7;;setup priority
				range - ['0..4294967295']

			- interface_dynamic_bypass_holding_priority (long):
				yang info - NUMBER:0-7;;holding priority
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, interface_dynamic_bypass_setup_priority=interface_dynamic_bypass_setup_priority, interface_dynamic_bypass_holding_priority=interface_dynamic_bypass_holding_priority)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_dynamic_bypass_traffic_eng_update(self, mpls_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_dynamic_bypass_traffic_eng_max_burst, interface_dynamic_bypass_traffic_eng_max_rate, interface_dynamic_bypass_traffic_eng_mean_rate'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_dynamic_bypass_traffic_eng_max_burst_update(self, mpls_interface=None, interface_dynamic_bypass_traffic_eng_max_burst=None, interface_dynamic_bypass_traffic_eng_max_rate=None, interface_dynamic_bypass_traffic_eng_mean_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- interface_dynamic_bypass_traffic_eng_max_burst (long):
				yang info - NUMBER:0-214748364;;maximum burst bandwidth
				range - ['0..4294967295']

			- interface_dynamic_bypass_traffic_eng_max_rate (long):
				yang info - NUMBER:0-214748364;;maximum traffic rate
				range - ['0..4294967295']

			- interface_dynamic_bypass_traffic_eng_mean_rate (long):
				yang info - NUMBER:0-214748364;;mean traffic rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_max_burst=interface_dynamic_bypass_traffic_eng_max_burst, interface_dynamic_bypass_traffic_eng_max_rate=interface_dynamic_bypass_traffic_eng_max_rate, interface_dynamic_bypass_traffic_eng_mean_rate=interface_dynamic_bypass_traffic_eng_mean_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_ldp_params_update(self, mpls_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.ldp_params.ldp_param_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_interval, hello_timeout'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_ldp_params_hello_interval_update(self, mpls_interface=None, hello_interval=None, hello_timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Configure hello Interval
				range - ['0..4294967295']

			- hello_timeout (long):
				yang info - Configure hello-timeout
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.ldp_params.ldp_param_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, hello_interval=hello_interval, hello_timeout=hello_timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_update(self, mpls_interface=None, rsvp_hello_disable=None, rsvp_te_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rsvp_hello_disable (YANGBool):
				yang info - Disable RSVP Hello on the interface

			- rsvp_te_metric (long):
				yang info - Set te-metric for this interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_hello_disable=rsvp_hello_disable, rsvp_te_metric=rsvp_te_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_authentication_update(self, mpls_interface=None, rsvp_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rsvp_authentication_key (unicode):
				yang info - MD5 key
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_authentication', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_authentication_key=rsvp_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_authentication_key_update(self, mpls_interface=None, rsvp_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rsvp_authentication_key (unicode):
				yang info - MD5 key
				length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_authentication', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_authentication_key=rsvp_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_hello_update(self, mpls_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rsvp_hello_interval, rsvp_hello_tolerance'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_hello_disable_update(self, mpls_interface=None, rsvp_hello_disable=None, rsvp_te_metric=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rsvp_hello_disable (YANGBool):
				yang info - Disable RSVP Hello on the interface

			- rsvp_te_metric (long):
				yang info - Set te-metric for this interface
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_hello_disable=rsvp_hello_disable, rsvp_te_metric=rsvp_te_metric)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_hello_interval_update(self, mpls_interface=None, rsvp_hello_interval=None, rsvp_hello_tolerance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rsvp_hello_interval (long):
				yang info - Interval between two RSVP Hello requests
				range - ['0..4294967295']

			- rsvp_hello_tolerance (long):
				yang info - Number of unacknowledged RSVP Hello requests before timeout
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_hello_interval=rsvp_hello_interval, rsvp_hello_tolerance=rsvp_hello_tolerance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_refresh_reduction_update(self, mpls_interface=None, refresh_reduction_all=None, summary_refresh=None, rsvp_refresh_reduction_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- refresh_reduction_all (YANGBool):
				yang info - All Refresh reduction functionalities

			- summary_refresh (YANGBool):
				yang info - Refresh Reduction Summary Refresh feature

			- rsvp_refresh_reduction_disable (YANGBool):
				yang info - Disable RSVP Refresh reduction on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh, rsvp_refresh_reduction_disable=rsvp_refresh_reduction_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_refresh_reduction_all_update(self, mpls_interface=None, refresh_reduction_all=None, summary_refresh=None, rsvp_refresh_reduction_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- refresh_reduction_all (YANGBool):
				yang info - All Refresh reduction functionalities

			- summary_refresh (YANGBool):
				yang info - Refresh Reduction Summary Refresh feature

			- rsvp_refresh_reduction_disable (YANGBool):
				yang info - Disable RSVP Refresh reduction on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh, rsvp_refresh_reduction_disable=rsvp_refresh_reduction_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_refresh_reduction_bundle_message_update(self, mpls_interface=None, bundle_send_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bundle_send_delay (long):
				yang info - Configure bundle send delay value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, bundle_send_delay=bundle_send_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_refresh_reduction_bundle_message_bundle_send_delay_update(self, mpls_interface=None, bundle_send_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- bundle_send_delay (long):
				yang info - Configure bundle send delay value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, bundle_send_delay=bundle_send_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_reliable_messaging_update(self, mpls_interface=None, rapid_retrans_decay=None, rapid_retrans_interval=None, rapid_retry_limit=None, rsvp_reliable_messaging_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rapid_retrans_decay (long):
				yang info - Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message
				range - ['0..4294967295']

			- rapid_retrans_interval (long):
				yang info - Interval for an unacknowledged message to be resent
				range - ['0..4294967295']

			- rapid_retry_limit (long):
				yang info - Maximum number of retries for an unacknowledged message
				range - ['0..4294967295']

			- rsvp_reliable_messaging_disable (YANGBool):
				yang info - Disable RSVP Reliable messaging on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rapid_retrans_decay=rapid_retrans_decay, rapid_retrans_interval=rapid_retrans_interval, rapid_retry_limit=rapid_retry_limit, rsvp_reliable_messaging_disable=rsvp_reliable_messaging_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_reliable_messaging_rapid_retrans_decay_update(self, mpls_interface=None, rapid_retrans_decay=None, rapid_retrans_interval=None, rapid_retry_limit=None, rsvp_reliable_messaging_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- rapid_retrans_decay (long):
				yang info - Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message
				range - ['0..4294967295']

			- rapid_retrans_interval (long):
				yang info - Interval for an unacknowledged message to be resent
				range - ['0..4294967295']

			- rapid_retry_limit (long):
				yang info - Maximum number of retries for an unacknowledged message
				range - ['0..4294967295']

			- rsvp_reliable_messaging_disable (YANGBool):
				yang info - Disable RSVP Reliable messaging on this interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rapid_retrans_decay=rapid_retrans_decay, rapid_retrans_interval=rapid_retrans_interval, rapid_retry_limit=rapid_retry_limit, rsvp_reliable_messaging_disable=rsvp_reliable_messaging_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_mpls_interface_rsvp_reservable_bandwidth_update(self, mpls_interface=None, reservable_bandwidth=None, reservable_bandwidth_percentage=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- mpls_interface (interface_type, interface_name):
				interface_type (unicode):
					enum - [u'ethernet', u've']

				interface_name (unicode):
					yang info - The Interface value.
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		This Instance Arg(s):
			- reservable_bandwidth (long):
				range - ['0..4294967295']

			- reservable_bandwidth_percentage (long):
				yang info - Configure Max reservable bandwidth as percentage
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_reservable_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, reservable_bandwidth=reservable_bandwidth, reservable_bandwidth_percentage=reservable_bandwidth_percentage)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_path_create(self, path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_path_delete(self, path=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_path_get(self, path=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_path_hop_create(self, path=None, path_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- path_hop (path_hop_ip, path_hop_type):
				path_hop_ip (unicode):
					yang info - A.B.C.D;;path hop ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				path_hop_type (unicode):
					yang info - path hop type
					enum - [u'strict', u'loose']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_hop', 'keyval': 'path_hop_ip', 'extra_keyval': 'path_hop_ip, path_hop_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_hop=path_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_path_hop_delete(self, path=None, path_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- path_hop (path_hop_ip, path_hop_type):
				path_hop_ip (unicode):
					yang info - A.B.C.D;;path hop ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				path_hop_type (unicode):
					yang info - path hop type
					enum - [u'strict', u'loose']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_hop', 'keyval': 'path_hop_ip', 'extra_keyval': 'path_hop_ip, path_hop_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_hop=path_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_path_hop_update(self, path=None, path_hop=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- path_hop (path_hop_ip, path_hop_type):
				path_hop_ip (unicode):
					yang info - A.B.C.D;;path hop ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				path_hop_type (unicode):
					yang info - path hop type
					enum - [u'strict', u'loose']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_hop', 'keyval': 'path_hop_ip', 'extra_keyval': 'path_hop_ip, path_hop_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_hop=path_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_path_hop_get(self, path=None, path_hop=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- path_hop (path_hop_ip, path_hop_type):
				path_hop_ip (unicode):
					yang info - A.B.C.D;;path hop ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				path_hop_type (unicode):
					yang info - path hop type
					enum - [u'strict', u'loose']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_hop', 'keyval': 'path_hop_ip', 'extra_keyval': 'path_hop_ip, path_hop_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_hop=path_hop)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_path_insert_create(self, path=None, path_insert=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- path_insert (path_insert_ip):
				path_insert_ip (unicode):
					yang info - A.B.C.D;;path hop ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_insert', 'keyval': 'path_insert_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_insert=path_insert)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_path_insert_delete(self, path=None, path_insert=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- path_insert (path_insert_ip):
				path_insert_ip (unicode):
					yang info - A.B.C.D;;path hop ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_insert', 'keyval': 'path_insert_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_insert=path_insert)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_path_insert_update(self, path=None, path_insert=None, path_insert_type=None, path_insert_before_hop_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- path_insert (path_insert_ip):
				path_insert_ip (unicode):
					yang info - A.B.C.D;;path hop ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- path_insert_type (unicode):
				yang info - path hop type
				enum - [u'strict', u'loose']

			- path_insert_before_hop_ip (unicode):
				yang info - add before hop ip address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_insert', 'keyval': 'path_insert_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_insert=path_insert, path_insert_type=path_insert_type, path_insert_before_hop_ip=path_insert_before_hop_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_path_insert_get(self, path=None, path_insert=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- path (path_name):
				path_name (unicode):
					yang info - ASCII string;;Name (up to 64 characters)
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- path_insert (path_insert_ip):
				path_insert_ip (unicode):
					yang info - A.B.C.D;;path hop ip address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'path_insert', 'keyval': 'path_insert_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_insert=path_insert)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_policy_update(self, backup_retry_time=None, cspf_interface_constraint=None, handle_isis_neighbor_down=None, handle_ospf_neighbor_down=None, load_interval=None, retry_time=None, retry_limit=None, rapid_retry=None, rsvp_periodic_flooding_time=None, qos_ttl_mode=None, ingress_tunnel_accounting=None, transit_session_accounting=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- backup_retry_time (long):
				yang info - Configure Backup retry time
				range - ['0..4294967295']

			- cspf_interface_constraint (YANGBool):
				yang info - Use interface ip-addr for cspf computation

			- handle_isis_neighbor_down (YANGBool):
				yang info - Configure MPLS to handle ISIS neighbor down event

			- handle_ospf_neighbor_down (YANGBool):
				yang info - Configure MPLS to handle OSPF neighbor down event

			- load_interval (long):
				yang info - Polling interval for MPLS LSP traffic statistics
				range - ['0..4294967295']

			- retry_time (long):
				yang info - Configure LSP retry time
				range - ['0..4294967295']

			- retry_limit (long):
				yang info - Configure LSP retry limit
				range - ['0..4294967295']

			- rapid_retry (unicode):
				yang info - Configure Rapid retry
				enum - [u'enable', u'disable']

			- rsvp_periodic_flooding_time (long):
				yang info - Set the interval for RSVP TE periodic flooding
				range - ['0..4294967295']

			- qos_ttl_mode (unicode):
				yang info - MPLS ttl and qos propagation model
				enum - [u'pipe', u'uniform']

			- ingress_tunnel_accounting (YANGBool):
				yang info - Enable Traffic Statistics for Tunnels

			- transit_session_accounting (YANGBool):
				yang info - Enable Traffic Statistics for transit sessions

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, backup_retry_time=backup_retry_time, cspf_interface_constraint=cspf_interface_constraint, handle_isis_neighbor_down=handle_isis_neighbor_down, handle_ospf_neighbor_down=handle_ospf_neighbor_down, load_interval=load_interval, retry_time=retry_time, retry_limit=retry_limit, rapid_retry=rapid_retry, rsvp_periodic_flooding_time=rsvp_periodic_flooding_time, qos_ttl_mode=qos_ttl_mode, ingress_tunnel_accounting=ingress_tunnel_accounting, transit_session_accounting=transit_session_accounting)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_admin_group_create(self, policy_admin_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policy_admin_group (admin_group_name, admin_group_number):
				admin_group_name (unicode):
					length - [u'1..32']

				admin_group_number (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.policy_admin_group', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'policy_admin_group', 'keyval': 'admin_group_name, admin_group_number', 'extra_keyval': 'admin_group_name, admin_group_number'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_admin_group=policy_admin_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_admin_group_delete(self, policy_admin_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policy_admin_group (admin_group_name, admin_group_number):
				admin_group_name (unicode):
					length - [u'1..32']

				admin_group_number (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.policy_admin_group', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'policy_admin_group', 'keyval': 'admin_group_name, admin_group_number', 'extra_keyval': 'admin_group_name, admin_group_number'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_admin_group=policy_admin_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_admin_group_get(self, policy_admin_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policy_admin_group (admin_group_name, admin_group_number):
				admin_group_name (unicode):
					length - [u'1..32']

				admin_group_number (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.policy_admin_group', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'policy_admin_group', 'keyval': 'admin_group_name, admin_group_number', 'extra_keyval': 'admin_group_name, admin_group_number'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_admin_group=policy_admin_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_mpls_policy_auto_bandwidth_update(self, autobw_sample_interval=None, autobw_num_sample_record=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- autobw_sample_interval (long):
				yang info - Define interval for auto-bandwidth rate sampling
				range - ['0..4294967295']

			- autobw_num_sample_record (long):
				yang info - Set maximum number of samples to be recorded
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.global_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_auto_bandwidth_num_sample_record_update(self, autobw_sample_interval=None, autobw_num_sample_record=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- autobw_sample_interval (long):
				yang info - Define interval for auto-bandwidth rate sampling
				range - ['0..4294967295']

			- autobw_num_sample_record (long):
				yang info - Set maximum number of samples to be recorded
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.global_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_backup_retry_time_update(self, backup_retry_time=None, cspf_interface_constraint=None, handle_isis_neighbor_down=None, handle_ospf_neighbor_down=None, load_interval=None, retry_time=None, retry_limit=None, rapid_retry=None, rsvp_periodic_flooding_time=None, qos_ttl_mode=None, ingress_tunnel_accounting=None, transit_session_accounting=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- backup_retry_time (long):
				yang info - Configure Backup retry time
				range - ['0..4294967295']

			- cspf_interface_constraint (YANGBool):
				yang info - Use interface ip-addr for cspf computation

			- handle_isis_neighbor_down (YANGBool):
				yang info - Configure MPLS to handle ISIS neighbor down event

			- handle_ospf_neighbor_down (YANGBool):
				yang info - Configure MPLS to handle OSPF neighbor down event

			- load_interval (long):
				yang info - Polling interval for MPLS LSP traffic statistics
				range - ['0..4294967295']

			- retry_time (long):
				yang info - Configure LSP retry time
				range - ['0..4294967295']

			- retry_limit (long):
				yang info - Configure LSP retry limit
				range - ['0..4294967295']

			- rapid_retry (unicode):
				yang info - Configure Rapid retry
				enum - [u'enable', u'disable']

			- rsvp_periodic_flooding_time (long):
				yang info - Set the interval for RSVP TE periodic flooding
				range - ['0..4294967295']

			- qos_ttl_mode (unicode):
				yang info - MPLS ttl and qos propagation model
				enum - [u'pipe', u'uniform']

			- ingress_tunnel_accounting (YANGBool):
				yang info - Enable Traffic Statistics for Tunnels

			- transit_session_accounting (YANGBool):
				yang info - Enable Traffic Statistics for transit sessions

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, backup_retry_time=backup_retry_time, cspf_interface_constraint=cspf_interface_constraint, handle_isis_neighbor_down=handle_isis_neighbor_down, handle_ospf_neighbor_down=handle_ospf_neighbor_down, load_interval=load_interval, retry_time=retry_time, retry_limit=retry_limit, rapid_retry=rapid_retry, rsvp_periodic_flooding_time=rsvp_periodic_flooding_time, qos_ttl_mode=qos_ttl_mode, ingress_tunnel_accounting=ingress_tunnel_accounting, transit_session_accounting=transit_session_accounting)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_cspf_computation_mode_update(self, use_bypass_liberal=None, use_bypass_metric=None, ignore_overload_bit=None, cspf_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- use_bypass_liberal (YANGBool):
				yang info - use liberal mode for CSPF facility backup computation

			- use_bypass_metric (YANGBool):
				yang info - use bypass LSP's path cost for selection between bypass LSP's

			- ignore_overload_bit (YANGBool):
				yang info - ignore overload bit during cspf computation

			- cspf_metric_type (unicode):
				yang info - Select metric type for cspf computation
				enum - [u'use-igp-metric', u'use-te-metric']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_bypass_liberal=use_bypass_liberal, use_bypass_metric=use_bypass_metric, ignore_overload_bit=ignore_overload_bit, cspf_metric_type=cspf_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_cspf_computation_mode_metric_type_update(self, use_bypass_liberal=None, use_bypass_metric=None, ignore_overload_bit=None, cspf_metric_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- use_bypass_liberal (YANGBool):
				yang info - use liberal mode for CSPF facility backup computation

			- use_bypass_metric (YANGBool):
				yang info - use bypass LSP's path cost for selection between bypass LSP's

			- ignore_overload_bit (YANGBool):
				yang info - ignore overload bit during cspf computation

			- cspf_metric_type (unicode):
				yang info - Select metric type for cspf computation
				enum - [u'use-igp-metric', u'use-te-metric']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_bypass_liberal=use_bypass_liberal, use_bypass_metric=use_bypass_metric, ignore_overload_bit=ignore_overload_bit, cspf_metric_type=cspf_metric_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_cspf_group_computation_update(self, add_penalty=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- add_penalty (YANGBool):
				yang info - add penalty of all matching cspf-groups to TE metric of TE link

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_group_computation', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, add_penalty=add_penalty)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_cspf_group_computation_add_penalty_update(self, add_penalty=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- add_penalty (YANGBool):
				yang info - add penalty of all matching cspf-groups to TE metric of TE link

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_group_computation', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, add_penalty=add_penalty)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_implicit_commit_update(self, implicit_commit_all=None, implicit_commit_autobw_adjustment=None, implicit_commit_lsp_reoptimize_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- implicit_commit_all (YANGBool):
				yang info - Enable implicit commit for all triggers

			- implicit_commit_autobw_adjustment (YANGBool):
				yang info - Enable implicit commit for auto-bandwidth adjustments

			- implicit_commit_lsp_reoptimize_timer (YANGBool):
				yang info - Enable implicit commit for reoptimizations

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, implicit_commit_all=implicit_commit_all, implicit_commit_autobw_adjustment=implicit_commit_autobw_adjustment, implicit_commit_lsp_reoptimize_timer=implicit_commit_lsp_reoptimize_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_implicit_commit_all_update(self, implicit_commit_all=None, implicit_commit_autobw_adjustment=None, implicit_commit_lsp_reoptimize_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- implicit_commit_all (YANGBool):
				yang info - Enable implicit commit for all triggers

			- implicit_commit_autobw_adjustment (YANGBool):
				yang info - Enable implicit commit for auto-bandwidth adjustments

			- implicit_commit_lsp_reoptimize_timer (YANGBool):
				yang info - Enable implicit commit for reoptimizations

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, implicit_commit_all=implicit_commit_all, implicit_commit_autobw_adjustment=implicit_commit_autobw_adjustment, implicit_commit_lsp_reoptimize_timer=implicit_commit_lsp_reoptimize_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_soft_preemption_update(self, cleanup_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cleanup_timer (long):
				yang info - Define timer value for soft preemption to happen
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.soft_preemption', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cleanup_timer=cleanup_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_soft_preemption_cleanup_timer_update(self, cleanup_timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cleanup_timer (long):
				yang info - Define timer value for soft preemption to happen
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.soft_preemption', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cleanup_timer=cleanup_timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_traffic_engineering_update(self, isis_set_level=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- isis_set_level (unicode):
				yang info - Advertise via IS-IS
				enum - [u'level-2', u'level-1']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_set_level=isis_set_level)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_traffic_engineering_isis_update(self, isis_set_level=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- isis_set_level (unicode):
				yang info - Advertise via IS-IS
				enum - [u'level-2', u'level-1']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_set_level=isis_set_level)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_traffic_engineering_ospf_area_update(self, ospf_area_as_ip_address=None, ospf_area_as_decimal=None, ospf_area_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_area_as_ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- ospf_area_as_decimal (long):
				range - ['0..4294967295']

			- ospf_area_all (YANGBool):
				yang info - Advertise all OSPF areas

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_area_as_ip_address=ospf_area_as_ip_address, ospf_area_as_decimal=ospf_area_as_decimal, ospf_area_all=ospf_area_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_policy_traffic_engineering_ospf_area_all_update(self, ospf_area_as_ip_address=None, ospf_area_as_decimal=None, ospf_area_all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ospf_area_as_ip_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- ospf_area_as_decimal (long):
				range - ['0..4294967295']

			- ospf_area_all (YANGBool):
				yang info - Advertise all OSPF areas

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_area_as_ip_address=ospf_area_as_ip_address, ospf_area_as_decimal=ospf_area_as_decimal, ospf_area_all=ospf_area_all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_rsvp_update(self, refresh_interval=None, refresh_multiple=None, global_rsvp_hello_acknowledgements=None, global_rsvp_hello_unprioritize=None, g_rsvp_backup_bw_guarantee=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- refresh_interval (long):
				yang info - Configure RSVP Refresh interval
				range - ['0..4294967295']

			- refresh_multiple (long):
				yang info - Configure RSVP Refresh multiple
				range - ['0..4294967295']

			- global_rsvp_hello_acknowledgements (YANGBool):
				yang info - Acknowledge RSVP Hellos on interfaces supporting RSVP Hello and not having RSVP sessions

			- global_rsvp_hello_unprioritize (YANGBool):
				yang info - Stop prioritizing RSVP Hello messages

			- g_rsvp_backup_bw_guarantee (YANGBool):
				yang info - Setup a backup path requesting bandwidth only if bandwidth is available

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, global_rsvp_hello_acknowledgements=global_rsvp_hello_acknowledgements, global_rsvp_hello_unprioritize=global_rsvp_hello_unprioritize, g_rsvp_backup_bw_guarantee=g_rsvp_backup_bw_guarantee)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_rsvp_backup_bw_guarantee_update(self, refresh_interval=None, refresh_multiple=None, global_rsvp_hello_acknowledgements=None, global_rsvp_hello_unprioritize=None, g_rsvp_backup_bw_guarantee=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- refresh_interval (long):
				yang info - Configure RSVP Refresh interval
				range - ['0..4294967295']

			- refresh_multiple (long):
				yang info - Configure RSVP Refresh multiple
				range - ['0..4294967295']

			- global_rsvp_hello_acknowledgements (YANGBool):
				yang info - Acknowledge RSVP Hellos on interfaces supporting RSVP Hello and not having RSVP sessions

			- global_rsvp_hello_unprioritize (YANGBool):
				yang info - Stop prioritizing RSVP Hello messages

			- g_rsvp_backup_bw_guarantee (YANGBool):
				yang info - Setup a backup path requesting bandwidth only if bandwidth is available

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, global_rsvp_hello_acknowledgements=global_rsvp_hello_acknowledgements, global_rsvp_hello_unprioritize=global_rsvp_hello_unprioritize, g_rsvp_backup_bw_guarantee=g_rsvp_backup_bw_guarantee)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_rsvp_hello_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.global_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'global_rsvp_hello_interval, global_rsvp_hello_tolerance'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_rsvp_hello_interval_update(self, global_rsvp_hello_interval=None, global_rsvp_hello_tolerance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- global_rsvp_hello_interval (long):
				yang info - Interval between two RSVP Hello requests
				range - ['0..4294967295']

			- global_rsvp_hello_tolerance (long):
				yang info - Number of unacknowledged RSVP Hello requests before timeout
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.global_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_rsvp_hello_interval=global_rsvp_hello_interval, global_rsvp_hello_tolerance=global_rsvp_hello_tolerance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_rsvp_refresh_reduction_update(self, refresh_reduction_all=None, summary_refresh=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- refresh_reduction_all (YANGBool):
				yang info - All Refresh reduction functionalities

			- summary_refresh (YANGBool):
				yang info - Refresh Reduction Summary Refresh feature

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_rsvp_refresh_reduction_all_update(self, refresh_reduction_all=None, summary_refresh=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- refresh_reduction_all (YANGBool):
				yang info - All Refresh reduction functionalities

			- summary_refresh (YANGBool):
				yang info - Refresh Reduction Summary Refresh feature

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_rsvp_refresh_reduction_bundle_message_update(self, bundle_send_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bundle_send_delay (long):
				yang info - Configure bundle send delay value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bundle_send_delay=bundle_send_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_rsvp_refresh_reduction_bundle_message_bundle_send_delay_update(self, bundle_send_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- bundle_send_delay (long):
				yang info - Configure bundle send delay value
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bundle_send_delay=bundle_send_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_rsvp_reliable_messaging_update(self, rapid_retrans_decay=None, rapid_retrans_interval=None, rapid_retry_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rapid_retrans_decay (long):
				yang info - Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message
				range - ['0..4294967295']

			- rapid_retrans_interval (long):
				yang info - Interval for an unacknowledged message to be resent
				range - ['0..4294967295']

			- rapid_retry_limit (long):
				yang info - Maximum number of retries for an unacknowledged message
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rapid_retrans_decay=rapid_retrans_decay, rapid_retrans_interval=rapid_retrans_interval, rapid_retry_limit=rapid_retry_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_mpls_rsvp_reliable_messaging_rapid_retrans_decay_update(self, rapid_retrans_decay=None, rapid_retrans_interval=None, rapid_retry_limit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rapid_retrans_decay (long):
				yang info - Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message
				range - ['0..4294967295']

			- rapid_retrans_interval (long):
				yang info - Interval for an unacknowledged message to be resent
				range - ['0..4294967295']

			- rapid_retry_limit (long):
				yang info - Maximum number of retries for an unacknowledged message
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rapid_retrans_decay=rapid_retrans_decay, rapid_retrans_interval=rapid_retrans_interval, rapid_retry_limit=rapid_retry_limit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_create(self, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_delete(self, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_update(self, ospf=None, database_overflow_interval=None, default_passive_interface=None, default_metric=None, external_lsdb_limit=None, ospf_metric_type=None, vrf_lite_capability=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- database_overflow_interval (long):
				yang info - Set how often the router checks whether OSPF 
external LSDB overflow is eliminated
				range - ['0..4294967295']

			- default_passive_interface (YANGBool):
				yang info - Set OSPF interface passive

			- default_metric (long):
				yang info - Set OSPF default metric
				range - ['0..4294967295']

			- external_lsdb_limit (long):
				yang info - Set maximum number of external LSAs
				range - ['0..4294967295']

			- ospf_metric_type (unicode):
				yang info - Set Type 1 or Type 2
				enum - [u'type1', u'type2']

			- vrf_lite_capability (YANGBool):
				yang info - Configure vrf-lite-capability (disable DN bit checks)

			- nonstop_routing (YANGBool):
				yang info - Enable OSPF nonstop routing capability

			- maximum_paths (int):
				yang info - The maximum number of paths to a destination.
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, database_overflow_interval=database_overflow_interval, default_passive_interface=default_passive_interface, default_metric=default_metric, external_lsdb_limit=external_lsdb_limit, ospf_metric_type=ospf_metric_type, vrf_lite_capability=vrf_lite_capability, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_get(self, ospf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_ospf_area_create(self, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_delete(self, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_update(self, ospf=None, area=None, normal=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- normal (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, normal=normal)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_get(self, ospf=None, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_ospf_area_nssa_update(self, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nssa_value, no_summary1'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_nssa_default_information_originate_update(self, ospf=None, area=None, default_information_originate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- default_information_originate (YANGBool):
				yang info - Originate default-information

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, default_information_originate=default_information_originate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_nssa_no_summary_update(self, ospf=None, area=None, nssa_value=None, no_summary1=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- nssa_value (long):
				yang info - NSSA's advertised external route metric.
				range - ['0..4294967295']

			- no_summary1 (YANGBool):
				yang info - Do not send summary LSA into nssa area

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, nssa_value=nssa_value, no_summary1=no_summary1)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_prefix_list_update(self, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_prefix_list_in_update(self, ospf=None, area=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- prefix_list_direction_in_prefix_name (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- prefix_list_direction_in (YANGBool):
				yang info - Apply Type3 LSA prefix filtering on inbound

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_prefix_list_out_update(self, ospf=None, area=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- prefix_list_direction_out_prefix_name (unicode):
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- prefix_list_direction_out (YANGBool):
				yang info - Apply Type3 LSA prefix filtering on outbound

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_range_create(self, ospf=None, area=None, range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- range (range_address, range_mask, range_effect, range_cost):
				range_address (unicode):
					yang info - A.B.C.D   IP address to match
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_mask (unicode):
					yang info - A.B.C.D   IP mask for address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_effect (unicode):
					yang info - Advertise/Do not advertise this 
type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, range=range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_range_delete(self, ospf=None, area=None, range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- range (range_address, range_mask, range_effect, range_cost):
				range_address (unicode):
					yang info - A.B.C.D   IP address to match
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_mask (unicode):
					yang info - A.B.C.D   IP mask for address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_effect (unicode):
					yang info - Advertise/Do not advertise this 
type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, range=range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_range_update(self, ospf=None, area=None, range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- range (range_address, range_mask, range_effect, range_cost):
				range_address (unicode):
					yang info - A.B.C.D   IP address to match
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_mask (unicode):
					yang info - A.B.C.D   IP mask for address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_effect (unicode):
					yang info - Advertise/Do not advertise this 
type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, range=range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_range_get(self, ospf=None, area=None, range=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- range (range_address, range_mask, range_effect, range_cost):
				range_address (unicode):
					yang info - A.B.C.D   IP address to match
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_mask (unicode):
					yang info - A.B.C.D   IP mask for address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				range_effect (unicode):
					yang info - Advertise/Do not advertise this 
type-3 summarization
					enum - [u'advertise', u'not-advertise']

				range_cost (long):
					yang info - Configure area range cost
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, range=range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_ospf_area_stub_update(self, ospf=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.stub.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stub_value, no_summary'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_stub_no_summary_update(self, ospf=None, area=None, stub_value=None, no_summary=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Arg(s):
			- stub_value (long):
				yang info - Stub's advertised external route metric.
				range - ['0..4294967295']

			- no_summary (YANGBool):
				yang info - Do not send summary LSA into stub area

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.stub.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, stub_value=stub_value, no_summary=no_summary)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_virtual_link_create(self, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_virtual_link_delete(self, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_virtual_link_update(self, ospf=None, area=None, virtual_link=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- hello_interval (long):
				yang info - Time between HELLO packets
				range - ['0..4294967295']

			- dead_interval (long):
				yang info - Interval after which a neighbor is declared dead
				range - ['0..4294967295']

			- retransmit_interval (long):
				yang info - Time between retransmitting lost link state
   advertisements
				range - ['0..4294967295']

			- transmit_delay (long):
				yang info - Link state transmit delay
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_virtual_link_get(self, ospf=None, area=None, virtual_link=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		This Instance Keyword Arg Tuple:
			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_ospf_area_virtual_link_authentication_key_update(self, ospf=None, area=None, virtual_link=None, encrypttype=None, auth_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- encrypttype (unicode):
				enum - [u'dsa', u'rsa', u'ecdsa']

			- auth_key (unicode):
				yang info - The OSPF password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype, auth_key=auth_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_virtual_link_md5_authentication_update(self, ospf=None, area=None, virtual_link=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- no_encrypt_key_id (long):
				range - ['0..4294967295']

			- no_encrypt_key (unicode):
				yang info - MD5 Authentication password (key)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_virtual_link_md5_authentication_key_activation_wait_time_update(self, ospf=None, area=None, virtual_link=None, key_activation_wait_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- key_activation_wait_time (long):
				yang info - The activation wait time in Seconds
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_virtual_link_md5_authentication_key_id_update(self, ospf=None, area=None, virtual_link=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_area_virtual_link_md5_authentication_key_id_key_update(self, ospf=None, area=None, virtual_link=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- area (area_id):
				area_id (unicode):
					pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

			- virtual_link (virt_link_neighbor):
				virt_link_neighbor (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- key_id (long):
				yang info - The key ID of the MD5 key
				range - ['0..4294967295']

			- key (unicode):
				yang info - MD5 Authentication password (key)
				enum - [u'dsa', u'rsa', u'ecdsa']

			- md5_authentication_key (unicode):
				yang info - MD5 authentication ID

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_auto_cost_reference_bandwidth_update(self, ospf=None, ref_bandwidth=None, use_active_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- ref_bandwidth (long):
				range - ['0..4294967295']

			- use_active_ports (YANGBool):
				yang info - Dynamic change of BW will reflect cost change

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.auto_cost.reference_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ref_bandwidth=ref_bandwidth, use_active_ports=use_active_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_bfd_update(self, ospf=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- bfd_enable (YANGBool):

			- holdover_interval (int):
				yang info - Holdover-interval in seconds
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.global_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_default_information_originate_update(self, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'always, def_orig_metric, def_orig_metric_type, def_orig_route_map'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_default_information_originate_always_update(self, ospf=None, always=None, def_orig_metric=None, def_orig_metric_type=None, def_orig_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- always (YANGBool):
				yang info - Always advertise default route

			- def_orig_metric (long):
				yang info - OSPF metric for default route
				range - ['0..4294967295']

			- def_orig_metric_type (unicode):
				yang info - OSPF metric type for default route
				enum - [u'type1', u'type2']

			- def_orig_route_map (unicode):
				yang info - Route-map reference

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, always=always, def_orig_metric=def_orig_metric, def_orig_metric_type=def_orig_metric_type, def_orig_route_map=def_orig_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_deny_redistribute_create(self, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_deny_redistribute_delete(self, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_deny_redistribute_update(self, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_deny_redistribute_get(self, ospf=None, redistribute=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_ospf_distance_create(self, ospf=None, distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propogation
					enum - [u'intra-area', u'external', u'inter-area']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_distance_delete(self, ospf=None, distance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propogation
					enum - [u'intra-area', u'external', u'inter-area']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_distance_update(self, ospf=None, distance=None, dist_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propogation
					enum - [u'intra-area', u'external', u'inter-area']

		This Instance Arg(s):
			- dist_value (long):
				yang info - The distance for a given type of route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distance=distance, dist_value=dist_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_distance_get(self, ospf=None, distance=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- distance (route_type):
				route_type (unicode):
					yang info - The type of route propogation
					enum - [u'intra-area', u'external', u'inter-area']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distance=distance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_ospf_distribute_list_route_map_update(self, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'route_map, input'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_distribute_list_route_map_in_update(self, ospf=None, route_map=None, input=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- route_map (unicode):
				yang info - Route-map name.
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- input (YANGBool):
				yang info - Apply filter for incoming Routes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, route_map=route_map, input=input)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_graceful_restart_update(self, ospf=None, graceful_restart_enable=None, helper_disable=None, restart_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- graceful_restart_enable (YANGBool):

			- helper_disable (YANGBool):
				yang info - Disable Helper Mode

			- restart_time (long):
				yang info - Set the maximum restart wait time advertised to neighbors
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, graceful_restart_enable=graceful_restart_enable, helper_disable=helper_disable, restart_time=restart_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_ldp_sync_update(self, ospf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ldp_sync_hold_down'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_ldp_sync_hold_down_update(self, ospf=None, ldp_sync_hold_down=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- ldp_sync_hold_down (long):
				yang info - Specify hold-down duration
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ldp_sync_hold_down=ldp_sync_hold_down)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_log_update(self, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- log_all (YANGBool):
				yang info - Logging everything

			- log_database (YANGBool):
				yang info - Logging LSA activity

			- log_retransmit (YANGBool):
				yang info - Logging retransmit activity

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_log_adjacency_update(self, ospf=None, dr_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- dr_only (YANGBool):
				yang info - Logging only Designated Router interfaces' 
adjacency changes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, dr_only=dr_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_log_adjacency_dr_only_update(self, ospf=None, dr_only=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- dr_only (YANGBool):
				yang info - Logging only Designated Router interfaces' 
adjacency changes

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, dr_only=dr_only)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_log_all_update(self, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- log_all (YANGBool):
				yang info - Logging everything

			- log_database (YANGBool):
				yang info - Logging LSA activity

			- log_retransmit (YANGBool):
				yang info - Logging retransmit activity

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_log_bad_packet_update(self, ospf=None, log_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- log_checksum (YANGBool):
				yang info - Logging bad checksum packets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_checksum=log_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_log_bad_packet_checksum_update(self, ospf=None, log_checksum=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- log_checksum (YANGBool):
				yang info - Logging bad checksum packets

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_checksum=log_checksum)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_update(self, ospf=None, all_vrfs=None, all_lsas=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all_vrfs (YANGBool):
				yang info - Apply this to all the current OSPF instances

			- all_lsas (YANGBool):
				yang info - Replace Metric in all External and Summary
LSAs with default max metric value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_vrfs=all_vrfs, all_lsas=all_lsas)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_all_lsas_update(self, ospf=None, all_vrfs=None, all_lsas=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all_vrfs (YANGBool):
				yang info - Apply this to all the current OSPF instances

			- all_lsas (YANGBool):
				yang info - Replace Metric in all External and Summary
LSAs with default max metric value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_vrfs=all_vrfs, all_lsas=all_lsas)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_external_lsa_update(self, ospf=None, external_lsa_val=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- external_lsa_val (long):
				yang info - Indicates the metric of all external type 5 LSA's
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, external_lsa_val=external_lsa_val)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_link_update(self, ospf=None, all=None, ptp=None, stub=None, transit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp,stub and transit links

			- ptp (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp links

			- stub (YANGBool):
				yang info - Advertise maximum metric in Router LSA for stub links

			- transit (YANGBool):
				yang info - Advertise maximum metric in Router LSA for transit links

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_link_all_update(self, ospf=None, all=None, ptp=None, stub=None, transit=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp,stub and transit links

			- ptp (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp links

			- stub (YANGBool):
				yang info - Advertise maximum metric in Router LSA for stub links

			- transit (YANGBool):
				yang info - Advertise maximum metric in Router LSA for transit links

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_on_startup_update(self, ospf=None, time=None, wait_for_bgp=None, all_lsas_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- time (long):
				yang info - DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
				range - ['0..4294967295']

			- wait_for_bgp (YANGBool):
				yang info - Advertise maximum metric until BGP has converged or 600 seconds

			- all_lsas_onstartup (YANGBool):
				yang info - Replace Metric in all External and Summary
LSAs with default max metric value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_on_startup_all_lsas_update(self, ospf=None, time=None, wait_for_bgp=None, all_lsas_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- time (long):
				yang info - DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
				range - ['0..4294967295']

			- wait_for_bgp (YANGBool):
				yang info - Advertise maximum metric until BGP has converged or 600 seconds

			- all_lsas_onstartup (YANGBool):
				yang info - Replace Metric in all External and Summary
LSAs with default max metric value

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_on_startup_external_lsa_update(self, ospf=None, external_lsa_val_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- external_lsa_val_onstartup (long):
				yang info - Indicates the metric of all external type 5 LSA's
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, external_lsa_val_onstartup=external_lsa_val_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_on_startup_link_update(self, ospf=None, all_link_onstartup=None, ptp_link_onstartup=None, stub_link_onstartup=None, transit_link_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp,stub and transit links

			- ptp_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp links

			- stub_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for stub links

			- transit_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for transit links

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_on_startup_link_all_update(self, ospf=None, all_link_onstartup=None, ptp_link_onstartup=None, stub_link_onstartup=None, transit_link_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- all_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp,stub and transit links

			- ptp_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for ptp links

			- stub_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for stub links

			- transit_link_onstartup (YANGBool):
				yang info - Advertise maximum metric in Router LSA for transit links

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_on_startup_summary_lsa_update(self, ospf=None, summary_lsa_val_onstartup=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- summary_lsa_val_onstartup (long):
				yang info - Metric of all summary type 3 and type 4 LSAs
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_lsa_val_onstartup=summary_lsa_val_onstartup)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_max_metric_router_lsa_summary_lsa_update(self, ospf=None, summary_lsa_val=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- summary_lsa_val (long):
				yang info - Metric of all summary type 3 and type 4 LSAs
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_lsa_val=summary_lsa_val)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_neighbor_create(self, ospf=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- neighbor (neighbor_addr):
				neighbor_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_neighbor_delete(self, ospf=None, neighbor=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- neighbor (neighbor_addr):
				neighbor_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_neighbor_get(self, ospf=None, neighbor=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- neighbor (neighbor_addr):
				neighbor_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, neighbor=neighbor)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_ospf_permit_redistribute_create(self, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_permit_redistribute_delete(self, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_permit_redistribute_update(self, ospf=None, redistribute=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_permit_redistribute_get(self, ospf=None, redistribute=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- redistribute (redist_value, route_option, address, mask, set_metric_val, match_metric_val):
				redist_value (long):
					yang info - Number
					range - ['0..4294967295']

				route_option (unicode):
					yang info - OSPF route option
					enum - [u'connected', u'all', u'static']

				address (unicode):
					yang info - IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mask (unicode):
					yang info - Subnet Mask
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				set_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

				match_metric_val (long):
					yang info - Metric value
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute=redistribute)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_ospf_redistribute_bgp_update(self, ospf=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_redistribute_bgp_route_map_update(self, ospf=None, bgp_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- bgp_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bgp_route_map=bgp_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_redistribute_connected_update(self, ospf=None, connected_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- connected_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, connected_route_map=connected_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_redistribute_connected_route_map_update(self, ospf=None, connected_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- connected_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, connected_route_map=connected_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_redistribute_isis_update(self, ospf=None, isis_level_one=None, isis_level_two=None, isis_level_one_and_two=None, isis_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- isis_level_one (YANGBool):
				yang info - Redistribution of IS-IS Level-1 routes

			- isis_level_two (YANGBool):
				yang info - Redistribution of IS-IS Level-2 routes

			- isis_level_one_and_two (YANGBool):
				yang info - Redistribution of IS-IS Level-1-2 routes

			- isis_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, isis_level_one=isis_level_one, isis_level_two=isis_level_two, isis_level_one_and_two=isis_level_one_and_two, isis_route_map=isis_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_redistribute_isis_level_1_update(self, ospf=None, isis_level_one=None, isis_level_two=None, isis_level_one_and_two=None, isis_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- isis_level_one (YANGBool):
				yang info - Redistribution of IS-IS Level-1 routes

			- isis_level_two (YANGBool):
				yang info - Redistribution of IS-IS Level-2 routes

			- isis_level_one_and_two (YANGBool):
				yang info - Redistribution of IS-IS Level-1-2 routes

			- isis_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, isis_level_one=isis_level_one, isis_level_two=isis_level_two, isis_level_one_and_two=isis_level_one_and_two, isis_route_map=isis_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_redistribute_ospf_update(self, ospf=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- ospf_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_redistribute_ospf_route_map_update(self, ospf=None, ospf_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- ospf_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ospf_route_map=ospf_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_redistribute_static_update(self, ospf=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- static_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_redistribute_static_route_map_update(self, ospf=None, static_route_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- static_route_map (unicode):
				yang info - Route map reference
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, static_route_map=static_route_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_rfc1583_compatibility_update(self, ospf=None, rfc1583_compatibility_flag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- rfc1583_compatibility_flag (YANGBool):
				yang info - Enable RFC 1583 OSPF v2 compatibility

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.rfc1583_compatibility', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, rfc1583_compatibility_flag=rfc1583_compatibility_flag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_summary_address_create(self, ospf=None, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- summary_address (sum_address, sum_address_mask):
				sum_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sum_address_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'sum_address, sum_address_mask', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_summary_address_delete(self, ospf=None, summary_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- summary_address (sum_address, sum_address_mask):
				sum_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sum_address_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'sum_address, sum_address_mask', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_summary_address_get(self, ospf=None, summary_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Keyword Arg Tuple:
			- summary_address (sum_address, sum_address_mask):
				sum_address (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				sum_address_mask (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'sum_address, sum_address_mask', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_address=summary_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_ospf_timers_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- lsa_group_pacing (long):
				yang info - OSPF LSA group pacing timer
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_timers_lsa_group_pacing_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- lsa_group_pacing (long):
				yang info - OSPF LSA group pacing timer
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_ospf_timers_throttle_spf_update(self, ospf=None, init_delay=None, hold_time=None, max_hold_time=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- ospf (vrf):
				vrf (unicode):
					yang info - Create a VRF
					length - [u'1..64']

		This Instance Arg(s):
			- init_delay (long):
				range - ['0..4294967295']

			- hold_time (long):
				yang info - Hold time (msec) between two SPF 
calculations, default is 5000 msec
				range - ['0..4294967295']

			- max_hold_time (long):
				yang info - Max hold time (msec) between two SPF 
calculations, default is 10000 msec
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers.throttle.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, init_delay=init_delay, hold_time=hold_time, max_hold_time=max_hold_time)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_update(self, max_mcache=None, hello_interval=None, prune_wait=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- max_mcache (long):
				yang info - Set maximum PIM mcache
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Set hello message interval
				range - ['0..4294967295']

			- prune_wait (long):
				yang info - Set prune-wait interval - time to wait for an override before pruning
				range - ['0..4294967295']

			- nbr_timeout (int):
				yang info - Set neighbor timeout
				range - ['-32768..32767']

			- inactivity_timer (int):
				yang info - Set inactivity interval
				range - ['-32768..32767']

			- message_interval (long):
				yang info - Set periodic join/prune message interval
				range - ['0..4294967295']

			- spt_threshold (long):
				yang info - Set threshold for switching to shortest-path-tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_mcache=max_mcache, hello_interval=hello_interval, prune_wait=prune_wait, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_anycast_rp_create(self, anycast_rp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- anycast_rp (anycast_ip_addr, anycast_prefix_list):
				anycast_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				anycast_prefix_list (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'anycast_rp', 'keyval': 'anycast_ip_addr', 'extra_keyval': 'anycast_ip_addr, anycast_prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, anycast_rp=anycast_rp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_anycast_rp_delete(self, anycast_rp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- anycast_rp (anycast_ip_addr, anycast_prefix_list):
				anycast_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				anycast_prefix_list (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'anycast_rp', 'keyval': 'anycast_ip_addr', 'extra_keyval': 'anycast_ip_addr, anycast_prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, anycast_rp=anycast_rp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_anycast_rp_update(self, anycast_rp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- anycast_rp (anycast_ip_addr, anycast_prefix_list):
				anycast_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				anycast_prefix_list (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'anycast_rp', 'keyval': 'anycast_ip_addr', 'extra_keyval': 'anycast_ip_addr, anycast_prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, anycast_rp=anycast_rp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_anycast_rp_get(self, anycast_rp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- anycast_rp (anycast_ip_addr, anycast_prefix_list):
				anycast_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				anycast_prefix_list (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'anycast_rp', 'keyval': 'anycast_ip_addr', 'extra_keyval': 'anycast_ip_addr, anycast_prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, anycast_rp=anycast_rp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_pim_anycast_rp_ip_create(self, anycast_rp_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- anycast_rp_ip (anycast_rp_ip_addr):
				anycast_rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'anycast_rp_ip', 'keyval': 'anycast_rp_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, anycast_rp_ip=anycast_rp_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_anycast_rp_ip_delete(self, anycast_rp_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- anycast_rp_ip (anycast_rp_ip_addr):
				anycast_rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'anycast_rp_ip', 'keyval': 'anycast_rp_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, anycast_rp_ip=anycast_rp_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_anycast_rp_ip_update(self, anycast_rp_ip=None, anycast_peer_ip_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- anycast_rp_ip (anycast_rp_ip_addr):
				anycast_rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- anycast_peer_ip_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'anycast_rp_ip', 'keyval': 'anycast_rp_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, anycast_rp_ip=anycast_rp_ip, anycast_peer_ip_addr=anycast_peer_ip_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_anycast_rp_ip_get(self, anycast_rp_ip=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- anycast_rp_ip (anycast_rp_ip_addr):
				anycast_rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'anycast_rp_ip', 'keyval': 'anycast_rp_ip_addr', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, anycast_rp_ip=anycast_rp_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_pim_bsr_candidate_interface_create(self, bsr_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bsr_cand_interface (bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority):
				bsr_cand_intf_type (unicode):
					enum - [u'ethernet', u'port-channel', u've', u'loopback']

				bsr_cand_intf_id (unicode):
					yang info - Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

				hash_mask_length (int):
					yang info - BSR hash mask
					range - ['0..65535']

				bsr_cand_priority (long):
					yang info - BSR priority
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bsr_cand_interface=bsr_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_bsr_candidate_interface_delete(self, bsr_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bsr_cand_interface (bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority):
				bsr_cand_intf_type (unicode):
					enum - [u'ethernet', u'port-channel', u've', u'loopback']

				bsr_cand_intf_id (unicode):
					yang info - Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

				hash_mask_length (int):
					yang info - BSR hash mask
					range - ['0..65535']

				bsr_cand_priority (long):
					yang info - BSR priority
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bsr_cand_interface=bsr_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_bsr_candidate_interface_update(self, bsr_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bsr_cand_interface (bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority):
				bsr_cand_intf_type (unicode):
					enum - [u'ethernet', u'port-channel', u've', u'loopback']

				bsr_cand_intf_id (unicode):
					yang info - Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

				hash_mask_length (int):
					yang info - BSR hash mask
					range - ['0..65535']

				bsr_cand_priority (long):
					yang info - BSR priority
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bsr_cand_interface=bsr_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_bsr_candidate_interface_get(self, bsr_cand_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bsr_cand_interface (bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority):
				bsr_cand_intf_type (unicode):
					enum - [u'ethernet', u'port-channel', u've', u'loopback']

				bsr_cand_intf_id (unicode):
					yang info - Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

				hash_mask_length (int):
					yang info - BSR hash mask
					range - ['0..65535']

				bsr_cand_priority (long):
					yang info - BSR priority
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bsr_cand_interface=bsr_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_pim_hello_interval_update(self, max_mcache=None, hello_interval=None, prune_wait=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- max_mcache (long):
				yang info - Set maximum PIM mcache
				range - ['0..4294967295']

			- hello_interval (long):
				yang info - Set hello message interval
				range - ['0..4294967295']

			- prune_wait (long):
				yang info - Set prune-wait interval - time to wait for an override before pruning
				range - ['0..4294967295']

			- nbr_timeout (int):
				yang info - Set neighbor timeout
				range - ['-32768..32767']

			- inactivity_timer (int):
				yang info - Set inactivity interval
				range - ['-32768..32767']

			- message_interval (long):
				yang info - Set periodic join/prune message interval
				range - ['0..4294967295']

			- spt_threshold (long):
				yang info - Set threshold for switching to shortest-path-tree
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_mcache=max_mcache, hello_interval=hello_interval, prune_wait=prune_wait, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_route_precedence_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.route_precedence', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'uc_default, uc_non_default, none'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_route_precedence_none_update(self, uc_default=None, uc_non_default=None, none=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- uc_default (YANGBool):
				yang info - Select default route from the unicast routing table

			- uc_non_default (YANGBool):
				yang info - Select non default route from the unicast routing table

			- none (YANGBool):
				yang info - Skip precedence level

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.route_precedence', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, uc_default=uc_default, uc_non_default=uc_non_default, none=none)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_rp_address_create(self, rp_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rp_address (rp_ip_addr, rp_addr_prefix_list):
				rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_addr_prefix_list (unicode):
					yang info - Prefix list
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, rp_addr_prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_address=rp_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_rp_address_delete(self, rp_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rp_address (rp_ip_addr, rp_addr_prefix_list):
				rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_addr_prefix_list (unicode):
					yang info - Prefix list
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, rp_addr_prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_address=rp_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_rp_address_update(self, rp_address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rp_address (rp_ip_addr, rp_addr_prefix_list):
				rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_addr_prefix_list (unicode):
					yang info - Prefix list
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, rp_addr_prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_address=rp_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_rp_address_get(self, rp_address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rp_address (rp_ip_addr, rp_addr_prefix_list):
				rp_ip_addr (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				rp_addr_prefix_list (unicode):
					yang info - Prefix list
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, rp_addr_prefix_list'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_address=rp_address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_pim_rp_candidate_interface_create(self, rp_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rp_cand_interface (rp_cand_intf_type, rp_cand_intf_id):
				rp_cand_intf_type (unicode):
					enum - [u'ethernet', u'port-channel', u've', u'loopback']

				rp_cand_intf_id (unicode):
					yang info - Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_cand_interface=rp_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_rp_candidate_interface_delete(self, rp_cand_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rp_cand_interface (rp_cand_intf_type, rp_cand_intf_id):
				rp_cand_intf_type (unicode):
					enum - [u'ethernet', u'port-channel', u've', u'loopback']

				rp_cand_intf_id (unicode):
					yang info - Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_cand_interface=rp_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_rp_candidate_interface_get(self, rp_cand_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rp_cand_interface (rp_cand_intf_type, rp_cand_intf_id):
				rp_cand_intf_type (unicode):
					enum - [u'ethernet', u'port-channel', u've', u'loopback']

				rp_cand_intf_id (unicode):
					yang info - Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_cand_interface=rp_cand_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_pim_rp_candidate_prefix_create(self, rp_cand_grp_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rp_cand_grp_prefix (rp_cand_prefix_name):
				rp_cand_prefix_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_prefix_name', 'extra_keyval': 'rp_cand_prefix_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_cand_grp_prefix=rp_cand_grp_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_rp_candidate_prefix_delete(self, rp_cand_grp_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rp_cand_grp_prefix (rp_cand_prefix_name):
				rp_cand_prefix_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_prefix_name', 'extra_keyval': 'rp_cand_prefix_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_cand_grp_prefix=rp_cand_grp_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_rp_candidate_prefix_get(self, rp_cand_grp_prefix=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rp_cand_grp_prefix (rp_cand_prefix_name):
				rp_cand_prefix_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_prefix_name', 'extra_keyval': 'rp_cand_prefix_name'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_cand_grp_prefix=rp_cand_grp_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def router_pim_rpf_ecmp_update(self, rebalance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rebalance (YANGBool):
				yang info - Multicast ECMP load sharing with dynamic rebalancing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rpf.ecmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rebalance=rebalance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_rpf_ecmp_rebalance_update(self, rebalance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rebalance (YANGBool):
				yang info - Multicast ECMP load sharing with dynamic rebalancing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rpf.ecmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rebalance=rebalance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_ssm_enable_update(self, range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- range (unicode):
				yang info - Set the multicast address range to use for SSM
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.ssm_enable', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, range=range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def router_pim_ssm_enable_range_update(self, range=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- range (unicode):
				yang info - Set the multicast address range to use for SSM
				pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.ssm_enable', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, range=range)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_create(self, rule=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rule', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'rule', 'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_delete(self, rule=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rule', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'rule', 'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_update(self, rule=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rule', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'rule', 'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_get(self, rule=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.rule', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'rule', 'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def rule_command_update(self, rule=None, enumList=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- enumList (unicode):
				enum - [u'debug1', u'system-monitor', u'aaa', u'qos', u'ag', u'ip', u'mac-rebalance', u'switch-attributes', u'lacp', u'unlock', u'df', u'port-profile', u'dot1x', u'mac-address-table', u'prompt1', u'management', u'monitor', u'service', u'snmp-server', u'diag', u'support', u'firmware', u'ldap-server', u'radius-server', u'terminal', u'nas', u'prompt2', u'role', u'tacacs-server', u'alias-config', u'protocol', u'fcsp', u'fastboot', u'password-attributes', u'username', u'vlan', u'configure', u'python', u'ntp', u'cee-map', u'telnet', u'sflow', u'mac', u'oscmd', u'ssh', u'nsx-controller-client', u'vCenter', u'banner', u'fabric', u'cidrecov', u'vrf', u'logging', u'lccli', u'license', u'vcs', u'ipv6', u'bp-rate-limit', u'clock', u'secpolicy', u'rule', u'rmon', u'reload', u'rename', u'filter-change-update-delay', u'fcoe', u'usb', u'debug', u'tnl', u'delete', u'vnetwork', u'nsx-controller', u'dir', u'no-operation']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, enumList=enumList)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_update(self, rule=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_fc.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_fc_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_fcoe.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_fe.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_fe_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_ge.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_ge_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_he.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_he_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_loopback.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_management_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_mgmt.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_pc.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_pc_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_te.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_te_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_ve.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_ve_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_vlan.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_fc.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_fcoe.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_fe.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_ge.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_he.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_loopback.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_mgmt.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_pc.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_te.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_ve.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_vlan.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_fc.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_fcoe.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_fe.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_ge.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_he.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_loopback.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_mgmt.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_pc.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_te.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_ve.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_vlan.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_eth.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_eth_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_fc.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_fc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_loopback.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_loopback_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_management_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_mgmt.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_pc.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_pc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_ve.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_ve_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_vlan.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_vlan_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_ethernet_update(self, rule=None, ethernet_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- ethernet_leaf (unicode):
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule')]
        bindings_list = [('pybind.slxos.v16r_1_00b.rule.command.interface_eth_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, ethernet_leaf=ethernet_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_fcoe_update(self, rule=None, fcoe_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- fcoe_leaf (unicode):
				length - [u'3..32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, fcoe_leaf=fcoe_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_fibrechannel_update(self, rule=None, fibrechannel_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- fibrechannel_leaf (unicode):
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_fc_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_fc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, fibrechannel_leaf=fibrechannel_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_fortygigabitethernet_update(self, rule=None, fortygigabitethernet_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- fortygigabitethernet_leaf (unicode):
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_fe_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, fortygigabitethernet_leaf=fortygigabitethernet_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_gigabitethernet_update(self, rule=None, gigabitethernet_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- gigabitethernet_leaf (unicode):
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_ge_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, gigabitethernet_leaf=gigabitethernet_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_hundredgigabitethernet_update(self, rule=None, hundredgigabitethernet_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- hundredgigabitethernet_leaf (unicode):
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_he_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, hundredgigabitethernet_leaf=hundredgigabitethernet_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_loopback_update(self, rule=None, loopback_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- loopback_leaf (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_loopback_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, loopback_leaf=loopback_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_management_update(self, rule=None, management_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- management_leaf (unicode):
				length - [u'3..16']
				pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_management_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_management_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, management_leaf=management_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_port_channel_update(self, rule=None, port_channel_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- port_channel_leaf (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_pc_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_pc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, port_channel_leaf=port_channel_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_tengigabitethernet_update(self, rule=None, tengigabitethernet_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- tengigabitethernet_leaf (unicode):
				length - [u'3..16']
				pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_te_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, tengigabitethernet_leaf=tengigabitethernet_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_ve_update(self, rule=None, ve_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- ve_leaf (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_ve_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_ve_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, ve_leaf=ve_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def rule_command_interface_vlan_update(self, rule=None, vlan_leaf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (index, action, operation, role):
				index (long):
					range - ['0..4294967295']

				action (unicode):
					yang info - Action for the command
					enum - [u'accept', u'reject']

				operation (unicode):
					yang info - Operation for the command
					enum - [u'read-write', u'read-only']

				role (unicode):
					yang info - One of the existing roles
					length - [u'4 .. 32']

		This Instance Arg(s):
			- vlan_leaf (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_vlan_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, vlan_leaf=vlan_leaf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def secpolicy_active_policy_create(self, policies=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def secpolicy_active_policy_delete(self, policies=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def secpolicy_active_policy_get(self, policies=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def secpolicy_active_policy_member_entry_create(self, policies=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def secpolicy_active_policy_member_entry_delete(self, policies=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def secpolicy_active_policy_member_entry_get(self, policies=None, member_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def secpolicy_defined_policy_create(self, policies=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def secpolicy_defined_policy_delete(self, policies=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def secpolicy_defined_policy_get(self, policies=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def secpolicy_defined_policy_member_entry_create(self, policies=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def secpolicy_defined_policy_member_entry_delete(self, policies=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def secpolicy_defined_policy_member_entry_get(self, policies=None, member_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policies (policy):
				policy (unicode):
					pattern - SCC_POLICY

		This Instance Keyword Arg Tuple:
			- member_entry (member):
				member (unicode):
					yang info - WWN of the switch

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies', u'policies')]
        bindings_list = [('pybind.nos.v6_0_2b.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policies=policies, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def service_update(self, password_encryption=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- password_encryption (YANGBool):
				yang info - Encrypt all clear-text passwords

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.service', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.service', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.service', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.service', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, password_encryption=password_encryption)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def service_password_encryption_update(self, password_encryption=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- password_encryption (YANGBool):
				yang info - Encrypt all clear-text passwords

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.service', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.service', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.service', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.service', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, password_encryption=password_encryption)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sflow_update(self, enable=None, source_ip=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable global sflow

			- source_ip (unicode):
				yang info - Source ip address to use
				enum - [u'chassis-ip', u'mm-ip']

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.sflow', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, source_ip=source_ip, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sflow_collector_create(self, collector=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- collector (collector_ip_address, collector_port_number, use_vrf):
				collector_ip_address (unicode):
					yang info - <ipv4/v6 address>; The IPv4/IPv6 address of the Sflow collector
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				collector_port_number (long):
					yang info - <1-65535> The port number used by the Sflow collector (default = 6343)
					range - ['0..4294967295']

				use_vrf (unicode):
					yang info - Vrf to use for sending data to the collector (default = mgmt-vrf)
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.sflow.collector', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow.collector', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow.collector', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow.collector', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'collector', 'keyval': 'collector_ip_address, collector_port_number, use_vrf', 'extra_keyval': 'collector_ip_address, collector_port_number, use_vrf'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, collector=collector)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sflow_collector_delete(self, collector=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- collector (collector_ip_address, collector_port_number, use_vrf):
				collector_ip_address (unicode):
					yang info - <ipv4/v6 address>; The IPv4/IPv6 address of the Sflow collector
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				collector_port_number (long):
					yang info - <1-65535> The port number used by the Sflow collector (default = 6343)
					range - ['0..4294967295']

				use_vrf (unicode):
					yang info - Vrf to use for sending data to the collector (default = mgmt-vrf)
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.sflow.collector', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow.collector', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow.collector', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow.collector', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'collector', 'keyval': 'collector_ip_address, collector_port_number, use_vrf', 'extra_keyval': 'collector_ip_address, collector_port_number, use_vrf'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, collector=collector)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sflow_collector_get(self, collector=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- collector (collector_ip_address, collector_port_number, use_vrf):
				collector_ip_address (unicode):
					yang info - <ipv4/v6 address>; The IPv4/IPv6 address of the Sflow collector
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				collector_port_number (long):
					yang info - <1-65535> The port number used by the Sflow collector (default = 6343)
					range - ['0..4294967295']

				use_vrf (unicode):
					yang info - Vrf to use for sending data to the collector (default = mgmt-vrf)
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.sflow.collector', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow.collector', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow.collector', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow.collector', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'collector', 'keyval': 'collector_ip_address, collector_port_number, use_vrf', 'extra_keyval': 'collector_ip_address, collector_port_number, use_vrf'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, collector=collector)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sflow_collector_vrf_update(self, enable=None, null0_sampling=None, collector_vrf=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable global sflow

			- null0_sampling (YANGBool):
				yang info - Enable Null0 Sampling On All Slots

			- collector_vrf (unicode):
				yang info - Sflow Collector VRF Configuration
				length - [u'1..32']
				pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sflow', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, null0_sampling=null0_sampling, collector_vrf=collector_vrf, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sflow_enable_update(self, enable=None, source_ip=None, polling_interval=None, sample_rate=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable global sflow

			- source_ip (unicode):
				yang info - Source ip address to use
				enum - [u'chassis-ip', u'mm-ip']

			- polling_interval (long):
				yang info - Interface counter polling interval
				range - ['0..4294967295']

			- sample_rate (long):
				yang info - Interface sampling rate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.sflow', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, source_ip=source_ip, polling_interval=polling_interval, sample_rate=sample_rate)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sflow_profile_create(self, sflow_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- sflow_profile (profile_name, profile_sampling_rate):
				profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				profile_sampling_rate (long):
					yang info - Sflow profile sampling-rate
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.sflow_profile', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow_profile', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow_profile', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow_profile', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'sflow_profile', 'keyval': 'profile_name', 'extra_keyval': 'profile_name, profile_sampling_rate'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sflow_profile=sflow_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sflow_profile_delete(self, sflow_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- sflow_profile (profile_name, profile_sampling_rate):
				profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				profile_sampling_rate (long):
					yang info - Sflow profile sampling-rate
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.sflow_profile', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow_profile', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow_profile', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow_profile', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'sflow_profile', 'keyval': 'profile_name', 'extra_keyval': 'profile_name, profile_sampling_rate'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sflow_profile=sflow_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sflow_profile_update(self, sflow_profile=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- sflow_profile (profile_name, profile_sampling_rate):
				profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				profile_sampling_rate (long):
					yang info - Sflow profile sampling-rate
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.sflow_profile', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow_profile', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow_profile', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow_profile', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'sflow_profile', 'keyval': 'profile_name', 'extra_keyval': 'profile_name, profile_sampling_rate'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sflow_profile=sflow_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sflow_profile_get(self, sflow_profile=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- sflow_profile (profile_name, profile_sampling_rate):
				profile_name (unicode):
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

				profile_sampling_rate (long):
					yang info - Sflow profile sampling-rate
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.sflow_profile', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow_profile', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow_profile', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow_profile', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'sflow_profile', 'keyval': 'profile_name', 'extra_keyval': 'profile_name, profile_sampling_rate'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sflow_profile=sflow_profile)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sflow_source_interface_update(self, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				yang info - The type of the interface.
				enum - [u'ethernet', u've', u'loopback']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sflow.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_connectivity_create(self, connectivity=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- connectivity (connectivity_sfmid):
				connectivity_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.connectivity', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connectivity', 'keyval': 'connectivity_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connectivity=connectivity)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_connectivity_delete(self, connectivity=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- connectivity (connectivity_sfmid):
				connectivity_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.connectivity', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connectivity', 'keyval': 'connectivity_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connectivity=connectivity)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_connectivity_update(self, connectivity=None, connectivity_count=None, connectivity_feid=None, connectivity_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- connectivity (connectivity_sfmid):
				connectivity_sfmid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- connectivity_count (long):
				range - ['0..4294967295']

			- connectivity_feid (long):
				range - ['0..4294967295']

			- connectivity_type (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.connectivity', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connectivity', 'keyval': 'connectivity_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connectivity=connectivity, connectivity_count=connectivity_count, connectivity_feid=connectivity_feid, connectivity_type=connectivity_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_connectivity_get(self, connectivity=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- connectivity (connectivity_sfmid):
				connectivity_sfmid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.connectivity', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'connectivity', 'keyval': 'connectivity_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connectivity=connectivity)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sfm_state_links_create(self, links=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- links (links_sfmid):
				links_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.links', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'links', 'keyval': 'links_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, links=links)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_links_delete(self, links=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- links (links_sfmid):
				links_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.links', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'links', 'keyval': 'links_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, links=links)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_links_update(self, links=None, links_count=None, links_feid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- links (links_sfmid):
				links_sfmid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- links_count (long):
				range - ['0..4294967295']

			- links_feid (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.links', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'links', 'keyval': 'links_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, links=links, links_count=links_count, links_feid=links_feid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_links_get(self, links=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- links (links_sfmid):
				links_sfmid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.links', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'links', 'keyval': 'links_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, links=links)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sfm_state_mcast_create(self, mcast=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mcast (mcastid):
				mcastid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mcast=mcast)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_mcast_delete(self, mcast=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mcast (mcastid):
				mcastid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mcast=mcast)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_mcast_update(self, mcast=None, mcast_count=None, mcast_sfmid=None, mcast_feid=None, mcast_sfmcount=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mcast (mcastid):
				mcastid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- mcast_count (long):
				range - ['0..4294967295']

			- mcast_sfmid (long):
				range - ['0..4294967295']

			- mcast_feid (long):
				range - ['0..4294967295']

			- mcast_sfmcount (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mcast=mcast, mcast_count=mcast_count, mcast_sfmid=mcast_sfmid, mcast_feid=mcast_feid, mcast_sfmcount=mcast_sfmcount)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_mcast_get(self, mcast=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- mcast (mcastid):
				mcastid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mcast=mcast)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sfm_state_queue_create(self, queue=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue (queue_sfmid):
				queue_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue=queue)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_queue_delete(self, queue=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue (queue_sfmid):
				queue_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue=queue)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_queue_update(self, queue=None, queue_feid=None, queue_pipe=None, queue_dch_count=None, queue_dcm_count=None, queue_dcl_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue (queue_sfmid):
				queue_sfmid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- queue_feid (long):
				range - ['0..4294967295']

			- queue_pipe (long):
				range - ['0..4294967295']

			- queue_dch_count (long):
				range - ['0..4294967295']

			- queue_dcm_count (long):
				range - ['0..4294967295']

			- queue_dcl_count (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue=queue, queue_feid=queue_feid, queue_pipe=queue_pipe, queue_dch_count=queue_dch_count, queue_dcm_count=queue_dcm_count, queue_dcl_count=queue_dcl_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_queue_get(self, queue=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- queue (queue_sfmid):
				queue_sfmid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue=queue)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sfm_state_serdesmode_create(self, serdesmode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- serdesmode (serdesmode_sfmid):
				serdesmode_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.serdesmode', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'serdesmode', 'keyval': 'serdesmode_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, serdesmode=serdesmode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_serdesmode_delete(self, serdesmode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- serdesmode (serdesmode_sfmid):
				serdesmode_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.serdesmode', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'serdesmode', 'keyval': 'serdesmode_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, serdesmode=serdesmode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_serdesmode_update(self, serdesmode=None, serdesmode_=None, serdesmode_feid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- serdesmode (serdesmode_sfmid):
				serdesmode_sfmid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- serdesmode_ (long):
				range - ['0..4294967295']

			- serdesmode_feid (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.serdesmode', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'serdesmode', 'keyval': 'serdesmode_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, serdesmode=serdesmode, serdesmode_=serdesmode_, serdesmode_feid=serdesmode_feid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_serdesmode_get(self, serdesmode=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- serdesmode (serdesmode_sfmid):
				serdesmode_sfmid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.serdesmode', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'serdesmode', 'keyval': 'serdesmode_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, serdesmode=serdesmode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sfm_state_statistics_create(self, statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- statistics (statistics_sfmid):
				statistics_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, statistics=statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_statistics_delete(self, statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- statistics (statistics_sfmid):
				statistics_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, statistics=statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_statistics_update(self, statistics=None, statistics_feid=None, statistics_pipe=None, statistics_dch_total_in=None, statistics_dch_total_out=None, statistics_dch_fifo_discard=None, statistics_dch_reorder_discard=None, statistics_dch_unreach_discard=None, statistics_dch_max_q_size=None, statistics_dcm_tot=None, statistics_dcm_drop=None, statistics_dcm_max=None, statistics_dcl_tot_in=None, statistics_dcl_tot_out=None, statistics_dcl_dropped=None, statistics_dcl_max=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- statistics (statistics_sfmid):
				statistics_sfmid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- statistics_feid (long):
				range - ['0..4294967295']

			- statistics_pipe (long):
				range - ['0..4294967295']

			- statistics_dch_total_in (long):
				range - ['0..4294967295']

			- statistics_dch_total_out (long):
				range - ['0..4294967295']

			- statistics_dch_fifo_discard (long):
				range - ['0..4294967295']

			- statistics_dch_reorder_discard (long):
				range - ['0..4294967295']

			- statistics_dch_unreach_discard (long):
				range - ['0..4294967295']

			- statistics_dch_max_q_size (long):
				range - ['0..4294967295']

			- statistics_dcm_tot (long):
				range - ['0..4294967295']

			- statistics_dcm_drop (long):
				range - ['0..4294967295']

			- statistics_dcm_max (long):
				range - ['0..4294967295']

			- statistics_dcl_tot_in (long):
				range - ['0..4294967295']

			- statistics_dcl_tot_out (long):
				range - ['0..4294967295']

			- statistics_dcl_dropped (long):
				range - ['0..4294967295']

			- statistics_dcl_max (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, statistics=statistics, statistics_feid=statistics_feid, statistics_pipe=statistics_pipe, statistics_dch_total_in=statistics_dch_total_in, statistics_dch_total_out=statistics_dch_total_out, statistics_dch_fifo_discard=statistics_dch_fifo_discard, statistics_dch_reorder_discard=statistics_dch_reorder_discard, statistics_dch_unreach_discard=statistics_dch_unreach_discard, statistics_dch_max_q_size=statistics_dch_max_q_size, statistics_dcm_tot=statistics_dcm_tot, statistics_dcm_drop=statistics_dcm_drop, statistics_dcm_max=statistics_dcm_max, statistics_dcl_tot_in=statistics_dcl_tot_in, statistics_dcl_tot_out=statistics_dcl_tot_out, statistics_dcl_dropped=statistics_dcl_dropped, statistics_dcl_max=statistics_dcl_max)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_statistics_get(self, statistics=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- statistics (statistics_sfmid):
				statistics_sfmid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, statistics=statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sfm_state_thresholds_create(self, thresholds=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- thresholds (thresholds_sfmid):
				thresholds_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.thresholds', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'thresholds', 'keyval': 'thresholds_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, thresholds=thresholds)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_thresholds_delete(self, thresholds=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- thresholds (thresholds_sfmid):
				thresholds_sfmid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.thresholds', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'thresholds', 'keyval': 'thresholds_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, thresholds=thresholds)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_thresholds_update(self, thresholds=None, thresholds_feid=None, thresholds_port=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- thresholds (thresholds_sfmid):
				thresholds_sfmid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- thresholds_feid (long):
				range - ['0..4294967295']

			- thresholds_port (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.thresholds', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'thresholds', 'keyval': 'thresholds_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, thresholds=thresholds, thresholds_feid=thresholds_feid, thresholds_port=thresholds_port)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sfm_state_thresholds_get(self, thresholds=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- thresholds (thresholds_sfmid):
				thresholds_sfmid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.thresholds', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'thresholds', 'keyval': 'thresholds_sfmid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, thresholds=thresholds)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def show_bare_metal_state_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_preprovision_rpc.show_bare_metal_state', 'pybind.nos.v6_0_2b.brocade_preprovision_rpc.brocade_preprovision', 'pybind.nos.v6_0_2b.brocade_preprovision_rpc'), ('pybind.nos.v7_0_1a.brocade_preprovision_rpc.show_bare_metal_state', 'pybind.nos.v7_0_1a.brocade_preprovision_rpc.brocade_preprovision', 'pybind.nos.v7_0_1a.brocade_preprovision_rpc'), ('pybind.nos.v7_1_0.brocade_preprovision_rpc.show_bare_metal_state', 'pybind.nos.v7_1_0.brocade_preprovision_rpc.brocade_preprovision', 'pybind.nos.v7_1_0.brocade_preprovision_rpc'), ('pybind.slxos.v16r_1_00b.brocade_preprovision_rpc.show_bare_metal_state', 'pybind.slxos.v16r_1_00b.brocade_preprovision_rpc.brocade_preprovision', 'pybind.slxos.v16r_1_00b.brocade_preprovision_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_client_id_df_info_state_create(self, show_client_id_df_info_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_client_id_df_info_state (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_client_id_df_info_state=show_client_id_df_info_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_client_id_df_info_state_delete(self, show_client_id_df_info_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_client_id_df_info_state (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_client_id_df_info_state=show_client_id_df_info_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_client_id_df_info_state_update(self, show_client_id_df_info_state=None, client_state=None, is_all_vlan_elected=None, is_df_election_pending=None, num_df_vlans=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_client_id_df_info_state (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- client_state (YANGBool):

			- is_all_vlan_elected (long):
				range - ['0..4294967295']

			- is_df_election_pending (long):
				range - ['0..4294967295']

			- num_df_vlans (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_client_id_df_info_state=show_client_id_df_info_state, client_state=client_state, is_all_vlan_elected=is_all_vlan_elected, is_df_election_pending=is_df_election_pending, num_df_vlans=num_df_vlans)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_client_id_df_info_state_get(self, show_client_id_df_info_state=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- show_client_id_df_info_state (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_client_id_df_info_state=show_client_id_df_info_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def show_client_id_df_info_state_df_vlans_update(self, show_client_id_df_info_state=None, vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_client_id_df_info_state (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'show_client_id_df_info_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state.df_vlans', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id, client_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_client_id_df_info_state=show_client_id_df_info_state, vlan_id=vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_client_id_df_info_state_df_vlans_vlan_id_update(self, show_client_id_df_info_state=None, vlan_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- show_client_id_df_info_state (cluster_id, client_id):
				cluster_id (long):
					range - ['0..4294967295']

				client_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'show_client_id_df_info_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state.df_vlans', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cluster_id, client_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_client_id_df_info_state=show_client_id_df_info_state, vlan_id=vlan_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_clock_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_clock_rpc.show_clock.input', 'pybind.nos.v6_0_2b.brocade_clock_rpc.brocade_clock', 'pybind.nos.v6_0_2b.brocade_clock_rpc'), ('pybind.nos.v7_0_1a.brocade_clock_rpc.show_clock.input', 'pybind.nos.v7_0_1a.brocade_clock_rpc.brocade_clock', 'pybind.nos.v7_0_1a.brocade_clock_rpc'), ('pybind.nos.v7_1_0.brocade_clock_rpc.show_clock.input', 'pybind.nos.v7_1_0.brocade_clock_rpc.brocade_clock', 'pybind.nos.v7_1_0.brocade_clock_rpc'), ('pybind.slxos.v16r_1_00b.brocade_clock_rpc.show_clock', 'pybind.slxos.v16r_1_00b.brocade_clock_rpc.brocade_clock', 'pybind.slxos.v16r_1_00b.brocade_clock_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_fabric_trunk_info_rpc(self, rbridge_id=None, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (long):
				yang info - Syntax: rbridge-id [rbridge-id]
				range - ['0..4294967295']

			- all (YANGBool):
				yang info - All rbridges in fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_fabric_service_rpc.show_fabric_trunk_info.input', 'pybind.nos.v6_0_2b.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v6_0_2b.brocade_fabric_service_rpc'), ('pybind.nos.v7_0_1a.brocade_fabric_service_rpc.show_fabric_trunk_info.input', 'pybind.nos.v7_0_1a.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v7_0_1a.brocade_fabric_service_rpc'), ('pybind.nos.v7_1_0.brocade_fabric_service_rpc.show_fabric_trunk_info.input', 'pybind.nos.v7_1_0.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v7_1_0.brocade_fabric_service_rpc'), ('pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc.show_fabric_trunk_info.input', 'pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_fibrechannel_interface_info_rpc(self, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- all (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_fabric_service_rpc.show_fibrechannel_interface_info.input', 'pybind.nos.v6_0_2b.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v6_0_2b.brocade_fabric_service_rpc'), ('pybind.nos.v7_0_1a.brocade_fabric_service_rpc.show_fibrechannel_interface_info.input', 'pybind.nos.v7_0_1a.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v7_0_1a.brocade_fabric_service_rpc'), ('pybind.nos.v7_1_0.brocade_fabric_service_rpc.show_fibrechannel_interface_info.input', 'pybind.nos.v7_1_0.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v7_1_0.brocade_fabric_service_rpc'), ('pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc.show_fibrechannel_interface_info.input', 'pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_firmware_version_rpc(self, switchid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- switchid (unicode):
				length - [u'1..3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_firmware_ext_rpc.show_firmware_version.input', 'pybind.nos.v6_0_2b.brocade_firmware_ext_rpc.brocade_firmware_ext', 'pybind.nos.v6_0_2b.brocade_firmware_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_firmware_ext_rpc.show_firmware_version.input', 'pybind.nos.v7_0_1a.brocade_firmware_ext_rpc.brocade_firmware_ext', 'pybind.nos.v7_0_1a.brocade_firmware_ext_rpc'), ('pybind.nos.v7_1_0.brocade_firmware_ext_rpc.show_firmware_version.input', 'pybind.nos.v7_1_0.brocade_firmware_ext_rpc.brocade_firmware_ext', 'pybind.nos.v7_1_0.brocade_firmware_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_firmware_ext_rpc.show_firmware_version', 'pybind.slxos.v16r_1_00b.brocade_firmware_ext_rpc.brocade_firmware_ext', 'pybind.slxos.v16r_1_00b.brocade_firmware_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, switchid=switchid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_linkinfo_rpc(self, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- all (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_fabric_service_rpc.show_linkinfo.input', 'pybind.nos.v6_0_2b.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v6_0_2b.brocade_fabric_service_rpc'), ('pybind.nos.v7_0_1a.brocade_fabric_service_rpc.show_linkinfo.input', 'pybind.nos.v7_0_1a.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v7_0_1a.brocade_fabric_service_rpc'), ('pybind.nos.v7_1_0.brocade_fabric_service_rpc.show_linkinfo.input', 'pybind.nos.v7_1_0.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v7_1_0.brocade_fabric_service_rpc'), ('pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc.show_linkinfo.input', 'pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_bfd_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_bypass_bypass_lsp_extensive_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_bypass_bypass_lsp_extensive', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_bypass_lsp_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_bypass_lsp_debug_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_bypass_lsp_debug', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_bypass_lsp_detail_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_bypass_lsp_detail', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_dynamic_bypass_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_dynamic_bypass', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_dynamic_bypass_interface_brief_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_dynamic_bypass_interface_brief', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_interface_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_interface_detail_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_interface_detail', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_interface_one_interface_rpc(self, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				enum - [u'ethernet', u've']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_interface_one_interface.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_fec_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_fec', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_fec_prefix_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_fec_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_fec_prefix_filtered_rpc(self, ldp_fec_prefix_filtered=None, ldp_fec_prefix_filtered_in=None, ldp_fec_prefix_filtered_out=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_fec_prefix_filtered (YANGBool):

			- ldp_fec_prefix_filtered_in (YANGBool):

			- ldp_fec_prefix_filtered_out (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_fec_prefix_filtered.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_filtered=ldp_fec_prefix_filtered, ldp_fec_prefix_filtered_in=ldp_fec_prefix_filtered_in, ldp_fec_prefix_filtered_out=ldp_fec_prefix_filtered_out)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_fec_prefix_prefix_rpc(self, ldp_fec_prefix=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_fec_prefix (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_fec_prefix_prefix.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix=ldp_fec_prefix)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_fec_prefix_prefix_filter_rpc(self, ldp_fec_prefix_filter=None, ldp_fec_prefix_filter_string=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_fec_prefix_filter (YANGBool):

			- ldp_fec_prefix_filter_string (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_fec_prefix_prefix_filter.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_filter=ldp_fec_prefix_filter, ldp_fec_prefix_filter_string=ldp_fec_prefix_filter_string)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_fec_prefix_prefix_longer_rpc(self, ldp_fec_prefix=None, ldp_fec_prefix_longer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_fec_prefix (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- ldp_fec_prefix_longer (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_fec_prefix_prefix_longer.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix=ldp_fec_prefix, ldp_fec_prefix_longer=ldp_fec_prefix_longer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_fec_summary_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_fec_vc_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_fec_vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_fec_vc_id_rpc(self, ldp_fec_vc_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_fec_vc_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_fec_vc_id.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vc_id=ldp_fec_vc_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_path_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_path_one_rpc(self, ldp_path_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_path_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_path_one.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_path_ip=ldp_path_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_peer_br_rpc(self, ldp_peer_brief=None, ldp_peer_detail=None, ldp_peer_ip=None, ldp_peer_ip_lblspid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_peer_brief (YANGBool):

			- ldp_peer_detail (YANGBool):

			- ldp_peer_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- ldp_peer_ip_lblspid (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_peer_br.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_peer_brief=ldp_peer_brief, ldp_peer_detail=ldp_peer_detail, ldp_peer_ip=ldp_peer_ip, ldp_peer_ip_lblspid=ldp_peer_ip_lblspid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_peer_det_rpc(self, ldp_peer_brief=None, ldp_peer_detail=None, ldp_peer_ip=None, ldp_peer_ip_lblspid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_peer_brief (YANGBool):

			- ldp_peer_detail (YANGBool):

			- ldp_peer_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- ldp_peer_ip_lblspid (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_peer_det.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_peer_brief=ldp_peer_brief, ldp_peer_detail=ldp_peer_detail, ldp_peer_ip=ldp_peer_ip, ldp_peer_ip_lblspid=ldp_peer_ip_lblspid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_peer_det_rec_rpc(self, ldp_peer_brief=None, ldp_peer_detail=None, ldp_peer_ip=None, ldp_peer_ip_lblspid=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_peer_brief (YANGBool):

			- ldp_peer_detail (YANGBool):

			- ldp_peer_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- ldp_peer_ip_lblspid (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_peer_det_rec.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_peer_brief=ldp_peer_brief, ldp_peer_detail=ldp_peer_detail, ldp_peer_ip=ldp_peer_ip, ldp_peer_ip_lblspid=ldp_peer_ip_lblspid)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_statistics_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_targeted_peer_all_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_targeted_peer_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_ldp_targeted_peer_one_rpc(self, ldp_targeted_peer_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_targeted_peer_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_ldp_targeted_peer_one.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_targeted_peer_ip=ldp_targeted_peer_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_lsp_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_lsp_debug_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_lsp_debug', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_lsp_detail_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_lsp_detail', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_lsp_extensive_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_lsp_extensive', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_policy_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_route_rpc(self, prefix_address_and_len=None, prefix_address=None, subnet_mask=None, longer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- prefix_address_and_len (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

			- prefix_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- subnet_mask (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- longer (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_route.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_address_and_len=prefix_address_and_len, prefix_address=prefix_address, subnet_mask=subnet_mask, longer=longer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_interface_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_interface_detail_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_interface_detail', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_interface_one_interface_rpc(self, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				enum - [u'ethernet', u've']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_interface_one_interface.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_neighbor_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_neighbor_detail_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_neighbor_detail', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_neighbor_one_neighbor_rpc(self, mpls_rsvp_neighbor_peer_ip_addr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- mpls_rsvp_neighbor_peer_ip_addr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_neighbor_one_neighbor.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_rsvp_neighbor_peer_ip_addr=mpls_rsvp_neighbor_peer_ip_addr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_session_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_session_detail_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_session_detail', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_session_extensive_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_session_extensive', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_session_name_rpc(self, session_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- session_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_session_name.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, session_name=session_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_session_wide_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_session_wide', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_rsvp_statistics_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_rsvp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_statistics_ldp_transit_rpc(self, ldp_transit_stats=None, ldp_transit_stats_fec_prefix=None, ldp_transit_stats_fec_prefix_longer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_transit_stats (YANGBool):

			- ldp_transit_stats_fec_prefix (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- ldp_transit_stats_fec_prefix_longer (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_statistics_ldp_transit.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_transit_stats=ldp_transit_stats, ldp_transit_stats_fec_prefix=ldp_transit_stats_fec_prefix, ldp_transit_stats_fec_prefix_longer=ldp_transit_stats_fec_prefix_longer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_statistics_ldp_tunnel_rpc(self, ldp_tunnel_stats=None, ldp_tunnel_stats_vif=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ldp_tunnel_stats (YANGBool):

			- ldp_tunnel_stats_vif (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_statistics_ldp_tunnel.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnel_stats=ldp_tunnel_stats, ldp_tunnel_stats_vif=ldp_tunnel_stats_vif)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_statistics_oam_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_summary_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_mpls_te_path_rpc(self, ipAddr=None, bandwidth=None, cspfCompMode=None, excludeAny=None, hopLimit=None, includeAny=None, includeAll=None, tePathName=None, priority=None, tieBreaking=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ipAddr (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- bandwidth (long):
				range - ['0..4294967295']

			- cspfCompMode (unicode):
				enum - [u'use-igp-metric', u'use-te-metric']

			- excludeAny (unicode):

			- hopLimit (int):
				range - ['0..255']

			- includeAny (unicode):

			- includeAll (unicode):

			- tePathName (unicode):

			- priority (int):
				range - ['0..255']

			- tieBreaking (unicode):
				enum - [u'most-fill', u'random', u'least-fill']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.brocade_mpls_rpc.show_mpls_te_path.input', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc.brocade_mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipAddr=ipAddr, bandwidth=bandwidth, cspfCompMode=cspfCompMode, excludeAny=excludeAny, hopLimit=hopLimit, includeAny=includeAny, includeAll=includeAll, tePathName=tePathName, priority=priority, tieBreaking=tieBreaking)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_ntp_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_ntp_rpc.show_ntp.input', 'pybind.nos.v6_0_2b.brocade_ntp_rpc.brocade_ntp', 'pybind.nos.v6_0_2b.brocade_ntp_rpc'), ('pybind.nos.v7_0_1a.brocade_ntp_rpc.show_ntp.input', 'pybind.nos.v7_0_1a.brocade_ntp_rpc.brocade_ntp', 'pybind.nos.v7_0_1a.brocade_ntp_rpc'), ('pybind.nos.v7_1_0.brocade_ntp_rpc.show_ntp.input', 'pybind.nos.v7_1_0.brocade_ntp_rpc.brocade_ntp', 'pybind.nos.v7_1_0.brocade_ntp_rpc'), ('pybind.slxos.v16r_1_00b.brocade_ntp_rpc.show_ntp', 'pybind.slxos.v16r_1_00b.brocade_ntp_rpc.brocade_ntp', 'pybind.slxos.v16r_1_00b.brocade_ntp_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_portindex_interface_info_rpc(self, all=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- all (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_fabric_service_rpc.show_portindex_interface_info.input', 'pybind.nos.v6_0_2b.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v6_0_2b.brocade_fabric_service_rpc'), ('pybind.nos.v7_0_1a.brocade_fabric_service_rpc.show_portindex_interface_info.input', 'pybind.nos.v7_0_1a.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v7_0_1a.brocade_fabric_service_rpc'), ('pybind.nos.v7_1_0.brocade_fabric_service_rpc.show_portindex_interface_info.input', 'pybind.nos.v7_1_0.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.nos.v7_1_0.brocade_fabric_service_rpc'), ('pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc.show_portindex_interface_info.input', 'pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc.brocade_fabric_service', 'pybind.slxos.v16r_1_00b.brocade_fabric_service_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, all=all)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_raslog_rpc(self, rbridge_id=None, number_of_latest_events=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (unicode):
				length - [u'1..3']

			- number_of_latest_events (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_ras_ext_rpc.show_raslog.input', 'pybind.nos.v6_0_2b.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.nos.v6_0_2b.brocade_ras_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_ras_ext_rpc.show_raslog.input', 'pybind.nos.v7_0_1a.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.nos.v7_0_1a.brocade_ras_ext_rpc'), ('pybind.nos.v7_1_0.brocade_ras_ext_rpc.show_raslog.input', 'pybind.nos.v7_1_0.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.nos.v7_1_0.brocade_ras_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_ras_ext_rpc.show_raslog.input', 'pybind.slxos.v16r_1_00b.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.slxos.v16r_1_00b.brocade_ras_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, number_of_latest_events=number_of_latest_events)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_support_save_status_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (unicode):
				length - [u'1..3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_ras_ext_rpc.show_support_save_status.input', 'pybind.nos.v6_0_2b.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.nos.v6_0_2b.brocade_ras_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_ras_ext_rpc.show_support_save_status.input', 'pybind.nos.v7_0_1a.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.nos.v7_0_1a.brocade_ras_ext_rpc'), ('pybind.nos.v7_1_0.brocade_ras_ext_rpc.show_support_save_status.input', 'pybind.nos.v7_1_0.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.nos.v7_1_0.brocade_ras_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_ras_ext_rpc.show_support_save_status.input', 'pybind.slxos.v16r_1_00b.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.slxos.v16r_1_00b.brocade_ras_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_system_info_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (unicode):
				length - [u'1..3']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_ras_ext_rpc.show_system_info.input', 'pybind.nos.v6_0_2b.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.nos.v6_0_2b.brocade_ras_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_ras_ext_rpc.show_system_info.input', 'pybind.nos.v7_0_1a.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.nos.v7_0_1a.brocade_ras_ext_rpc'), ('pybind.nos.v7_1_0.brocade_ras_ext_rpc.show_system_info.input', 'pybind.nos.v7_1_0.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.nos.v7_1_0.brocade_ras_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_ras_ext_rpc.show_system_info.input', 'pybind.slxos.v16r_1_00b.brocade_ras_ext_rpc.brocade_ras_ext', 'pybind.slxos.v16r_1_00b.brocade_ras_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_system_monitor_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_system_monitor_ext_rpc.show_system_monitor.input', 'pybind.nos.v6_0_2b.brocade_system_monitor_ext_rpc.brocade_system_monitor_ext', 'pybind.nos.v6_0_2b.brocade_system_monitor_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_system_monitor_ext_rpc.show_system_monitor.input', 'pybind.nos.v7_0_1a.brocade_system_monitor_ext_rpc.brocade_system_monitor_ext', 'pybind.nos.v7_0_1a.brocade_system_monitor_ext_rpc'), ('pybind.nos.v7_1_0.brocade_system_monitor_ext_rpc.show_system_monitor.input', 'pybind.nos.v7_1_0.brocade_system_monitor_ext_rpc.brocade_system_monitor_ext', 'pybind.nos.v7_1_0.brocade_system_monitor_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_system_monitor_ext_rpc.show_system_monitor', 'pybind.slxos.v16r_1_00b.brocade_system_monitor_ext_rpc.brocade_system_monitor_ext', 'pybind.slxos.v16r_1_00b.brocade_system_monitor_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_vcs_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vcs_rpc.show_vcs', 'pybind.nos.v6_0_2b.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v6_0_2b.brocade_vcs_rpc'), ('pybind.nos.v7_0_1a.brocade_vcs_rpc.show_vcs', 'pybind.nos.v7_0_1a.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v7_0_1a.brocade_vcs_rpc'), ('pybind.nos.v7_1_0.brocade_vcs_rpc.show_vcs', 'pybind.nos.v7_1_0.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v7_1_0.brocade_vcs_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vcs_rpc.show_vcs', 'pybind.slxos.v16r_1_00b.brocade_vcs_rpc.brocade_vcs', 'pybind.slxos.v16r_1_00b.brocade_vcs_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def show_zoning_enabled_configuration_rpc(self, zone_name_pattern=None, last_rcvd_zone_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- zone_name_pattern (unicode):
				yang info - <WORD>;;Enabled-Zone-Name

			- last_rcvd_zone_name (unicode):
				yang info - <WORD>;;Enabled-Zone-Name

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_zone_rpc.show_zoning_enabled_configuration.input', 'pybind.nos.v6_0_2b.brocade_zone_rpc.brocade_zone', 'pybind.nos.v6_0_2b.brocade_zone_rpc'), ('pybind.nos.v7_0_1a.brocade_zone_rpc.show_zoning_enabled_configuration.input', 'pybind.nos.v7_0_1a.brocade_zone_rpc.brocade_zone', 'pybind.nos.v7_0_1a.brocade_zone_rpc'), ('pybind.nos.v7_1_0.brocade_zone_rpc.show_zoning_enabled_configuration.input', 'pybind.nos.v7_1_0.brocade_zone_rpc.brocade_zone', 'pybind.nos.v7_1_0.brocade_zone_rpc'), ('pybind.slxos.v16r_1_00b.brocade_zone_rpc.show_zoning_enabled_configuration.input', 'pybind.slxos.v16r_1_00b.brocade_zone_rpc.brocade_zone', 'pybind.slxos.v16r_1_00b.brocade_zone_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, zone_name_pattern=zone_name_pattern, last_rcvd_zone_name=last_rcvd_zone_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_update(self, contact=None, location=None, sys_descr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- contact (unicode):
				yang info - Contact information for the system(switch).
				length - [u'4 .. 256']

			- location (unicode):
				yang info - Location of the system.
				length - [u'4 .. 256']

			- sys_descr (unicode):
				yang info - Description of the system.
				length - [u'4 .. 256']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.agtconfig', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.snmp_server.engineID_drop', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.agtconfig', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.snmp_server.engineID_drop', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.agtconfig', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.snmp_server.engineID_drop', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.agtconfig', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.snmp_server.engineID_drop', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, contact=contact, location=location, sys_descr=sys_descr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_community_create(self, community=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- community (community, groupname, ipv4_acl, ipv6_acl):
				community (unicode):

				groupname (unicode):
					yang info - Groupname associated with community string

				ipv4_acl (unicode):
					yang info - standard IPv4 Access list name (or) ID associated with community strings.
					length - [u'0 .. 63']

				ipv6_acl (unicode):
					yang info - standard IPv6 Access list name (or) ID associated with community strings.
					length - [u'0 .. 63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.community', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.community', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.community', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.community', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'community', 'keyval': 'community', 'extra_keyval': 'community, groupname'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, community=community)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_community_delete(self, community=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- community (community, groupname, ipv4_acl, ipv6_acl):
				community (unicode):

				groupname (unicode):
					yang info - Groupname associated with community string

				ipv4_acl (unicode):
					yang info - standard IPv4 Access list name (or) ID associated with community strings.
					length - [u'0 .. 63']

				ipv6_acl (unicode):
					yang info - standard IPv6 Access list name (or) ID associated with community strings.
					length - [u'0 .. 63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.community', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.community', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.community', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.community', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'community', 'keyval': 'community', 'extra_keyval': 'community, groupname'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, community=community)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_community_update(self, community=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- community (community, groupname, ipv4_acl, ipv6_acl):
				community (unicode):

				groupname (unicode):
					yang info - Groupname associated with community string

				ipv4_acl (unicode):
					yang info - standard IPv4 Access list name (or) ID associated with community strings.
					length - [u'0 .. 63']

				ipv6_acl (unicode):
					yang info - standard IPv6 Access list name (or) ID associated with community strings.
					length - [u'0 .. 63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.community', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.community', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.community', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.community', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'community', 'keyval': 'community', 'extra_keyval': 'community, groupname'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, community=community)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_community_get(self, community=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- community (community, groupname, ipv4_acl, ipv6_acl):
				community (unicode):

				groupname (unicode):
					yang info - Groupname associated with community string

				ipv4_acl (unicode):
					yang info - standard IPv4 Access list name (or) ID associated with community strings.
					length - [u'0 .. 63']

				ipv6_acl (unicode):
					yang info - standard IPv6 Access list name (or) ID associated with community strings.
					length - [u'0 .. 63']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.community', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.community', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.community', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.community', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'community', 'keyval': 'community', 'extra_keyval': 'community, groupname'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, community=community)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def snmp_server_contact_update(self, contact=None, location=None, sys_descr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- contact (unicode):
				yang info - Contact information for the system(switch).
				length - [u'4 .. 256']

			- location (unicode):
				yang info - Location of the system.
				length - [u'4 .. 256']

			- sys_descr (unicode):
				yang info - Description of the system.
				length - [u'4 .. 256']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.agtconfig', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.agtconfig', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.agtconfig', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.agtconfig', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, contact=contact, location=location, sys_descr=sys_descr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_context_create(self, context=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- context (context_name):
				context_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.context', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.context', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.context', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.context', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'context', 'keyval': 'context_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, context=context)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_context_delete(self, context=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- context (context_name):
				context_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.context', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.context', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.context', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.context', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'context', 'keyval': 'context_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, context=context)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_context_update(self, context=None, vrf_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- context (context_name):
				context_name (unicode):

		This Instance Arg(s):
			- vrf_name (unicode):
				yang info - Vrf Name

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.context', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.context', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.context', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.context', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'context', 'keyval': 'context_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, context=context, vrf_name=vrf_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_context_get(self, context=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- context (context_name):
				context_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.context', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.context', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.context', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.context', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'context', 'keyval': 'context_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, context=context)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def snmp_server_enable_trap_update(self, trap_flag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- trap_flag (YANGBool):
				yang info - Enables/Disables the trap

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.enable.trap', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.enable.trap', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.enable.trap', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.enable.trap', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, trap_flag=trap_flag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_engineid_update(self, local_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- local_ (unicode):
				yang info - Agent's (Local) engine Id
				pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.engineID_drop.engineID', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.engineID_drop.engineID', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_=local_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_engineid_local_update(self, local_=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- local_ (unicode):
				yang info - Agent's (Local) engine Id
				pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.engineID_drop.engineID', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.engineID_drop.engineID', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_=local_)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_group_create(self, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group (group_name, group_version, group_auth_mode, read, write, notify):
				group_name (unicode):
					length - [u'1 .. 32']

				group_version (unicode):
					enum - [u'v2c', u'v1', u'v3']

				group_auth_mode (unicode):
					enum - [u'noauth', u'auth', u'priv']

				read (unicode):
					yang info - read	Specify a read view for the group
					length - [u'1 .. 32']

				write (unicode):
					yang info - write	Specify a write view for the group
					length - [u'1 .. 32']

				notify (unicode):
					yang info - notify	Specify a notify view for the group
					length - [u'1 .. 32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.group', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.group', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': 'group_name, group_version, group_auth_mode, read, write, notify'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_group_delete(self, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group (group_name, group_version, group_auth_mode, read, write, notify):
				group_name (unicode):
					length - [u'1 .. 32']

				group_version (unicode):
					enum - [u'v2c', u'v1', u'v3']

				group_auth_mode (unicode):
					enum - [u'noauth', u'auth', u'priv']

				read (unicode):
					yang info - read	Specify a read view for the group
					length - [u'1 .. 32']

				write (unicode):
					yang info - write	Specify a write view for the group
					length - [u'1 .. 32']

				notify (unicode):
					yang info - notify	Specify a notify view for the group
					length - [u'1 .. 32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.group', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.group', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': 'group_name, group_version, group_auth_mode, read, write, notify'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_group_update(self, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group (group_name, group_version, group_auth_mode, read, write, notify):
				group_name (unicode):
					length - [u'1 .. 32']

				group_version (unicode):
					enum - [u'v2c', u'v1', u'v3']

				group_auth_mode (unicode):
					enum - [u'noauth', u'auth', u'priv']

				read (unicode):
					yang info - read	Specify a read view for the group
					length - [u'1 .. 32']

				write (unicode):
					yang info - write	Specify a write view for the group
					length - [u'1 .. 32']

				notify (unicode):
					yang info - notify	Specify a notify view for the group
					length - [u'1 .. 32']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.group', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.group', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': 'group_name, group_version, group_auth_mode, read, write, notify'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_group_get(self, group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- group (group_name, group_version, group_auth_mode, read, write, notify):
				group_name (unicode):
					length - [u'1 .. 32']

				group_version (unicode):
					enum - [u'v2c', u'v1', u'v3']

				group_auth_mode (unicode):
					enum - [u'noauth', u'auth', u'priv']

				read (unicode):
					yang info - read	Specify a read view for the group
					length - [u'1 .. 32']

				write (unicode):
					yang info - write	Specify a write view for the group
					length - [u'1 .. 32']

				notify (unicode):
					yang info - notify	Specify a notify view for the group
					length - [u'1 .. 32']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.group', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.group', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': 'group_name, group_version, group_auth_mode, read, write, notify'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def snmp_server_host_create(self, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (ip, community):
				ip (unicode):
					yang info - ipv4/ipv6/dns address of the trap recipient 
associated with community strings.  Traps will be 
sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				community (unicode):
					yang info - Community string associated with traps.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.host', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.host', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_host_delete(self, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (ip, community):
				ip (unicode):
					yang info - ipv4/ipv6/dns address of the trap recipient 
associated with community strings.  Traps will be 
sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				community (unicode):
					yang info - Community string associated with traps.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.host', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.host', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_host_update(self, host=None, version=None, udp_port=None, severity_level=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (ip, community):
				ip (unicode):
					yang info - ipv4/ipv6/dns address of the trap recipient 
associated with community strings.  Traps will be 
sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				community (unicode):
					yang info - Community string associated with traps.

		This Instance Arg(s):
			- version (unicode):
				yang info - Version used to send traps. (Default=v1)
				enum - [u'1', u'2c']

			- udp_port (long):
				yang info - Port number used to send traps. (Default=162)
				range - ['0..4294967295']

			- severity_level (unicode):
				yang info - Severity level associated with traps
				enum - [u'Info', u'None', u'Critical', u'Warning', u'Error', u'Debug']

			- use_vrf (unicode):
				yang info - vrfname used to send notifications.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.host', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.host', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, version=version, udp_port=udp_port, severity_level=severity_level, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_host_get(self, host=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (ip, community):
				ip (unicode):
					yang info - ipv4/ipv6/dns address of the trap recipient 
associated with community strings.  Traps will be 
sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				community (unicode):
					yang info - Community string associated with traps.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.host', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.host', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def snmp_server_host_source_interface_update(self, host=None, loopback=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- host (ip, community):
				ip (unicode):
					yang info - ipv4/ipv6/dns address of the trap recipient 
associated with community strings.  Traps will be 
sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				community (unicode):
					yang info - Community string associated with traps.

		This Instance Arg(s):
			- loopback (long):
				yang info - Loopback interface to use
				range - ['0..4294967295']

			- ve (long):
				yang info - Ve interface to use
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.snmp_server.host', u'host'), ('pybind.nos.v6_0_2b.snmp_server.host', u'host'), ('pybind.nos.v7_1_0.snmp_server.host', u'host')]
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.host.source_interface', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.host.source_interface', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, loopback=loopback, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_host_source_interface_loopback_update(self, host=None, loopback=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- host (ip, community):
				ip (unicode):
					yang info - ipv4/ipv6/dns address of the trap recipient 
associated with community strings.  Traps will be 
sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				community (unicode):
					yang info - Community string associated with traps.

		This Instance Arg(s):
			- loopback (long):
				yang info - Loopback interface to use
				range - ['0..4294967295']

			- ve (long):
				yang info - Ve interface to use
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.snmp_server.host', u'host'), ('pybind.nos.v6_0_2b.snmp_server.host', u'host'), ('pybind.nos.v7_1_0.snmp_server.host', u'host')]
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.host.source_interface', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.host.source_interface', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, loopback=loopback, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_mib_community_map_create(self, community_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- community_map (community, context):
				community (unicode):
					yang info - Community string to map with the context name

				context (unicode):
					yang info - Context Name.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.snmp_server.mib.community_map', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.mib.community_map', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.mib.community_map', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'community_map', 'keyval': 'community', 'extra_keyval': 'community, context'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, community_map=community_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_mib_community_map_delete(self, community_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- community_map (community, context):
				community (unicode):
					yang info - Community string to map with the context name

				context (unicode):
					yang info - Context Name.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.snmp_server.mib.community_map', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.mib.community_map', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.mib.community_map', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'community_map', 'keyval': 'community', 'extra_keyval': 'community, context'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, community_map=community_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_mib_community_map_update(self, community_map=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- community_map (community, context):
				community (unicode):
					yang info - Community string to map with the context name

				context (unicode):
					yang info - Context Name.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.snmp_server.mib.community_map', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.mib.community_map', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.mib.community_map', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'community_map', 'keyval': 'community', 'extra_keyval': 'community, context'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, community_map=community_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_mib_community_map_get(self, community_map=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- community_map (community, context):
				community (unicode):
					yang info - Community string to map with the context name

				context (unicode):
					yang info - Context Name.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.snmp_server.mib.community_map', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.mib.community_map', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.mib.community_map', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'community_map', 'keyval': 'community', 'extra_keyval': 'community, context'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, community_map=community_map)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def snmp_server_user_create(self, user=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- user (username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl):
				username (unicode):
					length - [u'1 .. 25']

				groupname (unicode):

				auth (unicode):
					yang info - Authorization protocol for username
(Default=noauth)
					enum - [u'sha', u'noauth', u'md5']

				auth_password (unicode):
					yang info - Authorization password associated with
username

				priv (unicode):
					yang info - Privacy protocol for username (Default=nopriv)
					enum - [u'AES128', u'DES', u'nopriv']

				priv_password (unicode):
					yang info - Privacy password associated with username

				encrypted (YANGBool):
					yang info - This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)

				ipv4_acl (unicode):
					yang info - standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.
					length - [u'0 .. 63']

				ipv6_acl (unicode):
					yang info - standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.
					length - [u'0 .. 63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.user', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.user', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_user_delete(self, user=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- user (username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl):
				username (unicode):
					length - [u'1 .. 25']

				groupname (unicode):

				auth (unicode):
					yang info - Authorization protocol for username
(Default=noauth)
					enum - [u'sha', u'noauth', u'md5']

				auth_password (unicode):
					yang info - Authorization password associated with
username

				priv (unicode):
					yang info - Privacy protocol for username (Default=nopriv)
					enum - [u'AES128', u'DES', u'nopriv']

				priv_password (unicode):
					yang info - Privacy password associated with username

				encrypted (YANGBool):
					yang info - This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)

				ipv4_acl (unicode):
					yang info - standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.
					length - [u'0 .. 63']

				ipv6_acl (unicode):
					yang info - standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.
					length - [u'0 .. 63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.user', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.user', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_user_update(self, user=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- user (username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl):
				username (unicode):
					length - [u'1 .. 25']

				groupname (unicode):

				auth (unicode):
					yang info - Authorization protocol for username
(Default=noauth)
					enum - [u'sha', u'noauth', u'md5']

				auth_password (unicode):
					yang info - Authorization password associated with
username

				priv (unicode):
					yang info - Privacy protocol for username (Default=nopriv)
					enum - [u'AES128', u'DES', u'nopriv']

				priv_password (unicode):
					yang info - Privacy password associated with username

				encrypted (YANGBool):
					yang info - This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)

				ipv4_acl (unicode):
					yang info - standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.
					length - [u'0 .. 63']

				ipv6_acl (unicode):
					yang info - standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.
					length - [u'0 .. 63']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.user', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.user', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_user_get(self, user=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- user (username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl):
				username (unicode):
					length - [u'1 .. 25']

				groupname (unicode):

				auth (unicode):
					yang info - Authorization protocol for username
(Default=noauth)
					enum - [u'sha', u'noauth', u'md5']

				auth_password (unicode):
					yang info - Authorization password associated with
username

				priv (unicode):
					yang info - Privacy protocol for username (Default=nopriv)
					enum - [u'AES128', u'DES', u'nopriv']

				priv_password (unicode):
					yang info - Privacy password associated with username

				encrypted (YANGBool):
					yang info - This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)

				ipv4_acl (unicode):
					yang info - standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.
					length - [u'0 .. 63']

				ipv6_acl (unicode):
					yang info - standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.
					length - [u'0 .. 63']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.user', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.user', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def snmp_server_v3host_create(self, v3host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- v3host (hostip, username):
				hostip (unicode):
					yang info - ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				username (unicode):
					yang info - Username associated with notification type.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.v3host', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.v3host', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, v3host=v3host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_v3host_delete(self, v3host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- v3host (hostip, username):
				hostip (unicode):
					yang info - ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				username (unicode):
					yang info - Username associated with notification type.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.v3host', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.v3host', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, v3host=v3host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_v3host_update(self, v3host=None, udp_port=None, notifytype=None, engineid=None, severity_level=None, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- v3host (hostip, username):
				hostip (unicode):
					yang info - ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				username (unicode):
					yang info - Username associated with notification type.

		This Instance Arg(s):
			- udp_port (long):
				yang info - Port number used to send notifications.
(Default=162)
				range - ['0..4294967295']

			- notifytype (unicode):
				yang info - Type of notification sent to host.
(Default=traps)
				enum - [u'informs', u'traps']

			- engineid (unicode):
				yang info - Manager's (Remote) engine Id.

			- severity_level (unicode):
				yang info - Severity level associated with traps
				enum - [u'Info', u'None', u'Critical', u'Warning', u'Error', u'Debug']

			- use_vrf (unicode):
				yang info - vrfname used to send notifications.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.v3host', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.v3host', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, v3host=v3host, udp_port=udp_port, notifytype=notifytype, engineid=engineid, severity_level=severity_level, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_v3host_get(self, v3host=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- v3host (hostip, username):
				hostip (unicode):
					yang info - ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				username (unicode):
					yang info - Username associated with notification type.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.v3host', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.v3host', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, v3host=v3host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def snmp_server_v3host_source_interface_update(self, v3host=None, loopback=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- v3host (hostip, username):
				hostip (unicode):
					yang info - ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				username (unicode):
					yang info - Username associated with notification type.

		This Instance Arg(s):
			- loopback (long):
				yang info - Loopback interface to use
				range - ['0..4294967295']

			- ve (long):
				yang info - Ve interface to use
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_1_0.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_0_1a.snmp_server.v3host', u'v3host')]
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.v3host.source_interface', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.v3host.source_interface', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.v3host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, v3host=v3host, loopback=loopback, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_v3host_source_interface_loopback_update(self, v3host=None, loopback=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- v3host (hostip, username):
				hostip (unicode):
					yang info - ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				username (unicode):
					yang info - Username associated with notification type.

		This Instance Arg(s):
			- loopback (long):
				yang info - Loopback interface to use
				range - ['0..4294967295']

			- ve (long):
				yang info - Ve interface to use
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_1_0.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_0_1a.snmp_server.v3host', u'v3host')]
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.v3host.source_interface', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.v3host.source_interface', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.v3host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, v3host=v3host, loopback=loopback, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_view_create(self, view=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- view (viewname, mibtree):
				viewname (unicode):
					length - [u'1 .. 32']

				mibtree (unicode):
					length - [u'1 .. 256']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.view', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.view', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.view', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.view', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'view', 'keyval': 'viewname, mibtree', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, view=view)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_view_delete(self, view=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- view (viewname, mibtree):
				viewname (unicode):
					length - [u'1 .. 32']

				mibtree (unicode):
					length - [u'1 .. 256']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.view', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.view', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.view', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.view', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'view', 'keyval': 'viewname, mibtree', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, view=view)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_view_update(self, view=None, mibtree_access=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- view (viewname, mibtree):
				viewname (unicode):
					length - [u'1 .. 32']

				mibtree (unicode):
					length - [u'1 .. 256']

		This Instance Arg(s):
			- mibtree_access (unicode):
				enum - [u'included', u'excluded']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.view', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.view', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.view', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.view', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'view', 'keyval': 'viewname, mibtree', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, view=view, mibtree_access=mibtree_access)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def snmp_server_view_get(self, view=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- view (viewname, mibtree):
				viewname (unicode):
					length - [u'1 .. 32']

				mibtree (unicode):
					length - [u'1 .. 256']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.snmp_server.view', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.view', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.view', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.view', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'view', 'keyval': 'viewname, mibtree', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, view=view)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def spf_log_state_create(self, spf_log_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'spf_log_state', 'keyval': 'spf_log_version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def spf_log_state_delete(self, spf_log_state=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'spf_log_state', 'keyval': 'spf_log_version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def spf_log_state_get(self, spf_log_state=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'spf_log_state', 'keyval': 'spf_log_version', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def spf_log_state_spf_log_levels_create(self, spf_log_state=None, spf_log_levels=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

		This Instance Keyword Arg Tuple:
			- spf_log_levels (level):
				level (unicode):
					enum - [u'level-2', u'level-1-2', u'level-1']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'spf_log_levels', 'keyval': 'level', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def spf_log_state_spf_log_levels_delete(self, spf_log_state=None, spf_log_levels=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

		This Instance Keyword Arg Tuple:
			- spf_log_levels (level):
				level (unicode):
					enum - [u'level-2', u'level-1-2', u'level-1']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'spf_log_levels', 'keyval': 'level', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def spf_log_state_spf_log_levels_update(self, spf_log_state=None, spf_log_levels=None, log_counts=None, spf_trigger_count=None, node_count=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

		This Instance Keyword Arg Tuple:
			- spf_log_levels (level):
				level (unicode):
					enum - [u'level-2', u'level-1-2', u'level-1']

		This Instance Arg(s):
			- log_counts (int):
				range - ['0..65535']

			- spf_trigger_count (int):
				range - ['0..65535']

			- node_count (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'spf_log_levels', 'keyval': 'level', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, log_counts=log_counts, spf_trigger_count=spf_trigger_count, node_count=node_count)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def spf_log_state_spf_log_levels_get(self, spf_log_state=None, spf_log_levels=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

		This Instance Keyword Arg Tuple:
			- spf_log_levels (level):
				level (unicode):
					enum - [u'level-2', u'level-1-2', u'level-1']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state')]
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'spf_log_levels', 'keyval': 'level', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def spf_log_state_spf_log_levels_spf_log_events_create(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- spf_log_levels (level):
				level (unicode):
					enum - [u'level-2', u'level-1-2', u'level-1']

		This Instance Keyword Arg Tuple:
			- spf_log_events (spf_log_index):
				spf_log_index (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def spf_log_state_spf_log_levels_spf_log_events_delete(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- spf_log_levels (level):
				level (unicode):
					enum - [u'level-2', u'level-1-2', u'level-1']

		This Instance Keyword Arg Tuple:
			- spf_log_events (spf_log_index):
				spf_log_index (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def spf_log_state_spf_log_levels_spf_log_events_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, isis_spf_log_reason=None, isis_lsp_name=None, brief_reason=None, event_count=None, node_count=None, time_stamp_ms=None, duration_ms=None, ipv4_routes=None, ipv6_routes=None, first_trigger_change=None, first_trigger_time_stamp_ms=None, first_trigger_detail_reason=None, last_trigger_change=None, last_trigger_time_stamp_ms=None, last_trigger_detail_reason=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- spf_log_levels (level):
				level (unicode):
					enum - [u'level-2', u'level-1-2', u'level-1']

		This Instance Keyword Arg Tuple:
			- spf_log_events (spf_log_index):
				spf_log_index (int):
					range - ['0..65535']

		This Instance Arg(s):
			- isis_spf_log_reason (unicode):
				enum - [u'isis-spf-reason-ipv6-max-paths', u'isis-spf-reason-adj-change', u'isis-spf-reason-circ-change', u'isis-spf-reason-level-change', u'isis-spf-reason-recal-interlevel-route', u'isis-spf-reason-kickall', u'isis-spf-reason-redis-list-change', u'isis-spf-reason-clear-route', u'isis-spf-reason-attflag', u'isis-spf-reason-tlv-content-change', u'isis-spf-reason-ipaddr-change', u'isis-spf-reason-pspf-purge-lsp', u'isis-spf-reason-build-plsp', u'isis-spf-reason-ipaddr-cfg-change', u'isis-spf-reason-max-paths', u'isis-spf-reason-admin-dist', u'isis-spf-reason-user-trig', u'isis-spf-reason-nlpid-change', u'isis-spf-reason-area-change', u'isis-spf-reason-ispf', u'isis-spf-reason-multi-topo-config-change', u'isis-spf-reason-isis-port-cfg', u'isis-spf-reason-redis-policy-change', u'isis-spf-reason-pspf-not-enable', u'isis-spf-reason-ipv4-bfd-down', u'isis-spf-reason-ipv4-alt', u'isis-spf-reason-rtm-ecmp-change', u'isis-spf-reason-adj-state-chg', u'isis-spf-reason-overload-exit', u'isis-spf-reason-ipv6-traverse', u'isis-spf-reason-ipv6-bfd-down', u'isis-spf-reason-none', u'isis-spf-reason-summary-addr-chg', u'isis-spf-reason-lsp-header', u'isis-spf-reason-lsp-db-clear', u'isis-spf-reason-ipv6-alt', u'isis-spf-reason-build-plsp-nondis', u'isis-spf-reason-router-enable', u'isis-spf-reason-tlv-change', u'isis-spf-reason-pspf-new-lsp', u'isis-spf-reason-build-table', u'isis-spf-reason-tnl-state-chg', u'isis-spf-reason-overload', u'isis-spf-reason-clear-all-route', u'isis-spf-reason-ip6metric-change', u'isis-spf-reason-istct-spf', u'isis-spf-reason-ipv4-traverse', u'isis-spf-reason-metric-change', u'isis-spf-reason-ipv6addr-change']

			- isis_lsp_name (unicode):

			- brief_reason (unicode):

			- event_count (int):
				range - ['0..65535']

			- node_count (int):
				range - ['0..65535']

			- time_stamp_ms (long):
				range - ['0..4294967295']

			- duration_ms (long):
				range - ['0..4294967295']

			- ipv4_routes (long):
				range - ['0..4294967295']

			- ipv6_routes (long):
				range - ['0..4294967295']

			- first_trigger_change (unicode):

			- first_trigger_time_stamp_ms (long):
				range - ['0..4294967295']

			- first_trigger_detail_reason (unicode):

			- last_trigger_change (unicode):

			- last_trigger_time_stamp_ms (long):
				range - ['0..4294967295']

			- last_trigger_detail_reason (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, isis_spf_log_reason=isis_spf_log_reason, isis_lsp_name=isis_lsp_name, brief_reason=brief_reason, event_count=event_count, node_count=node_count, time_stamp_ms=time_stamp_ms, duration_ms=duration_ms, ipv4_routes=ipv4_routes, ipv6_routes=ipv6_routes, first_trigger_change=first_trigger_change, first_trigger_time_stamp_ms=first_trigger_time_stamp_ms, first_trigger_detail_reason=first_trigger_detail_reason, last_trigger_change=last_trigger_change, last_trigger_time_stamp_ms=last_trigger_time_stamp_ms, last_trigger_detail_reason=last_trigger_detail_reason)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def spf_log_state_spf_log_levels_spf_log_events_get(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- spf_log_state (spf_log_version):
				spf_log_version (unicode):
					enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

			- spf_log_levels (level):
				level (unicode):
					enum - [u'level-2', u'level-1-2', u'level-1']

		This Instance Keyword Arg Tuple:
			- spf_log_events (spf_log_index):
				spf_log_index (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
        bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def ssh_client_update(self, cipher=None, mac=None, key_exchange=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cipher (unicode):
				yang info - Configure Cipher(s)

			- mac (unicode):
				yang info - Configure MAC algorithm(s)

			- key_exchange (unicode):
				yang info - Configure Key-exchange algorithm

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.client', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.client', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.client', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cipher=cipher, mac=mac, key_exchange=key_exchange)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_client_cipher_update(self, cipher=None, mac=None, key_exchange=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cipher (unicode):
				yang info - Configure Cipher(s)

			- mac (unicode):
				yang info - Configure MAC algorithm(s)

			- key_exchange (unicode):
				yang info - Configure Key-exchange algorithm

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.client', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.client', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.client', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cipher=cipher, mac=mac, key_exchange=key_exchange)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_client_source_interface_update(self, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				yang info - The type of the interface.
				enum - [u'ethernet', u've', u'loopback']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_server_cipher_update(self, shutdown=None, key_exchange=None, rekey_interval=None, cipher=None, mac=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shutdown SSH Server

			- key_exchange (unicode):
				yang info - Configure Key Exchange algorithm(s))

			- rekey_interval (long):
				yang info - Time interval for session rekeying
				range - ['0..4294967295']

			- cipher (unicode):
				yang info - Configure Cipher(s)

			- mac (unicode):
				yang info - Configure MAC algorithm(s)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, shutdown=shutdown, key_exchange=key_exchange, rekey_interval=rekey_interval, cipher=cipher, mac=mac)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_server_key_update(self, rsa=None, ecdsa=None, dsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rsa (unicode):
				yang info - RSA Algorithm type
				enum - [u'1024', u'2048']

			- ecdsa (unicode):
				yang info - ECDSA Algorithm type
				enum - [u'256']

			- dsa (YANGBool):
				yang info - DSA Algorithm type

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.key', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.key', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.key', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.key', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rsa=rsa, ecdsa=ecdsa, dsa=dsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_server_key_dsa_update(self, rsa=None, ecdsa=None, dsa=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rsa (unicode):
				yang info - RSA Algorithm type
				enum - [u'1024', u'2048']

			- ecdsa (unicode):
				yang info - ECDSA Algorithm type
				enum - [u'256']

			- dsa (YANGBool):
				yang info - DSA Algorithm type

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.key', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.key', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.key', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.key', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rsa=rsa, ecdsa=ecdsa, dsa=dsa)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_server_standby_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable standby SSH

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.standby', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.standby', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_server_standby_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable standby SSH

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.standby', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.standby', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_server_use_vrf_create(self, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, ssh_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				ssh_vrf_shutdown (YANGBool):
					yang info - Shutdown SSH server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_server_use_vrf_delete(self, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, ssh_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				ssh_vrf_shutdown (YANGBool):
					yang info - Shutdown SSH server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_server_use_vrf_update(self, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, ssh_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				ssh_vrf_shutdown (YANGBool):
					yang info - Shutdown SSH server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def ssh_server_use_vrf_get(self, use_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, ssh_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				ssh_vrf_shutdown (YANGBool):
					yang info - Shutdown SSH server on given vrf

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sub_interface_statistics_state_bridge_domain_statistics_create(self, bridge_domain_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_statistics (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bridge_domain_statistics', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_statistics=bridge_domain_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sub_interface_statistics_state_bridge_domain_statistics_delete(self, bridge_domain_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_statistics (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bridge_domain_statistics', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_statistics=bridge_domain_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sub_interface_statistics_state_bridge_domain_statistics_get(self, bridge_domain_statistics=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- bridge_domain_statistics (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'bridge_domain_statistics', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_statistics=bridge_domain_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_create(self, bridge_domain_statistics=None, lif_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_statistics (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- lif_statistics (lif_id):
				lif_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_delete(self, bridge_domain_statistics=None, lif_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_statistics (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- lif_statistics (lif_id):
				lif_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_update(self, bridge_domain_statistics=None, lif_statistics=None, rx_packets=None, tx_packets=None, rx_bytes=None, tx_bytes=None, lif_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_statistics (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- lif_statistics (lif_id):
				lif_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rx_packets (long):
				range - ['0..18446744073709551615']

			- tx_packets (long):
				range - ['0..18446744073709551615']

			- rx_bytes (long):
				range - ['0..18446744073709551615']

			- tx_bytes (long):
				range - ['0..18446744073709551615']

			- lif_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, rx_packets=rx_packets, tx_packets=tx_packets, rx_bytes=rx_bytes, tx_bytes=tx_bytes, lif_name=lif_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_get(self, bridge_domain_statistics=None, lif_statistics=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- bridge_domain_statistics (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- lif_statistics (lif_id):
				lif_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sub_interface_statistics_state_vlan_statistics_create(self, vlan_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan_statistics (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan_statistics', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_statistics=vlan_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sub_interface_statistics_state_vlan_statistics_delete(self, vlan_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan_statistics (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan_statistics', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_statistics=vlan_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sub_interface_statistics_state_vlan_statistics_get(self, vlan_statistics=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan_statistics (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan_statistics', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_statistics=vlan_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def sub_interface_statistics_state_vlan_statistics_port_statistics_create(self, vlan_statistics=None, port_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan_statistics (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_statistics (port_id):
				port_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_statistics=vlan_statistics, port_statistics=port_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sub_interface_statistics_state_vlan_statistics_port_statistics_delete(self, vlan_statistics=None, port_statistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan_statistics (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_statistics (port_id):
				port_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_statistics=vlan_statistics, port_statistics=port_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sub_interface_statistics_state_vlan_statistics_port_statistics_update(self, vlan_statistics=None, port_statistics=None, rx_packets=None, tx_packets=None, rx_bytes=None, tx_bytes=None, port_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan_statistics (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_statistics (port_id):
				port_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- rx_packets (long):
				range - ['0..18446744073709551615']

			- tx_packets (long):
				range - ['0..18446744073709551615']

			- rx_bytes (long):
				range - ['0..18446744073709551615']

			- tx_bytes (long):
				range - ['0..18446744073709551615']

			- port_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_statistics=vlan_statistics, port_statistics=port_statistics, rx_packets=rx_packets, tx_packets=tx_packets, rx_bytes=rx_bytes, tx_bytes=tx_bytes, port_name=port_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sub_interface_statistics_state_vlan_statistics_port_statistics_get(self, vlan_statistics=None, port_statistics=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan_statistics (vlan_id):
				vlan_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- port_statistics (port_id):
				port_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
        bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_statistics=vlan_statistics, port_statistics=port_statistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def support_update(self, ffdc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ffdc (YANGBool):
				yang info - Enable/Disable FFDC file generation

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.support', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ffdc=ffdc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def support_autoupload_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Autoupload

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.support.autoupload', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.autoupload', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.autoupload', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def support_autoupload_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Autoupload

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.support.autoupload', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.autoupload', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.autoupload', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def support_autoupload_param_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.support.autoupload_param', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.autoupload_param', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.autoupload_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hostip, username, directory, protocol, password'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def support_autoupload_param_directory_update(self, hostip=None, username=None, directory=None, protocol=None, password=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hostip (unicode):
				yang info - Host ipv4/ipv6 address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- username (unicode):
				yang info - User name

			- directory (unicode):
				yang info - Directory
				length - [u'1..47']

			- protocol (unicode):
				yang info - Protocol(scp | sftp | ftp)
				length - [u'3..4']
				pattern - ftp|scp|sftp|FTP|SCP|SFTP

			- password (unicode):
				yang info - Password

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.support.autoupload_param', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.autoupload_param', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.autoupload_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostip=hostip, username=username, directory=directory, protocol=protocol, password=password)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def support_ffdc_update(self, ffdc=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- ffdc (YANGBool):
				yang info - Enable/Disable FFDC file generation

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.support', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ffdc=ffdc)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def support_support_param_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.support.support_param', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.support_param', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.support_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.support_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hostip, username, directory, protocol, password'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def support_support_param_directory_update(self, hostip=None, username=None, directory=None, protocol=None, password=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- hostip (unicode):
				yang info - Host ipv4/ipv6 address
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- username (unicode):
				yang info - User name

			- directory (unicode):
				yang info - Directory

			- protocol (unicode):
				yang info - Protocol(scp | sftp | ftp)
				length - [u'3..4']
				pattern - ftp|scp|sftp|FTP|SCP|SFTP

			- password (unicode):
				yang info - Password

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.support.support_param', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.support_param', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.support_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.support_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostip=hostip, username=username, directory=directory, protocol=protocol, password=password)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def switch_attributes_create(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (unicode):
					length - [u'1..3']
					pattern - [1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9]

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system.switch_attributes.rbridge_id', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system.switch_attributes.rbridge_id', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system.switch_attributes.rbridge_id', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def switch_attributes_delete(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (unicode):
					length - [u'1..3']
					pattern - [1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9]

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system.switch_attributes.rbridge_id', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system.switch_attributes.rbridge_id', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system.switch_attributes.rbridge_id', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def switch_attributes_update(self, rbridge_id=None, chassis_name=None, host_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (unicode):
					length - [u'1..3']
					pattern - [1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9]

		This Instance Arg(s):
			- chassis_name (unicode):
				yang info - Chassis name[length:1-30]
				length - [u'1..30']

			- host_name (unicode):
				yang info - Host name[length:1-30]
				length - [u'1..30']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system.switch_attributes.rbridge_id', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system.switch_attributes.rbridge_id', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system.switch_attributes.rbridge_id', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def switch_attributes_get(self, rbridge_id=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- rbridge_id (rbridge_id):
				rbridge_id (unicode):
					length - [u'1..3']
					pattern - [1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9]

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system.switch_attributes.rbridge_id', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system.switch_attributes.rbridge_id', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system.switch_attributes.rbridge_id', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def switch_attributes_chassis_name_update(self, chassis_name=None, host_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- chassis_name (unicode):
				yang info - Chassis name[length:1-30]
				length - [u'1..30']

			- host_name (unicode):
				yang info - Host name[length:1-30]
				length - [u'1..30']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.system.switch_attributes', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, chassis_name=chassis_name, host_name=host_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sysmon_fe_access_check_update(self, fe_access_check_disable=None, fe_access_check_interval=None, fe_access_check_threshold=None, fe_access_check_recovery_threshold=None, fe_access_check_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- fe_access_check_disable (YANGBool):
				yang info - Disable Fe Access Check (Default: Enabled)

			- fe_access_check_interval (int):
				yang info - Set Fe-Access-Check poll-interval
				range - ['0..65535']

			- fe_access_check_threshold (int):
				yang info - Set Fe-Access-Check threshold
				range - ['0..255']

			- fe_access_check_recovery_threshold (int):
				yang info - Set Fe-Access-Check recovery threshold
				range - ['0..255']

			- fe_access_check_action (unicode):
				yang info - Set Fe-Access-Check action
				enum - [u'recover', u'log']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.fe_access_check', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fe_access_check_disable=fe_access_check_disable, fe_access_check_interval=fe_access_check_interval, fe_access_check_threshold=fe_access_check_threshold, fe_access_check_recovery_threshold=fe_access_check_recovery_threshold, fe_access_check_action=fe_access_check_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sysmon_fe_access_check_action_update(self, fe_access_check_disable=None, fe_access_check_interval=None, fe_access_check_threshold=None, fe_access_check_recovery_threshold=None, fe_access_check_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- fe_access_check_disable (YANGBool):
				yang info - Disable Fe Access Check (Default: Enabled)

			- fe_access_check_interval (int):
				yang info - Set Fe-Access-Check poll-interval
				range - ['0..65535']

			- fe_access_check_threshold (int):
				yang info - Set Fe-Access-Check threshold
				range - ['0..255']

			- fe_access_check_recovery_threshold (int):
				yang info - Set Fe-Access-Check recovery threshold
				range - ['0..255']

			- fe_access_check_action (unicode):
				yang info - Set Fe-Access-Check action
				enum - [u'recover', u'log']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.fe_access_check', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fe_access_check_disable=fe_access_check_disable, fe_access_check_interval=fe_access_check_interval, fe_access_check_threshold=fe_access_check_threshold, fe_access_check_recovery_threshold=fe_access_check_recovery_threshold, fe_access_check_action=fe_access_check_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sysmon_link_crc_monitoring_update(self, link_crc_mon_disable=None, link_crc_mon_interval=None, link_crc_mon_threshold=None, link_crc_mon_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- link_crc_mon_disable (YANGBool):
				yang info - Disable Link CRC Monitoring (Default: Enabled)

			- link_crc_mon_interval (int):
				yang info - Set Link CRC Monitoring poll-interval
				range - ['0..65535']

			- link_crc_mon_threshold (int):
				yang info - Set Link CRC Monitoring threshold
				range - ['0..255']

			- link_crc_mon_action (unicode):
				yang info - Set Link CRC Monitoring action
				enum - [u'log', u'link-disable']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.link_crc_monitoring', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link_crc_mon_disable=link_crc_mon_disable, link_crc_mon_interval=link_crc_mon_interval, link_crc_mon_threshold=link_crc_mon_threshold, link_crc_mon_action=link_crc_mon_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sysmon_link_crc_monitoring_action_update(self, link_crc_mon_disable=None, link_crc_mon_interval=None, link_crc_mon_threshold=None, link_crc_mon_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- link_crc_mon_disable (YANGBool):
				yang info - Disable Link CRC Monitoring (Default: Enabled)

			- link_crc_mon_interval (int):
				yang info - Set Link CRC Monitoring poll-interval
				range - ['0..65535']

			- link_crc_mon_threshold (int):
				yang info - Set Link CRC Monitoring threshold
				range - ['0..255']

			- link_crc_mon_action (unicode):
				yang info - Set Link CRC Monitoring action
				enum - [u'log', u'link-disable']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.link_crc_monitoring', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link_crc_mon_disable=link_crc_mon_disable, link_crc_mon_interval=link_crc_mon_interval, link_crc_mon_threshold=link_crc_mon_threshold, link_crc_mon_action=link_crc_mon_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sysmon_sfm_walk_update(self, sfm_walk_auto=None, sfm_walk_dis_redundancy_check=None, sfm_walk_interval=None, sfm_walk_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- sfm_walk_auto (YANGBool):
				yang info - Enable Auto SFM Walk (Default: Disabled)

			- sfm_walk_dis_redundancy_check (YANGBool):
				yang info - Disable SFM Walk redundancy check (Default: Enabled)

			- sfm_walk_interval (int):
				yang info - Set SFM Walk poll-interval
				range - ['0..65535']

			- sfm_walk_threshold (int):
				yang info - Set SFM Walk reassembly error threshold
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.sfm_walk', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sfm_walk_auto=sfm_walk_auto, sfm_walk_dis_redundancy_check=sfm_walk_dis_redundancy_check, sfm_walk_interval=sfm_walk_interval, sfm_walk_threshold=sfm_walk_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def sysmon_sfm_walk_auto_update(self, sfm_walk_auto=None, sfm_walk_dis_redundancy_check=None, sfm_walk_interval=None, sfm_walk_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- sfm_walk_auto (YANGBool):
				yang info - Enable Auto SFM Walk (Default: Disabled)

			- sfm_walk_dis_redundancy_check (YANGBool):
				yang info - Disable SFM Walk redundancy check (Default: Enabled)

			- sfm_walk_interval (int):
				yang info - Set SFM Walk poll-interval
				range - ['0..65535']

			- sfm_walk_threshold (int):
				yang info - Set SFM Walk reassembly error threshold
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.sfm_walk', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sfm_walk_auto=sfm_walk_auto, sfm_walk_dis_redundancy_check=sfm_walk_dis_redundancy_check, sfm_walk_interval=sfm_walk_interval, sfm_walk_threshold=sfm_walk_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_max_update(self, arp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- arp (long):
				yang info - Maximum number of arps system will allocate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_arp_holder.system_max', 'pybind.nos.v6_0_2b.brocade_arp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_arp_holder.system_max', 'pybind.nos.v7_0_1a.brocade_arp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_arp_holder.system_max', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arp=arp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_max_arp_update(self, arp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- arp (long):
				yang info - Maximum number of arps system will allocate
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.hide_arp_holder.system_max', 'pybind.nos.v6_0_2b.brocade_arp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_arp_holder.system_max', 'pybind.nos.v7_0_1a.brocade_arp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_arp_holder.system_max', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arp=arp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_cid_card_alert_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_cid_card_alert_action_update(self, state=None, action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- state (unicode):
				yang info - Supported states for component:CID-CARD
that may be monitored
				enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

			- action (unicode):
				yang info - Action that may be taken when
component:CID-CARD changes configured state
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_cid_card_threshold_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_cid_card_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to MARGINAL
state of component:CID-CARD
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to DOWN
state of component:CID-CARD
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_compact_flash_threshold_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_compact_flash_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to MARGINAL
state of component:COMPACT-FLASH
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to DOWN
state of component:COMPACT-FLASH
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_fan_alert_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.fan.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.fan.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_fan_alert_action_update(self, state=None, action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- state (unicode):
				yang info - Supported states for component:FAN 
that may be monitored
				enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

			- action (unicode):
				yang info - Action that may be taken when 
component:FAN changes configured state
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.fan.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.fan.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_fan_threshold_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.fan.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.fan.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_fan_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to 
MARGINAL state of component:FAN
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to 
 DOWN state of component:FAN
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.fan.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.fan.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_linecard_alert_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_linecard_alert_action_update(self, state=None, action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- state (unicode):
				yang info - Supported states for component:LINECARD
that may be monitored
				enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

			- action (unicode):
				yang info - Action that may be taken when
component:LINECARD changes configured state
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_linecard_threshold_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_linecard_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to 
MARGINAL state of component:LineCard
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to 
 DOWN state of component:LineCard
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_fru_create(self, email_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for FRU alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.fru.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.fru.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.fru.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.fru.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_fru_delete(self, email_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for FRU alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.fru.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.fru.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.fru.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.fru.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_fru_get(self, email_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for FRU alerts

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.fru.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.fru.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.fru.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.fru.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def system_monitor_mail_fru_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable FRU email alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.fru', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.fru', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.fru', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.fru', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_interface_create(self, email_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for Interface alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.interface.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.interface.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.interface.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.interface.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_interface_delete(self, email_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for Interface alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.interface.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.interface.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.interface.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.interface.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_interface_get(self, email_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for Interface alerts

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.interface.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.interface.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.interface.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.interface.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def system_monitor_mail_interface_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable interface email alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.interface', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.interface', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.interface', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.interface', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_relay_create(self, relay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- relay (host_ip):
				host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.relay', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.relay', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.relay', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.relay', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'host_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, relay=relay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_relay_delete(self, relay=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- relay (host_ip):
				host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.relay', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.relay', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.relay', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.relay', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'host_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, relay=relay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_relay_update(self, relay=None, domain_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- relay (host_ip):
				host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- domain_name (unicode):
				yang info - Domain name server
				length - [u'0 .. 64']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.relay', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.relay', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.relay', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.relay', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'host_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, relay=relay, domain_name=domain_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_relay_get(self, relay=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- relay (host_ip):
				host_ip (unicode):
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.relay', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.relay', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.relay', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.relay', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'host_ip', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, relay=relay)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def system_monitor_mail_security_create(self, email_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for Security alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.security.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.security.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.security.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.security.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_security_delete(self, email_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for Security alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.security.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.security.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.security.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.security.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_security_get(self, email_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for Security alerts

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.security.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.security.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.security.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.security.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def system_monitor_mail_security_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable security email alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.security', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.security', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.security', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.security', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_sfp_create(self, email_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for SFP alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.sfp.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.sfp.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.sfp.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.sfp.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_sfp_delete(self, email_list=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for SFP alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.sfp.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.sfp.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.sfp.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.sfp.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mail_sfp_get(self, email_list=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- email_list (email):
				email (unicode):
					yang info - <email:string>  e-mail address for SFP alerts

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.sfp.email_list', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.sfp.email_list', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.sfp.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.sfp.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, email_list=email_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def system_monitor_mail_sfp_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable sfp email alerts

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.sfp', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.sfp', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.sfp', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.sfp', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mm_threshold_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.MM.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.MM.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_mm_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to 
MARGINAL state of component:MM
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to 
 DOWN state of component:MM
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.MM.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.MM.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_power_alert_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.power.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.power.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_power_alert_action_update(self, state=None, action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- state (unicode):
				yang info - Supported states for component:
POWER-SUPPLY that may be monitored
				enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

			- action (unicode):
				yang info - Action that may be taken when
component:POWER SUPPLY changes configured state
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.power.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.power.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_power_threshold_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.power.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.power.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_power_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to 
MARGINAL state of component:POWER SUPPLY
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to 
DOWN state of component:POWER SUPPLY
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.power.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.power.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_sfm_threshold_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_sfm_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to 
MARGINAL state of component:SFM
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to 
 DOWN state of component:SFM
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_sfp_alert_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.sfp.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.sfp.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_sfp_alert_action_update(self, state=None, action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- state (unicode):
				yang info - Supported states for component:
SFP that may be monitored
				enum - [u'none', u'removed', u'inserted', u'faulty', u'all']

			- action (unicode):
				yang info - Action that may be taken when
component:SFP changes configured state
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.sfp.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.sfp.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_temp_threshold_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.temp.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.temp.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_monitor_temp_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- marginal_threshold (long):
				yang info - Minimum number contributing to MARGINAL 
state of component:TEMPERATURE SENSOR
				range - ['0..4294967295']

			- down_threshold (long):
				yang info - Minimum number contributing to DOWN
state of component:TEMPERATURE SENSOR
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.system_monitor.temp.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.temp.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_tunnel_update(self, suppress_debounce=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- suppress_debounce (YANGBool):
				yang info - suppress debouncing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.tunnel_settings.system.tunnel', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tunnel_settings.system.tunnel', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, suppress_debounce=suppress_debounce)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_tunnel_replicator_update(self, load_balance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- load_balance (YANGBool):
				yang info - Configure load balancing of BUM traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_balance=load_balance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_tunnel_replicator_load_balance_update(self, load_balance=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- load_balance (YANGBool):
				yang info - Configure load balancing of BUM traffic

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_balance=load_balance)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def system_tunnel_suppress_debounce_update(self, suppress_debounce=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- suppress_debounce (YANGBool):
				yang info - suppress debouncing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.tunnel_settings.system.tunnel', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tunnel_settings.system.tunnel', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, suppress_debounce=suppress_debounce)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tacacs_server_update(self, tacacs_source_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tacacs_source_ip (unicode):
				yang info - Configure the source ip to be used for Tacacs+
				enum - [u'chassis-ip', u'mm-ip']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.tacacs_server', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tacacs_server', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tacacs_server', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tacacs_source_ip=tacacs_source_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tacacs_server_host_create(self, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this TACACS+ server
					length - [u'0..max']
					pattern - \p{IsBasicLatin}{0,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.tacacs_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tacacs_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tacacs_server_host_delete(self, host=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this TACACS+ server
					length - [u'0..max']
					pattern - \p{IsBasicLatin}{0,255}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.tacacs_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tacacs_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tacacs_server_host_update(self, host=None, port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this TACACS+ server
					length - [u'0..max']
					pattern - \p{IsBasicLatin}{0,255}

		This Instance Arg(s):
			- port (int):
				yang info - TCP Port for Authentication (default=49)
				range - ['0..65535']

			- protocol (unicode):
				yang info - Authentication protocol to be used
 (default=CHAP)
				enum - [u'pap', u'chap']

			- key (unicode):
				yang info - Secret shared with this server
 (default='sharedsecret')
				length - [u'1 .. max']

			- encryption_level (unicode):
				yang info - Level of encryption of the key (default=7)
				enum - [u'0', u'7']

			- retries (int):
				yang info - Number of retries for this server connection
 (default=5)
				range - ['0..255']

			- timeout (int):
				yang info - Wait time for this server to respond
 (default=5 sec)
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.tacacs_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tacacs_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, port=port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tacacs_server_host_get(self, host=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- host (hostname):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this TACACS+ server
					length - [u'0..max']
					pattern - \p{IsBasicLatin}{0,255}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.tacacs_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tacacs_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def tacacs_server_host_encryption_level_update(self, host=None, port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- host (hostname, use_vrf):
				hostname (unicode):
					yang info - INETADDRESS   Domain name or IP Address of
 this TACACS+ server
					length - [u'0..max']
					pattern - \p{IsBasicLatin}{0,255}

				use_vrf (unicode):
					yang info - VRF to choose for server connection
(Default=mgmt-vrf)
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- port (int):
				yang info - TCP Port for Authentication (default=49)
				range - ['0..65535']

			- protocol (unicode):
				yang info - Authentication protocol to be used
 (default=CHAP)
				enum - [u'pap', u'chap']

			- key (unicode):
				yang info - Secret shared with this server
 (default='sharedsecret')
				length - [u'1 .. max']

			- encryption_level (unicode):
				yang info - Level of encryption of the key (default=7)
				enum - [u'0', u'7']

			- retries (int):
				yang info - Number of retries for this server connection
 (default=5)
				range - ['0..255']

			- timeout (int):
				yang info - Wait time for this server to respond
 (default=5 sec)
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.tacacs_server.host', u'host')]
        bindings_list = [('pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, port=port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tacacs_server_source_ip_update(self, tacacs_source_ip=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- tacacs_source_ip (unicode):
				yang info - Configure the source ip to be used for Tacacs+
				enum - [u'chassis-ip', u'mm-ip']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.tacacs_server', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tacacs_server', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tacacs_server', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tacacs_source_ip=tacacs_source_ip)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def telnet_client_source_interface_update(self, interface_type=None, interface_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- interface_type (unicode):
				yang info - The type of the interface.
				enum - [u'ethernet', u've', u'loopback']

			- interface_name (unicode):
				yang info - The Interface value.
				length - [u'3..16']
				pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.telnet_sa.telnet.client.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def telnet_server_shutdown_update(self, shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- shutdown (YANGBool):
				yang info - Shutdown Telnet Server

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, shutdown=shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def telnet_server_standby_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Standby Telnet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server.standby', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server.standby', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def telnet_server_standby_enable_update(self, enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- enable (YANGBool):
				yang info - Enable Standby Telnet

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server.standby', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server.standby', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def telnet_server_use_vrf_create(self, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, telnet_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				telnet_vrf_shutdown (YANGBool):
					yang info - Shutdown telnet server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def telnet_server_use_vrf_delete(self, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, telnet_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				telnet_vrf_shutdown (YANGBool):
					yang info - Shutdown telnet server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def telnet_server_use_vrf_update(self, use_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, telnet_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				telnet_vrf_shutdown (YANGBool):
					yang info - Shutdown telnet server on given vrf

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def telnet_server_use_vrf_get(self, use_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- use_vrf (use_vrf_name, telnet_vrf_shutdown):
				use_vrf_name (unicode):
					length - [u'0 .. max']

				telnet_vrf_shutdown (YANGBool):
					yang info - Shutdown telnet server on given vrf

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def threshold_monitor_buffer_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_buffer_actions_update(self, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- poll (long):
				yang info - NUMBER:10-3600 Polling interval
				range - ['0..4294967295']

			- retry (long):
				yang info - NUMBER:1-100 Number of retries
				range - ['0..4294967295']

			- limit (long):
				yang info - PERCENT:0-80 Percent threshold usage for component:Buffer
				range - ['0..4294967295']

			- actions (unicode):
				yang info - Action to be taken when usage exceeds limit
				enum - [u'loginfo', u'none', u'raslog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, poll=poll, retry=retry, limit=limit, actions=actions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_cpu_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_cpu_actions_update(self, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- poll (long):
				yang info - NUMBER:10-3600 Polling interval
				range - ['0..4294967295']

			- retry (long):
				yang info - NUMBER:1-100 Number of retries
				range - ['0..4294967295']

			- limit (long):
				yang info - PERCENT:0-80 Percent threshold usage for component:CPU
				range - ['0..4294967295']

			- actions (unicode):
				yang info - Action to be taken when usage exceeds limit
				enum - [u'none', u'raslog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, poll=poll, retry=retry, limit=limit, actions=actions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_interface_update(self, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_interface_apply_update(self, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_interface_policy_create(self, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_interface_policy_delete(self, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_interface_policy_get(self, policy=None, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def threshold_monitor_interface_policy_alert_above_update(self, policy=None, area=None, above_highthresh_action=None, above_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

		This Instance Arg(s):
			- above_highthresh_action (unicode):
				enum - [u'raslog', u'none', u'all', u'fence', u'email']

			- above_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_interface_policy_alert_above_highthresh_action_update(self, policy=None, area=None, above_highthresh_action=None, above_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

		This Instance Arg(s):
			- above_highthresh_action (unicode):
				enum - [u'raslog', u'none', u'all', u'fence', u'email']

			- above_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_interface_policy_alert_below_update(self, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

		This Instance Arg(s):
			- below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_interface_policy_alert_below_highthresh_action_update(self, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

		This Instance Arg(s):
			- below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_interface_policy_threshold_update(self, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'timebase_value, high_threshold, low_threshold, buffer'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_interface_policy_threshold_buffer_update(self, policy=None, area=None, timebase_value=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - Interface types that can be configured independent of speed
					enum - [u'Ethernet']

				area_value (unicode):
					enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

		This Instance Arg(s):
			- timebase_value (unicode):
				yang info - Configure timebase for monitoring
				enum - [u'none', u'minute', u'hour', u'day']

			- high_threshold (long):
				yang info - High threshold value
				range - ['-2147483648..2147483647']

			- low_threshold (long):
				yang info - Low threshold value
				range - ['-2147483648..2147483647']

			- buffer (long):
				yang info - Buffer threshold value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, timebase_value=timebase_value, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_memory_update(self):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, high_limit, low_limit, actions'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_memory_actions_update(self, poll=None, retry=None, limit=None, high_limit=None, low_limit=None, actions=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- poll (long):
				yang info - Polling interval
				range - ['0..4294967295']

			- retry (long):
				yang info - NUMBER:0-100: Number of retries for component:MEMORY
				range - ['0..4294967295']

			- limit (long):
				yang info - PERCENT:0-80 : Percent threshold usage for component:MEMORY
				range - ['0..4294967295']

			- high_limit (long):
				yang info - PERCENT:0-80 : Percent high threshold usage for component:MEMORY
				range - ['0..4294967295']

			- low_limit (long):
				yang info - PERCENT:0-80 : Percent low threshold usage for component:MEMORY
				range - ['0..4294967295']

			- actions (unicode):
				yang info - Action to be taken when usage exceeds limit
				enum - [u'none', u'raslog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, poll=poll, retry=retry, limit=limit, high_limit=high_limit, low_limit=low_limit, actions=actions)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_update(self, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_apply_update(self, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_policy_create(self, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (sec_policy_name):
				sec_policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_policy_delete(self, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (sec_policy_name):
				sec_policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_policy_update(self, policy=None, area=None, timebase=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (sec_policy_name):
				sec_policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- timebase (unicode):
				yang info - Configure timebase for monitoring
				enum - [u'none', u'minute', u'hour', u'day']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, timebase=timebase)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_policy_get(self, policy=None, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (sec_policy_name):
				sec_policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def threshold_monitor_security_policy_alert_above_update(self, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- sec_above_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_policy_alert_above_highthresh_action_update(self, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- sec_above_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_policy_alert_below_update(self, policy=None, area=None, sec_below_highthresh_action=None, sec_below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- sec_below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- sec_below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_policy_alert_below_highthresh_action_update(self, policy=None, area=None, sec_below_highthresh_action=None, sec_below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- sec_below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- sec_below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_policy_threshold_update(self, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'sec_high_threshold, sec_low_threshold, sec_buffer'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_security_policy_threshold_buffer_update(self, policy=None, area=None, sec_high_threshold=None, sec_low_threshold=None, sec_buffer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (sec_policy_name):
				sec_policy_name (unicode):

			- area (sec_area_value):
				sec_area_value (unicode):
					yang info - Security Areas
					enum - [u'telnet-violation', u'login-violation']

		This Instance Arg(s):
			- sec_high_threshold (long):
				yang info - High threshold value
				range - ['-2147483648..2147483647']

			- sec_low_threshold (long):
				yang info - Low threshold value
				range - ['-2147483648..2147483647']

			- sec_buffer (long):
				yang info - Buffer threshold value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_high_threshold=sec_high_threshold, sec_low_threshold=sec_low_threshold, sec_buffer=sec_buffer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_sfp_update(self, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_sfp_apply_update(self, apply=None, pause=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- apply (unicode):
				yang info - Apply configuration

			- pause (YANGBool):
				yang info - Pause monitoring

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_sfp_policy_create(self, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_sfp_policy_delete(self, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_sfp_policy_get(self, policy=None, area=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

		This Instance Keyword Arg Tuple:
			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
        bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def threshold_monitor_sfp_policy_alert_above_update(self, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

		This Instance Arg(s):
			- above_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_sfp_policy_alert_above_highthresh_action_update(self, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

		This Instance Arg(s):
			- above_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_sfp_policy_alert_below_update(self, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

		This Instance Arg(s):
			- below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_sfp_policy_alert_below_highthresh_action_update(self, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

		This Instance Arg(s):
			- below_highthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- below_lowthresh_action (unicode):
				enum - [u'none', u'all', u'raslog', u'email']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_sfp_policy_threshold_update(self, policy=None, area=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'high_threshold, low_threshold, buffer'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def threshold_monitor_sfp_policy_threshold_buffer_update(self, policy=None, area=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- policy (policy_name):
				policy_name (unicode):

			- area (type, area_value):
				type (unicode):
					yang info - SFP types that can be configured
					enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

				area_value (unicode):
					enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

		This Instance Arg(s):
			- high_threshold (long):
				yang info - High threshold value
				range - ['-2147483648..2147483647']

			- low_threshold (long):
				yang info - Low threshold value
				range - ['-2147483648..2147483647']

			- buffer (long):
				yang info - Buffer threshold value
				range - ['-2147483648..2147483647']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
        bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_non_empty_voq_create(self, non_empty_voq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- non_empty_voq (slot_port):
				slot_port (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.non_empty_voq', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'non_empty_voq', 'keyval': 'slot_port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, non_empty_voq=non_empty_voq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_non_empty_voq_delete(self, non_empty_voq=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- non_empty_voq (slot_port):
				slot_port (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.non_empty_voq', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'non_empty_voq', 'keyval': 'slot_port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, non_empty_voq=non_empty_voq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_non_empty_voq_update(self, non_empty_voq=None, voq_id=None, voq_size=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- non_empty_voq (slot_port):
				slot_port (unicode):

		This Instance Arg(s):
			- voq_id (long):
				range - ['0..4294967295']

			- voq_size (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.non_empty_voq', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'non_empty_voq', 'keyval': 'slot_port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, non_empty_voq=non_empty_voq, voq_id=voq_id, voq_size=voq_size)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_non_empty_voq_get(self, non_empty_voq=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- non_empty_voq (slot_port):
				slot_port (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.non_empty_voq', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'non_empty_voq', 'keyval': 'slot_port', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, non_empty_voq=non_empty_voq)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def tm_state_tm_max_buff_util_data_create(self, tm_max_buff_util_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_max_buff_util_data (slot, tower):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_max_buff_util_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_max_buff_util_data', 'keyval': 'slot, tower', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_max_buff_util_data=tm_max_buff_util_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tm_max_buff_util_data_delete(self, tm_max_buff_util_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_max_buff_util_data (slot, tower):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_max_buff_util_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_max_buff_util_data', 'keyval': 'slot, tower', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_max_buff_util_data=tm_max_buff_util_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tm_max_buff_util_data_update(self, tm_max_buff_util_data=None, max_buff_size=None, max_buff_util=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_max_buff_util_data (slot, tower):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

		This Instance Arg(s):
			- max_buff_size (long):
				range - ['0..18446744073709551615']

			- max_buff_util (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_max_buff_util_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_max_buff_util_data', 'keyval': 'slot, tower', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_max_buff_util_data=tm_max_buff_util_data, max_buff_size=max_buff_size, max_buff_util=max_buff_util)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tm_max_buff_util_data_get(self, tm_max_buff_util_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_max_buff_util_data (slot, tower):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_max_buff_util_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_max_buff_util_data', 'keyval': 'slot, tower', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_max_buff_util_data=tm_max_buff_util_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def tm_state_tm_top_discard_pkt_data_create(self, tm_top_discard_pkt_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_top_discard_pkt_data (slot, tower, id):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

				id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_top_discard_pkt_data=tm_top_discard_pkt_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tm_top_discard_pkt_data_delete(self, tm_top_discard_pkt_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_top_discard_pkt_data (slot, tower, id):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

				id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_top_discard_pkt_data=tm_top_discard_pkt_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tm_top_discard_pkt_data_update(self, tm_top_discard_pkt_data=None, dest_port=None, priority=None, queue=None, discardpkt=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_top_discard_pkt_data (slot, tower, id):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

				id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- dest_port (unicode):

			- priority (int):
				range - ['0..65535']

			- queue (long):
				range - ['0..4294967295']

			- discardpkt (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_top_discard_pkt_data=tm_top_discard_pkt_data, dest_port=dest_port, priority=priority, queue=queue, discardpkt=discardpkt)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tm_top_discard_pkt_data_get(self, tm_top_discard_pkt_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_top_discard_pkt_data (slot, tower, id):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

				id (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_top_discard_pkt_data=tm_top_discard_pkt_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def tm_state_tm_top_max_queue_depth_data_create(self, tm_top_max_queue_depth_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_top_max_queue_depth_data (slot, tower, id):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

				id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tm_top_max_queue_depth_data_delete(self, tm_top_max_queue_depth_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_top_max_queue_depth_data (slot, tower, id):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

				id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tm_top_max_queue_depth_data_update(self, tm_top_max_queue_depth_data=None, dest_port=None, priority=None, queue=None, max_queue_depth=None, min_threshold=None, max_utilization=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_top_max_queue_depth_data (slot, tower, id):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

				id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- dest_port (unicode):

			- priority (int):
				range - ['0..65535']

			- queue (long):
				range - ['0..4294967295']

			- max_queue_depth (long):
				range - ['0..4294967295']

			- min_threshold (long):
				range - ['0..4294967295']

			- max_utilization (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, dest_port=dest_port, priority=priority, queue=queue, max_queue_depth=max_queue_depth, min_threshold=min_threshold, max_utilization=max_utilization)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tm_top_max_queue_depth_data_get(self, tm_top_max_queue_depth_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tm_top_max_queue_depth_data (slot, tower, id):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

				id (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def tm_state_tmcpustatsslot_create(self, tmcpustatsslot=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmcpustatsslot (slot_id, cpugroup_id):
				slot_id (int):
					range - ['0..65535']

				cpugroup_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmcpustatsslot=tmcpustatsslot)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmcpustatsslot_delete(self, tmcpustatsslot=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmcpustatsslot (slot_id, cpugroup_id):
				slot_id (int):
					range - ['0..65535']

				cpugroup_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmcpustatsslot=tmcpustatsslot)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmcpustatsslot_update(self, tmcpustatsslot=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmcpustatsslot (slot_id, cpugroup_id):
				slot_id (int):
					range - ['0..65535']

				cpugroup_id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- enquepkt (long):
				range - ['0..18446744073709551615']

			- enqueubytes (long):
				range - ['0..18446744073709551615']

			- discardpkt (long):
				range - ['0..18446744073709551615']

			- discardbytes (long):
				range - ['0..18446744073709551615']

			- currdepth (long):
				range - ['0..18446744073709551615']

			- maxdepth (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmcpustatsslot=tmcpustatsslot, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmcpustatsslot_get(self, tmcpustatsslot=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmcpustatsslot (slot_id, cpugroup_id):
				slot_id (int):
					range - ['0..65535']

				cpugroup_id (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmcpustatsslot=tmcpustatsslot)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def tm_state_tmcpustatsslotallgrp_create(self, tmcpustatsslotallgrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmcpustatsslotallgrp (slot_id):
				slot_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmcpustatsslotallgrp=tmcpustatsslotallgrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmcpustatsslotallgrp_delete(self, tmcpustatsslotallgrp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmcpustatsslotallgrp (slot_id):
				slot_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmcpustatsslotallgrp=tmcpustatsslotallgrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmcpustatsslotallgrp_update(self, tmcpustatsslotallgrp=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmcpustatsslotallgrp (slot_id):
				slot_id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- enquepkt (long):
				range - ['0..18446744073709551615']

			- enqueubytes (long):
				range - ['0..18446744073709551615']

			- discardpkt (long):
				range - ['0..18446744073709551615']

			- discardbytes (long):
				range - ['0..18446744073709551615']

			- currdepth (long):
				range - ['0..18446744073709551615']

			- maxdepth (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmcpustatsslotallgrp=tmcpustatsslotallgrp, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmcpustatsslotallgrp_get(self, tmcpustatsslotallgrp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmcpustatsslotallgrp (slot_id):
				slot_id (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmcpustatsslotallgrp=tmcpustatsslotallgrp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def tm_state_tmdevicestataggr_create(self, tmdevicestataggr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmdevicestataggr (slot, tower):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmdevicestataggr=tmdevicestataggr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmdevicestataggr_delete(self, tmdevicestataggr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmdevicestataggr (slot, tower):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmdevicestataggr=tmdevicestataggr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmdevicestataggr_update(self, tmdevicestataggr=None, ingress_total_pkt_cnt_aggr=None, enque_pkt_cnt_aggr=None, deque_pkt_cnt_aggr=None, total_discard_pkt_cnt_aggr=None, deleted_pkt_cnt_aggr=None, invalid_queue_pkt_aggr=None, cpu_pkt_cnt_aggr=None, uni_pkt_cnt_aggr=None, mcast_pkt_cnt_aggr=None, uni_discard_pkt_cnt_aggr=None, mcast_discard_pkt_cnt_aggr=None, fqp_pkt_cnt_aggr=None, ehp_discard_cnt_aggr=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmdevicestataggr (slot, tower):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

		This Instance Arg(s):
			- ingress_total_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- enque_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- deque_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- total_discard_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- deleted_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- invalid_queue_pkt_aggr (long):
				range - ['0..18446744073709551615']

			- cpu_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- uni_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- mcast_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- uni_discard_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- mcast_discard_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- fqp_pkt_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- ehp_discard_cnt_aggr (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmdevicestataggr=tmdevicestataggr, ingress_total_pkt_cnt_aggr=ingress_total_pkt_cnt_aggr, enque_pkt_cnt_aggr=enque_pkt_cnt_aggr, deque_pkt_cnt_aggr=deque_pkt_cnt_aggr, total_discard_pkt_cnt_aggr=total_discard_pkt_cnt_aggr, deleted_pkt_cnt_aggr=deleted_pkt_cnt_aggr, invalid_queue_pkt_aggr=invalid_queue_pkt_aggr, cpu_pkt_cnt_aggr=cpu_pkt_cnt_aggr, uni_pkt_cnt_aggr=uni_pkt_cnt_aggr, mcast_pkt_cnt_aggr=mcast_pkt_cnt_aggr, uni_discard_pkt_cnt_aggr=uni_discard_pkt_cnt_aggr, mcast_discard_pkt_cnt_aggr=mcast_discard_pkt_cnt_aggr, fqp_pkt_cnt_aggr=fqp_pkt_cnt_aggr, ehp_discard_cnt_aggr=ehp_discard_cnt_aggr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmdevicestataggr_get(self, tmdevicestataggr=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmdevicestataggr (slot, tower):
				slot (int):
					range - ['0..65535']

				tower (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmdevicestataggr=tmdevicestataggr)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def tm_state_tmvoqstatistics_create(self, tmvoqstatistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmvoqstatistics (ing_slot, ing_tower, egr_voqid):
				ing_slot (int):
					range - ['0..65535']

				ing_tower (int):
					range - ['0..65535']

				egr_voqid (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmvoqstatistics=tmvoqstatistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmvoqstatistics_delete(self, tmvoqstatistics=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmvoqstatistics (ing_slot, ing_tower, egr_voqid):
				ing_slot (int):
					range - ['0..65535']

				ing_tower (int):
					range - ['0..65535']

				egr_voqid (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmvoqstatistics=tmvoqstatistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmvoqstatistics_update(self, tmvoqstatistics=None, priority=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmvoqstatistics (ing_slot, ing_tower, egr_voqid):
				ing_slot (int):
					range - ['0..65535']

				ing_tower (int):
					range - ['0..65535']

				egr_voqid (int):
					range - ['0..65535']

		This Instance Arg(s):
			- priority (int):
				range - ['0..65535']

			- enquepkt (long):
				range - ['0..18446744073709551615']

			- enqueubytes (long):
				range - ['0..18446744073709551615']

			- discardpkt (long):
				range - ['0..18446744073709551615']

			- discardbytes (long):
				range - ['0..18446744073709551615']

			- currdepth (long):
				range - ['0..18446744073709551615']

			- maxdepth (long):
				range - ['0..18446744073709551615']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmvoqstatistics=tmvoqstatistics, priority=priority, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def tm_state_tmvoqstatistics_get(self, tmvoqstatistics=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- tmvoqstatistics (ing_slot, ing_tower, egr_voqid):
				ing_slot (int):
					range - ['0..65535']

				ing_tower (int):
					range - ['0..65535']

				egr_voqid (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmvoqstatistics=tmvoqstatistics)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def topology_group_create(self, topology_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- topology_group (topology_group_id):
				topology_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'topology_group', 'keyval': 'topology_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_delete(self, topology_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- topology_group (topology_group_id):
				topology_group_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'topology_group', 'keyval': 'topology_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_update(self, topology_group=None, master_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- topology_group (topology_group_id):
				topology_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- master_vlan (long):
				yang info - Select Master VLAN for this topology group
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'topology_group', 'keyval': 'topology_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group, master_vlan=master_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_get(self, topology_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- topology_group (topology_group_id):
				topology_group_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'topology_group', 'keyval': 'topology_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def topology_group_member_bridge_domain_update(self, topology_group=None, member_bridge_domain_add=None, member_bridge_domain_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group (topology_group_id):
				topology_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- member_bridge_domain_add (unicode):
				yang info - Add the Member Bridge Domain range to this topology group
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?)?)*

			- member_bridge_domain_remove (unicode):
				yang info - Remove the Member Bridge Domain range from this topology group
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group, member_bridge_domain_add=member_bridge_domain_add, member_bridge_domain_remove=member_bridge_domain_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_member_bridge_domain_add_update(self, topology_group=None, member_bridge_domain_add=None, member_bridge_domain_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group (topology_group_id):
				topology_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- member_bridge_domain_add (unicode):
				yang info - Add the Member Bridge Domain range to this topology group
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?)?)*

			- member_bridge_domain_remove (unicode):
				yang info - Remove the Member Bridge Domain range from this topology group
				length - [u'1..253']
				pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group, member_bridge_domain_add=member_bridge_domain_add, member_bridge_domain_remove=member_bridge_domain_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_member_vlan_update(self, topology_group=None, member_vlan_add=None, member_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group (topology_group_id):
				topology_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- member_vlan_add (unicode):
				yang info - Add the Member VLAN range to this topology group
				length - [u'1..253']
				pattern - ((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- member_vlan_remove (unicode):
				yang info - Remove the Member VLAN range from this topology group
				length - [u'1..253']
				pattern - ((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group, member_vlan_add=member_vlan_add, member_vlan_remove=member_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_member_vlan_add_update(self, topology_group=None, member_vlan_add=None, member_vlan_remove=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group (topology_group_id):
				topology_group_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- member_vlan_add (unicode):
				yang info - Add the Member VLAN range to this topology group
				length - [u'1..253']
				pattern - ((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- member_vlan_remove (unicode):
				yang info - Remove the Member VLAN range from this topology group
				length - [u'1..253']
				pattern - ((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group, member_vlan_add=member_vlan_add, member_vlan_remove=member_vlan_remove)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_create(self, topology_group_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'topology_group_data', 'keyval': 'topology_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_delete(self, topology_group_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'topology_group_data', 'keyval': 'topology_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_update(self, topology_group_data=None, l2_protocol=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- l2_protocol (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'topology_group_data', 'keyval': 'topology_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, l2_protocol=l2_protocol)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_get(self, topology_group_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'topology_group_data', 'keyval': 'topology_group_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def topology_group_state_topology_group_data_master_vlan_update(self, topology_group_data=None, vlan_id=None, control_ports=None, free_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- vlan_id (int):
				range - ['0..65535']

			- control_ports (unicode):

			- free_ports (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, vlan_id=vlan_id, control_ports=control_ports, free_ports=free_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_master_vlan_control_ports_update(self, topology_group_data=None, vlan_id=None, control_ports=None, free_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- vlan_id (int):
				range - ['0..65535']

			- control_ports (unicode):

			- free_ports (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, vlan_id=vlan_id, control_ports=control_ports, free_ports=free_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_member_bd_create(self, topology_group_data=None, member_bd=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- member_bd (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_bd', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_bd', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, member_bd=member_bd)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_member_bd_delete(self, topology_group_data=None, member_bd=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- member_bd (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_bd', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_bd', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, member_bd=member_bd)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_member_bd_update(self, topology_group_data=None, member_bd=None, free_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- member_bd (bd_id):
				bd_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- free_ports (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_bd', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_bd', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, member_bd=member_bd, free_ports=free_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_member_bd_get(self, topology_group_data=None, member_bd=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- member_bd (bd_id):
				bd_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_bd', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_bd', 'keyval': 'bd_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, member_bd=member_bd)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def topology_group_state_topology_group_data_member_vlan_create(self, topology_group_data=None, member_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- member_vlan (vlan_id):
				vlan_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_vlan', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, member_vlan=member_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_member_vlan_delete(self, topology_group_data=None, member_vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- member_vlan (vlan_id):
				vlan_id (int):
					range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_vlan', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, member_vlan=member_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_member_vlan_update(self, topology_group_data=None, member_vlan=None, free_ports=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- member_vlan (vlan_id):
				vlan_id (int):
					range - ['0..65535']

		This Instance Arg(s):
			- free_ports (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_vlan', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, member_vlan=member_vlan, free_ports=free_ports)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def topology_group_state_topology_group_data_member_vlan_get(self, topology_group_data=None, member_vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- topology_group_data (topology_group_id):
				topology_group_id (int):
					range - ['0..65535']

		This Instance Keyword Arg Tuple:
			- member_vlan (vlan_id):
				vlan_id (int):
					range - ['0..65535']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_vlan', 'keyval': 'vlan_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, member_vlan=member_vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def traffic_class_exp_state_qos_mpls_create(self, qos_mpls=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.traffic_class_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def traffic_class_exp_state_qos_mpls_delete(self, qos_mpls=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.traffic_class_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def traffic_class_exp_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

		This Instance Arg(s):
			- map_type (unicode):

			- enabled_slots (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.traffic_class_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def traffic_class_exp_state_qos_mpls_get(self, qos_mpls=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- qos_mpls (map_name):
				map_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.traffic_class_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def traffic_state_update(self, l1_hello_rx=None, l1_hello_tx=None, l2_hello_rx=None, l2_hello_tx=None, pp_hello_rx=None, pp_hello_tx=None, l1_lsp_rx=None, l1_lsp_tx=None, l2_lsp_rx=None, l2_lsp_tx=None, l1_csnp_rx=None, l1_csnp_tx=None, l2_csnp_rx=None, l2_csnp_tx=None, l1_psnp_rx=None, l1_psnp_tx=None, l2_psnp_rx=None, l2_psnp_tx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- l1_hello_rx (long):
				range - ['0..4294967295']

			- l1_hello_tx (long):
				range - ['0..4294967295']

			- l2_hello_rx (long):
				range - ['0..4294967295']

			- l2_hello_tx (long):
				range - ['0..4294967295']

			- pp_hello_rx (long):
				range - ['0..4294967295']

			- pp_hello_tx (long):
				range - ['0..4294967295']

			- l1_lsp_rx (long):
				range - ['0..4294967295']

			- l1_lsp_tx (long):
				range - ['0..4294967295']

			- l2_lsp_rx (long):
				range - ['0..4294967295']

			- l2_lsp_tx (long):
				range - ['0..4294967295']

			- l1_csnp_rx (long):
				range - ['0..4294967295']

			- l1_csnp_tx (long):
				range - ['0..4294967295']

			- l2_csnp_rx (long):
				range - ['0..4294967295']

			- l2_csnp_tx (long):
				range - ['0..4294967295']

			- l1_psnp_rx (long):
				range - ['0..4294967295']

			- l1_psnp_tx (long):
				range - ['0..4294967295']

			- l2_psnp_rx (long):
				range - ['0..4294967295']

			- l2_psnp_tx (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, l1_hello_rx=l1_hello_rx, l1_hello_tx=l1_hello_tx, l2_hello_rx=l2_hello_rx, l2_hello_tx=l2_hello_tx, pp_hello_rx=pp_hello_rx, pp_hello_tx=pp_hello_tx, l1_lsp_rx=l1_lsp_rx, l1_lsp_tx=l1_lsp_tx, l2_lsp_rx=l2_lsp_rx, l2_lsp_tx=l2_lsp_tx, l1_csnp_rx=l1_csnp_rx, l1_csnp_tx=l1_csnp_tx, l2_csnp_rx=l2_csnp_rx, l2_csnp_tx=l2_csnp_tx, l1_psnp_rx=l1_psnp_rx, l1_psnp_tx=l1_psnp_tx, l2_psnp_rx=l2_psnp_rx, l2_psnp_tx=l2_psnp_tx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def traffic_state_l1_csnp_rx_update(self, l1_hello_rx=None, l1_hello_tx=None, l2_hello_rx=None, l2_hello_tx=None, pp_hello_rx=None, pp_hello_tx=None, l1_lsp_rx=None, l1_lsp_tx=None, l2_lsp_rx=None, l2_lsp_tx=None, l1_csnp_rx=None, l1_csnp_tx=None, l2_csnp_rx=None, l2_csnp_tx=None, l1_psnp_rx=None, l1_psnp_tx=None, l2_psnp_rx=None, l2_psnp_tx=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- l1_hello_rx (long):
				range - ['0..4294967295']

			- l1_hello_tx (long):
				range - ['0..4294967295']

			- l2_hello_rx (long):
				range - ['0..4294967295']

			- l2_hello_tx (long):
				range - ['0..4294967295']

			- pp_hello_rx (long):
				range - ['0..4294967295']

			- pp_hello_tx (long):
				range - ['0..4294967295']

			- l1_lsp_rx (long):
				range - ['0..4294967295']

			- l1_lsp_tx (long):
				range - ['0..4294967295']

			- l2_lsp_rx (long):
				range - ['0..4294967295']

			- l2_lsp_tx (long):
				range - ['0..4294967295']

			- l1_csnp_rx (long):
				range - ['0..4294967295']

			- l1_csnp_tx (long):
				range - ['0..4294967295']

			- l2_csnp_rx (long):
				range - ['0..4294967295']

			- l2_csnp_tx (long):
				range - ['0..4294967295']

			- l1_psnp_rx (long):
				range - ['0..4294967295']

			- l1_psnp_tx (long):
				range - ['0..4294967295']

			- l2_psnp_rx (long):
				range - ['0..4294967295']

			- l2_psnp_tx (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, l1_hello_rx=l1_hello_rx, l1_hello_tx=l1_hello_tx, l2_hello_rx=l2_hello_rx, l2_hello_tx=l2_hello_tx, pp_hello_rx=pp_hello_rx, pp_hello_tx=pp_hello_tx, l1_lsp_rx=l1_lsp_rx, l1_lsp_tx=l1_lsp_tx, l2_lsp_rx=l2_lsp_rx, l2_lsp_tx=l2_lsp_tx, l1_csnp_rx=l1_csnp_rx, l1_csnp_tx=l1_csnp_tx, l2_csnp_rx=l2_csnp_rx, l2_csnp_tx=l2_csnp_tx, l1_psnp_rx=l1_psnp_rx, l1_psnp_tx=l1_psnp_tx, l2_psnp_rx=l2_psnp_rx, l2_psnp_tx=l2_psnp_tx)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def urpf_exclude_default_update(self, urpf_exclude_default=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- urpf_exclude_default (YANGBool):
				yang info - Discard packets with source IP matching default route

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.rpf_config', 'pybind.slxos.v16r_1_00b.brocade_rpf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, urpf_exclude_default=urpf_exclude_default)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def user_session_info_rpc(self, output=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- output (output):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_aaa_ext_rpc.user_session_info', 'pybind.nos.v6_0_2b.brocade_aaa_ext_rpc.brocade_aaa_ext', 'pybind.nos.v6_0_2b.brocade_aaa_ext_rpc'), ('pybind.nos.v7_0_1a.brocade_aaa_ext_rpc.user_session_info', 'pybind.nos.v7_0_1a.brocade_aaa_ext_rpc.brocade_aaa_ext', 'pybind.nos.v7_0_1a.brocade_aaa_ext_rpc'), ('pybind.nos.v7_1_0.brocade_aaa_ext_rpc.user_session_info', 'pybind.nos.v7_1_0.brocade_aaa_ext_rpc.brocade_aaa_ext', 'pybind.nos.v7_1_0.brocade_aaa_ext_rpc'), ('pybind.slxos.v16r_1_00b.brocade_aaa_ext_rpc.user_session_info', 'pybind.slxos.v16r_1_00b.brocade_aaa_ext_rpc.brocade_aaa_ext', 'pybind.slxos.v16r_1_00b.brocade_aaa_ext_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, output=output)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def username_create(self, username=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- username (name, user_password, encryption_level, role, desc, enable, expire):
				name (unicode):
					length - [u'1 .. 40']

				user_password (unicode):
					yang info - Password of the user
					length - [u'1..40']

				encryption_level (unicode):
					yang info - Level of encryption of the password
(default=0)
					enum - [u'0', u'7']

				role (unicode):
					yang info - Role of the user
					length - [u'4 .. 32']

				desc (unicode):
					yang info - Description of the user (default='')
					length - [u'0 .. 64']

				enable (YANGBool):
					yang info - Represents whether the user account is enabled
(default=true)

				expire (unicode):
					yang info - Date until when the password will remain valid after being updated
(default=never)
					length - [u'0 .. 10']
					pattern - ((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.username', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.username', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': 'name, user_password, encryption_level, role, desc, enable, expire, access_time, end_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, username=username)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def username_delete(self, username=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- username (name, user_password, encryption_level, role, desc, enable, expire):
				name (unicode):
					length - [u'1 .. 40']

				user_password (unicode):
					yang info - Password of the user
					length - [u'1..40']

				encryption_level (unicode):
					yang info - Level of encryption of the password
(default=0)
					enum - [u'0', u'7']

				role (unicode):
					yang info - Role of the user
					length - [u'4 .. 32']

				desc (unicode):
					yang info - Description of the user (default='')
					length - [u'0 .. 64']

				enable (YANGBool):
					yang info - Represents whether the user account is enabled
(default=true)

				expire (unicode):
					yang info - Date until when the password will remain valid after being updated
(default=never)
					length - [u'0 .. 10']
					pattern - ((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.username', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.username', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': 'name, user_password, encryption_level, role, desc, enable, expire, access_time, end_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, username=username)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def username_update(self, username=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- username (name, user_password, encryption_level, role, desc, enable, expire):
				name (unicode):
					length - [u'1 .. 40']

				user_password (unicode):
					yang info - Password of the user
					length - [u'1..40']

				encryption_level (unicode):
					yang info - Level of encryption of the password
(default=0)
					enum - [u'0', u'7']

				role (unicode):
					yang info - Role of the user
					length - [u'4 .. 32']

				desc (unicode):
					yang info - Description of the user (default='')
					length - [u'0 .. 64']

				enable (YANGBool):
					yang info - Represents whether the user account is enabled
(default=true)

				expire (unicode):
					yang info - Date until when the password will remain valid after being updated
(default=never)
					length - [u'0 .. 10']
					pattern - ((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.username', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.username', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': 'name, user_password, encryption_level, role, desc, enable, expire, access_time, end_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, username=username)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def username_get(self, username=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- username (name, user_password, encryption_level, role, desc, enable, expire):
				name (unicode):
					length - [u'1 .. 40']

				user_password (unicode):
					yang info - Password of the user
					length - [u'1..40']

				encryption_level (unicode):
					yang info - Level of encryption of the password
(default=0)
					enum - [u'0', u'7']

				role (unicode):
					yang info - Role of the user
					length - [u'4 .. 32']

				desc (unicode):
					yang info - Description of the user (default='')
					length - [u'0 .. 64']

				enable (YANGBool):
					yang info - Represents whether the user account is enabled
(default=true)

				expire (unicode):
					yang info - Date until when the password will remain valid after being updated
(default=never)
					length - [u'0 .. 10']
					pattern - ((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.username', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.username', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': 'name, user_password, encryption_level, role, desc, enable, expire, access_time, end_time'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, username=username)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_create(self, vc_peer_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_delete(self, vc_peer_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_update(self, vc_peer_data=None, vc_peer_address=None, vc_peer_state=None, vc_peer_uptime=None, vc_peer_load_balance=None, vc_peer_cos_enabled=None, vc_peer_cos_value=None, vc_ldp_tnnl_in_use=None, vc_local_label=None, vc_remote_label=None, vc_local_mtu=None, vc_remote_mtu=None, vc_local_type=None, vc_remote_type=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vc_peer_address (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- vc_peer_state (unicode):

			- vc_peer_uptime (unicode):

			- vc_peer_load_balance (YANGBool):

			- vc_peer_cos_enabled (YANGBool):

			- vc_peer_cos_value (int):
				range - ['0..255']

			- vc_ldp_tnnl_in_use (unicode):

			- vc_local_label (long):
				range - ['0..4294967295']

			- vc_remote_label (long):
				range - ['0..4294967295']

			- vc_local_mtu (long):
				range - ['0..4294967295']

			- vc_remote_mtu (long):
				range - ['0..4294967295']

			- vc_local_type (long):
				range - ['0..4294967295']

			- vc_remote_type (long):
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data, vc_peer_address=vc_peer_address, vc_peer_state=vc_peer_state, vc_peer_uptime=vc_peer_uptime, vc_peer_load_balance=vc_peer_load_balance, vc_peer_cos_enabled=vc_peer_cos_enabled, vc_peer_cos_value=vc_peer_cos_value, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use, vc_local_label=vc_local_label, vc_remote_label=vc_remote_label, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_local_type=vc_local_type, vc_remote_type=vc_remote_type)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_get(self, vc_peer_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_vc_assigned_lsp_create(self, vc_peer_data=None, vc_assigned_lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_assigned_lsp (vc_lsp_name):
				vc_lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_assigned_lsp', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_assigned_lsp', 'keyval': 'vc_lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data, vc_assigned_lsp=vc_assigned_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_vc_assigned_lsp_delete(self, vc_peer_data=None, vc_assigned_lsp=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_assigned_lsp (vc_lsp_name):
				vc_lsp_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_assigned_lsp', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_assigned_lsp', 'keyval': 'vc_lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data, vc_assigned_lsp=vc_assigned_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_vc_assigned_lsp_get(self, vc_peer_data=None, vc_assigned_lsp=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_assigned_lsp (vc_lsp_name):
				vc_lsp_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_assigned_lsp', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_assigned_lsp', 'keyval': 'vc_lsp_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data, vc_assigned_lsp=vc_assigned_lsp)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_vc_proto_tnnl_create(self, vc_peer_data=None, vc_proto_tnnl=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_proto_tnnl (vc_proto_name):
				vc_proto_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_vc_proto_tnnl_delete(self, vc_peer_data=None, vc_proto_tnnl=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_proto_tnnl (vc_proto_name):
				vc_proto_name (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_vc_proto_tnnl_update(self, vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_tunnel_id=None, vc_ldp_name=None, vc_lsp_name=None, vc_peer_lsp_cos_enabled=None, vc_peer_lsp_cos_value=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_proto_tnnl (vc_proto_name):
				vc_proto_name (unicode):

		This Instance Arg(s):
			- vc_ldp_tunnel_id (long):
				range - ['0..4294967295']

			- vc_ldp_name (unicode):

			- vc_lsp_name (unicode):

			- vc_peer_lsp_cos_enabled (YANGBool):

			- vc_peer_lsp_cos_value (int):
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id, vc_ldp_name=vc_ldp_name, vc_lsp_name=vc_lsp_name, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vc_peer_state_vc_peer_data_vc_proto_tnnl_get(self, vc_peer_data=None, vc_proto_tnnl=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vc_peer_data (vc_id):
				vc_id (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- vc_proto_tnnl (vc_proto_name):
				vc_proto_name (unicode):

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vcenter_create(self, vcenter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vcenter (id):
				id (unicode):
					yang info - NAME;;vCenter name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcenter', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'vcenter', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcenter_delete(self, vcenter=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vcenter (id):
				id (unicode):
					yang info - NAME;;vCenter name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcenter', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'vcenter', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcenter_update(self, vcenter=None, activate=None, interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vcenter (id):
				id (unicode):
					yang info - NAME;;vCenter name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- activate (YANGBool):
				yang info - Activate the vCenter discovery

			- interval (long):
				yang info - Discovery Timer Interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcenter', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'vcenter', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter, activate=activate, interval=interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcenter_get(self, vcenter=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vcenter (id):
				id (unicode):
					yang info - NAME;;vCenter name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcenter', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'vcenter', 'keyval': 'id', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vcenter_discovery_ignore_delete_all_response_update(self, vcenter=None, ignore_value=None, always=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vcenter (id):
				id (unicode):
					yang info - NAME;;vCenter name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- ignore_value (long):
				range - ['0..4294967295']

			- always (YANGBool):
				yang info - Always ignore delete-all from vCenter

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter'), ('pybind.slxos.v16r_1_00b.vcenter', 'vcenter'), ('pybind.nos.v6_0_2b.vcenter', 'vcenter')]
        bindings_list = [('pybind.nos.v6_0_2b.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.discovery.ignore_delete_all_response', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter, ignore_value=ignore_value, always=always)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcenter_discovery_ignore_delete_all_response_always_update(self, vcenter=None, ignore_value=None, always=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vcenter (id):
				id (unicode):
					yang info - NAME;;vCenter name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- ignore_value (long):
				range - ['0..4294967295']

			- always (YANGBool):
				yang info - Always ignore delete-all from vCenter

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter'), ('pybind.slxos.v16r_1_00b.vcenter', 'vcenter'), ('pybind.nos.v6_0_2b.vcenter', 'vcenter')]
        bindings_list = [('pybind.nos.v6_0_2b.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.discovery.ignore_delete_all_response', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter, ignore_value=ignore_value, always=always)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcenter_password_update(self, vcenter=None, url=None, username=None, password=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vcenter (id):
				id (unicode):
					yang info - NAME;;vCenter name (Max Size - 32)
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		This Instance Arg(s):
			- url (unicode):
				yang info - URL
				length - [u'1 .. 64']
				pattern - [h][t][t][p]([s]{0,1})[:][/][/]([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_:\[\]\|]{1,57})

			- username (unicode):
				yang info - User name
				length - [u'1 .. 255']

			- password (unicode):
				yang info - Password

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vcenter', 'vcenter'), ('pybind.nos.v6_0_2b.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter'), ('pybind.nos.v7_0_1a.vcenter', 'vcenter')]
        bindings_list = [('pybind.nos.v6_0_2b.vcenter.credentials', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter.credentials', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter.credentials', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.credentials', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter, url=url, username=username, password=password)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_auto_config_backup_update(self, timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- timer (long):
				yang info - Auto configuration backup timer interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.vcs.auto_config_backup', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_auto_config_backup_timer_update(self, timer=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.1.0
        
		This Instance Arg(s):
			- timer (long):
				yang info - Auto configuration backup timer interval
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_1_0.vcs.auto_config_backup', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_rbridge_config_rpc(self, vcs_id=None, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vcs_id (int):
				range - ['0..65535']

			- rbridge_id (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vcs_rpc.vcs_rbridge_config.input', 'pybind.nos.v6_0_2b.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v6_0_2b.brocade_vcs_rpc'), ('pybind.nos.v7_0_1a.brocade_vcs_rpc.vcs_rbridge_config.input', 'pybind.nos.v7_0_1a.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v7_0_1a.brocade_vcs_rpc'), ('pybind.nos.v7_1_0.brocade_vcs_rpc.vcs_rbridge_config.input', 'pybind.nos.v7_1_0.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v7_1_0.brocade_vcs_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vcs_rpc.vcs_rbridge_config.input', 'pybind.slxos.v16r_1_00b.brocade_vcs_rpc.brocade_vcs', 'pybind.slxos.v16r_1_00b.brocade_vcs_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcs_id=vcs_id, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_rbridge_context_rpc(self, rbridge_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- rbridge_id (int):
				range - ['0..65535']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'rpc'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.brocade_vcs_rpc.vcs_rbridge_context.input', 'pybind.nos.v6_0_2b.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v6_0_2b.brocade_vcs_rpc'), ('pybind.nos.v7_0_1a.brocade_vcs_rpc.vcs_rbridge_context.input', 'pybind.nos.v7_0_1a.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v7_0_1a.brocade_vcs_rpc'), ('pybind.nos.v7_1_0.brocade_vcs_rpc.vcs_rbridge_context.input', 'pybind.nos.v7_1_0.brocade_vcs_rpc.brocade_vcs', 'pybind.nos.v7_1_0.brocade_vcs_rpc'), ('pybind.slxos.v16r_1_00b.brocade_vcs_rpc.vcs_rbridge_context.input', 'pybind.slxos.v16r_1_00b.brocade_vcs_rpc.brocade_vcs', 'pybind.slxos.v16r_1_00b.brocade_vcs_rpc')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_virtual_fabric_update(self, vfab_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vfab_enable (YANGBool):
				yang info - Enable virtual fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual_fabric', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual_fabric', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual_fabric', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual_fabric', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vfab_enable=vfab_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_virtual_fabric_enable_update(self, vfab_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vfab_enable (YANGBool):
				yang info - Enable virtual fabric

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual_fabric', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual_fabric', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual_fabric', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual_fabric', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vfab_enable=vfab_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_virtual_ip_address_create(self, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- address (address):
				address (unicode):
					yang info - Virtual IP address (IPv4 Address/Prefix)
					pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual.ip.address', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual.ip.address', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_virtual_ip_address_delete(self, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- address (address):
				address (unicode):
					yang info - Virtual IP address (IPv4 Address/Prefix)
					pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual.ip.address', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual.ip.address', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_virtual_ip_address_get(self, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- address (address):
				address (unicode):
					yang info - Virtual IP address (IPv4 Address/Prefix)
					pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual.ip.address', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual.ip.address', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vcs_virtual_ip_address_inband_interface_update(self, address=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- address (address):
				address (unicode):
					yang info - Virtual IP address (IPv4 Address/Prefix)
					pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- ve (long):
				yang info - ve number
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.vcs.virtual.ip.address', u'address'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address', u'address'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address', u'address'), ('pybind.nos.v6_0_2b.vcs.virtual.ip.address', u'address')]
        bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address.inband.interface', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, address=address, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_virtual_ip_address_inband_interface_ve_update(self, address=None, ve=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- address (address):
				address (unicode):
					yang info - Virtual IP address (IPv4 Address/Prefix)
					pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

		This Instance Arg(s):
			- ve (long):
				yang info - ve number
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_1_0.vcs.virtual.ip.address', u'address'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address', u'address'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address', u'address'), ('pybind.nos.v6_0_2b.vcs.virtual.ip.address', u'address')]
        bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address.inband.interface', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, address=address, ve=ve)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_virtual_ipv6_address_create(self, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- address (ipv6address):
				ipv6address (unicode):
					yang info - Virtual IPV6 address (IPv6 Address/Prefix)
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual.ipv6.address', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual.ipv6.address', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual.ipv6.address', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'ipv6address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_virtual_ipv6_address_delete(self, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- address (ipv6address):
				ipv6address (unicode):
					yang info - Virtual IPV6 address (IPv6 Address/Prefix)
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual.ipv6.address', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual.ipv6.address', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual.ipv6.address', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'ipv6address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcs_virtual_ipv6_address_get(self, address=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- address (ipv6address):
				ipv6address (unicode):
					yang info - Virtual IPV6 address (IPv6 Address/Prefix)
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual.ipv6.address', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual.ipv6.address', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual.ipv6.address', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'ipv6address', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vcsmode_update(self, vcs_mode=None, vcs_cluster_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vcs_mode (YANGBool):

			- vcs_cluster_mode (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcsmode', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcsmode', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcsmode', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcsmode', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcs_mode=vcs_mode, vcs_cluster_mode=vcs_cluster_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vcsmode_vcs_cluster_mode_update(self, vcs_mode=None, vcs_cluster_mode=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vcs_mode (YANGBool):

			- vcs_cluster_mode (YANGBool):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vcsmode', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcsmode', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcsmode', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcsmode', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcs_mode=vcs_mode, vcs_cluster_mode=vcs_cluster_mode)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlag_commit_mode_update(self, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- disable (YANGBool):
				yang info - disable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.vlag_commit_mode', 'pybind.nos.v7_0_1a.brocade_lacp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlag_commit_mode', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlag_commit_mode_disable_update(self, disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 7.0.1a, 7.1.0
        
		This Instance Arg(s):
			- disable (YANGBool):
				yang info - disable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v7_0_1a.vlag_commit_mode', 'pybind.nos.v7_0_1a.brocade_lacp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlag_commit_mode', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, disable=disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_create(self, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_delete(self, vlan=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (name):
				name (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_update(self, vlan=None, transport_service=None, ifindex=None, description=None, vlan_name=None, remote_span=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- transport_service (int):
				yang info -  Set tlsid for Transparent vlan 
				range - ['0..65535']

			- ifindex (long):
				range - ['0..18446744073709551615']

			- description (unicode):
				yang info - Interface specific description
				length - [u'1 .. 63']

			- vlan_name (unicode):
				yang info - Alternative name for the VLAN
				length - [u'1 .. 32']

			- remote_span (YANGBool):
				yang info - Configure the vlan as rspan vlan

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, transport_service=transport_service, ifindex=ifindex, description=description, vlan_name=vlan_name, remote_span=remote_span)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_get(self, vlan=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vlan (name):
				name (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vlan_classifier_group_create(self, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- group (groupid, oper, rule_name, ruleid):
				groupid (long):
					range - ['0..4294967295']

				oper (unicode):
					yang info - Add/Delete Rule.
					enum - [u'add', u'delete']

				rule_name (unicode):
					enum - [u'rule']

				ruleid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.group', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.group', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.group', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid, oper, rule_name, ruleid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_classifier_group_delete(self, group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- group (groupid, oper, rule_name, ruleid):
				groupid (long):
					range - ['0..4294967295']

				oper (unicode):
					yang info - Add/Delete Rule.
					enum - [u'add', u'delete']

				rule_name (unicode):
					enum - [u'rule']

				ruleid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.group', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.group', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.group', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid, oper, rule_name, ruleid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_classifier_group_get(self, group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- group (groupid, oper, rule_name, ruleid):
				groupid (long):
					range - ['0..4294967295']

				oper (unicode):
					yang info - Add/Delete Rule.
					enum - [u'add', u'delete']

				rule_name (unicode):
					enum - [u'rule']

				ruleid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.group', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.group', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.group', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid, oper, rule_name, ruleid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vlan_classifier_rule_create(self, rule=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- rule (ruleid):
				ruleid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.rule', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.rule', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'ruleid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_classifier_rule_delete(self, rule=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- rule (ruleid):
				ruleid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.rule', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.rule', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'ruleid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_classifier_rule_get(self, rule=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		This Instance Keyword Arg Tuple:
			- rule (ruleid):
				ruleid (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.rule', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.rule', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'ruleid', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vlan_classifier_rule_mac_update(self, rule=None, address=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (ruleid):
				ruleid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- address (unicode):
				yang info - MAC address classification by source MAC address.Source mac address HHHH.HHHH.HHHH
				pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_0_1a.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule.mac', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.rule.mac', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.rule.mac', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, address=address)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_classifier_rule_proto_update(self, rule=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (ruleid):
				ruleid (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule'), ('pybind.nos.v6_0_2b.vlan.classifier.rule', u'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule.proto', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.rule.proto', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.rule.proto', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'proto_val, encap'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_classifier_rule_proto_encap_update(self, rule=None, proto_val=None, encap=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
        
		Parent Instance Keyword Arg Tuple(s):
			- rule (ruleid):
				ruleid (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- proto_val (unicode):
				enum - [u'arp', u'ip', u'ipv6']

			- encap (unicode):
				enum - [u'ethv2', u'snapllc', u'nosnapllc']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.nos.v7_0_1a.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule'), ('pybind.nos.v6_0_2b.vlan.classifier.rule', u'rule')]
        bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule.proto', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.rule.proto', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.rule.proto', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, proto_val=proto_val, encap=encap)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_dot1q_tag_update(self, native=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- native (YANGBool):
				yang info - Enable tagged behavior for Native-VLANs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vlan.dot1q.tag', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.dot1q.tag', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.dot1q.tag', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vlan.dot1q.tag', 'pybind.slxos.v16r_1_00b.brocade_vlan', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, native=native)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_dot1q_tag_native_update(self, native=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- native (YANGBool):
				yang info - Enable tagged behavior for Native-VLANs

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.vlan.dot1q.tag', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.dot1q.tag', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.dot1q.tag', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vlan.dot1q.tag', 'pybind.slxos.v16r_1_00b.brocade_vlan', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, native=native)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_arp_inspection_update(self, vlan=None, trust=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- trust (YANGBool):
				yang info - Trusted Interface

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, trust=trust)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_arp_inspection_filter_update(self, vlan=None, acl_name=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- acl_name (unicode):
				length - [u'1..62']
				pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection.filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_name=acl_name)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_arp_inspection_logging_update(self, vlan=None, acl_match=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- acl_match (unicode):
				yang info - Enable DAI Logging
				enum - [u'none', u'matchlog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection.logging', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_match=acl_match)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_arp_inspection_logging_acl_match_update(self, vlan=None, acl_match=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- acl_match (unicode):
				yang info - Enable DAI Logging
				enum - [u'none', u'matchlog']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection.logging', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_match=acl_match)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_igmp_snooping_update(self, vlan=None, igmps_version=None, igmps_last_member_query_interval=None, igmps_query_interval=None, igmps_query_max_response_time=None, igmps_enable=None, igmps_fast_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- igmps_version (long):
				yang info - IGMP Snooping Version
				range - ['0..4294967295']

			- igmps_last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- igmps_query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- igmps_query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- igmps_enable (YANGBool):
				yang info - IGMP Enable

			- igmps_fast_leave (YANGBool):
				yang info - Fast Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_version=igmps_version, igmps_last_member_query_interval=igmps_last_member_query_interval, igmps_query_interval=igmps_query_interval, igmps_query_max_response_time=igmps_query_max_response_time, igmps_enable=igmps_enable, igmps_fast_leave=igmps_fast_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_igmp_snooping_enable_update(self, vlan=None, igmps_version=None, igmps_last_member_query_interval=None, igmps_query_interval=None, igmps_query_max_response_time=None, igmps_enable=None, igmps_fast_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- igmps_version (long):
				yang info - IGMP Snooping Version
				range - ['0..4294967295']

			- igmps_last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- igmps_query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- igmps_query_max_response_time (long):
				yang info - IGMP Max Query Response Time
				range - ['0..4294967295']

			- igmps_enable (YANGBool):
				yang info - IGMP Enable

			- igmps_fast_leave (YANGBool):
				yang info - Fast Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_version=igmps_version, igmps_last_member_query_interval=igmps_last_member_query_interval, igmps_query_interval=igmps_query_interval, igmps_query_max_response_time=igmps_query_max_response_time, igmps_enable=igmps_enable, igmps_fast_leave=igmps_fast_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_igmp_snooping_mrouter_interface_create(self, vlan=None, igmps_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmps_interface (igmps_if_type, igmps_value):
				igmps_if_type (unicode):
					enum - [u'ethernet', u'port-channel']

				igmps_value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_mrouter.igmps_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmps_interface', 'keyval': 'igmps_if_type, igmps_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_interface=igmps_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_igmp_snooping_mrouter_interface_delete(self, vlan=None, igmps_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmps_interface (igmps_if_type, igmps_value):
				igmps_if_type (unicode):
					enum - [u'ethernet', u'port-channel']

				igmps_value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_mrouter.igmps_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmps_interface', 'keyval': 'igmps_if_type, igmps_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_interface=igmps_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_igmp_snooping_mrouter_interface_get(self, vlan=None, igmps_interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmps_interface (igmps_if_type, igmps_value):
				igmps_if_type (unicode):
					enum - [u'ethernet', u'port-channel']

				igmps_value (unicode):
					length - [u'1..10']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_mrouter.igmps_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmps_interface', 'keyval': 'igmps_if_type, igmps_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_interface=igmps_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vlan_ip_igmp_snooping_querier_update(self, vlan=None, igmps_qenable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- igmps_qenable (YANGBool):
				yang info - Enable snooping querier

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_qenable=igmps_qenable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_igmp_snooping_querier_enable_update(self, vlan=None, igmps_qenable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- igmps_qenable (YANGBool):
				yang info - Enable snooping querier

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_qenable=igmps_qenable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_igmp_snooping_static_group_create(self, vlan=None, igmps_static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmps_static_group (igmps_mcast_address, igmps_interface, igmps_if_type, igmps_value):
				igmps_mcast_address (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				igmps_interface (unicode):
					enum - [u'interface']

				igmps_if_type (unicode):
					enum - [u'ethernet', u'port-channel']

				igmps_value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmps_static_group', 'keyval': 'igmps_mcast_address, igmps_interface, igmps_if_type, igmps_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_static_group=igmps_static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_igmp_snooping_static_group_delete(self, vlan=None, igmps_static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmps_static_group (igmps_mcast_address, igmps_interface, igmps_if_type, igmps_value):
				igmps_mcast_address (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				igmps_interface (unicode):
					enum - [u'interface']

				igmps_if_type (unicode):
					enum - [u'ethernet', u'port-channel']

				igmps_value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmps_static_group', 'keyval': 'igmps_mcast_address, igmps_interface, igmps_if_type, igmps_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_static_group=igmps_static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_igmp_snooping_static_group_get(self, vlan=None, igmps_static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- igmps_static_group (igmps_mcast_address, igmps_interface, igmps_if_type, igmps_value):
				igmps_mcast_address (unicode):
					yang info - Multicast Address to be Joined in the format A.B.C.D
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				igmps_interface (unicode):
					enum - [u'interface']

				igmps_if_type (unicode):
					enum - [u'ethernet', u'port-channel']

				igmps_value (unicode):
					length - [u'1..10']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'igmps_static_group', 'keyval': 'igmps_mcast_address, igmps_interface, igmps_if_type, igmps_value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_static_group=igmps_static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vlan_ip_pim_snooping_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_pimv4_enable (YANGBool):
				yang info - IP PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ip_pim_snooping_enable_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_pimv4_enable (YANGBool):
				yang info - IP PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ipv6_mld_snooping_update(self, vlan=None, last_member_query_interval=None, last_member_query_count=None, startup_query_interval=None, startup_query_count=None, query_max_response_time=None, query_interval=None, mldVersion=None, enable=None, fast_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- last_member_query_count (long):
				yang info - Last Member Query Count
				range - ['0..4294967295']

			- startup_query_interval (long):
				yang info - Startup Query Interval
				range - ['0..4294967295']

			- startup_query_count (long):
				yang info - Startup Query Count
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - MLDS Max Query Response Time
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- mldVersion (unicode):
				yang info - MLD Version [v1|v2]
				pattern - v[1|2]

			- enable (YANGBool):
				yang info - MLDS Enable

			- fast_leave (YANGBool):
				yang info - Fast Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval, mldVersion=mldVersion, enable=enable, fast_leave=fast_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ipv6_mld_snooping_enable_update(self, vlan=None, last_member_query_interval=None, last_member_query_count=None, startup_query_interval=None, startup_query_count=None, query_max_response_time=None, query_interval=None, mldVersion=None, enable=None, fast_leave=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- last_member_query_interval (long):
				yang info - Last Member Query Interval
				range - ['0..4294967295']

			- last_member_query_count (long):
				yang info - Last Member Query Count
				range - ['0..4294967295']

			- startup_query_interval (long):
				yang info - Startup Query Interval
				range - ['0..4294967295']

			- startup_query_count (long):
				yang info - Startup Query Count
				range - ['0..4294967295']

			- query_max_response_time (long):
				yang info - MLDS Max Query Response Time
				range - ['0..4294967295']

			- query_interval (long):
				yang info - Query Interval
				range - ['0..4294967295']

			- mldVersion (unicode):
				yang info - MLD Version [v1|v2]
				pattern - v[1|2]

			- enable (YANGBool):
				yang info - MLDS Enable

			- fast_leave (YANGBool):
				yang info - Fast Leave Processing

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval, mldVersion=mldVersion, enable=enable, fast_leave=fast_leave)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ipv6_mld_snooping_mrouter_interface_create(self, vlan=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (if_type, value):
				if_type (unicode):
					enum - [u'Ethernet', u'Port-channel']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ipv6_mld_snooping_mrouter_interface_delete(self, vlan=None, interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (if_type, value):
				if_type (unicode):
					enum - [u'Ethernet', u'Port-channel']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ipv6_mld_snooping_mrouter_interface_get(self, vlan=None, interface=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- interface (if_type, value):
				if_type (unicode):
					enum - [u'Ethernet', u'Port-channel']

				value (unicode):
					length - [u'1..10']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, interface=interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vlan_ipv6_mld_snooping_querier_update(self, vlan=None, qenable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- qenable (YANGBool):
				yang info - Enable snooping querier

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ipv6_mld_snooping_querier_enable_update(self, vlan=None, qenable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- qenable (YANGBool):
				yang info - Enable snooping querier

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ipv6_mld_snooping_static_group_create(self, vlan=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (mcast_address, interface, if_type, value):
				mcast_address (unicode):
					yang info - Multicast Address to be Joined in format xxxx:xxxx/ml, xxxx:xxxx::/ml
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				interface (unicode):
					enum - [u'interface']

				if_type (unicode):
					enum - [u'Ethernet', u'Port-channel']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ipv6_mld_snooping_static_group_delete(self, vlan=None, static_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (mcast_address, interface, if_type, value):
				mcast_address (unicode):
					yang info - Multicast Address to be Joined in format xxxx:xxxx/ml, xxxx:xxxx::/ml
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				interface (unicode):
					enum - [u'interface']

				if_type (unicode):
					enum - [u'Ethernet', u'Port-channel']

				value (unicode):
					length - [u'1..10']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ipv6_mld_snooping_static_group_get(self, vlan=None, static_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- static_group (mcast_address, interface, if_type, value):
				mcast_address (unicode):
					yang info - Multicast Address to be Joined in format xxxx:xxxx/ml, xxxx:xxxx::/ml
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				interface (unicode):
					enum - [u'interface']

				if_type (unicode):
					enum - [u'Ethernet', u'Port-channel']

				value (unicode):
					length - [u'1..10']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, static_group=static_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vlan_ipv6_pim_snooping_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_pimv6_enable (YANGBool):
				yang info - MLD : IpV6 PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_ipv6_pim_snooping_enable_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- vlan_pimv6_enable (YANGBool):
				yang info - MLD : IpV6 PIM Snooping Enable

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_mac_access_group_create(self, vlan=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_mac_access_group_delete(self, vlan=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_mac_access_group_update(self, vlan=None, access_group=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_mac_access_group_get(self, vlan=None, access_group=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Keyword Arg Tuple:
			- access_group (mac_access_list, mac_direction, traffic_type):
				mac_access_list (unicode):
					yang info - ACL_NAME;; Access List Name (Max 63)
					length - [u'1..63']
					pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

				mac_direction (unicode):
					enum - [u'in', u'out']

				traffic_type (unicode):
					enum - [u'switched', u'routed']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, access_group=access_group)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vlan_router_interface_update(self, vlan=None, ve_config=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ve_config (long):
				yang info - Ve
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, ve_config=ve_config)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_router_interface_ve_update(self, vlan=None, ve_config=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- ve_config (long):
				yang info - Ve
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, ve_config=ve_config)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_spanning_tree_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- stp_shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, stp_shutdown=stp_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vlan_spanning_tree_shutdown_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vlan (name):
				name (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- stp_shutdown (YANGBool):
				yang info - Turn off the spanning-tree protocol

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
        bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, stp_shutdown=stp_shutdown)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_create(self, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_delete(self, vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_update(self, vrf=None, route_distiniguisher=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- route_distiniguisher (unicode):
				yang info - Configure Route Distinguisher
				pattern - ((\s*(((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, route_distiniguisher=route_distiniguisher)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_get(self, vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': 'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_update(self, vrf=None, max_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- max_route (long):
				yang info - Maximum number of routes allowed in this routing table
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, max_route=max_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_arp_create(self, vrf=None, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, Ethernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				Ethernet (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Ethernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_arp_delete(self, vrf=None, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, Ethernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				Ethernet (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Ethernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_arp_update(self, vrf=None, arp_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, Ethernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				Ethernet (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Ethernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_arp_get(self, vrf=None, arp_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- arp_entry (arp_ip_address, mac_address_value, interfacename, Ethernet, Ve):
				arp_ip_address (unicode):
					yang info - A.B.C.D;; IP address of the ARP entry
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				mac_address_value (unicode):

				interfacename (unicode):
					enum - [u'interface']

				Ethernet (unicode):
					length - [u'3..16']
					pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

				Ve (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Ethernet, Ve'}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, arp_entry=arp_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_import_routes_create(self, vrf=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_import_routes_delete(self, vrf=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_import_routes_get(self, vrf=None, routes=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_route_create(self, vrf=None, static_route_nh_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_route_delete(self, vrf=None, static_route_nh_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_route_get(self, vrf=None, static_route_nh_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- static_route_nh_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop):
				static_route_next_vrf_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, static_route_nh_vrf=static_route_nh_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_route_distance_update(self, vrf=None, static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- static_route_nh (static_route_dest, static_route_next_hop):
				static_route_dest (unicode):
					yang info - A.B.C.D/L ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

				static_route_next_hop (unicode):
					yang info - A.B.C.D ;; Next hop IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- metric (long):
				yang info - Cost metric
				range - ['0..4294967295']

			- distance (long):
				yang info - Route distance
				range - ['0..4294967295']

			- tag (long):
				yang info - Tag value for this route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, static_route_nh=static_route_nh, metric=metric, distance=distance, tag=tag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_route_static_bfd_create(self, vrf=None, bfd_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_route_static_bfd_delete(self, vrf=None, bfd_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_route_static_bfd_get(self, vrf=None, bfd_static_route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, bfd_static_route=bfd_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_route_static_bfd_holdover_interval_update(self, vrf=None, holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- holdover_interval (int):
				yang info - Holdover interval
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, holdover_interval=holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_ip_route_static_bfd_interval_update(self, vrf=None, bfd_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- bfd_static_route (bfd_static_route_dest, bfd_static_route_src):
				bfd_static_route_dest (unicode):
					yang info - A.B.C.D ;; Destination IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

				bfd_static_route_src (unicode):
					yang info - A.B.C.D ;; Source IP address
					pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		This Instance Arg(s):
			- interval (int):
				yang info - Transmit interval
				range - ['0..65535']

			- min_rx (int):
				yang info - Receive interval
				range - ['0..65535']

			- multiplier (int):
				yang info - Multiplier value
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, bfd_static_route=bfd_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv4_unicast_max_route_update(self, vrf=None, max_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- max_route (long):
				yang info - Maximum number of routes allowed in this routing table
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, max_route=max_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_update(self, vrf=None, max_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- max_route (long):
				yang info - Maximum number of routes allowed in this routing table
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, max_route=max_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_import_routes_create(self, vrf=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_import_routes_delete(self, vrf=None, routes=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_import_routes_get(self, vrf=None, routes=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- routes (src_vrf, route_map):
				src_vrf (unicode):
					yang info - ASCII string;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				route_map (unicode):
					yang info - Word:1-63;;Route map name
					pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, routes=routes)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_route_create(self, vrf=None, ipv6_static_route_oif_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- ipv6_static_route_oif_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name):
				static_route_next_vrf_dest (unicode):
					yang info - A:B::C:D/LEN ;; Destination IPv6 Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				static_route_oif_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				static_route_oif_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, ipv6_static_route_oif_vrf=ipv6_static_route_oif_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_route_delete(self, vrf=None, ipv6_static_route_oif_vrf=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- ipv6_static_route_oif_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name):
				static_route_next_vrf_dest (unicode):
					yang info - A:B::C:D/LEN ;; Destination IPv6 Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				static_route_oif_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				static_route_oif_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, ipv6_static_route_oif_vrf=ipv6_static_route_oif_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_route_get(self, vrf=None, ipv6_static_route_oif_vrf=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- ipv6_static_route_oif_vrf (static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name):
				static_route_next_vrf_dest (unicode):
					yang info - A:B::C:D/LEN ;; Destination IPv6 Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				next_hop_vrf (unicode):
					yang info - Next Hop Vrf Name
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

				static_route_oif_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				static_route_oif_name (unicode):
					length - [u'1..16']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, ipv6_static_route_oif_vrf=ipv6_static_route_oif_vrf)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_route_distance_update(self, vrf=None, link_local_static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- link_local_static_route_nh (link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name):
				link_local_static_route_dest (unicode):
					yang info - A:B::C:D/LEN ;; Destination IPv6 Prefix
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

				link_local_nexthop (unicode):
					yang info - A:B::C:D ;; Next hop IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				link_local_route_oif_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'management', u'null', u've']

				link_local_route_oif_name (unicode):
					length - [u'1..16']

		This Instance Arg(s):
			- metric (long):
				yang info - Cost metric
				range - ['0..4294967295']

			- distance (long):
				yang info - Route distance
				range - ['0..4294967295']

			- tag (long):
				yang info - Tag value for this route
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, metric=metric, distance=distance, tag=tag)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_create(self, vrf=None, bfd_ipv6_link_local_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_delete(self, vrf=None, bfd_ipv6_link_local_static_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_get(self, vrf=None, bfd_ipv6_link_local_static_route=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				bfd_interface_name (unicode):
					length - [u'1..16']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_holdover_interval_update(self, vrf=None, ipv6_holdover_interval=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- ipv6_holdover_interval (int):
				yang info - Holdover interval
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, ipv6_holdover_interval=ipv6_holdover_interval)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_interval_update(self, vrf=None, bfd_ipv6_link_local_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

			- bfd_ipv6_link_local_static_route (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name):
				bfd_ipv6_link_local_dest (unicode):
					yang info - A:B::C:D ;; Destination IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_ipv6_link_local_src (unicode):
					yang info - A:B::C:D ;; Source IPv6 address
					pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

				bfd_interface_type (unicode):
					yang info - Outgoing interface type
					enum - [u'ethernet', u'null', u've']

				bfd_interface_name (unicode):
					length - [u'1..16']

		This Instance Arg(s):
			- interval (int):
				yang info - Transmit interval
				range - ['0..65535']

			- min_rx (int):
				yang info - Receive interval
				range - ['0..65535']

			- multiplier (int):
				yang info - Multiplier value
				range - ['0..255']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_address_family_ipv6_unicast_max_route_update(self, vrf=None, max_route=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- max_route (long):
				yang info - Maximum number of routes allowed in this routing table
				range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, max_route=max_route)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_ip_update(self, vrf=None, vrf_router_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- vrf_router_id (unicode):
				yang info - Change the router ID already in use
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.ip', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, vrf_router_id=vrf_router_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_ip_router_id_update(self, vrf=None, vrf_router_id=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Arg(s):
			- vrf_router_id (unicode):
				yang info - Change the router ID already in use
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.ip', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, vrf_router_id=vrf_router_id)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_route_target_create(self, vrf=None, route_target=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - ((\s*(((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.route_target', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_route_target_delete(self, vrf=None, route_target=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - ((\s*(((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.route_target', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vrf_route_target_get(self, vrf=None, route_target=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- vrf (vrf_name):
				vrf_name (unicode):
					yang info - <WORD:1-32>;;Name of VRF
					length - [u'1..32']
					pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		This Instance Keyword Arg Tuple:
			- route_target (action, target_community):
				action (unicode):
					enum - [u'import', u'export', u'both']

				target_community (unicode):
					yang info - ASN:nn;; Target VPN Extended Community
					pattern - ((\s*(((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
        bindings_list = [('pybind.slxos.v16r_1_00b.vrf.route_target', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, route_target=route_target)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def vrrp_acceptmode_disable_update(self, vrrp_acceptmode_disable=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- vrrp_acceptmode_disable (YANGBool):
				yang info - Disable accept mode  for the non owner vrrp vip

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vrrp_rbridge_global', 'pybind.slxos.v16r_1_00b.brocade_vrrpv3', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrrp_acceptmode_disable=vrrp_acceptmode_disable)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vxlan_stats_acl_state_extended_stats_data_create(self, extended_stats_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended_stats_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended_stats_data=extended_stats_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vxlan_stats_acl_state_extended_stats_data_delete(self, extended_stats_data=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended_stats_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended_stats_data=extended_stats_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vxlan_stats_acl_state_extended_stats_data_update(self, extended_stats_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended_stats_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

		This Instance Arg(s):
			- permit_deny (unicode):

			- dst_vtep_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- src_vtep_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- vni (unicode):

			- vni_mask (unicode):

			- native_tag (unicode):

			- dst_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- dst_ip_mask (int):
				range - ['0..65535']

			- src_ip (unicode):
				pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

			- src_ip_mask (int):
				range - ['0..65535']

			- dst_port (int):
				range - ['0..65535']

			- src_port (int):
				range - ['0..65535']

			- count (long):
				range - ['0..18446744073709551615']

			- byte_count (long):
				range - ['0..18446744073709551615']

			- sflow (YANGBool):

			- redir_interface (unicode):

			- mirror_interface (unicode):

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_patch'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended_stats_data=extended_stats_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def vxlan_stats_acl_state_extended_stats_data_get(self, extended_stats_data=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- extended_stats_data (acl_name, seq_num):
				acl_name (unicode):

				seq_num (long):
					range - ['0..4294967295']

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended_stats_data=extended_stats_data)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def zoning_defined_configuration_alias_create(self, alias=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alias (alias_name):
				alias_name (unicode):
					yang info - <WORD>;;Alias-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.alias', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.alias', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'alias_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_alias_delete(self, alias=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alias (alias_name):
				alias_name (unicode):
					yang info - <WORD>;;Alias-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.alias', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.alias', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'alias_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_alias_get(self, alias=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- alias (alias_name):
				alias_name (unicode):
					yang info - <WORD>;;Alias-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.alias', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.alias', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'alias_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def zoning_defined_configuration_alias_member_entry_create(self, alias=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- alias (alias_name):
				alias_name (unicode):
					yang info - <WORD>;;Alias-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

		This Instance Keyword Arg Tuple:
			- member_entry (alias_entry_name):
				alias_entry_name (unicode):
					yang info - <WWN>;;Member-Name - add one or more WWN
members to an alias, the [no] option removes
only one member at a time.
					pattern - ([0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7})(;[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7})*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.zoning.defined_configuration.alias', u'alias'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias', u'alias'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias', u'alias'), ('pybind.nos.v6_0_2b.zoning.defined_configuration.alias', u'alias')]
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias.member_entry', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'alias_entry_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_alias_member_entry_delete(self, alias=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- alias (alias_name):
				alias_name (unicode):
					yang info - <WORD>;;Alias-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

		This Instance Keyword Arg Tuple:
			- member_entry (alias_entry_name):
				alias_entry_name (unicode):
					yang info - <WWN>;;Member-Name - add one or more WWN
members to an alias, the [no] option removes
only one member at a time.
					pattern - ([0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7})(;[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7})*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.zoning.defined_configuration.alias', u'alias'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias', u'alias'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias', u'alias'), ('pybind.nos.v6_0_2b.zoning.defined_configuration.alias', u'alias')]
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias.member_entry', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'alias_entry_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_alias_member_entry_get(self, alias=None, member_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- alias (alias_name):
				alias_name (unicode):
					yang info - <WORD>;;Alias-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

		This Instance Keyword Arg Tuple:
			- member_entry (alias_entry_name):
				alias_entry_name (unicode):
					yang info - <WWN>;;Member-Name - add one or more WWN
members to an alias, the [no] option removes
only one member at a time.
					pattern - ([0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7})(;[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7})*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.zoning.defined_configuration.alias', u'alias'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias', u'alias'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias', u'alias'), ('pybind.nos.v6_0_2b.zoning.defined_configuration.alias', u'alias')]
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias.member_entry', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'alias_entry_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def zoning_defined_configuration_cfg_create(self, cfg=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cfg (cfg_name):
				cfg_name (unicode):
					yang info - <WORD>;;CFG-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.cfg', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.cfg', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.cfg', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cfg', 'keyval': 'cfg_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cfg=cfg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_cfg_delete(self, cfg=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cfg (cfg_name):
				cfg_name (unicode):
					yang info - <WORD>;;CFG-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.cfg', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.cfg', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.cfg', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cfg', 'keyval': 'cfg_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cfg=cfg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_cfg_get(self, cfg=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- cfg (cfg_name):
				cfg_name (unicode):
					yang info - <WORD>;;CFG-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.cfg', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.cfg', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.cfg', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'cfg', 'keyval': 'cfg_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cfg=cfg)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def zoning_defined_configuration_cfg_member_zone_create(self, cfg=None, member_zone=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cfg (cfg_name):
				cfg_name (unicode):
					yang info - <WORD>;;CFG-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

		This Instance Keyword Arg Tuple:
			- member_zone (zone_name):
				zone_name (unicode):
					yang info - <WORD>;;Zone-Name - add one or more zone
members to a cfg, the [no] option removes
only one member at a time.
					pattern - ([0-9a-zA-Z_]{1,64})(;([0-9a-zA-Z_]{1,64}))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_1_0.zoning.defined_configuration.cfg', u'cfg'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.cfg', u'cfg'), ('pybind.nos.v6_0_2b.zoning.defined_configuration.cfg', u'cfg'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg', u'cfg')]
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg.member_zone', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_zone', 'keyval': 'zone_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cfg=cfg, member_zone=member_zone)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_cfg_member_zone_delete(self, cfg=None, member_zone=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cfg (cfg_name):
				cfg_name (unicode):
					yang info - <WORD>;;CFG-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

		This Instance Keyword Arg Tuple:
			- member_zone (zone_name):
				zone_name (unicode):
					yang info - <WORD>;;Zone-Name - add one or more zone
members to a cfg, the [no] option removes
only one member at a time.
					pattern - ([0-9a-zA-Z_]{1,64})(;([0-9a-zA-Z_]{1,64}))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_1_0.zoning.defined_configuration.cfg', u'cfg'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.cfg', u'cfg'), ('pybind.nos.v6_0_2b.zoning.defined_configuration.cfg', u'cfg'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg', u'cfg')]
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg.member_zone', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_zone', 'keyval': 'zone_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cfg=cfg, member_zone=member_zone)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_cfg_member_zone_get(self, cfg=None, member_zone=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- cfg (cfg_name):
				cfg_name (unicode):
					yang info - <WORD>;;CFG-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

		This Instance Keyword Arg Tuple:
			- member_zone (zone_name):
				zone_name (unicode):
					yang info - <WORD>;;Zone-Name - add one or more zone
members to a cfg, the [no] option removes
only one member at a time.
					pattern - ([0-9a-zA-Z_]{1,64})(;([0-9a-zA-Z_]{1,64}))*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_1_0.zoning.defined_configuration.cfg', u'cfg'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.cfg', u'cfg'), ('pybind.nos.v6_0_2b.zoning.defined_configuration.cfg', u'cfg'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg', u'cfg')]
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg.member_zone', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_zone', 'keyval': 'zone_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cfg=cfg, member_zone=member_zone)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def zoning_defined_configuration_zone_create(self, zone=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- zone (zone_name):
				zone_name (unicode):
					yang info - <WORD>;;Zone-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.zone', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.zone', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'zone', 'keyval': 'zone_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, zone=zone)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_zone_delete(self, zone=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- zone (zone_name):
				zone_name (unicode):
					yang info - <WORD>;;Zone-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.zone', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.zone', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'zone', 'keyval': 'zone_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, zone=zone)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_zone_get(self, zone=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Keyword Arg Tuple:
			- zone (zone_name):
				zone_name (unicode):
					yang info - <WORD>;;Zone-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.zone', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.zone', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': u'zone', 'keyval': 'zone_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, zone=zone)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def zoning_defined_configuration_zone_member_entry_create(self, zone=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- zone (zone_name):
				zone_name (unicode):
					yang info - <WORD>;;Zone-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

		This Instance Keyword Arg Tuple:
			- member_entry (entry_name):
				entry_name (unicode):
					yang info - <WWN> and/or <Alias-Name>;;Member-Name - 
add one or more WWN and/or Alias-Name
members to a zone, the [no] option removes
only one member at a time.
					pattern - (([0-9a-zA-Z_]{1,64})|([0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7}))(;(([0-9a-zA-Z_]{1,64})|([0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7})))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'create'
        compositions_list = [('pybind.nos.v7_0_1a.zoning.defined_configuration.zone', u'zone'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone', u'zone'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone', u'zone'), ('pybind.nos.v6_0_2b.zoning.defined_configuration.zone', u'zone')]
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone.member_entry', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'entry_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, zone=zone, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_zone_member_entry_delete(self, zone=None, member_entry=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- zone (zone_name):
				zone_name (unicode):
					yang info - <WORD>;;Zone-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

		This Instance Keyword Arg Tuple:
			- member_entry (entry_name):
				entry_name (unicode):
					yang info - <WWN> and/or <Alias-Name>;;Member-Name - 
add one or more WWN and/or Alias-Name
members to a zone, the [no] option removes
only one member at a time.
					pattern - (([0-9a-zA-Z_]{1,64})|([0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7}))(;(([0-9a-zA-Z_]{1,64})|([0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7})))*

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'delete'
        compositions_list = [('pybind.nos.v7_0_1a.zoning.defined_configuration.zone', u'zone'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone', u'zone'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone', u'zone'), ('pybind.nos.v6_0_2b.zoning.defined_configuration.zone', u'zone')]
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone.member_entry', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'entry_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, zone=zone, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_defined_configuration_zone_member_entry_get(self, zone=None, member_entry=None, resource_depth=1, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		Parent Instance Keyword Arg Tuple(s):
			- zone (zone_name):
				zone_name (unicode):
					yang info - <WORD>;;Zone-Name
					length - [u'1..64']
					pattern - [0-9a-zA-Z_]{1,64}

		This Instance Keyword Arg Tuple:
			- member_entry (entry_name):
				entry_name (unicode):
					yang info - <WWN> and/or <Alias-Name>;;Member-Name - 
add one or more WWN and/or Alias-Name
members to a zone, the [no] option removes
only one member at a time.
					pattern - (([0-9a-zA-Z_]{1,64})|([0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7}))(;(([0-9a-zA-Z_]{1,64})|([0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7})))*

			- resource_depth (long):
				info - Maximum depth for returned results from the GET response. (Default: 1 level(s) deep.)

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'get'
        compositions_list = [('pybind.nos.v7_0_1a.zoning.defined_configuration.zone', u'zone'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone', u'zone'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone', u'zone'), ('pybind.nos.v6_0_2b.zoning.defined_configuration.zone', u'zone')]
        bindings_list = [('pybind.nos.v6_0_2b.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone.member_entry', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = [{'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}]
        bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'entry_name', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, zone=zone, member_entry=member_entry)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=resource_depth, timeout=api_timeout)

    def zoning_enabled_configuration_update(self, cfg_name=None, default_zone_access=None, cfg_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cfg_name (unicode):
				yang info - <WORD>;;Enabled-CFG-Name

			- default_zone_access (unicode):
				yang info - Default zone access
				enum - [u'allaccess', u'noaccess']

			- cfg_action (unicode):
				yang info - Cfg action
				enum - [u'cfg-clear', u'cfg-save', u'cfg-none', u'cfg-disable', u'cfg-transaction-abort']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.enabled_configuration', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.enabled_configuration', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.enabled_configuration', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.enabled_configuration', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cfg_name=cfg_name, default_zone_access=default_zone_access, cfg_action=cfg_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

    def zoning_enabled_configuration_cfg_action_update(self, cfg_name=None, default_zone_access=None, cfg_action=None, api_timeout=''):
        """
        This is an auto-generated method for the PySwitchLib.

		Supported Versions:
			NOS: 6.0.2b, 7.0.1a, 7.1.0
			SLXOS: 16r.1.00b
        
		This Instance Arg(s):
			- cfg_name (unicode):
				yang info - <WORD>;;Enabled-CFG-Name

			- default_zone_access (unicode):
				yang info - Default zone access
				enum - [u'allaccess', u'noaccess']

			- cfg_action (unicode):
				yang info - Cfg action
				enum - [u'cfg-clear', u'cfg-save', u'cfg-none', u'cfg-disable', u'cfg-transaction-abort']

			- api_timeout (long or tuple):
				info - Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
        """

        operation_type = 'update_put'
        compositions_list = []
        bindings_list = [('pybind.nos.v6_0_2b.zoning.enabled_configuration', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.enabled_configuration', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.enabled_configuration', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.enabled_configuration', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
        composed_child_list = []
        compositions_keyval_list = []
        bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
        composed_child_leafval_list = []
        pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cfg_name=cfg_name, default_zone_access=default_zone_access, cfg_action=cfg_action)

        return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

